/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2012 by Chuck Chen <ycchen@realtek.com>
 *
 * panel select command
*/
#include <common.h>
#include <command.h>
#include <malloc.h>
#include <asm/arch/system.h>
#include <tar.h>
#include <factorylib.h>
#ifdef CONFIG_LZMA
#include <lzma/LzmaTypes.h>
#include <lzma/LzmaDec.h>
#include <lzma/LzmaTools.h>
#endif /* CONFIG_LZMA */
#include <panel_setting.h>

//#define PANEL_CONFIG_FROM_FACTORY_PANEL_HEADER	// from Darwin feature
//#define PANEL_CONFIG_FROM_FACTORY_PANEL_BIN	// from MacArthur feature

#define PANEL_BIN_FILENAME_IN_FACTORY	FACTORY_HEADER_FILE_NAME"bin_panel/panel.bin"
//#define PANEL_SPEC_INFO_FILE_NAME		FACTORY_HEADER_FILE_NAME"panelspecindex/panelspec_info"
#define PANEL_BIN_FILE_PREFIX			FACTORY_HEADER_FILE_NAME"bin_panel/panel/"

#if 0 //def PANEL_CONFIG_FROM_FACTORY_PANEL_HEADER
extern char panel_file_name[100];
#endif

extern unsigned int tar_read_print_info;
extern unsigned char tar_read_print_prefix[32];

extern uint env_panel_change_panel_bin_in_factory(char *panel_bin_path);
extern uchar env_setup_env_panel(uchar *panel_filename);
extern int gets(char *s);
extern char* strtrim(char *s);

#ifdef CONFIG_CUSTOMER_TV010
extern int printPanelListFromIni(char *filestart, size_t filelen);
#endif

#if 0 //def PANEL_CONFIG_FROM_FACTORY_PANEL_HEADER
int panelspec_parse_main(char* panelspec_file_name_full_path)
{
	char *dst_addr;
	unsigned int dst_length;

	if (panelspec_file_name_full_path == NULL)
	{
		return 0;
	}

	printf ("tar_read %s\n",panelspec_file_name_full_path);

	if (tar_read(panelspec_file_name_full_path, (char *)rtk_mem_info->factory_data_addr, CONFIG_FACTORY_SIZE/2, &dst_addr, &dst_length) > 0)
	{
		// parse header files
		if (parse_main((char *)dst_addr, dst_length) != 0)
		{
			printf("parseing error!!\n");
		}
		else
		{
			printf("setting panel config done\n");
		}
	}
	else
	{
		printf("not found your selected panel\n");
	}

	return 0;
}
#endif

#ifdef PANEL_CONFIG_FROM_FACTORY_PANEL_BIN
void panel_dump_panel_bin_list_org(void)
{
	char *dst_addr;
	int dst_length;

	tar_read_print_info = 1;

	memset(tar_read_print_prefix, 0, sizeof(tar_read_print_prefix));

	if (strlen(PANEL_BIN_FILE_PREFIX) >= sizeof(tar_read_print_prefix))
	{
		printf("[WARN] size of tar_read_print_prefix is less than string length of %s\n", PANEL_BIN_FILE_PREFIX);
		strncpy((char *)tar_read_print_prefix, PANEL_BIN_FILE_PREFIX, sizeof(tar_read_print_prefix) - 1);
	}
	else
	{
		strcpy((char *)tar_read_print_prefix, PANEL_BIN_FILE_PREFIX);
	}

	tar_read("DUMMY_NAME_FOR_DUMP", (char *)rtk_mem_info->factory_data_addr, CONFIG_FACTORY_SIZE/2, &dst_addr, (uint *)&dst_length);

	tar_read_print_info = 0;
}

int panel_dump_panel_bin_list(void)
{
	int ret = -1;
#ifdef CONFIG_REALTEK_EERPOM_TV010_A
	char *dst_addr;
	unsigned int dst_length;

	UINT32 tmpIndex = 0;
	if (tar_read(PANEL_INI_FILE_NAME, (char *)rtk_mem_info->factory_data_addr, CONFIG_FACTORY_SIZE/2, &dst_addr,(unsigned int *) &dst_length) != 0)
	{
		ret = printPanelListFromIni(dst_addr, dst_length);
		getPanelIndex((UINT32 *)(&tmpIndex));
		printf("\nCurrent panel index is %d \n",tmpIndex);
	}else{
		printf("[WARN] panelindex.ini doesn't exist, please create panelindex.ini first \n");
		printf("[WARN] replace with selecting file of panel bin\n");
		panel_dump_panel_bin_list_org();
	}
#else
	panel_dump_panel_bin_list_org();
#endif
	return ret;
}
#endif

void panel_dump_panel_builtin_list(void)
{
	int i = 0;

	for(i = 0; i < PANEL_NUM ; i++)
	{
		printf("[%d] %s\n", i, panel_setting[i].sPanelName);
	}
}

void panel_dump_list(void)
{
#if defined(PANEL_LIST_FROM_FACTORY)
	panel_dump_panel_bin_list();
#else
	panel_dump_panel_builtin_list();
#endif
}

#ifdef PANEL_CONFIG_FROM_FACTORY_PANEL_BIN
extern void env_panel_set_default(void);
int do_panel(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	UINT32 select = 0;
	char buf[128];
#ifdef CONFIG_CUSTOMER_TV010    
	int i = 0 ;
	int check_error = 1;
#endif	
	if (argc < 2)
	{
		return CMD_RET_USAGE;
	}
	else
	{
		if (argv[1][0] == '-')
		{
			if (argv[1][1] == 'a')
			{
				printf("\n  panel list:\n\n");
				panel_dump_list();
				printf("\n");

				return CMD_RET_SUCCESS;
			}
#ifdef CONFIG_CUSTOMER_TV010
			else if (argv[1][1] == 's')
			{
				printf("\n  panel list:\n\n");
				if(-1 < panel_dump_panel_bin_list())
				{
					printf("\nplease input new panel index(0,1,2,3,...) with decimal:=> ");
					memset(buf,0,128);
					gets(buf);
					i=0;
					while((buf[i]!=0) && (i < 128))
					{
						if('0' > buf[i] || '9' < buf[i])
						{
							check_error = -1;
							break;
						}
						i++;
					}
					if((check_error == -1) || (i == 0))
					{
						printf("\n[WARN] input is invalid or NULL, please input number base decimal!\n");
					}else{
						select = simple_strtoul(strtrim(buf), NULL, 10);
						printf("\n===================================================\n");
						printf("### your selection is [%d], panel index will be set to index%d ###\n",select,select);
						printf("===================================================\n");
						setPanelIndex(select);
					}
				}
				else if (argc == 3)
				{
					char *tar_read_file_full_path = NULL;
					tar_read_file_full_path = malloc(100);
					memset(tar_read_file_full_path, 0, 100);
					sprintf(tar_read_file_full_path, "%s%s", PANEL_BIN_FILE_PREFIX, argv[2]); // get file full path
					if (env_setup_env_panel((uchar *)tar_read_file_full_path))
					{
						env_panel_change_panel_bin_in_factory(PANEL_BIN_FILENAME_IN_FACTORY);
					}
					free(tar_read_file_full_path);
				}
				else {
					printf("[WARN] List panel fail!\n ");
				}
				printf("\n");
			}
#else
			else if (argv[1][1] == 's')
			{
#if defined(PANEL_LIST_FROM_FACTORY)
				if (argc == 2)
				{
					printf("[ERR] should be -s panel_name\n"); // rtk tv001
				}
				else
				{
					char *tar_read_file_full_path = NULL;
					tar_read_file_full_path = malloc(100);
					memset(tar_read_file_full_path, 0, 100);
					sprintf(tar_read_file_full_path, "%s%s", PANEL_BIN_FILE_PREFIX, argv[2]); // get file full path
					if (env_setup_env_panel((uchar *)tar_read_file_full_path))
					{
						env_panel_change_panel_bin_in_factory(PANEL_BIN_FILENAME_IN_FACTORY);
					}
					free(tar_read_file_full_path);
				}
#else
				if (argc == 2)
				{
					printf("panel list:\n\n");
					panel_dump_list();
					printf("Please select the panel number you want:");
					memset(buf,0,128);
					gets(buf);
					select = simple_strtoul(strtrim(buf), NULL, 10);
					if( select < PANEL_NUM && select >=0)
					{
						printf("\n===================================================\n");
						printf("you have selected [%d] %s\n", select, panel_setting[select].sPanelName);
						printf("===================================================\n");
						setenv("panel_select", strim(buf));
						saveenv();
						env_panel_set_default();
						env_panel_change_panel_bin_in_factory(PANEL_BIN_FILENAME_IN_FACTORY);
					}
					else
					{
						printf("\n [ERR] wrong input! \n");
					}
				}
#endif // PANEL_LIST_FROM_FACTORY
			}
#endif // CONFIG_CUSTOMER_TV010
			else
			{
				printf("\n");
				printf("Unknown option \"-%c\"\n", argv[1][1]);
				return CMD_RET_USAGE;
			}
		}
		else
		{
			return CMD_RET_USAGE;
		}
	}

	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	panel,	3,	1,	do_panel,
	"select the specific panel config from factory or panelindex.ini",
	"[option] \n"
	"panel -a       - list all supported panel configs\n"
	"panel -s [fname] - select index or file of panel binary"
);
#else

#define TMP_FAC_PAR "tmp/factory/bin_panel/PanelParam/"
#define DEFAULT_PQ_FILE_NAME		TMP_FAC_PAR "vip_default_pq.bin"
#define DEFAULT_PQ_LZMA_FILE_NAME	TMP_FAC_PAR "vip_default_pq.bin.lzma"

#define PQ_FILE_PREFIX			TMP_FAC_PAR "vip_"
#define PQ_FILE_SUFFIX			"_pq.bin"
#define PQ_FILE_LZMA_SUFFIX		"_pq.bin.lzma"

#ifdef CONFIG_CUSTOM_PQ_SELECT
#define DEFAULT_PQ_EXTEND_FILE_NAME		TMP_FAC_PAR "vip_default_pq_extend.bin"
#define DEFAULT_PQ_EXTEND_LZMA_FILE_NAME	TMP_FAC_PAR "vip_default_pq_extend.bin.lzma"
#define PQ_EXTEND_FILE_PREFIX			TMP_FAC_PAR "vip_"
#define PQ_EXTEND_FILE_SUFFIX			"_pq_extend.bin"
#define PQ_EXTEND_FILE_LZMA_SUFFIX		"_pq_extend.bin.lzma"

extern bool CusApi_env_setFactorySave(void);
#endif

int check_PQ_file_current_status(const char *cur_panelname)
{
	int ret = -1;
	char *dst_addr = NULL;
	int dst_length = 0;

	char cur_pqfile[128] = {0}, cur_pqfile_lzma[128] = {0};
	char panelname_body[64] = {0};	//such as: benq22_panel_VESA

	unsigned int decompress_addr = (unsigned int)TEMP_BUFFER_FOR_PQ_FILE_DECOMPRESS;
	unsigned int decompress_size = 0;

	if(cur_panelname == NULL){
		printf("Parameter error!\r\n");
		return -1;
	}
	
	memset(panelname_body, 0x00, sizeof(panelname_body));
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_panelname =%s\n", cur_panelname);
#ifdef CONFIG_CUSTOM_PQ_SELECT
	memcpy(panelname_body, cur_panelname, strlen(cur_panelname));
#else
	memcpy(panelname_body, cur_panelname, strlen(cur_panelname)-2);	// delete .h suffix
#endif
	snprintf(cur_pqfile, sizeof(cur_pqfile), "%s%s%s", PQ_FILE_PREFIX, panelname_body, PQ_FILE_SUFFIX);
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_pqfile =%s\n", cur_pqfile);
	snprintf(cur_pqfile_lzma, sizeof(cur_pqfile_lzma), "%s%s%s", PQ_FILE_PREFIX, panelname_body, PQ_FILE_LZMA_SUFFIX);
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_pqfile_lzma =%s\n", cur_pqfile_lzma);

	// check current pq file exsit or not
	ret = factory_read(cur_pqfile, &dst_addr, &dst_length);
	if(ret == 0){
		printf("current pq file %s exsit!\r\n", cur_pqfile);
		return 0;
	}

	// current pq file not exsit , check current pq lzma file exsit or not
	ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
	if(ret == 0){
		printf("current pq lzma file %s exsit!\r\n", cur_pqfile_lzma);
		
		// check default pq file exsit or not
		ret = factory_read(DEFAULT_PQ_FILE_NAME, &dst_addr, &dst_length);
		if(ret == 0){
			// delete default pq file
			ret = factory_delete(DEFAULT_PQ_FILE_NAME);
			if(ret){
				printf("Delete %s fail!\r\n", DEFAULT_PQ_FILE_NAME);
				return -1;
			}else{
				printf("Delete %s file...\r\n", DEFAULT_PQ_FILE_NAME);
				
#ifdef CONFIG_CUSTOM_PQ_SELECT
				CusApi_env_setFactorySave();
#else
				factory_save();
#endif
			}
		}

		// re-read current pq lzma file exsit
		ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
		if(ret){
			printf("Re-read current pq lzma file %s fail!\r\n", cur_pqfile_lzma);
			return -1;
		}

		// uncompress pq file
		ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
		if(ret){
			printf("lzma decompress %s file fail!\r\n", cur_pqfile_lzma);
			return -1;
		}
	
		// save current pq file to factory
		ret = factory_write(cur_pqfile, (char *)decompress_addr, (int)decompress_size);
		if(ret){
			printf("write %s to factory fail!\r\n", cur_pqfile);
			return -1;
		}else{
			printf("Write %s to factory...\r\n", cur_pqfile);
		}
	
		// factory save
#ifdef CONFIG_CUSTOM_PQ_SELECT
		CusApi_env_setFactorySave();
#else
		factory_save();
#endif
		return 0;
	}

	//  current pq file and pq lzma file not exsit, check default pq file
	ret = factory_read(DEFAULT_PQ_FILE_NAME, &dst_addr, &dst_length);
	if(ret == 0){
		printf("default pq file %s exsit!\r\n", DEFAULT_PQ_FILE_NAME);
		return 0;
	}else{
		ret = factory_read(DEFAULT_PQ_LZMA_FILE_NAME, &dst_addr, &dst_length);
		if(ret == 0){
			printf("default pq lzma file %s exsit!\r\n", DEFAULT_PQ_LZMA_FILE_NAME);
			
			// uncompress pq file
			ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
			if(ret){
				printf("lzma decompress %s file fail!\r\n", cur_pqfile_lzma);
				return -1;
			}
		
			// save current pq file to factory
			ret = factory_write(DEFAULT_PQ_FILE_NAME, (char *)decompress_addr, (int)decompress_size);
			if(ret){
				printf("write %s to factory fail!\r\n", DEFAULT_PQ_FILE_NAME);
				return -1;
			}else{
				printf("Write %s to factory...\r\n", DEFAULT_PQ_FILE_NAME);
			}
		
			// factory save
#ifdef CONFIG_CUSTOM_PQ_SELECT
			CusApi_env_setFactorySave();
#else
			factory_save();
#endif
			return 0;
		}else{
			printf("No match pq file exist!no %s no %s\r\n", DEFAULT_PQ_FILE_NAME, cur_pqfile);
			return -1;
		}
	}

	return 0;	
}

#ifdef CONFIG_CUSTOM_PQ_SELECT
int check_PQ_extend_file_current_status(const char *cur_panelname)
{
	int ret = -1;
	char *dst_addr = NULL;
	int dst_length = 0;

	char cur_pqfile[128] = {0}, cur_pqfile_lzma[128] = {0};
	char panelname_body[64] = {0};	//such as: benq22_panel_VESA

	unsigned int decompress_addr = (unsigned int)TEMP_BUFFER_FOR_PQ_FILE_DECOMPRESS;
	unsigned int decompress_size = 0;

	if(cur_panelname == NULL){
		printf("Parameter error!\r\n");
		return -1;
	}
	
	memset(panelname_body, 0x00, sizeof(panelname_body));
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_panelname =%s\n", cur_panelname);
#ifdef CONFIG_CUSTOM_PQ_SELECT
	memcpy(panelname_body, cur_panelname, strlen(cur_panelname));
#else
	memcpy(panelname_body, cur_panelname, strlen(cur_panelname)-2);	// delete .h suffix
#endif
	snprintf(cur_pqfile, sizeof(cur_pqfile), "%s%s%s", PQ_EXTEND_FILE_PREFIX, panelname_body, PQ_EXTEND_FILE_SUFFIX);
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_pq_extend_file =%s\n", cur_pqfile);
	snprintf(cur_pqfile_lzma, sizeof(cur_pqfile_lzma), "%s%s%s", PQ_EXTEND_FILE_PREFIX, panelname_body, PQ_EXTEND_FILE_LZMA_SUFFIX);
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] cur_pq_extend_file_lzma =%s\n", cur_pqfile_lzma);

	// check current pq_extend file exsit or not
	ret = factory_read(cur_pqfile, &dst_addr, &dst_length);
	if(ret == 0){
		printf("current pq_extend file %s exsit!\r\n", cur_pqfile);
		return 0;
	}

	// current pq_extend file not exsit , check current pq_extend lzma file exsit or not
	ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
	if(ret == 0){
		printf("current pq_extend lzma file %s exsit!\r\n", cur_pqfile_lzma);
		
		// check default pq_extend file exsit or not
		ret = factory_read(DEFAULT_PQ_EXTEND_FILE_NAME, &dst_addr, &dst_length);
		if(ret == 0){
			// delete default pq_extend file
			ret = factory_delete(DEFAULT_PQ_EXTEND_FILE_NAME);
			if(ret){
				printf("Delete %s fail!\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
				return -1;
			}else{
				printf("Delete %s file...\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
#ifdef CONFIG_CUSTOM_PQ_SELECT
				CusApi_env_setFactorySave();
#else
				factory_save();
#endif
			}
		}

		// re-read current pq_extend lzma file exsit
		ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
		if(ret){
			printf("Re-read current pq_extend lzma file %s fail!\r\n", cur_pqfile_lzma);
			return -1;
		}

		// uncompress pq_extend file
		ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
		if(ret){
			printf("lzma decompress %s file fail!\r\n", cur_pqfile_lzma);
			return -1;
		}
	
		// save current pq_extend file to factory
		ret = factory_write(cur_pqfile, (char *)decompress_addr, (int)decompress_size);
		if(ret){
			printf("write %s to factory fail!\r\n", cur_pqfile);
			return -1;
		}else{
			printf("Write %s to factory...\r\n", cur_pqfile);
		}
	
		// factory save
#ifdef CONFIG_CUSTOM_PQ_SELECT
		CusApi_env_setFactorySave();
#else
		factory_save();
#endif
		return 0;
	}

	//  current pq_extend file and pq lzma file not exsit, check default pq file
	ret = factory_read(DEFAULT_PQ_EXTEND_FILE_NAME, &dst_addr, &dst_length);
	if(ret == 0){
		printf("default pq_extend file %s exsit!\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
		return 0;
	}else{
		ret = factory_read(DEFAULT_PQ_EXTEND_LZMA_FILE_NAME, &dst_addr, &dst_length);
		if(ret == 0){
			printf("default pq_extend lzma file %s exsit!\r\n", DEFAULT_PQ_EXTEND_LZMA_FILE_NAME);
			
			// uncompress pq_extend file
			ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
			if(ret){
				printf("lzma decompress %s file fail!\r\n", cur_pqfile_lzma);
				return -1;
			}
		
			// save current pq_extend file to factory
			ret = factory_write(DEFAULT_PQ_EXTEND_FILE_NAME, (char *)decompress_addr, (int)decompress_size);
			if(ret){
				printf("write %s to factory fail!\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
				return -1;
			}else{
				printf("Write %s to factory...\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
			}
		
			// factory save
#ifdef CONFIG_CUSTOM_PQ_SELECT
			CusApi_env_setFactorySave();
#else
			factory_save();
#endif
			return 0;
		}else{
			printf("No match pq_extend file exist!no %s no %s\r\n", DEFAULT_PQ_EXTEND_FILE_NAME, cur_pqfile);
			return -1;
		}
	}

	return 0;	
}
#endif

int do_PQ_file_change_handle(const char *cur_panelname, const char *prev_panelname)
{
	int ret = -1;
	char *dst_addr = NULL;
	int dst_length = 0;
	
	char prev_pqfile[128] = {0};
	char cur_pqfile[128] = {0}, cur_pqfile_lzma[128] = {0};
	char panelname_body[64] = {0};	//such as: benq22_panel_VESA

	unsigned char prev_pq_file_flag = 0; // value: 0x0(no prev/default pq file), 0x1(prev pq file), 0x2(default pq file )

	unsigned int decompress_addr = (unsigned int)TEMP_BUFFER_FOR_FLASH_DATA_ADDR;
	unsigned int decompress_size = 0;

	if(cur_panelname == NULL || prev_panelname == NULL){
		printf("[%s][%d]parameter error!\r\n", __func__, __LINE__);
		return -1;
	}

	memset(panelname_body, 0x00, sizeof(panelname_body));
	memcpy(panelname_body, cur_panelname, strlen(cur_panelname)-2);
	snprintf(cur_pqfile, sizeof(cur_pqfile), "%s%s%s", PQ_FILE_PREFIX, panelname_body, PQ_FILE_SUFFIX);
	snprintf(cur_pqfile_lzma, sizeof(cur_pqfile_lzma), "%s%s%s", PQ_FILE_PREFIX, panelname_body, PQ_FILE_LZMA_SUFFIX);

	memset(panelname_body, 0x00, sizeof(panelname_body));
	memcpy(panelname_body, prev_panelname, strlen(prev_panelname)-2);
	snprintf(prev_pqfile, sizeof(prev_pqfile), "%s%s%s", PQ_FILE_PREFIX, panelname_body, PQ_FILE_SUFFIX);

	// check prev pq file exsit or not
	ret = factory_read(prev_pqfile, &dst_addr, &dst_length);
	if(ret == 0){
		prev_pq_file_flag = 0x1;
	}else{		
		// check default pq file exsit or not
		ret = factory_read(DEFAULT_PQ_FILE_NAME, &dst_addr, &dst_length);
		if(ret == 0){
			prev_pq_file_flag = 0x2;
		}else{
			prev_pq_file_flag = 0x0;
		}
	}

	// check current pq lzma file exsit or not
	ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
	if(ret == 0){
		switch(prev_pq_file_flag){
			case 0x1:
				ret = factory_delete(prev_pqfile);
				if(ret)
					printf("Delete %s fail!\r\n", prev_pqfile);
				else
					printf("Delete %s file...\r\n", prev_pqfile);
				factory_save();
				break;
			case 0x2:
				ret = factory_delete(DEFAULT_PQ_FILE_NAME);
				if(ret)
					printf("Delete %s fail!\r\n", DEFAULT_PQ_FILE_NAME);
				else
					printf("Delete %s file...\r\n", DEFAULT_PQ_FILE_NAME);
				factory_save();
				break;
			case 0x0:
				printf("No PQ file need delete!\r\n");
				break;
			default:
				break;
		}

		// re read current pq file
		ret = factory_read(cur_pqfile_lzma, &dst_addr, &dst_length);
		if(ret){
			printf("Re-read current pq lzma file %s fail!\r\n", cur_pqfile_lzma);
			return -1;
		}

		// uncompress pq file
		ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
		if(ret){
			printf("lzma decompress %s file fail!\r\n", cur_pqfile_lzma);
			return -1;
		}
	
		// save current pq file to factory
		ret = factory_write(cur_pqfile, (char *)decompress_addr, (int)decompress_size);
		if(ret){
			printf("write %s to factory fail!\r\n", cur_pqfile);
			return -1;
		}else{
			printf("Write %s to factory...\r\n", cur_pqfile);
		}
	
		// factory save
		factory_save();
	}else{
		printf("Factory no %s file...\r\n", cur_pqfile_lzma);
		
		if(prev_pq_file_flag == 0x1 || prev_pq_file_flag == 0x0){
			if(prev_pq_file_flag == 0x1){
				// delete prev pq file
				ret = factory_delete(prev_pqfile);
				if(ret)
					printf("Delete %s file fail!\r\n", prev_pqfile);
				else
					printf("Delete %s file... \r\n", prev_pqfile);
				factory_save();
			}

			// read default pq lzma file from factory
			ret = factory_read(DEFAULT_PQ_LZMA_FILE_NAME, &dst_addr, &dst_length);
			if(ret){
				printf("Read default pq lzma file %s fail!\r\n", DEFAULT_PQ_LZMA_FILE_NAME);
				return -1;
			}

			// uncompress pq file
			ret = lzmaBuffToBuffDecompress((uchar*)decompress_addr, &decompress_size, (uchar*)dst_addr, dst_length);
			if(ret){
				printf("lzma decompress %s file fail!\r\n", DEFAULT_PQ_LZMA_FILE_NAME);
				return -1;
			}

			// save current pq file to factory
			ret = factory_write(DEFAULT_PQ_FILE_NAME, (char *)decompress_addr, (int)decompress_size);
			if(ret){
				printf("write %s to factory fail!\r\n", DEFAULT_PQ_FILE_NAME);
				return -1;
			}else{
				printf("Write %s to factory...\r\n", DEFAULT_PQ_FILE_NAME);
			}
			
			// factory save
			factory_save();
		}
	}

	return 0;
}

#ifdef CONFIG_CUSTOM_SN_PANEL
extern int do_sn_panel_selection(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[]);

#else
int do_panel_selection(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	char buf[128];
	int i  = 0, select = -1, prev_select = -1;
	const char *oldselect = getenv("panel_select");

#if defined(Config_Module_Test_Boot_TRUE)
#ifdef CONFIG_FORCE_PANEL_NUM
	//marked by yorke
	//setenv("panel_detect", FORCE_PANEL_NUM);
	//saveenv();

	printf("MT cannot select panel, using panel [%d] %s\n", FORCE_PANEL_NUM, panel_setting[FORCE_PANEL_NUM].sPanelName);
	return CMD_RET_SUCCESS;
#endif
#endif

#ifdef CONFIG_AUTODETECT_PANEL
	int autodetect = 0;
	const char *paneldetect = getenv("panel_detect");

	autodetect = simple_strtoul(paneldetect, NULL, 10);
#endif

#ifdef CONFIG_AUTODETECT_PANEL	
	printf("===================================================\n");
	printf("Please select panel detection method, current is %s\n", (autodetect ? "manual":"auto"));
	printf("[0] auto\n[1] manual\n");
	printf("=> ");
	gets(buf);
	select = simple_strtoul(strtrim(buf), NULL, 10);
	setenv("panel_detect", strim(buf));
	if(select ==0)
	{
		printf("\n===================================================\n");
		printf("### your selection is [0] auto mode ###\n");
		printf("===================================================\n");
		saveenv();
		return CMD_RET_SUCCESS;
	}
	else
	{
		printf("\n===================================================\n");
		printf("### your selection is [1] manual mode ###\n");
		
	}
#endif
	select = simple_strtoul(oldselect, NULL, 10);
	printf("===================================================\n");
	if(oldselect == NULL)
	{
		prev_select = 0;
#ifdef CONFIG_SYS_PANEL_SUPPORT_INI_FILE
		printf("You don't select any panel, default is [x] %s\n", PANEL_INI_FILE_NAME);
#else
		printf("You don't select any panel, default is [%d] %s\n", prev_select, panel_setting[prev_select].sPanelName);
#endif

	}
	else
	{
		select = simple_strtoul(oldselect, NULL, 10);
		printf("The current selection is [%d] %s\n", select, panel_setting[select].sPanelName);
		prev_select = select;
	}

	printf("===================================================\n");
	printf("Please select the panel number you want:\n");
#ifdef CONFIG_SYS_PANEL_SUPPORT_INI_FILE
	printf("[x] %s (Panel setting from ini)\n", PANEL_INI_FILE_NAME);
#endif
	for( i = 0; i < PANEL_NUM ; i++)
	{
		printf("[%d] %s\n", i, panel_setting[i].sPanelName);
	}
	printf("=> ");
	gets(buf);
	printf("\n");
#ifdef CONFIG_SYS_PANEL_SUPPORT_INI_FILE
	if (buf[0] == '\0') // no input
	{
		printf("[ERR] wrong input! \n");
	}
	else if (buf[0] == 'x' || buf[0] == 'X')
	{
		printf("===================================================\n");
		printf("you have selected [%c] %s\n", buf[0], PANEL_INI_FILE_NAME);
		setenv("panel_select", NULL); // clear this variable to use ini panel
		saveenv();
	}
	else
	{
		select = simple_strtoul(strtrim(buf), NULL, 10);
		if( select < PANEL_NUM && select >=0)
		{
			printf("===================================================\n");
			printf("you have selected [%d] %s\n", select, panel_setting[select].sPanelName);
			printf("===================================================\n");
			setenv("panel_select", strim(buf));
			saveenv();

			if(select != prev_select)
				do_PQ_file_change_handle(panel_setting[select].sPanelName, panel_setting[prev_select].sPanelName);
		}
		else
		{
			printf("[ERR] wrong input! \n");
		}
	}
#else
	select = simple_strtoul(strtrim(buf), NULL, 10);
	if( select < PANEL_NUM && select >=0)
	{
		printf("\n===================================================\n");
		printf("you have selected [%d] %s\n", select, panel_setting[select].sPanelName);
		printf("===================================================\n");
		setenv("panel_select", strim(buf));
		saveenv();

		if(select != prev_select)
			do_PQ_file_change_handle(panel_setting[select].sPanelName, panel_setting[prev_select].sPanelName);
	}
	else
	{
		printf("\n [ERR] wrong input! \n");
	}
#endif

	return CMD_RET_SUCCESS;
}
#endif

#if 0 // remove duplicate cmd
U_BOOT_CMD(
	spanel, 3, 0, do_panel_selection,
	"spanel - select panel",
	"This command is used to select panel in uboot level"
	" "
);
#endif

U_BOOT_CMD(
#ifdef CONFIG_CUSTOM_SN_PANEL
	panel,	3,	1,	do_sn_panel_selection,	
#else
	panel,	3,	1,	do_panel_selection,
#endif	
	"select the specific panel config from panel array",
	"[option] [bin_file_name]\n"
	"panel -a       - list all supported panel configs\n"
	"panel -s fname - specific panel binary file as default config\n"
	"Or you just need to input \"panel\" :)"
);

#endif
