/************************************************************************
 *  Include Header File
 ************************************************************************/
#ifndef WATCHDOG_API_H
#define WATCHDOG_API_H

#include <asm/arch/io.h>

/* ISO_MISC_OFF_WDOG */
#define ISO_MISC_TCWCR_reg	(0x18062204)
#define ISO_MISC_TCWTR_reg	(0x18062208)
#define ISO_MISC_TCWNMI_reg	(0x1806220c)
#define ISO_MISC_TCWOV_reg	(0x18062210)

/************************************************************************
 *  Public functions
 ************************************************************************/
#ifdef IS_FPGA
#define WATCHDOG_KICK()
#define WATCHDOG_DISABLE()
#define WATCHDOG_ENABLE()
#else

#ifdef CONFIG_REALTEK_WATCHDOG

#define WATCHDOG_KICK()							\
	do {										\
		rtd_outl(ISO_MISC_TCWTR_reg, 1);		\
	} while(0)

#define WATCHDOG_DISABLE()								\
	do {												\
		rtd_maskl(ISO_MISC_TCWCR_reg, ~0xFF, 0xA5);		\
	} while(0)

#define WATCHDOG_ENABLE()								\
	do {												\
		rtd_outl(ISO_MISC_TCWOV_reg, 0x08000000);	/*0.621377*8=4.97  (9.320655)s*/	\
		rtd_outl(ISO_MISC_TCWNMI_reg, 0x07ff0000);	\
		rtd_maskl(ISO_MISC_TCWCR_reg, ~0xFF, 0x00);	/*enable WDEN*/ \
	} while(0)

#else // CONFIG_REALTEK_WATCHDOG

#define WATCHDOG_KICK()
#define WATCHDOG_DISABLE()								\
	do {												\
		rtd_maskl(ISO_MISC_TCWCR_reg, ~0xFF, 0xA5);		\
	} while(0)

#define WATCHDOG_ENABLE()

#endif	// CONFIG_REALTEK_WATCHDOG

#endif	// IS_FPGA

#endif /* #ifndef WATCHDOG_API_H */
