#include <qc_verify_common.h>
#include <command.h>
#include <mmc.h>
#define Code_Type_QC
//#define  Print_Open


static int INDEX=0;


//EMMC freq.=27 *( PLLEMMC_NCODE_T +3+ PLLEMMC_FCODE_T/2048)/(PLLSN+2)/(PLLSDIV2)
//0x1800_0700[17] =0 PLLSDIV2=2
//0x1800_0700[17] =1 PLLSDIV2=4

static void emmc_pll_print( unsigned int NCODE_T, unsigned int FCODE_T, unsigned int PLLSN,unsigned int PLLSDIV2 )
{
    printf( "\nemmc pll freq. \n");
    unsigned int emmc_pll_freq;

    emmc_pll_freq = 27 *( NCODE_T +3+ FCODE_T/2048)/(PLLSN+2)/(PLLSDIV2*2+2);

    printf( "emmc_pll_freq = %dMHz\n",emmc_pll_freq);

    if(rtd_inl(0xb8010908)==0)
        printf( "emmc_clk_freq = %dMHz\n",emmc_pll_freq);
    else
        printf( "emmc_clk_freq = %dMHz\n",emmc_pll_freq/(2*rtd_inl(0xb8010908)));

}

static void ddr_pattern_write( unsigned int PATTERN, char* DDR_ADDR, unsigned int BYTE_CNT )
{
    unsigned int i;
    unsigned int* buf;
    unsigned int DDR_VAL;

//  printf( "write ddr from addr = 0x%08x\n",( DDR_ADDR) );

    DDR_VAL  =  PATTERN;
    buf = (unsigned int* )DDR_ADDR;
    for( i=0; i < (BYTE_CNT/4); i++ ) {
        buf[i] = PATTERN;
        //buf[i]=wdata[i];
    }
    flush_cache((ulong)DDR_ADDR, BYTE_CNT); /* FIXME */   //makesure data : cpu->cache->ddr

#ifdef  Print_Open
    //show info
    for(i=0;i< ((BYTE_CNT/4)/8) ;i++) {
        printf("[%03x~%03x] = 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x\n",
            (i*32),((i*32)+31),
            buf[(i*8)+0], buf[(i*8)+1], buf[(i*8)+2], buf[(i*8)+3],
            buf[(i*8)+4], buf[(i*8)+5], buf[(i*8)+6], buf[(i*8)+7]);
    }
    printf("\n");
#endif
}

#define ERASE_PATTERN   0x0
static
void ddr_pattern_erase( char* DDR_ADDR, unsigned int BYTE_CNT )
{
    unsigned int i;
    unsigned int* buf;

    //printf( "\nerase ddr \n");
    buf = (unsigned int* )DDR_ADDR;
    for( i=0; i < (BYTE_CNT/4); i++ ) {
        buf[i] = ERASE_PATTERN;
    }
    flush_cache((ulong)DDR_ADDR, BYTE_CNT); /* FIXME */   //makesure data : cpu->cache->ddr
#ifdef  Print_Open
    //show info
    BYTE_CNT=12;
    for(i=0;i< ((BYTE_CNT/4)/8) ;i++) {
        printf("[%03x~%03x] = 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x\n",
            (i*32),((i*32)+31),
            buf[(i*8)+0], buf[(i*8)+1], buf[(i*8)+2], buf[(i*8)+3],
            buf[(i*8)+4], buf[(i*8)+5], buf[(i*8)+6], buf[(i*8)+7]);
    }
    printf("\n");
#endif
}

static
void ddr_read( char* DDR_ADDR, unsigned int BYTE_CNT )
{
    unsigned int i;
    unsigned int* buf;
    BYTE_CNT=256;
    printf( "\nddr data : \n");
    buf = (unsigned int* )DDR_ADDR;
    for( i=0; i < (BYTE_CNT/4); i++ ) {
        buf[i] = rtd_inl(DDR_ADDR);
        DDR_ADDR = DDR_ADDR + 4;
    }
    for(i=0;i< ((BYTE_CNT/4)/8) ;i++) {
        printf("[%03x~%03x] = 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x\n",
            (i*32),((i*32)+31),
            buf[(i*8)+0], buf[(i*8)+1], buf[(i*8)+2], buf[(i*8)+3],
            buf[(i*8)+4], buf[(i*8)+5], buf[(i*8)+6], buf[(i*8)+7]);
    }
    printf("\n");
}

static
void ddr_pattern_check( char* DDR_ADDR, unsigned int BYTE_CNT,unsigned int PATTERN )
{
    printf( "\nread ddr \n");
    unsigned int i;
    unsigned int more_c;
    unsigned int* buf;
    //printf( "\nread ddr \n");

    buf = (unsigned int* )DDR_ADDR;

//#define CHK_BUF_TEST
#ifdef CHK_BUF_TEST
    buf[(128*18)+0x20] =0x12345678;
#endif
    flush_cache((ulong)DDR_ADDR, BYTE_CNT); /* FIXME */   //makesure data : cpu->cache->ddr
#ifdef CHK_BUF_TEST
//          printf("3!!!\n");
//          for(i=0;i< ((BYTE_CNT/4)/8) ;i++) {
//              printf("[%03x~%03x] = 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x 0x%08x\n",
//                  (i*8),((i*8)+7),
//                  buf[(i*8)+0], buf[(i*8)+1], buf[(i*8)+2], buf[(i*8)+3],
//                  buf[(i*8)+4], buf[(i*8)+5], buf[(i*8)+6], buf[(i*8)+7]);
//          }
//          printf("\n");
#endif

#define MAX_DISPLAY_CNT 0

    more_c = 0;
    for( i=0; i < (BYTE_CNT/4); i++ )
    {
        if( buf[i] != PATTERN){
        //if( buf[i] != wdata[i]){
            printf("mismatch!!!\n");
            printf("Block = %d fail\n",i/128);
            printf("write data = 0x%08x\n", PATTERN);
            printf("read data = 0x%08x\n", buf[i]);
SHOW_MORE:
            //printf("[0x%08x] = 0x%08x {Block%d}\n",
            //      &buf[i],buf[i],(i/128));

            INDEX = -1;
            more_c++;
            if(more_c>MAX_DISPLAY_CNT){
                break;
            }else{
                i++;
                goto SHOW_MORE;
            }
        }
    }
}

int mmc_Wphase_scan(u32 blk,char *ddr_addr_w)
{
    int i;
    unsigned int phase_reg1;
    unsigned int phase_reg2;
    unsigned int wphase_tmp;
    unsigned int wphase_ori;
    unsigned int wphase_old;
    unsigned int reginfo;
    unsigned int reginfo_tmp;
    int err = -1;

#define MMC_SCAN_RANGE      (2)             //Testing renge against default w Phase

    phase_reg1 = rtd_inl(0xb8000708);
    phase_reg2 = rtd_inl(0xb800070c);

    printf("\n====== Write Testing (MMC block=0x%x Memory=0x%x) ======\n\n",
            blk,(unsigned int)ddr_addr_w);
    printf("0x18000708=0x%x 0x1800070c=0x%x\n",
            phase_reg1,phase_reg2);

    wphase_old = wphase_ori = phase_reg1 & 0x1f;
    reginfo = phase_reg1 & 0xffffffc0;
    printf("Current wphase=%x\n\n",wphase_ori);

    wphase_ori = (wphase_ori+32)-MMC_SCAN_RANGE;
    for (i=0;i<(MMC_SCAN_RANGE*2+1);i++){
        /* Check more two step to make sure stable */
        wphase_tmp = (wphase_ori+i);
        if(wphase_tmp >= 32)
            wphase_tmp -= 32;

        reginfo_tmp = reginfo|wphase_tmp;
        rtd_outl(0xb8000708,reginfo_tmp);

        //printf("loop%x 0xb8000708=0x%x\n",i, rtd_inl(0xb8000708));

        err = rtk_eMMC_write(blk,1*512,(unsigned int)ddr_addr_w);

        if(err != 1){
            printf("scan fail at wphase=%x\n",wphase_tmp);
            err = -1;
            break;
        }else{
            err = 0;
        }
    }

    /* restore origional write phase */
    reginfo_tmp = reginfo|wphase_old;
    rtd_outl(0xb8000708,reginfo_tmp);

    printf("write test %s\n\n",(err)?"fail":"success");

#if 0   /* last check */
    phase_reg1 = rtd_inl(0xb8000708);
    phase_reg2 = rtd_inl(0xb800070c);
    printf("0x18000708=0x%x 0x1800070c=0x%x\n",
            phase_reg1,phase_reg2);
#endif
    return err;

}


//From rtkmmc.c
/******************************************************************************
    blk_addr: start block address in 512 bytes write to eMMC.
    data_size : how many bytes want to be writed to eMMC .
    buffer : pointer of data buffer

    return value: byte count of successful reading.

int rtk_eMMC_write( unsigned int blk_addr, unsigned int data_size, unsigned int * buffer )
 ******************************************************************************/

/******************************************************************************
    blk_addr: start block address in 512 bytes read form eMMC.
    data_size : how many bytes want to be read from eMMC.
    buffer : pointer of data buffer

    return value: byte count of successful reading.
int rtk_eMMC_read( unsigned int blk_addr, unsigned int data_size, unsigned int * buffer )
 ******************************************************************************/


int QC_Verifier_EMMC(void)
{

    //mmc_initial( 0 );
    //mmc_initial( 1 );
    //u32 blk, cnt, n;

    u32 blk;
    u32 blk_cnt;
    u32 test_pattern;
    u32 n,m,l,check1,check2,check3;
    char *ddr_addr_r, *ddr_addr_w;  //ddr address
    char * tmp_buf_w = NULL;
    char * tmp_buf_r = NULL;
    test_pattern = 0x000000ff;
    blk = 0x700000;         //emmc_data_addr
    blk_cnt = 16;           //block_cnt
    tmp_buf_w = (char *)malloc((blk_cnt*0x200)+0x20);
    tmp_buf_r = (char *)malloc((blk_cnt*0x200)+0x20);

    if(!tmp_buf_w || !tmp_buf_r){
        return -1;
    }
    ddr_addr_w = (char *)((((uint)(tmp_buf_w))&(~0x1F)) + 0x20); //align 16byte
    ddr_addr_r = (char *)((((uint)(tmp_buf_r))&(~0x1F)) + 0x20); //align 16byte
    //printf("ddr_addr_w=0x%x\n", ddr_addr_w);
    //printf("ddr_addr_r=0x%x\n", ddr_addr_r);
    INDEX=0;

    printf("eMMC QC code Test Begin!\n");
    //Pinmux
    rtd_part_outl(0xb8000860,31,28,0x1);    //rst_n        MIS_GPIO_bit83,<I/O>
    rtd_part_outl(0xb8000860,23,20,0x1);    //clk          MIS_GPIO_bit84,<I/O>
    rtd_part_outl(0xb8000860,15,12,0x1);    //cmd          MIS_GPIO_bit85,<I/O>
    rtd_part_outl(0xb8000860,07,04,0x1);    //ds           MIS_GPIO_bit86,<I/O>
    rtd_part_outl(0xb8000864,31,28,0x1);    //data_bit5    MIS_GPIO_bit87,<I/O>
    rtd_part_outl(0xb8000864,23,20,0x1);    //data_bit3    MIS_GPIO_bit88,<I/O>
    rtd_part_outl(0xb8000864,15,12,0x1);    //data_bit4    MIS_GPIO_bit89,<I/O>
    rtd_part_outl(0xb8000864,07,04,0x1);    //data_bit0    MIS_GPIO_bit90,<I/O>
    rtd_part_outl(0xb8000868,31,28,0x1);    //data_bit1    MIS_GPIO_bit91,<I/O>
    rtd_part_outl(0xb8000868,23,20,0x1);    //data_bit2    MIS_GPIO_bit92,<I/O>
    rtd_part_outl(0xb8000868,15,12,0x1);    //data_bit7    MIS_GPIO_bit93,<I/O>
    rtd_part_outl(0xb8000868,07,04,0x1);    //data_bit6    MIS_GPIO_bit94,<I/O>
    rtd_part_outl(0xb8000868,00,00,0x1);    //sel emmc     MIS_GPIO_bit94,<I/O>

    rtd_outl(0xb80108A0,0x91900000);  //rst,cmd pull up,clk default
    rtd_outl(0xb80108A8,0x59999999);  //ds pull down,d5,d3,d4,d0,d1,d2,d7 pull up
    rtd_outl(0xb80108AC,0x90000000);  //d6 pull up

#if CONFIG_FT
    //mac6 pad ds driving set to bad for No cap

    rtd_outl(0xb80008A4, 0x24120900);   //pad driving
    rtd_outl(0xb80008B0, 0x24120900);   //pad driving
    rtd_outl(0xb80008B4, 0x24120900);   //pad driving
    //rtd_outl(0xb80008B8, 0x24120900); //pad driving
#endif

    emmc_pll_print( rtd_part_inl(0xb8000720, 23, 16), rtd_part_inl(0xb8000720, 10,  0),
                  rtd_part_inl(0xb8000700, 10, 8),rtd_part_inl(0xb8000700, 17, 17) );
    printf("\nINDEX=%d\n",INDEX);
    printf("n=%d\n",n);

    ddr_pattern_write( test_pattern, ddr_addr_w, 512*blk_cnt );

    printf("write phase scan (two step)\n");
    if(mmc_Wphase_scan(blk,ddr_addr_w)){
        INDEX = -1;
        goto FAIL_OUT;
    }

    printf("write test\n");
    n = rtk_eMMC_write(blk,blk_cnt*512,(unsigned int)ddr_addr_w);
    if(n!=blk_cnt){
        printf(" write fail !!!\n");
        INDEX=-1;
    }

    ddr_pattern_erase( ddr_addr_r, 512*blk_cnt );
    printf("read test\n");
    n = rtk_eMMC_read(blk,blk_cnt*512, (unsigned int)ddr_addr_r);
    if(n!=blk_cnt){
        printf(" read fail !!!\n");
        INDEX=-1;
    }

//  printf("after read, ddr_addr_r=0x%x",ddr_addr_r);
//  ddr_read( ddr_addr_r, 512*blk_cnt );
    ddr_pattern_check( ddr_addr_r, 512*blk_cnt, test_pattern );

//  printf("after check, ddr_addr_r=0x%x",ddr_addr_r);
//  ddr_read( ddr_addr_r, 512*blk_cnt );

//  printf("INDEX=%d\n\n",INDEX);

/* temp return here */
    printf(" mmc data compare test\n");
    if(INDEX == 0){
        ddr_pattern_write( 0x0, ddr_addr_w, 512*blk_cnt );
        n = rtk_eMMC_write(blk,blk_cnt*512,ddr_addr_w);
        printf(" --- Pass --- !!!\n");
    }
    else{
        printf(" --- Fail --- !!!\n");
    }

    printf("====================================\n");

FAIL_OUT:
    if(tmp_buf_w)
        free(tmp_buf_w);

    if(tmp_buf_r)
        free(tmp_buf_r);

    return INDEX;   //SUCCESS=0, FAILED =-1

}


