#include "config.h"
#include "../tb_util.h"

#if GP_M470_MP_F013_MMU_GP_IRQ

static char* pattern_0 ="\
02000010: ........ 00000001 00000000 00000001\n\
02000020: 00000001 ........ ........ ........\n";

static char* pattern_1="\
02000010: ........ 00000002 00000000 00000002\n\
02000020: 00000002 ........ ........ ........\n";

static test_vector gp_m470_mp_F013_MMU_GP_IRQ_vector = {
	.vector_name = "gp_m470_mp_F013_MMU_GP_IRQ",
	.cmd_string = "reset\n\
timeout 10000\n\
\n\
# Set up interrupt mask\n\
writereg 0200001c 00000001\n\
writereg 02000014 00000001\n\
wait posedge irq\n\
dump_reg 02000014 02000024 > 0\n\
reset\n\
writereg 0200001c 00000002\n\
writereg 02000014 00000002\n\
wait posedge irq\n\
dump_reg 02000014 02000024 > 1\n\
quit\n",
	{NULL},
	.load_pattern_num = 0,
	{NULL},
	{0},
	.pattern_num = 0,
};

mali_error_code gp_m470_mp_F013_MMU_GP_IRQ(void){
	mali_error_code err = MALI_ERROR_NO_ERROR;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern[0] = pattern_0;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern[1] = pattern_1;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern_num = 2;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern_offset[0] = 0;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern_offset[1] = 0;
	gp_m470_mp_F013_MMU_GP_IRQ_vector.pattern_offset[2] = 0;
	IPRINTF("\n\n\n\n>>>>>enter function gp_m470_mp_F013_MMU_GP_IRQ <<<<<\n");
	err = cmd_read_configtxt(&gp_m470_mp_F013_MMU_GP_IRQ_vector);
	closing(&gp_m470_mp_F013_MMU_GP_IRQ_vector);
	return err;

}

#endif

