#include "config.h"
#include "../tb_util.h"
#if MP_M470_MP_DLBXBASIC_0


static test_vector mp_m470_MP_DLBXBASIC_0_vector = {
	.vector_name = "mp_m470_MP_DLBXBASIC_0_vector",
	.cmd_string = "reset\n\
# -----------------------------------------------------------------------------\n\
# Configuration of the dynamic load balancer\n\
# DLB: 0x80014000 - 0x80014FFF\n\
# -----------------------------------------------------------------------------\n\
writereg 80014000 00050001 # Master tile list physical base address and axi router enable\n\
writereg 80014004 00050000 # Master tile list virtual base address\n\
writereg 80014008 00047000 # Tile list virtual base address\n\
writereg 8001400C 000F000F # Framebuffer dimension\n\
# Tile list configuration.\n\
# Setting one tile to be binned to each tile in each direction\n\
writereg 80014010 00010001 # Tile list configuration\n\
# Start the two tile iterators at tile positions (0,0) and (X,X)\n\
writereg 80014014 0F0F0000 # Start tile positions\n\
\n\
# Enable all PPs\n\
writereg 80014018 000000FF # PP enable mask\n\
\n\
# -----------------------------------------------------------------------------\n\
# Broadcast PP setup\n\
# BROADCAST CONFIG: 0x80013000 - 0x80013FFF\n\
# BROADCAST PP    : 0x80016000 - 0x80017FFF\n\
# -----------------------------------------------------------------------------\n\
# Enable broadcasting to all PPs\n\
writereg 80013000 000000FF # Broadcast mask register\n\
\n\
# Tie the interrupt signal for all PPs low\n\
writereg 80013004 000000FF  # Interrupt mask override\n\
\n\
# Clear interrupts\n\
writereg 80000028 00707bfe # Clear interrupt status for GP\n\
writereg 80017024 00000fff # Clear interrupt status for all PPs\n\
\n\
# -----------------------------------------------------------------------------\n\
# Load up the memory with the test and broadcast the register writes\n\
# to all PPs.\n\
# -----------------------------------------------------------------------------\n\
load_mem 0\n\
writereg 80016000 00050000   # REND_LIST_ADDR\n\
writereg 80016004 00000040   # REND_RSW_BASE\n\
writereg 80016008 000440c0   # REND_VERTEX_BASE\n\
writereg 80016048 00000075   # SUBPIXEL_SPECIFIER\n\
writereg 80016100 00000002   # WB0_SOURCE_SELECT\n\
writereg 80016104 00004060   # WB0_TARGET_ADDR\n\
writereg 80016114 00000040   # WB0_TARGET_SCANLINE_LENGTH\n\
writereg 8001700C 00000040   # CTRL_MGMT\n\
wait posedge irq\n\
\n\
dump_mem 00004060 00024060 > 0\n\
\n\
quit\n" ,
	{NULL},
	.load_pattern_num = 0,
	{NULL},
	.pattern_num = 0,
};

mali_error_code mp_m470_MP_DLBXBASIC_0(void){
	mali_error_code ret_value = MALI_ERROR_NO_ERROR;
	char * gpu_pattern;
	char * gpu_golden_pattern;

	ret_value = QC_Copy_Pattern_data(GPU_PATTERN_ADDR,GPU_PATTERN_GOLDEN_ADDR);
	if( ret_value != MALI_ERROR_NO_ERROR) goto end;
	mp_m470_MP_DLBXBASIC_0_vector.load_pattern[0] = (char*)(GPU_PATTERN_ADDR);
	gpu_pattern = (char*)(GPU_PATTERN_ADDR);
	gpu_pattern[gpu_pattern_size] = '\0';
	mp_m470_MP_DLBXBASIC_0_vector.load_pattern_num = 1;
	mp_m470_MP_DLBXBASIC_0_vector.pattern[0] = (char*)(GPU_PATTERN_GOLDEN_ADDR);
	mp_m470_MP_DLBXBASIC_0_vector.pattern_offset[0] = 0;
	gpu_golden_pattern = (char*)(GPU_PATTERN_GOLDEN_ADDR);
	gpu_golden_pattern[gpu_pattern_golden_size] = '\0';
	mp_m470_MP_DLBXBASIC_0_vector.pattern_num = 1;

	IPRINTF("\n\n\n\n>>>>>enter function mp_m470_MP_DLBXBASIC_0 <<<<<\n");
	ret_value = cmd_read_configtxt(&mp_m470_MP_DLBXBASIC_0_vector);
	closing(&mp_m470_MP_DLBXBASIC_0_vector);

end:
	return ret_value;

}

#endif
