/*-----------------------------------------------------------------------------
 * The confidential and proprietary information contained in this file may
 * only be used by a person authorised under and to the extent permitted
 * by a subsisting licensing agreement from ARM Limited or its affiliates.
 *
 *            (C) COPYRIGHT 2008-2009, 2011-2017 ARM Limited or its affiliates.
 *                ALL RIGHTS RESERVED
 *
 * This entire notice must be reproduced on all copies of this file
 * and copies of this file may only be made by a person if such person is
 * permitted to do so under the terms of a subsisting license agreement
 * from ARM Limited or its affiliates.
 *
 *      Release Information : r0p0-00eac0
 *
 *-----------------------------------------------------------------------------
 *
 *-----------------------------------------------------------------------------
 * Abstract : System Specific Functions - including interrupts
 *----------------------------------------------------------------------------*/

#include "MaliFns.h"
//#include <stdio.h>
#include <qc_verify_common.h>
#include <common.h>
//#include "../bootcode_aarch32/common.h"
//#include "../bootcode_aarch32/IntHandler.h"

#define MALI_DVALIN_GPU_IRQ 46 //spi[14]
#define MALI_DVALIN_JOB_IRQ 76 //spi[44]
#define MALI_DVALIN_MMU_IRQ 74 //spi[42]
#define MALI_DVALIN_EVENT_IRQ 75 //spi[43]

//#define MALI_DVALIN_GPU_IRQ 64
//#define MALI_DVALIN_JOB_IRQ 65
//#define MALI_DVALIN_MMU_IRQ 66
//#define MALI_DVALIN_EVENT_IRQ 67



/* these functions are in helpers.s */
void call_wfi(void){
	unsigned int regnum_value =  rtd_inl(REGS_GPU_WRAPPER_IRQ_STAT);

	printf ("Waiting for interrupt...\n");

	while (regnum_value & 0xF == 0)
	{
		regnum_value = rtd_inl(REGS_GPU_WRAPPER_IRQ_STAT);
		udelay(1000);
	}  

	printf ("Interrupt comes! (REGS_GPU_WRAPPER_IRQ_STAT:0x%x)\n", regnum_value);

}
void enable_irq(void){ }

void disable_irq(void){ }


void CPU_EnableInterrupts(void) {
  enable_irq();
}

void CPU_DisableInterrupts(void) {
  disable_irq();
}

void CPU_InitialiseInterrupts(void) {
//  init_and_install_gic();
}

void Mali_WaitForInterrupt(void) {
  call_wfi();
};

void Mali_WaitForClk(int cyc)
{ 
    int count = cyc *4;
    printf ("Mali_WaitForClk: cyc=%d, count=%d\n", cyc, count);
    while (count > 0)
        count--;
};

void Mali_InstallIntHandlers(void (*callback_mali_gpu)(int, int), 
			     void (*callback_mali_mmu)(int, int), 
			     void (*callback_mali_job)(int, int), 
			     void (*callback_mali_event)(int, int)) 
{
  printf("DVALIN\n");
  interrupt_handler_set( MALI_DVALIN_GPU_IRQ, callback_mali_gpu );
  interrupt_handler_set( MALI_DVALIN_MMU_IRQ, callback_mali_mmu );
  interrupt_handler_set( MALI_DVALIN_JOB_IRQ, callback_mali_job );
  interrupt_handler_set( MALI_DVALIN_EVENT_IRQ, callback_mali_event );

  int_enable( MALI_DVALIN_GPU_IRQ );
  int_enable( MALI_DVALIN_MMU_IRQ );
  int_enable( MALI_DVALIN_JOB_IRQ );
  int_enable( MALI_DVALIN_EVENT_IRQ );
};

/* For future use. Called just before a PP job starts */
void Mali_SetupOutputFrame (void) {
};

/* For future used. Called once a job part has recieved its required interrupts */
/* It is not currently used; but would be a suitable place to position CPU cache cleaning */
/* routines - if it was required to clean/invalidate the cpu caches before performing */
/* self checking */
void Mali_JobPartDone (void) {
};

void Mali_Message(char *s) {
  printf("%s",s);
};

