/*----------------------------------------------------------------------------
*
* The confidential and proprietary information contained in this file may
* only be used by a person authorised under and to the extent permitted
* by a subsisting licensing agreement from ARM Limited or its affiliates.
*
*        (C) COPYRIGHT 2008-2009, 2011-2017 ARM Limited or its affiliates.
*             ALL RIGHTS RESERVED
*             
* This entire notice must be reproduced on all copies of this file
* and copies of this file may only be made by a person if such person is
* permitted to do so under the terms of a subsisting license agreement
* from ARM Limited or its affiliates.
*
* Release   : r0p0-00eac0
*-----------------------------------------------------------------------------*/
#include "MaliFns.h"
#include "non_coherent_DVALIN_Dump.h"
// Max errors - note this is a negative number
#ifndef MAX_ERR
  #define MAX_ERR -4
#endif
#ifndef VERBOSE_CHECK
  #define VERBOSE_CHECK 0
#endif

int Check_output_dmp_000001_remapped (int prev_res) {
  int res = prev_res;
  struct t_CheckData_output_dmp_000001_remapped *r = &CheckData_output_dmp_000001_remapped;
  if (VERBOSE_CHECK) { Mali_Message("Check_output_dmp_000001_remapped : 131072 bytes\n"); };

  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd600b000, 0xd600b000, r->data_d600b000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd600c000, 0xd600c000, r->data_d600c000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd600d000, 0xd600d000, r->data_d600d000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd600e000, 0xd600e000, r->data_d600e000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd600f000, 0xd600f000, r->data_d600f000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6010000, 0xd6010000, r->data_d6010000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6011000, 0xd6011000, r->data_d6011000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6012000, 0xd6012000, r->data_d6012000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6013000, 0xd6013000, r->data_d6013000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6014000, 0xd6014000, r->data_d6014000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6015000, 0xd6015000, r->data_d6015000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6016000, 0xd6016000, r->data_d6016000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6017000, 0xd6017000, r->data_d6017000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6018000, 0xd6018000, r->data_d6018000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6019000, 0xd6019000, r->data_d6019000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601a000, 0xd601a000, r->data_d601a000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601b000, 0xd601b000, r->data_d601b000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601c000, 0xd601c000, r->data_d601c000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601d000, 0xd601d000, r->data_d601d000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601e000, 0xd601e000, r->data_d601e000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd601f000, 0xd601f000, r->data_d601f000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6020000, 0xd6020000, r->data_d6020000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6021000, 0xd6021000, r->data_d6021000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6022000, 0xd6022000, r->data_d6022000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6023000, 0xd6023000, r->data_d6023000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6024000, 0xd6024000, r->data_d6024000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6025000, 0xd6025000, r->data_d6025000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6026000, 0xd6026000, r->data_d6026000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6027000, 0xd6027000, r->data_d6027000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6028000, 0xd6028000, r->data_d6028000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6029000, 0xd6029000, r->data_d6029000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602a000, 0xd602a000, r->data_d602a000, 0, 0x400); };
  /* Return -1 if a compare fail */
  if (res) { return res; };
  return 0;
};

int Check_output_dmp_000002_remapped (int prev_res) {
  int res = prev_res;
  struct t_CheckData_output_dmp_000002_remapped *r = &CheckData_output_dmp_000002_remapped;
  if (VERBOSE_CHECK) { Mali_Message("Check_output_dmp_000002_remapped : 16384 bytes\n"); };

  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602b000, 0xd602b000, r->data_d602b000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602c000, 0xd602c000, r->data_d602c000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602d000, 0xd602d000, r->data_d602d000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602e000, 0xd602e000, r->data_d602e000, 0, 0x400); };
  /* Return -1 if a compare fail */
  if (res) { return res; };
  return 0;
};

int Check_output_dmp_000003_remapped (int prev_res) {
  int res = prev_res;
  struct t_CheckData_output_dmp_000003_remapped *r = &CheckData_output_dmp_000003_remapped;
  if (VERBOSE_CHECK) { Mali_Message("Check_output_dmp_000003_remapped : 16384 bytes\n"); };

  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602f000, 0xd602f000, r->data_d602f000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6030000, 0xd6030000, r->data_d6030000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6031000, 0xd6031000, r->data_d6031000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6032000, 0xd6032000, r->data_d6032000, 0, 0x400); };
  /* Return -1 if a compare fail */
  if (res) { return res; };
  return 0;
};

int Check_output_dmp_000004_remapped (int prev_res) {
  int res = prev_res;
  struct t_CheckData_output_dmp_000004_remapped *r = &CheckData_output_dmp_000004_remapped;
  if (VERBOSE_CHECK) { Mali_Message("Check_output_dmp_000004_remapped : 16384 bytes\n"); };

  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd602f000, 0xd602f000, r->data_d602f000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6030000, 0xd6030000, r->data_d6030000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6031000, 0xd6031000, r->data_d6031000, 0, 0x400); };
  if (res > MAX_ERR) { res += Mali_MemCmp((unsigned int *)0xd6032000, 0xd6032000, r->data_d6032000, 0, 0x400); };
  /* Return -1 if a compare fail */
  if (res) { return res; };
  return 0;
};


