/**************************************************************
// Spec Version                  : 1.3
// Parser Version                : DVR_Parser_6.11(120105)
// CModelGen Version             : 5.1 2012.01.05
// Naming Rule                   :  Module_Register_Name
// Naming Rule                   : Module_Register_Name_reg
// Parse Option                  : Only Parse _op1
// Parse Address Region          : All Address Region 
// Decode bit number             : 12 bits
// Firmware Header Generate Date : 2014/7/22 16:41:33
***************************************************************/


#ifndef _HDMI_BUS_REG_H_INCLUDED_
#define _HDMI_BUS_REG_H_INCLUDED_
#ifdef  _HDMI_BUS_USE_STRUCT
typedef struct 
{
unsigned int     reserved_0:30;
unsigned int     hdmi0_bist_en:1;
unsigned int     hdmi1_bist_en:1;
}HDMI_BUS_BIST_EN;

typedef struct 
{
unsigned int     reserved_0:28;
unsigned int     hdmi0_drf_test_resume:1;
unsigned int     hdmi1_drf_test_resume:1;
unsigned int     hdmi0_drf_bist_en:1;
unsigned int     hdmi1_drf_bist_en:1;
}HDMI_BUS_DRF_BIST_EN;

typedef struct 
{
unsigned int     reserved_0:31;
unsigned int     mbist_hdmi_st:1;
}HDMI_BUS_BIST_ST;

typedef struct 
{
unsigned int     time_rdy_ckout:2;
unsigned int     time2_rst_width:2;
unsigned int     pcr_rst_n:1;
unsigned int     time0_ck:3;
unsigned int     f390k:2;
unsigned int     pll_en:1;
unsigned int     en_wdog:1;
unsigned int     ssc_ckinv:1;
unsigned int     fcode:11;
unsigned int     ncode:8;
}HDMI_BUS_DVFS1;

typedef struct 
{
unsigned int     bypass_pi:1;
unsigned int     en_pi_debug:1;
unsigned int     hs_oc_stop_diff:2;
unsigned int     pi_cur_sel:2;
unsigned int     sel_oc_mode:2;
unsigned int     reserved_0:2;
unsigned int     oc_done_delay:6;
unsigned int     reserved_1:2;
unsigned int     oc_step_set:10;
unsigned int     clkrdy:1;
unsigned int     sdm_order:1;
unsigned int     oc_done:1;
unsigned int     oc_en:1;
}HDMI_BUS_DVFS2;

typedef struct 
{
unsigned int     load_fcw:1;
unsigned int     reserved_0:3;
unsigned int     fmod:1;
unsigned int     fcode_debug:11;
unsigned int     ncode_debug:8;
unsigned int     reserved_1:8;
}HDMI_BUS_DVFS3;

typedef struct 
{
unsigned int     reserved_0:12;
unsigned int     ssc_en:1;
unsigned int     fcode_ssc:11;
unsigned int     ncode_ssc:8;
}HDMI_BUS_DVFS4;

typedef struct 
{
unsigned int     reserved_0:9;
unsigned int     gran_auto_rst:1;
unsigned int     dot_gran:3;
unsigned int     gran_est:19;
}HDMI_BUS_DVFS5;

typedef struct 
{
unsigned int     hdmi_ck_en:1;
unsigned int     pll_pow:1;
unsigned int     pll_cp:2;
unsigned int     pll_cs:2;
unsigned int     pll_cksel:2;
unsigned int     pll_ext_ldo_lv:1;
unsigned int     pll_vcogain:1;
unsigned int     pll_wdrst:1;
unsigned int     pll_wdset:1;
unsigned int     pll_m1:2;
unsigned int     pll_m2:2;
unsigned int     pll_rstb:1;
unsigned int     pll_rs:3;
unsigned int     reserved_0:1;
unsigned int     tst_div:3;
unsigned int     pll_ldo_lv_sel:2;
unsigned int     pll_ldo_v18_sel:2;
unsigned int     pll_tst_pow:1;
unsigned int     hdmick_sel:1;
unsigned int     hdmi_mode:1;
unsigned int     mhl_mode:1;
}HDMI_BUS_PHY_CTRL1;

typedef struct 
{
unsigned int     p2s_mode:2;
unsigned int     p2s_ldo_sel:2;
unsigned int     tspc_sel:1;
unsigned int     tmds_ema:1;
unsigned int     tmds_emb:1;
unsigned int     tmds_emc:1;
unsigned int     tmds_emck:1;
unsigned int     tmds_pow:1;
unsigned int     tmds_powa:1;
unsigned int     tmds_powb:1;
unsigned int     tmds_powc:1;
unsigned int     tmds_powck:1;
unsigned int     tmds_powmhlck_a:1;
unsigned int     tmds_powmhlck_b:1;
unsigned int     tmds_csela:2;
unsigned int     tmds_cselb:2;
unsigned int     tmds_cselc:2;
unsigned int     tmds_cselck:2;
unsigned int     tmds_rsela:2;
unsigned int     tmds_rselb:2;
unsigned int     tmds_rselc:2;
unsigned int     tmds_rselck:2;
}HDMI_BUS_PHY_CTRL2;

typedef struct 
{
unsigned int     reserved_0:1;
unsigned int     tmds_idrva:3;
unsigned int     reserved_1:1;
unsigned int     tmds_idrvb:3;
unsigned int     reserved_2:1;
unsigned int     tmds_idrvc:3;
unsigned int     reserved_3:1;
unsigned int     tmds_idrvck:3;
unsigned int     reserved_4:1;
unsigned int     tmds_iema:3;
unsigned int     reserved_5:1;
unsigned int     tmds_iemb:3;
unsigned int     reserved_6:1;
unsigned int     tmds_iemc:3;
unsigned int     reserved_7:1;
unsigned int     tmds_iemck:3;
}HDMI_BUS_PHY_CTRL3;

typedef struct 
{
unsigned int     plldisp_oeb:1;
unsigned int     tmds_imhlck:3;
unsigned int     tmds_sra:2;
unsigned int     tmds_srb:2;
unsigned int     tmds_src:2;
unsigned int     tmds_srck:2;
unsigned int     tmds_srmhlck:2;
unsigned int     plldisp_vcorstb:1;
unsigned int     plldisp_rstb:1;
unsigned int     pll_ip:4;
unsigned int     testsig_sel:2;
unsigned int     test_ldo_sel:2;
unsigned int     plldisp_c3:2;
unsigned int     plldisp_cp:2;
unsigned int     plldisp_cs:2;
unsigned int     plldisp_ddsen:1;
unsigned int     plldisp_pow:1;
}HDMI_BUS_PHY_CTRL4;

typedef struct 
{
unsigned int     plldisp_ip:4;
unsigned int     plldisp_pstst:1;
unsigned int     plldisp_r3:3;
unsigned int     plldisp_n:2;
unsigned int     plldisp_wdmode:2;
unsigned int     plldisp_ssc_enl:1;
unsigned int     plldisp_rs:3;
unsigned int     tmds_div:4;
unsigned int     plldisp_ldosel:2;
unsigned int     plldisp_k:2;
unsigned int     pixel_div:8;
}HDMI_BUS_PHY_CTRL5;

typedef struct 
{
unsigned int     reserved_0:16;
unsigned int     hdmitx_reserve:16;
}HDMI_BUS_PHY_CTRL6;

#endif

#define HDMI_BUS_BIST_EN                                                             0x1803de00
#define HDMI_BUS_BIST_EN_reg_addr                                                    "0xB803DE00"
#define HDMI_BUS_BIST_EN_reg                                                         0xB803DE00
#define set_HDMI_BUS_BIST_EN_reg(data)   (*((volatile unsigned int*) HDMI_BUS_BIST_EN_reg)=data)
#define get_HDMI_BUS_BIST_EN_reg   (*((volatile unsigned int*) HDMI_BUS_BIST_EN_reg))
#define HDMI_BUS_BIST_EN_inst_adr                                                    "0x0080"
#define HDMI_BUS_BIST_EN_inst                                                        0x0080
#define HDMI_BUS_BIST_EN_hdmi0_bist_en_shift                                         (1)
#define HDMI_BUS_BIST_EN_hdmi0_bist_en_mask                                          (0x00000002)
#define HDMI_BUS_BIST_EN_hdmi0_bist_en(data)                                         (0x00000002&((data)<<1))
#define HDMI_BUS_BIST_EN_hdmi0_bist_en_src(data)                                     ((0x00000002&(data))>>1)
#define HDMI_BUS_BIST_EN_get_hdmi0_bist_en(data)                                     ((0x00000002&(data))>>1)
#define HDMI_BUS_BIST_EN_hdmi1_bist_en_shift                                         (0)
#define HDMI_BUS_BIST_EN_hdmi1_bist_en_mask                                          (0x00000001)
#define HDMI_BUS_BIST_EN_hdmi1_bist_en(data)                                         (0x00000001&((data)<<0))
#define HDMI_BUS_BIST_EN_hdmi1_bist_en_src(data)                                     ((0x00000001&(data))>>0)
#define HDMI_BUS_BIST_EN_get_hdmi1_bist_en(data)                                     ((0x00000001&(data))>>0)


#define HDMI_BUS_DRF_BIST_EN                                                         0x1803de04
#define HDMI_BUS_DRF_BIST_EN_reg_addr                                                "0xB803DE04"
#define HDMI_BUS_DRF_BIST_EN_reg                                                     0xB803DE04
#define set_HDMI_BUS_DRF_BIST_EN_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DRF_BIST_EN_reg)=data)
#define get_HDMI_BUS_DRF_BIST_EN_reg   (*((volatile unsigned int*) HDMI_BUS_DRF_BIST_EN_reg))
#define HDMI_BUS_DRF_BIST_EN_inst_adr                                                "0x0081"
#define HDMI_BUS_DRF_BIST_EN_inst                                                    0x0081
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_test_resume_shift                             (3)
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_test_resume_mask                              (0x00000008)
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_test_resume(data)                             (0x00000008&((data)<<3))
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_test_resume_src(data)                         ((0x00000008&(data))>>3)
#define HDMI_BUS_DRF_BIST_EN_get_hdmi0_drf_test_resume(data)                         ((0x00000008&(data))>>3)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_test_resume_shift                             (2)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_test_resume_mask                              (0x00000004)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_test_resume(data)                             (0x00000004&((data)<<2))
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_test_resume_src(data)                         ((0x00000004&(data))>>2)
#define HDMI_BUS_DRF_BIST_EN_get_hdmi1_drf_test_resume(data)                         ((0x00000004&(data))>>2)
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_bist_en_shift                                 (1)
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_bist_en_mask                                  (0x00000002)
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_bist_en(data)                                 (0x00000002&((data)<<1))
#define HDMI_BUS_DRF_BIST_EN_hdmi0_drf_bist_en_src(data)                             ((0x00000002&(data))>>1)
#define HDMI_BUS_DRF_BIST_EN_get_hdmi0_drf_bist_en(data)                             ((0x00000002&(data))>>1)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_bist_en_shift                                 (0)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_bist_en_mask                                  (0x00000001)
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_bist_en(data)                                 (0x00000001&((data)<<0))
#define HDMI_BUS_DRF_BIST_EN_hdmi1_drf_bist_en_src(data)                             ((0x00000001&(data))>>0)
#define HDMI_BUS_DRF_BIST_EN_get_hdmi1_drf_bist_en(data)                             ((0x00000001&(data))>>0)


#define HDMI_BUS_BIST_ST                                                             0x1803de08
#define HDMI_BUS_BIST_ST_reg_addr                                                    "0xB803DE08"
#define HDMI_BUS_BIST_ST_reg                                                         0xB803DE08
#define set_HDMI_BUS_BIST_ST_reg(data)   (*((volatile unsigned int*) HDMI_BUS_BIST_ST_reg)=data)
#define get_HDMI_BUS_BIST_ST_reg   (*((volatile unsigned int*) HDMI_BUS_BIST_ST_reg))
#define HDMI_BUS_BIST_ST_inst_adr                                                    "0x0082"
#define HDMI_BUS_BIST_ST_inst                                                        0x0082
#define HDMI_BUS_BIST_ST_mbist_hdmi_st_shift                                         (0)
#define HDMI_BUS_BIST_ST_mbist_hdmi_st_mask                                          (0x00000001)
#define HDMI_BUS_BIST_ST_mbist_hdmi_st(data)                                         (0x00000001&((data)<<0))
#define HDMI_BUS_BIST_ST_mbist_hdmi_st_src(data)                                     ((0x00000001&(data))>>0)
#define HDMI_BUS_BIST_ST_get_mbist_hdmi_st(data)                                     ((0x00000001&(data))>>0)


#define HDMI_BUS_DVFS1                                                               0x1803de0c
#define HDMI_BUS_DVFS1_reg_addr                                                      "0xB803DE0C"
#define HDMI_BUS_DVFS1_reg                                                           0xB803DE0C
#define set_HDMI_BUS_DVFS1_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DVFS1_reg)=data)
#define get_HDMI_BUS_DVFS1_reg   (*((volatile unsigned int*) HDMI_BUS_DVFS1_reg))
#define HDMI_BUS_DVFS1_inst_adr                                                      "0x0083"
#define HDMI_BUS_DVFS1_inst                                                          0x0083
#define HDMI_BUS_DVFS1_time_rdy_ckout_shift                                          (30)
#define HDMI_BUS_DVFS1_time_rdy_ckout_mask                                           (0xC0000000)
#define HDMI_BUS_DVFS1_time_rdy_ckout(data)                                          (0xC0000000&((data)<<30))
#define HDMI_BUS_DVFS1_time_rdy_ckout_src(data)                                      ((0xC0000000&(data))>>30)
#define HDMI_BUS_DVFS1_get_time_rdy_ckout(data)                                      ((0xC0000000&(data))>>30)
#define HDMI_BUS_DVFS1_time2_rst_width_shift                                         (28)
#define HDMI_BUS_DVFS1_time2_rst_width_mask                                          (0x30000000)
#define HDMI_BUS_DVFS1_time2_rst_width(data)                                         (0x30000000&((data)<<28))
#define HDMI_BUS_DVFS1_time2_rst_width_src(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_DVFS1_get_time2_rst_width(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_DVFS1_pcr_rst_n_shift                                               (27)
#define HDMI_BUS_DVFS1_pcr_rst_n_mask                                                (0x08000000)
#define HDMI_BUS_DVFS1_pcr_rst_n(data)                                               (0x08000000&((data)<<27))
#define HDMI_BUS_DVFS1_pcr_rst_n_src(data)                                           ((0x08000000&(data))>>27)
#define HDMI_BUS_DVFS1_get_pcr_rst_n(data)                                           ((0x08000000&(data))>>27)
#define HDMI_BUS_DVFS1_time0_ck_shift                                                (24)
#define HDMI_BUS_DVFS1_time0_ck_mask                                                 (0x07000000)
#define HDMI_BUS_DVFS1_time0_ck(data)                                                (0x07000000&((data)<<24))
#define HDMI_BUS_DVFS1_time0_ck_src(data)                                            ((0x07000000&(data))>>24)
#define HDMI_BUS_DVFS1_get_time0_ck(data)                                            ((0x07000000&(data))>>24)
#define HDMI_BUS_DVFS1_f390k_shift                                                   (22)
#define HDMI_BUS_DVFS1_f390k_mask                                                    (0x00C00000)
#define HDMI_BUS_DVFS1_f390k(data)                                                   (0x00C00000&((data)<<22))
#define HDMI_BUS_DVFS1_f390k_src(data)                                               ((0x00C00000&(data))>>22)
#define HDMI_BUS_DVFS1_get_f390k(data)                                               ((0x00C00000&(data))>>22)
#define HDMI_BUS_DVFS1_pll_en_shift                                                  (21)
#define HDMI_BUS_DVFS1_pll_en_mask                                                   (0x00200000)
#define HDMI_BUS_DVFS1_pll_en(data)                                                  (0x00200000&((data)<<21))
#define HDMI_BUS_DVFS1_pll_en_src(data)                                              ((0x00200000&(data))>>21)
#define HDMI_BUS_DVFS1_get_pll_en(data)                                              ((0x00200000&(data))>>21)
#define HDMI_BUS_DVFS1_en_wdog_shift                                                 (20)
#define HDMI_BUS_DVFS1_en_wdog_mask                                                  (0x00100000)
#define HDMI_BUS_DVFS1_en_wdog(data)                                                 (0x00100000&((data)<<20))
#define HDMI_BUS_DVFS1_en_wdog_src(data)                                             ((0x00100000&(data))>>20)
#define HDMI_BUS_DVFS1_get_en_wdog(data)                                             ((0x00100000&(data))>>20)
#define HDMI_BUS_DVFS1_ssc_ckinv_shift                                               (19)
#define HDMI_BUS_DVFS1_ssc_ckinv_mask                                                (0x00080000)
#define HDMI_BUS_DVFS1_ssc_ckinv(data)                                               (0x00080000&((data)<<19))
#define HDMI_BUS_DVFS1_ssc_ckinv_src(data)                                           ((0x00080000&(data))>>19)
#define HDMI_BUS_DVFS1_get_ssc_ckinv(data)                                           ((0x00080000&(data))>>19)
#define HDMI_BUS_DVFS1_fcode_shift                                                   (8)
#define HDMI_BUS_DVFS1_fcode_mask                                                    (0x0007FF00)
#define HDMI_BUS_DVFS1_fcode(data)                                                   (0x0007FF00&((data)<<8))
#define HDMI_BUS_DVFS1_fcode_src(data)                                               ((0x0007FF00&(data))>>8)
#define HDMI_BUS_DVFS1_get_fcode(data)                                               ((0x0007FF00&(data))>>8)
#define HDMI_BUS_DVFS1_ncode_shift                                                   (0)
#define HDMI_BUS_DVFS1_ncode_mask                                                    (0x000000FF)
#define HDMI_BUS_DVFS1_ncode(data)                                                   (0x000000FF&((data)<<0))
#define HDMI_BUS_DVFS1_ncode_src(data)                                               ((0x000000FF&(data))>>0)
#define HDMI_BUS_DVFS1_get_ncode(data)                                               ((0x000000FF&(data))>>0)


#define HDMI_BUS_DVFS2                                                               0x1803de10
#define HDMI_BUS_DVFS2_reg_addr                                                      "0xB803DE10"
#define HDMI_BUS_DVFS2_reg                                                           0xB803DE10
#define set_HDMI_BUS_DVFS2_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DVFS2_reg)=data)
#define get_HDMI_BUS_DVFS2_reg   (*((volatile unsigned int*) HDMI_BUS_DVFS2_reg))
#define HDMI_BUS_DVFS2_inst_adr                                                      "0x0084"
#define HDMI_BUS_DVFS2_inst                                                          0x0084
#define HDMI_BUS_DVFS2_bypass_pi_shift                                               (31)
#define HDMI_BUS_DVFS2_bypass_pi_mask                                                (0x80000000)
#define HDMI_BUS_DVFS2_bypass_pi(data)                                               (0x80000000&((data)<<31))
#define HDMI_BUS_DVFS2_bypass_pi_src(data)                                           ((0x80000000&(data))>>31)
#define HDMI_BUS_DVFS2_get_bypass_pi(data)                                           ((0x80000000&(data))>>31)
#define HDMI_BUS_DVFS2_en_pi_debug_shift                                             (30)
#define HDMI_BUS_DVFS2_en_pi_debug_mask                                              (0x40000000)
#define HDMI_BUS_DVFS2_en_pi_debug(data)                                             (0x40000000&((data)<<30))
#define HDMI_BUS_DVFS2_en_pi_debug_src(data)                                         ((0x40000000&(data))>>30)
#define HDMI_BUS_DVFS2_get_en_pi_debug(data)                                         ((0x40000000&(data))>>30)
#define HDMI_BUS_DVFS2_hs_oc_stop_diff_shift                                         (28)
#define HDMI_BUS_DVFS2_hs_oc_stop_diff_mask                                          (0x30000000)
#define HDMI_BUS_DVFS2_hs_oc_stop_diff(data)                                         (0x30000000&((data)<<28))
#define HDMI_BUS_DVFS2_hs_oc_stop_diff_src(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_DVFS2_get_hs_oc_stop_diff(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_DVFS2_pi_cur_sel_shift                                              (26)
#define HDMI_BUS_DVFS2_pi_cur_sel_mask                                               (0x0C000000)
#define HDMI_BUS_DVFS2_pi_cur_sel(data)                                              (0x0C000000&((data)<<26))
#define HDMI_BUS_DVFS2_pi_cur_sel_src(data)                                          ((0x0C000000&(data))>>26)
#define HDMI_BUS_DVFS2_get_pi_cur_sel(data)                                          ((0x0C000000&(data))>>26)
#define HDMI_BUS_DVFS2_sel_oc_mode_shift                                             (24)
#define HDMI_BUS_DVFS2_sel_oc_mode_mask                                              (0x03000000)
#define HDMI_BUS_DVFS2_sel_oc_mode(data)                                             (0x03000000&((data)<<24))
#define HDMI_BUS_DVFS2_sel_oc_mode_src(data)                                         ((0x03000000&(data))>>24)
#define HDMI_BUS_DVFS2_get_sel_oc_mode(data)                                         ((0x03000000&(data))>>24)
#define HDMI_BUS_DVFS2_oc_done_delay_shift                                           (16)
#define HDMI_BUS_DVFS2_oc_done_delay_mask                                            (0x003F0000)
#define HDMI_BUS_DVFS2_oc_done_delay(data)                                           (0x003F0000&((data)<<16))
#define HDMI_BUS_DVFS2_oc_done_delay_src(data)                                       ((0x003F0000&(data))>>16)
#define HDMI_BUS_DVFS2_get_oc_done_delay(data)                                       ((0x003F0000&(data))>>16)
#define HDMI_BUS_DVFS2_oc_step_set_shift                                             (4)
#define HDMI_BUS_DVFS2_oc_step_set_mask                                              (0x00003FF0)
#define HDMI_BUS_DVFS2_oc_step_set(data)                                             (0x00003FF0&((data)<<4))
#define HDMI_BUS_DVFS2_oc_step_set_src(data)                                         ((0x00003FF0&(data))>>4)
#define HDMI_BUS_DVFS2_get_oc_step_set(data)                                         ((0x00003FF0&(data))>>4)
#define HDMI_BUS_DVFS2_clkrdy_shift                                                  (3)
#define HDMI_BUS_DVFS2_clkrdy_mask                                                   (0x00000008)
#define HDMI_BUS_DVFS2_clkrdy(data)                                                  (0x00000008&((data)<<3))
#define HDMI_BUS_DVFS2_clkrdy_src(data)                                              ((0x00000008&(data))>>3)
#define HDMI_BUS_DVFS2_get_clkrdy(data)                                              ((0x00000008&(data))>>3)
#define HDMI_BUS_DVFS2_sdm_order_shift                                               (2)
#define HDMI_BUS_DVFS2_sdm_order_mask                                                (0x00000004)
#define HDMI_BUS_DVFS2_sdm_order(data)                                               (0x00000004&((data)<<2))
#define HDMI_BUS_DVFS2_sdm_order_src(data)                                           ((0x00000004&(data))>>2)
#define HDMI_BUS_DVFS2_get_sdm_order(data)                                           ((0x00000004&(data))>>2)
#define HDMI_BUS_DVFS2_oc_done_shift                                                 (1)
#define HDMI_BUS_DVFS2_oc_done_mask                                                  (0x00000002)
#define HDMI_BUS_DVFS2_oc_done(data)                                                 (0x00000002&((data)<<1))
#define HDMI_BUS_DVFS2_oc_done_src(data)                                             ((0x00000002&(data))>>1)
#define HDMI_BUS_DVFS2_get_oc_done(data)                                             ((0x00000002&(data))>>1)
#define HDMI_BUS_DVFS2_oc_en_shift                                                   (0)
#define HDMI_BUS_DVFS2_oc_en_mask                                                    (0x00000001)
#define HDMI_BUS_DVFS2_oc_en(data)                                                   (0x00000001&((data)<<0))
#define HDMI_BUS_DVFS2_oc_en_src(data)                                               ((0x00000001&(data))>>0)
#define HDMI_BUS_DVFS2_get_oc_en(data)                                               ((0x00000001&(data))>>0)


#define HDMI_BUS_DVFS3                                                               0x1803de14
#define HDMI_BUS_DVFS3_reg_addr                                                      "0xB803DE14"
#define HDMI_BUS_DVFS3_reg                                                           0xB803DE14
#define set_HDMI_BUS_DVFS3_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DVFS3_reg)=data)
#define get_HDMI_BUS_DVFS3_reg   (*((volatile unsigned int*) HDMI_BUS_DVFS3_reg))
#define HDMI_BUS_DVFS3_inst_adr                                                      "0x0085"
#define HDMI_BUS_DVFS3_inst                                                          0x0085
#define HDMI_BUS_DVFS3_load_fcw_shift                                                (31)
#define HDMI_BUS_DVFS3_load_fcw_mask                                                 (0x80000000)
#define HDMI_BUS_DVFS3_load_fcw(data)                                                (0x80000000&((data)<<31))
#define HDMI_BUS_DVFS3_load_fcw_src(data)                                            ((0x80000000&(data))>>31)
#define HDMI_BUS_DVFS3_get_load_fcw(data)                                            ((0x80000000&(data))>>31)
#define HDMI_BUS_DVFS3_fmod_shift                                                    (27)
#define HDMI_BUS_DVFS3_fmod_mask                                                     (0x08000000)
#define HDMI_BUS_DVFS3_fmod(data)                                                    (0x08000000&((data)<<27))
#define HDMI_BUS_DVFS3_fmod_src(data)                                                ((0x08000000&(data))>>27)
#define HDMI_BUS_DVFS3_get_fmod(data)                                                ((0x08000000&(data))>>27)
#define HDMI_BUS_DVFS3_fcode_debug_shift                                             (16)
#define HDMI_BUS_DVFS3_fcode_debug_mask                                              (0x07FF0000)
#define HDMI_BUS_DVFS3_fcode_debug(data)                                             (0x07FF0000&((data)<<16))
#define HDMI_BUS_DVFS3_fcode_debug_src(data)                                         ((0x07FF0000&(data))>>16)
#define HDMI_BUS_DVFS3_get_fcode_debug(data)                                         ((0x07FF0000&(data))>>16)
#define HDMI_BUS_DVFS3_ncode_debug_shift                                             (8)
#define HDMI_BUS_DVFS3_ncode_debug_mask                                              (0x0000FF00)
#define HDMI_BUS_DVFS3_ncode_debug(data)                                             (0x0000FF00&((data)<<8))
#define HDMI_BUS_DVFS3_ncode_debug_src(data)                                         ((0x0000FF00&(data))>>8)
#define HDMI_BUS_DVFS3_get_ncode_debug(data)                                         ((0x0000FF00&(data))>>8)


#define HDMI_BUS_DVFS4                                                               0x1803de18
#define HDMI_BUS_DVFS4_reg_addr                                                      "0xB803DE18"
#define HDMI_BUS_DVFS4_reg                                                           0xB803DE18
#define set_HDMI_BUS_DVFS4_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DVFS4_reg)=data)
#define get_HDMI_BUS_DVFS4_reg   (*((volatile unsigned int*) HDMI_BUS_DVFS4_reg))
#define HDMI_BUS_DVFS4_inst_adr                                                      "0x0086"
#define HDMI_BUS_DVFS4_inst                                                          0x0086
#define HDMI_BUS_DVFS4_ssc_en_shift                                                  (19)
#define HDMI_BUS_DVFS4_ssc_en_mask                                                   (0x00080000)
#define HDMI_BUS_DVFS4_ssc_en(data)                                                  (0x00080000&((data)<<19))
#define HDMI_BUS_DVFS4_ssc_en_src(data)                                              ((0x00080000&(data))>>19)
#define HDMI_BUS_DVFS4_get_ssc_en(data)                                              ((0x00080000&(data))>>19)
#define HDMI_BUS_DVFS4_fcode_ssc_shift                                               (8)
#define HDMI_BUS_DVFS4_fcode_ssc_mask                                                (0x0007FF00)
#define HDMI_BUS_DVFS4_fcode_ssc(data)                                               (0x0007FF00&((data)<<8))
#define HDMI_BUS_DVFS4_fcode_ssc_src(data)                                           ((0x0007FF00&(data))>>8)
#define HDMI_BUS_DVFS4_get_fcode_ssc(data)                                           ((0x0007FF00&(data))>>8)
#define HDMI_BUS_DVFS4_ncode_ssc_shift                                               (0)
#define HDMI_BUS_DVFS4_ncode_ssc_mask                                                (0x000000FF)
#define HDMI_BUS_DVFS4_ncode_ssc(data)                                               (0x000000FF&((data)<<0))
#define HDMI_BUS_DVFS4_ncode_ssc_src(data)                                           ((0x000000FF&(data))>>0)
#define HDMI_BUS_DVFS4_get_ncode_ssc(data)                                           ((0x000000FF&(data))>>0)


#define HDMI_BUS_DVFS5                                                               0x1803de1c
#define HDMI_BUS_DVFS5_reg_addr                                                      "0xB803DE1C"
#define HDMI_BUS_DVFS5_reg                                                           0xB803DE1C
#define set_HDMI_BUS_DVFS5_reg(data)   (*((volatile unsigned int*) HDMI_BUS_DVFS5_reg)=data)
#define get_HDMI_BUS_DVFS5_reg   (*((volatile unsigned int*) HDMI_BUS_DVFS5_reg))
#define HDMI_BUS_DVFS5_inst_adr                                                      "0x0087"
#define HDMI_BUS_DVFS5_inst                                                          0x0087
#define HDMI_BUS_DVFS5_gran_auto_rst_shift                                           (22)
#define HDMI_BUS_DVFS5_gran_auto_rst_mask                                            (0x00400000)
#define HDMI_BUS_DVFS5_gran_auto_rst(data)                                           (0x00400000&((data)<<22))
#define HDMI_BUS_DVFS5_gran_auto_rst_src(data)                                       ((0x00400000&(data))>>22)
#define HDMI_BUS_DVFS5_get_gran_auto_rst(data)                                       ((0x00400000&(data))>>22)
#define HDMI_BUS_DVFS5_dot_gran_shift                                                (19)
#define HDMI_BUS_DVFS5_dot_gran_mask                                                 (0x00380000)
#define HDMI_BUS_DVFS5_dot_gran(data)                                                (0x00380000&((data)<<19))
#define HDMI_BUS_DVFS5_dot_gran_src(data)                                            ((0x00380000&(data))>>19)
#define HDMI_BUS_DVFS5_get_dot_gran(data)                                            ((0x00380000&(data))>>19)
#define HDMI_BUS_DVFS5_gran_est_shift                                                (0)
#define HDMI_BUS_DVFS5_gran_est_mask                                                 (0x0007FFFF)
#define HDMI_BUS_DVFS5_gran_est(data)                                                (0x0007FFFF&((data)<<0))
#define HDMI_BUS_DVFS5_gran_est_src(data)                                            ((0x0007FFFF&(data))>>0)
#define HDMI_BUS_DVFS5_get_gran_est(data)                                            ((0x0007FFFF&(data))>>0)


#define HDMI_BUS_PHY_CTRL1                                                           0x1803de20
#define HDMI_BUS_PHY_CTRL1_reg_addr                                                  "0xB803DE20"
#define HDMI_BUS_PHY_CTRL1_reg                                                       0xB803DE20
#define set_HDMI_BUS_PHY_CTRL1_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL1_reg)=data)
#define get_HDMI_BUS_PHY_CTRL1_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL1_reg))
#define HDMI_BUS_PHY_CTRL1_inst_adr                                                  "0x0088"
#define HDMI_BUS_PHY_CTRL1_inst                                                      0x0088
#define HDMI_BUS_PHY_CTRL1_hdmi_ck_en_shift                                          (31)
#define HDMI_BUS_PHY_CTRL1_hdmi_ck_en_mask                                           (0x80000000)
#define HDMI_BUS_PHY_CTRL1_hdmi_ck_en(data)                                          (0x80000000&((data)<<31))
#define HDMI_BUS_PHY_CTRL1_hdmi_ck_en_src(data)                                      ((0x80000000&(data))>>31)
#define HDMI_BUS_PHY_CTRL1_get_hdmi_ck_en(data)                                      ((0x80000000&(data))>>31)
#define HDMI_BUS_PHY_CTRL1_pll_pow_shift                                             (30)
#define HDMI_BUS_PHY_CTRL1_pll_pow_mask                                              (0x40000000)
#define HDMI_BUS_PHY_CTRL1_pll_pow(data)                                             (0x40000000&((data)<<30))
#define HDMI_BUS_PHY_CTRL1_pll_pow_src(data)                                         ((0x40000000&(data))>>30)
#define HDMI_BUS_PHY_CTRL1_get_pll_pow(data)                                         ((0x40000000&(data))>>30)
#define HDMI_BUS_PHY_CTRL1_pll_cp_shift                                              (28)
#define HDMI_BUS_PHY_CTRL1_pll_cp_mask                                               (0x30000000)
#define HDMI_BUS_PHY_CTRL1_pll_cp(data)                                              (0x30000000&((data)<<28))
#define HDMI_BUS_PHY_CTRL1_pll_cp_src(data)                                          ((0x30000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL1_get_pll_cp(data)                                          ((0x30000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL1_pll_cs_shift                                              (26)
#define HDMI_BUS_PHY_CTRL1_pll_cs_mask                                               (0x0C000000)
#define HDMI_BUS_PHY_CTRL1_pll_cs(data)                                              (0x0C000000&((data)<<26))
#define HDMI_BUS_PHY_CTRL1_pll_cs_src(data)                                          ((0x0C000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL1_get_pll_cs(data)                                          ((0x0C000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL1_pll_cksel_shift                                           (24)
#define HDMI_BUS_PHY_CTRL1_pll_cksel_mask                                            (0x03000000)
#define HDMI_BUS_PHY_CTRL1_pll_cksel(data)                                           (0x03000000&((data)<<24))
#define HDMI_BUS_PHY_CTRL1_pll_cksel_src(data)                                       ((0x03000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL1_get_pll_cksel(data)                                       ((0x03000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL1_pll_ext_ldo_lv_shift                                      (23)
#define HDMI_BUS_PHY_CTRL1_pll_ext_ldo_lv_mask                                       (0x00800000)
#define HDMI_BUS_PHY_CTRL1_pll_ext_ldo_lv(data)                                      (0x00800000&((data)<<23))
#define HDMI_BUS_PHY_CTRL1_pll_ext_ldo_lv_src(data)                                  ((0x00800000&(data))>>23)
#define HDMI_BUS_PHY_CTRL1_get_pll_ext_ldo_lv(data)                                  ((0x00800000&(data))>>23)
#define HDMI_BUS_PHY_CTRL1_pll_vcogain_shift                                         (22)
#define HDMI_BUS_PHY_CTRL1_pll_vcogain_mask                                          (0x00400000)
#define HDMI_BUS_PHY_CTRL1_pll_vcogain(data)                                         (0x00400000&((data)<<22))
#define HDMI_BUS_PHY_CTRL1_pll_vcogain_src(data)                                     ((0x00400000&(data))>>22)
#define HDMI_BUS_PHY_CTRL1_get_pll_vcogain(data)                                     ((0x00400000&(data))>>22)
#define HDMI_BUS_PHY_CTRL1_pll_wdrst_shift                                           (21)
#define HDMI_BUS_PHY_CTRL1_pll_wdrst_mask                                            (0x00200000)
#define HDMI_BUS_PHY_CTRL1_pll_wdrst(data)                                           (0x00200000&((data)<<21))
#define HDMI_BUS_PHY_CTRL1_pll_wdrst_src(data)                                       ((0x00200000&(data))>>21)
#define HDMI_BUS_PHY_CTRL1_get_pll_wdrst(data)                                       ((0x00200000&(data))>>21)
#define HDMI_BUS_PHY_CTRL1_pll_wdset_shift                                           (20)
#define HDMI_BUS_PHY_CTRL1_pll_wdset_mask                                            (0x00100000)
#define HDMI_BUS_PHY_CTRL1_pll_wdset(data)                                           (0x00100000&((data)<<20))
#define HDMI_BUS_PHY_CTRL1_pll_wdset_src(data)                                       ((0x00100000&(data))>>20)
#define HDMI_BUS_PHY_CTRL1_get_pll_wdset(data)                                       ((0x00100000&(data))>>20)
#define HDMI_BUS_PHY_CTRL1_pll_m1_shift                                              (18)
#define HDMI_BUS_PHY_CTRL1_pll_m1_mask                                               (0x000C0000)
#define HDMI_BUS_PHY_CTRL1_pll_m1(data)                                              (0x000C0000&((data)<<18))
#define HDMI_BUS_PHY_CTRL1_pll_m1_src(data)                                          ((0x000C0000&(data))>>18)
#define HDMI_BUS_PHY_CTRL1_get_pll_m1(data)                                          ((0x000C0000&(data))>>18)
#define HDMI_BUS_PHY_CTRL1_pll_m2_shift                                              (16)
#define HDMI_BUS_PHY_CTRL1_pll_m2_mask                                               (0x00030000)
#define HDMI_BUS_PHY_CTRL1_pll_m2(data)                                              (0x00030000&((data)<<16))
#define HDMI_BUS_PHY_CTRL1_pll_m2_src(data)                                          ((0x00030000&(data))>>16)
#define HDMI_BUS_PHY_CTRL1_get_pll_m2(data)                                          ((0x00030000&(data))>>16)
#define HDMI_BUS_PHY_CTRL1_pll_rstb_shift                                            (15)
#define HDMI_BUS_PHY_CTRL1_pll_rstb_mask                                             (0x00008000)
#define HDMI_BUS_PHY_CTRL1_pll_rstb(data)                                            (0x00008000&((data)<<15))
#define HDMI_BUS_PHY_CTRL1_pll_rstb_src(data)                                        ((0x00008000&(data))>>15)
#define HDMI_BUS_PHY_CTRL1_get_pll_rstb(data)                                        ((0x00008000&(data))>>15)
#define HDMI_BUS_PHY_CTRL1_pll_rs_shift                                              (12)
#define HDMI_BUS_PHY_CTRL1_pll_rs_mask                                               (0x00007000)
#define HDMI_BUS_PHY_CTRL1_pll_rs(data)                                              (0x00007000&((data)<<12))
#define HDMI_BUS_PHY_CTRL1_pll_rs_src(data)                                          ((0x00007000&(data))>>12)
#define HDMI_BUS_PHY_CTRL1_get_pll_rs(data)                                          ((0x00007000&(data))>>12)
#define HDMI_BUS_PHY_CTRL1_tst_div_shift                                             (8)
#define HDMI_BUS_PHY_CTRL1_tst_div_mask                                              (0x00000700)
#define HDMI_BUS_PHY_CTRL1_tst_div(data)                                             (0x00000700&((data)<<8))
#define HDMI_BUS_PHY_CTRL1_tst_div_src(data)                                         ((0x00000700&(data))>>8)
#define HDMI_BUS_PHY_CTRL1_get_tst_div(data)                                         ((0x00000700&(data))>>8)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_lv_sel_shift                                      (6)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_lv_sel_mask                                       (0x000000C0)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_lv_sel(data)                                      (0x000000C0&((data)<<6))
#define HDMI_BUS_PHY_CTRL1_pll_ldo_lv_sel_src(data)                                  ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL1_get_pll_ldo_lv_sel(data)                                  ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_v18_sel_shift                                     (4)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_v18_sel_mask                                      (0x00000030)
#define HDMI_BUS_PHY_CTRL1_pll_ldo_v18_sel(data)                                     (0x00000030&((data)<<4))
#define HDMI_BUS_PHY_CTRL1_pll_ldo_v18_sel_src(data)                                 ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL1_get_pll_ldo_v18_sel(data)                                 ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL1_pll_tst_pow_shift                                         (3)
#define HDMI_BUS_PHY_CTRL1_pll_tst_pow_mask                                          (0x00000008)
#define HDMI_BUS_PHY_CTRL1_pll_tst_pow(data)                                         (0x00000008&((data)<<3))
#define HDMI_BUS_PHY_CTRL1_pll_tst_pow_src(data)                                     ((0x00000008&(data))>>3)
#define HDMI_BUS_PHY_CTRL1_get_pll_tst_pow(data)                                     ((0x00000008&(data))>>3)
#define HDMI_BUS_PHY_CTRL1_hdmick_sel_shift                                          (2)
#define HDMI_BUS_PHY_CTRL1_hdmick_sel_mask                                           (0x00000004)
#define HDMI_BUS_PHY_CTRL1_hdmick_sel(data)                                          (0x00000004&((data)<<2))
#define HDMI_BUS_PHY_CTRL1_hdmick_sel_src(data)                                      ((0x00000004&(data))>>2)
#define HDMI_BUS_PHY_CTRL1_get_hdmick_sel(data)                                      ((0x00000004&(data))>>2)
#define HDMI_BUS_PHY_CTRL1_hdmi_mode_shift                                           (1)
#define HDMI_BUS_PHY_CTRL1_hdmi_mode_mask                                            (0x00000002)
#define HDMI_BUS_PHY_CTRL1_hdmi_mode(data)                                           (0x00000002&((data)<<1))
#define HDMI_BUS_PHY_CTRL1_hdmi_mode_src(data)                                       ((0x00000002&(data))>>1)
#define HDMI_BUS_PHY_CTRL1_get_hdmi_mode(data)                                       ((0x00000002&(data))>>1)
#define HDMI_BUS_PHY_CTRL1_mhl_mode_shift                                            (0)
#define HDMI_BUS_PHY_CTRL1_mhl_mode_mask                                             (0x00000001)
#define HDMI_BUS_PHY_CTRL1_mhl_mode(data)                                            (0x00000001&((data)<<0))
#define HDMI_BUS_PHY_CTRL1_mhl_mode_src(data)                                        ((0x00000001&(data))>>0)
#define HDMI_BUS_PHY_CTRL1_get_mhl_mode(data)                                        ((0x00000001&(data))>>0)


#define HDMI_BUS_PHY_CTRL2                                                           0x1803de24
#define HDMI_BUS_PHY_CTRL2_reg_addr                                                  "0xB803DE24"
#define HDMI_BUS_PHY_CTRL2_reg                                                       0xB803DE24
#define set_HDMI_BUS_PHY_CTRL2_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL2_reg)=data)
#define get_HDMI_BUS_PHY_CTRL2_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL2_reg))
#define HDMI_BUS_PHY_CTRL2_inst_adr                                                  "0x0089"
#define HDMI_BUS_PHY_CTRL2_inst                                                      0x0089
#define HDMI_BUS_PHY_CTRL2_p2s_mode_shift                                            (30)
#define HDMI_BUS_PHY_CTRL2_p2s_mode_mask                                             (0xC0000000)
#define HDMI_BUS_PHY_CTRL2_p2s_mode(data)                                            (0xC0000000&((data)<<30))
#define HDMI_BUS_PHY_CTRL2_p2s_mode_src(data)                                        ((0xC0000000&(data))>>30)
#define HDMI_BUS_PHY_CTRL2_get_p2s_mode(data)                                        ((0xC0000000&(data))>>30)
#define HDMI_BUS_PHY_CTRL2_p2s_ldo_sel_shift                                         (28)
#define HDMI_BUS_PHY_CTRL2_p2s_ldo_sel_mask                                          (0x30000000)
#define HDMI_BUS_PHY_CTRL2_p2s_ldo_sel(data)                                         (0x30000000&((data)<<28))
#define HDMI_BUS_PHY_CTRL2_p2s_ldo_sel_src(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL2_get_p2s_ldo_sel(data)                                     ((0x30000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL2_tspc_sel_shift                                            (27)
#define HDMI_BUS_PHY_CTRL2_tspc_sel_mask                                             (0x08000000)
#define HDMI_BUS_PHY_CTRL2_tspc_sel(data)                                            (0x08000000&((data)<<27))
#define HDMI_BUS_PHY_CTRL2_tspc_sel_src(data)                                        ((0x08000000&(data))>>27)
#define HDMI_BUS_PHY_CTRL2_get_tspc_sel(data)                                        ((0x08000000&(data))>>27)
#define HDMI_BUS_PHY_CTRL2_tmds_ema_shift                                            (26)
#define HDMI_BUS_PHY_CTRL2_tmds_ema_mask                                             (0x04000000)
#define HDMI_BUS_PHY_CTRL2_tmds_ema(data)                                            (0x04000000&((data)<<26))
#define HDMI_BUS_PHY_CTRL2_tmds_ema_src(data)                                        ((0x04000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL2_get_tmds_ema(data)                                        ((0x04000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL2_tmds_emb_shift                                            (25)
#define HDMI_BUS_PHY_CTRL2_tmds_emb_mask                                             (0x02000000)
#define HDMI_BUS_PHY_CTRL2_tmds_emb(data)                                            (0x02000000&((data)<<25))
#define HDMI_BUS_PHY_CTRL2_tmds_emb_src(data)                                        ((0x02000000&(data))>>25)
#define HDMI_BUS_PHY_CTRL2_get_tmds_emb(data)                                        ((0x02000000&(data))>>25)
#define HDMI_BUS_PHY_CTRL2_tmds_emc_shift                                            (24)
#define HDMI_BUS_PHY_CTRL2_tmds_emc_mask                                             (0x01000000)
#define HDMI_BUS_PHY_CTRL2_tmds_emc(data)                                            (0x01000000&((data)<<24))
#define HDMI_BUS_PHY_CTRL2_tmds_emc_src(data)                                        ((0x01000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL2_get_tmds_emc(data)                                        ((0x01000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL2_tmds_emck_shift                                           (23)
#define HDMI_BUS_PHY_CTRL2_tmds_emck_mask                                            (0x00800000)
#define HDMI_BUS_PHY_CTRL2_tmds_emck(data)                                           (0x00800000&((data)<<23))
#define HDMI_BUS_PHY_CTRL2_tmds_emck_src(data)                                       ((0x00800000&(data))>>23)
#define HDMI_BUS_PHY_CTRL2_get_tmds_emck(data)                                       ((0x00800000&(data))>>23)
#define HDMI_BUS_PHY_CTRL2_tmds_pow_shift                                            (22)
#define HDMI_BUS_PHY_CTRL2_tmds_pow_mask                                             (0x00400000)
#define HDMI_BUS_PHY_CTRL2_tmds_pow(data)                                            (0x00400000&((data)<<22))
#define HDMI_BUS_PHY_CTRL2_tmds_pow_src(data)                                        ((0x00400000&(data))>>22)
#define HDMI_BUS_PHY_CTRL2_get_tmds_pow(data)                                        ((0x00400000&(data))>>22)
#define HDMI_BUS_PHY_CTRL2_tmds_powa_shift                                           (21)
#define HDMI_BUS_PHY_CTRL2_tmds_powa_mask                                            (0x00200000)
#define HDMI_BUS_PHY_CTRL2_tmds_powa(data)                                           (0x00200000&((data)<<21))
#define HDMI_BUS_PHY_CTRL2_tmds_powa_src(data)                                       ((0x00200000&(data))>>21)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powa(data)                                       ((0x00200000&(data))>>21)
#define HDMI_BUS_PHY_CTRL2_tmds_powb_shift                                           (20)
#define HDMI_BUS_PHY_CTRL2_tmds_powb_mask                                            (0x00100000)
#define HDMI_BUS_PHY_CTRL2_tmds_powb(data)                                           (0x00100000&((data)<<20))
#define HDMI_BUS_PHY_CTRL2_tmds_powb_src(data)                                       ((0x00100000&(data))>>20)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powb(data)                                       ((0x00100000&(data))>>20)
#define HDMI_BUS_PHY_CTRL2_tmds_powc_shift                                           (19)
#define HDMI_BUS_PHY_CTRL2_tmds_powc_mask                                            (0x00080000)
#define HDMI_BUS_PHY_CTRL2_tmds_powc(data)                                           (0x00080000&((data)<<19))
#define HDMI_BUS_PHY_CTRL2_tmds_powc_src(data)                                       ((0x00080000&(data))>>19)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powc(data)                                       ((0x00080000&(data))>>19)
#define HDMI_BUS_PHY_CTRL2_tmds_powck_shift                                          (18)
#define HDMI_BUS_PHY_CTRL2_tmds_powck_mask                                           (0x00040000)
#define HDMI_BUS_PHY_CTRL2_tmds_powck(data)                                          (0x00040000&((data)<<18))
#define HDMI_BUS_PHY_CTRL2_tmds_powck_src(data)                                      ((0x00040000&(data))>>18)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powck(data)                                      ((0x00040000&(data))>>18)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_a_shift                                     (17)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_a_mask                                      (0x00020000)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_a(data)                                     (0x00020000&((data)<<17))
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_a_src(data)                                 ((0x00020000&(data))>>17)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powmhlck_a(data)                                 ((0x00020000&(data))>>17)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_b_shift                                     (16)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_b_mask                                      (0x00010000)
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_b(data)                                     (0x00010000&((data)<<16))
#define HDMI_BUS_PHY_CTRL2_tmds_powmhlck_b_src(data)                                 ((0x00010000&(data))>>16)
#define HDMI_BUS_PHY_CTRL2_get_tmds_powmhlck_b(data)                                 ((0x00010000&(data))>>16)
#define HDMI_BUS_PHY_CTRL2_tmds_csela_shift                                          (14)
#define HDMI_BUS_PHY_CTRL2_tmds_csela_mask                                           (0x0000C000)
#define HDMI_BUS_PHY_CTRL2_tmds_csela(data)                                          (0x0000C000&((data)<<14))
#define HDMI_BUS_PHY_CTRL2_tmds_csela_src(data)                                      ((0x0000C000&(data))>>14)
#define HDMI_BUS_PHY_CTRL2_get_tmds_csela(data)                                      ((0x0000C000&(data))>>14)
#define HDMI_BUS_PHY_CTRL2_tmds_cselb_shift                                          (12)
#define HDMI_BUS_PHY_CTRL2_tmds_cselb_mask                                           (0x00003000)
#define HDMI_BUS_PHY_CTRL2_tmds_cselb(data)                                          (0x00003000&((data)<<12))
#define HDMI_BUS_PHY_CTRL2_tmds_cselb_src(data)                                      ((0x00003000&(data))>>12)
#define HDMI_BUS_PHY_CTRL2_get_tmds_cselb(data)                                      ((0x00003000&(data))>>12)
#define HDMI_BUS_PHY_CTRL2_tmds_cselc_shift                                          (10)
#define HDMI_BUS_PHY_CTRL2_tmds_cselc_mask                                           (0x00000C00)
#define HDMI_BUS_PHY_CTRL2_tmds_cselc(data)                                          (0x00000C00&((data)<<10))
#define HDMI_BUS_PHY_CTRL2_tmds_cselc_src(data)                                      ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL2_get_tmds_cselc(data)                                      ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL2_tmds_cselck_shift                                         (8)
#define HDMI_BUS_PHY_CTRL2_tmds_cselck_mask                                          (0x00000300)
#define HDMI_BUS_PHY_CTRL2_tmds_cselck(data)                                         (0x00000300&((data)<<8))
#define HDMI_BUS_PHY_CTRL2_tmds_cselck_src(data)                                     ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL2_get_tmds_cselck(data)                                     ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL2_tmds_rsela_shift                                          (6)
#define HDMI_BUS_PHY_CTRL2_tmds_rsela_mask                                           (0x000000C0)
#define HDMI_BUS_PHY_CTRL2_tmds_rsela(data)                                          (0x000000C0&((data)<<6))
#define HDMI_BUS_PHY_CTRL2_tmds_rsela_src(data)                                      ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL2_get_tmds_rsela(data)                                      ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL2_tmds_rselb_shift                                          (4)
#define HDMI_BUS_PHY_CTRL2_tmds_rselb_mask                                           (0x00000030)
#define HDMI_BUS_PHY_CTRL2_tmds_rselb(data)                                          (0x00000030&((data)<<4))
#define HDMI_BUS_PHY_CTRL2_tmds_rselb_src(data)                                      ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL2_get_tmds_rselb(data)                                      ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL2_tmds_rselc_shift                                          (2)
#define HDMI_BUS_PHY_CTRL2_tmds_rselc_mask                                           (0x0000000C)
#define HDMI_BUS_PHY_CTRL2_tmds_rselc(data)                                          (0x0000000C&((data)<<2))
#define HDMI_BUS_PHY_CTRL2_tmds_rselc_src(data)                                      ((0x0000000C&(data))>>2)
#define HDMI_BUS_PHY_CTRL2_get_tmds_rselc(data)                                      ((0x0000000C&(data))>>2)
#define HDMI_BUS_PHY_CTRL2_tmds_rselck_shift                                         (0)
#define HDMI_BUS_PHY_CTRL2_tmds_rselck_mask                                          (0x00000003)
#define HDMI_BUS_PHY_CTRL2_tmds_rselck(data)                                         (0x00000003&((data)<<0))
#define HDMI_BUS_PHY_CTRL2_tmds_rselck_src(data)                                     ((0x00000003&(data))>>0)
#define HDMI_BUS_PHY_CTRL2_get_tmds_rselck(data)                                     ((0x00000003&(data))>>0)


#define HDMI_BUS_PHY_CTRL3                                                           0x1803de28
#define HDMI_BUS_PHY_CTRL3_reg_addr                                                  "0xB803DE28"
#define HDMI_BUS_PHY_CTRL3_reg                                                       0xB803DE28
#define set_HDMI_BUS_PHY_CTRL3_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL3_reg)=data)
#define get_HDMI_BUS_PHY_CTRL3_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL3_reg))
#define HDMI_BUS_PHY_CTRL3_inst_adr                                                  "0x008A"
#define HDMI_BUS_PHY_CTRL3_inst                                                      0x008A
#define HDMI_BUS_PHY_CTRL3_tmds_idrva_shift                                          (28)
#define HDMI_BUS_PHY_CTRL3_tmds_idrva_mask                                           (0x70000000)
#define HDMI_BUS_PHY_CTRL3_tmds_idrva(data)                                          (0x70000000&((data)<<28))
#define HDMI_BUS_PHY_CTRL3_tmds_idrva_src(data)                                      ((0x70000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL3_get_tmds_idrva(data)                                      ((0x70000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvb_shift                                          (24)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvb_mask                                           (0x07000000)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvb(data)                                          (0x07000000&((data)<<24))
#define HDMI_BUS_PHY_CTRL3_tmds_idrvb_src(data)                                      ((0x07000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL3_get_tmds_idrvb(data)                                      ((0x07000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvc_shift                                          (20)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvc_mask                                           (0x00700000)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvc(data)                                          (0x00700000&((data)<<20))
#define HDMI_BUS_PHY_CTRL3_tmds_idrvc_src(data)                                      ((0x00700000&(data))>>20)
#define HDMI_BUS_PHY_CTRL3_get_tmds_idrvc(data)                                      ((0x00700000&(data))>>20)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvck_shift                                         (16)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvck_mask                                          (0x00070000)
#define HDMI_BUS_PHY_CTRL3_tmds_idrvck(data)                                         (0x00070000&((data)<<16))
#define HDMI_BUS_PHY_CTRL3_tmds_idrvck_src(data)                                     ((0x00070000&(data))>>16)
#define HDMI_BUS_PHY_CTRL3_get_tmds_idrvck(data)                                     ((0x00070000&(data))>>16)
#define HDMI_BUS_PHY_CTRL3_tmds_iema_shift                                           (12)
#define HDMI_BUS_PHY_CTRL3_tmds_iema_mask                                            (0x00007000)
#define HDMI_BUS_PHY_CTRL3_tmds_iema(data)                                           (0x00007000&((data)<<12))
#define HDMI_BUS_PHY_CTRL3_tmds_iema_src(data)                                       ((0x00007000&(data))>>12)
#define HDMI_BUS_PHY_CTRL3_get_tmds_iema(data)                                       ((0x00007000&(data))>>12)
#define HDMI_BUS_PHY_CTRL3_tmds_iemb_shift                                           (8)
#define HDMI_BUS_PHY_CTRL3_tmds_iemb_mask                                            (0x00000700)
#define HDMI_BUS_PHY_CTRL3_tmds_iemb(data)                                           (0x00000700&((data)<<8))
#define HDMI_BUS_PHY_CTRL3_tmds_iemb_src(data)                                       ((0x00000700&(data))>>8)
#define HDMI_BUS_PHY_CTRL3_get_tmds_iemb(data)                                       ((0x00000700&(data))>>8)
#define HDMI_BUS_PHY_CTRL3_tmds_iemc_shift                                           (4)
#define HDMI_BUS_PHY_CTRL3_tmds_iemc_mask                                            (0x00000070)
#define HDMI_BUS_PHY_CTRL3_tmds_iemc(data)                                           (0x00000070&((data)<<4))
#define HDMI_BUS_PHY_CTRL3_tmds_iemc_src(data)                                       ((0x00000070&(data))>>4)
#define HDMI_BUS_PHY_CTRL3_get_tmds_iemc(data)                                       ((0x00000070&(data))>>4)
#define HDMI_BUS_PHY_CTRL3_tmds_iemck_shift                                          (0)
#define HDMI_BUS_PHY_CTRL3_tmds_iemck_mask                                           (0x00000007)
#define HDMI_BUS_PHY_CTRL3_tmds_iemck(data)                                          (0x00000007&((data)<<0))
#define HDMI_BUS_PHY_CTRL3_tmds_iemck_src(data)                                      ((0x00000007&(data))>>0)
#define HDMI_BUS_PHY_CTRL3_get_tmds_iemck(data)                                      ((0x00000007&(data))>>0)


#define HDMI_BUS_PHY_CTRL4                                                           0x1803de2c
#define HDMI_BUS_PHY_CTRL4_reg_addr                                                  "0xB803DE2C"
#define HDMI_BUS_PHY_CTRL4_reg                                                       0xB803DE2C
#define set_HDMI_BUS_PHY_CTRL4_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL4_reg)=data)
#define get_HDMI_BUS_PHY_CTRL4_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL4_reg))
#define HDMI_BUS_PHY_CTRL4_inst_adr                                                  "0x008B"
#define HDMI_BUS_PHY_CTRL4_inst                                                      0x008B
#define HDMI_BUS_PHY_CTRL4_plldisp_oeb_shift                                         (31)
#define HDMI_BUS_PHY_CTRL4_plldisp_oeb_mask                                          (0x80000000)
#define HDMI_BUS_PHY_CTRL4_plldisp_oeb(data)                                         (0x80000000&((data)<<31))
#define HDMI_BUS_PHY_CTRL4_plldisp_oeb_src(data)                                     ((0x80000000&(data))>>31)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_oeb(data)                                     ((0x80000000&(data))>>31)
#define HDMI_BUS_PHY_CTRL4_tmds_imhlck_shift                                         (28)
#define HDMI_BUS_PHY_CTRL4_tmds_imhlck_mask                                          (0x70000000)
#define HDMI_BUS_PHY_CTRL4_tmds_imhlck(data)                                         (0x70000000&((data)<<28))
#define HDMI_BUS_PHY_CTRL4_tmds_imhlck_src(data)                                     ((0x70000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL4_get_tmds_imhlck(data)                                     ((0x70000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL4_tmds_sra_shift                                            (26)
#define HDMI_BUS_PHY_CTRL4_tmds_sra_mask                                             (0x0C000000)
#define HDMI_BUS_PHY_CTRL4_tmds_sra(data)                                            (0x0C000000&((data)<<26))
#define HDMI_BUS_PHY_CTRL4_tmds_sra_src(data)                                        ((0x0C000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL4_get_tmds_sra(data)                                        ((0x0C000000&(data))>>26)
#define HDMI_BUS_PHY_CTRL4_tmds_srb_shift                                            (24)
#define HDMI_BUS_PHY_CTRL4_tmds_srb_mask                                             (0x03000000)
#define HDMI_BUS_PHY_CTRL4_tmds_srb(data)                                            (0x03000000&((data)<<24))
#define HDMI_BUS_PHY_CTRL4_tmds_srb_src(data)                                        ((0x03000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL4_get_tmds_srb(data)                                        ((0x03000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL4_tmds_src_shift                                            (22)
#define HDMI_BUS_PHY_CTRL4_tmds_src_mask                                             (0x00C00000)
#define HDMI_BUS_PHY_CTRL4_tmds_src(data)                                            (0x00C00000&((data)<<22))
#define HDMI_BUS_PHY_CTRL4_tmds_src_src(data)                                        ((0x00C00000&(data))>>22)
#define HDMI_BUS_PHY_CTRL4_get_tmds_src(data)                                        ((0x00C00000&(data))>>22)
#define HDMI_BUS_PHY_CTRL4_tmds_srck_shift                                           (20)
#define HDMI_BUS_PHY_CTRL4_tmds_srck_mask                                            (0x00300000)
#define HDMI_BUS_PHY_CTRL4_tmds_srck(data)                                           (0x00300000&((data)<<20))
#define HDMI_BUS_PHY_CTRL4_tmds_srck_src(data)                                       ((0x00300000&(data))>>20)
#define HDMI_BUS_PHY_CTRL4_get_tmds_srck(data)                                       ((0x00300000&(data))>>20)
#define HDMI_BUS_PHY_CTRL4_tmds_srmhlck_shift                                        (18)
#define HDMI_BUS_PHY_CTRL4_tmds_srmhlck_mask                                         (0x000C0000)
#define HDMI_BUS_PHY_CTRL4_tmds_srmhlck(data)                                        (0x000C0000&((data)<<18))
#define HDMI_BUS_PHY_CTRL4_tmds_srmhlck_src(data)                                    ((0x000C0000&(data))>>18)
#define HDMI_BUS_PHY_CTRL4_get_tmds_srmhlck(data)                                    ((0x000C0000&(data))>>18)
#define HDMI_BUS_PHY_CTRL4_plldisp_vcorstb_shift                                     (17)
#define HDMI_BUS_PHY_CTRL4_plldisp_vcorstb_mask                                      (0x00020000)
#define HDMI_BUS_PHY_CTRL4_plldisp_vcorstb(data)                                     (0x00020000&((data)<<17))
#define HDMI_BUS_PHY_CTRL4_plldisp_vcorstb_src(data)                                 ((0x00020000&(data))>>17)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_vcorstb(data)                                 ((0x00020000&(data))>>17)
#define HDMI_BUS_PHY_CTRL4_plldisp_rstb_shift                                        (16)
#define HDMI_BUS_PHY_CTRL4_plldisp_rstb_mask                                         (0x00010000)
#define HDMI_BUS_PHY_CTRL4_plldisp_rstb(data)                                        (0x00010000&((data)<<16))
#define HDMI_BUS_PHY_CTRL4_plldisp_rstb_src(data)                                    ((0x00010000&(data))>>16)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_rstb(data)                                    ((0x00010000&(data))>>16)
#define HDMI_BUS_PHY_CTRL4_pll_ip_shift                                              (12)
#define HDMI_BUS_PHY_CTRL4_pll_ip_mask                                               (0x0000F000)
#define HDMI_BUS_PHY_CTRL4_pll_ip(data)                                              (0x0000F000&((data)<<12))
#define HDMI_BUS_PHY_CTRL4_pll_ip_src(data)                                          ((0x0000F000&(data))>>12)
#define HDMI_BUS_PHY_CTRL4_get_pll_ip(data)                                          ((0x0000F000&(data))>>12)
#define HDMI_BUS_PHY_CTRL4_testsig_sel_shift                                         (10)
#define HDMI_BUS_PHY_CTRL4_testsig_sel_mask                                          (0x00000C00)
#define HDMI_BUS_PHY_CTRL4_testsig_sel(data)                                         (0x00000C00&((data)<<10))
#define HDMI_BUS_PHY_CTRL4_testsig_sel_src(data)                                     ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL4_get_testsig_sel(data)                                     ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL4_test_ldo_sel_shift                                        (8)
#define HDMI_BUS_PHY_CTRL4_test_ldo_sel_mask                                         (0x00000300)
#define HDMI_BUS_PHY_CTRL4_test_ldo_sel(data)                                        (0x00000300&((data)<<8))
#define HDMI_BUS_PHY_CTRL4_test_ldo_sel_src(data)                                    ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL4_get_test_ldo_sel(data)                                    ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL4_plldisp_c3_shift                                          (6)
#define HDMI_BUS_PHY_CTRL4_plldisp_c3_mask                                           (0x000000C0)
#define HDMI_BUS_PHY_CTRL4_plldisp_c3(data)                                          (0x000000C0&((data)<<6))
#define HDMI_BUS_PHY_CTRL4_plldisp_c3_src(data)                                      ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_c3(data)                                      ((0x000000C0&(data))>>6)
#define HDMI_BUS_PHY_CTRL4_plldisp_cp_shift                                          (4)
#define HDMI_BUS_PHY_CTRL4_plldisp_cp_mask                                           (0x00000030)
#define HDMI_BUS_PHY_CTRL4_plldisp_cp(data)                                          (0x00000030&((data)<<4))
#define HDMI_BUS_PHY_CTRL4_plldisp_cp_src(data)                                      ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_cp(data)                                      ((0x00000030&(data))>>4)
#define HDMI_BUS_PHY_CTRL4_plldisp_cs_shift                                          (2)
#define HDMI_BUS_PHY_CTRL4_plldisp_cs_mask                                           (0x0000000C)
#define HDMI_BUS_PHY_CTRL4_plldisp_cs(data)                                          (0x0000000C&((data)<<2))
#define HDMI_BUS_PHY_CTRL4_plldisp_cs_src(data)                                      ((0x0000000C&(data))>>2)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_cs(data)                                      ((0x0000000C&(data))>>2)
#define HDMI_BUS_PHY_CTRL4_plldisp_ddsen_shift                                       (1)
#define HDMI_BUS_PHY_CTRL4_plldisp_ddsen_mask                                        (0x00000002)
#define HDMI_BUS_PHY_CTRL4_plldisp_ddsen(data)                                       (0x00000002&((data)<<1))
#define HDMI_BUS_PHY_CTRL4_plldisp_ddsen_src(data)                                   ((0x00000002&(data))>>1)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_ddsen(data)                                   ((0x00000002&(data))>>1)
#define HDMI_BUS_PHY_CTRL4_plldisp_pow_shift                                         (0)
#define HDMI_BUS_PHY_CTRL4_plldisp_pow_mask                                          (0x00000001)
#define HDMI_BUS_PHY_CTRL4_plldisp_pow(data)                                         (0x00000001&((data)<<0))
#define HDMI_BUS_PHY_CTRL4_plldisp_pow_src(data)                                     ((0x00000001&(data))>>0)
#define HDMI_BUS_PHY_CTRL4_get_plldisp_pow(data)                                     ((0x00000001&(data))>>0)


#define HDMI_BUS_PHY_CTRL5                                                           0x1803de30
#define HDMI_BUS_PHY_CTRL5_reg_addr                                                  "0xB803DE30"
#define HDMI_BUS_PHY_CTRL5_reg                                                       0xB803DE30
#define set_HDMI_BUS_PHY_CTRL5_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL5_reg)=data)
#define get_HDMI_BUS_PHY_CTRL5_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL5_reg))
#define HDMI_BUS_PHY_CTRL5_inst_adr                                                  "0x008C"
#define HDMI_BUS_PHY_CTRL5_inst                                                      0x008C
#define HDMI_BUS_PHY_CTRL5_plldisp_ip_shift                                          (28)
#define HDMI_BUS_PHY_CTRL5_plldisp_ip_mask                                           (0xF0000000)
#define HDMI_BUS_PHY_CTRL5_plldisp_ip(data)                                          (0xF0000000&((data)<<28))
#define HDMI_BUS_PHY_CTRL5_plldisp_ip_src(data)                                      ((0xF0000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_ip(data)                                      ((0xF0000000&(data))>>28)
#define HDMI_BUS_PHY_CTRL5_plldisp_pstst_shift                                       (27)
#define HDMI_BUS_PHY_CTRL5_plldisp_pstst_mask                                        (0x08000000)
#define HDMI_BUS_PHY_CTRL5_plldisp_pstst(data)                                       (0x08000000&((data)<<27))
#define HDMI_BUS_PHY_CTRL5_plldisp_pstst_src(data)                                   ((0x08000000&(data))>>27)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_pstst(data)                                   ((0x08000000&(data))>>27)
#define HDMI_BUS_PHY_CTRL5_plldisp_r3_shift                                          (24)
#define HDMI_BUS_PHY_CTRL5_plldisp_r3_mask                                           (0x07000000)
#define HDMI_BUS_PHY_CTRL5_plldisp_r3(data)                                          (0x07000000&((data)<<24))
#define HDMI_BUS_PHY_CTRL5_plldisp_r3_src(data)                                      ((0x07000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_r3(data)                                      ((0x07000000&(data))>>24)
#define HDMI_BUS_PHY_CTRL5_plldisp_n_shift                                           (22)
#define HDMI_BUS_PHY_CTRL5_plldisp_n_mask                                            (0x00C00000)
#define HDMI_BUS_PHY_CTRL5_plldisp_n(data)                                           (0x00C00000&((data)<<22))
#define HDMI_BUS_PHY_CTRL5_plldisp_n_src(data)                                       ((0x00C00000&(data))>>22)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_n(data)                                       ((0x00C00000&(data))>>22)
#define HDMI_BUS_PHY_CTRL5_plldisp_wdmode_shift                                      (20)
#define HDMI_BUS_PHY_CTRL5_plldisp_wdmode_mask                                       (0x00300000)
#define HDMI_BUS_PHY_CTRL5_plldisp_wdmode(data)                                      (0x00300000&((data)<<20))
#define HDMI_BUS_PHY_CTRL5_plldisp_wdmode_src(data)                                  ((0x00300000&(data))>>20)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_wdmode(data)                                  ((0x00300000&(data))>>20)
#define HDMI_BUS_PHY_CTRL5_plldisp_ssc_enl_shift                                     (19)
#define HDMI_BUS_PHY_CTRL5_plldisp_ssc_enl_mask                                      (0x00080000)
#define HDMI_BUS_PHY_CTRL5_plldisp_ssc_enl(data)                                     (0x00080000&((data)<<19))
#define HDMI_BUS_PHY_CTRL5_plldisp_ssc_enl_src(data)                                 ((0x00080000&(data))>>19)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_ssc_enl(data)                                 ((0x00080000&(data))>>19)
#define HDMI_BUS_PHY_CTRL5_plldisp_rs_shift                                          (16)
#define HDMI_BUS_PHY_CTRL5_plldisp_rs_mask                                           (0x00070000)
#define HDMI_BUS_PHY_CTRL5_plldisp_rs(data)                                          (0x00070000&((data)<<16))
#define HDMI_BUS_PHY_CTRL5_plldisp_rs_src(data)                                      ((0x00070000&(data))>>16)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_rs(data)                                      ((0x00070000&(data))>>16)
#define HDMI_BUS_PHY_CTRL5_tmds_div_shift                                            (12)
#define HDMI_BUS_PHY_CTRL5_tmds_div_mask                                             (0x0000F000)
#define HDMI_BUS_PHY_CTRL5_tmds_div(data)                                            (0x0000F000&((data)<<12))
#define HDMI_BUS_PHY_CTRL5_tmds_div_src(data)                                        ((0x0000F000&(data))>>12)
#define HDMI_BUS_PHY_CTRL5_get_tmds_div(data)                                        ((0x0000F000&(data))>>12)
#define HDMI_BUS_PHY_CTRL5_plldisp_ldosel_shift                                      (10)
#define HDMI_BUS_PHY_CTRL5_plldisp_ldosel_mask                                       (0x00000C00)
#define HDMI_BUS_PHY_CTRL5_plldisp_ldosel(data)                                      (0x00000C00&((data)<<10))
#define HDMI_BUS_PHY_CTRL5_plldisp_ldosel_src(data)                                  ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_ldosel(data)                                  ((0x00000C00&(data))>>10)
#define HDMI_BUS_PHY_CTRL5_plldisp_k_shift                                           (8)
#define HDMI_BUS_PHY_CTRL5_plldisp_k_mask                                            (0x00000300)
#define HDMI_BUS_PHY_CTRL5_plldisp_k(data)                                           (0x00000300&((data)<<8))
#define HDMI_BUS_PHY_CTRL5_plldisp_k_src(data)                                       ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL5_get_plldisp_k(data)                                       ((0x00000300&(data))>>8)
#define HDMI_BUS_PHY_CTRL5_pixel_div_shift                                           (0)
#define HDMI_BUS_PHY_CTRL5_pixel_div_mask                                            (0x000000FF)
#define HDMI_BUS_PHY_CTRL5_pixel_div(data)                                           (0x000000FF&((data)<<0))
#define HDMI_BUS_PHY_CTRL5_pixel_div_src(data)                                       ((0x000000FF&(data))>>0)
#define HDMI_BUS_PHY_CTRL5_get_pixel_div(data)                                       ((0x000000FF&(data))>>0)


#define HDMI_BUS_PHY_CTRL6                                                           0x1803de34
#define HDMI_BUS_PHY_CTRL6_reg_addr                                                  "0xB803DE34"
#define HDMI_BUS_PHY_CTRL6_reg                                                       0xB803DE34
#define set_HDMI_BUS_PHY_CTRL6_reg(data)   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL6_reg)=data)
#define get_HDMI_BUS_PHY_CTRL6_reg   (*((volatile unsigned int*) HDMI_BUS_PHY_CTRL6_reg))
#define HDMI_BUS_PHY_CTRL6_inst_adr                                                  "0x008D"
#define HDMI_BUS_PHY_CTRL6_inst                                                      0x008D
#define HDMI_BUS_PHY_CTRL6_hdmitx_reserve_shift                                      (0)
#define HDMI_BUS_PHY_CTRL6_hdmitx_reserve_mask                                       (0x0000FFFF)
#define HDMI_BUS_PHY_CTRL6_hdmitx_reserve(data)                                      (0x0000FFFF&((data)<<0))
#define HDMI_BUS_PHY_CTRL6_hdmitx_reserve_src(data)                                  ((0x0000FFFF&(data))>>0)
#define HDMI_BUS_PHY_CTRL6_get_hdmitx_reserve(data)                                  ((0x0000FFFF&(data))>>0)


#endif
