#include <qc_verify_common.h>

static int debug_mode=1;

//plus loopback function
//static bool Sel_clk98 = 0;   // 0---27M clk  1---98M clk
static bool Open_LoopBack = 1;
//static bool Close_LoopBack = 0;
extern UINT32 GetMaskAnd(UINT32 msb,UINT32 lsb);
int Verify_Uart_Single(bool bEnLoopBack)
{
	/* UART ADDR */
	//uart A addr = UART1
	//UART1:0xB801B100~0xB801B11C	
	UINT32 addr_A_DLL_FIFO_vaL = 0xb801b100; 	//MIS_U1RBR_THR_DLL(Value): 
	UINT32 addr_A_FIFO_ctrl = 0xb801b108;		//MIS_U1IIR_FCR(FIFO CTRL): 
	UINT32 addr_A_Line_ctrl = 0xb801b10C;			//MIS_U1LCR(Line CTRL): DLAB ctrl
	UINT32 addr_A_Modem_ctrl = 0xb801b110;		//MIS_U1MCR: loopback & rts & cts
	//UINT32 addr_A_INT_ctrl = 0xb801b104;		//INT enable
	UINT32 orgBaudrate = 0x0F;   // eg.115200; RX/TX FIFO data(DLAB=0) 27M/(16 *115200) = 0x0F   98M/(16*115200) =  0x35

	
	printk("----------verify [uart A = UART1]-------- \n");
	//-----------------------------------------------------------------

	//crt for uart1
	rtd_outl(0xB8000118,0x100);   //CLKEN=0 
	rtd_outl(0xB8000108,0x100);   //RSTN=0 
	rtd_outl(0xB8000118,0x101);   //CLKEN=1
	rtd_outl(0xB8000118,0x100);   //CLKEN=0 
	rtd_outl(0xB8000108,0x101);   //RSTN=1
	rtd_outl(0xB8000118,0x101);  //CLKEN=1	
	
	rtd_maskl(0xB8000204,0xFFFFFFFE,0x1); // 0--->108m   1--->27m   UART_CLKSEL = 0

	rtd_outl(0xB80004e4,0x09);		// clk196 open PLLAUD mormal  PLL power
	

	orgBaudrate = 0x0F;	
	//uart settings
	rtd_outl(addr_A_Line_ctrl,0x83);			//MIS_U1LCR(Line CTRL): DLAB:1; Word length:8	

	rtd_outl(addr_A_DLL_FIFO_vaL,orgBaudrate);	//MIS_U1RBR_THR_DLL(Value): Timing Setting/DLL(DLAB=1) eg.115200; RX/TX FIFO data(DLAB=0)  

	rtd_outl(addr_A_Line_ctrl,0x03);  		//MIS_U1LCR(Line CTRL): DLAB:0; DLL --> RX/TX FIFO
	
	rtd_outl(addr_A_FIFO_ctrl,0xc6);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Reset:FIFO En; receiver line status

	rtd_outl(addr_A_FIFO_ctrl,0xc1);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Enable:FIFO En; no interrupt pending;

	rtd_outl(addr_A_Line_ctrl,0x03);			//MIS_U1LCR(Line CTRL): DLAB:0, DLL --> RX/TX FIFO

	
	//------------------- start check -------------------------
	UINT32 j;	//Timing setting val
	UINT32 sendVal;			//rx/tx data
	UINT32 getVal;

	int  tmp_rst = 0;
	int  old_rst = 0;
	
	for(j=orgBaudrate; j<=orgBaudrate; j++)	
	{     

		//uart A tx
		rtd_outl(addr_A_Line_ctrl,0x83);			//Line CTRL: DLAB:1; Word length:8	
		rtd_outl(addr_A_DLL_FIFO_vaL,j);		//U1RBR_THR_DLL: (DLAB=1) --> Timing Setting(DLL):default=115200
		rtd_outl(addr_A_Line_ctrl,0x03);  		//Line CTRL: DLAB:0; DLL --> RX/TX FIFO

		printk("change uart baurate");


		//******* Add loopback function *******
		if(bEnLoopBack)
		{
	
			//Open loopback mode: rx-tx connect in ic
			rtd_maskl(addr_A_Modem_ctrl, GetMaskAnd(4,4),0x1<<4); 		//rtd_part_outl(0xb801b110,4,4,0x1);
			
			//TEST uart1 after loopback
			//rtd_outl(addr_A_Line_ctrl,0x03);		//Line CTRL: DLAB:0; DLL --> RX/TX FIFO
			for(sendVal=0x30; sendVal<0x33; sendVal++)
			{
				rtd_outl(addr_A_DLL_FIFO_vaL,sendVal);			
				udelay(100);
				printk("UART A TX: sendVal=0x%x \n", sendVal);
			}
			for(sendVal=0x30; sendVal<0x33; sendVal++)
			{
				getVal = rtd_inl(addr_A_DLL_FIFO_vaL);			

				old_rst = tmp_rst;
				if(sendVal>0x33)		//over send length
				{
					if(getVal == sendVal)
						tmp_rst++;
				}
				else
				{
					if(getVal != sendVal)
						tmp_rst++;
				}

				if(tmp_rst>old_rst)		//if tmp_rst increase in this round, mean error
					printk("[Error!]UART A TX: sendVal=0x%x <--> getVal=0x%x \n", sendVal, getVal);
				else
				{
					if(debug_mode)
						printk("UART A TX: sendVal=0x%x <--> getVal=0x%x \n", sendVal, getVal);
				}
			} //for(sendVal=0x30; sendVal<0x33; sendVal++)
		} //if(bEnLoopBack)
			
		else    // not loopback
		{
					//Open loopback mode: rx-tx connect in ic
			    rtd_maskl(addr_A_Modem_ctrl, GetMaskAnd(4,4),0x0<<4); 		//rtd_part_outl(0xb801b110,4,4,0x0);

					printk("--------- verify [uart A = UART1, TX  to UAERT A =UART1 's RX ]-------- \n");
					
									
					printk("----------make sure the J39's pin1 & pin2 on the QA board has been connect ]-------- \n");
					// UART PS //eqc path not ready
					//uart A 
					//inputmux/ps: 
					//uart 1 
					//inputmux/ps:               		
					rtd_maskl(0xB8060248,GetMaskAnd(2,0),0x1<<28); 		//src3: 
					rtd_maskl(0xb8060218,GetMaskAnd(31,28),0x6<<28);		//  rx:
					rtd_maskl(0xb8060218,GetMaskAnd(23,20),0x6<<20);		//  tx: 							
	
					
					
					//uart settings
					rtd_outl(addr_A_Line_ctrl,0x83);			//MIS_U1LCR(Line CTRL): DLAB:1; Word length:8	
					rtd_outl(addr_A_DLL_FIFO_vaL,orgBaudrate);	//MIS_U1RBR_THR_DLL(Value): Timing Setting/DLL(DLAB=1) eg.115200; RX/TX FIFO data(DLAB=0)  
					rtd_outl(addr_A_Line_ctrl,0x03);  		//MIS_U1LCR(Line CTRL): DLAB:0; DLL --> RX/TX FIFO
					rtd_outl(addr_A_FIFO_ctrl,0xc6);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Reset:FIFO En; receiver line status
					rtd_outl(addr_A_FIFO_ctrl,0xc1);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Enable:FIFO En; no interrupt pending;
					rtd_outl(addr_A_Line_ctrl,0x03);			//MIS_U1LCR(Line CTRL): DLAB:0, DLL --> RX/TX FIFO      
	                                                                                                    
					//check fifo info settings 
					rtd_inl(addr_A_Line_ctrl);					//MIS_U1LCR(Line CTRL): DLAB:0 DLL --> RX/TX FIFO; 0x03?
					rtd_inl(addr_A_FIFO_ctrl);					//MIS_U1IIR_FCR(FIFO CTRL): FIFO Enable:FIFO En; no interrupt pending;
					rtd_inl(addr_A_DLL_FIFO_vaL);   			//MIS_U1RBR_THR_DLL(Value): read: read fifo data value	   
					
					for(sendVal=0x30; sendVal<0x33; sendVal++)
					{
							rtd_outl(addr_A_DLL_FIFO_vaL,sendVal);			
							udelay(100);
						      printk("UART A TX: sendVal=0x%x \n", sendVal);
					}
					for(sendVal=0x30; sendVal<0x33; sendVal++)
					{
						getVal = rtd_inl(addr_A_DLL_FIFO_vaL);	

						 printk("UART A TX: sendVal=0x%x \n", getVal);

						old_rst = tmp_rst;
						if(sendVal>0x33)		//over send length
						{
							if(getVal == sendVal)
							  tmp_rst++;
						}					
						else
						{	
							if(getVal != sendVal)
								tmp_rst++;
						}
					}	 //	for(sendVal=0x30; sendVal<0x33; sendVal++)	                                                                                            

		 }//else    // not loopback
						
	 } //for(j=orgBaudrate; j<=orgBaudrate; j++)	
	 
	if(tmp_rst>0)
	{
			return 1;
	}

	return 0;			
}

int Verify_Uart_Muti(void)
{
	//UINT32 j;	//Timing setting val
	UINT32 sendVal;			//rx/tx data
	UINT32 getVal;

	int  tmp_rst = 0;
	__attribute__ ((unused)) int  old_rst = 0;	
	
	//UART1:0xB801B100~0xB801B11C	
	UINT32 addr_A_DLL_FIFO_vaL = 0xb801b100; 	//MIS_U1RBR_THR_DLL(Value): 
	UINT32 addr_A_FIFO_ctrl = 0xb801b108;		//MIS_U1IIR_FCR(FIFO CTRL): 
	UINT32 addr_A_Line_ctrl = 0xb801b10C;			//MIS_U1LCR(Line CTRL): DLAB ctrl
	
 //UART2:0x1801Bf00~0x1801Bf1C
	UINT32 addr_B_DLL_FIFO_vaL = 0xb801bf00; 	//MIS_U2RBR_THR_DLL(Value): 
	UINT32 addr_B_FIFO_ctrl = 0xb801bf08;		//MIS_U2IIR_FCR(FIFO CTRL): 
	UINT32 addr_B_Line_ctrl = 0xb801bf0C;			//MIS_U2LCR(Line CTRL): DLAB ctrl
	
	printk("----------verify [uart2 to UART1]-------- \n");	
	
	//uart1 crt
	rtd_outl(0xB8000118,0x100);   //CLKEN=0 
	rtd_outl(0xB8000108,0x100);   //RSTN=0 
	rtd_outl(0xB8000118,0x101);   //CLKEN=1
	rtd_outl(0xB8000118,0x100);   //CLKEN=0 
	rtd_outl(0xB8000108,0x101);   //RSTN=1
	rtd_outl(0xB8000118,0x101);  //CLKEN=1	
	
	rtd_maskl(0xB8000204,0xFFFFFFFE,0x1); // 0--->98m   1--->27m   UART_CLKSEL = 0
	rtd_outl(0xB80004e4,0x09);		// clk196 open PLLAUD mormal  PLL power
	
	//uart2 crt		
	rtd_outl(0xb8000474,0x00000004);//PLLDDSA pll power down
	rtd_outl(0xb8000470,0xC027C000);//input divider=4
	rtd_outl(0xb8000474,0x00003D05);//PLLDDSA pll power on,F=0,N=61,27*(61+3)/4=432MHz
	rtd_outl(0xb8000480,0x1E200285);//PLLDDSA_OC_EN=1
	rtd_outl(0xb8000474,0x00003D07);//release PLLDDSA reset
	udelay(2000); // at least > 150us
	rtd_outl(0xb8000474,0x00003D03);// PLLDDSA output enable
	rtd_outl(0xB8000118,0x80);   //CLKEN=0 
	rtd_outl(0xB8000108,0x80);   //RSTN=0 
	rtd_outl(0xB8000118,0x81);   //CLKEN=1
	rtd_outl(0xB8000118,0x80);   //CLKEN=0 
	rtd_outl(0xB8000108,0x81);   //RSTN=1
	rtd_outl(0xB8000118,0x81);  //CLKEN=1	
	
	
	//uart 1 
	//inputmux/ps:               		
	rtd_maskl(0xb80008e0,GetMaskAnd(13,12),0x0<<12); 		//src0: 
	rtd_maskl(0xb8060200,GetMaskAnd(15,12),0x6<<12);		//  rx: Ps_Reg:st_gpio_02_ps 
	rtd_maskl(0xb8060200,GetMaskAnd(23,20),0x6<<20);		//  tx: Ps_Reg:st_gpio_01_ps 
	
	
	//uart2
	//inputmux/ps
	rtd_maskl(0xb80008e0,GetMaskAnd(10,8),0x0<<0); 		//src0: 
	rtd_maskl(0xb8000828,GetMaskAnd(15,12),0x8<<12);		 //  rx: Ps_Reg:gpio_41_ps 
	rtd_maskl(0xb8000828,GetMaskAnd(31,28),0x8<<28); //tx: :gpio_39_ps  		


	//uart1 settings
	rtd_outl(addr_A_Line_ctrl,0x83);			//MIS_U1LCR(Line CTRL): DLAB:1; Word length:8	
	rtd_outl(addr_A_DLL_FIFO_vaL,0x0f);	//MIS_U1RBR_THR_DLL(Value): Timing Setting/DLL(DLAB=1) eg.115200; RX/TX FIFO data(DLAB=0)  
	rtd_outl(addr_A_Line_ctrl,0x03);  		//MIS_U1LCR(Line CTRL): DLAB:0; DLL --> RX/TX FIFO
	rtd_outl(addr_A_FIFO_ctrl,0xc6);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Reset:FIFO En; receiver line status
	rtd_outl(addr_A_FIFO_ctrl,0xc1);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Enable:FIFO En; no interrupt pending;
	rtd_outl(addr_A_Line_ctrl,0x03);			//MIS_U1LCR(Line CTRL): DLAB:0, DLL --> RX/TX FIFO 

	//uart2 settings
	rtd_outl(addr_B_Line_ctrl,0x83);			//MIS_U1LCR(Line CTRL): DLAB:1; Word length:8	
	rtd_outl(addr_B_DLL_FIFO_vaL,0xea);	//MIS_U1RBR_THR_DLL(Value): Timing Setting/DLL(DLAB=1) eg.115200; RX/TX FIFO data(DLAB=0)  
	rtd_outl(addr_B_Line_ctrl,0x03);  		//MIS_U1LCR(Line CTRL): DLAB:0; DLL --> RX/TX FIFO
	rtd_outl(addr_B_FIFO_ctrl,0xc6);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Reset:FIFO En; receiver line status
	rtd_outl(addr_B_FIFO_ctrl,0xc1);		//MIS_U1IIR_FCR(FIFO CTRL): FIFO Enable:FIFO En; no interrupt pending;
	rtd_outl(addr_B_Line_ctrl,0x03);			//MIS_U1LCR(Line CTRL): DLAB:0, DLL --> RX/TX FIFO 

	for(sendVal=0x30; sendVal<0x33; sendVal++)
	{
			rtd_outl(addr_A_DLL_FIFO_vaL,sendVal);			
			udelay(100);
			printk("UART A TX: sendVal=0x%x \n", sendVal);
	}
	for(sendVal=0x30; sendVal<0x33; sendVal++)
	{
			getVal = rtd_inl(addr_B_DLL_FIFO_vaL);
			printk("UART B RX: receiveVal=0x%x \n", getVal);
			old_rst = tmp_rst;
			if(sendVal>0x33)		//over send length
			{
					if(getVal == sendVal)
					tmp_rst++;
			}					
			else
			{	
					if(getVal != sendVal)
					tmp_rst++;
			}
	}	 //	for(sendVal=0x30; sendVal<0x33; sendVal++)	       			
  
  	for(sendVal=0x30; sendVal<0x33; sendVal++)
	{
			rtd_outl(addr_B_DLL_FIFO_vaL,sendVal);			
			udelay(100);
			printk("UART B TX: sendVal=0x%x \n", sendVal);
	}
	for(sendVal=0x30; sendVal<0x33; sendVal++)
	{
			getVal = rtd_inl(addr_A_DLL_FIFO_vaL);
			printk("UART A RX: receiveVal=0x%x \n", getVal);
			old_rst = tmp_rst;
			if(sendVal>0x33)		//over send length
			{
					if(getVal == sendVal)
					tmp_rst++;
			}					
			else
			{	
					if(getVal != sendVal)
					tmp_rst++;
			}
	}	 //	for(sendVal=0x30; sendVal<0x33; sendVal++)	 
  
	if(tmp_rst>0)
	{
			return 1;
	}

	return 0;
}





int Verify_Uart(void)
{
	

	bool retVal = 0;
	
	//retVal = Verify_Uart_Single(Open_LoopBack);	

//	retVal |= Verify_Uart_Single(Close_LoopBack); 	
	
  return retVal;


}
