#include <qc_verify_common.h>
#include <qc_verify.h>
#include <rtd_types_qc.h>
#include "cbus_pmm_reg.h"
#include "cbus_reg.h"
#include "ecbus_rx_dphy_reg.h"
#include "ecbus_rx_reg.h"
#include "pinmux_pmm_reg.h"
#include "dfe_hdmi_rx_phy_reg.h"
#include "hdmi_clkdet_reg.h"
#include "rbusMiscDDCReg.h"
#include "hdmi_reg.h"
#include "cbus_BURST_ID.h"

bool drvif_CBUS_TX_APHY_initial(void);
bool drvif_switch_to_eCBUS_TX(void);
bool drvif_CBUS_TX_DPHY_initial(void);
bool drvif_CBUS_TX_MAC_initial(void);


int QC_Verifier_eCBUS_TX_Test(void)
{
	rtd_maskl(0xb8000104,0xFFFFBBFF,0x00004400);	// CBUS Reset Release
	rtd_maskl(0xb8000114,0xFFFFBBFF,0x00004400);	// CBUS Clock Enable
	rtd_maskl(0xb8060034,0xFFFFFFEF,0x00000010);	// CBUS Reset Release standny
	rtd_maskl(0xb8060044,0xFFFFFFEF,0x00000010);	// CBUS Reset Enable standny
	
	if (!drvif_CBUS_TX_APHY_initial()) {return FAILED;}
	if (!drvif_CBUS_TX_DPHY_initial()) {return FAILED;}
	if (!drvif_switch_to_eCBUS_TX()) {return FAILED;}
	rtd_maskl(CBUS_PMM_CBUS_PHY_6,~CBUS_PMM_CBUS_PHY_6_test_en_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_test_en_ecbusrx_mask);		// eCBUS APHY PLL ref_clk use VCPU2_PLL clock	
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,0);			// Auto find RX Edge Disable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_get_tx_phase_ini_5_0((14 + 3 + 40) % 40));
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_txdata_mode_1_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_txdata_mode_1_0(1));				// BTX is Duty Mode
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_txdata_high_wid_1_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_1_txdata_high_wid_1_0(1));	// BTX Duty is 7:3
	
	if (!drvif_CBUS_TX_MAC_initial()) {return FAILED;}
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,0);												// MAC Power Disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask);	// MAC Reset
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask);	// MAC Power Enable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,0);												// MAC Reset Release
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(2));	// BTX = COMMA2
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~ECBUS_RX_ECBUS_STARTUP_DET_comma_tx_disp0_mask,0);	// COMMA1/2 disparity (disp0)
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~ECBUS_RX_ECBUS_STARTUP_DET_comma_tx_disp1_mask,0);	// COMMA1/2 disparity (disp1)

	return SUCCESS;
}

bool drvif_CBUS_TX_APHY_initial(void)
{
	rtd_outl(0xb8062B30,0x00080B03);		// R50(-) = 0x8 (for echo-cancelling input), Enable CBUS RX/TX BAIS & LDO
	rtd_outl(0xb8062B34,0x00000000);
	rtd_outl(0xb8062B38,0x030A3608);
	rtd_outl(0xb8062B3C,0x00000400);
	rtd_outl(0xb8062B40,0x0307108E);		// R100K Auto-K Enable
	rtd_outl(0xb8062B44,0x1D084643);		// R50(+) = 0x8, R50 Auto-K disable
	rtd_outl(0xb8062B48,0x84042E44);		// eCBUS PLL output = 27MHz*48/6 = 600MHz
	return TRUE;
}

bool drvif_switch_to_eCBUS_TX(void)
{
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_cbus_rx_mask,0);				// Disable CBUS_RX
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_sel_cbusb_gpio_rx_mask,0);		// Pinshare to CBUS
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_mhl_bmos_en_rx_mask,0);		// Disable CBUS_RX BMOS
	rtd_maskl(CBUS_PMM_CBUS_PHY_5_reg,~CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask,CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask);			//Enable eCBUS Driver & echo-cancelling circuit
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask);			// Enable eCBUS PLL
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask);	// Enable eCBUS LDO
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask);		// eCBUS DPHY Enable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// eCBUS DPHY Reset Release
	rtd_maskl(CBUS_oCBUS_CTRL_00_reg,~CBUS_oCBUS_CTRL_00_cbus1_en_mask,CBUS_oCBUS_CTRL_00_cbus1_en_mask);							// CBUS1 Enable
	return TRUE;
}

bool drvif_CBUS_TX_DPHY_initial(void)
{
	rtd_outl(0xb8062F00,0x00000010);		// DPHY disable and reset, use 1 stage bub_remove
	rtd_outl(0xb8062F04,0x00000080);		// RX edge position manual mode Enable
	rtd_outl(0xb8062F0C,0x00000090);		// stat detection circuit enable and auto mode
	rtd_outl(0xb8062F10,0x0000000A);		// define timeout threshold value for state detection (COMMA2)
	rtd_outl(0xb8062F14,0x00000004);		// stat_diff_th
	rtd_outl(0xb8062F24,0x00000090);		// ini_bound_en, tx edge auto-k disable
	rtd_outl(0xb8062F28,0x00000002);		// ini_timeout
	rtd_outl(0xb8062F2C,0x00000004);		// ini_wait_cnt
	rtd_outl(0xb8062F30,0x00000014);		// nth_ini
	rtd_outl(0xb8062F34,0x00000006);		// ini_cnt, ini_eq_th[8]
	rtd_outl(0xb8062F38,0x00000032);		// ini_eq_th[7:0], ini_eq_th = 0x32
	rtd_outl(0xb8062F4C,0x00000008);		// DPHY PTG Disable, txdata_delay = 8
	rtd_outl(0xb8062F50,0x0000000B);		// tx_phase_ini
	rtd_outl(0xb8062F54,0x00000000);		// tx_phase_max
	rtd_outl(0xb8062F58,0x00000000);		// tx_phase_min
	rtd_outl(0xb8062F60,0x00000001);		// adapt_mode => 1(min) & 0(max)
	rtd_outl(0xb8062F64,0x00000000);		// adapter_timer = 0
	rtd_outl(0xb8062F68,0x00000014);		// nth_one_m = 20
	rtd_outl(0xb8062F6C,0x00000014);		// nth_zero_m = 20
	rtd_outl(0xb8062F80,0x00000080);		// rx_timeout = 128
	rtd_outl(0xb8062F84,0x00000002);		// comma2_pattern[9:8]
	rtd_outl(0xb8062F88,0x0000007C);		// comma2_pattern[7:0], comma2_pattern = 0x27C
	rtd_outl(0xb8062F90,0x00000000);
	rtd_outl(0xb8062F94,0x00000000);
	rtd_outl(0xb8062F98,0x00000000);
	rtd_outl(0xb8062F9C,0x00000001);		// DPHY Debug Pin enable
	rtd_outl(0xb8062FA0,0x00000000);
	return TRUE;
}

bool drvif_CBUS_TX_MAC_initial(void)
{
	rtd_outl(0xb800A500,0x000000C2);		// MAC Power Disable, LSB First
	rtd_outl(0xb800A504,0x0000004C);		// COMMA2 Debounce Detect = 8, Loss = 1, COMMA1/2 LSB First
	rtd_outl(0xb800A508,0x00000010);		// Check COMMA2 with Disparity
	rtd_outl(0xb800A514,0x000000FF);		// COM1/COM2/Loss/Err Debounce
	rtd_outl(0xb800A520,0x00000010);		// Check COM1 Loss
	rtd_outl(0xb800A524,0x00000085);		// Set Sink TX Slot0
	rtd_outl(0xb800A528,0x000000A0);		// Check Source RX Slot0
	rtd_outl(0xb800A530,0x00000012);		// eMSC Reset
	rtd_outl(0xb800A538,0x00000003);		// eMSC TX Sync threshold
	rtd_outl(0xb800A5F8,0x00000000);		// CBUS1 CRC Swap
	return TRUE;
}