/**
* @file Mac6-DesignSpec-D-Domain_Panel_Compensation
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/10/12
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_GAMMA_REG_H_
#define _RBUS_GAMMA_REG_H_

#include "rbusTypes.h"



//  GAMMA Register Address



#define  GAMMA_GAMMA_PORT_VADDR                             	(0xb802c100)
#define  GAMMA_GAMMA_CTRL_1_VADDR                           	(0xb802c104)
#define  GAMMA_GAMMA_CTRL_2_VADDR                           	(0xb802c108)
#define  GAMMA_GAMMA_CTRL_3_VADDR                           	(0xb802c10c)
#define  GAMMA_GAMMA_SRGB_BIST_CTRL_1_VADDR                 	(0xb802c110)
#define  GAMMA_GAMMA_SRGB_BIST_CTRL_3_VADDR                 	(0xb802c114)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======GAMMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  gamma_tab_index:12;
        RBus_UInt32  gamma_tab_d0:8;
        RBus_UInt32  gamma_tab_d1:8;
    };
}gamma_gamma_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  gamma_tab_addr:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  gamma_ax_rw_sel:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  gamma_ax_ch_sel:2;
        RBus_UInt32  gamma_fifo_empty:1;
        RBus_UInt32  gamma_fifo_full:1;
        RBus_UInt32  gamma_wr_error:1;
        RBus_UInt32  dummy1802c104_0:1;
    };
}gamma_gamma_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  gamma_m_tab_sel:2;
        RBus_UInt32  dummy1802c108_5_0:6;
    };
}gamma_gamma_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  gamma_msb_d0_r:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  gamma_msb_d0_g:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  gamma_msb_d0_b:3;
    };
}gamma_gamma_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  ls:1;
        RBus_UInt32  rme:1;
        RBus_UInt32  rm:4;
    };
}gamma_gamma_srgb_bist_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  inv_gamma_r_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_g_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_b_drf_bist_fail:1;
        RBus_UInt32  srgb_r_drf_bist_fail:1;
        RBus_UInt32  srgb_g_drf_bist_fail:1;
        RBus_UInt32  srgb_b_drf_bist_fail:1;
        RBus_UInt32  gamma_r_drf_bist_fail:1;
        RBus_UInt32  gamma_g_drf_bist_fail:1;
        RBus_UInt32  gamma_b_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_r_bist_fail:1;
        RBus_UInt32  inv_gamma_g_bist_fail:1;
        RBus_UInt32  inv_gamma_b_bist_fail:1;
        RBus_UInt32  srgb_r_bist_fail:1;
        RBus_UInt32  srgb_g_bist_fail:1;
        RBus_UInt32  srgb_b_bist_fail:1;
        RBus_UInt32  gamma_r_bist_fail:1;
        RBus_UInt32  gamma_g_bist_fail:1;
        RBus_UInt32  gamma_b_bist_fail:1;
    };
}gamma_gamma_srgb_bist_ctrl_3_RBUS;

#else //apply LITTLE_ENDIAN

//======GAMMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gamma_tab_d1:8;
        RBus_UInt32  gamma_tab_d0:8;
        RBus_UInt32  gamma_tab_index:12;
        RBus_UInt32  res1:4;
    };
}gamma_gamma_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802c104_0:1;
        RBus_UInt32  gamma_wr_error:1;
        RBus_UInt32  gamma_fifo_full:1;
        RBus_UInt32  gamma_fifo_empty:1;
        RBus_UInt32  gamma_ax_ch_sel:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  gamma_ax_rw_sel:2;
        RBus_UInt32  res2:7;
        RBus_UInt32  gamma_tab_addr:9;
        RBus_UInt32  res3:7;
    };
}gamma_gamma_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802c108_5_0:6;
        RBus_UInt32  gamma_m_tab_sel:2;
        RBus_UInt32  res1:24;
    };
}gamma_gamma_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gamma_msb_d0_b:3;
        RBus_UInt32  res1:5;
        RBus_UInt32  gamma_msb_d0_g:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  gamma_msb_d0_r:3;
        RBus_UInt32  res3:13;
    };
}gamma_gamma_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm:4;
        RBus_UInt32  rme:1;
        RBus_UInt32  ls:1;
        RBus_UInt32  res1:26;
    };
}gamma_gamma_srgb_bist_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gamma_b_bist_fail:1;
        RBus_UInt32  gamma_g_bist_fail:1;
        RBus_UInt32  gamma_r_bist_fail:1;
        RBus_UInt32  srgb_b_bist_fail:1;
        RBus_UInt32  srgb_g_bist_fail:1;
        RBus_UInt32  srgb_r_bist_fail:1;
        RBus_UInt32  inv_gamma_b_bist_fail:1;
        RBus_UInt32  inv_gamma_g_bist_fail:1;
        RBus_UInt32  inv_gamma_r_bist_fail:1;
        RBus_UInt32  gamma_b_drf_bist_fail:1;
        RBus_UInt32  gamma_g_drf_bist_fail:1;
        RBus_UInt32  gamma_r_drf_bist_fail:1;
        RBus_UInt32  srgb_b_drf_bist_fail:1;
        RBus_UInt32  srgb_g_drf_bist_fail:1;
        RBus_UInt32  srgb_r_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_b_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_g_drf_bist_fail:1;
        RBus_UInt32  inv_gamma_r_drf_bist_fail:1;
        RBus_UInt32  res1:14;
    };
}gamma_gamma_srgb_bist_ctrl_3_RBUS;




#endif 


#endif 
