/**
* @file Mac7p-DesignSpec-I-Domain_AutoSOY
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_AUTO_SOY_REG_H_
#define _RBUS_AUTO_SOY_REG_H_

#include "rbusTypes.h"



//  AUTO_SOY Register Address



#define  AUTO_SOY_SOYCH0_A0_VADDR                           	(0xb8020300)
#define  AUTO_SOY_SOYCH0_A1_VADDR                           	(0xb8020304)
#define  AUTO_SOY_SOYCH0_A2_VADDR                           	(0xb8020308)
#define  AUTO_SOY_SOYCH0_A3_VADDR                           	(0xb802030c)
#define  AUTO_SOY_SOYCH0_A4_VADDR                           	(0xb8020310)
#define  AUTO_SOY_SOYCH0_B0_VADDR                           	(0xb8020314)
#define  AUTO_SOY_SOYCH0_B1_VADDR                           	(0xb8020318)
#define  AUTO_SOY_SOYCH0_D0_VADDR                           	(0xb802031c)
#define  AUTO_SOY_SOYCH0_D1_VADDR                           	(0xb8020320)
#define  AUTO_SOY_SOYCH0_D2_VADDR                           	(0xb8020324)
#define  AUTO_SOY_SOYCH0_D3_VADDR                           	(0xb8020328)
#define  AUTO_SOY_SOYCH0_D4_VADDR                           	(0xb802032c)
#define  AUTO_SOY_SOYCH0_D5_VADDR                           	(0xb8020330)
#define  AUTO_SOY_SOYCH0_D6_VADDR                           	(0xb8020334)
#define  AUTO_SOY_SOYCH0_D7_VADDR                           	(0xb8020338)
#define  AUTO_SOY_SOYCH0_D8_VADDR                           	(0xb802033c)
#define  AUTO_SOY_SOYCH0_D9_VADDR                           	(0xb8020340)
#define  AUTO_SOY_SOYCH0_D10_VADDR                          	(0xb8020344)
#define  AUTO_SOY_SOYCH0_D11_VADDR                          	(0xb8020348)
#define  AUTO_SOY_SOYCH0_D12_VADDR                          	(0xb802034c)
#define  AUTO_SOY_SOYCH0_D13_VADDR                          	(0xb8020350)
#define  AUTO_SOY_SOYCH0_D14_VADDR                          	(0xb8020354)
#define  AUTO_SOY_SOYCH0_D15_VADDR                          	(0xb8020358)
#define  AUTO_SOY_SOYCH1_A0_VADDR                           	(0xb802035c)
#define  AUTO_SOY_NO_TRIGGER_FLAG_VADDR                     	(0xb8020360)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======AUTO_SOY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_auto_ini_dc:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_deb_valid:6;
        RBus_UInt32  dummy18020300_15_14:2;
        RBus_UInt32  reg_deb_update:6;
        RBus_UInt32  dummy18020300_7:1;
        RBus_UInt32  reg_diff_sel_dclevel:1;
        RBus_UInt32  reg_update_mode:2;
        RBus_UInt32  reg_ma_mode:3;
        RBus_UInt32  reg_auto_mode:1;
    };
}auto_soy_soych0_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_max_hb:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_max_lb:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  reg_min_hb:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  reg_min_lb:6;
    };
}auto_soy_soych0_a1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  reg_max_window:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  reg_min_window:5;
        RBus_UInt32  res3:2;
        RBus_UInt32  reg_min_diff:6;
    };
}auto_soy_soych0_a2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_dc_out_offset:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_manu_comp:6;
        RBus_UInt32  res3:10;
        RBus_UInt32  reg_dc_level_avg:2;
        RBus_UInt32  reg_dc_out_mode:4;
    };
}auto_soy_soych0_a3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  cmp_level_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  dc_level_r:6;
        RBus_UInt32  max_hb_flag_r:1;
        RBus_UInt32  max_lb_flag_r:1;
        RBus_UInt32  max_r:6;
        RBus_UInt32  min_hb_flag_r:1;
        RBus_UInt32  min_lb_flag_r:1;
        RBus_UInt32  min_r:6;
    };
}auto_soy_soych0_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_man_wr_addr:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_man_wr_data:6;
        RBus_UInt32  res3:6;
        RBus_UInt32  reg_man_wr_1t:1;
        RBus_UInt32  reg_ch0_calibrate_cnt_base:5;
        RBus_UInt32  reg_ch0_calibrate_bypass:1;
        RBus_UInt32  reg_ch0_calibrate_val_rst:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  reg_ch0_auto_calibrate_en:1;
    };
}auto_soy_soych0_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  reg_soy_tst_sel:3;
        RBus_UInt32  seek_min_st_r:2;
        RBus_UInt32  seek_max_st_r:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  main_st_r:3;
        RBus_UInt32  dummy18020318_7_6:2;
        RBus_UInt32  cali_st_r:2;
        RBus_UInt32  dummy18020318_3_1:3;
        RBus_UInt32  ch0_cali_done_r:1;
    };
}auto_soy_soych0_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_3_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_2_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_1_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_0_r:6;
    };
}auto_soy_soych0_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_7_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_6_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_5_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_4_r:6;
    };
}auto_soy_soych0_d1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_11_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_10_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_9_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_8_r:6;
    };
}auto_soy_soych0_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_15_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_14_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_13_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_12_r:6;
    };
}auto_soy_soych0_d3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_19_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_18_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_17_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_16_r:6;
    };
}auto_soy_soych0_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_23_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_22_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_21_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_20_r:6;
    };
}auto_soy_soych0_d5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_27_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_26_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_25_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_24_r:6;
    };
}auto_soy_soych0_d6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_31_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_30_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_29_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_28_r:6;
    };
}auto_soy_soych0_d7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_35_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_34_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_33_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_32_r:6;
    };
}auto_soy_soych0_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_39_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_38_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_37_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_36_r:6;
    };
}auto_soy_soych0_d9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_43_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_42_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_41_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_40_r:6;
    };
}auto_soy_soych0_d10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_47_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_46_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_45_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_44_r:6;
    };
}auto_soy_soych0_d11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_51_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_50_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_49_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_48_r:6;
    };
}auto_soy_soych0_d12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_55_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_54_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_53_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_52_r:6;
    };
}auto_soy_soych0_d13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_59_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_58_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_57_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_56_r:6;
    };
}auto_soy_soych0_d14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_63_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_62_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_61_r:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  ch0_cali_60_r:6;
    };
}auto_soy_soych0_d15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  reg_off_manu_comp:6;
    };
}auto_soy_soych1_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  reg_prev_glitch_st_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  tap_01_r:6;
        RBus_UInt32  reg_no_trig_win_size:14;
        RBus_UInt32  no_trig_r:1;
        RBus_UInt32  reg_no_trig_watch_en:1;
    };
}auto_soy_no_trigger_flag_RBUS;

#else //apply LITTLE_ENDIAN

//======AUTO_SOY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_auto_mode:1;
        RBus_UInt32  reg_ma_mode:3;
        RBus_UInt32  reg_update_mode:2;
        RBus_UInt32  reg_diff_sel_dclevel:1;
        RBus_UInt32  dummy18020300_7:1;
        RBus_UInt32  reg_deb_update:6;
        RBus_UInt32  dummy18020300_15_14:2;
        RBus_UInt32  reg_deb_valid:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_auto_ini_dc:6;
        RBus_UInt32  res2:2;
    };
}auto_soy_soych0_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_min_lb:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_min_hb:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_max_lb:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  reg_max_hb:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_a1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_min_diff:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_min_window:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  reg_max_window:5;
        RBus_UInt32  res3:11;
    };
}auto_soy_soych0_a2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_dc_out_mode:4;
        RBus_UInt32  reg_dc_level_avg:2;
        RBus_UInt32  res1:10;
        RBus_UInt32  reg_manu_comp:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  reg_dc_out_offset:6;
        RBus_UInt32  res3:2;
    };
}auto_soy_soych0_a3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  min_r:6;
        RBus_UInt32  min_lb_flag_r:1;
        RBus_UInt32  min_hb_flag_r:1;
        RBus_UInt32  max_r:6;
        RBus_UInt32  max_lb_flag_r:1;
        RBus_UInt32  max_hb_flag_r:1;
        RBus_UInt32  dc_level_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  cmp_level_r:6;
        RBus_UInt32  res2:2;
    };
}auto_soy_soych0_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_ch0_auto_calibrate_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  reg_ch0_calibrate_val_rst:1;
        RBus_UInt32  reg_ch0_calibrate_bypass:1;
        RBus_UInt32  reg_ch0_calibrate_cnt_base:5;
        RBus_UInt32  reg_man_wr_1t:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  reg_man_wr_data:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  reg_man_wr_addr:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_done_r:1;
        RBus_UInt32  dummy18020318_3_1:3;
        RBus_UInt32  cali_st_r:2;
        RBus_UInt32  dummy18020318_7_6:2;
        RBus_UInt32  main_st_r:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  seek_max_st_r:2;
        RBus_UInt32  seek_min_st_r:2;
        RBus_UInt32  reg_soy_tst_sel:3;
        RBus_UInt32  res2:13;
    };
}auto_soy_soych0_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_0_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_1_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_2_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_3_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_4_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_5_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_6_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_7_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_8_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_9_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_10_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_11_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_12_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_13_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_14_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_15_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_16_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_17_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_18_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_19_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_20_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_21_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_22_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_23_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_24_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_25_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_26_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_27_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_28_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_29_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_30_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_31_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_32_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_33_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_34_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_35_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_36_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_37_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_38_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_39_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_40_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_41_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_42_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_43_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_44_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_45_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_46_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_47_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_48_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_49_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_50_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_51_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_52_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_53_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_54_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_55_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_56_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_57_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_58_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_59_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch0_cali_60_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  ch0_cali_61_r:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ch0_cali_62_r:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  ch0_cali_63_r:6;
        RBus_UInt32  res4:2;
    };
}auto_soy_soych0_d15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_off_manu_comp:6;
        RBus_UInt32  res1:26;
    };
}auto_soy_soych1_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_no_trig_watch_en:1;
        RBus_UInt32  no_trig_r:1;
        RBus_UInt32  reg_no_trig_win_size:14;
        RBus_UInt32  tap_01_r:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  reg_prev_glitch_st_en:1;
        RBus_UInt32  res2:7;
    };
}auto_soy_no_trigger_flag_RBUS;




#endif 


#endif 
