/**
* @file Mac7p-DesignSpec-I-Domain_DDS_PLL
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DDS_PLL_REG_H_
#define _RBUS_DDS_PLL_REG_H_

#include "rbusTypes.h"



//  DDS_PLL Register Address



#define  DDS_PLL_PLL_SET_VADDR                              	(0xb8020100)
#define  DDS_PLL_PLL_CTRL_VADDR                             	(0xb8020104)
#define  DDS_PLL_PLLDIV_VADDR                               	(0xb8020108)
#define  DDS_PLL_PLLPHASE_CTRL_VADDR                        	(0xb802010c)
#define  DDS_PLL_PLL_PHASE_INTERPOLATION_VADDR              	(0xb8020110)
#define  DDS_PLL_P_CODE_MAPPING_METHODS_VADDR               	(0xb8020114)
#define  DDS_PLL_PE_TRACKING_METHOD_VADDR                   	(0xb8020118)
#define  DDS_PLL_DDS_MIX_W1_VADDR                           	(0xb802011c)
#define  DDS_PLL_DDS_MIX_W2_VADDR                           	(0xb8020120)
#define  DDS_PLL_PLL_DIV_CTRL_VADDR                         	(0xb8020124)
#define  DDS_PLL_I_CODE_VADDR                               	(0xb8020128)
#define  DDS_PLL_P_CODE_VADDR                               	(0xb802012c)
#define  DDS_PLL_PFD_CALIBRATED_RESULTS_VADDR               	(0xb8020130)
#define  DDS_PLL_PE_MEARSURE_VADDR                          	(0xb8020134)
#define  DDS_PLL_PE_MAX_MEASURE_VADDR                       	(0xb8020138)
#define  DDS_PLL_FAST_PLL_CTRL_VADDR                        	(0xb802013c)
#define  DDS_PLL_FAST_PLL_SUM_I_VADDR                       	(0xb8020140)
#define  DDS_PLL_FAST_PLL_SUM_I_MEASURE_VADDR               	(0xb8020144)
#define  DDS_PLL_APLL_TOP_MIX_VADDR                         	(0xb802014c)
#define  DDS_PLL_DDS_STATUS_VADDR                           	(0xb8020150)
#define  DDS_PLL_JITTER_MEASURE1_VADDR                      	(0xb8020154)
#define  DDS_PLL_JITTER_MEASURE2_VADDR                      	(0xb8020158)
#define  DDS_PLL_JITTER_PG_CTRL1_VADDR                      	(0xb8020160)
#define  DDS_PLL_JITTER_PG_CTRL2_VADDR                      	(0xb8020164)
#define  DDS_PLL_JITTER_PG_CTRL3_VADDR                      	(0xb8020168)
#define  DDS_PLL_JITTER_PG_CTRL4_VADDR                      	(0xb802016c)
#define  DDS_PLL_JITTER_PG_CTRL5_VADDR                      	(0xb8020170)
#define  DDS_PLL_FREQ_CHG_DET_CTRL1_VADDR                   	(0xb8020174)
#define  DDS_PLL_FREQ_CHG_DET_CTRL2_VADDR                   	(0xb8020178)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DDS_PLL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  pllscp:1;
        RBus_UInt32  pllscs:2;
        RBus_UInt32  pllsrs:3;
        RBus_UInt32  res2:3;
        RBus_UInt32  pllssi:5;
        RBus_UInt32  pllsphnext:4;
        RBus_UInt32  pllsnbp:1;
        RBus_UInt32  pll_n:3;
        RBus_UInt32  pll_m:8;
    };
}dds_pll_pll_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  apllldopow:1;
        RBus_UInt32  apllldosel:2;
        RBus_UInt32  dummy18020104_15:1;
        RBus_UInt32  dummy18020104_14:1;
        RBus_UInt32  dummy18020104_13:1;
        RBus_UInt32  dummy18020104_12:1;
        RBus_UInt32  dummy18020104_11:1;
        RBus_UInt32  adckmode:2;
        RBus_UInt32  ps_en_already:1;
        RBus_UInt32  pllstatus:1;
        RBus_UInt32  pllswdrst:1;
        RBus_UInt32  pllswdset:1;
        RBus_UInt32  apll_reg:2;
        RBus_UInt32  hs_dds2synp_sel:1;
        RBus_UInt32  dds_rst:1;
        RBus_UInt32  pllpwdn:1;
    };
}dds_pll_pll_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18020108_31_24:8;
        RBus_UInt32  apll_reserve_7:1;
        RBus_UInt32  apll_reserve_6:1;
        RBus_UInt32  apll_reserve_5_4:2;
        RBus_UInt32  apll_reserve_3_2:2;
        RBus_UInt32  apll_reserve_1_0:2;
        RBus_UInt32  dummy18020108_15:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  pll_divider:12;
    };
}dds_pll_plldiv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  pllsph0path:1;
        RBus_UInt32  res2:21;
    };
}dds_pll_pllphase_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pllsphrl:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  pllsphrs:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  pllsadelay:2;
        RBus_UInt32  dummy18020110_0:1;
    };
}dds_pll_pll_phase_interpolation_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  mapping_sel:2;
        RBus_UInt32  g_value:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  adap_track_i_en:1;
        RBus_UInt32  adap_track_p_en:1;
    };
}dds_pll_p_code_mapping_methods_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  adap_track_pe_th:2;
        RBus_UInt32  adap_track_time_th:2;
        RBus_UInt32  high_speed_mask:1;
        RBus_UInt32  adap_track_en:1;
        RBus_UInt32  zoom_out_ratio:2;
    };
}dds_pll_pe_tracking_method_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802011c_31:1;
        RBus_UInt32  lock_th:3;
        RBus_UInt32  t_s:2;
        RBus_UInt32  pll_lock:1;
        RBus_UInt32  p_code_max:17;
        RBus_UInt32  dummy1802011c_7:1;
        RBus_UInt32  new_mode_lock_th:3;
        RBus_UInt32  new_mode_en:1;
        RBus_UInt32  new_mode_en_th:3;
    };
}dds_pll_dds_mix_w1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  pll_m_final:8;
        RBus_UInt32  k_phase_final:4;
        RBus_UInt32  new_mode_i_code_en:1;
        RBus_UInt32  change_mode_th:3;
        RBus_UInt32  delay_chain_length:2;
        RBus_UInt32  sample_period:2;
        RBus_UInt32  delay_chain_reset_sel:1;
        RBus_UInt32  delay_chain_sat_rst:1;
        RBus_UInt32  delay_chain_sat_reg:1;
        RBus_UInt32  apll_free_run:1;
    };
}dds_pll_dds_mix_w2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  tracking_edge:1;
        RBus_UInt32  tracking_inv:1;
        RBus_UInt32  fast_lock_wait:2;
        RBus_UInt32  delay_cp_mode:4;
    };
}dds_pll_pll_div_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dummy18020128_15:1;
        RBus_UInt32  i_code:15;
    };
}dds_pll_i_code_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  p_code:9;
    };
}dds_pll_p_code_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  xclk_sel:2;
        RBus_UInt32  pfd_cal_en:1;
        RBus_UInt32  q_pe_4cal:15;
    };
}dds_pll_pfd_calibrated_results_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  pe_measure_en:1;
        RBus_UInt32  dummy18020134_14_12:3;
        RBus_UInt32  pe_measure_reg:12;
    };
}dds_pll_pe_mearsure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  max_pe_measure_en:1;
        RBus_UInt32  max_pe_measure_clear:1;
        RBus_UInt32  dummy18020138_13_12:2;
        RBus_UInt32  max_pe_measure_reg:12;
    };
}dds_pll_pe_max_measure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  apll_setting_en:1;
        RBus_UInt32  fast_lock_en:1;
        RBus_UInt32  v_active_sub:1;
        RBus_UInt32  sum_i_update_en:1;
        RBus_UInt32  measure_sum_i:1;
        RBus_UInt32  dummy1802013c_1:1;
        RBus_UInt32  dummy1802013c_0:1;
    };
}dds_pll_fast_pll_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  sum_i_pre:27;
    };
}dds_pll_fast_pll_sum_i_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  sum_i_measure_reg:27;
    };
}dds_pll_fast_pll_sum_i_measure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  debug_mux:4;
        RBus_UInt32  porvset:2;
        RBus_UInt32  pll_tp1_mux:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pll_tp2_mux:3;
        RBus_UInt32  res3:2;
        RBus_UInt32  testdiv_mux:2;
    };
}dds_pll_apll_top_mix_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wd_to_main:1;
        RBus_UInt32  wd_to_sub:1;
        RBus_UInt32  dummy18020150_29_28:2;
        RBus_UInt32  new_mode_state_wd_en:1;
        RBus_UInt32  wait_state_wd_en:1;
        RBus_UInt32  change_mode_happen_wd_en:1;
        RBus_UInt32  adc_nolock_wd_en:1;
        RBus_UInt32  dummy18020150_23_20:4;
        RBus_UInt32  new_mode_state_int_en:1;
        RBus_UInt32  wait_state_int_en:1;
        RBus_UInt32  change_mode_happen_int_en:1;
        RBus_UInt32  adc_nolock_int_en:1;
        RBus_UInt32  dummy18020150_15_4:12;
        RBus_UInt32  new_mode_state_st:1;
        RBus_UInt32  wait_state_st:1;
        RBus_UInt32  change_mode_happen_st:1;
        RBus_UInt32  adc_no_lock_st:1;
    };
}dds_pll_dds_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  jms_winsize:9;
        RBus_UInt32  jms_lineth:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  jms_pethsel:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  jms_en:1;
    };
}dds_pll_jitter_measure1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  jitter_in_win_r:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  jitter_burst_happen_r:1;
    };
}dds_pll_jitter_measure2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  vpls_str:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  vpls_end:11;
        RBus_UInt32  res3:4;
        RBus_UInt32  hs_glitch_en:1;
        RBus_UInt32  p_jitter_pol:1;
        RBus_UInt32  jitter_c2c:1;
        RBus_UInt32  hsptg_en:1;
    };
}dds_pll_jitter_pg_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  linenum:11;
        RBus_UInt32  res2:2;
        RBus_UInt32  data_length:14;
    };
}dds_pll_jitter_pg_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  fpor:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  bpor:10;
    };
}dds_pll_jitter_pg_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  hpls:10;
        RBus_UInt32  res2:7;
        RBus_UInt32  h_jitter:9;
    };
}dds_pll_jitter_pg_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  jitter_str:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  jitter_end:11;
    };
}dds_pll_jitter_pg_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  res2:7;
        RBus_UInt32  dds_freq_chg_fsm_st_r:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  dds_freq_chg_sign_r:1;
        RBus_UInt32  dds_freq_chg_valid_r:1;
        RBus_UInt32  dds_freq_chg_mag40_r:6;
        RBus_UInt32  freq_lpf_k_sel:2;
        RBus_UInt32  delta_scale:2;
        RBus_UInt32  new_freq_lpf_sel:1;
        RBus_UInt32  stb_freq_lpf_sel:1;
        RBus_UInt32  fw_catch_stb_freq:1;
        RBus_UInt32  freq_chg_det_en:1;
    };
}dds_pll_freq_chg_det_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dds_wd_debug_mode:1;
        RBus_UInt32  dds_wd_debug_target:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  k_of_sum_i_stb_r:19;
        RBus_UInt32  dummy18020178_1:1;
        RBus_UInt32  stb_k_manual_wr:1;
    };
}dds_pll_freq_chg_det_ctrl2_RBUS;

#else //apply LITTLE_ENDIAN

//======DDS_PLL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pll_m:8;
        RBus_UInt32  pll_n:3;
        RBus_UInt32  pllsnbp:1;
        RBus_UInt32  pllsphnext:4;
        RBus_UInt32  pllssi:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  pllsrs:3;
        RBus_UInt32  pllscs:2;
        RBus_UInt32  pllscp:1;
        RBus_UInt32  res2:2;
    };
}dds_pll_pll_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pllpwdn:1;
        RBus_UInt32  dds_rst:1;
        RBus_UInt32  hs_dds2synp_sel:1;
        RBus_UInt32  apll_reg:2;
        RBus_UInt32  pllswdset:1;
        RBus_UInt32  pllswdrst:1;
        RBus_UInt32  pllstatus:1;
        RBus_UInt32  ps_en_already:1;
        RBus_UInt32  adckmode:2;
        RBus_UInt32  dummy18020104_11:1;
        RBus_UInt32  dummy18020104_12:1;
        RBus_UInt32  dummy18020104_13:1;
        RBus_UInt32  dummy18020104_14:1;
        RBus_UInt32  dummy18020104_15:1;
        RBus_UInt32  apllldosel:2;
        RBus_UInt32  apllldopow:1;
        RBus_UInt32  res1:13;
    };
}dds_pll_pll_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pll_divider:12;
        RBus_UInt32  res1:3;
        RBus_UInt32  dummy18020108_15:1;
        RBus_UInt32  apll_reserve_1_0:2;
        RBus_UInt32  apll_reserve_3_2:2;
        RBus_UInt32  apll_reserve_5_4:2;
        RBus_UInt32  apll_reserve_6:1;
        RBus_UInt32  apll_reserve_7:1;
        RBus_UInt32  dummy18020108_31_24:8;
    };
}dds_pll_plldiv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  pllsph0path:1;
        RBus_UInt32  res2:10;
    };
}dds_pll_pllphase_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18020110_0:1;
        RBus_UInt32  pllsadelay:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  pllsphrs:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pllsphrl:2;
        RBus_UInt32  res3:22;
    };
}dds_pll_pll_phase_interpolation_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  adap_track_p_en:1;
        RBus_UInt32  adap_track_i_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  g_value:4;
        RBus_UInt32  mapping_sel:2;
        RBus_UInt32  res2:22;
    };
}dds_pll_p_code_mapping_methods_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  zoom_out_ratio:2;
        RBus_UInt32  adap_track_en:1;
        RBus_UInt32  high_speed_mask:1;
        RBus_UInt32  adap_track_time_th:2;
        RBus_UInt32  adap_track_pe_th:2;
        RBus_UInt32  res1:24;
    };
}dds_pll_pe_tracking_method_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  new_mode_en_th:3;
        RBus_UInt32  new_mode_en:1;
        RBus_UInt32  new_mode_lock_th:3;
        RBus_UInt32  dummy1802011c_7:1;
        RBus_UInt32  p_code_max:17;
        RBus_UInt32  pll_lock:1;
        RBus_UInt32  t_s:2;
        RBus_UInt32  lock_th:3;
        RBus_UInt32  dummy1802011c_31:1;
    };
}dds_pll_dds_mix_w1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  apll_free_run:1;
        RBus_UInt32  delay_chain_sat_reg:1;
        RBus_UInt32  delay_chain_sat_rst:1;
        RBus_UInt32  delay_chain_reset_sel:1;
        RBus_UInt32  sample_period:2;
        RBus_UInt32  delay_chain_length:2;
        RBus_UInt32  change_mode_th:3;
        RBus_UInt32  new_mode_i_code_en:1;
        RBus_UInt32  k_phase_final:4;
        RBus_UInt32  pll_m_final:8;
        RBus_UInt32  res1:8;
    };
}dds_pll_dds_mix_w2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  delay_cp_mode:4;
        RBus_UInt32  fast_lock_wait:2;
        RBus_UInt32  tracking_inv:1;
        RBus_UInt32  tracking_edge:1;
        RBus_UInt32  res1:24;
    };
}dds_pll_pll_div_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  i_code:15;
        RBus_UInt32  dummy18020128_15:1;
        RBus_UInt32  res1:16;
    };
}dds_pll_i_code_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_code:9;
        RBus_UInt32  res1:23;
    };
}dds_pll_p_code_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  q_pe_4cal:15;
        RBus_UInt32  pfd_cal_en:1;
        RBus_UInt32  xclk_sel:2;
        RBus_UInt32  res1:14;
    };
}dds_pll_pfd_calibrated_results_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pe_measure_reg:12;
        RBus_UInt32  dummy18020134_14_12:3;
        RBus_UInt32  pe_measure_en:1;
        RBus_UInt32  res1:16;
    };
}dds_pll_pe_mearsure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  max_pe_measure_reg:12;
        RBus_UInt32  dummy18020138_13_12:2;
        RBus_UInt32  max_pe_measure_clear:1;
        RBus_UInt32  max_pe_measure_en:1;
        RBus_UInt32  res1:16;
    };
}dds_pll_pe_max_measure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802013c_0:1;
        RBus_UInt32  dummy1802013c_1:1;
        RBus_UInt32  measure_sum_i:1;
        RBus_UInt32  sum_i_update_en:1;
        RBus_UInt32  v_active_sub:1;
        RBus_UInt32  fast_lock_en:1;
        RBus_UInt32  apll_setting_en:1;
        RBus_UInt32  res1:25;
    };
}dds_pll_fast_pll_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_i_pre:27;
        RBus_UInt32  res1:5;
    };
}dds_pll_fast_pll_sum_i_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_i_measure_reg:27;
        RBus_UInt32  res1:5;
    };
}dds_pll_fast_pll_sum_i_measure_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  testdiv_mux:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  pll_tp2_mux:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pll_tp1_mux:3;
        RBus_UInt32  porvset:2;
        RBus_UInt32  debug_mux:4;
        RBus_UInt32  res3:15;
    };
}dds_pll_apll_top_mix_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  adc_no_lock_st:1;
        RBus_UInt32  change_mode_happen_st:1;
        RBus_UInt32  wait_state_st:1;
        RBus_UInt32  new_mode_state_st:1;
        RBus_UInt32  dummy18020150_15_4:12;
        RBus_UInt32  adc_nolock_int_en:1;
        RBus_UInt32  change_mode_happen_int_en:1;
        RBus_UInt32  wait_state_int_en:1;
        RBus_UInt32  new_mode_state_int_en:1;
        RBus_UInt32  dummy18020150_23_20:4;
        RBus_UInt32  adc_nolock_wd_en:1;
        RBus_UInt32  change_mode_happen_wd_en:1;
        RBus_UInt32  wait_state_wd_en:1;
        RBus_UInt32  new_mode_state_wd_en:1;
        RBus_UInt32  dummy18020150_29_28:2;
        RBus_UInt32  wd_to_sub:1;
        RBus_UInt32  wd_to_main:1;
    };
}dds_pll_dds_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  jms_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  jms_pethsel:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  jms_lineth:4;
        RBus_UInt32  jms_winsize:9;
        RBus_UInt32  res3:11;
    };
}dds_pll_jitter_measure1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  jitter_burst_happen_r:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  jitter_in_win_r:9;
        RBus_UInt32  res2:19;
    };
}dds_pll_jitter_measure2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsptg_en:1;
        RBus_UInt32  jitter_c2c:1;
        RBus_UInt32  p_jitter_pol:1;
        RBus_UInt32  hs_glitch_en:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  vpls_end:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  vpls_str:11;
        RBus_UInt32  res3:1;
    };
}dds_pll_jitter_pg_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_length:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  linenum:11;
        RBus_UInt32  res2:5;
    };
}dds_pll_jitter_pg_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bpor:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  fpor:10;
        RBus_UInt32  res2:6;
    };
}dds_pll_jitter_pg_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_jitter:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  hpls:10;
        RBus_UInt32  res2:6;
    };
}dds_pll_jitter_pg_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  jitter_end:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  jitter_str:11;
        RBus_UInt32  res2:5;
    };
}dds_pll_jitter_pg_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  freq_chg_det_en:1;
        RBus_UInt32  fw_catch_stb_freq:1;
        RBus_UInt32  stb_freq_lpf_sel:1;
        RBus_UInt32  new_freq_lpf_sel:1;
        RBus_UInt32  delta_scale:2;
        RBus_UInt32  freq_lpf_k_sel:2;
        RBus_UInt32  dds_freq_chg_mag40_r:6;
        RBus_UInt32  dds_freq_chg_valid_r:1;
        RBus_UInt32  dds_freq_chg_sign_r:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dds_freq_chg_fsm_st_r:3;
        RBus_UInt32  res2:7;
        RBus_UInt32  res3:5;
    };
}dds_pll_freq_chg_det_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  stb_k_manual_wr:1;
        RBus_UInt32  dummy18020178_1:1;
        RBus_UInt32  k_of_sum_i_stb_r:19;
        RBus_UInt32  res1:7;
        RBus_UInt32  dds_wd_debug_target:1;
        RBus_UInt32  dds_wd_debug_mode:1;
        RBus_UInt32  res2:2;
    };
}dds_pll_freq_chg_det_ctrl2_RBUS;




#endif 


#endif 
