/**
* @file Mac7p-DesignSpec-D-Domain_ISP
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_ISP_REG_H_
#define _RBUS_ISP_REG_H_

#include "rbusTypes.h"



//  ISP Register Address



#define  ISP_ISP_EN_VADDR                                   	(0xb802d100)
#define  ISP_ISP_TCON_SEL_VADDR                             	(0xb802d104)
#define  ISP_ISP_TD_VADDR                                   	(0xb802d108)
#define  ISP_ISP_VD_SD_SET_FRM_VADDR                        	(0xb802d10c)
#define  ISP_ISP_TBK_VADDR                                  	(0xb802d110)
#define  ISP_ISP_BAC_VADDR                                  	(0xb802d114)
#define  ISP_ISP_EOL_VADDR                                  	(0xb802d118)
#define  ISP_ISP_BKPOL_VADDR                                	(0xb802d11c)
#define  ISP_ISP_POLP_VADDR                                 	(0xb802d120)
#define  ISP_ISP_POLN_VADDR                                 	(0xb802d124)
#define  ISP_ISP_SETTING00_00_VADDR                         	(0xb802d128)
#define  ISP_ISP_SETTING00_04_VADDR                         	(0xb802d12c)
#define  ISP_ISP_SETTING00_08_VADDR                         	(0xb802d130)
#define  ISP_ISP_SETTING01_00_VADDR                         	(0xb802d134)
#define  ISP_ISP_SETTING01_04_VADDR                         	(0xb802d138)
#define  ISP_ISP_SETTING01_08_VADDR                         	(0xb802d13c)
#define  ISP_ISP_SETTING02_00_VADDR                         	(0xb802d140)
#define  ISP_ISP_SETTING02_04_VADDR                         	(0xb802d144)
#define  ISP_ISP_SETTING02_08_VADDR                         	(0xb802d148)
#define  ISP_ISP_SETTING03_00_VADDR                         	(0xb802d14c)
#define  ISP_ISP_SETTING03_04_VADDR                         	(0xb802d150)
#define  ISP_ISP_SETTING03_08_VADDR                         	(0xb802d154)
#define  ISP_ISP_SETTING04_VADDR                            	(0xb802d158)
#define  ISP_ISP_SETTING08_VADDR                            	(0xb802d15c)
#define  ISP_ISP_SETTING12_VADDR                            	(0xb802d160)
#define  ISP_ISP_SETTING16_VADDR                            	(0xb802d164)
#define  ISP_ISP_SETTING20_VADDR                            	(0xb802d168)
#define  ISP_ISP_SETTING24_VADDR                            	(0xb802d16c)
#define  ISP_ISP_SETTING28_VADDR                            	(0xb802d170)
#define  ISP_ISP_SETTING32_VADDR                            	(0xb802d174)
#define  ISP_ISP_SETTING36_VADDR                            	(0xb802d178)
#define  ISP_ISP_SETTING40_VADDR                            	(0xb802d17c)
#define  ISP_ISP_SETTING44_VADDR                            	(0xb802d180)
#define  ISP_ISP_SETTING48_VADDR                            	(0xb802d184)
#define  ISP_ISP_SETTING52_VADDR                            	(0xb802d188)
#define  ISP_ISP_SETTING56_VADDR                            	(0xb802d18c)
#define  ISP_ISP_DUMMY0_VADDR                               	(0xb802d198)
#define  ISP_ISP_DUMMY1_VADDR                               	(0xb802d19c)
#define  ISP_ISP_CRC_CTRL_VADDR                             	(0xb802d1a0)
#define  ISP_ISP_CRC_RESULT_VADDR                           	(0xb802d1a4)
#define  ISP_ISP_CRC_GOLDEN_VADDR                           	(0xb802d1a8)
#define  ISP_ISP_TST_OUT_VADDR                              	(0xb802d1ac)
#define  ISP_ISP_FIFO_BIST_VADDR                            	(0xb802d1b0)
#define  ISP_ISP_SETTING10_01_VADDR                         	(0xb802d1b4)
#define  ISP_ISP_SETTING10_02_VADDR                         	(0xb802d1b8)
#define  ISP_ISP_SETTING10_03_VADDR                         	(0xb802d1bc)
#define  ISP_ISP_SETTING10_04_VADDR                         	(0xb802d1c0)
#define  ISP_ISP_SETTING10_05_VADDR                         	(0xb802d1c4)
#define  ISP_ISP_SETTING10_06_VADDR                         	(0xb802d1c8)
#define  ISP_ISP_SETTING10_07_VADDR                         	(0xb802d1cc)
#define  ISP_ISP_SETTING10_08_VADDR                         	(0xb802d1d0)
#define  ISP_ISP_SETTING10_09_VADDR                         	(0xb802d1d4)
#define  ISP_ISP_SETTING10_10_VADDR                         	(0xb802d1d8)
#define  ISP_ISP_SETTING10_11_VADDR                         	(0xb802d1dc)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======ISP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  sdunlock_irq_en:1;
        RBus_UInt32  sdunlock_irq:1;
        RBus_UInt32  dbg_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  dbg_sel:6;
        RBus_UInt32  res3:15;
        RBus_UInt32  pasel:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  isp_en:1;
    };
}isp_isp_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  scrambler_func:1;
        RBus_UInt32  scrambler_sel:1;
        RBus_UInt32  scrambler_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  bit_cnt:2;
        RBus_UInt32  res3:3;
        RBus_UInt32  bkpol_sel:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  pol_bit1_sel:5;
        RBus_UInt32  res5:3;
        RBus_UInt32  pol_bit0_sel:5;
    };
}isp_isp_tcon_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  hs_to_den_distance:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  sdlock_manual_value:1;
        RBus_UInt32  sdlock_manual_mode:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  td:11;
    };
}isp_isp_td_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  vb_sd_set_frm:8;
    };
}isp_isp_vd_sd_set_frm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sd_lock_type:1;
        RBus_UInt32  tbk_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tbk1:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  tbk2:9;
        RBus_UInt32  isp_dummy:8;
    };
}isp_isp_tbk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  bac:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  set:9;
    };
}isp_isp_bac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  eol:9;
    };
}isp_isp_eol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  bkpolp:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  bkpoln:9;
    };
}isp_isp_bkpol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  polp_gseln:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  polp_gselp:9;
    };
}isp_isp_polp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  poln_gseln:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  poln_gselp:9;
    };
}isp_isp_poln_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_00:8;
        RBus_UInt32  setting00_01:8;
        RBus_UInt32  setting00_02:8;
        RBus_UInt32  setting00_03:8;
    };
}isp_isp_setting00_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_04:8;
        RBus_UInt32  setting00_05:8;
        RBus_UInt32  setting00_06:8;
        RBus_UInt32  setting00_07:8;
    };
}isp_isp_setting00_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_08:8;
        RBus_UInt32  setting00_09:8;
        RBus_UInt32  setting00_10:8;
        RBus_UInt32  setting00_11:8;
    };
}isp_isp_setting00_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_00:8;
        RBus_UInt32  setting01_01:8;
        RBus_UInt32  setting01_02:8;
        RBus_UInt32  setting01_03:8;
    };
}isp_isp_setting01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_04:8;
        RBus_UInt32  setting01_05:8;
        RBus_UInt32  setting01_06:8;
        RBus_UInt32  setting01_07:8;
    };
}isp_isp_setting01_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_08:8;
        RBus_UInt32  setting01_09:8;
        RBus_UInt32  setting01_10:8;
        RBus_UInt32  setting01_11:8;
    };
}isp_isp_setting01_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_00:8;
        RBus_UInt32  setting02_01:8;
        RBus_UInt32  setting02_02:8;
        RBus_UInt32  setting02_03:8;
    };
}isp_isp_setting02_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_04:8;
        RBus_UInt32  setting02_05:8;
        RBus_UInt32  setting02_06:8;
        RBus_UInt32  setting02_07:8;
    };
}isp_isp_setting02_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_08:8;
        RBus_UInt32  setting02_09:8;
        RBus_UInt32  setting02_10:8;
        RBus_UInt32  setting02_11:8;
    };
}isp_isp_setting02_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_00:8;
        RBus_UInt32  setting03_01:8;
        RBus_UInt32  setting03_02:8;
        RBus_UInt32  setting03_03:8;
    };
}isp_isp_setting03_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_04:8;
        RBus_UInt32  setting03_05:8;
        RBus_UInt32  setting03_06:8;
        RBus_UInt32  setting03_07:8;
    };
}isp_isp_setting03_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_08:8;
        RBus_UInt32  setting03_09:8;
        RBus_UInt32  setting03_10:8;
        RBus_UInt32  setting03_11:8;
    };
}isp_isp_setting03_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting04:8;
        RBus_UInt32  setting05:8;
        RBus_UInt32  setting06:8;
        RBus_UInt32  setting07:8;
    };
}isp_isp_setting04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting08:8;
        RBus_UInt32  setting09:8;
        RBus_UInt32  setting10:8;
        RBus_UInt32  setting11:8;
    };
}isp_isp_setting08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting12:8;
        RBus_UInt32  setting13:8;
        RBus_UInt32  setting14:8;
        RBus_UInt32  setting15:8;
    };
}isp_isp_setting12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting16:8;
        RBus_UInt32  setting17:8;
        RBus_UInt32  setting18:8;
        RBus_UInt32  setting19:8;
    };
}isp_isp_setting16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting20:8;
        RBus_UInt32  setting21:8;
        RBus_UInt32  setting22:8;
        RBus_UInt32  setting23:8;
    };
}isp_isp_setting20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting24:8;
        RBus_UInt32  setting25:8;
        RBus_UInt32  setting26:8;
        RBus_UInt32  setting27:8;
    };
}isp_isp_setting24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting28:8;
        RBus_UInt32  setting29:8;
        RBus_UInt32  setting30:8;
        RBus_UInt32  setting31:8;
    };
}isp_isp_setting28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting32:8;
        RBus_UInt32  setting33:8;
        RBus_UInt32  setting34:8;
        RBus_UInt32  setting35:8;
    };
}isp_isp_setting32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting36:8;
        RBus_UInt32  setting37:8;
        RBus_UInt32  setting38:8;
        RBus_UInt32  setting39:8;
    };
}isp_isp_setting36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting40:8;
        RBus_UInt32  setting41:8;
        RBus_UInt32  setting42:8;
        RBus_UInt32  setting43:8;
    };
}isp_isp_setting40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting44:8;
        RBus_UInt32  setting45:8;
        RBus_UInt32  setting46:8;
        RBus_UInt32  setting47:8;
    };
}isp_isp_setting44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting48:8;
        RBus_UInt32  setting49:8;
        RBus_UInt32  setting50:8;
        RBus_UInt32  setting51:8;
    };
}isp_isp_setting48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting52:8;
        RBus_UInt32  setting53:8;
        RBus_UInt32  setting54:8;
        RBus_UInt32  setting55:8;
    };
}isp_isp_setting52_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting56:8;
        RBus_UInt32  setting57:8;
        RBus_UInt32  setting58:8;
        RBus_UInt32  setting59:8;
    };
}isp_isp_setting56_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802d198_31_0:32;
    };
}isp_isp_dummy0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802d19c_31_0:32;
    };
}isp_isp_dummy1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_err_cnt:16;
        RBus_UInt32  crc_port_en:12;
        RBus_UInt32  res1:1;
        RBus_UInt32  crc_auto_cmp_en:1;
        RBus_UInt32  crc_conti:1;
        RBus_UInt32  crc_start:1;
    };
}isp_isp_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_result:32;
    };
}isp_isp_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_golden:32;
    };
}isp_isp_crc_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_tst_out:32;
    };
}isp_isp_tst_out_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_bist_enable:1;
        RBus_UInt32  isp_bist_done:1;
        RBus_UInt32  isp_bist_result:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  isp_bist_length:20;
    };
}isp_isp_fifo_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_01:8;
        RBus_UInt32  setting11_01:8;
        RBus_UInt32  setting12_01:8;
        RBus_UInt32  setting13_01:8;
    };
}isp_isp_setting10_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_02:8;
        RBus_UInt32  setting11_02:8;
        RBus_UInt32  setting12_02:8;
        RBus_UInt32  setting13_02:8;
    };
}isp_isp_setting10_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_03:8;
        RBus_UInt32  setting11_03:8;
        RBus_UInt32  setting12_03:8;
        RBus_UInt32  setting13_03:8;
    };
}isp_isp_setting10_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_04:8;
        RBus_UInt32  setting11_04:8;
        RBus_UInt32  setting12_04:8;
        RBus_UInt32  setting13_04:8;
    };
}isp_isp_setting10_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_05:8;
        RBus_UInt32  setting11_05:8;
        RBus_UInt32  setting12_05:8;
        RBus_UInt32  setting13_05:8;
    };
}isp_isp_setting10_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_06:8;
        RBus_UInt32  setting11_06:8;
        RBus_UInt32  setting12_06:8;
        RBus_UInt32  setting13_06:8;
    };
}isp_isp_setting10_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_07:8;
        RBus_UInt32  setting11_07:8;
        RBus_UInt32  setting12_07:8;
        RBus_UInt32  setting13_07:8;
    };
}isp_isp_setting10_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_08:8;
        RBus_UInt32  setting11_08:8;
        RBus_UInt32  setting12_08:8;
        RBus_UInt32  setting13_08:8;
    };
}isp_isp_setting10_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_09:8;
        RBus_UInt32  setting11_09:8;
        RBus_UInt32  setting12_09:8;
        RBus_UInt32  setting13_09:8;
    };
}isp_isp_setting10_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_10:8;
        RBus_UInt32  setting11_10:8;
        RBus_UInt32  setting12_10:8;
        RBus_UInt32  setting13_10:8;
    };
}isp_isp_setting10_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting10_11:8;
        RBus_UInt32  setting11_11:8;
        RBus_UInt32  setting12_11:8;
        RBus_UInt32  setting13_11:8;
    };
}isp_isp_setting10_11_RBUS;

#else //apply LITTLE_ENDIAN

//======ISP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  pasel:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  dbg_sel:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  dbg_en:1;
        RBus_UInt32  sdunlock_irq:1;
        RBus_UInt32  sdunlock_irq_en:1;
        RBus_UInt32  res4:1;
    };
}isp_isp_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pol_bit0_sel:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  pol_bit1_sel:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  bkpol_sel:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  bit_cnt:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  scrambler_en:1;
        RBus_UInt32  scrambler_sel:1;
        RBus_UInt32  scrambler_func:1;
        RBus_UInt32  res5:1;
    };
}isp_isp_tcon_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  td:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  sdlock_manual_mode:1;
        RBus_UInt32  sdlock_manual_value:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  hs_to_den_distance:8;
        RBus_UInt32  res3:8;
    };
}isp_isp_td_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vb_sd_set_frm:8;
        RBus_UInt32  res1:24;
    };
}isp_isp_vd_sd_set_frm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_dummy:8;
        RBus_UInt32  tbk2:9;
        RBus_UInt32  res1:3;
        RBus_UInt32  tbk1:9;
        RBus_UInt32  res2:1;
        RBus_UInt32  tbk_en:1;
        RBus_UInt32  sd_lock_type:1;
    };
}isp_isp_tbk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  set:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  bac:9;
        RBus_UInt32  res2:7;
    };
}isp_isp_bac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  eol:9;
        RBus_UInt32  res1:23;
    };
}isp_isp_eol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bkpoln:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  bkpolp:9;
        RBus_UInt32  res2:7;
    };
}isp_isp_bkpol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  polp_gselp:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  polp_gseln:9;
        RBus_UInt32  res2:7;
    };
}isp_isp_polp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poln_gselp:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  poln_gseln:9;
        RBus_UInt32  res2:7;
    };
}isp_isp_poln_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_03:8;
        RBus_UInt32  setting00_02:8;
        RBus_UInt32  setting00_01:8;
        RBus_UInt32  setting00_00:8;
    };
}isp_isp_setting00_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_07:8;
        RBus_UInt32  setting00_06:8;
        RBus_UInt32  setting00_05:8;
        RBus_UInt32  setting00_04:8;
    };
}isp_isp_setting00_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting00_11:8;
        RBus_UInt32  setting00_10:8;
        RBus_UInt32  setting00_09:8;
        RBus_UInt32  setting00_08:8;
    };
}isp_isp_setting00_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_03:8;
        RBus_UInt32  setting01_02:8;
        RBus_UInt32  setting01_01:8;
        RBus_UInt32  setting01_00:8;
    };
}isp_isp_setting01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_07:8;
        RBus_UInt32  setting01_06:8;
        RBus_UInt32  setting01_05:8;
        RBus_UInt32  setting01_04:8;
    };
}isp_isp_setting01_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting01_11:8;
        RBus_UInt32  setting01_10:8;
        RBus_UInt32  setting01_09:8;
        RBus_UInt32  setting01_08:8;
    };
}isp_isp_setting01_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_03:8;
        RBus_UInt32  setting02_02:8;
        RBus_UInt32  setting02_01:8;
        RBus_UInt32  setting02_00:8;
    };
}isp_isp_setting02_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_07:8;
        RBus_UInt32  setting02_06:8;
        RBus_UInt32  setting02_05:8;
        RBus_UInt32  setting02_04:8;
    };
}isp_isp_setting02_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting02_11:8;
        RBus_UInt32  setting02_10:8;
        RBus_UInt32  setting02_09:8;
        RBus_UInt32  setting02_08:8;
    };
}isp_isp_setting02_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_03:8;
        RBus_UInt32  setting03_02:8;
        RBus_UInt32  setting03_01:8;
        RBus_UInt32  setting03_00:8;
    };
}isp_isp_setting03_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_07:8;
        RBus_UInt32  setting03_06:8;
        RBus_UInt32  setting03_05:8;
        RBus_UInt32  setting03_04:8;
    };
}isp_isp_setting03_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting03_11:8;
        RBus_UInt32  setting03_10:8;
        RBus_UInt32  setting03_09:8;
        RBus_UInt32  setting03_08:8;
    };
}isp_isp_setting03_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting07:8;
        RBus_UInt32  setting06:8;
        RBus_UInt32  setting05:8;
        RBus_UInt32  setting04:8;
    };
}isp_isp_setting04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting11:8;
        RBus_UInt32  setting10:8;
        RBus_UInt32  setting09:8;
        RBus_UInt32  setting08:8;
    };
}isp_isp_setting08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting15:8;
        RBus_UInt32  setting14:8;
        RBus_UInt32  setting13:8;
        RBus_UInt32  setting12:8;
    };
}isp_isp_setting12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting19:8;
        RBus_UInt32  setting18:8;
        RBus_UInt32  setting17:8;
        RBus_UInt32  setting16:8;
    };
}isp_isp_setting16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting23:8;
        RBus_UInt32  setting22:8;
        RBus_UInt32  setting21:8;
        RBus_UInt32  setting20:8;
    };
}isp_isp_setting20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting27:8;
        RBus_UInt32  setting26:8;
        RBus_UInt32  setting25:8;
        RBus_UInt32  setting24:8;
    };
}isp_isp_setting24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting31:8;
        RBus_UInt32  setting30:8;
        RBus_UInt32  setting29:8;
        RBus_UInt32  setting28:8;
    };
}isp_isp_setting28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting35:8;
        RBus_UInt32  setting34:8;
        RBus_UInt32  setting33:8;
        RBus_UInt32  setting32:8;
    };
}isp_isp_setting32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting39:8;
        RBus_UInt32  setting38:8;
        RBus_UInt32  setting37:8;
        RBus_UInt32  setting36:8;
    };
}isp_isp_setting36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting43:8;
        RBus_UInt32  setting42:8;
        RBus_UInt32  setting41:8;
        RBus_UInt32  setting40:8;
    };
}isp_isp_setting40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting47:8;
        RBus_UInt32  setting46:8;
        RBus_UInt32  setting45:8;
        RBus_UInt32  setting44:8;
    };
}isp_isp_setting44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting51:8;
        RBus_UInt32  setting50:8;
        RBus_UInt32  setting49:8;
        RBus_UInt32  setting48:8;
    };
}isp_isp_setting48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting55:8;
        RBus_UInt32  setting54:8;
        RBus_UInt32  setting53:8;
        RBus_UInt32  setting52:8;
    };
}isp_isp_setting52_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting59:8;
        RBus_UInt32  setting58:8;
        RBus_UInt32  setting57:8;
        RBus_UInt32  setting56:8;
    };
}isp_isp_setting56_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802d198_31_0:32;
    };
}isp_isp_dummy0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802d19c_31_0:32;
    };
}isp_isp_dummy1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_start:1;
        RBus_UInt32  crc_conti:1;
        RBus_UInt32  crc_auto_cmp_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  crc_port_en:12;
        RBus_UInt32  crc_err_cnt:16;
    };
}isp_isp_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_result:32;
    };
}isp_isp_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_golden:32;
    };
}isp_isp_crc_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_tst_out:32;
    };
}isp_isp_tst_out_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  isp_bist_length:20;
        RBus_UInt32  res1:9;
        RBus_UInt32  isp_bist_result:1;
        RBus_UInt32  isp_bist_done:1;
        RBus_UInt32  isp_bist_enable:1;
    };
}isp_isp_fifo_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_01:8;
        RBus_UInt32  setting12_01:8;
        RBus_UInt32  setting11_01:8;
        RBus_UInt32  setting10_01:8;
    };
}isp_isp_setting10_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_02:8;
        RBus_UInt32  setting12_02:8;
        RBus_UInt32  setting11_02:8;
        RBus_UInt32  setting10_02:8;
    };
}isp_isp_setting10_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_03:8;
        RBus_UInt32  setting12_03:8;
        RBus_UInt32  setting11_03:8;
        RBus_UInt32  setting10_03:8;
    };
}isp_isp_setting10_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_04:8;
        RBus_UInt32  setting12_04:8;
        RBus_UInt32  setting11_04:8;
        RBus_UInt32  setting10_04:8;
    };
}isp_isp_setting10_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_05:8;
        RBus_UInt32  setting12_05:8;
        RBus_UInt32  setting11_05:8;
        RBus_UInt32  setting10_05:8;
    };
}isp_isp_setting10_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_06:8;
        RBus_UInt32  setting12_06:8;
        RBus_UInt32  setting11_06:8;
        RBus_UInt32  setting10_06:8;
    };
}isp_isp_setting10_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_07:8;
        RBus_UInt32  setting12_07:8;
        RBus_UInt32  setting11_07:8;
        RBus_UInt32  setting10_07:8;
    };
}isp_isp_setting10_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_08:8;
        RBus_UInt32  setting12_08:8;
        RBus_UInt32  setting11_08:8;
        RBus_UInt32  setting10_08:8;
    };
}isp_isp_setting10_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_09:8;
        RBus_UInt32  setting12_09:8;
        RBus_UInt32  setting11_09:8;
        RBus_UInt32  setting10_09:8;
    };
}isp_isp_setting10_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_10:8;
        RBus_UInt32  setting12_10:8;
        RBus_UInt32  setting11_10:8;
        RBus_UInt32  setting10_10:8;
    };
}isp_isp_setting10_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  setting13_11:8;
        RBus_UInt32  setting12_11:8;
        RBus_UInt32  setting11_11:8;
        RBus_UInt32  setting10_11:8;
    };
}isp_isp_setting10_11_RBUS;




#endif 


#endif 
