/**
* @file Mac7p-DesignSpec-I-Domain_ONMS
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_ONMS_REG_H_
#define _RBUS_ONMS_REG_H_

#include "rbusTypes.h"



//  ONMS Register Address



#define  ONMS_ONMS1_CTRL_VADDR                              	(0xb8021200)
#define  ONMS_ONMS1_VS_PERIOD_VADDR                         	(0xb8021230)
#define  ONMS_ONMS1_VSHS_HIGH_PERIOD_VADDR                  	(0xb8021234)
#define  ONMS_ONMS1_HS_PERIOD_VADDR                         	(0xb8021238)
#define  ONMS_ONMS1_VACT_STA_VADDR                          	(0xb802123c)
#define  ONMS_ONMS1_HACT_STA_VADDR                          	(0xb8021240)
#define  ONMS_ONMS1_HACT_VADDR                              	(0xb8021244)
#define  ONMS_ONMS1_CTRL_1_VADDR                            	(0xb8021248)
#define  ONMS_ONMS1_CTRL_2_VADDR                            	(0xb802124c)
#define  ONMS_ONMS1_HSYNC_MEAS_CTRL_VADDR                   	(0xb802125c)
#define  ONMS_ONMS1_HSYNC_MEAS_CTRL_2_VADDR                 	(0xb8021260)
#define  ONMS_ONMS1_HSYNC_MEAS_RESULT_VADDR                 	(0xb8021264)
#define  ONMS_ONMS1_STATUS_VADDR                            	(0xb8021268)
#define  ONMS_ONMS1_WATCHDOG_EN_VADDR                       	(0xb802126c)
#define  ONMS_ONMS1_INTERRUPT_EN_VADDR                      	(0xb8021270)
#define  ONMS_VS_TIMING_MONITOR_CTRL_1_VADDR                	(0xb802127c)
#define  ONMS_VS_TIMING_MONITOR_RESULT_1_VADDR              	(0xb8021280)
#define  ONMS_VS_TIMING_MONITOR_RESULT_2_VADDR              	(0xb8021284)
#define  ONMS_ONMS3_CTRL_VADDR                              	(0xb8021400)
#define  ONMS_ONMS3_VS_PERIOD_VADDR                         	(0xb8021430)
#define  ONMS_ONMS3_VSHS_HIGH_PERIOD_VADDR                  	(0xb8021434)
#define  ONMS_ONMS3_HS_PERIOD_VADDR                         	(0xb8021438)
#define  ONMS_ONMS3_VACT_STA_VADDR                          	(0xb802143c)
#define  ONMS_ONMS3_HACT_STA_VADDR                          	(0xb8021440)
#define  ONMS_ONMS3_HACT_VADDR                              	(0xb8021444)
#define  ONMS_ONMS3_CTRL_1_VADDR                            	(0xb8021448)
#define  ONMS_ONMS3_CTRL_2_VADDR                            	(0xb802144c)
#define  ONMS_ONMS3_HSYNC_MEAS_CTRL_VADDR                   	(0xb802145c)
#define  ONMS_ONMS3_HSYNC_MEAS_CTRL_2_VADDR                 	(0xb8021460)
#define  ONMS_ONMS3_HSYNC_MEAS_RESULT_VADDR                 	(0xb8021464)
#define  ONMS_ONMS3_STATUS_VADDR                            	(0xb8021468)
#define  ONMS_ONMS3_WATCHDOG_EN_VADDR                       	(0xb802146c)
#define  ONMS_ONMS3_INTERRUPT_EN_VADDR                      	(0xb8021470)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======ONMS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_continuous_popup:1;
        RBus_UInt32  on1_hd21_ms_en:1;
        RBus_UInt32  on1_ms_src_sel:1;
        RBus_UInt32  on1_blk_2frame_en:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  on1_vtotal_max_delta:4;
        RBus_UInt32  on1_htotal_max_delta:4;
        RBus_UInt32  on1_htotal_of_th:2;
        RBus_UInt32  on1_input_align:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  on1_meas_to_sel:1;
        RBus_UInt32  on1_sycms_clk:1;
        RBus_UInt32  on1_vs_meas_inv:1;
        RBus_UInt32  on1_hs_meas_inv:1;
        RBus_UInt32  on1_popup_meas:1;
        RBus_UInt32  on1_ms_conti:1;
        RBus_UInt32  on1_start_ms:1;
    };
}onms_onms1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  on1_vtotalde:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  on1_vtotal:15;
    };
}onms_onms1_vs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vs_high_period:15;
        RBus_UInt32  res2:2;
        RBus_UInt32  on1_hs_high_period:14;
    };
}onms_onms1_vshs_high_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  on1_htotal_h12b:14;
        RBus_UInt32  on1_htotal_f4b:4;
    };
}onms_onms1_hs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  on1_vblank_len:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  on1_vact_start:12;
    };
}onms_onms1_vact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on1_hact_start:14;
    };
}onms_onms1_hact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  on1_hact:14;
        RBus_UInt32  on1_hact_fract:4;
    };
}onms_onms1_hact_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vtotal_uf_th:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  on1_vtotal_of_th:15;
    };
}onms_onms1_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on1_hgclk_gate_th:14;
    };
}onms_onms1_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_htotal_max_delta_new:7;
        RBus_UInt32  res2:4;
        RBus_UInt32  on1_average_line:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  on1_target_measure:14;
    };
}onms_onms1_hsync_meas_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vmeas_end:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  on1_vmeas_start:15;
    };
}onms_onms1_hsync_meas_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on1_hmax_delta_total:14;
    };
}onms_onms1_hsync_meas_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  on1_hgclk_gate_over_range:1;
        RBus_UInt32  on1_hs_meas_over_range:1;
        RBus_UInt32  on1_vs_per_to_long:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  on1_vs_pol_out:1;
        RBus_UInt32  on1_hs_pol_out:1;
        RBus_UInt32  on1_vs_per_over_range:1;
        RBus_UInt32  on1_hs_per_over_range:1;
        RBus_UInt32  on1_vs_per_timeout:1;
        RBus_UInt32  on1_vs_high_timeout:1;
        RBus_UInt32  on1_vs_per_overflow:1;
        RBus_UInt32  on1_hs_per_overflow:1;
        RBus_UInt32  on1_vs_pol_chg:1;
        RBus_UInt32  on1_hs_pol_chg:1;
        RBus_UInt32  on1_vtotalde_chg:1;
        RBus_UInt32  on1_vtotal_chg:1;
        RBus_UInt32  on1_hact_chg:1;
        RBus_UInt32  on1_htotal_chg:1;
        RBus_UInt32  on1_hs_active_pixel_var:1;
        RBus_UInt32  on1_vs_per_underflow:1;
        RBus_UInt32  res3:2;
    };
}onms_onms1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_wd_to_main:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_wd_debug_mode_m:1;
        RBus_UInt32  on1_wd_debug_target_m:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on1_wd_hgclk_gate_over_range:1;
        RBus_UInt32  on1_wd_hs_meas_over_range:1;
        RBus_UInt32  res3:5;
        RBus_UInt32  on1_wd_vs_per_over_range:1;
        RBus_UInt32  on1_wd_hs_per_over_range:1;
        RBus_UInt32  on1_wd_vs_per_timeout:1;
        RBus_UInt32  on1_wd_vs_high_timeout:1;
        RBus_UInt32  on1_wd_vs_per_overflow:1;
        RBus_UInt32  on1_wd_hs_per_overflow:1;
        RBus_UInt32  on1_wd_vs_pol_chg:1;
        RBus_UInt32  on1_wd_hs_pol_chg:1;
        RBus_UInt32  on1_wd_vtotalde_chg:1;
        RBus_UInt32  on1_wd_vtotal_chg:1;
        RBus_UInt32  on1_wd_hact_chg:1;
        RBus_UInt32  on1_wd_htotal_chg:1;
        RBus_UInt32  on1_wd_hs_active_pixel_var:1;
        RBus_UInt32  on1_wd_vs_per_underflow:1;
        RBus_UInt32  res4:2;
    };
}onms_onms1_watchdog_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_ie_to_main:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  on1_ie_hgclk_gate_over_range:1;
        RBus_UInt32  on1_ie_hs_meas_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on1_ie_vs_per_over_range:1;
        RBus_UInt32  on1_ie_hs_per_over_range:1;
        RBus_UInt32  on1_ie_vs_per_timeout:1;
        RBus_UInt32  on1_ie_vs_high_timeout:1;
        RBus_UInt32  on1_ie_vs_per_overflow:1;
        RBus_UInt32  on1_ie_hs_per_overflow:1;
        RBus_UInt32  on1_ie_vs_pol_chg:1;
        RBus_UInt32  on1_ie_hs_pol_chg:1;
        RBus_UInt32  on1_ie_vtotalde_chg:1;
        RBus_UInt32  on1_ie_vtotal_chg:1;
        RBus_UInt32  on1_ie_hact_chg:1;
        RBus_UInt32  on1_ie_htotal_chg:1;
        RBus_UInt32  on1_ie_hs_active_pixel_var:1;
        RBus_UInt32  on1_ie_vs_per_underflow:1;
        RBus_UInt32  res3:2;
    };
}onms_onms1_interrupt_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  vs_period_ms:1;
    };
}onms_vs_timing_monitor_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_period_s0:32;
    };
}onms_vs_timing_monitor_result_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_period_s1:32;
    };
}onms_vs_timing_monitor_result_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_continuous_popup:1;
        RBus_UInt32  on3_hd21_ms_en:1;
        RBus_UInt32  on3_ms_src_sel:1;
        RBus_UInt32  on3_blk_2frame_en:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  on3_vtotal_max_delta:4;
        RBus_UInt32  on3_htotal_max_delta:4;
        RBus_UInt32  on3_htotal_of_th:2;
        RBus_UInt32  on3_input_align:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  on3_meas_to_sel:1;
        RBus_UInt32  on3_sycms_clk:1;
        RBus_UInt32  on3_vs_meas_inv:1;
        RBus_UInt32  on3_hs_meas_inv:1;
        RBus_UInt32  on3_popup_meas:1;
        RBus_UInt32  on3_ms_conti:1;
        RBus_UInt32  on3_start_ms:1;
    };
}onms_onms3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  on3_vtotalde:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  on3_vtotal:15;
    };
}onms_onms3_vs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vs_high_period:15;
        RBus_UInt32  res2:2;
        RBus_UInt32  on3_hs_high_period:14;
    };
}onms_onms3_vshs_high_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  on3_htotal_h12b:14;
        RBus_UInt32  on3_htotal_f4b:4;
    };
}onms_onms3_hs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  on3_vblank_len:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  on3_vact_start:12;
    };
}onms_onms3_vact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on3_hact_start:14;
    };
}onms_onms3_hact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  on3_hact:14;
        RBus_UInt32  on3_hact_fract:4;
    };
}onms_onms3_hact_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vtotal_uf_th:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  on3_vtotal_of_th:15;
    };
}onms_onms3_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on3_hgclk_gate_th:14;
    };
}onms_onms3_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_htotal_max_delta_new:7;
        RBus_UInt32  res2:4;
        RBus_UInt32  on3_average_line:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  on3_target_measure:14;
    };
}onms_onms3_hsync_meas_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vmeas_end:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  on3_vmeas_start:15;
    };
}onms_onms3_hsync_meas_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  on3_hmax_delta_total:14;
    };
}onms_onms3_hsync_meas_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  on3_hgclk_gate_over_range:1;
        RBus_UInt32  on3_hs_meas_over_range:1;
        RBus_UInt32  on3_vs_per_to_long:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  on3_vs_pol_out:1;
        RBus_UInt32  on3_hs_pol_out:1;
        RBus_UInt32  on3_vs_per_over_range:1;
        RBus_UInt32  on3_hs_per_over_range:1;
        RBus_UInt32  on3_vs_per_timeout:1;
        RBus_UInt32  on3_vs_high_timeout:1;
        RBus_UInt32  on3_vs_per_overflow:1;
        RBus_UInt32  on3_hs_per_overflow:1;
        RBus_UInt32  on3_vs_pol_chg:1;
        RBus_UInt32  on3_hs_pol_chg:1;
        RBus_UInt32  on3_vtotalde_chg:1;
        RBus_UInt32  on3_vtotal_chg:1;
        RBus_UInt32  on3_hact_chg:1;
        RBus_UInt32  on3_htotal_chg:1;
        RBus_UInt32  on3_hs_active_pixel_var:1;
        RBus_UInt32  on3_vs_per_underflow:1;
        RBus_UInt32  res3:2;
    };
}onms_onms3_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_wd_to_main:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  on3_wd_hgclk_gate_over_range:1;
        RBus_UInt32  on3_wd_hs_meas_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on3_wd_vs_per_over_range:1;
        RBus_UInt32  on3_wd_hs_per_over_range:1;
        RBus_UInt32  on3_wd_vs_per_timeout:1;
        RBus_UInt32  on3_wd_vs_high_timeout:1;
        RBus_UInt32  on3_wd_vs_per_overflow:1;
        RBus_UInt32  on3_wd_hs_per_overflow:1;
        RBus_UInt32  on3_wd_vs_pol_chg:1;
        RBus_UInt32  on3_wd_hs_pol_chg:1;
        RBus_UInt32  on3_wd_vtotalde_chg:1;
        RBus_UInt32  on3_wd_vtotal_chg:1;
        RBus_UInt32  on3_wd_hact_chg:1;
        RBus_UInt32  on3_wd_htotal_chg:1;
        RBus_UInt32  on3_wd_hs_active_pixel_var:1;
        RBus_UInt32  on3_wd_vs_per_underflow:1;
        RBus_UInt32  res3:2;
    };
}onms_onms3_watchdog_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_ie_to_main:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  on3_ie_hgclk_gate_over_range:1;
        RBus_UInt32  on3_ie_hs_meas_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on3_ie_vs_per_over_range:1;
        RBus_UInt32  on3_ie_hs_per_over_range:1;
        RBus_UInt32  on3_ie_vs_per_timeout:1;
        RBus_UInt32  on3_ie_vs_high_timeout:1;
        RBus_UInt32  on3_ie_vs_per_overflow:1;
        RBus_UInt32  on3_ie_hs_per_overflow:1;
        RBus_UInt32  on3_ie_vs_pol_chg:1;
        RBus_UInt32  on3_ie_hs_pol_chg:1;
        RBus_UInt32  on3_ie_vtotalde_chg:1;
        RBus_UInt32  on3_ie_vtotal_chg:1;
        RBus_UInt32  on3_ie_hact_chg:1;
        RBus_UInt32  on3_ie_htotal_chg:1;
        RBus_UInt32  on3_ie_hs_active_pixel_var:1;
        RBus_UInt32  on3_ie_vs_per_underflow:1;
        RBus_UInt32  res3:2;
    };
}onms_onms3_interrupt_en_RBUS;

#else //apply LITTLE_ENDIAN

//======ONMS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_start_ms:1;
        RBus_UInt32  on1_ms_conti:1;
        RBus_UInt32  on1_popup_meas:1;
        RBus_UInt32  on1_hs_meas_inv:1;
        RBus_UInt32  on1_vs_meas_inv:1;
        RBus_UInt32  on1_sycms_clk:1;
        RBus_UInt32  on1_meas_to_sel:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  on1_input_align:1;
        RBus_UInt32  on1_htotal_of_th:2;
        RBus_UInt32  on1_htotal_max_delta:4;
        RBus_UInt32  on1_vtotal_max_delta:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  on1_blk_2frame_en:1;
        RBus_UInt32  on1_ms_src_sel:1;
        RBus_UInt32  on1_hd21_ms_en:1;
        RBus_UInt32  on1_continuous_popup:1;
    };
}onms_onms1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_vtotal:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vtotalde:13;
        RBus_UInt32  res2:3;
    };
}onms_onms1_vs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_hs_high_period:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  on1_vs_high_period:15;
        RBus_UInt32  res2:1;
    };
}onms_onms1_vshs_high_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_htotal_f4b:4;
        RBus_UInt32  on1_htotal_h12b:14;
        RBus_UInt32  res1:14;
    };
}onms_onms1_hs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_vact_start:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  on1_vblank_len:8;
        RBus_UInt32  res2:8;
    };
}onms_onms1_vact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_hact_start:14;
        RBus_UInt32  res1:18;
    };
}onms_onms1_hact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_hact_fract:4;
        RBus_UInt32  on1_hact:14;
        RBus_UInt32  res1:14;
    };
}onms_onms1_hact_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_vtotal_of_th:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vtotal_uf_th:15;
        RBus_UInt32  res2:1;
    };
}onms_onms1_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_hgclk_gate_th:14;
        RBus_UInt32  res1:18;
    };
}onms_onms1_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_target_measure:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  on1_average_line:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  on1_htotal_max_delta_new:7;
        RBus_UInt32  res3:1;
    };
}onms_onms1_hsync_meas_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_vmeas_start:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on1_vmeas_end:15;
        RBus_UInt32  res2:1;
    };
}onms_onms1_hsync_meas_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on1_hmax_delta_total:14;
        RBus_UInt32  res1:18;
    };
}onms_onms1_hsync_meas_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on1_vs_per_underflow:1;
        RBus_UInt32  on1_hs_active_pixel_var:1;
        RBus_UInt32  on1_htotal_chg:1;
        RBus_UInt32  on1_hact_chg:1;
        RBus_UInt32  on1_vtotal_chg:1;
        RBus_UInt32  on1_vtotalde_chg:1;
        RBus_UInt32  on1_hs_pol_chg:1;
        RBus_UInt32  on1_vs_pol_chg:1;
        RBus_UInt32  on1_hs_per_overflow:1;
        RBus_UInt32  on1_vs_per_overflow:1;
        RBus_UInt32  on1_vs_high_timeout:1;
        RBus_UInt32  on1_vs_per_timeout:1;
        RBus_UInt32  on1_hs_per_over_range:1;
        RBus_UInt32  on1_vs_per_over_range:1;
        RBus_UInt32  on1_hs_pol_out:1;
        RBus_UInt32  on1_vs_pol_out:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  on1_vs_per_to_long:1;
        RBus_UInt32  on1_hs_meas_over_range:1;
        RBus_UInt32  on1_hgclk_gate_over_range:1;
        RBus_UInt32  res3:9;
    };
}onms_onms1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on1_wd_vs_per_underflow:1;
        RBus_UInt32  on1_wd_hs_active_pixel_var:1;
        RBus_UInt32  on1_wd_htotal_chg:1;
        RBus_UInt32  on1_wd_hact_chg:1;
        RBus_UInt32  on1_wd_vtotal_chg:1;
        RBus_UInt32  on1_wd_vtotalde_chg:1;
        RBus_UInt32  on1_wd_hs_pol_chg:1;
        RBus_UInt32  on1_wd_vs_pol_chg:1;
        RBus_UInt32  on1_wd_hs_per_overflow:1;
        RBus_UInt32  on1_wd_vs_per_overflow:1;
        RBus_UInt32  on1_wd_vs_high_timeout:1;
        RBus_UInt32  on1_wd_vs_per_timeout:1;
        RBus_UInt32  on1_wd_hs_per_over_range:1;
        RBus_UInt32  on1_wd_vs_per_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on1_wd_hs_meas_over_range:1;
        RBus_UInt32  on1_wd_hgclk_gate_over_range:1;
        RBus_UInt32  res3:5;
        RBus_UInt32  on1_wd_debug_target_m:1;
        RBus_UInt32  on1_wd_debug_mode_m:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  on1_wd_to_main:1;
    };
}onms_onms1_watchdog_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on1_ie_vs_per_underflow:1;
        RBus_UInt32  on1_ie_hs_active_pixel_var:1;
        RBus_UInt32  on1_ie_htotal_chg:1;
        RBus_UInt32  on1_ie_hact_chg:1;
        RBus_UInt32  on1_ie_vtotal_chg:1;
        RBus_UInt32  on1_ie_vtotalde_chg:1;
        RBus_UInt32  on1_ie_hs_pol_chg:1;
        RBus_UInt32  on1_ie_vs_pol_chg:1;
        RBus_UInt32  on1_ie_hs_per_overflow:1;
        RBus_UInt32  on1_ie_vs_per_overflow:1;
        RBus_UInt32  on1_ie_vs_high_timeout:1;
        RBus_UInt32  on1_ie_vs_per_timeout:1;
        RBus_UInt32  on1_ie_hs_per_over_range:1;
        RBus_UInt32  on1_ie_vs_per_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on1_ie_hs_meas_over_range:1;
        RBus_UInt32  on1_ie_hgclk_gate_over_range:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  on1_ie_to_main:1;
    };
}onms_onms1_interrupt_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_period_ms:1;
        RBus_UInt32  res1:31;
    };
}onms_vs_timing_monitor_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_period_s0:32;
    };
}onms_vs_timing_monitor_result_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_period_s1:32;
    };
}onms_vs_timing_monitor_result_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_start_ms:1;
        RBus_UInt32  on3_ms_conti:1;
        RBus_UInt32  on3_popup_meas:1;
        RBus_UInt32  on3_hs_meas_inv:1;
        RBus_UInt32  on3_vs_meas_inv:1;
        RBus_UInt32  on3_sycms_clk:1;
        RBus_UInt32  on3_meas_to_sel:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  on3_input_align:1;
        RBus_UInt32  on3_htotal_of_th:2;
        RBus_UInt32  on3_htotal_max_delta:4;
        RBus_UInt32  on3_vtotal_max_delta:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  on3_blk_2frame_en:1;
        RBus_UInt32  on3_ms_src_sel:1;
        RBus_UInt32  on3_hd21_ms_en:1;
        RBus_UInt32  on3_continuous_popup:1;
    };
}onms_onms3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_vtotal:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vtotalde:13;
        RBus_UInt32  res2:3;
    };
}onms_onms3_vs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_hs_high_period:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  on3_vs_high_period:15;
        RBus_UInt32  res2:1;
    };
}onms_onms3_vshs_high_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_htotal_f4b:4;
        RBus_UInt32  on3_htotal_h12b:14;
        RBus_UInt32  res1:14;
    };
}onms_onms3_hs_period_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_vact_start:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  on3_vblank_len:8;
        RBus_UInt32  res2:8;
    };
}onms_onms3_vact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_hact_start:14;
        RBus_UInt32  res1:18;
    };
}onms_onms3_hact_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_hact_fract:4;
        RBus_UInt32  on3_hact:14;
        RBus_UInt32  res1:14;
    };
}onms_onms3_hact_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_vtotal_of_th:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vtotal_uf_th:15;
        RBus_UInt32  res2:1;
    };
}onms_onms3_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_hgclk_gate_th:14;
        RBus_UInt32  res1:18;
    };
}onms_onms3_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_target_measure:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  on3_average_line:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  on3_htotal_max_delta_new:7;
        RBus_UInt32  res3:1;
    };
}onms_onms3_hsync_meas_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_vmeas_start:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  on3_vmeas_end:15;
        RBus_UInt32  res2:1;
    };
}onms_onms3_hsync_meas_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  on3_hmax_delta_total:14;
        RBus_UInt32  res1:18;
    };
}onms_onms3_hsync_meas_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on3_vs_per_underflow:1;
        RBus_UInt32  on3_hs_active_pixel_var:1;
        RBus_UInt32  on3_htotal_chg:1;
        RBus_UInt32  on3_hact_chg:1;
        RBus_UInt32  on3_vtotal_chg:1;
        RBus_UInt32  on3_vtotalde_chg:1;
        RBus_UInt32  on3_hs_pol_chg:1;
        RBus_UInt32  on3_vs_pol_chg:1;
        RBus_UInt32  on3_hs_per_overflow:1;
        RBus_UInt32  on3_vs_per_overflow:1;
        RBus_UInt32  on3_vs_high_timeout:1;
        RBus_UInt32  on3_vs_per_timeout:1;
        RBus_UInt32  on3_hs_per_over_range:1;
        RBus_UInt32  on3_vs_per_over_range:1;
        RBus_UInt32  on3_hs_pol_out:1;
        RBus_UInt32  on3_vs_pol_out:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  on3_vs_per_to_long:1;
        RBus_UInt32  on3_hs_meas_over_range:1;
        RBus_UInt32  on3_hgclk_gate_over_range:1;
        RBus_UInt32  res3:9;
    };
}onms_onms3_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on3_wd_vs_per_underflow:1;
        RBus_UInt32  on3_wd_hs_active_pixel_var:1;
        RBus_UInt32  on3_wd_htotal_chg:1;
        RBus_UInt32  on3_wd_hact_chg:1;
        RBus_UInt32  on3_wd_vtotal_chg:1;
        RBus_UInt32  on3_wd_vtotalde_chg:1;
        RBus_UInt32  on3_wd_hs_pol_chg:1;
        RBus_UInt32  on3_wd_vs_pol_chg:1;
        RBus_UInt32  on3_wd_hs_per_overflow:1;
        RBus_UInt32  on3_wd_vs_per_overflow:1;
        RBus_UInt32  on3_wd_vs_high_timeout:1;
        RBus_UInt32  on3_wd_vs_per_timeout:1;
        RBus_UInt32  on3_wd_hs_per_over_range:1;
        RBus_UInt32  on3_wd_vs_per_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on3_wd_hs_meas_over_range:1;
        RBus_UInt32  on3_wd_hgclk_gate_over_range:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  on3_wd_to_main:1;
    };
}onms_onms3_watchdog_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  on3_ie_vs_per_underflow:1;
        RBus_UInt32  on3_ie_hs_active_pixel_var:1;
        RBus_UInt32  on3_ie_htotal_chg:1;
        RBus_UInt32  on3_ie_hact_chg:1;
        RBus_UInt32  on3_ie_vtotal_chg:1;
        RBus_UInt32  on3_ie_vtotalde_chg:1;
        RBus_UInt32  on3_ie_hs_pol_chg:1;
        RBus_UInt32  on3_ie_vs_pol_chg:1;
        RBus_UInt32  on3_ie_hs_per_overflow:1;
        RBus_UInt32  on3_ie_vs_per_overflow:1;
        RBus_UInt32  on3_ie_vs_high_timeout:1;
        RBus_UInt32  on3_ie_vs_per_timeout:1;
        RBus_UInt32  on3_ie_hs_per_over_range:1;
        RBus_UInt32  on3_ie_vs_per_over_range:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  on3_ie_hs_meas_over_range:1;
        RBus_UInt32  on3_ie_hgclk_gate_over_range:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  on3_ie_to_main:1;
    };
}onms_onms3_interrupt_en_RBUS;




#endif 


#endif 
