/**
* @file rbusOD_DMAReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_OD_DMA_REG_H_
#define _RBUS_OD_DMA_REG_H_

#include "rbusTypes.h"



//  OD_DMA Register Address



#define  OD_DMA_ODDMA_PQ_CMP_VADDR                          	(0xb802cd00)
#define  OD_DMA_ODDMA_PQ_CMP_PAIR_VADDR                     	(0xb802cd04)
#define  OD_DMA_ODDMA_PQ_CMP_BIT_VADDR                      	(0xb802cd08)
#define  OD_DMA_ODDMA_PQ_CMP_ENABLE_VADDR                   	(0xb802cd0c)
#define  OD_DMA_ODDMA_PQ_CMP_SMOOTH_VADDR                   	(0xb802cd10)
#define  OD_DMA_ODDMA_PQ_CMP_ALLOCATE_VADDR                 	(0xb802cd14)
#define  OD_DMA_ODDMA_PQ_CMP_POOR_VADDR                     	(0xb802cd18)
#define  OD_DMA_ODDMA_PQ_CMP_GUARANTEE_VADDR                	(0xb802cd1c)
#define  OD_DMA_ODDMA_PQ_CMP_BALANCE_VADDR                  	(0xb802cd20)
#define  OD_DMA_ODDMA_PQ_CMP_IRQ_EN_VADDR                   	(0xb802cd24)
#define  OD_DMA_ODDMA_PQ_CMP_IRQ_ST_VADDR                   	(0xb802cd28)
#define  OD_DMA_ODDMA_PQ_CMP_ST_VADDR                       	(0xb802cd2c)
#define  OD_DMA_ODDMA_PQ_CMP_QP_ST_VADDR                    	(0xb802cd30)
#define  OD_DMA_ODDMA_PQ_CMP_FIFO_ST1_VADDR                 	(0xb802cd34)
#define  OD_DMA_ODDMA_PQ_CMP_FIFO_ST2_VADDR                 	(0xb802cd38)
#define  OD_DMA_ODDMA_PQ_CMP_LEFT_ST_VADDR                  	(0xb802cd3c)
#define  OD_DMA_ODDMA_PQ_CMP_PACKAGE_ST_VADDR               	(0xb802cd40)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_EVEN_G_VADDR               	(0xb802cd44)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_EVEN_R_VADDR               	(0xb802cd48)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_EVEN_B_VADDR               	(0xb802cd4c)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_ODD_G_VADDR                	(0xb802cd50)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_ODD_R_VADDR                	(0xb802cd54)
#define  OD_DMA_ODDMA_PQ_CMP_CRC_ODD_B_VADDR                	(0xb802cd58)
#define  OD_DMA_ODDMA_PQ_CMP_PACKAGE_ODD_ST_VADDR           	(0xb802cd5c)
#define  OD_DMA_ODDMA_PQ_DECMP_VADDR                        	(0xb802cd60)
#define  OD_DMA_ODDMA_PQ_DECMP_PAIR_VADDR                   	(0xb802cd64)
#define  OD_DMA_ODDMA_PQ_DECMP_SAT_EN_VADDR                 	(0xb802cd68)
#define  OD_DMA_ODDMA_PQ_DECMP_IRQ_EN_VADDR                 	(0xb802cd6c)
#define  OD_DMA_ODDMA_PQ_DECMP_IRQ_ST_VADDR                 	(0xb802cd70)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_EN_VADDR                	(0xb802cd74)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_COLOR_01_VADDR          	(0xb802cd78)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_COLOR_23_VADDR          	(0xb802cd7c)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_COLOR_45_VADDR          	(0xb802cd80)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_COLOR_67_VADDR          	(0xb802cd84)
#define  OD_DMA_ODDMA_PQ_DECMP_MARK_COLOR_422_VADDR         	(0xb802cd88)
#define  OD_DMA_ODDMA_PQ_DECMP_ST_VADDR                     	(0xb802cd8c)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_EVEN_G_VADDR             	(0xb802cd90)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_EVEN_R_VADDR             	(0xb802cd94)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_EVEN_B_VADDR             	(0xb802cd98)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_ODD_G_VADDR              	(0xb802cd9c)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_ODD_R_VADDR              	(0xb802cda0)
#define  OD_DMA_ODDMA_PQ_DECMP_CRC_ODD_B_VADDR              	(0xb802cda4)
#define  OD_DMA_ODDMA_PQ_DECMP_COMPENSATION_VADDR           	(0xb802cda8)
#define  OD_DMA_OD_DMA_CTRL4_VADDR                          	(0xb802cdb0)
#define  OD_DMA_ODDMA_LR_SEPARATE_CTRL1_VADDR               	(0xb802cdb4)
#define  OD_DMA_ODDMA_LR_SEPARATE_CTRL2_VADDR               	(0xb802cdb8)
#define  OD_DMA_ODDMA_CAP_CTL0_VADDR                        	(0xb802cdbc)
#define  OD_DMA_ODDMA_CAP_CTL1_VADDR                        	(0xb802cdc0)
#define  OD_DMA_ODDMA_CAP_CTL2_VADDR                        	(0xb802cdc4)
#define  OD_DMA_ODDMA_CAP_BOUNDARYADDR1_VADDR               	(0xb802cdd0)
#define  OD_DMA_ODDMA_CAP_BOUNDARYADDR2_VADDR               	(0xb802cdd4)
#define  OD_DMA_ODDMA_CAP_LINESTEP_VADDR                    	(0xb802cdd8)
#define  OD_DMA_ODDMA_CAP_DEMO_MODE_BLOCKSTEP_VADDR         	(0xb802cddc)
#define  OD_DMA_ODDMA_CAP_L1_START_VADDR                    	(0xb802cde0)
#define  OD_DMA_ODDMA_CAP_L2_START_VADDR                    	(0xb802cde4)
#define  OD_DMA_ODDMA_CAP_L3_START_VADDR                    	(0xb802cde8)
#define  OD_DMA_ODDMA_CAP_L4_START_VADDR                    	(0xb802cdec)
#define  OD_DMA_ODDMA_CAP1_L1_START_VADDR                   	(0xb802cdf0)
#define  OD_DMA_ODDMA_CAP1_L2_START_VADDR                   	(0xb802cdf4)
#define  OD_DMA_ODDMA_CAP1_L3_START_VADDR                   	(0xb802cdf8)
#define  OD_DMA_ODDMA_CAP1_L4_START_VADDR                   	(0xb802cdfc)
#define  OD_DMA_ODDMA_CAP_L1_START_DB_VADDR                 	(0xb802ce00)
#define  OD_DMA_ODDMA_CAP1_L1_START_DB_VADDR                	(0xb802ce04)
#define  OD_DMA_ODDMA_CAP_STATUS_VADDR                      	(0xb802ce08)
#define  OD_DMA_ODDMA_CAP1_STATUS_VADDR                     	(0xb802ce0c)
#define  OD_DMA_ODDMA_FRC_CTRL_VADDR                        	(0xb802ce10)
#define  OD_DMA_ODDMA_CAP_RM_VADDR                          	(0xb802ce1c)
#define  OD_DMA_ODDMA_CAP_RME_VADDR                         	(0xb802ce20)
#define  OD_DMA_ODDMA_CAP_LS_VADDR                          	(0xb802ce24)
#define  OD_DMA_ODDMA_CAP_FAIL_VADDR                        	(0xb802ce28)
#define  OD_DMA_ODDMA_CAP_DRF_FAIL_VADDR                    	(0xb802ce2c)
#define  OD_DMA_ODDMA_CRC_CTRL_VADDR                        	(0xb802ce30)
#define  OD_DMA_ODDMA_CRC_MASK_VADDR                        	(0xb802ce34)
#define  OD_DMA_ODDMA_CAP_L_CRC_RESULT_VADDR                	(0xb802ce38)
#define  OD_DMA_ODDMA_CAP_R_CRC_RESULT_VADDR                	(0xb802ce40)
#define  OD_DMA_ODDMA_DISP_L_CRC_RESULT_VADDR               	(0xb802ce48)
#define  OD_DMA_ODDMA_DISP_R_CRC_RESULT_VADDR               	(0xb802ce4c)
#define  OD_DMA_ODDMA_CAP1_L_CRC_RESULT_VADDR               	(0xb802ce50)
#define  OD_DMA_ODDMA_CAP1_R_CRC_RESULT_VADDR               	(0xb802ce54)
#define  OD_DMA_ODDMA_DISP1_L_CRC_RESULT_VADDR              	(0xb802ce58)
#define  OD_DMA_ODDMA_DISP1_R_CRC_RESULT_VADDR              	(0xb802ce5c)
#define  OD_DMA_ODDMA_DMA_RATE_CTRL_VADDR                   	(0xb802ce68)
#define  OD_DMA_ODDMA_CAPTURE_RATE_VADDR                    	(0xb802ce6c)
#define  OD_DMA_ODDMA_DISPLAY_RATE_VADDR                    	(0xb802ce70)
#define  OD_DMA_ODDMA_DISPLAY_CTRL_VADDR                    	(0xb802ce80)
#define  OD_DMA_ODDMA_DISPLAY_PREVSTART_VADDR               	(0xb802ce84)
#define  OD_DMA_ODDMA_DISPLAY_NUMWTL_VADDR                  	(0xb802ce8c)
#define  OD_DMA_ODDMA_DISPLAY_RDNUMLENREM_VADDR             	(0xb802ce9c)
#define  OD_DMA_ODDMA_DISP_LINESTEP_VADDR                   	(0xb802ceac)
#define  OD_DMA_ODDMA_DISPLAY_LINENUM_VADDR                 	(0xb802cebc)
#define  OD_DMA_ODDMA_DISPLAY_STATUS1_VADDR                 	(0xb802cecc)
#define  OD_DMA_ODDMA_DISPLAY_STATUS2_VADDR                 	(0xb802ced0)
#define  OD_DMA_ODDMA_DISP_START_ADDR_L1_VADDR              	(0xb802ced4)
#define  OD_DMA_ODDMA_DISP_START_ADDR_L2_VADDR              	(0xb802ced8)
#define  OD_DMA_ODDMA_DISP_START_ADDR_L3_VADDR              	(0xb802cedc)
#define  OD_DMA_ODDMA_DISP_START_ADDR_L4_VADDR              	(0xb802cee0)
#define  OD_DMA_ODDMA_DISPLAY1_STATUS1_VADDR                	(0xb802cef0)
#define  OD_DMA_ODDMA_DISPLAY1_STATUS2_VADDR                	(0xb802cef4)
#define  OD_DMA_ODDMA_DISP1_START_ADDR_L1_VADDR             	(0xb802cef8)
#define  OD_DMA_ODDMA_DISP1_START_ADDR_L2_VADDR             	(0xb802cefc)
#define  OD_DMA_ODDMA_DISP1_START_ADDR_L3_VADDR             	(0xb802cf00)
#define  OD_DMA_ODDMA_DISP1_START_ADDR_L4_VADDR             	(0xb802cf04)
#define  OD_DMA_ODDMA_INTERRUPT_ENABLE_VADDR                	(0xb802cf54)
#define  OD_DMA_ODDMA_COMP_DECOMP_CLK_GATED_VADDR           	(0xb802cf58)
#define  OD_DMA_DFRC_DEBUG_VADDR                            	(0xb802cf5c)
#define  OD_DMA_ODDMA_BYTE_CHANNEL_SWAP_VADDR               	(0xb802cf60)
#define  OD_DMA_ODDMA_DISP_RM_VADDR                         	(0xb802cfe0)
#define  OD_DMA_ODDMA_DISP_RME_VADDR                        	(0xb802cfe4)
#define  OD_DMA_ODDMA_DISP_LS_VADDR                         	(0xb802cfe8)
#define  OD_DMA_ODDMA_DISP_BIST_FAIL_VADDR                  	(0xb802cfec)
#define  OD_DMA_ODDMA_DISP_DRF_FAIL_VADDR                   	(0xb802cff0)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======OD_DMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_en:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  cmp_width_div32:9;
        RBus_UInt32  res2:2;
        RBus_UInt32  cmp_height:14;
    };
}od_dma_oddma_pq_cmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802cd04_31_5:27;
        RBus_UInt32  cmp_data_color:1;
        RBus_UInt32  cmp_data_bit_width:2;
        RBus_UInt32  cmp_data_format:2;
    };
}od_dma_oddma_pq_cmp_pair_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  first_line_more_bit:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  block_limit_bit:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  line_limit_bit:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  frame_limit_bit:6;
    };
}od_dma_oddma_pq_cmp_bit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  g_ratio:5;
        RBus_UInt32  res2:4;
        RBus_UInt32  guarantee_max_qp_en:1;
        RBus_UInt32  dynamic_allocate_ratio_en:1;
        RBus_UInt32  poor_limit_min_qp_en:1;
        RBus_UInt32  balance_en:1;
        RBus_UInt32  fisrt_line_more_en:1;
        RBus_UInt32  two_line_prediction_en:1;
        RBus_UInt32  do_422_mode:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  not_enough_bit_do_422_en:1;
        RBus_UInt32  not_rich_do_422_en:1;
        RBus_UInt32  rb_lossy_do_422_en:1;
    };
}od_dma_oddma_pq_cmp_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  not_enough_bit_do_422_qp:3;
        RBus_UInt32  not_rich_do_422_th:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  rb_lossy_do_422_qp_level:3;
        RBus_UInt32  res3:4;
        RBus_UInt32  variation_value_th:4;
        RBus_UInt32  res4:1;
        RBus_UInt32  variation_num_th:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  variation_near_num_th:3;
    };
}od_dma_oddma_pq_cmp_smooth_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dynamic_allocate_ratio_max:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  dynamic_allocate_ratio_min:5;
        RBus_UInt32  res3:5;
        RBus_UInt32  dynamic_allocate_line:3;
        RBus_UInt32  dynamic_allocate_more:4;
        RBus_UInt32  dynamic_allocate_less:4;
    };
}od_dma_oddma_pq_cmp_allocate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  poor_limit_th_qp4:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  poor_limit_th_qp3:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  poor_limit_th_qp2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  poor_limit_th_qp1:5;
    };
}od_dma_oddma_pq_cmp_poor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  guarantee_max_rb_qp:4;
        RBus_UInt32  guarantee_max_g_qp:4;
    };
}od_dma_oddma_pq_cmp_guarantee_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  balance_rb_ov_th:2;
        RBus_UInt32  balance_rb_ud_th:2;
        RBus_UInt32  balance_rb_give:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  balance_g_ov_th:2;
        RBus_UInt32  balance_g_ud_th:2;
        RBus_UInt32  balance_g_give:2;
    };
}od_dma_oddma_pq_cmp_balance_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  block_fifo_overflow_irq_en:1;
        RBus_UInt32  input_size_more_irq_en:1;
        RBus_UInt32  input_size_less_irq_en:1;
        RBus_UInt32  over_flb_irq_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  request_fifo_even_overflow_irq_en:1;
        RBus_UInt32  request_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  g_fifo_even_overflow_irq_en:1;
        RBus_UInt32  r_fifo_even_overflow_irq_en:1;
        RBus_UInt32  b_fifo_even_overflow_irq_en:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  g_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  r_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  b_fifo_odd_overflow_irq_en:1;
    };
}od_dma_oddma_pq_cmp_irq_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pqc_irq:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  block_fifo_overflow_st:1;
        RBus_UInt32  input_size_more_st:1;
        RBus_UInt32  input_size_less_st:1;
        RBus_UInt32  over_flb_st:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  request_fifo_even_overflow_st:1;
        RBus_UInt32  request_fifo_odd_overflow_st:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  g_fifo_even_overflow_st:1;
        RBus_UInt32  r_fifo_even_overflow_st:1;
        RBus_UInt32  b_fifo_even_overflow_st:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  g_fifo_odd_overflow_st:1;
        RBus_UInt32  r_fifo_odd_overflow_st:1;
        RBus_UInt32  b_fifo_odd_overflow_st:1;
    };
}od_dma_oddma_pq_cmp_irq_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_two_pixel_mode:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  g_ratio_max:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  g_ratio_min:5;
        RBus_UInt32  res3:2;
        RBus_UInt32  cmp_package_height_cnt:14;
    };
}od_dma_oddma_pq_cmp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  long_term_qp_measure_en:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  long_term_g_qp_max:4;
        RBus_UInt32  long_term_rb_qp_max:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  short_term_g_qp_max:4;
        RBus_UInt32  short_term_rb_qp_max:4;
    };
}od_dma_oddma_pq_cmp_qp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fifo_water_measure_en:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  fifo_water_even_g:8;
        RBus_UInt32  fifo_water_even_r:8;
        RBus_UInt32  fifo_water_even_b:8;
    };
}od_dma_oddma_pq_cmp_fifo_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  fifo_water_odd_g:8;
        RBus_UInt32  fifo_water_odd_r:8;
        RBus_UInt32  fifo_water_odd_b:8;
    };
}od_dma_oddma_pq_cmp_fifo_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  g_frame_left:16;
        RBus_UInt32  rb_frame_left:16;
    };
}od_dma_oddma_pq_cmp_left_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  total_package_long_term:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  total_package_even:24;
    };
}od_dma_oddma_pq_cmp_package_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_g:32;
    };
}od_dma_oddma_pq_cmp_crc_even_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_r:32;
    };
}od_dma_oddma_pq_cmp_crc_even_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_b:32;
    };
}od_dma_oddma_pq_cmp_crc_even_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_g:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_r:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_b:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  total_package_odd:24;
    };
}od_dma_oddma_pq_cmp_package_odd_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_en:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  decmp_width_div32:9;
        RBus_UInt32  res2:2;
        RBus_UInt32  decmp_height:14;
    };
}od_dma_oddma_pq_decmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802cd64_31_5:27;
        RBus_UInt32  decmp_data_color:1;
        RBus_UInt32  decmp_data_bit_width:2;
        RBus_UInt32  decmp_data_format:2;
    };
}od_dma_oddma_pq_decmp_pair_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  saturation_type:1;
        RBus_UInt32  saturation_en:1;
    };
}od_dma_oddma_pq_decmp_sat_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  not_finish_irq_even_en:1;
        RBus_UInt32  underflow_irq_even_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  crc_r_error_even_en:1;
        RBus_UInt32  crc_g_error_even_en:1;
        RBus_UInt32  crc_b_error_even_en:1;
        RBus_UInt32  res3:10;
        RBus_UInt32  not_finish_irq_odd_en:1;
        RBus_UInt32  underflow_irq_odd_en:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  crc_r_error_odd_en:1;
        RBus_UInt32  crc_g_error_odd_en:1;
        RBus_UInt32  crc_b_error_odd_en:1;
    };
}od_dma_oddma_pq_decmp_irq_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pqdc_irq:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  in_fifo_overflow_even_st:1;
        RBus_UInt32  ring_r_overflow_even_st:1;
        RBus_UInt32  ring_g_overflow_even_st:1;
        RBus_UInt32  ring_b_overflow_even_st:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  not_finish_irq_even_st:1;
        RBus_UInt32  underflow_irq_even_st:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  crc_r_error_even_st:1;
        RBus_UInt32  crc_g_error_even_st:1;
        RBus_UInt32  crc_b_error_even_st:1;
        RBus_UInt32  res4:4;
        RBus_UInt32  in_fifo_overflow_odd_st:1;
        RBus_UInt32  ring_r_overflow_odd_st:1;
        RBus_UInt32  ring_g_overflow_odd_st:1;
        RBus_UInt32  ring_b_overflow_odd_st:1;
        RBus_UInt32  res5:2;
        RBus_UInt32  not_finish_irq_odd_st:1;
        RBus_UInt32  underflow_irq_odd_st:1;
        RBus_UInt32  res6:1;
        RBus_UInt32  crc_r_error_odd_st:1;
        RBus_UInt32  crc_g_error_odd_st:1;
        RBus_UInt32  crc_b_error_odd_st:1;
    };
}od_dma_oddma_pq_decmp_irq_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_en_do_422:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  mark_en_qp_sel:1;
        RBus_UInt32  res2:8;
        RBus_UInt32  mark_en_qp7:1;
        RBus_UInt32  mark_en_qp6:1;
        RBus_UInt32  mark_en_qp5:1;
        RBus_UInt32  mark_en_qp4:1;
        RBus_UInt32  mark_en_qp3:1;
        RBus_UInt32  mark_en_qp2:1;
        RBus_UInt32  mark_en_qp1:1;
        RBus_UInt32  mark_en_qp0:1;
    };
}od_dma_oddma_pq_decmp_mark_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_0:16;
        RBus_UInt32  mark_color_1:16;
    };
}od_dma_oddma_pq_decmp_mark_color_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_2:16;
        RBus_UInt32  mark_color_3:16;
    };
}od_dma_oddma_pq_decmp_mark_color_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_4:16;
        RBus_UInt32  mark_color_5:16;
    };
}od_dma_oddma_pq_decmp_mark_color_45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_6:16;
        RBus_UInt32  mark_color_7:16;
    };
}od_dma_oddma_pq_decmp_mark_color_67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  mark_color_422:16;
    };
}od_dma_oddma_pq_decmp_mark_color_422_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_two_pixel_mode:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  res2:2;
        RBus_UInt32  decmp_package_height_cnt:14;
    };
}od_dma_oddma_pq_decmp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_g:32;
    };
}od_dma_oddma_pq_decmp_crc_even_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_r:32;
    };
}od_dma_oddma_pq_decmp_crc_even_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_b:32;
    };
}od_dma_oddma_pq_decmp_crc_even_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_g:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_r:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_b:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  tr_en:1;
    };
}od_dma_oddma_pq_decmp_compensation_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  smooth_tog_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  disp_db_apply:1;
        RBus_UInt32  disp_db_rd_sel:1;
        RBus_UInt32  disp_db_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  cap_db_apply:1;
        RBus_UInt32  cap_db_rd_sel:1;
        RBus_UInt32  cap_db_en:1;
    };
}od_dma_od_dma_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  vs_inv:1;
        RBus_UInt32  hs_inv:1;
        RBus_UInt32  lr_separate_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  hdmi_3d_structure:4;
        RBus_UInt32  fp_vact_space1:8;
        RBus_UInt32  res3:8;
    };
}od_dma_oddma_lr_separate_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vact:16;
        RBus_UInt32  res1:1;
        RBus_UInt32  hact:15;
    };
}od_dma_oddma_lr_separate_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  triple_buf_en:1;
        RBus_UInt32  cap_block_fw:2;
        RBus_UInt32  set_block_sel:1;
        RBus_UInt32  quad_buf_en:1;
        RBus_UInt32  dispi_wd_freeze_en:1;
        RBus_UInt32  comp_de_comp_bypass:1;
        RBus_UInt32  freeze_en:1;
        RBus_UInt32  vs_fall_rst_en:1;
        RBus_UInt32  auto_block_sel_en:1;
        RBus_UInt32  half_wr_en:1;
        RBus_UInt32  half_wr_sel:1;
        RBus_UInt32  cap_en:1;
        RBus_UInt32  res1:19;
    };
}od_dma_oddma_cap_ctl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  bit_sel:2;
        RBus_UInt32  pixel_encoding:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  cap_write_len:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  cap_write_rem:7;
    };
}od_dma_oddma_cap_ctl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cap_water_lv:8;
        RBus_UInt32  cap_write_num:16;
    };
}od_dma_oddma_cap_ctl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_mem_up_limit:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_boundaryaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_mem_low_limit:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_boundaryaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_line_step:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_linestep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_dm_step:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_demo_mode_blockstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l1_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_l1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l2_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_l2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l3_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_l3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l4_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_l4_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l1_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap1_l1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l2_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap1_l2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l3_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap1_l3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l4_start:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap1_l4_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l1_start_db:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap_l1_start_db_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l1_start_db:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_cap1_l1_start_db_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  cap_over_size:1;
        RBus_UInt32  cap_under_size:1;
        RBus_UInt32  freeze_ok:1;
        RBus_UInt32  vs_rising_occur:1;
        RBus_UInt32  cap_block:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  cap_fifo_full:1;
        RBus_UInt32  cap_fifo_empty:1;
        RBus_UInt32  cap_fifo_overflow:1;
        RBus_UInt32  cap_fifo_underflow:1;
        RBus_UInt32  cap_ddr_over_range:1;
    };
}od_dma_oddma_cap_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  cap1_over_size:1;
        RBus_UInt32  cap1_under_size:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  cap1_block:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  cap1_fifo_full:1;
        RBus_UInt32  cap1_fifo_empty:1;
        RBus_UInt32  cap1_fifo_overflow:1;
        RBus_UInt32  cap1_fifo_underflow:1;
        RBus_UInt32  cap1_ddr_over_range:1;
    };
}od_dma_oddma_cap1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  disp_frc_llrr_mode:1;
        RBus_UInt32  disp_frc_llrr_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  frc_style:1;
        RBus_UInt32  frc_en:1;
    };
}od_dma_oddma_frc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  pqc2_rm_1:4;
        RBus_UInt32  pqc2_rm_0:4;
        RBus_UInt32  pqc1_rm_0:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  cap1_rm:4;
        RBus_UInt32  cap_rm:4;
    };
}od_dma_oddma_cap_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pqc_test_rwm:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  pqc2_rme_1:1;
        RBus_UInt32  pqc2_rme_0:1;
        RBus_UInt32  pqc1_rme_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  cap1_rme:1;
        RBus_UInt32  cap_rme:1;
    };
}od_dma_oddma_cap_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  pqc2_ls_1:1;
        RBus_UInt32  pqc2_ls_0:1;
        RBus_UInt32  pqc1_ls_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  cap1_ls:1;
        RBus_UInt32  cap_ls:1;
    };
}od_dma_oddma_cap_ls_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  pqc2_bist_fail_5:1;
        RBus_UInt32  pqc2_bist_fail_4:1;
        RBus_UInt32  pqc2_bist_fail_3:1;
        RBus_UInt32  pqc2_bist_fail_2:1;
        RBus_UInt32  pqc2_bist_fail_1:1;
        RBus_UInt32  pqc2_bist_fail_0:1;
        RBus_UInt32  pqc1_bist_fail_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  cap1_bist_fail:1;
        RBus_UInt32  cap_bist_fail:1;
    };
}od_dma_oddma_cap_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  pqc2_drf_fail_5:1;
        RBus_UInt32  pqc2_drf_fail_4:1;
        RBus_UInt32  pqc2_drf_fail_3:1;
        RBus_UInt32  pqc2_drf_fail_2:1;
        RBus_UInt32  pqc2_drf_fail_1:1;
        RBus_UInt32  pqc2_drf_fail_0:1;
        RBus_UInt32  pqc1_drf_fail_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  cap1_drf_fail:1;
        RBus_UInt32  cap_drf_fail:1;
    };
}od_dma_oddma_cap_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  match_buffer1:2;
        RBus_UInt32  match_buffer:2;
        RBus_UInt32  crc_comp_error_int:1;
        RBus_UInt32  dynamic_crc_cmp_en:1;
        RBus_UInt32  crc1_comp_error_flag:1;
        RBus_UInt32  crc_comp_error_flag:1;
        RBus_UInt32  crc_bit_sel:3;
        RBus_UInt32  crc_pixel_encoding:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  disp_crc_3d_en:1;
        RBus_UInt32  disp_crc_conti:1;
        RBus_UInt32  disp_crc_start:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  cap_crc_3d_en:1;
        RBus_UInt32  cap_crc_conti:1;
        RBus_UInt32  cap_crc_start:1;
    };
}od_dma_oddma_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  crc_mask:30;
    };
}od_dma_oddma_crc_mask_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l_crc_result:32;
    };
}od_dma_oddma_cap_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_r_crc_result:32;
    };
}od_dma_oddma_cap_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_l_crc_result:32;
    };
}od_dma_oddma_disp_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_r_crc_result:32;
    };
}od_dma_oddma_disp_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l_crc_result:32;
    };
}od_dma_oddma_cap1_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_r_crc_result:32;
    };
}od_dma_oddma_cap1_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_l_crc_result:32;
    };
}od_dma_oddma_disp1_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_r_crc_result:32;
    };
}od_dma_oddma_disp1_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  disp_rate_en:1;
        RBus_UInt32  cap_rate_en:1;
    };
}od_dma_oddma_dma_rate_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_rate:32;
    };
}od_dma_oddma_capture_rate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_rate:32;
    };
}od_dma_oddma_display_rate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  l_flag_hs_dly:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  disp_vs_fall_rst_en:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  disp_3ddma_en:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  stop_burst_en:1;
        RBus_UInt32  l_flag_inv:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  res6:2;
    };
}od_dma_oddma_display_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  disp_pre_rd_v_start:11;
    };
}od_dma_oddma_display_prevstart_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_pixel_num:13;
        RBus_UInt32  res2:7;
        RBus_UInt32  disp_wtlvl:9;
    };
}od_dma_oddma_display_numwtl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_read_num:16;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_read_len:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  disp_read_remain:7;
    };
}od_dma_oddma_display_rdnumlenrem_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_line_step:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp_linestep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  disp_line_number:13;
    };
}od_dma_oddma_display_linenum_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  disp_clr_over_range:1;
        RBus_UInt32  disp_fifo_clr:1;
        RBus_UInt32  disp_fifo_full:1;
        RBus_UInt32  disp_fifo_empty:1;
        RBus_UInt32  disp_fifo_overflow:1;
        RBus_UInt32  disp_fifo_underflow:1;
        RBus_UInt32  disp_adr_down_over_range:1;
        RBus_UInt32  disp_adr_up_over_range:1;
    };
}od_dma_oddma_display_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  disp_repeat_flag:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  disp_read_block:2;
        RBus_UInt32  disp_read_l_flag:1;
    };
}od_dma_oddma_display_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_start_addr_l1:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp_start_addr_l1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_start_addr_l2:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp_start_addr_l2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_start_addr_l3:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp_start_addr_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_start_addr_l4:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp_start_addr_l4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  disp1_clr_over_range:1;
        RBus_UInt32  disp1_fifo_clr:1;
        RBus_UInt32  disp1_fifo_full:1;
        RBus_UInt32  disp1_fifo_empty:1;
        RBus_UInt32  disp1_fifo_overflow:1;
        RBus_UInt32  disp1_fifo_underflow:1;
        RBus_UInt32  disp1_adr_down_over_range:1;
        RBus_UInt32  disp1_adr_up_over_range:1;
    };
}od_dma_oddma_display1_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  disp1_repeat_flag:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  disp1_read_block:2;
        RBus_UInt32  disp1_read_l_flag:1;
    };
}od_dma_oddma_display1_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_start_addr_l1:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp1_start_addr_l1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_start_addr_l2:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp1_start_addr_l2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_start_addr_l3:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp1_start_addr_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_start_addr_l4:29;
        RBus_UInt32  res1:3;
    };
}od_dma_oddma_disp1_start_addr_l4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  disp1_mem_err_ie:1;
        RBus_UInt32  disp1_fifo_err_ie:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  disp_mem_err_ie:1;
        RBus_UInt32  disp_fifo_err_ie:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  cap1_mem_err_ie:1;
        RBus_UInt32  cap1_fifo_err_ie:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  cap_mem_err_ie:1;
        RBus_UInt32  cap_fifo_err_ie:1;
        RBus_UInt32  vs_rising_ie:1;
    };
}od_dma_oddma_interrupt_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  comp_decomp_clk_en:1;
    };
}od_dma_oddma_comp_decomp_clk_gated_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  dispm_debug_sel:4;
    };
}od_dma_dfrc_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  disp_channel_swap:3;
        RBus_UInt32  disp_8byte_swap:1;
        RBus_UInt32  disp_4byte_swap:1;
        RBus_UInt32  disp_2byte_swap:1;
        RBus_UInt32  disp_1byte_swap:1;
        RBus_UInt32  res2:9;
        RBus_UInt32  cap_channel_swap:3;
        RBus_UInt32  cap_8byte_swap:1;
        RBus_UInt32  cap_4byte_swap:1;
        RBus_UInt32  cap_2byte_swap:1;
        RBus_UInt32  cap_1byte_swap:1;
    };
}od_dma_oddma_byte_channel_swap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  pqdc2_rm_0:4;
        RBus_UInt32  pqdc1_rm_0:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  disp1_rm:4;
        RBus_UInt32  disp_rm:4;
    };
}od_dma_oddma_disp_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pqdc_test_rwm:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  pqdc2_rme_0:1;
        RBus_UInt32  pqdc1_rme_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  disp1_rme:1;
        RBus_UInt32  disp_rme:1;
    };
}od_dma_oddma_disp_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  pqdc2_ls_0:1;
        RBus_UInt32  pqdc1_ls_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  disp1_ls:1;
        RBus_UInt32  disp_ls:1;
    };
}od_dma_oddma_disp_ls_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  pqdc2_bist_fail_1:1;
        RBus_UInt32  pqdc2_bist_fail_0:1;
        RBus_UInt32  pqdc1_bist_fail_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  disp1_bist_fail:1;
        RBus_UInt32  disp_bist_fail:1;
    };
}od_dma_oddma_disp_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  pqdc2_drf_fail_1:1;
        RBus_UInt32  pqdc2_drf_fail_0:1;
        RBus_UInt32  pqdc1_drf_fail_0:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  disp1_drf_fail:1;
        RBus_UInt32  disp_drf_fail:1;
    };
}od_dma_oddma_disp_drf_fail_RBUS;

#else //apply LITTLE_ENDIAN

//======OD_DMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_height:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  cmp_width_div32:9;
        RBus_UInt32  res2:6;
        RBus_UInt32  cmp_en:1;
    };
}od_dma_oddma_pq_cmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_data_format:2;
        RBus_UInt32  cmp_data_bit_width:2;
        RBus_UInt32  cmp_data_color:1;
        RBus_UInt32  dummy1802cd04_31_5:27;
    };
}od_dma_oddma_pq_cmp_pair_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  frame_limit_bit:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  line_limit_bit:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  block_limit_bit:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  first_line_more_bit:6;
        RBus_UInt32  res4:2;
    };
}od_dma_oddma_pq_cmp_bit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rb_lossy_do_422_en:1;
        RBus_UInt32  not_rich_do_422_en:1;
        RBus_UInt32  not_enough_bit_do_422_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  do_422_mode:2;
        RBus_UInt32  two_line_prediction_en:1;
        RBus_UInt32  fisrt_line_more_en:1;
        RBus_UInt32  balance_en:1;
        RBus_UInt32  poor_limit_min_qp_en:1;
        RBus_UInt32  dynamic_allocate_ratio_en:1;
        RBus_UInt32  guarantee_max_qp_en:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  g_ratio:5;
        RBus_UInt32  res3:11;
    };
}od_dma_oddma_pq_cmp_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  variation_near_num_th:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  variation_num_th:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  variation_value_th:4;
        RBus_UInt32  res3:4;
        RBus_UInt32  rb_lossy_do_422_qp_level:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  not_rich_do_422_th:4;
        RBus_UInt32  not_enough_bit_do_422_qp:3;
        RBus_UInt32  res5:5;
    };
}od_dma_oddma_pq_cmp_smooth_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dynamic_allocate_less:4;
        RBus_UInt32  dynamic_allocate_more:4;
        RBus_UInt32  dynamic_allocate_line:3;
        RBus_UInt32  res1:5;
        RBus_UInt32  dynamic_allocate_ratio_min:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  dynamic_allocate_ratio_max:5;
        RBus_UInt32  res3:3;
    };
}od_dma_oddma_pq_cmp_allocate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poor_limit_th_qp1:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  poor_limit_th_qp2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  poor_limit_th_qp3:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  poor_limit_th_qp4:5;
        RBus_UInt32  res4:3;
    };
}od_dma_oddma_pq_cmp_poor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  guarantee_max_g_qp:4;
        RBus_UInt32  guarantee_max_rb_qp:4;
        RBus_UInt32  res1:24;
    };
}od_dma_oddma_pq_cmp_guarantee_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  balance_g_give:2;
        RBus_UInt32  balance_g_ud_th:2;
        RBus_UInt32  balance_g_ov_th:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  balance_rb_give:2;
        RBus_UInt32  balance_rb_ud_th:2;
        RBus_UInt32  balance_rb_ov_th:2;
        RBus_UInt32  res2:18;
    };
}od_dma_oddma_pq_cmp_balance_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  r_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  g_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  b_fifo_even_overflow_irq_en:1;
        RBus_UInt32  r_fifo_even_overflow_irq_en:1;
        RBus_UInt32  g_fifo_even_overflow_irq_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  request_fifo_odd_overflow_irq_en:1;
        RBus_UInt32  request_fifo_even_overflow_irq_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  over_flb_irq_en:1;
        RBus_UInt32  input_size_less_irq_en:1;
        RBus_UInt32  input_size_more_irq_en:1;
        RBus_UInt32  block_fifo_overflow_irq_en:1;
        RBus_UInt32  res4:16;
    };
}od_dma_oddma_pq_cmp_irq_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b_fifo_odd_overflow_st:1;
        RBus_UInt32  r_fifo_odd_overflow_st:1;
        RBus_UInt32  g_fifo_odd_overflow_st:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  b_fifo_even_overflow_st:1;
        RBus_UInt32  r_fifo_even_overflow_st:1;
        RBus_UInt32  g_fifo_even_overflow_st:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  request_fifo_odd_overflow_st:1;
        RBus_UInt32  request_fifo_even_overflow_st:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  over_flb_st:1;
        RBus_UInt32  input_size_less_st:1;
        RBus_UInt32  input_size_more_st:1;
        RBus_UInt32  block_fifo_overflow_st:1;
        RBus_UInt32  res4:15;
        RBus_UInt32  pqc_irq:1;
    };
}od_dma_oddma_pq_cmp_irq_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_package_height_cnt:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  g_ratio_min:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  g_ratio_max:5;
        RBus_UInt32  res3:2;
        RBus_UInt32  cmp_two_pixel_mode:1;
    };
}od_dma_oddma_pq_cmp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  short_term_rb_qp_max:4;
        RBus_UInt32  short_term_g_qp_max:4;
        RBus_UInt32  res1:8;
        RBus_UInt32  long_term_rb_qp_max:4;
        RBus_UInt32  long_term_g_qp_max:4;
        RBus_UInt32  res2:7;
        RBus_UInt32  long_term_qp_measure_en:1;
    };
}od_dma_oddma_pq_cmp_qp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fifo_water_even_b:8;
        RBus_UInt32  fifo_water_even_r:8;
        RBus_UInt32  fifo_water_even_g:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  fifo_water_measure_en:1;
    };
}od_dma_oddma_pq_cmp_fifo_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fifo_water_odd_b:8;
        RBus_UInt32  fifo_water_odd_r:8;
        RBus_UInt32  fifo_water_odd_g:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  res2:1;
    };
}od_dma_oddma_pq_cmp_fifo_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rb_frame_left:16;
        RBus_UInt32  g_frame_left:16;
    };
}od_dma_oddma_pq_cmp_left_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  total_package_even:24;
        RBus_UInt32  res1:7;
        RBus_UInt32  total_package_long_term:1;
    };
}od_dma_oddma_pq_cmp_package_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_g:32;
    };
}od_dma_oddma_pq_cmp_crc_even_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_r:32;
    };
}od_dma_oddma_pq_cmp_crc_even_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_even_b:32;
    };
}od_dma_oddma_pq_cmp_crc_even_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_g:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_r:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmp_crc_odd_b:32;
    };
}od_dma_oddma_pq_cmp_crc_odd_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  total_package_odd:24;
        RBus_UInt32  res1:8;
    };
}od_dma_oddma_pq_cmp_package_odd_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_height:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  decmp_width_div32:9;
        RBus_UInt32  res2:6;
        RBus_UInt32  decmp_en:1;
    };
}od_dma_oddma_pq_decmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_data_format:2;
        RBus_UInt32  decmp_data_bit_width:2;
        RBus_UInt32  decmp_data_color:1;
        RBus_UInt32  dummy1802cd64_31_5:27;
    };
}od_dma_oddma_pq_decmp_pair_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  saturation_en:1;
        RBus_UInt32  saturation_type:1;
        RBus_UInt32  res1:30;
    };
}od_dma_oddma_pq_decmp_sat_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_b_error_odd_en:1;
        RBus_UInt32  crc_g_error_odd_en:1;
        RBus_UInt32  crc_r_error_odd_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  underflow_irq_odd_en:1;
        RBus_UInt32  not_finish_irq_odd_en:1;
        RBus_UInt32  res2:10;
        RBus_UInt32  crc_b_error_even_en:1;
        RBus_UInt32  crc_g_error_even_en:1;
        RBus_UInt32  crc_r_error_even_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  underflow_irq_even_en:1;
        RBus_UInt32  not_finish_irq_even_en:1;
        RBus_UInt32  res4:10;
    };
}od_dma_oddma_pq_decmp_irq_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_b_error_odd_st:1;
        RBus_UInt32  crc_g_error_odd_st:1;
        RBus_UInt32  crc_r_error_odd_st:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  underflow_irq_odd_st:1;
        RBus_UInt32  not_finish_irq_odd_st:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  ring_b_overflow_odd_st:1;
        RBus_UInt32  ring_g_overflow_odd_st:1;
        RBus_UInt32  ring_r_overflow_odd_st:1;
        RBus_UInt32  in_fifo_overflow_odd_st:1;
        RBus_UInt32  res3:4;
        RBus_UInt32  crc_b_error_even_st:1;
        RBus_UInt32  crc_g_error_even_st:1;
        RBus_UInt32  crc_r_error_even_st:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  underflow_irq_even_st:1;
        RBus_UInt32  not_finish_irq_even_st:1;
        RBus_UInt32  res5:2;
        RBus_UInt32  ring_b_overflow_even_st:1;
        RBus_UInt32  ring_g_overflow_even_st:1;
        RBus_UInt32  ring_r_overflow_even_st:1;
        RBus_UInt32  in_fifo_overflow_even_st:1;
        RBus_UInt32  res6:3;
        RBus_UInt32  pqdc_irq:1;
    };
}od_dma_oddma_pq_decmp_irq_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_en_qp0:1;
        RBus_UInt32  mark_en_qp1:1;
        RBus_UInt32  mark_en_qp2:1;
        RBus_UInt32  mark_en_qp3:1;
        RBus_UInt32  mark_en_qp4:1;
        RBus_UInt32  mark_en_qp5:1;
        RBus_UInt32  mark_en_qp6:1;
        RBus_UInt32  mark_en_qp7:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  mark_en_qp_sel:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  mark_en_do_422:1;
    };
}od_dma_oddma_pq_decmp_mark_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_1:16;
        RBus_UInt32  mark_color_0:16;
    };
}od_dma_oddma_pq_decmp_mark_color_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_3:16;
        RBus_UInt32  mark_color_2:16;
    };
}od_dma_oddma_pq_decmp_mark_color_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_5:16;
        RBus_UInt32  mark_color_4:16;
    };
}od_dma_oddma_pq_decmp_mark_color_45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_7:16;
        RBus_UInt32  mark_color_6:16;
    };
}od_dma_oddma_pq_decmp_mark_color_67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mark_color_422:16;
        RBus_UInt32  res1:16;
    };
}od_dma_oddma_pq_decmp_mark_color_422_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_package_height_cnt:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  res2:15;
        RBus_UInt32  decmp_two_pixel_mode:1;
    };
}od_dma_oddma_pq_decmp_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_g:32;
    };
}od_dma_oddma_pq_decmp_crc_even_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_r:32;
    };
}od_dma_oddma_pq_decmp_crc_even_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_even_b:32;
    };
}od_dma_oddma_pq_decmp_crc_even_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_g:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_g_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_r:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  decmp_crc_odd_b:32;
    };
}od_dma_oddma_pq_decmp_crc_odd_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tr_en:1;
        RBus_UInt32  res1:31;
    };
}od_dma_oddma_pq_decmp_compensation_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_db_en:1;
        RBus_UInt32  cap_db_rd_sel:1;
        RBus_UInt32  cap_db_apply:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_db_en:1;
        RBus_UInt32  disp_db_rd_sel:1;
        RBus_UInt32  disp_db_apply:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  smooth_tog_en:1;
        RBus_UInt32  res3:23;
    };
}od_dma_od_dma_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  fp_vact_space1:8;
        RBus_UInt32  hdmi_3d_structure:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  lr_separate_en:1;
        RBus_UInt32  hs_inv:1;
        RBus_UInt32  vs_inv:1;
        RBus_UInt32  res3:8;
    };
}od_dma_oddma_lr_separate_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hact:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  vact:16;
    };
}od_dma_oddma_lr_separate_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  cap_en:1;
        RBus_UInt32  half_wr_sel:1;
        RBus_UInt32  half_wr_en:1;
        RBus_UInt32  auto_block_sel_en:1;
        RBus_UInt32  vs_fall_rst_en:1;
        RBus_UInt32  freeze_en:1;
        RBus_UInt32  comp_de_comp_bypass:1;
        RBus_UInt32  dispi_wd_freeze_en:1;
        RBus_UInt32  quad_buf_en:1;
        RBus_UInt32  set_block_sel:1;
        RBus_UInt32  cap_block_fw:2;
        RBus_UInt32  triple_buf_en:1;
    };
}od_dma_oddma_cap_ctl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_write_rem:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  cap_write_len:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  pixel_encoding:1;
        RBus_UInt32  bit_sel:2;
        RBus_UInt32  res3:13;
    };
}od_dma_oddma_cap_ctl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_write_num:16;
        RBus_UInt32  cap_water_lv:8;
        RBus_UInt32  res1:8;
    };
}od_dma_oddma_cap_ctl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_mem_up_limit:29;
    };
}od_dma_oddma_cap_boundaryaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_mem_low_limit:29;
    };
}od_dma_oddma_cap_boundaryaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_line_step:29;
    };
}od_dma_oddma_cap_linestep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_dm_step:29;
    };
}od_dma_oddma_cap_demo_mode_blockstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_l1_start:29;
    };
}od_dma_oddma_cap_l1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_l2_start:29;
    };
}od_dma_oddma_cap_l2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_l3_start:29;
    };
}od_dma_oddma_cap_l3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_l4_start:29;
    };
}od_dma_oddma_cap_l4_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap1_l1_start:29;
    };
}od_dma_oddma_cap1_l1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap1_l2_start:29;
    };
}od_dma_oddma_cap1_l2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap1_l3_start:29;
    };
}od_dma_oddma_cap1_l3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap1_l4_start:29;
    };
}od_dma_oddma_cap1_l4_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap_l1_start_db:29;
    };
}od_dma_oddma_cap_l1_start_db_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cap1_l1_start_db:29;
    };
}od_dma_oddma_cap1_l1_start_db_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_ddr_over_range:1;
        RBus_UInt32  cap_fifo_underflow:1;
        RBus_UInt32  cap_fifo_overflow:1;
        RBus_UInt32  cap_fifo_empty:1;
        RBus_UInt32  cap_fifo_full:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  cap_block:2;
        RBus_UInt32  vs_rising_occur:1;
        RBus_UInt32  freeze_ok:1;
        RBus_UInt32  cap_under_size:1;
        RBus_UInt32  cap_over_size:1;
        RBus_UInt32  res2:20;
    };
}od_dma_oddma_cap_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_ddr_over_range:1;
        RBus_UInt32  cap1_fifo_underflow:1;
        RBus_UInt32  cap1_fifo_overflow:1;
        RBus_UInt32  cap1_fifo_empty:1;
        RBus_UInt32  cap1_fifo_full:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  cap1_block:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  cap1_under_size:1;
        RBus_UInt32  cap1_over_size:1;
        RBus_UInt32  res3:20;
    };
}od_dma_oddma_cap1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  frc_en:1;
        RBus_UInt32  frc_style:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_frc_llrr_en:1;
        RBus_UInt32  disp_frc_llrr_mode:1;
        RBus_UInt32  res2:27;
    };
}od_dma_oddma_frc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_rm:4;
        RBus_UInt32  cap1_rm:4;
        RBus_UInt32  res1:8;
        RBus_UInt32  pqc1_rm_0:4;
        RBus_UInt32  pqc2_rm_0:4;
        RBus_UInt32  pqc2_rm_1:4;
        RBus_UInt32  res2:4;
    };
}od_dma_oddma_cap_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_rme:1;
        RBus_UInt32  cap1_rme:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqc1_rme_0:1;
        RBus_UInt32  pqc2_rme_0:1;
        RBus_UInt32  pqc2_rme_1:1;
        RBus_UInt32  res2:12;
        RBus_UInt32  pqc_test_rwm:1;
    };
}od_dma_oddma_cap_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_ls:1;
        RBus_UInt32  cap1_ls:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqc1_ls_0:1;
        RBus_UInt32  pqc2_ls_0:1;
        RBus_UInt32  pqc2_ls_1:1;
        RBus_UInt32  res2:13;
    };
}od_dma_oddma_cap_ls_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_bist_fail:1;
        RBus_UInt32  cap1_bist_fail:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqc1_bist_fail_0:1;
        RBus_UInt32  pqc2_bist_fail_0:1;
        RBus_UInt32  pqc2_bist_fail_1:1;
        RBus_UInt32  pqc2_bist_fail_2:1;
        RBus_UInt32  pqc2_bist_fail_3:1;
        RBus_UInt32  pqc2_bist_fail_4:1;
        RBus_UInt32  pqc2_bist_fail_5:1;
        RBus_UInt32  res2:9;
    };
}od_dma_oddma_cap_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_drf_fail:1;
        RBus_UInt32  cap1_drf_fail:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqc1_drf_fail_0:1;
        RBus_UInt32  pqc2_drf_fail_0:1;
        RBus_UInt32  pqc2_drf_fail_1:1;
        RBus_UInt32  pqc2_drf_fail_2:1;
        RBus_UInt32  pqc2_drf_fail_3:1;
        RBus_UInt32  pqc2_drf_fail_4:1;
        RBus_UInt32  pqc2_drf_fail_5:1;
        RBus_UInt32  res2:9;
    };
}od_dma_oddma_cap_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_crc_start:1;
        RBus_UInt32  cap_crc_conti:1;
        RBus_UInt32  cap_crc_3d_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_crc_start:1;
        RBus_UInt32  disp_crc_conti:1;
        RBus_UInt32  disp_crc_3d_en:1;
        RBus_UInt32  res2:13;
        RBus_UInt32  crc_pixel_encoding:1;
        RBus_UInt32  crc_bit_sel:3;
        RBus_UInt32  crc_comp_error_flag:1;
        RBus_UInt32  crc1_comp_error_flag:1;
        RBus_UInt32  dynamic_crc_cmp_en:1;
        RBus_UInt32  crc_comp_error_int:1;
        RBus_UInt32  match_buffer:2;
        RBus_UInt32  match_buffer1:2;
    };
}od_dma_oddma_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_mask:30;
        RBus_UInt32  res1:2;
    };
}od_dma_oddma_crc_mask_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_l_crc_result:32;
    };
}od_dma_oddma_cap_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_r_crc_result:32;
    };
}od_dma_oddma_cap_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_l_crc_result:32;
    };
}od_dma_oddma_disp_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_r_crc_result:32;
    };
}od_dma_oddma_disp_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_l_crc_result:32;
    };
}od_dma_oddma_cap1_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap1_r_crc_result:32;
    };
}od_dma_oddma_cap1_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_l_crc_result:32;
    };
}od_dma_oddma_disp1_l_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_r_crc_result:32;
    };
}od_dma_oddma_disp1_r_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_rate_en:1;
        RBus_UInt32  disp_rate_en:1;
        RBus_UInt32  res1:30;
    };
}od_dma_oddma_dma_rate_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_rate:32;
    };
}od_dma_oddma_capture_rate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_rate:32;
    };
}od_dma_oddma_display_rate_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  l_flag_inv:1;
        RBus_UInt32  stop_burst_en:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  disp_3ddma_en:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  disp_vs_fall_rst_en:1;
        RBus_UInt32  res5:3;
        RBus_UInt32  l_flag_hs_dly:12;
        RBus_UInt32  res6:4;
    };
}od_dma_oddma_display_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_pre_rd_v_start:11;
        RBus_UInt32  res1:21;
    };
}od_dma_oddma_display_prevstart_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_wtlvl:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  disp_pixel_num:13;
        RBus_UInt32  res2:3;
    };
}od_dma_oddma_display_numwtl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_read_remain:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_read_len:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  disp_read_num:16;
    };
}od_dma_oddma_display_rdnumlenrem_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_line_step:29;
    };
}od_dma_oddma_disp_linestep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_line_number:13;
        RBus_UInt32  res1:19;
    };
}od_dma_oddma_display_linenum_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_adr_up_over_range:1;
        RBus_UInt32  disp_adr_down_over_range:1;
        RBus_UInt32  disp_fifo_underflow:1;
        RBus_UInt32  disp_fifo_overflow:1;
        RBus_UInt32  disp_fifo_empty:1;
        RBus_UInt32  disp_fifo_full:1;
        RBus_UInt32  disp_fifo_clr:1;
        RBus_UInt32  disp_clr_over_range:1;
        RBus_UInt32  res1:24;
    };
}od_dma_oddma_display_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_read_l_flag:1;
        RBus_UInt32  disp_read_block:2;
        RBus_UInt32  res1:5;
        RBus_UInt32  disp_repeat_flag:1;
        RBus_UInt32  res2:23;
    };
}od_dma_oddma_display_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_start_addr_l1:29;
    };
}od_dma_oddma_disp_start_addr_l1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_start_addr_l2:29;
    };
}od_dma_oddma_disp_start_addr_l2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_start_addr_l3:29;
    };
}od_dma_oddma_disp_start_addr_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp_start_addr_l4:29;
    };
}od_dma_oddma_disp_start_addr_l4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_adr_up_over_range:1;
        RBus_UInt32  disp1_adr_down_over_range:1;
        RBus_UInt32  disp1_fifo_underflow:1;
        RBus_UInt32  disp1_fifo_overflow:1;
        RBus_UInt32  disp1_fifo_empty:1;
        RBus_UInt32  disp1_fifo_full:1;
        RBus_UInt32  disp1_fifo_clr:1;
        RBus_UInt32  disp1_clr_over_range:1;
        RBus_UInt32  res1:24;
    };
}od_dma_oddma_display1_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp1_read_l_flag:1;
        RBus_UInt32  disp1_read_block:2;
        RBus_UInt32  res1:5;
        RBus_UInt32  disp1_repeat_flag:1;
        RBus_UInt32  res2:23;
    };
}od_dma_oddma_display1_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp1_start_addr_l1:29;
    };
}od_dma_oddma_disp1_start_addr_l1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp1_start_addr_l2:29;
    };
}od_dma_oddma_disp1_start_addr_l2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp1_start_addr_l3:29;
    };
}od_dma_oddma_disp1_start_addr_l3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  disp1_start_addr_l4:29;
    };
}od_dma_oddma_disp1_start_addr_l4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vs_rising_ie:1;
        RBus_UInt32  cap_fifo_err_ie:1;
        RBus_UInt32  cap_mem_err_ie:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  cap1_fifo_err_ie:1;
        RBus_UInt32  cap1_mem_err_ie:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  disp_fifo_err_ie:1;
        RBus_UInt32  disp_mem_err_ie:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  disp1_fifo_err_ie:1;
        RBus_UInt32  disp1_mem_err_ie:1;
        RBus_UInt32  res4:18;
    };
}od_dma_oddma_interrupt_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  comp_decomp_clk_en:1;
        RBus_UInt32  res1:31;
    };
}od_dma_oddma_comp_decomp_clk_gated_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispm_debug_sel:4;
        RBus_UInt32  res1:28;
    };
}od_dma_dfrc_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cap_1byte_swap:1;
        RBus_UInt32  cap_2byte_swap:1;
        RBus_UInt32  cap_4byte_swap:1;
        RBus_UInt32  cap_8byte_swap:1;
        RBus_UInt32  cap_channel_swap:3;
        RBus_UInt32  res1:9;
        RBus_UInt32  disp_1byte_swap:1;
        RBus_UInt32  disp_2byte_swap:1;
        RBus_UInt32  disp_4byte_swap:1;
        RBus_UInt32  disp_8byte_swap:1;
        RBus_UInt32  disp_channel_swap:3;
        RBus_UInt32  res2:9;
    };
}od_dma_oddma_byte_channel_swap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_rm:4;
        RBus_UInt32  disp1_rm:4;
        RBus_UInt32  res1:8;
        RBus_UInt32  pqdc1_rm_0:4;
        RBus_UInt32  pqdc2_rm_0:4;
        RBus_UInt32  res2:8;
    };
}od_dma_oddma_disp_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_rme:1;
        RBus_UInt32  disp1_rme:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqdc1_rme_0:1;
        RBus_UInt32  pqdc2_rme_0:1;
        RBus_UInt32  res2:13;
        RBus_UInt32  pqdc_test_rwm:1;
    };
}od_dma_oddma_disp_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_ls:1;
        RBus_UInt32  disp1_ls:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqdc1_ls_0:1;
        RBus_UInt32  pqdc2_ls_0:1;
        RBus_UInt32  res2:14;
    };
}od_dma_oddma_disp_ls_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_bist_fail:1;
        RBus_UInt32  disp1_bist_fail:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqdc1_bist_fail_0:1;
        RBus_UInt32  pqdc2_bist_fail_0:1;
        RBus_UInt32  pqdc2_bist_fail_1:1;
        RBus_UInt32  res2:13;
    };
}od_dma_oddma_disp_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_drf_fail:1;
        RBus_UInt32  disp1_drf_fail:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  pqdc1_drf_fail_0:1;
        RBus_UInt32  pqdc2_drf_fail_0:1;
        RBus_UInt32  pqdc2_drf_fail_1:1;
        RBus_UInt32  res2:13;
    };
}od_dma_oddma_disp_drf_fail_RBUS;




#endif 


#endif 
