/**
* @file rbusSubtOvlReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SUBTOVL_REG_H_
#define _RBUS_SUBTOVL_REG_H_

#include "rbusTypes.h"



//  SUBTOVL Register Address



#define  SUBTOVL_MIXER_CTRL1_VADDR                          	(0xb802bf00)
#define  SUBTOVL_SUBT_CR_X_VADDR                            	(0xb802bf04)
#define  SUBTOVL_SUBT_CR_Y_VADDR                            	(0xb802bf08)
#define  SUBTOVL_SUBT_CRC_CTRL_VADDR                        	(0xb802bf10)
#define  SUBTOVL_SUBT_CRC_RESULT_VADDR                      	(0xb802bf14)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SUBTOVL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  subt_other_ch_ble_sel:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  subt_pop_or_subt_mode:1;
        RBus_UInt32  subt_dis_color_mapping:1;
        RBus_UInt32  subt_dis_conbri:1;
        RBus_UInt32  subt_dis_color_temp:1;
        RBus_UInt32  subt_dis_srgb:1;
        RBus_UInt32  subt_dis_inv_gamma:1;
        RBus_UInt32  subt_dis_gamma:1;
        RBus_UInt32  subt_dis_3d_lut:1;
        RBus_UInt32  subt_en_as_act:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  subt_blending_en:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  subt_chsel:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  subt_en:1;
    };
}subtovl_mixer_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  subt_cr_en:1;
        RBus_UInt32  subt_cr_xend:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  subt_cr_xstart:13;
    };
}subtovl_subt_cr_x_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  subt_cr_yend:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  subt_cr_ystart:12;
    };
}subtovl_subt_cr_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  subt_crc_done:1;
        RBus_UInt32  subt_crc_cont:1;
        RBus_UInt32  subt_crc_start:1;
    };
}subtovl_subt_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_crc_result:32;
    };
}subtovl_subt_crc_result_RBUS;

#else //apply LITTLE_ENDIAN

//======SUBTOVL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  subt_chsel:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  subt_blending_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  subt_en_as_act:1;
        RBus_UInt32  subt_dis_3d_lut:1;
        RBus_UInt32  subt_dis_gamma:1;
        RBus_UInt32  subt_dis_inv_gamma:1;
        RBus_UInt32  subt_dis_srgb:1;
        RBus_UInt32  subt_dis_color_temp:1;
        RBus_UInt32  subt_dis_conbri:1;
        RBus_UInt32  subt_dis_color_mapping:1;
        RBus_UInt32  subt_pop_or_subt_mode:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  subt_other_ch_ble_sel:1;
        RBus_UInt32  res5:15;
    };
}subtovl_mixer_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_cr_xstart:13;
        RBus_UInt32  res1:2;
        RBus_UInt32  subt_cr_xend:13;
        RBus_UInt32  subt_cr_en:1;
        RBus_UInt32  res2:3;
    };
}subtovl_subt_cr_x_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_cr_ystart:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  subt_cr_yend:12;
        RBus_UInt32  res2:4;
    };
}subtovl_subt_cr_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_crc_start:1;
        RBus_UInt32  subt_crc_cont:1;
        RBus_UInt32  subt_crc_done:1;
        RBus_UInt32  res1:29;
    };
}subtovl_subt_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  subt_crc_result:32;
    };
}subtovl_subt_crc_result_RBUS;




#endif 


#endif 
