/**
* @file rbusSync_processorReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SYNC_PROCESSOR_REG_H_
#define _RBUS_SYNC_PROCESSOR_REG_H_

#include "rbusTypes.h"



//  SYNC_PROCESSOR Register Address



#define  SYNC_PROCESSOR_SP1_CTRL_VADDR                      	(0xb8021000)
#define  SYNC_PROCESSOR_SP1_AUTORST_VADDR                   	(0xb8021004)
#define  SYNC_PROCESSOR_SP1_STBCTRL_VADDR                   	(0xb8021010)
#define  SYNC_PROCESSOR_SP1_STBRST0_VADDR                   	(0xb8021014)
#define  SYNC_PROCESSOR_SP1_STBRST1_VADDR                   	(0xb8021018)
#define  SYNC_PROCESSOR_SP1_DCNT_VADDR                      	(0xb8021028)
#define  SYNC_PROCESSOR_SP1_FIELD_VADDR                     	(0xb8021030)
#define  SYNC_PROCESSOR_SP1_CLMPCTRL_VADDR                  	(0xb8021038)
#define  SYNC_PROCESSOR_SP1_CLMP_VADDR                      	(0xb802103c)
#define  SYNC_PROCESSOR_SP1_CLMPMSK_VADDR                   	(0xb8021040)
#define  SYNC_PROCESSOR_SP1_COASTFTBK_VADDR                 	(0xb8021044)
#define  SYNC_PROCESSOR_MV_CTRL_VADDR                       	(0xb8021058)
#define  SYNC_PROCESSOR_MV_FLD_POS_VADDR                    	(0xb802105c)
#define  SYNC_PROCESSOR_SP_ADCCLAMPSEL0_VADDR               	(0xb8021064)
#define  SYNC_PROCESSOR_SP_ADCCLAMPSEL1_VADDR               	(0xb8021068)
#define  SYNC_PROCESSOR_SP_ADC_OUT_SEL_VADDR                	(0xb802106c)
#define  SYNC_PROCESSOR_SP_PAD_STATUS_VADDR                 	(0xb8021070)
#define  SYNC_PROCESSOR_DEGLITCH_VADDR                      	(0xb8021074)
#define  SYNC_PROCESSOR_CTS_CTRL_VADDR                      	(0xb8021078)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SYNC_PROCESSOR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dehs_out_en:1;
        RBus_UInt32  dummy18021000_30:1;
        RBus_UInt32  dummy18021000_29:1;
        RBus_UInt32  s1_hsraw_inv:1;
        RBus_UInt32  dummy18021000_27:1;
        RBus_UInt32  dummy18021000_26_24:3;
        RBus_UInt32  hrecovery_en:1;
        RBus_UInt32  s1_adc_vsout_testmd:1;
        RBus_UInt32  s1_devs_out_en:1;
        RBus_UInt32  s1_sel_clpmsk_as_devs:1;
        RBus_UInt32  s1_hsout_inv:1;
        RBus_UInt32  dummy18021000_18:1;
        RBus_UInt32  s1_hs_sync_source:1;
        RBus_UInt32  s1_hsout_en:1;
        RBus_UInt32  dummy18021000_15_13:3;
        RBus_UInt32  s1_seperate_testmode:1;
        RBus_UInt32  s1_auto_run_done_ie:1;
        RBus_UInt32  s1_auto_run:1;
        RBus_UInt32  s1_coast_en:1;
        RBus_UInt32  s1_decmp_en:1;
        RBus_UInt32  dummy18021000_7:1;
        RBus_UInt32  s1_hs_fb_plswid_md:2;
        RBus_UInt32  s1_coast_inv:1;
        RBus_UInt32  dummy18021000_3:1;
        RBus_UInt32  s1_vhs_source_sel:3;
    };
}sync_processor_sp1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_auto_result_rdy:1;
        RBus_UInt32  dummy18021004_30:1;
        RBus_UInt32  s1_unlock_no_vs_str:6;
        RBus_UInt32  s1_unlock_no_vs_end:12;
        RBus_UInt32  res1:5;
        RBus_UInt32  s1_auto_result:3;
        RBus_UInt32  res2:3;
        RBus_UInt32  s1_input_signal_be_inverted:1;
    };
}sync_processor_sp1_autorst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  s1_cap_win_range_lsb:2;
        RBus_UInt32  s1_hsper_realtime_stbline:2;
        RBus_UInt32  s1_hsper_realtime_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  s1_cap_win_range:5;
        RBus_UInt32  s1_per_range:3;
        RBus_UInt32  s1_popup_stable_per:1;
        RBus_UInt32  dummy18021010_6_4:3;
        RBus_UInt32  s1_cap_win_step:1;
        RBus_UInt32  s1_miss_lock_limit:1;
        RBus_UInt32  dummy18021010_1:1;
        RBus_UInt32  s1_stable_en:1;
    };
}sync_processor_sp1_stbctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mode_det_of:1;
        RBus_UInt32  s1_stb_per_chg:1;
        RBus_UInt32  s1_stb_pol_chg:1;
        RBus_UInt32  s1_vs_raw_vld:1;
        RBus_UInt32  s1_cap_32unlock:1;
        RBus_UInt32  s1_eq_occur:1;
        RBus_UInt32  s1_hs_pol_chg:1;
        RBus_UInt32  s1_cap_unlock:1;
        RBus_UInt32  s1_mode_det_stable:1;
        RBus_UInt32  s1_stable_pol_out:1;
        RBus_UInt32  s1_cap_unlock_no_vs:1;
        RBus_UInt32  s1_giltch_in_win:1;
        RBus_UInt32  s1_giltch_in_win_int:1;
        RBus_UInt32  s1_stb_per_chg_wde:1;
        RBus_UInt32  s1_stb_pol_chg_wde:1;
        RBus_UInt32  sync_wd_to_main:1;
        RBus_UInt32  sync_wd_to_sub:1;
        RBus_UInt32  res1:15;
    };
}sync_processor_sp1_stbrst0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s1_stable_period_out:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s1_stable_plswid_out:11;
    };
}sync_processor_sp1_stbrst1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s1_deb_num:5;
        RBus_UInt32  s1_dcnt_level:11;
    };
}sync_processor_sp1_dcnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  s1_field_det_vs_sel:1;
        RBus_UInt32  s1_field_det_mode:1;
        RBus_UInt32  s1_f_pos_field:1;
        RBus_UInt32  s1_f_pos_field_tgle:1;
        RBus_UInt32  s1_f_count_field:1;
        RBus_UInt32  s1_f_count_field_tgle:1;
        RBus_UInt32  s1_l_cnt_lsb1:3;
    };
}sync_processor_sp1_field_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  dummy18021038_13_8:6;
        RBus_UInt32  s1_clamp_dben:1;
        RBus_UInt32  s1_clamp_cnt_unit:1;
        RBus_UInt32  s1_clamp_clksrc:1;
        RBus_UInt32  s1_clamp_en:1;
        RBus_UInt32  s1_yclamp_hs_inv:1;
        RBus_UInt32  s1_nyclamp_hs_inv:1;
        RBus_UInt32  s1_clamp_test_en:1;
        RBus_UInt32  s1_adc_hs_syncedge:1;
    };
}sync_processor_sp1_clmpctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_yclamp_sta:8;
        RBus_UInt32  s1_yclamp_end:8;
        RBus_UInt32  s1_nyclamp_sta:8;
        RBus_UInt32  s1_nyclamp_end:8;
    };
}sync_processor_sp1_clmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s1_mask_clamp_en:1;
        RBus_UInt32  dummy18021040_14:1;
        RBus_UInt32  s1_mask_front:6;
        RBus_UInt32  dummy18021040_7_6:2;
        RBus_UInt32  s1_mask_back:6;
    };
}sync_processor_sp1_clmpmsk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  dummy18021044_9_8:2;
        RBus_UInt32  s1_coast_front:4;
        RBus_UInt32  s1_coast_back:4;
    };
}sync_processor_sp1_coastftbk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dummy18021058_15_13:3;
        RBus_UInt32  s1_deb_num_mvhs:5;
        RBus_UInt32  s1_skip_line_len:4;
        RBus_UInt32  dummy18021058_3_2:2;
        RBus_UInt32  s1_mv_occur:1;
        RBus_UInt32  s1_mv_enable:1;
    };
}sync_processor_mv_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802105c_31:1;
        RBus_UInt32  s1_o_mv_str:7;
        RBus_UInt32  s1_o_mv_rdy:1;
        RBus_UInt32  s1_o_mv_end:7;
        RBus_UInt32  dummy1802105c_15:1;
        RBus_UInt32  s1_e_mv_str:7;
        RBus_UInt32  s1_e_mv_rdy:1;
        RBus_UInt32  s1_e_mv_end:7;
    };
}sync_processor_mv_fld_pos_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  adc_vin32_clamp_sel:2;
        RBus_UInt32  adc_vin31_clamp_sel:2;
        RBus_UInt32  adc_vin30_clamp_sel:2;
        RBus_UInt32  adc_vin22_clamp_sel:2;
        RBus_UInt32  adc_vin21_clamp_sel:2;
        RBus_UInt32  adc_vin20_clamp_sel:2;
        RBus_UInt32  adc_vin12_clamp_sel:2;
        RBus_UInt32  adc_vin11_clamp_sel:2;
        RBus_UInt32  adc_vin10_clamp_sel:2;
        RBus_UInt32  adc_vin02_clamp_sel:2;
        RBus_UInt32  adc_vin01_clamp_sel:2;
        RBus_UInt32  adc_vin00_clamp_sel:2;
    };
}sync_processor_sp_adcclampsel0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dummy18021068_4:1;
        RBus_UInt32  sync_test_sel:4;
    };
}sync_processor_sp_adcclampsel1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  force_rgb_from_adc:1;
        RBus_UInt32  syncedge_rgb:1;
        RBus_UInt32  syncedge_hs:1;
        RBus_UInt32  syncedge_vs:1;
        RBus_UInt32  test_sel_rgb:2;
        RBus_UInt32  test_sel_hs:1;
        RBus_UInt32  test_sel_vs:1;
        RBus_UInt32  sync_out_source:2;
    };
}sync_processor_sp_adc_out_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dummy18021070_7_6:2;
        RBus_UInt32  tog_adc_sog0:1;
        RBus_UInt32  tog_adc_sog1:1;
        RBus_UInt32  tog_soy_vd:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tog_pad_avs1:1;
        RBus_UInt32  tog_pad_ahs1:1;
    };
}sync_processor_sp_pad_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  glitch_det_rst:1;
        RBus_UInt32  glitch_det:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  pe_delay_no:4;
        RBus_UInt32  res3:6;
        RBus_UInt32  pe_delay_auto:1;
        RBus_UInt32  hs_deglitch_en:1;
        RBus_UInt32  hs_deglitch_num:8;
    };
}sync_processor_deglitch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  force_ctsfifo_rstn:1;
        RBus_UInt32  en_ctsfifo_vsrst:1;
        RBus_UInt32  en_ctsfifo_bypass:1;
    };
}sync_processor_cts_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======SYNC_PROCESSOR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_vhs_source_sel:3;
        RBus_UInt32  dummy18021000_3_3:1;
        RBus_UInt32  s1_coast_inv:1;
        RBus_UInt32  s1_hs_fb_plswid_md:2;
        RBus_UInt32  dummy18021000_7_7:1;
        RBus_UInt32  s1_decmp_en:1;
        RBus_UInt32  s1_coast_en:1;
        RBus_UInt32  s1_auto_run:1;
        RBus_UInt32  s1_auto_run_done_ie:1;
        RBus_UInt32  s1_seperate_testmode:1;
        RBus_UInt32  dummy18021000_15_13:3;
        RBus_UInt32  s1_hsout_en:1;
        RBus_UInt32  s1_hs_sync_source:1;
        RBus_UInt32  dummy18021000_18_18:1;
        RBus_UInt32  s1_hsout_inv:1;
        RBus_UInt32  s1_sel_clpmsk_as_devs:1;
        RBus_UInt32  s1_devs_out_en:1;
        RBus_UInt32  s1_adc_vsout_testmd:1;
        RBus_UInt32  hrecovery_en:1;
        RBus_UInt32  dummy18021000_26_24:3;
        RBus_UInt32  dummy18021000_27_27:1;
        RBus_UInt32  s1_hsraw_inv:1;
        RBus_UInt32  dummy18021000_29_29:1;
        RBus_UInt32  dummy18021000_30_30:1;
        RBus_UInt32  s1_dehs_out_en:1;
    };
}sync_processor_sp1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_input_signal_be_inverted:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_auto_result:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  s1_unlock_no_vs_end:12;
        RBus_UInt32  s1_unlock_no_vs_str:6;
        RBus_UInt32  dummy18021004_30:1;
        RBus_UInt32  s1_auto_result_rdy:1;
    };
}sync_processor_sp1_autorst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_stable_en:1;
        RBus_UInt32  dummy18021010_1:1;
        RBus_UInt32  s1_miss_lock_limit:1;
        RBus_UInt32  s1_cap_win_step:1;
        RBus_UInt32  dummy18021010_6:3;
        RBus_UInt32  s1_popup_stable_per:1;
        RBus_UInt32  s1_per_range:3;
        RBus_UInt32  s1_cap_win_range:5;
        RBus_UInt32  res1:1;
        RBus_UInt32  s1_hsper_realtime_en:1;
        RBus_UInt32  s1_hsper_realtime_stbline:2;
        RBus_UInt32  s1_cap_win_range_lsb:2;
        RBus_UInt32  res2:10;
    };
}sync_processor_sp1_stbctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  sync_wd_to_sub:1;
        RBus_UInt32  sync_wd_to_main:1;
        RBus_UInt32  s1_stb_pol_chg_wde:1;
        RBus_UInt32  s1_stb_per_chg_wde:1;
        RBus_UInt32  s1_giltch_in_win_int:1;
        RBus_UInt32  s1_giltch_in_win:1;
        RBus_UInt32  s1_cap_unlock_no_vs:1;
        RBus_UInt32  s1_stable_pol_out:1;
        RBus_UInt32  s1_mode_det_stable:1;
        RBus_UInt32  s1_cap_unlock:1;
        RBus_UInt32  s1_hs_pol_chg:1;
        RBus_UInt32  s1_eq_occur:1;
        RBus_UInt32  s1_cap_32unlock:1;
        RBus_UInt32  s1_vs_raw_vld:1;
        RBus_UInt32  s1_stb_pol_chg:1;
        RBus_UInt32  s1_stb_per_chg:1;
        RBus_UInt32  s1_mode_det_of:1;
    };
}sync_processor_sp1_stbrst0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_stable_plswid_out:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s1_stable_period_out:11;
        RBus_UInt32  res2:5;
    };
}sync_processor_sp1_stbrst1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dcnt_level:11;
        RBus_UInt32  s1_deb_num:5;
        RBus_UInt32  res1:16;
    };
}sync_processor_sp1_dcnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_l_cnt_lsb1:3;
        RBus_UInt32  s1_f_count_field_tgle:1;
        RBus_UInt32  s1_f_count_field:1;
        RBus_UInt32  s1_f_pos_field_tgle:1;
        RBus_UInt32  s1_f_pos_field:1;
        RBus_UInt32  s1_field_det_mode:1;
        RBus_UInt32  s1_field_det_vs_sel:1;
        RBus_UInt32  res1:23;
    };
}sync_processor_sp1_field_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_adc_hs_syncedge:1;
        RBus_UInt32  s1_clamp_test_en:1;
        RBus_UInt32  s1_nyclamp_hs_inv:1;
        RBus_UInt32  s1_yclamp_hs_inv:1;
        RBus_UInt32  s1_clamp_en:1;
        RBus_UInt32  s1_clamp_clksrc:1;
        RBus_UInt32  s1_clamp_cnt_unit:1;
        RBus_UInt32  s1_clamp_dben:1;
        RBus_UInt32  dummy18021038_13:6;
        RBus_UInt32  res1:18;
    };
}sync_processor_sp1_clmpctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_nyclamp_end:8;
        RBus_UInt32  s1_nyclamp_sta:8;
        RBus_UInt32  s1_yclamp_end:8;
        RBus_UInt32  s1_yclamp_sta:8;
    };
}sync_processor_sp1_clmp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mask_back:6;
        RBus_UInt32  dummy18021040_7_6:2;
        RBus_UInt32  s1_mask_front:6;
        RBus_UInt32  dummy18021040_14_14:1;
        RBus_UInt32  s1_mask_clamp_en:1;
        RBus_UInt32  res1:16;
    };
}sync_processor_sp1_clmpmsk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_coast_back:4;
        RBus_UInt32  s1_coast_front:4;
        RBus_UInt32  dummy18021044_9_8:2;
        RBus_UInt32  res1:22;
    };
}sync_processor_sp1_coastftbk_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mv_enable:1;
        RBus_UInt32  s1_mv_occur:1;
        RBus_UInt32  dummy18021058_3:2;
        RBus_UInt32  s1_skip_line_len:4;
        RBus_UInt32  s1_deb_num_mvhs:5;
        RBus_UInt32  dummy18021058_15:3;
        RBus_UInt32  res1:16;
    };
}sync_processor_mv_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_e_mv_end:7;
        RBus_UInt32  s1_e_mv_rdy:1;
        RBus_UInt32  s1_e_mv_str:7;
        RBus_UInt32  dummy1802105c_15_15:1;
        RBus_UInt32  s1_o_mv_end:7;
        RBus_UInt32  s1_o_mv_rdy:1;
        RBus_UInt32  s1_o_mv_str:7;
        RBus_UInt32  dummy1802105c_31_31:1;
    };
}sync_processor_mv_fld_pos_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  adc_vin00_clamp_sel:2;
        RBus_UInt32  adc_vin01_clamp_sel:2;
        RBus_UInt32  adc_vin02_clamp_sel:2;
        RBus_UInt32  adc_vin10_clamp_sel:2;
        RBus_UInt32  adc_vin11_clamp_sel:2;
        RBus_UInt32  adc_vin12_clamp_sel:2;
        RBus_UInt32  adc_vin20_clamp_sel:2;
        RBus_UInt32  adc_vin21_clamp_sel:2;
        RBus_UInt32  adc_vin22_clamp_sel:2;
        RBus_UInt32  adc_vin30_clamp_sel:2;
        RBus_UInt32  adc_vin31_clamp_sel:2;
        RBus_UInt32  adc_vin32_clamp_sel:2;
        RBus_UInt32  res1:8;
    };
}sync_processor_sp_adcclampsel0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sync_test_sel:4;
        RBus_UInt32  dummy18021068_4_4:1;
        RBus_UInt32  res1:27;
    };
}sync_processor_sp_adcclampsel1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sync_out_source:2;
        RBus_UInt32  test_sel_vs:1;
        RBus_UInt32  test_sel_hs:1;
        RBus_UInt32  test_sel_rgb:2;
        RBus_UInt32  syncedge_vs:1;
        RBus_UInt32  syncedge_hs:1;
        RBus_UInt32  syncedge_rgb:1;
        RBus_UInt32  force_rgb_from_adc:1;
        RBus_UInt32  res1:22;
    };
}sync_processor_sp_adc_out_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tog_pad_ahs1:1;
        RBus_UInt32  tog_pad_avs1:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tog_soy_vd:1;
        RBus_UInt32  tog_adc_sog1:1;
        RBus_UInt32  tog_adc_sog0:1;
        RBus_UInt32  dummy18021070_7:2;
        RBus_UInt32  res2:24;
    };
}sync_processor_sp_pad_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hs_deglitch_num:8;
        RBus_UInt32  hs_deglitch_en:1;
        RBus_UInt32  pe_delay_auto:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  pe_delay_no:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  glitch_det:1;
        RBus_UInt32  glitch_det_rst:1;
        RBus_UInt32  res3:6;
    };
}sync_processor_deglitch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  en_ctsfifo_bypass:1;
        RBus_UInt32  en_ctsfifo_vsrst:1;
        RBus_UInt32  force_ctsfifo_rstn:1;
        RBus_UInt32  res1:29;
    };
}sync_processor_cts_ctrl_RBUS;




#endif 


#endif 
