/**
* @file Merlin3-DesignSpec-D_Domain_SFG
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SFG_REG_H_
#define _RBUS_SFG_REG_H_

#include "rbusTypes.h"



//  SFG Register Address



#define  SFG_SFG_ZZ_SHIFT_DBG_CTRL_VADDR                    	(0xb802d900)
#define  SFG_SFG_SWAP_CTRL0_VADDR                           	(0xb802d904)
#define  SFG_SFG_CRC_CTRL_VADDR                             	(0xb802d910)
#define  SFG_SFG_CRC_RESULT_VADDR                           	(0xb802d914)
#define  SFG_SFG_CRC_R_RESULT_VADDR                         	(0xb802d918)
#define  SFG_SFG_L_DES_CRC_VADDR                            	(0xb802d91c)
#define  SFG_SFG_R_DES_CRC_VADDR                            	(0xb802d920)
#define  SFG_SFG_CRC_ERR_CNT_VADDR                          	(0xb802d924)
#define  SFG_SFG_FORCE_BG_AT_DIF_VADDR                      	(0xb802d928)
#define  SFG_ZZ_CTRL_VADDR                                  	(0xb802d92c)
#define  SFG_SFG_DUMMY_CTRL_0A_VADDR                        	(0xb802d930)
#define  SFG_SFG_DUMMY_CTRL_0B_VADDR                        	(0xb802d934)
#define  SFG_SFG_DUMMY_CTRL_1A_VADDR                        	(0xb802d938)
#define  SFG_SFG_DUMMY_CTRL_1B_VADDR                        	(0xb802d940)
#define  SFG_SFG_DUMMY_CTRL_8_VADDR                         	(0xb802d944)
#define  SFG_SFG_DUMMY_CTRL_10_VADDR                        	(0xb802d948)
#define  SFG_SFG_CTRL_0_VADDR                               	(0xb802d964)
#define  SFG_SFG_CTRL_1_VADDR                               	(0xb802d968)
#define  SFG_SFG_CTRL_2_VADDR                               	(0xb802d96c)
#define  SFG_SFG_CTRL_3_VADDR                               	(0xb802d970)
#define  SFG_SFG_CTRL_4_VADDR                               	(0xb802d974)
#define  SFG_SFG_START_CTRL_8_VADDR                         	(0xb802d978)
#define  SFG_SFG_START_CTRL_10_VADDR                        	(0xb802d97c)
#define  SFG_SFG_CTRL_6_VADDR                               	(0xb802d988)
#define  SFG_SFG_CTRL_7_VADDR                               	(0xb802d98c)
#define  SFG_SFG_CTRL_8_VADDR                               	(0xb802d990)
#define  SFG_SFG_CTRL_9_VADDR                               	(0xb802d994)
#define  SFG_SFG_CTRL_5_VADDR                               	(0xb802d998)
#define  SFG_SFG_CTRL_A_VADDR                               	(0xb802d99c)
#define  SFG_SFG_CTRL_B_VADDR                               	(0xb802d9a0)
#define  SFG_SFG_CTRL_C_VADDR                               	(0xb802d9a4)
#define  SFG_SFG_TG_AUTO_1_VADDR                            	(0xb802d9a8)
#define  SFG_SFG_TG_AUTO_2_VADDR                            	(0xb802d9ac)
#define  SFG_SFG_TG_AUTO_3_VADDR                            	(0xb802d9b0)
#define  SFG_SFG_TG_AUTO_4_VADDR                            	(0xb802d9b4)
#define  SFG_SFG_DUMMY_VADDR                                	(0xb802d9b8)
#define  SFG_SFG_BISR_SECOND_RUN_VADDR                      	(0xb802d9bc)
#define  SFG_SFG_BISR_DONE_VADDR                            	(0xb802d9c0)
#define  SFG_SFG_BISR_FAIL_GROUP_VADDR                      	(0xb802d9c4)
#define  SFG_SFG_BISR_FAIL_VADDR                            	(0xb802d9c8)
#define  SFG_SFG_DRF_MODE_VADDR                             	(0xb802d9cc)
#define  SFG_SFG_DRF_RESUME_VADDR                           	(0xb802d9d0)
#define  SFG_SFG_DRF_DONE_VADDR                             	(0xb802d9d4)
#define  SFG_SFG_DRF_PAUSE_VADDR                            	(0xb802d9d8)
#define  SFG_SFG_DRF_FAIL_GROUP_VADDR                       	(0xb802d9dc)
#define  SFG_SFG_DRF_FAI_VADDR                              	(0xb802d9e0)
#define  SFG_SFG_BIST_OTHER_VADDR                           	(0xb802d9e4)
#define  SFG_SFG_MID_DUMMY_0_VADDR                          	(0xb802d9e8)
#define  SFG_SFG_MID_DUMMY_1_VADDR                          	(0xb802d9ec)
#define  SFG_SFG_MID_DUMMY_2_VADDR                          	(0xb802d9f0)
#define  SFG_SFG_MID_DUMMY_3_VADDR                          	(0xb802d9f4)
#define  SFG_SFG_MID_DUMMY_8_VADDR                          	(0xb802d9f8)
#define  SFG_SFG_MID_DUMMY_10_VADDR                         	(0xb802d9fc)
#define  SFG_SFG_DATA_AFTER_DEN_VADDR                       	(0xb802da08)
#define  SFG_SFG_INSERT_SUBPIXEL_0_VADDR                    	(0xb802da0c)
#define  SFG_SFG_INSERT_SUBPIXEL_1_VADDR                    	(0xb802da10)
#define  SFG_SFG_INSERT_SUBPIXEL_2_VADDR                    	(0xb802da14)
#define  SFG_SFG_INSERT_SUBPIXEL_3_VADDR                    	(0xb802da18)
#define  SFG_SFG_CTRL_10_VADDR                              	(0xb802da1c)
#define  SFG_SFG_LAST_EXT_PIXEL_LAST_FLIP_VADDR             	(0xb802da20)
#define  SFG_SFG_DEBUG_VADDR                                	(0xb802da84)
#define  SFG_SFG_DATA_CAPTURE_VH_VADDR                      	(0xb802da88)
#define  SFG_SFG_DATA_CAPTURE_SRC_VADDR                     	(0xb802da8c)
#define  SFG_SFG_DATA_CAPTURE_READ_DATA_VADDR               	(0xb802da90)
#define  SFG_SFG_LAST_SEG_0_VADDR                           	(0xb802da94)
#define  SFG_SFG_LAST_SEG_1_VADDR                           	(0xb802da98)
#define  SFG_SFG_DRD_CTRL_0_VADDR                           	(0xb802daa0)
#define  SFG_SFG_DRD_CTRL_1_VADDR                           	(0xb802daa4)
#define  SFG_SFG_DRD_CTRL_2_VADDR                           	(0xb802daa8)
#define  SFG_SFG_DRD_CTRL_6_VADDR                           	(0xb802daac)
#define  SFG_SFG_DRD_CTRL_7_VADDR                           	(0xb802dab0)
#define  SFG_SFG_DRD_CTRL_8_VADDR                           	(0xb802dab4)
#define  SFG_SFG_DRD_CTRL_12_VADDR                          	(0xb802dab8)
#define  SFG_SFG_DRD_CTRL_13_VADDR                          	(0xb802dabc)
#define  SFG_SFG_DRD_CTRL_14_VADDR                          	(0xb802dac0)
#define  SFG_SFG_DRD_CTRL_18_VADDR                          	(0xb802dac4)
#define  SFG_SFG_DRD_CTRL_19_VADDR                          	(0xb802dac8)
#define  SFG_SFG_DRD_CTRL_20_VADDR                          	(0xb802dacc)
#define  SFG_SFG_DRD_CTRL_3_VADDR                           	(0xb802dad0)
#define  SFG_SFG_DRD_CTRL_4_VADDR                           	(0xb802dad4)
#define  SFG_SFG_DRD_CTRL_5_VADDR                           	(0xb802dad8)
#define  SFG_SFG_DRD_CTRL_9_VADDR                           	(0xb802dadc)
#define  SFG_SFG_DRD_CTRL_10_VADDR                          	(0xb802dae0)
#define  SFG_SFG_DRD_CTRL_11_VADDR                          	(0xb802dae4)
#define  SFG_SFG_DRD_CTRL_15_VADDR                          	(0xb802dae8)
#define  SFG_SFG_DRD_CTRL_16_VADDR                          	(0xb802daec)
#define  SFG_SFG_DRD_CTRL_17_VADDR                          	(0xb802daf0)
#define  SFG_SFG_DRD_CTRL_21_VADDR                          	(0xb802daf4)
#define  SFG_SFG_DRD_CTRL_22_VADDR                          	(0xb802daf8)
#define  SFG_SFG_DRD_CTRL_23_VADDR                          	(0xb802dafc)
#define  SFG_SFG1_FW_EXT_SUBPIXEL_VADDR                     	(0xb802db68)
#define  SFG_SFG1_DUM_DATA_LINE_0_VADDR                     	(0xb802db78)
#define  SFG_SFG1_DUM_DATA_LINE_1_VADDR                     	(0xb802db7c)
#define  SFG_SFG1_DUM_DATA_LINE_2_VADDR                     	(0xb802db80)
#define  SFG_SFG1_DUM_DATA_LINE_3_VADDR                     	(0xb802db84)
#define  SFG_SFG1_DUM_DATA_LINE_4_VADDR                     	(0xb802db88)
#define  SFG_SFG1_DUM_DATA_LINE_5_VADDR                     	(0xb802db8c)
#define  SFG_SFG1_DUM_DATA_LINE_6_VADDR                     	(0xb802db90)
#define  SFG_SFG1_DUM_DATA_LINE_7_VADDR                     	(0xb802db94)
#define  SFG_ZZ_CTRL_2_VADDR                                	(0xb802dba8)
#define  SFG_SFG_INSERT_SUBPIXEL_4_VADDR                    	(0xb802dbac)
#define  SFG_SFG_INSERT_SUBPIXEL_5_VADDR                    	(0xb802dbb0)
#define  SFG_SFG_INSERT_SUBPIXEL_6_VADDR                    	(0xb802dbb4)
#define  SFG_SFG_INSERT_SUBPIXEL_7_VADDR                    	(0xb802dbb8)
#define  SFG_SFG_LAST_EXT_PIXEL_LAST_FLIP_2_VADDR           	(0xb802dbbc)
#define  SFG_SFG_LAST_SEG_2_VADDR                           	(0xb802dbe0)
#define  SFG_SFG_LAST_SEG_3_VADDR                           	(0xb802dbe4)
#define  SFG_SFG_PATGEN_CTRL_VADDR                          	(0xb802dbf0)
#define  SFG_SFG_PATGEN_0_VADDR                             	(0xb802dbf4)
#define  SFG_SFG_PATGEN_1_VADDR                             	(0xb802dbf8)
#define  SFG_SFG_PATGEN_2_VADDR                             	(0xb802dbfc)
#define  SFG_SFG_PATGEN_3_VADDR                             	(0xb802dc00)
#define  SFG_SFG_PATGEN_4_VADDR                             	(0xb802dc04)
#define  SFG_SFG_PATGEN_5_VADDR                             	(0xb802dc08)
#define  SFG_SFG_PATGEN_6_VADDR                             	(0xb802dc0c)
#define  SFG_SFG_PATGEN_7_VADDR                             	(0xb802dc10)
#define  SFG_PAT_DET_WINDOW_H_INI_STA_WIDTH_VADDR           	(0xb802dc14)
#define  SFG_PAT_DET_WINDOW_V_INI_STA_HEIGHT_VADDR          	(0xb802dc18)
#define  SFG_PATTERN_DETECT_CTRL_VADDR                      	(0xb802dc1c)
#define  SFG_PAT_DET_SUM1_VADDR                             	(0xb802dc20)
#define  SFG_PAT_DET_SUM2_VADDR                             	(0xb802dc24)
#define  SFG_PAT_DET_SUM3_VADDR                             	(0xb802dc28)
#define  SFG_PAT_DET_SUM4_VADDR                             	(0xb802dc2c)
#define  SFG_PAT_DET_SUM5_VADDR                             	(0xb802dc30)
#define  SFG_PAT_DET_SUM6_VADDR                             	(0xb802dc34)
#define  SFG_PAT_DET_SUM7_VADDR                             	(0xb802dc38)
#define  SFG_PAT_DET_SUM8_VADDR                             	(0xb802dc3c)
#define  SFG_PAT_DET_SUM9_VADDR                             	(0xb802dc40)
#define  SFG_PAT_DET_SUM10_VADDR                            	(0xb802dc44)
#define  SFG_PAT_DET_SUM11_VADDR                            	(0xb802dc48)
#define  SFG_PAT_DET_SUM12_VADDR                            	(0xb802dc4c)
#define  SFG_PAT_DET_SUM13_VADDR                            	(0xb802dc50)
#define  SFG_PAT_DET_SUM14_VADDR                            	(0xb802dc54)
#define  SFG_PAT_DET_SUM15_VADDR                            	(0xb802dc58)
#define  SFG_PAT_DET_SUM16_VADDR                            	(0xb802dc5c)
#define  SFG_PAT_DET_TH1_VADDR                              	(0xb802dc60)
#define  SFG_PAT_DET_TH2_VADDR                              	(0xb802dc64)
#define  SFG_PAT_DET_TH3_VADDR                              	(0xb802dc68)
#define  SFG_PAT_DET_TH4_VADDR                              	(0xb802dc6c)
#define  SFG_PAT_DET_TH5_VADDR                              	(0xb802dc70)
#define  SFG_PAT_DET_TH6_VADDR                              	(0xb802dc74)
#define  SFG_PAT_DET_TH7_VADDR                              	(0xb802dc78)
#define  SFG_PAT_DET_TH8_VADDR                              	(0xb802dc7c)
#define  SFG_PAT_DET_TH9_VADDR                              	(0xb802dc80)
#define  SFG_PAT_DET_TH10_VADDR                             	(0xb802dc84)
#define  SFG_PAT_DET_TH11_VADDR                             	(0xb802dc88)
#define  SFG_PAT_DET_TH12_VADDR                             	(0xb802dc8c)
#define  SFG_PAT_DET_TH13_VADDR                             	(0xb802dc90)
#define  SFG_PAT_DET_TH14_VADDR                             	(0xb802dc94)
#define  SFG_PAT_DET_TH15_VADDR                             	(0xb802dc98)
#define  SFG_PAT_DET_TH16_VADDR                             	(0xb802dc9c)
#define  SFG_DELAY_EN_VADDR                                 	(0xb802dca0)
#define  SFG_SFG2_BISR_SECOND_RUN_VADDR                     	(0xb802dca4)
#define  SFG_SFG2_BISR_DONE_VADDR                           	(0xb802dca8)
#define  SFG_SFG2_BISR_FAIL_GROUP_VADDR                     	(0xb802dcac)
#define  SFG_SFG2_BISR_FAIL_VADDR                           	(0xb802dcb0)
#define  SFG_SFG2_DRF_MODE_VADDR                            	(0xb802dcb4)
#define  SFG_SFG2_DRF_RESUME_VADDR                          	(0xb802dcb8)
#define  SFG_SFG2_DRF_DONE_VADDR                            	(0xb802dcbc)
#define  SFG_SFG2_DRF_PAUSE_VADDR                           	(0xb802dcc0)
#define  SFG_SFG2_DRF_FAIL_GROUP_VADDR                      	(0xb802dcc4)
#define  SFG_SFG2_DRF_FAIL_VADDR                            	(0xb802dcc8)
#define  SFG_SFG2_BIST_OTHER_VADDR                          	(0xb802dccc)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SFG register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  fix_hs_last_line:1;
        RBus_UInt32  subpixel_en:1;
        RBus_UInt32  lclk_inv_sel:1;
        RBus_UInt32  macclk_inv:1;
        RBus_UInt32  pif_clk_sel:1;
        RBus_UInt32  dout_pre_rb_swap:1;
        RBus_UInt32  dispd_debug_mode:3;
        RBus_UInt32  dout_mode:2;
        RBus_UInt32  sfg_dout_en:1;
        RBus_UInt32  dvs_inv:1;
        RBus_UInt32  dhs_inv:1;
        RBus_UInt32  dden_inv:1;
        RBus_UInt32  daclk_inv:1;
        RBus_UInt32  daclk_en:1;
        RBus_UInt32  dout_rb_swap:1;
        RBus_UInt32  dout_bit_swap:1;
        RBus_UInt32  dout_data_inv:1;
        RBus_UInt32  dclk_dly_sel:3;
    };
}sfg_sfg_zz_shift_dbg_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dclk_mode_switch:4;
        RBus_UInt32  force_bg_dif_aport:1;
        RBus_UInt32  force_bg_dif_bport:1;
        RBus_UInt32  force_bg_dif_cport:1;
        RBus_UInt32  force_bg_dif_dport:1;
        RBus_UInt32  force_bg_dif_eport:1;
        RBus_UInt32  force_bg_dif_fport:1;
        RBus_UInt32  force_bg_dif_gport:1;
        RBus_UInt32  force_bg_dif_hport:1;
        RBus_UInt32  force_bg_dif_iport:1;
        RBus_UInt32  force_bg_dif_jport:1;
        RBus_UInt32  force_bg_dif_kport:1;
        RBus_UInt32  force_bg_dif_lport:1;
        RBus_UInt32  res2:12;
    };
}sfg_sfg_swap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  sfg_crc_mode:1;
        RBus_UInt32  sfg_crc_l_auto_cmp_en:1;
        RBus_UInt32  sfg_crc_r_auto_cmp_en:1;
        RBus_UInt32  sfg_crc_conti:1;
        RBus_UInt32  sfg_crc_start:1;
    };
}sfg_sfg_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_crc_result_0:32;
    };
}sfg_sfg_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_crc_result_1:32;
    };
}sfg_sfg_crc_r_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_l_des_crc:32;
    };
}sfg_sfg_l_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_r_des_crc:32;
    };
}sfg_sfg_r_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_l_crc_err_cnt:16;
        RBus_UInt32  sfg_r_crc_err_cnt:16;
    };
}sfg_sfg_crc_err_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  en_force_bg_dif:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  bg_dif_red:10;
        RBus_UInt32  bg_dif_grn:10;
        RBus_UInt32  bg_dif_blu:10;
    };
}sfg_sfg_force_bg_at_dif_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_0:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  zz_shift_sp_0:2;
        RBus_UInt32  zz_shift_sp_1:2;
        RBus_UInt32  zz_shift_sp_2:2;
        RBus_UInt32  zz_shift_sp_3:2;
        RBus_UInt32  zz_shift_mode_0:1;
        RBus_UInt32  zz_shift_mode_1:1;
        RBus_UInt32  zz_shift_mode_2:1;
        RBus_UInt32  zz_shift_mode_3:1;
        RBus_UInt32  res2:4;
    };
}sfg_zz_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_0_front_dummy_num_0:2;
        RBus_UInt32  seg_0_back_dummy_num_0:2;
        RBus_UInt32  seg_0_front_dummy_num_1:2;
        RBus_UInt32  seg_0_back_dummy_num_1:2;
        RBus_UInt32  seg_0_front_dummy_num_2:2;
        RBus_UInt32  seg_0_back_dummy_num_2:2;
        RBus_UInt32  seg_0_front_dummy_num_3:2;
        RBus_UInt32  seg_0_back_dummy_num_3:2;
        RBus_UInt32  seg_1_front_dummy_num_0:2;
        RBus_UInt32  seg_1_back_dummy_num_0:2;
        RBus_UInt32  seg_1_front_dummy_num_1:2;
        RBus_UInt32  seg_1_back_dummy_num_1:2;
        RBus_UInt32  seg_1_front_dummy_num_2:2;
        RBus_UInt32  seg_1_back_dummy_num_2:2;
        RBus_UInt32  seg_1_front_dummy_num_3:2;
        RBus_UInt32  seg_1_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_0a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_2_front_dummy_num_0:2;
        RBus_UInt32  seg_2_back_dummy_num_0:2;
        RBus_UInt32  seg_2_front_dummy_num_1:2;
        RBus_UInt32  seg_2_back_dummy_num_1:2;
        RBus_UInt32  seg_2_front_dummy_num_2:2;
        RBus_UInt32  seg_2_back_dummy_num_2:2;
        RBus_UInt32  seg_2_front_dummy_num_3:2;
        RBus_UInt32  seg_2_back_dummy_num_3:2;
        RBus_UInt32  seg_3_front_dummy_num_0:2;
        RBus_UInt32  seg_3_back_dummy_num_0:2;
        RBus_UInt32  seg_3_front_dummy_num_1:2;
        RBus_UInt32  seg_3_back_dummy_num_1:2;
        RBus_UInt32  seg_3_front_dummy_num_2:2;
        RBus_UInt32  seg_3_back_dummy_num_2:2;
        RBus_UInt32  seg_3_front_dummy_num_3:2;
        RBus_UInt32  seg_3_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_0b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_4_front_dummy_num_0:2;
        RBus_UInt32  seg_4_back_dummy_num_0:2;
        RBus_UInt32  seg_4_front_dummy_num_1:2;
        RBus_UInt32  seg_4_back_dummy_num_1:2;
        RBus_UInt32  seg_4_front_dummy_num_2:2;
        RBus_UInt32  seg_4_back_dummy_num_2:2;
        RBus_UInt32  seg_4_front_dummy_num_3:2;
        RBus_UInt32  seg_4_back_dummy_num_3:2;
        RBus_UInt32  seg_5_front_dummy_num_0:2;
        RBus_UInt32  seg_5_back_dummy_num_0:2;
        RBus_UInt32  seg_5_front_dummy_num_1:2;
        RBus_UInt32  seg_5_back_dummy_num_1:2;
        RBus_UInt32  seg_5_front_dummy_num_2:2;
        RBus_UInt32  seg_5_back_dummy_num_2:2;
        RBus_UInt32  seg_5_front_dummy_num_3:2;
        RBus_UInt32  seg_5_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_1a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_6_front_dummy_num_0:2;
        RBus_UInt32  seg_6_back_dummy_num_0:2;
        RBus_UInt32  seg_6_front_dummy_num_1:2;
        RBus_UInt32  seg_6_back_dummy_num_1:2;
        RBus_UInt32  seg_6_front_dummy_num_2:2;
        RBus_UInt32  seg_6_back_dummy_num_2:2;
        RBus_UInt32  seg_6_front_dummy_num_3:2;
        RBus_UInt32  seg_6_back_dummy_num_3:2;
        RBus_UInt32  seg_7_front_dummy_num_0:2;
        RBus_UInt32  seg_7_back_dummy_num_0:2;
        RBus_UInt32  seg_7_front_dummy_num_1:2;
        RBus_UInt32  seg_7_back_dummy_num_1:2;
        RBus_UInt32  seg_7_front_dummy_num_2:2;
        RBus_UInt32  seg_7_back_dummy_num_2:2;
        RBus_UInt32  seg_7_front_dummy_num_3:2;
        RBus_UInt32  seg_7_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_1b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_8_front_dummy_num_0:2;
        RBus_UInt32  seg_8_back_dummy_num_0:2;
        RBus_UInt32  seg_8_front_dummy_num_1:2;
        RBus_UInt32  seg_8_back_dummy_num_1:2;
        RBus_UInt32  seg_8_front_dummy_num_2:2;
        RBus_UInt32  seg_8_back_dummy_num_2:2;
        RBus_UInt32  seg_8_front_dummy_num_3:2;
        RBus_UInt32  seg_8_back_dummy_num_3:2;
        RBus_UInt32  seg_9_front_dummy_num_0:2;
        RBus_UInt32  seg_9_back_dummy_num_0:2;
        RBus_UInt32  seg_9_front_dummy_num_1:2;
        RBus_UInt32  seg_9_back_dummy_num_1:2;
        RBus_UInt32  seg_9_front_dummy_num_2:2;
        RBus_UInt32  seg_9_back_dummy_num_2:2;
        RBus_UInt32  seg_9_front_dummy_num_3:2;
        RBus_UInt32  seg_9_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_10_front_dummy_num_0:2;
        RBus_UInt32  seg_10_back_dummy_num_0:2;
        RBus_UInt32  seg_10_front_dummy_num_1:2;
        RBus_UInt32  seg_10_back_dummy_num_1:2;
        RBus_UInt32  seg_10_front_dummy_num_2:2;
        RBus_UInt32  seg_10_back_dummy_num_2:2;
        RBus_UInt32  seg_10_front_dummy_num_3:2;
        RBus_UInt32  seg_10_back_dummy_num_3:2;
        RBus_UInt32  seg_11_front_dummy_num_0:2;
        RBus_UInt32  seg_11_back_dummy_num_0:2;
        RBus_UInt32  seg_11_front_dummy_num_1:2;
        RBus_UInt32  seg_11_back_dummy_num_1:2;
        RBus_UInt32  seg_11_front_dummy_num_2:2;
        RBus_UInt32  seg_11_back_dummy_num_2:2;
        RBus_UInt32  seg_11_front_dummy_num_3:2;
        RBus_UInt32  seg_11_back_dummy_num_3:2;
    };
}sfg_sfg_dummy_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_map_sel:2;
        RBus_UInt32  data_mode:2;
        RBus_UInt32  dummy_1:2;
        RBus_UInt32  mask_one_eye_black_en:1;
        RBus_UInt32  mask_one_eye_black_left:1;
        RBus_UInt32  dummy_pixel_shift_en:1;
        RBus_UInt32  dummy_line_sel:2;
        RBus_UInt32  last_act_line_en:1;
        RBus_UInt32  last_act_line_num:4;
        RBus_UInt32  pif_2pair_en:1;
        RBus_UInt32  data_shift_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  seg_num:5;
        RBus_UInt32  h_flip_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  port_num:5;
    };
}sfg_sfg_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg0_start_res:3;
        RBus_UInt32  seg0_start:13;
        RBus_UInt32  seg1_start_res:3;
        RBus_UInt32  seg1_start:13;
    };
}sfg_sfg_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg2_start_res:3;
        RBus_UInt32  seg2_start:13;
        RBus_UInt32  seg3_start_res:3;
        RBus_UInt32  seg3_start:13;
    };
}sfg_sfg_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg4_start_res:3;
        RBus_UInt32  seg4_start:13;
        RBus_UInt32  seg5_start_res:3;
        RBus_UInt32  seg5_start:13;
    };
}sfg_sfg_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg6_start_res:3;
        RBus_UInt32  seg6_start:13;
        RBus_UInt32  seg7_start_res:3;
        RBus_UInt32  seg7_start:13;
    };
}sfg_sfg_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg8_start_res:3;
        RBus_UInt32  seg8_start:13;
        RBus_UInt32  seg9_start_res:3;
        RBus_UInt32  seg9_start:13;
    };
}sfg_sfg_start_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg10_start_res:3;
        RBus_UInt32  seg10_start:13;
        RBus_UInt32  seg11_start_res:3;
        RBus_UInt32  seg11_start:13;
    };
}sfg_sfg_start_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bypass_mode:1;
        RBus_UInt32  tg_auto_cfg:1;
        RBus_UInt32  res1:29;
        RBus_UInt32  downsample_v:1;
    };
}sfg_sfg_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  hsync_width:8;
        RBus_UInt32  hsync_delay:16;
    };
}sfg_sfg_ctrl_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  hs_distance:14;
        RBus_UInt32  vsync_end:8;
        RBus_UInt32  vsync_start:8;
    };
}sfg_sfg_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_dh_den_sta:16;
        RBus_UInt32  req_start:16;
    };
}sfg_sfg_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  seg11_flip:1;
        RBus_UInt32  seg10_flip:1;
        RBus_UInt32  seg9_flip:1;
        RBus_UInt32  seg8_flip:1;
        RBus_UInt32  seg7_flip:1;
        RBus_UInt32  seg6_flip:1;
        RBus_UInt32  seg5_flip:1;
        RBus_UInt32  seg4_flip:1;
        RBus_UInt32  seg3_flip:1;
        RBus_UInt32  seg2_flip:1;
        RBus_UInt32  seg1_flip:1;
        RBus_UInt32  seg0_flip:1;
    };
}sfg_sfg_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  final_line_length:13;
        RBus_UInt32  res2:16;
    };
}sfg_sfg_ctrl_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  residue_pix_split_mode:3;
        RBus_UInt32  res2:3;
        RBus_UInt32  final_addr_split_mode:13;
    };
}sfg_sfg_ctrl_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hs_den_io_dist:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hs_io_dist:13;
    };
}sfg_sfg_ctrl_c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_dh_den_sta_auto:16;
        RBus_UInt32  req_start_auto:16;
    };
}sfg_sfg_tg_auto_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_read:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  hsync_width_auto:8;
        RBus_UInt32  hsync_delay_auto:16;
    };
}sfg_sfg_tg_auto_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  hs_distance_auto:14;
        RBus_UInt32  vsync_end_auto:8;
        RBus_UInt32  vsync_start_auto:8;
    };
}sfg_sfg_tg_auto_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hs_den_io_dist_auto:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hs_io_dist_auto:13;
    };
}sfg_sfg_tg_auto_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  clken_lvds:1;
        RBus_UInt32  clken_epi:1;
        RBus_UInt32  clken_vby1:1;
        RBus_UInt32  clken_avcom:1;
        RBus_UInt32  dummy_2:11;
        RBus_UInt32  in_data_inv:1;
        RBus_UInt32  clken_p2p:1;
        RBus_UInt32  res1:15;
    };
}sfg_sfg_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_bisr_second_run_en:1;
    };
}sfg_sfg_bisr_second_run_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_bisr_done:1;
    };
}sfg_sfg_bisr_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_bisr_fail_group:1;
    };
}sfg_sfg_bisr_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_bisr_repaired:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:26;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  sfg_bisr_fail_1:1;
        RBus_UInt32  sfg_bisr_fail_0:1;
    };
}sfg_sfg_bisr_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_drf_mode:1;
    };
}sfg_sfg_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_drf_resume:1;
    };
}sfg_sfg_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_drf_done:1;
    };
}sfg_sfg_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_drf_pause:1;
    };
}sfg_sfg_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg_drf_fail_group:1;
    };
}sfg_sfg_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  sfg_drf_fail_1:1;
        RBus_UInt32  sfg_drf_fail_0:1;
    };
}sfg_sfg_drf_fai_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  sfg_bisr_ls:1;
        RBus_UInt32  sfg_bisr_rm:4;
        RBus_UInt32  sfg_bisr_rme:1;
        RBus_UInt32  res2:1;
    };
}sfg_sfg_bist_other_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg0_mid_dummy_place:12;
        RBus_UInt32  seg0_mid_dummy_num:4;
        RBus_UInt32  seg1_mid_dummy_place:12;
        RBus_UInt32  seg1_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg2_mid_dummy_place:12;
        RBus_UInt32  seg2_mid_dummy_num:4;
        RBus_UInt32  seg3_mid_dummy_place:12;
        RBus_UInt32  seg3_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg4_mid_dummy_place:12;
        RBus_UInt32  seg4_mid_dummy_num:4;
        RBus_UInt32  seg5_mid_dummy_place:12;
        RBus_UInt32  seg5_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg6_mid_dummy_place:12;
        RBus_UInt32  seg6_mid_dummy_num:4;
        RBus_UInt32  seg7_mid_dummy_place:12;
        RBus_UInt32  seg7_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg8_mid_dummy_place:12;
        RBus_UInt32  seg8_mid_dummy_num:4;
        RBus_UInt32  seg9_mid_dummy_place:12;
        RBus_UInt32  seg9_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg10_mid_dummy_place:12;
        RBus_UInt32  seg10_mid_dummy_num:4;
        RBus_UInt32  seg11_mid_dummy_place:12;
        RBus_UInt32  seg11_mid_dummy_num:4;
    };
}sfg_sfg_mid_dummy_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ext_num_fw_mode:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  ext_subpixel_mode:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  active_pixel_rgb:13;
        RBus_UInt32  res3:2;
        RBus_UInt32  dummy1802da08_5_0:6;
    };
}sfg_sfg_data_after_den_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line0_r_0:4;
        RBus_UInt32  insert_line0_g_0:4;
        RBus_UInt32  insert_line0_b_0:4;
        RBus_UInt32  insert_line0_r_last:4;
        RBus_UInt32  insert_line0_g_last:4;
        RBus_UInt32  insert_line0_b_last:4;
        RBus_UInt32  res1:7;
        RBus_UInt32  gdummy_sel:1;
    };
}sfg_sfg_insert_subpixel_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line1_r_0:4;
        RBus_UInt32  insert_line1_g_0:4;
        RBus_UInt32  insert_line1_b_0:4;
        RBus_UInt32  insert_line1_r_last:4;
        RBus_UInt32  insert_line1_g_last:4;
        RBus_UInt32  insert_line1_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line2_r_0:4;
        RBus_UInt32  insert_line2_g_0:4;
        RBus_UInt32  insert_line2_b_0:4;
        RBus_UInt32  insert_line2_r_last:4;
        RBus_UInt32  insert_line2_g_last:4;
        RBus_UInt32  insert_line2_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line3_r_0:4;
        RBus_UInt32  insert_line3_g_0:4;
        RBus_UInt32  insert_line3_b_0:4;
        RBus_UInt32  insert_line3_r_last:4;
        RBus_UInt32  insert_line3_g_last:4;
        RBus_UInt32  insert_line3_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dummy_pixel_data:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  db_sel:1;
        RBus_UInt32  res3:20;
    };
}sfg_sfg_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dummy1802da20_15_0:16;
    };
}sfg_sfg_last_ext_pixel_last_flip_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  sfg_debug_clk_div:2;
        RBus_UInt32  res2:2;
    };
}sfg_sfg_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  data_capture_v:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  data_capture_h:14;
    };
}sfg_sfg_data_capture_vh_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  data_capture_src:2;
        RBus_UInt32  res2:22;
        RBus_UInt32  data_capture_apply:1;
        RBus_UInt32  data_capture_en:1;
        RBus_UInt32  data_capture_port:4;
    };
}sfg_sfg_data_capture_src_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_capture_data:32;
    };
}sfg_sfg_data_capture_read_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_res_line0:3;
        RBus_UInt32  last_seg_start_line0:13;
        RBus_UInt32  last_seg_start_res_line1:3;
        RBus_UInt32  last_seg_start_line1:13;
    };
}sfg_sfg_last_seg_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_res_line2:3;
        RBus_UInt32  last_seg_start_line2:13;
        RBus_UInt32  last_seg_start_res_line3:3;
        RBus_UInt32  last_seg_start_line3:13;
    };
}sfg_sfg_last_seg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_0_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_0_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_0_line3:5;
    };
}sfg_sfg_drd_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_0_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_0_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_0_line3:5;
    };
}sfg_sfg_drd_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_0_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_0_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_0_line3:5;
    };
}sfg_sfg_drd_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_2_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_2_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_2_line3:5;
    };
}sfg_sfg_drd_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_2_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_2_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_2_line3:5;
    };
}sfg_sfg_drd_ctrl_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_2_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_2_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_2_line3:5;
    };
}sfg_sfg_drd_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_4_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_4_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_4_line3:5;
    };
}sfg_sfg_drd_ctrl_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_4_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_4_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_4_line3:5;
    };
}sfg_sfg_drd_ctrl_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_4_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_4_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_4_line3:5;
    };
}sfg_sfg_drd_ctrl_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_6_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_6_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_6_line3:5;
    };
}sfg_sfg_drd_ctrl_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_6_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_6_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_6_line3:5;
    };
}sfg_sfg_drd_ctrl_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_6_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_6_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_6_line3:5;
    };
}sfg_sfg_drd_ctrl_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_1_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_1_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_1_line3:5;
    };
}sfg_sfg_drd_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_1_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_1_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_1_line3:5;
    };
}sfg_sfg_drd_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_1_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_1_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_1_line3:5;
    };
}sfg_sfg_drd_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_3_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_3_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_3_line3:5;
    };
}sfg_sfg_drd_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_3_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_3_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_3_line3:5;
    };
}sfg_sfg_drd_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_3_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_3_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_3_line3:5;
    };
}sfg_sfg_drd_ctrl_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_5_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_5_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_5_line3:5;
    };
}sfg_sfg_drd_ctrl_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_5_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_5_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_5_line3:5;
    };
}sfg_sfg_drd_ctrl_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_5_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_5_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_5_line3:5;
    };
}sfg_sfg_drd_ctrl_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_7_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_7_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_r_7_line3:5;
    };
}sfg_sfg_drd_ctrl_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_7_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_7_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_g_7_line3:5;
    };
}sfg_sfg_drd_ctrl_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_7_line0:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_7_line2:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  drd_b_7_line3:5;
    };
}sfg_sfg_drd_ctrl_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_ext_subpix_a_line_7:2;
        RBus_UInt32  fw_ext_subpix_a_line_6:2;
        RBus_UInt32  fw_ext_subpix_a_line_5:2;
        RBus_UInt32  fw_ext_subpix_a_line_4:2;
        RBus_UInt32  fw_ext_subpix_a_line_3:2;
        RBus_UInt32  fw_ext_subpix_a_line_2:2;
        RBus_UInt32  fw_ext_subpix_a_line_1:2;
        RBus_UInt32  fw_ext_subpix_a_line_0:2;
        RBus_UInt32  fw_ext_subpix_b_line_7:2;
        RBus_UInt32  fw_ext_subpix_b_line_6:2;
        RBus_UInt32  fw_ext_subpix_b_line_5:2;
        RBus_UInt32  fw_ext_subpix_b_line_4:2;
        RBus_UInt32  fw_ext_subpix_b_line_3:2;
        RBus_UInt32  fw_ext_subpix_b_line_2:2;
        RBus_UInt32  fw_ext_subpix_b_line_1:2;
        RBus_UInt32  fw_ext_subpix_b_line_0:2;
    };
}sfg_sfg1_fw_ext_subpixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_0:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_0:10;
    };
}sfg_sfg1_dum_data_line_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_1:10;
    };
}sfg_sfg1_dum_data_line_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_2:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_2:10;
    };
}sfg_sfg1_dum_data_line_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_3:10;
    };
}sfg_sfg1_dum_data_line_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_4:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_4:10;
    };
}sfg_sfg1_dum_data_line_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_5:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_5:10;
    };
}sfg_sfg1_dum_data_line_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_6:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_6:10;
    };
}sfg_sfg1_dum_data_line_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_7:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  dum_data0_line_7:10;
    };
}sfg_sfg1_dum_data_line_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  zz_shift_sp_4:2;
        RBus_UInt32  zz_shift_sp_5:2;
        RBus_UInt32  zz_shift_sp_6:2;
        RBus_UInt32  zz_shift_sp_7:2;
        RBus_UInt32  zz_shift_mode_4:1;
        RBus_UInt32  zz_shift_mode_5:1;
        RBus_UInt32  zz_shift_mode_6:1;
        RBus_UInt32  zz_shift_mode_7:1;
        RBus_UInt32  res2:4;
    };
}sfg_zz_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line4_r_0:4;
        RBus_UInt32  insert_line4_g_0:4;
        RBus_UInt32  insert_line4_b_0:4;
        RBus_UInt32  insert_line4_r_last:4;
        RBus_UInt32  insert_line4_g_last:4;
        RBus_UInt32  insert_line4_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line5_r_0:4;
        RBus_UInt32  insert_line5_g_0:4;
        RBus_UInt32  insert_line5_b_0:4;
        RBus_UInt32  insert_line5_r_last:4;
        RBus_UInt32  insert_line5_g_last:4;
        RBus_UInt32  insert_line5_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line6_r_0:4;
        RBus_UInt32  insert_line6_g_0:4;
        RBus_UInt32  insert_line6_b_0:4;
        RBus_UInt32  insert_line6_r_last:4;
        RBus_UInt32  insert_line6_g_last:4;
        RBus_UInt32  insert_line6_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  insert_line7_r_0:4;
        RBus_UInt32  insert_line7_g_0:4;
        RBus_UInt32  insert_line7_b_0:4;
        RBus_UInt32  insert_line7_r_last:4;
        RBus_UInt32  insert_line7_g_last:4;
        RBus_UInt32  insert_line7_b_last:4;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_insert_subpixel_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dummy1802dbbc_15_0:16;
    };
}sfg_sfg_last_ext_pixel_last_flip_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_res_line4:3;
        RBus_UInt32  last_seg_start_line4:13;
        RBus_UInt32  last_seg_start_res_line5:3;
        RBus_UInt32  last_seg_start_line5:13;
    };
}sfg_sfg_last_seg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_res_line6:3;
        RBus_UInt32  last_seg_start_line6:13;
        RBus_UInt32  last_seg_start_res_line7:3;
        RBus_UInt32  last_seg_start_line7:13;
    };
}sfg_sfg_last_seg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sfg_pat_line_width:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  sfg_pat_line_num:9;
        RBus_UInt32  res3:2;
        RBus_UInt32  sfg_pat_cnt_mode:1;
        RBus_UInt32  sfg_pat_even:1;
        RBus_UInt32  sfg_pat_rgb_sel:1;
        RBus_UInt32  sfg_pat_mode:2;
        RBus_UInt32  sfg_pat_en:1;
    };
}sfg_sfg_patgen_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w0:8;
        RBus_UInt32  sfg_pat_r0:8;
        RBus_UInt32  sfg_pat_g0:8;
        RBus_UInt32  sfg_pat_b0:8;
    };
}sfg_sfg_patgen_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w1:8;
        RBus_UInt32  sfg_pat_r1:8;
        RBus_UInt32  sfg_pat_g1:8;
        RBus_UInt32  sfg_pat_b1:8;
    };
}sfg_sfg_patgen_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w2:8;
        RBus_UInt32  sfg_pat_r2:8;
        RBus_UInt32  sfg_pat_g2:8;
        RBus_UInt32  sfg_pat_b2:8;
    };
}sfg_sfg_patgen_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w3:8;
        RBus_UInt32  sfg_pat_r3:8;
        RBus_UInt32  sfg_pat_g3:8;
        RBus_UInt32  sfg_pat_b3:8;
    };
}sfg_sfg_patgen_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w4:8;
        RBus_UInt32  sfg_pat_r4:8;
        RBus_UInt32  sfg_pat_g4:8;
        RBus_UInt32  sfg_pat_b4:8;
    };
}sfg_sfg_patgen_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w5:8;
        RBus_UInt32  sfg_pat_r5:8;
        RBus_UInt32  sfg_pat_g5:8;
        RBus_UInt32  sfg_pat_b5:8;
    };
}sfg_sfg_patgen_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w6:8;
        RBus_UInt32  sfg_pat_r6:8;
        RBus_UInt32  sfg_pat_g6:8;
        RBus_UInt32  sfg_pat_b6:8;
    };
}sfg_sfg_patgen_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_w7:8;
        RBus_UInt32  sfg_pat_r7:8;
        RBus_UInt32  sfg_pat_g7:8;
        RBus_UInt32  sfg_pat_b7:8;
    };
}sfg_sfg_patgen_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  pat_det_h_ini_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  pat_det_width:13;
    };
}sfg_pat_det_window_h_ini_sta_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  pat_det_v_ini_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  pat_det_height:12;
    };
}sfg_pat_det_window_v_ini_sta_height_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  spc_pt_1:1;
        RBus_UInt32  spc_pt_2:1;
        RBus_UInt32  spc_pt_3:1;
        RBus_UInt32  spc_pt_4:1;
        RBus_UInt32  spc_pt_5:1;
        RBus_UInt32  spc_pt_6:1;
        RBus_UInt32  spc_pt_7:1;
        RBus_UInt32  spc_pt_8:1;
        RBus_UInt32  spc_pt_9:1;
        RBus_UInt32  spc_pt_10:1;
        RBus_UInt32  spc_pt_11:1;
        RBus_UInt32  spc_pt_12:1;
        RBus_UInt32  spc_pt_13:1;
        RBus_UInt32  spc_pt_14:1;
        RBus_UInt32  spc_pt_15:1;
        RBus_UInt32  spc_pt_16:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pat_det_en:1;
        RBus_UInt32  pat_det_auto:1;
    };
}sfg_pattern_detect_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_1:32;
    };
}sfg_pat_det_sum1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_2:32;
    };
}sfg_pat_det_sum2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_3:32;
    };
}sfg_pat_det_sum3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_4:32;
    };
}sfg_pat_det_sum4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_5:32;
    };
}sfg_pat_det_sum5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_6:32;
    };
}sfg_pat_det_sum6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_7:32;
    };
}sfg_pat_det_sum7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_8:32;
    };
}sfg_pat_det_sum8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_9:32;
    };
}sfg_pat_det_sum9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_10:32;
    };
}sfg_pat_det_sum10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_11:32;
    };
}sfg_pat_det_sum11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_12:32;
    };
}sfg_pat_det_sum12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_13:32;
    };
}sfg_pat_det_sum13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_14:32;
    };
}sfg_pat_det_sum14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_15:32;
    };
}sfg_pat_det_sum15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_16:32;
    };
}sfg_pat_det_sum16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th1:32;
    };
}sfg_pat_det_th1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th2:32;
    };
}sfg_pat_det_th2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th3:32;
    };
}sfg_pat_det_th3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th4:32;
    };
}sfg_pat_det_th4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th5:32;
    };
}sfg_pat_det_th5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th6:32;
    };
}sfg_pat_det_th6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th7:32;
    };
}sfg_pat_det_th7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th8:32;
    };
}sfg_pat_det_th8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th9:32;
    };
}sfg_pat_det_th9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th10:32;
    };
}sfg_pat_det_th10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th11:32;
    };
}sfg_pat_det_th11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th12:32;
    };
}sfg_pat_det_th12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th13:32;
    };
}sfg_pat_det_th13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th14:32;
    };
}sfg_pat_det_th14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th15:32;
    };
}sfg_pat_det_th15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th16:32;
    };
}sfg_pat_det_th16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  avcom_data_mapping:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  delay_porch_bit:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  delay_en:1;
    };
}sfg_delay_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_bisr_second_run_en:1;
    };
}sfg_sfg2_bisr_second_run_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_bisr_done:1;
    };
}sfg_sfg2_bisr_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_bisr_fail_group:1;
    };
}sfg_sfg2_bisr_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_bisr_repaired:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:26;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  sfg2_bisr_fail_1:1;
        RBus_UInt32  sfg2_bisr_fail_0:1;
    };
}sfg_sfg2_bisr_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_drf_mode:1;
    };
}sfg_sfg2_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_drf_resume:1;
    };
}sfg_sfg2_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_drf_done:1;
    };
}sfg_sfg2_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_drf_pause:1;
    };
}sfg_sfg2_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  res2:1;
        RBus_UInt32  sfg2_drf_fail_group:1;
    };
}sfg_sfg2_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  sfg2_drf_fail_1:1;
        RBus_UInt32  sfg2_drf_fail_0:1;
    };
}sfg_sfg2_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  sfg2_bisr_rm:4;
        RBus_UInt32  sfg2_bisr_rme:1;
        RBus_UInt32  res2:1;
    };
}sfg_sfg2_bist_other_RBUS;

#else //apply LITTLE_ENDIAN

//======SFG register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dclk_dly_sel:3;
        RBus_UInt32  dout_data_inv:1;
        RBus_UInt32  dout_bit_swap:1;
        RBus_UInt32  dout_rb_swap:1;
        RBus_UInt32  daclk_en:1;
        RBus_UInt32  daclk_inv:1;
        RBus_UInt32  dden_inv:1;
        RBus_UInt32  dhs_inv:1;
        RBus_UInt32  dvs_inv:1;
        RBus_UInt32  sfg_dout_en:1;
        RBus_UInt32  dout_mode:2;
        RBus_UInt32  dispd_debug_mode:3;
        RBus_UInt32  dout_pre_rb_swap:1;
        RBus_UInt32  pif_clk_sel:1;
        RBus_UInt32  macclk_inv:1;
        RBus_UInt32  lclk_inv_sel:1;
        RBus_UInt32  subpixel_en:1;
        RBus_UInt32  fix_hs_last_line:1;
        RBus_UInt32  res1:9;
    };
}sfg_sfg_zz_shift_dbg_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  force_bg_dif_lport:1;
        RBus_UInt32  force_bg_dif_kport:1;
        RBus_UInt32  force_bg_dif_jport:1;
        RBus_UInt32  force_bg_dif_iport:1;
        RBus_UInt32  force_bg_dif_hport:1;
        RBus_UInt32  force_bg_dif_gport:1;
        RBus_UInt32  force_bg_dif_fport:1;
        RBus_UInt32  force_bg_dif_eport:1;
        RBus_UInt32  force_bg_dif_dport:1;
        RBus_UInt32  force_bg_dif_cport:1;
        RBus_UInt32  force_bg_dif_bport:1;
        RBus_UInt32  force_bg_dif_aport:1;
        RBus_UInt32  dclk_mode_switch:4;
        RBus_UInt32  res2:4;
    };
}sfg_sfg_swap_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_crc_start:1;
        RBus_UInt32  sfg_crc_conti:1;
        RBus_UInt32  sfg_crc_r_auto_cmp_en:1;
        RBus_UInt32  sfg_crc_l_auto_cmp_en:1;
        RBus_UInt32  sfg_crc_mode:1;
        RBus_UInt32  res1:27;
    };
}sfg_sfg_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_crc_result_0:32;
    };
}sfg_sfg_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_crc_result_1:32;
    };
}sfg_sfg_crc_r_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_l_des_crc:32;
    };
}sfg_sfg_l_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_r_des_crc:32;
    };
}sfg_sfg_r_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_r_crc_err_cnt:16;
        RBus_UInt32  sfg_l_crc_err_cnt:16;
    };
}sfg_sfg_crc_err_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bg_dif_blu:10;
        RBus_UInt32  bg_dif_grn:10;
        RBus_UInt32  bg_dif_red:10;
        RBus_UInt32  res1:1;
        RBus_UInt32  en_force_bg_dif:1;
    };
}sfg_sfg_force_bg_at_dif_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  zz_shift_mode_3:1;
        RBus_UInt32  zz_shift_mode_2:1;
        RBus_UInt32  zz_shift_mode_1:1;
        RBus_UInt32  zz_shift_mode_0:1;
        RBus_UInt32  zz_shift_sp_3:2;
        RBus_UInt32  zz_shift_sp_2:2;
        RBus_UInt32  zz_shift_sp_1:2;
        RBus_UInt32  zz_shift_sp_0:2;
        RBus_UInt32  res2:15;
        RBus_UInt32  dummy_0:1;
    };
}sfg_zz_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_1_back_dummy_num_3:2;
        RBus_UInt32  seg_1_front_dummy_num_3:2;
        RBus_UInt32  seg_1_back_dummy_num_2:2;
        RBus_UInt32  seg_1_front_dummy_num_2:2;
        RBus_UInt32  seg_1_back_dummy_num_1:2;
        RBus_UInt32  seg_1_front_dummy_num_1:2;
        RBus_UInt32  seg_1_back_dummy_num_0:2;
        RBus_UInt32  seg_1_front_dummy_num_0:2;
        RBus_UInt32  seg_0_back_dummy_num_3:2;
        RBus_UInt32  seg_0_front_dummy_num_3:2;
        RBus_UInt32  seg_0_back_dummy_num_2:2;
        RBus_UInt32  seg_0_front_dummy_num_2:2;
        RBus_UInt32  seg_0_back_dummy_num_1:2;
        RBus_UInt32  seg_0_front_dummy_num_1:2;
        RBus_UInt32  seg_0_back_dummy_num_0:2;
        RBus_UInt32  seg_0_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_0a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_3_back_dummy_num_3:2;
        RBus_UInt32  seg_3_front_dummy_num_3:2;
        RBus_UInt32  seg_3_back_dummy_num_2:2;
        RBus_UInt32  seg_3_front_dummy_num_2:2;
        RBus_UInt32  seg_3_back_dummy_num_1:2;
        RBus_UInt32  seg_3_front_dummy_num_1:2;
        RBus_UInt32  seg_3_back_dummy_num_0:2;
        RBus_UInt32  seg_3_front_dummy_num_0:2;
        RBus_UInt32  seg_2_back_dummy_num_3:2;
        RBus_UInt32  seg_2_front_dummy_num_3:2;
        RBus_UInt32  seg_2_back_dummy_num_2:2;
        RBus_UInt32  seg_2_front_dummy_num_2:2;
        RBus_UInt32  seg_2_back_dummy_num_1:2;
        RBus_UInt32  seg_2_front_dummy_num_1:2;
        RBus_UInt32  seg_2_back_dummy_num_0:2;
        RBus_UInt32  seg_2_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_0b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_5_back_dummy_num_3:2;
        RBus_UInt32  seg_5_front_dummy_num_3:2;
        RBus_UInt32  seg_5_back_dummy_num_2:2;
        RBus_UInt32  seg_5_front_dummy_num_2:2;
        RBus_UInt32  seg_5_back_dummy_num_1:2;
        RBus_UInt32  seg_5_front_dummy_num_1:2;
        RBus_UInt32  seg_5_back_dummy_num_0:2;
        RBus_UInt32  seg_5_front_dummy_num_0:2;
        RBus_UInt32  seg_4_back_dummy_num_3:2;
        RBus_UInt32  seg_4_front_dummy_num_3:2;
        RBus_UInt32  seg_4_back_dummy_num_2:2;
        RBus_UInt32  seg_4_front_dummy_num_2:2;
        RBus_UInt32  seg_4_back_dummy_num_1:2;
        RBus_UInt32  seg_4_front_dummy_num_1:2;
        RBus_UInt32  seg_4_back_dummy_num_0:2;
        RBus_UInt32  seg_4_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_1a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_7_back_dummy_num_3:2;
        RBus_UInt32  seg_7_front_dummy_num_3:2;
        RBus_UInt32  seg_7_back_dummy_num_2:2;
        RBus_UInt32  seg_7_front_dummy_num_2:2;
        RBus_UInt32  seg_7_back_dummy_num_1:2;
        RBus_UInt32  seg_7_front_dummy_num_1:2;
        RBus_UInt32  seg_7_back_dummy_num_0:2;
        RBus_UInt32  seg_7_front_dummy_num_0:2;
        RBus_UInt32  seg_6_back_dummy_num_3:2;
        RBus_UInt32  seg_6_front_dummy_num_3:2;
        RBus_UInt32  seg_6_back_dummy_num_2:2;
        RBus_UInt32  seg_6_front_dummy_num_2:2;
        RBus_UInt32  seg_6_back_dummy_num_1:2;
        RBus_UInt32  seg_6_front_dummy_num_1:2;
        RBus_UInt32  seg_6_back_dummy_num_0:2;
        RBus_UInt32  seg_6_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_1b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_9_back_dummy_num_3:2;
        RBus_UInt32  seg_9_front_dummy_num_3:2;
        RBus_UInt32  seg_9_back_dummy_num_2:2;
        RBus_UInt32  seg_9_front_dummy_num_2:2;
        RBus_UInt32  seg_9_back_dummy_num_1:2;
        RBus_UInt32  seg_9_front_dummy_num_1:2;
        RBus_UInt32  seg_9_back_dummy_num_0:2;
        RBus_UInt32  seg_9_front_dummy_num_0:2;
        RBus_UInt32  seg_8_back_dummy_num_3:2;
        RBus_UInt32  seg_8_front_dummy_num_3:2;
        RBus_UInt32  seg_8_back_dummy_num_2:2;
        RBus_UInt32  seg_8_front_dummy_num_2:2;
        RBus_UInt32  seg_8_back_dummy_num_1:2;
        RBus_UInt32  seg_8_front_dummy_num_1:2;
        RBus_UInt32  seg_8_back_dummy_num_0:2;
        RBus_UInt32  seg_8_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg_11_back_dummy_num_3:2;
        RBus_UInt32  seg_11_front_dummy_num_3:2;
        RBus_UInt32  seg_11_back_dummy_num_2:2;
        RBus_UInt32  seg_11_front_dummy_num_2:2;
        RBus_UInt32  seg_11_back_dummy_num_1:2;
        RBus_UInt32  seg_11_front_dummy_num_1:2;
        RBus_UInt32  seg_11_back_dummy_num_0:2;
        RBus_UInt32  seg_11_front_dummy_num_0:2;
        RBus_UInt32  seg_10_back_dummy_num_3:2;
        RBus_UInt32  seg_10_front_dummy_num_3:2;
        RBus_UInt32  seg_10_back_dummy_num_2:2;
        RBus_UInt32  seg_10_front_dummy_num_2:2;
        RBus_UInt32  seg_10_back_dummy_num_1:2;
        RBus_UInt32  seg_10_front_dummy_num_1:2;
        RBus_UInt32  seg_10_back_dummy_num_0:2;
        RBus_UInt32  seg_10_front_dummy_num_0:2;
    };
}sfg_sfg_dummy_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  port_num:5;
        RBus_UInt32  res1:2;
        RBus_UInt32  h_flip_en:1;
        RBus_UInt32  seg_num:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  data_shift_en:1;
        RBus_UInt32  pif_2pair_en:1;
        RBus_UInt32  last_act_line_num:4;
        RBus_UInt32  last_act_line_en:1;
        RBus_UInt32  dummy_line_sel:2;
        RBus_UInt32  dummy_pixel_shift_en:1;
        RBus_UInt32  mask_one_eye_black_left:1;
        RBus_UInt32  mask_one_eye_black_en:1;
        RBus_UInt32  dummy_1:2;
        RBus_UInt32  data_mode:2;
        RBus_UInt32  data_map_sel:2;
    };
}sfg_sfg_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg1_start:13;
        RBus_UInt32  seg1_start_res:3;
        RBus_UInt32  seg0_start:13;
        RBus_UInt32  seg0_start_res:3;
    };
}sfg_sfg_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg3_start:13;
        RBus_UInt32  seg3_start_res:3;
        RBus_UInt32  seg2_start:13;
        RBus_UInt32  seg2_start_res:3;
    };
}sfg_sfg_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg5_start:13;
        RBus_UInt32  seg5_start_res:3;
        RBus_UInt32  seg4_start:13;
        RBus_UInt32  seg4_start_res:3;
    };
}sfg_sfg_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg7_start:13;
        RBus_UInt32  seg7_start_res:3;
        RBus_UInt32  seg6_start:13;
        RBus_UInt32  seg6_start_res:3;
    };
}sfg_sfg_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg9_start:13;
        RBus_UInt32  seg9_start_res:3;
        RBus_UInt32  seg8_start:13;
        RBus_UInt32  seg8_start_res:3;
    };
}sfg_sfg_start_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg11_start:13;
        RBus_UInt32  seg11_start_res:3;
        RBus_UInt32  seg10_start:13;
        RBus_UInt32  seg10_start_res:3;
    };
}sfg_sfg_start_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  downsample_v:1;
        RBus_UInt32  res1:29;
        RBus_UInt32  tg_auto_cfg:1;
        RBus_UInt32  bypass_mode:1;
    };
}sfg_sfg_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsync_delay:16;
        RBus_UInt32  hsync_width:8;
        RBus_UInt32  res1:8;
    };
}sfg_sfg_ctrl_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vsync_start:8;
        RBus_UInt32  vsync_end:8;
        RBus_UInt32  hs_distance:14;
        RBus_UInt32  res1:2;
    };
}sfg_sfg_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  req_start:16;
        RBus_UInt32  sfg_dh_den_sta:16;
    };
}sfg_sfg_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg0_flip:1;
        RBus_UInt32  seg1_flip:1;
        RBus_UInt32  seg2_flip:1;
        RBus_UInt32  seg3_flip:1;
        RBus_UInt32  seg4_flip:1;
        RBus_UInt32  seg5_flip:1;
        RBus_UInt32  seg6_flip:1;
        RBus_UInt32  seg7_flip:1;
        RBus_UInt32  seg8_flip:1;
        RBus_UInt32  seg9_flip:1;
        RBus_UInt32  seg10_flip:1;
        RBus_UInt32  seg11_flip:1;
        RBus_UInt32  res1:20;
    };
}sfg_sfg_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  final_line_length:13;
        RBus_UInt32  res2:3;
    };
}sfg_sfg_ctrl_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  final_addr_split_mode:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  residue_pix_split_mode:3;
        RBus_UInt32  res2:13;
    };
}sfg_sfg_ctrl_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hs_io_dist:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hs_den_io_dist:13;
        RBus_UInt32  res2:3;
    };
}sfg_sfg_ctrl_c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  req_start_auto:16;
        RBus_UInt32  sfg_dh_den_sta_auto:16;
    };
}sfg_sfg_tg_auto_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsync_delay_auto:16;
        RBus_UInt32  hsync_width_auto:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  t_read:1;
    };
}sfg_sfg_tg_auto_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vsync_start_auto:8;
        RBus_UInt32  vsync_end_auto:8;
        RBus_UInt32  hs_distance_auto:14;
        RBus_UInt32  res1:2;
    };
}sfg_sfg_tg_auto_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hs_io_dist_auto:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hs_den_io_dist_auto:13;
        RBus_UInt32  res2:3;
    };
}sfg_sfg_tg_auto_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  clken_p2p:1;
        RBus_UInt32  in_data_inv:1;
        RBus_UInt32  dummy_2:11;
        RBus_UInt32  clken_avcom:1;
        RBus_UInt32  clken_vby1:1;
        RBus_UInt32  clken_epi:1;
        RBus_UInt32  clken_lvds:1;
    };
}sfg_sfg_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_bisr_second_run_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_bisr_second_run_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_bisr_done:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_bisr_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_bisr_fail_group:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_bisr_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_bisr_fail_0:1;
        RBus_UInt32  sfg_bisr_fail_1:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:26;
        RBus_UInt32  res4:1;
        RBus_UInt32  sfg_bisr_repaired:1;
    };
}sfg_sfg_bisr_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_resume:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_done:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_pause:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_fail_group:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_drf_fail_0:1;
        RBus_UInt32  sfg_drf_fail_1:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:28;
    };
}sfg_sfg_drf_fai_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  sfg_bisr_rme:1;
        RBus_UInt32  sfg_bisr_rm:4;
        RBus_UInt32  sfg_bisr_ls:1;
        RBus_UInt32  res2:25;
    };
}sfg_sfg_bist_other_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg1_mid_dummy_num:4;
        RBus_UInt32  seg1_mid_dummy_place:12;
        RBus_UInt32  seg0_mid_dummy_num:4;
        RBus_UInt32  seg0_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg3_mid_dummy_num:4;
        RBus_UInt32  seg3_mid_dummy_place:12;
        RBus_UInt32  seg2_mid_dummy_num:4;
        RBus_UInt32  seg2_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg5_mid_dummy_num:4;
        RBus_UInt32  seg5_mid_dummy_place:12;
        RBus_UInt32  seg4_mid_dummy_num:4;
        RBus_UInt32  seg4_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg7_mid_dummy_num:4;
        RBus_UInt32  seg7_mid_dummy_place:12;
        RBus_UInt32  seg6_mid_dummy_num:4;
        RBus_UInt32  seg6_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg9_mid_dummy_num:4;
        RBus_UInt32  seg9_mid_dummy_place:12;
        RBus_UInt32  seg8_mid_dummy_num:4;
        RBus_UInt32  seg8_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg11_mid_dummy_num:4;
        RBus_UInt32  seg11_mid_dummy_place:12;
        RBus_UInt32  seg10_mid_dummy_num:4;
        RBus_UInt32  seg10_mid_dummy_place:12;
    };
}sfg_sfg_mid_dummy_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802da08_5_0:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  active_pixel_rgb:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ext_subpixel_mode:1;
        RBus_UInt32  res3:6;
        RBus_UInt32  ext_num_fw_mode:1;
    };
}sfg_sfg_data_after_den_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gdummy_sel:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  insert_line0_b_last:4;
        RBus_UInt32  insert_line0_g_last:4;
        RBus_UInt32  insert_line0_r_last:4;
        RBus_UInt32  insert_line0_b_0:4;
        RBus_UInt32  insert_line0_g_0:4;
        RBus_UInt32  insert_line0_r_0:4;
    };
}sfg_sfg_insert_subpixel_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line1_b_last:4;
        RBus_UInt32  insert_line1_g_last:4;
        RBus_UInt32  insert_line1_r_last:4;
        RBus_UInt32  insert_line1_b_0:4;
        RBus_UInt32  insert_line1_g_0:4;
        RBus_UInt32  insert_line1_r_0:4;
    };
}sfg_sfg_insert_subpixel_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line2_b_last:4;
        RBus_UInt32  insert_line2_g_last:4;
        RBus_UInt32  insert_line2_r_last:4;
        RBus_UInt32  insert_line2_b_0:4;
        RBus_UInt32  insert_line2_g_0:4;
        RBus_UInt32  insert_line2_r_0:4;
    };
}sfg_sfg_insert_subpixel_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line3_b_last:4;
        RBus_UInt32  insert_line3_g_last:4;
        RBus_UInt32  insert_line3_r_last:4;
        RBus_UInt32  insert_line3_b_0:4;
        RBus_UInt32  insert_line3_g_0:4;
        RBus_UInt32  insert_line3_r_0:4;
    };
}sfg_sfg_insert_subpixel_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  db_sel:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dummy_pixel_data:1;
        RBus_UInt32  res3:3;
    };
}sfg_sfg_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802da20_15_0:16;
        RBus_UInt32  res1:16;
    };
}sfg_sfg_last_ext_pixel_last_flip_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  sfg_debug_clk_div:2;
        RBus_UInt32  res2:28;
    };
}sfg_sfg_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_capture_h:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  data_capture_v:14;
        RBus_UInt32  res2:2;
    };
}sfg_sfg_data_capture_vh_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_capture_port:4;
        RBus_UInt32  data_capture_en:1;
        RBus_UInt32  data_capture_apply:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  data_capture_src:2;
        RBus_UInt32  res2:2;
    };
}sfg_sfg_data_capture_src_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_capture_data:32;
    };
}sfg_sfg_data_capture_read_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_line1:13;
        RBus_UInt32  last_seg_start_res_line1:3;
        RBus_UInt32  last_seg_start_line0:13;
        RBus_UInt32  last_seg_start_res_line0:3;
    };
}sfg_sfg_last_seg_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_line3:13;
        RBus_UInt32  last_seg_start_res_line3:3;
        RBus_UInt32  last_seg_start_line2:13;
        RBus_UInt32  last_seg_start_res_line2:3;
    };
}sfg_sfg_last_seg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_0_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_0_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_0_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_0_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_0_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_0_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_0_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_0_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_0_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_0_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_2_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_2_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_2_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_2_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_2_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_2_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_2_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_2_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_2_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_2_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_4_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_4_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_4_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_4_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_4_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_4_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_4_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_4_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_4_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_4_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_6_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_6_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_6_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_6_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_6_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_6_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_6_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_6_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_6_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_6_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_1_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_1_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_1_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_1_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_1_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_1_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_1_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_1_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_1_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_1_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_3_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_3_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_3_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_3_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_3_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_3_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_3_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_3_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_3_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_3_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_5_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_5_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_5_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_5_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_5_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_5_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_5_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_5_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_5_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_5_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_r_7_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_r_7_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_r_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_r_7_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_g_7_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_g_7_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_g_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_g_7_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drd_b_7_line3:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  drd_b_7_line2:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  drd_b_7_line1:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  drd_b_7_line0:5;
        RBus_UInt32  res4:3;
    };
}sfg_sfg_drd_ctrl_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_ext_subpix_b_line_0:2;
        RBus_UInt32  fw_ext_subpix_b_line_1:2;
        RBus_UInt32  fw_ext_subpix_b_line_2:2;
        RBus_UInt32  fw_ext_subpix_b_line_3:2;
        RBus_UInt32  fw_ext_subpix_b_line_4:2;
        RBus_UInt32  fw_ext_subpix_b_line_5:2;
        RBus_UInt32  fw_ext_subpix_b_line_6:2;
        RBus_UInt32  fw_ext_subpix_b_line_7:2;
        RBus_UInt32  fw_ext_subpix_a_line_0:2;
        RBus_UInt32  fw_ext_subpix_a_line_1:2;
        RBus_UInt32  fw_ext_subpix_a_line_2:2;
        RBus_UInt32  fw_ext_subpix_a_line_3:2;
        RBus_UInt32  fw_ext_subpix_a_line_4:2;
        RBus_UInt32  fw_ext_subpix_a_line_5:2;
        RBus_UInt32  fw_ext_subpix_a_line_6:2;
        RBus_UInt32  fw_ext_subpix_a_line_7:2;
    };
}sfg_sfg1_fw_ext_subpixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_0:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_1:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_1:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_2:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_3:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_3:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_4:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_4:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_5:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_5:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_6:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_6:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dum_data0_line_7:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  dum_data1_line_7:10;
        RBus_UInt32  res2:6;
    };
}sfg_sfg1_dum_data_line_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  zz_shift_mode_7:1;
        RBus_UInt32  zz_shift_mode_6:1;
        RBus_UInt32  zz_shift_mode_5:1;
        RBus_UInt32  zz_shift_mode_4:1;
        RBus_UInt32  zz_shift_sp_7:2;
        RBus_UInt32  zz_shift_sp_6:2;
        RBus_UInt32  zz_shift_sp_5:2;
        RBus_UInt32  zz_shift_sp_4:2;
        RBus_UInt32  res2:16;
    };
}sfg_zz_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line4_b_last:4;
        RBus_UInt32  insert_line4_g_last:4;
        RBus_UInt32  insert_line4_r_last:4;
        RBus_UInt32  insert_line4_b_0:4;
        RBus_UInt32  insert_line4_g_0:4;
        RBus_UInt32  insert_line4_r_0:4;
    };
}sfg_sfg_insert_subpixel_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line5_b_last:4;
        RBus_UInt32  insert_line5_g_last:4;
        RBus_UInt32  insert_line5_r_last:4;
        RBus_UInt32  insert_line5_b_0:4;
        RBus_UInt32  insert_line5_g_0:4;
        RBus_UInt32  insert_line5_r_0:4;
    };
}sfg_sfg_insert_subpixel_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line6_b_last:4;
        RBus_UInt32  insert_line6_g_last:4;
        RBus_UInt32  insert_line6_r_last:4;
        RBus_UInt32  insert_line6_b_0:4;
        RBus_UInt32  insert_line6_g_0:4;
        RBus_UInt32  insert_line6_r_0:4;
    };
}sfg_sfg_insert_subpixel_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  insert_line7_b_last:4;
        RBus_UInt32  insert_line7_g_last:4;
        RBus_UInt32  insert_line7_r_last:4;
        RBus_UInt32  insert_line7_b_0:4;
        RBus_UInt32  insert_line7_g_0:4;
        RBus_UInt32  insert_line7_r_0:4;
    };
}sfg_sfg_insert_subpixel_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802dbbc_15_0:16;
        RBus_UInt32  res1:16;
    };
}sfg_sfg_last_ext_pixel_last_flip_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_line5:13;
        RBus_UInt32  last_seg_start_res_line5:3;
        RBus_UInt32  last_seg_start_line4:13;
        RBus_UInt32  last_seg_start_res_line4:3;
    };
}sfg_sfg_last_seg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_seg_start_line7:13;
        RBus_UInt32  last_seg_start_res_line7:3;
        RBus_UInt32  last_seg_start_line6:13;
        RBus_UInt32  last_seg_start_res_line6:3;
    };
}sfg_sfg_last_seg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_en:1;
        RBus_UInt32  sfg_pat_mode:2;
        RBus_UInt32  sfg_pat_rgb_sel:1;
        RBus_UInt32  sfg_pat_even:1;
        RBus_UInt32  sfg_pat_cnt_mode:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  sfg_pat_line_num:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  sfg_pat_line_width:9;
        RBus_UInt32  res3:3;
    };
}sfg_sfg_patgen_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b0:8;
        RBus_UInt32  sfg_pat_g0:8;
        RBus_UInt32  sfg_pat_r0:8;
        RBus_UInt32  sfg_pat_w0:8;
    };
}sfg_sfg_patgen_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b1:8;
        RBus_UInt32  sfg_pat_g1:8;
        RBus_UInt32  sfg_pat_r1:8;
        RBus_UInt32  sfg_pat_w1:8;
    };
}sfg_sfg_patgen_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b2:8;
        RBus_UInt32  sfg_pat_g2:8;
        RBus_UInt32  sfg_pat_r2:8;
        RBus_UInt32  sfg_pat_w2:8;
    };
}sfg_sfg_patgen_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b3:8;
        RBus_UInt32  sfg_pat_g3:8;
        RBus_UInt32  sfg_pat_r3:8;
        RBus_UInt32  sfg_pat_w3:8;
    };
}sfg_sfg_patgen_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b4:8;
        RBus_UInt32  sfg_pat_g4:8;
        RBus_UInt32  sfg_pat_r4:8;
        RBus_UInt32  sfg_pat_w4:8;
    };
}sfg_sfg_patgen_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b5:8;
        RBus_UInt32  sfg_pat_g5:8;
        RBus_UInt32  sfg_pat_r5:8;
        RBus_UInt32  sfg_pat_w5:8;
    };
}sfg_sfg_patgen_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b6:8;
        RBus_UInt32  sfg_pat_g6:8;
        RBus_UInt32  sfg_pat_r6:8;
        RBus_UInt32  sfg_pat_w6:8;
    };
}sfg_sfg_patgen_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg_pat_b7:8;
        RBus_UInt32  sfg_pat_g7:8;
        RBus_UInt32  sfg_pat_r7:8;
        RBus_UInt32  sfg_pat_w7:8;
    };
}sfg_sfg_patgen_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_det_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pat_det_h_ini_sta:13;
        RBus_UInt32  res2:3;
    };
}sfg_pat_det_window_h_ini_sta_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_det_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  pat_det_v_ini_sta:12;
        RBus_UInt32  res2:4;
    };
}sfg_pat_det_window_v_ini_sta_height_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_det_auto:1;
        RBus_UInt32  pat_det_en:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  spc_pt_16:1;
        RBus_UInt32  spc_pt_15:1;
        RBus_UInt32  spc_pt_14:1;
        RBus_UInt32  spc_pt_13:1;
        RBus_UInt32  spc_pt_12:1;
        RBus_UInt32  spc_pt_11:1;
        RBus_UInt32  spc_pt_10:1;
        RBus_UInt32  spc_pt_9:1;
        RBus_UInt32  spc_pt_8:1;
        RBus_UInt32  spc_pt_7:1;
        RBus_UInt32  spc_pt_6:1;
        RBus_UInt32  spc_pt_5:1;
        RBus_UInt32  spc_pt_4:1;
        RBus_UInt32  spc_pt_3:1;
        RBus_UInt32  spc_pt_2:1;
        RBus_UInt32  spc_pt_1:1;
        RBus_UInt32  res2:8;
    };
}sfg_pattern_detect_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_1:32;
    };
}sfg_pat_det_sum1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_2:32;
    };
}sfg_pat_det_sum2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_3:32;
    };
}sfg_pat_det_sum3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_4:32;
    };
}sfg_pat_det_sum4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_5:32;
    };
}sfg_pat_det_sum5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_6:32;
    };
}sfg_pat_det_sum6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_7:32;
    };
}sfg_pat_det_sum7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_8:32;
    };
}sfg_pat_det_sum8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_9:32;
    };
}sfg_pat_det_sum9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_10:32;
    };
}sfg_pat_det_sum10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_11:32;
    };
}sfg_pat_det_sum11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_12:32;
    };
}sfg_pat_det_sum12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_13:32;
    };
}sfg_pat_det_sum13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_14:32;
    };
}sfg_pat_det_sum14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_15:32;
    };
}sfg_pat_det_sum15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_line_16:32;
    };
}sfg_pat_det_sum16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th1:32;
    };
}sfg_pat_det_th1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th2:32;
    };
}sfg_pat_det_th2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th3:32;
    };
}sfg_pat_det_th3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th4:32;
    };
}sfg_pat_det_th4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th5:32;
    };
}sfg_pat_det_th5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th6:32;
    };
}sfg_pat_det_th6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th7:32;
    };
}sfg_pat_det_th7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th8:32;
    };
}sfg_pat_det_th8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th9:32;
    };
}sfg_pat_det_th9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th10:32;
    };
}sfg_pat_det_th10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th11:32;
    };
}sfg_pat_det_th11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th12:32;
    };
}sfg_pat_det_th12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th13:32;
    };
}sfg_pat_det_th13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th14:32;
    };
}sfg_pat_det_th14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th15:32;
    };
}sfg_pat_det_th15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pat_th16:32;
    };
}sfg_pat_det_th16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  delay_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  delay_porch_bit:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  avcom_data_mapping:1;
        RBus_UInt32  res3:23;
    };
}sfg_delay_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_bisr_second_run_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_bisr_second_run_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_bisr_done:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_bisr_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_bisr_fail_group:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_bisr_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_bisr_fail_0:1;
        RBus_UInt32  sfg2_bisr_fail_1:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:26;
        RBus_UInt32  res4:1;
        RBus_UInt32  sfg2_bisr_repaired:1;
    };
}sfg_sfg2_bisr_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_resume:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_done:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_pause:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_fail_group:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:30;
    };
}sfg_sfg2_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sfg2_drf_fail_0:1;
        RBus_UInt32  sfg2_drf_fail_1:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:28;
    };
}sfg_sfg2_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  sfg2_bisr_rme:1;
        RBus_UInt32  sfg2_bisr_rm:4;
        RBus_UInt32  res2:26;
    };
}sfg_sfg2_bist_other_RBUS;




#endif 


#endif 
