#ifndef _HDMI_FUN_H
#define _HDMI_FUN_H

//#include <linux/types.h>


/**************************************************************************************/
//
//  Wait! You may be wondering, "Why the red suit?"
//  Well, that's so bad guys can't see me bleed.
//
//    -- Deadpool, Deadpool (2016)
//
//
/**************************************************************************************/



#ifdef __cplusplus
extern "C" {
#endif








/**********************************************************************************************
*
*	Marco or Definitions
*
**********************************************************************************************/

#define NEWBASE_FUNC //need to check
#define HDCP2_2				0
#define HDR10_MD_INFO_CHECK		0
#define INIT_HPD_OFF			1	/* set hotplug as low in hdmi_init, super_switch case should set 1 */
#define INITSRC_HPD_ON			1	/* set hotplug as high in init_source, TvServer/QC should set 1 */

#define HDMI_MEASURE_I3DDMA_SMART_FIT	0


#define USE_DEFAULT_HDMI_EDID		1
#define USE_DEFAULT_HDCP14		1

#define HDMI_WD_VIDEO_COND		_BIT0
#define HDMI_WD_AUDIO_COND		_BIT1
#define HDMI_WD_VSC_COND			_BIT2
#define HDMI_WD_ALL_COND			(HDMI_WD_VIDEO_COND | HDMI_WD_AUDIO_COND | HDMI_WD_VSC_COND)

//USER:LewisLee DATE:2017/06/05
//Add HDMI UI / HW port swap
//#define HDMI_PORT_SWAP_MAPPING_ENABLE		1



/**********************************************************************************************
*
*	Enumerations or Structures
*
**********************************************************************************************/
typedef enum {
	HVF_NO,
	HVF_EXT,
	HVF_3D,
	HVF_RESERVED
}HDMI_HVF_E;

typedef enum {

	HDMI3D_FRAME_PACKING = 0,
	HDMI3D_FIELD_ALTERNATIVE = 1,
	HDMI3D_LINE_ALTERNATIVE = 2,
	HDMI3D_SIDE_BY_SIDE_FULL = 3,
	HDMI3D_L_DEPTH = 4,
	HDMI3D_L_DEPTH_GPX = 5,
	HDMI3D_TOP_AND_BOTTOM =6,
	HDMI3D_FRAMESEQUENCE=7,
	HDMI3D_SIDE_BY_SIDE_HALF = 8,
	// --- new 3D format ---
	HDMI3D_LINE_BY_LINE = 9,
	HDMI3D_VERTICAL_STRIPE = 10,
	HDMI3D_CHECKER_BOARD = 11,
	HDMI3D_REALID = 12,
	HDMI3D_SENSIO = 13,
	// -------------------
	HDMI3D_RSV1,
	HDMI3D_2D_ONLY,
	HDMI3D_UNKOWN = 0xFFFFFFFF
} HDMI_3D_T;

#if 0
typedef enum {

	HDMI_PTG_MODE_BACKGROUD_ONLY,
	HDMI_PTG_MODE_H_COLOR_BAR,
	HDMI_PTG_MODE_V_COLOR_BAR,
	HDMI_PTG_MODE_H_GREDIENT,
	HDMI_PTG_MODE_V_GREDIENT,
	HDMI_PTG_MODE_HV_GREDIENT,
	HDMI_PTG_MODE_BITMAP,
	HDMI_PTG_CROSS_COLOR_SEQ0,
	HDMI_PTG_CROSS_COLOR_SEQ1,
	HDMI_PTG_CROSS_COLOR_SEQ2,
	HDMI_PTG_CROSS_COLOR_SEQ3,

} HDMI_PTG_MODE_T;
#endif
typedef enum _HDMI_TABLE_TYPE{
              HDMI_CHANNEL0 ,
	HDMI_CHANNEL1,
	HDMI_CHANNEL2,
	HDMI_CHANNEL3,
	HDMI_CHANNEL,
	HDMI_HDCP_KEY_TABLE,
	CBUS_TABLE,
}HDMI_TABLE_TYPE;

//typedef void (*HDMI_MUX_ADVANCED_FUNCTION)(unsigned char index, unsigned int Value_1, unsigned int Value_2, unsigned int Value_3);


typedef  unsigned char HDMI_bool;

typedef enum {
	MODE_DVI	= 0x0,
	MODE_HDMI  ,
	MODE_UNKNOW
} HDMI_DVI_MODE_T;

typedef enum {
	MODE_RAG_DEFAULT	= 0x0,
	MODE_RAG_LIMIT  ,
	MODE_RAG_FULL  ,
	MODE_RAG_UNKNOW
} HDMI_RGB_YUV_RANGE_MODE_T;

typedef enum {
	COLOR_RGB 	= 0x00,
	COLOR_YUV422,
	COLOR_YUV444,
	COLOR_YUV420,
	COLOR_UNKNOW
} HDMI_COLOR_SPACE_T;

typedef enum {

	HDMI_COLOR_DEPTH_8B =0,
	HDMI_COLOR_DEPTH_10B,
	HDMI_COLOR_DEPTH_12B,
	HDMI_COLOR_DEPTH_16B,

} HDMI_COLOR_DEPTH_T;


typedef enum _HDMI_OSD_MODE{
	HDMI_OSD_MODE_AUTO= 0,
	HDMI_OSD_MODE_HDMI,
	HDMI_OSD_MODE_DVI,
	HDMI_OSD_MODE_NO_SETTING
} HDMI_OSD_MODE;


typedef struct {
	unsigned char BKsv[5];
	unsigned char Key[320];
} HDCP_KEY_T;

#if (defined ENABLE_HDCPKEY_ENDIAN_SWAP)
typedef struct {
	unsigned char BKsv[5];
	unsigned char Key[328];
} HDCP_KEY_T1;
#endif

typedef enum {
	HDMI_COLORIMETRY_NOSPECIFIED = 0,
	HDMI_COLORIMETRY_601,
	HDMI_COLORIMETRY_709,
	HDMI_COLORIMETRY_XYYCC601,
	HDMI_COLORIMETRY_XYYCC709,
	HDMI_COLORIMETRY_SYCC601,
	HDMI_COLORIMETRY_ADOBE_YCC601,
	HDMI_COLORIMETRY_ADOBE_RGB,
} HDMI_COLORIMETRY_T;


typedef struct  {
	char *name;
	int progressive;
	unsigned int h_act_len;
	unsigned int v_act_len;
	unsigned int lr_v_act_len;
	unsigned int v_active_space1;
	unsigned int v_active_space2;
}HDMI_ACTIVE_SPACE_TABLE_T;



typedef struct
{
    unsigned char   VSIF_TypeCode;
    unsigned char   VSIF_Version;
    unsigned char   Length;
    unsigned char   Checksum;
    unsigned char   Reg_ID[3];
    unsigned char   Payload[25];
}HDMI_VSI_T;

typedef struct
{
    unsigned char type_code;
    unsigned char ver;
    unsigned char len;
    unsigned int    S:2;
    unsigned int    B:2;
    unsigned int    A:1;
    unsigned int    Y:3;
    unsigned int    R:4;
    unsigned int    M:2;
    unsigned int    C:2;
    unsigned int    SC:2;
    unsigned int    Q:2;
    unsigned int    EC:3;
    unsigned int    ITC:1;
    unsigned int    VIC:8;
    unsigned int    PR:4;
    unsigned int    CN:2;
    unsigned int    YQ:2;
    unsigned char   ETB07_00;
    unsigned char   ETB15_08;
    unsigned char   SBB07_00;
    unsigned char   SBB15_08;
    unsigned char   ELB07_00;
    unsigned char   ELB15_08;
    unsigned char   SRB07_00;
    unsigned char   SRB15_08;
}HDMI_AVI_T;

typedef struct
{
    unsigned char   type_code;
    unsigned char   ver;
    unsigned char   len;
    unsigned char   VendorName[8];
    unsigned char   ProductDesc[16];
    unsigned char   SourceInfo;
}HDMI_SPD_T;

typedef struct
{
    unsigned char type_code;
    unsigned char ver;
    unsigned char len;
    unsigned int    CC:3;
    unsigned int    F13:1;
    unsigned int    CT:4;
    unsigned int    SS:2;
    unsigned int    SF:3;
    unsigned int    F27_25:3;
    unsigned int    CXT:5;
    unsigned int    F37_35:3;
    unsigned int    CA:8;
    unsigned int    LFEPBL:2;
    unsigned int    F52:1;
    unsigned int    LSV:4;
    unsigned int    DM_INH:1;
    unsigned char   F67_60;
    unsigned char   F77_70;
    unsigned char   F87_80;
    unsigned char   F97_90;
    unsigned char   F107_100;
}HDMI_AUDIO_T;

typedef struct
{
        unsigned char type_code;
        unsigned char ver;
        unsigned char len;
        unsigned char  eEOTFtype;
        unsigned char  eMeta_Desc;
        unsigned short display_primaries_x0;
        unsigned short display_primaries_y0;
        unsigned short display_primaries_x1;
        unsigned short display_primaries_y1;
        unsigned short display_primaries_x2;
        unsigned short display_primaries_y2;
        unsigned short white_point_x;
        unsigned short white_point_y;
        unsigned short max_display_mastering_luminance;
        unsigned short min_display_mastering_luminance;
        unsigned short maximum_content_light_level;
        unsigned short maximum_frame_average_light_level;
		unsigned char  reserved;
}__attribute__((packed)) HDMI_DRM_T;



/**********************************************************************************************
*
*	Variables
*
**********************************************************************************************/
// Should Not declare variables here






/**********************************************************************************************
*
*	External Funtion Declarations
*
**********************************************************************************************/

extern HDMI_COLOR_SPACE_T drvif_Hdmi_GetColorSpace(void);
extern HDMI_COLORIMETRY_T drvif_Hdmi_GetColorimetry(void);
extern HDMI_COLOR_DEPTH_T drvif_Hdmi_GetColorDepth(void);
extern HDMI_bool drvif_Hdmi_HdcpEnabled(void);
extern HDMI_bool  drvif_Hdmi_GetInterlace(void);
extern HDMI_DVI_MODE_T drvif_IsHDMI(void);
extern HDMI_RGB_YUV_RANGE_MODE_T drvif_IsRGB_YUV_RANGE(void); //cloud add
extern HDMI_3D_T drvif_HDMI_GetReal3DFomat(void);
extern char drvif_Hdmi_IsAudioLock(void);

extern unsigned char drvif_Hdmi_WatchDog_Apply(unsigned char Enable, unsigned char Condition);

extern HDMI_bool hdmi_is_drm_info_ready(void);



#if 0
/*60958*/
extern unsigned char drvif_Hdmi_GetConsumerUse(void); /* [0] */
extern unsigned char drvif_Hdmi_GetAudioSampleWord(void);  /* [1] */
extern unsigned char drvif_Hdmi_GetCopyright(void); /* [2] */
extern unsigned char drvif_Hdmi_GetFormatInfo(void); /* [5:3] */
extern unsigned char drvif_Hdmi_GetChannelStatusMode(void); /* [7:6] */
extern unsigned char drvif_Hdmi_GetCategoryCode(void); /* [15:8] */
extern unsigned char drvif_Hdmi_GetSourceNumber(void); /* [19:16] */
extern unsigned char drvif_Hdmi_GetChannelNumber(void); /* [23:20] */
extern unsigned char drvif_Hdmi_GetSamplingFrequency(void); /* [27:24] */
extern unsigned char drvif_Hdmi_GetClockAccuracy(void); /* [29:28] */
extern unsigned char drvif_Hdmi_GetWordLength(void); /* [35:32] */
extern unsigned char drvif_Hdmi_GetOriginalFrequency(void); /* [39:36] */
#endif

extern unsigned char drvif_Hdmi_GetVsInfoFrame(HDMI_VSI_T *pVsInfo);
extern unsigned char drvif_Hdmi_GetAviInfoFrame(HDMI_AVI_T *pAviInfo);
extern unsigned char drvif_Hdmi_GetSpdInfoFrame(HDMI_SPD_T *pSpdInfo);
extern unsigned char drvif_Hdmi_GetDrmInfoFrame(HDMI_DRM_T *pDrmInfo);
extern unsigned char drvif_Hdmi_GetAudioInfoFrame(HDMI_AUDIO_T *pAudioInfo);

#if 0
//Minchay@20160607-a-s add hdr10 and dolby version hdr
extern void newbase_hdmi_dv_hdr_enable(unsigned char detectEn);
extern void newbase_hdmi_hdr10_enable(unsigned char detectEn);
extern unsigned char newbase_hdmi_dv_hdr_md_info_check(void);
extern unsigned char newbase_hdmi_hdr10_md_info_check(void);
extern void newbase_hdmi_hdr_disable(void);
//Minchay@20160607-a-e add hdr10 and dolby version hdr


//extern void drvif_hdmi_save_pcbinfo(unsigned char port, const HDMI_CHANNEL_T_PCB_INFO *pcb);
extern void drvif_hdmi_save_edid(unsigned char port, const unsigned char *edid, const unsigned int len);
extern void drvif_hdmi_save_hdcp(const HDCP_KEY_T *key);
#endif
extern unsigned char drvif_HDMI_PhyPortStatus(unsigned char nport);

extern unsigned char drvif_hdmi_check_mode(void);

extern void drvif_hdmi_set_no_polarity_inverse(unsigned char TF);

#if 0
extern unsigned char drvif_hdmi_get_customer_edid(void);
unsigned char drvif_hdmi_get_customer_hdcp1p4(void);
#endif
#ifdef CONFIG_ENABLE_DOLBY_VISION_HDMI_AUTO_DETECT
extern HDMI_bool DV_drvif_Hdmi_CheckMode(void);
#endif

#ifdef __cplusplus
}
#endif


#endif

