/**
* @file Merlin6_MEMC_mvinfo_DMA
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_MVINFO_DMA_REG_H_
#define _RBUS_MVINFO_DMA_REG_H_

#include "rbus_types.h"



//  MVINFO_DMA Register Address
#define  MVINFO_DMA_MVINFO_WR_client_en                                         0x1809B100
#define  MVINFO_DMA_MVINFO_WR_client_en_reg_addr                                 "0xB809B100"
#define  MVINFO_DMA_MVINFO_WR_client_en_reg                                      0xB809B100
#define  MVINFO_DMA_MVINFO_WR_client_en_inst_addr                                "0x0000"
#define  set_MVINFO_DMA_MVINFO_WR_client_en_reg(data)                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_client_en_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_client_en_reg                                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_client_en_reg))
#define  MVINFO_DMA_MVINFO_WR_client_en_double_ddr_space_shift                   (31)
#define  MVINFO_DMA_MVINFO_WR_client_en_mvinfo_enable_shift                      (0)
#define  MVINFO_DMA_MVINFO_WR_client_en_double_ddr_space_mask                    (0x80000000)
#define  MVINFO_DMA_MVINFO_WR_client_en_mvinfo_enable_mask                       (0x00000001)
#define  MVINFO_DMA_MVINFO_WR_client_en_double_ddr_space(data)                   (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_WR_client_en_mvinfo_enable(data)                      (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_WR_client_en_get_double_ddr_space(data)               ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_WR_client_en_get_mvinfo_enable(data)                  (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_WDMA_CTRL                                            0x1809B104
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_reg_addr                                    "0xB809B104"
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_reg                                         0xB809B104
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_inst_addr                                   "0x0001"
#define  set_MVINFO_DMA_MVINFO_WDMA_CTRL_reg(data)                               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_CTRL_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_CTRL_reg                                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_CTRL_reg))
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_height_shift                                (12)
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_width_shift                                 (0)
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_height_mask                                 (0x00FFF000)
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_width_mask                                  (0x00000FFF)
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_height(data)                                (0x00FFF000&((data)<<12))
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_width(data)                                 (0x00000FFF&(data))
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_get_height(data)                            ((0x00FFF000&(data))>>12)
#define  MVINFO_DMA_MVINFO_WDMA_CTRL_get_width(data)                             (0x00000FFF&(data))

#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL                                          0x1809B108
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg_addr                                  "0xB809B108"
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg                                       0xB809B108
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_inst_addr                                 "0x0002"
#define  set_MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg(data)                             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg                                   (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_NUM_BL_reg))
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_bl_shift                                  (24)
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_line_128_num_shift                        (0)
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_bl_mask                                   (0x7F000000)
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_line_128_num_mask                         (0x007FFFFF)
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_bl(data)                                  (0x7F000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_line_128_num(data)                        (0x007FFFFF&(data))
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_get_bl(data)                              ((0x7F000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_WDMA_NUM_BL_get_line_128_num(data)                    (0x007FFFFF&(data))

#define  MVINFO_DMA_MVINFO_WDMA_LSTEP                                           0x1809B10C
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_reg_addr                                   "0xB809B10C"
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_reg                                        0xB809B10C
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_inst_addr                                  "0x0003"
#define  set_MVINFO_DMA_MVINFO_WDMA_LSTEP_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_LSTEP_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_LSTEP_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_LSTEP_reg))
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_line_step_shift                            (4)
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_line_step_mask                             (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_line_step(data)                            (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WDMA_LSTEP_get_line_step(data)                        ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WDMA_MSTART0                                         0x1809B110
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_reg_addr                                 "0xB809B110"
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_reg                                      0xB809B110
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_inst_addr                                "0x0004"
#define  set_MVINFO_DMA_MVINFO_WDMA_MSTART0_reg(data)                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MSTART0_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_MSTART0_reg                                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MSTART0_reg))
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_start_address0_shift                     (4)
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_start_address0_mask                      (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_start_address0(data)                     (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WDMA_MSTART0_get_start_address0(data)                 ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WDMA_MSTART1                                         0x1809B114
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_reg_addr                                 "0xB809B114"
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_reg                                      0xB809B114
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_inst_addr                                "0x0005"
#define  set_MVINFO_DMA_MVINFO_WDMA_MSTART1_reg(data)                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MSTART1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_MSTART1_reg                                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MSTART1_reg))
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_start_address1_shift                     (4)
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_start_address1_mask                      (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_start_address1(data)                     (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WDMA_MSTART1_get_start_address1(data)                 ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WDMA_MEND0                                           0x1809B118
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_reg_addr                                   "0xB809B118"
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_reg                                        0xB809B118
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_inst_addr                                  "0x0006"
#define  set_MVINFO_DMA_MVINFO_WDMA_MEND0_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MEND0_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_MEND0_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MEND0_reg))
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_end_address0_shift                         (4)
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_end_address0_mask                          (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_end_address0(data)                         (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WDMA_MEND0_get_end_address0(data)                     ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WDMA_MEND1                                           0x1809B11C
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_reg_addr                                   "0xB809B11C"
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_reg                                        0xB809B11C
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_inst_addr                                  "0x0007"
#define  set_MVINFO_DMA_MVINFO_WDMA_MEND1_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MEND1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WDMA_MEND1_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WDMA_MEND1_reg))
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_end_address1_shift                         (4)
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_end_address1_mask                          (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_end_address1(data)                         (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WDMA_MEND1_get_end_address1(data)                     ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WR_Rule_check_up                                     0x1809B120
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_reg_addr                             "0xB809B120"
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_reg                                  0xB809B120
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_inst_addr                            "0x0008"
#define  set_MVINFO_DMA_MVINFO_WR_Rule_check_up_reg(data)                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Rule_check_up_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_Rule_check_up_reg                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Rule_check_up_reg))
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_dma_up_limit_shift                   (4)
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_dma_up_limit_mask                    (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_dma_up_limit(data)                   (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WR_Rule_check_up_get_dma_up_limit(data)               ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WR_Rule_check_low                                    0x1809B124
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_reg_addr                            "0xB809B124"
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_reg                                 0xB809B124
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_inst_addr                           "0x0009"
#define  set_MVINFO_DMA_MVINFO_WR_Rule_check_low_reg(data)                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Rule_check_low_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_Rule_check_low_reg                             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Rule_check_low_reg))
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_dma_low_limit_shift                 (4)
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_dma_low_limit_mask                  (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_dma_low_limit(data)                 (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WR_Rule_check_low_get_dma_low_limit(data)             ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_WR_Ctrl                                              0x1809B128
#define  MVINFO_DMA_MVINFO_WR_Ctrl_reg_addr                                      "0xB809B128"
#define  MVINFO_DMA_MVINFO_WR_Ctrl_reg                                           0xB809B128
#define  MVINFO_DMA_MVINFO_WR_Ctrl_inst_addr                                     "0x000A"
#define  set_MVINFO_DMA_MVINFO_WR_Ctrl_reg(data)                                 (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Ctrl_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_Ctrl_reg                                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Ctrl_reg))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_31_10_shift                             (10)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_max_outstanding_shift                         (8)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_7_2_shift                               (2)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_force_all_rst_shift                           (1)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dma_enable_shift                              (0)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_31_10_mask                              (0xFFFFFC00)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_max_outstanding_mask                          (0x00000300)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_7_2_mask                                (0x000000FC)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_force_all_rst_mask                            (0x00000002)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dma_enable_mask                               (0x00000001)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_31_10(data)                             (0xFFFFFC00&((data)<<10))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_max_outstanding(data)                         (0x00000300&((data)<<8))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dummy_7_2(data)                               (0x000000FC&((data)<<2))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_force_all_rst(data)                           (0x00000002&((data)<<1))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_dma_enable(data)                              (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_WR_Ctrl_get_dummy_31_10(data)                         ((0xFFFFFC00&(data))>>10)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_get_max_outstanding(data)                     ((0x00000300&(data))>>8)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_get_dummy_7_2(data)                           ((0x000000FC&(data))>>2)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_get_force_all_rst(data)                       ((0x00000002&(data))>>1)
#define  MVINFO_DMA_MVINFO_WR_Ctrl_get_dma_enable(data)                          (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_WR_status                                            0x1809B12C
#define  MVINFO_DMA_MVINFO_WR_status_reg_addr                                    "0xB809B12C"
#define  MVINFO_DMA_MVINFO_WR_status_reg                                         0xB809B12C
#define  MVINFO_DMA_MVINFO_WR_status_inst_addr                                   "0x000B"
#define  set_MVINFO_DMA_MVINFO_WR_status_reg(data)                               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_status_reg                                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status_reg))
#define  MVINFO_DMA_MVINFO_WR_status_dma_cmd_water_shift                         (28)
#define  MVINFO_DMA_MVINFO_WR_status_dma_data_water_shift                        (16)
#define  MVINFO_DMA_MVINFO_WR_status_cur_outstanding_shift                       (8)
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_before_cmd_finish_shift            (4)
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_with_data_left_shift               (3)
#define  MVINFO_DMA_MVINFO_WR_status_data_fifo_underflow_err_shift               (2)
#define  MVINFO_DMA_MVINFO_WR_status_exceed_range_err_shift                      (1)
#define  MVINFO_DMA_MVINFO_WR_status_zero_length_err_shift                       (0)
#define  MVINFO_DMA_MVINFO_WR_status_dma_cmd_water_mask                          (0x70000000)
#define  MVINFO_DMA_MVINFO_WR_status_dma_data_water_mask                         (0x00FF0000)
#define  MVINFO_DMA_MVINFO_WR_status_cur_outstanding_mask                        (0x00000700)
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_before_cmd_finish_mask             (0x00000010)
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_with_data_left_mask                (0x00000008)
#define  MVINFO_DMA_MVINFO_WR_status_data_fifo_underflow_err_mask                (0x00000004)
#define  MVINFO_DMA_MVINFO_WR_status_exceed_range_err_mask                       (0x00000002)
#define  MVINFO_DMA_MVINFO_WR_status_zero_length_err_mask                        (0x00000001)
#define  MVINFO_DMA_MVINFO_WR_status_dma_cmd_water(data)                         (0x70000000&((data)<<28))
#define  MVINFO_DMA_MVINFO_WR_status_dma_data_water(data)                        (0x00FF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_WR_status_cur_outstanding(data)                       (0x00000700&((data)<<8))
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_before_cmd_finish(data)            (0x00000010&((data)<<4))
#define  MVINFO_DMA_MVINFO_WR_status_soft_rst_with_data_left(data)               (0x00000008&((data)<<3))
#define  MVINFO_DMA_MVINFO_WR_status_data_fifo_underflow_err(data)               (0x00000004&((data)<<2))
#define  MVINFO_DMA_MVINFO_WR_status_exceed_range_err(data)                      (0x00000002&((data)<<1))
#define  MVINFO_DMA_MVINFO_WR_status_zero_length_err(data)                       (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_WR_status_get_dma_cmd_water(data)                     ((0x70000000&(data))>>28)
#define  MVINFO_DMA_MVINFO_WR_status_get_dma_data_water(data)                    ((0x00FF0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_WR_status_get_cur_outstanding(data)                   ((0x00000700&(data))>>8)
#define  MVINFO_DMA_MVINFO_WR_status_get_soft_rst_before_cmd_finish(data)        ((0x00000010&(data))>>4)
#define  MVINFO_DMA_MVINFO_WR_status_get_soft_rst_with_data_left(data)           ((0x00000008&(data))>>3)
#define  MVINFO_DMA_MVINFO_WR_status_get_data_fifo_underflow_err(data)           ((0x00000004&(data))>>2)
#define  MVINFO_DMA_MVINFO_WR_status_get_exceed_range_err(data)                  ((0x00000002&(data))>>1)
#define  MVINFO_DMA_MVINFO_WR_status_get_zero_length_err(data)                   (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_WR_status1                                           0x1809B130
#define  MVINFO_DMA_MVINFO_WR_status1_reg_addr                                   "0xB809B130"
#define  MVINFO_DMA_MVINFO_WR_status1_reg                                        0xB809B130
#define  MVINFO_DMA_MVINFO_WR_status1_inst_addr                                  "0x000C"
#define  set_MVINFO_DMA_MVINFO_WR_status1_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_status1_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status1_reg))
#define  MVINFO_DMA_MVINFO_WR_status1_ack_num_error_shift                        (31)
#define  MVINFO_DMA_MVINFO_WR_status1_last_no_ack_error_shift                    (30)
#define  MVINFO_DMA_MVINFO_WR_status1_target_ack_num_shift                       (16)
#define  MVINFO_DMA_MVINFO_WR_status1_last_ack_num_shift                         (8)
#define  MVINFO_DMA_MVINFO_WR_status1_selected_bl_shift                          (0)
#define  MVINFO_DMA_MVINFO_WR_status1_ack_num_error_mask                         (0x80000000)
#define  MVINFO_DMA_MVINFO_WR_status1_last_no_ack_error_mask                     (0x40000000)
#define  MVINFO_DMA_MVINFO_WR_status1_target_ack_num_mask                        (0x007F0000)
#define  MVINFO_DMA_MVINFO_WR_status1_last_ack_num_mask                          (0x00007F00)
#define  MVINFO_DMA_MVINFO_WR_status1_selected_bl_mask                           (0x0000007F)
#define  MVINFO_DMA_MVINFO_WR_status1_ack_num_error(data)                        (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_WR_status1_last_no_ack_error(data)                    (0x40000000&((data)<<30))
#define  MVINFO_DMA_MVINFO_WR_status1_target_ack_num(data)                       (0x007F0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_WR_status1_last_ack_num(data)                         (0x00007F00&((data)<<8))
#define  MVINFO_DMA_MVINFO_WR_status1_selected_bl(data)                          (0x0000007F&(data))
#define  MVINFO_DMA_MVINFO_WR_status1_get_ack_num_error(data)                    ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_WR_status1_get_last_no_ack_error(data)                ((0x40000000&(data))>>30)
#define  MVINFO_DMA_MVINFO_WR_status1_get_target_ack_num(data)                   ((0x007F0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_WR_status1_get_last_ack_num(data)                     ((0x00007F00&(data))>>8)
#define  MVINFO_DMA_MVINFO_WR_status1_get_selected_bl(data)                      (0x0000007F&(data))

#define  MVINFO_DMA_MVINFO_WR_status2                                           0x1809B134
#define  MVINFO_DMA_MVINFO_WR_status2_reg_addr                                   "0xB809B134"
#define  MVINFO_DMA_MVINFO_WR_status2_reg                                        0xB809B134
#define  MVINFO_DMA_MVINFO_WR_status2_inst_addr                                  "0x000D"
#define  set_MVINFO_DMA_MVINFO_WR_status2_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_status2_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_status2_reg))
#define  MVINFO_DMA_MVINFO_WR_status2_selected_addr_shift                        (4)
#define  MVINFO_DMA_MVINFO_WR_status2_cap_blk_sel_shift                          (2)
#define  MVINFO_DMA_MVINFO_WR_status2_addr_bl_sel_shift                          (0)
#define  MVINFO_DMA_MVINFO_WR_status2_selected_addr_mask                         (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_WR_status2_cap_blk_sel_mask                           (0x00000004)
#define  MVINFO_DMA_MVINFO_WR_status2_addr_bl_sel_mask                           (0x00000003)
#define  MVINFO_DMA_MVINFO_WR_status2_selected_addr(data)                        (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WR_status2_cap_blk_sel(data)                          (0x00000004&((data)<<2))
#define  MVINFO_DMA_MVINFO_WR_status2_addr_bl_sel(data)                          (0x00000003&(data))
#define  MVINFO_DMA_MVINFO_WR_status2_get_selected_addr(data)                    ((0xFFFFFFF0&(data))>>4)
#define  MVINFO_DMA_MVINFO_WR_status2_get_cap_blk_sel(data)                      ((0x00000004&(data))>>2)
#define  MVINFO_DMA_MVINFO_WR_status2_get_addr_bl_sel(data)                      (0x00000003&(data))

#define  MVINFO_DMA_MVINFO_WR_Water_Monitor                                     0x1809B138
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_reg_addr                             "0xB809B138"
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_reg                                  0xB809B138
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_inst_addr                            "0x000E"
#define  set_MVINFO_DMA_MVINFO_WR_Water_Monitor_reg(data)                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Water_Monitor_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_Water_Monitor_reg                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_Water_Monitor_reg))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_en_shift                     (31)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_conti_shift                  (30)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_reach_thd_shift                      (24)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_thd_shift                    (16)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_highest_water_level_shift            (0)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_en_mask                      (0x80000000)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_conti_mask                   (0x40000000)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_reach_thd_mask                       (0x01000000)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_thd_mask                     (0x00FF0000)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_highest_water_level_mask             (0x000000FF)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_en(data)                     (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_conti(data)                  (0x40000000&((data)<<30))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_reach_thd(data)                      (0x01000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_monitor_thd(data)                    (0x00FF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_highest_water_level(data)            (0x000000FF&(data))
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_get_monitor_en(data)                 ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_get_monitor_conti(data)              ((0x40000000&(data))>>30)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_get_reach_thd(data)                  ((0x01000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_get_monitor_thd(data)                ((0x00FF0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_WR_Water_Monitor_get_highest_water_level(data)        (0x000000FF&(data))

#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1                                   0x1809B13C
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg_addr                           "0xB809B13C"
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg                                0xB809B13C
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_inst_addr                          "0x000F"
#define  set_MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg(data)                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_reg))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_setting_shift               (31)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_128_num_shift               (4)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_finish_status_shift                (0)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_setting_mask                (0x80000000)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_128_num_mask                (0x07FFFFF0)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_finish_status_mask                 (0x00000003)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_setting(data)               (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_remain_128_num(data)               (0x07FFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_finish_status(data)                (0x00000003&(data))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_get_remain_setting(data)           ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_get_remain_128_num(data)           ((0x07FFFFF0&(data))>>4)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st1_get_finish_status(data)            (0x00000003&(data))

#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2                                   0x1809B140
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg_addr                           "0xB809B140"
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg                                0xB809B140
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_inst_addr                          "0x0010"
#define  set_MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg(data)                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_reg))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_soft_rst_before_finish_shift       (31)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_remain_line_num_shift              (16)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_soft_rst_before_finish_mask        (0x80000000)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_remain_line_num_mask               (0x0FFF0000)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_soft_rst_before_finish(data)       (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_remain_line_num(data)              (0x0FFF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_get_soft_rst_before_finish(data)   ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_WR_num_bl_wrap_st2_get_remain_line_num(data)          ((0x0FFF0000&(data))>>16)

#define  MVINFO_DMA_MVINFO_dummy                                                0x1809B150
#define  MVINFO_DMA_MVINFO_dummy_reg_addr                                        "0xB809B150"
#define  MVINFO_DMA_MVINFO_dummy_reg                                             0xB809B150
#define  MVINFO_DMA_MVINFO_dummy_inst_addr                                       "0x0011"
#define  set_MVINFO_DMA_MVINFO_dummy_reg(data)                                   (*((volatile unsigned int*)MVINFO_DMA_MVINFO_dummy_reg)=data)
#define  get_MVINFO_DMA_MVINFO_dummy_reg                                         (*((volatile unsigned int*)MVINFO_DMA_MVINFO_dummy_reg))
#define  MVINFO_DMA_MVINFO_dummy_dummy_31_1_shift                                (1)
#define  MVINFO_DMA_MVINFO_dummy_old_kme_dma_4k_cmd_on_shift                     (0)
#define  MVINFO_DMA_MVINFO_dummy_dummy_31_1_mask                                 (0xFFFFFFFE)
#define  MVINFO_DMA_MVINFO_dummy_old_kme_dma_4k_cmd_on_mask                      (0x00000001)
#define  MVINFO_DMA_MVINFO_dummy_dummy_31_1(data)                                (0xFFFFFFFE&((data)<<1))
#define  MVINFO_DMA_MVINFO_dummy_old_kme_dma_4k_cmd_on(data)                     (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_dummy_get_dummy_31_1(data)                            ((0xFFFFFFFE&(data))>>1)
#define  MVINFO_DMA_MVINFO_dummy_get_old_kme_dma_4k_cmd_on(data)                 (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_RDMA_LSTEP                                           0x1809B15C
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_reg_addr                                   "0xB809B15C"
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_reg                                        0xB809B15C
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_inst_addr                                  "0x0012"
#define  set_MVINFO_DMA_MVINFO_RDMA_LSTEP_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_LSTEP_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RDMA_LSTEP_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_LSTEP_reg))
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_line_step_shift                            (4)
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_line_step_mask                             (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_line_step(data)                            (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_RDMA_LSTEP_get_line_step(data)                        ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_RD_client_en                                         0x1809B160
#define  MVINFO_DMA_MVINFO_RD_client_en_reg_addr                                 "0xB809B160"
#define  MVINFO_DMA_MVINFO_RD_client_en_reg                                      0xB809B160
#define  MVINFO_DMA_MVINFO_RD_client_en_inst_addr                                "0x0013"
#define  set_MVINFO_DMA_MVINFO_RD_client_en_reg(data)                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_client_en_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_client_en_reg                                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_client_en_reg))
#define  MVINFO_DMA_MVINFO_RD_client_en_use_rdma_size_shift                      (31)
#define  MVINFO_DMA_MVINFO_RD_client_en_mvinfo_enable_shift                      (0)
#define  MVINFO_DMA_MVINFO_RD_client_en_use_rdma_size_mask                       (0x80000000)
#define  MVINFO_DMA_MVINFO_RD_client_en_mvinfo_enable_mask                       (0x00000001)
#define  MVINFO_DMA_MVINFO_RD_client_en_use_rdma_size(data)                      (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_RD_client_en_mvinfo_enable(data)                      (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_RD_client_en_get_use_rdma_size(data)                  ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_RD_client_en_get_mvinfo_enable(data)                  (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_RDMA_CTRL                                            0x1809B164
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_reg_addr                                    "0xB809B164"
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_reg                                         0xB809B164
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_inst_addr                                   "0x0014"
#define  set_MVINFO_DMA_MVINFO_RDMA_CTRL_reg(data)                               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_CTRL_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RDMA_CTRL_reg                                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_CTRL_reg))
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_height_shift                                (12)
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_width_shift                                 (0)
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_height_mask                                 (0x00FFF000)
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_width_mask                                  (0x00000FFF)
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_height(data)                                (0x00FFF000&((data)<<12))
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_width(data)                                 (0x00000FFF&(data))
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_get_height(data)                            ((0x00FFF000&(data))>>12)
#define  MVINFO_DMA_MVINFO_RDMA_CTRL_get_width(data)                             (0x00000FFF&(data))

#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL                                          0x1809B168
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg_addr                                  "0xB809B168"
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg                                       0xB809B168
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_inst_addr                                 "0x0015"
#define  set_MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg(data)                             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg                                   (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RDMA_NUM_BL_reg))
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_bl_shift                                  (24)
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_line_128_num_shift                        (0)
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_bl_mask                                   (0x7F000000)
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_line_128_num_mask                         (0x007FFFFF)
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_bl(data)                                  (0x7F000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_line_128_num(data)                        (0x007FFFFF&(data))
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_get_bl(data)                              ((0x7F000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_RDMA_NUM_BL_get_line_128_num(data)                    (0x007FFFFF&(data))

#define  MVINFO_DMA_MVINFO_RD_Rule_check_up                                     0x1809B16C
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_reg_addr                             "0xB809B16C"
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_reg                                  0xB809B16C
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_inst_addr                            "0x0016"
#define  set_MVINFO_DMA_MVINFO_RD_Rule_check_up_reg(data)                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Rule_check_up_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_Rule_check_up_reg                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Rule_check_up_reg))
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_dma_up_limit_shift                   (4)
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_dma_up_limit_mask                    (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_dma_up_limit(data)                   (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_RD_Rule_check_up_get_dma_up_limit(data)               ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_RD_Rule_check_low                                    0x1809B170
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_reg_addr                            "0xB809B170"
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_reg                                 0xB809B170
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_inst_addr                           "0x0017"
#define  set_MVINFO_DMA_MVINFO_RD_Rule_check_low_reg(data)                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Rule_check_low_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_Rule_check_low_reg                             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Rule_check_low_reg))
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_dma_low_limit_shift                 (4)
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_dma_low_limit_mask                  (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_dma_low_limit(data)                 (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_RD_Rule_check_low_get_dma_low_limit(data)             ((0xFFFFFFF0&(data))>>4)

#define  MVINFO_DMA_MVINFO_RD_Ctrl                                              0x1809B174
#define  MVINFO_DMA_MVINFO_RD_Ctrl_reg_addr                                      "0xB809B174"
#define  MVINFO_DMA_MVINFO_RD_Ctrl_reg                                           0xB809B174
#define  MVINFO_DMA_MVINFO_RD_Ctrl_inst_addr                                     "0x0018"
#define  set_MVINFO_DMA_MVINFO_RD_Ctrl_reg(data)                                 (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Ctrl_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_Ctrl_reg                                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Ctrl_reg))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_31_10_shift                             (10)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_max_outstanding_shift                         (8)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_7_2_shift                               (2)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_force_all_rst_shift                           (1)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dma_enable_shift                              (0)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_31_10_mask                              (0xFFFFFC00)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_max_outstanding_mask                          (0x00000300)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_7_2_mask                                (0x000000FC)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_force_all_rst_mask                            (0x00000002)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dma_enable_mask                               (0x00000001)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_31_10(data)                             (0xFFFFFC00&((data)<<10))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_max_outstanding(data)                         (0x00000300&((data)<<8))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dummy_7_2(data)                               (0x000000FC&((data)<<2))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_force_all_rst(data)                           (0x00000002&((data)<<1))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_dma_enable(data)                              (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_RD_Ctrl_get_dummy_31_10(data)                         ((0xFFFFFC00&(data))>>10)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_get_max_outstanding(data)                     ((0x00000300&(data))>>8)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_get_dummy_7_2(data)                           ((0x000000FC&(data))>>2)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_get_force_all_rst(data)                       ((0x00000002&(data))>>1)
#define  MVINFO_DMA_MVINFO_RD_Ctrl_get_dma_enable(data)                          (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_RD_status                                            0x1809B178
#define  MVINFO_DMA_MVINFO_RD_status_reg_addr                                    "0xB809B178"
#define  MVINFO_DMA_MVINFO_RD_status_reg                                         0xB809B178
#define  MVINFO_DMA_MVINFO_RD_status_inst_addr                                   "0x0019"
#define  set_MVINFO_DMA_MVINFO_RD_status_reg(data)                               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_status_reg                                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status_reg))
#define  MVINFO_DMA_MVINFO_RD_status_dma_cmd_water_shift                         (28)
#define  MVINFO_DMA_MVINFO_RD_status_dma_data_water_shift                        (16)
#define  MVINFO_DMA_MVINFO_RD_status_cur_outstanding_shift                       (8)
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_before_cmd_finish_shift            (4)
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_with_data_left_shift               (3)
#define  MVINFO_DMA_MVINFO_RD_status_data_fifo_overflow_err_shift                (2)
#define  MVINFO_DMA_MVINFO_RD_status_exceed_range_err_shift                      (1)
#define  MVINFO_DMA_MVINFO_RD_status_zero_length_err_shift                       (0)
#define  MVINFO_DMA_MVINFO_RD_status_dma_cmd_water_mask                          (0x70000000)
#define  MVINFO_DMA_MVINFO_RD_status_dma_data_water_mask                         (0x00FF0000)
#define  MVINFO_DMA_MVINFO_RD_status_cur_outstanding_mask                        (0x00000700)
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_before_cmd_finish_mask             (0x00000010)
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_with_data_left_mask                (0x00000008)
#define  MVINFO_DMA_MVINFO_RD_status_data_fifo_overflow_err_mask                 (0x00000004)
#define  MVINFO_DMA_MVINFO_RD_status_exceed_range_err_mask                       (0x00000002)
#define  MVINFO_DMA_MVINFO_RD_status_zero_length_err_mask                        (0x00000001)
#define  MVINFO_DMA_MVINFO_RD_status_dma_cmd_water(data)                         (0x70000000&((data)<<28))
#define  MVINFO_DMA_MVINFO_RD_status_dma_data_water(data)                        (0x00FF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_RD_status_cur_outstanding(data)                       (0x00000700&((data)<<8))
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_before_cmd_finish(data)            (0x00000010&((data)<<4))
#define  MVINFO_DMA_MVINFO_RD_status_soft_rst_with_data_left(data)               (0x00000008&((data)<<3))
#define  MVINFO_DMA_MVINFO_RD_status_data_fifo_overflow_err(data)                (0x00000004&((data)<<2))
#define  MVINFO_DMA_MVINFO_RD_status_exceed_range_err(data)                      (0x00000002&((data)<<1))
#define  MVINFO_DMA_MVINFO_RD_status_zero_length_err(data)                       (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_RD_status_get_dma_cmd_water(data)                     ((0x70000000&(data))>>28)
#define  MVINFO_DMA_MVINFO_RD_status_get_dma_data_water(data)                    ((0x00FF0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_RD_status_get_cur_outstanding(data)                   ((0x00000700&(data))>>8)
#define  MVINFO_DMA_MVINFO_RD_status_get_soft_rst_before_cmd_finish(data)        ((0x00000010&(data))>>4)
#define  MVINFO_DMA_MVINFO_RD_status_get_soft_rst_with_data_left(data)           ((0x00000008&(data))>>3)
#define  MVINFO_DMA_MVINFO_RD_status_get_data_fifo_overflow_err(data)            ((0x00000004&(data))>>2)
#define  MVINFO_DMA_MVINFO_RD_status_get_exceed_range_err(data)                  ((0x00000002&(data))>>1)
#define  MVINFO_DMA_MVINFO_RD_status_get_zero_length_err(data)                   (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_RD_status1                                           0x1809B17C
#define  MVINFO_DMA_MVINFO_RD_status1_reg_addr                                   "0xB809B17C"
#define  MVINFO_DMA_MVINFO_RD_status1_reg                                        0xB809B17C
#define  MVINFO_DMA_MVINFO_RD_status1_inst_addr                                  "0x001A"
#define  set_MVINFO_DMA_MVINFO_RD_status1_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_status1_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status1_reg))
#define  MVINFO_DMA_MVINFO_RD_status1_ack_num_error_shift                        (31)
#define  MVINFO_DMA_MVINFO_RD_status1_last_no_ack_error_shift                    (30)
#define  MVINFO_DMA_MVINFO_RD_status1_target_ack_num_shift                       (16)
#define  MVINFO_DMA_MVINFO_RD_status1_last_ack_num_shift                         (8)
#define  MVINFO_DMA_MVINFO_RD_status1_selected_bl_shift                          (0)
#define  MVINFO_DMA_MVINFO_RD_status1_ack_num_error_mask                         (0x80000000)
#define  MVINFO_DMA_MVINFO_RD_status1_last_no_ack_error_mask                     (0x40000000)
#define  MVINFO_DMA_MVINFO_RD_status1_target_ack_num_mask                        (0x007F0000)
#define  MVINFO_DMA_MVINFO_RD_status1_last_ack_num_mask                          (0x00007F00)
#define  MVINFO_DMA_MVINFO_RD_status1_selected_bl_mask                           (0x0000007F)
#define  MVINFO_DMA_MVINFO_RD_status1_ack_num_error(data)                        (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_RD_status1_last_no_ack_error(data)                    (0x40000000&((data)<<30))
#define  MVINFO_DMA_MVINFO_RD_status1_target_ack_num(data)                       (0x007F0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_RD_status1_last_ack_num(data)                         (0x00007F00&((data)<<8))
#define  MVINFO_DMA_MVINFO_RD_status1_selected_bl(data)                          (0x0000007F&(data))
#define  MVINFO_DMA_MVINFO_RD_status1_get_ack_num_error(data)                    ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_RD_status1_get_last_no_ack_error(data)                ((0x40000000&(data))>>30)
#define  MVINFO_DMA_MVINFO_RD_status1_get_target_ack_num(data)                   ((0x007F0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_RD_status1_get_last_ack_num(data)                     ((0x00007F00&(data))>>8)
#define  MVINFO_DMA_MVINFO_RD_status1_get_selected_bl(data)                      (0x0000007F&(data))

#define  MVINFO_DMA_MVINFO_RD_status2                                           0x1809B180
#define  MVINFO_DMA_MVINFO_RD_status2_reg_addr                                   "0xB809B180"
#define  MVINFO_DMA_MVINFO_RD_status2_reg                                        0xB809B180
#define  MVINFO_DMA_MVINFO_RD_status2_inst_addr                                  "0x001B"
#define  set_MVINFO_DMA_MVINFO_RD_status2_reg(data)                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_status2_reg                                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_status2_reg))
#define  MVINFO_DMA_MVINFO_RD_status2_selected_addr_shift                        (4)
#define  MVINFO_DMA_MVINFO_RD_status2_addr_bl_sel_shift                          (0)
#define  MVINFO_DMA_MVINFO_RD_status2_selected_addr_mask                         (0xFFFFFFF0)
#define  MVINFO_DMA_MVINFO_RD_status2_addr_bl_sel_mask                           (0x00000003)
#define  MVINFO_DMA_MVINFO_RD_status2_selected_addr(data)                        (0xFFFFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_RD_status2_addr_bl_sel(data)                          (0x00000003&(data))
#define  MVINFO_DMA_MVINFO_RD_status2_get_selected_addr(data)                    ((0xFFFFFFF0&(data))>>4)
#define  MVINFO_DMA_MVINFO_RD_status2_get_addr_bl_sel(data)                      (0x00000003&(data))

#define  MVINFO_DMA_MVINFO_RD_Water_Monitor                                     0x1809B184
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_reg_addr                             "0xB809B184"
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_reg                                  0xB809B184
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_inst_addr                            "0x001C"
#define  set_MVINFO_DMA_MVINFO_RD_Water_Monitor_reg(data)                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Water_Monitor_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_Water_Monitor_reg                              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_Water_Monitor_reg))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_en_shift                     (31)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_conti_shift                  (30)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_reach_thd_shift                      (24)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_thd_shift                    (16)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_lowest_water_level_shift             (0)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_en_mask                      (0x80000000)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_conti_mask                   (0x40000000)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_reach_thd_mask                       (0x01000000)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_thd_mask                     (0x00FF0000)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_lowest_water_level_mask              (0x000000FF)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_en(data)                     (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_conti(data)                  (0x40000000&((data)<<30))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_reach_thd(data)                      (0x01000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_monitor_thd(data)                    (0x00FF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_lowest_water_level(data)             (0x000000FF&(data))
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_get_monitor_en(data)                 ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_get_monitor_conti(data)              ((0x40000000&(data))>>30)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_get_reach_thd(data)                  ((0x01000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_get_monitor_thd(data)                ((0x00FF0000&(data))>>16)
#define  MVINFO_DMA_MVINFO_RD_Water_Monitor_get_lowest_water_level(data)         (0x000000FF&(data))

#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1                                   0x1809B188
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg_addr                           "0xB809B188"
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg                                0xB809B188
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_inst_addr                          "0x001D"
#define  set_MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg(data)                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_reg))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_setting_shift               (31)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_128_num_shift               (4)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_finish_status_shift                (0)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_setting_mask                (0x80000000)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_128_num_mask                (0x07FFFFF0)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_finish_status_mask                 (0x00000003)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_setting(data)               (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_remain_128_num(data)               (0x07FFFFF0&((data)<<4))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_finish_status(data)                (0x00000003&(data))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_get_remain_setting(data)           ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_get_remain_128_num(data)           ((0x07FFFFF0&(data))>>4)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st1_get_finish_status(data)            (0x00000003&(data))

#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2                                   0x1809B18C
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg_addr                           "0xB809B18C"
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg                                0xB809B18C
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_inst_addr                          "0x001E"
#define  set_MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg(data)                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg                            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_reg))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_soft_rst_before_finish_shift       (31)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_remain_line_num_shift              (16)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_soft_rst_before_finish_mask        (0x80000000)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_remain_line_num_mask               (0x0FFF0000)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_soft_rst_before_finish(data)       (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_remain_line_num(data)              (0x0FFF0000&((data)<<16))
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_get_soft_rst_before_finish(data)   ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_RD_num_bl_wrap_st2_get_remain_line_num(data)          ((0x0FFF0000&(data))>>16)

#define  MVINFO_DMA_MVINFO_IN_CRC                                               0x1809B190
#define  MVINFO_DMA_MVINFO_IN_CRC_reg_addr                                       "0xB809B190"
#define  MVINFO_DMA_MVINFO_IN_CRC_reg                                            0xB809B190
#define  MVINFO_DMA_MVINFO_IN_CRC_inst_addr                                      "0x001F"
#define  set_MVINFO_DMA_MVINFO_IN_CRC_reg(data)                                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_IN_CRC_reg)=data)
#define  get_MVINFO_DMA_MVINFO_IN_CRC_reg                                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_IN_CRC_reg))
#define  MVINFO_DMA_MVINFO_IN_CRC_mvinfo_in_crc_shift                            (0)
#define  MVINFO_DMA_MVINFO_IN_CRC_mvinfo_in_crc_mask                             (0xFFFFFFFF)
#define  MVINFO_DMA_MVINFO_IN_CRC_mvinfo_in_crc(data)                            (0xFFFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_IN_CRC_get_mvinfo_in_crc(data)                        (0xFFFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_OUT_CRC                                              0x1809B194
#define  MVINFO_DMA_MVINFO_OUT_CRC_reg_addr                                      "0xB809B194"
#define  MVINFO_DMA_MVINFO_OUT_CRC_reg                                           0xB809B194
#define  MVINFO_DMA_MVINFO_OUT_CRC_inst_addr                                     "0x0020"
#define  set_MVINFO_DMA_MVINFO_OUT_CRC_reg(data)                                 (*((volatile unsigned int*)MVINFO_DMA_MVINFO_OUT_CRC_reg)=data)
#define  get_MVINFO_DMA_MVINFO_OUT_CRC_reg                                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_OUT_CRC_reg))
#define  MVINFO_DMA_MVINFO_OUT_CRC_mvinfo_out_crc_shift                          (0)
#define  MVINFO_DMA_MVINFO_OUT_CRC_mvinfo_out_crc_mask                           (0xFFFFFFFF)
#define  MVINFO_DMA_MVINFO_OUT_CRC_mvinfo_out_crc(data)                          (0xFFFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_OUT_CRC_get_mvinfo_out_crc(data)                      (0xFFFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_DEN_CNT                                          0x1809B198
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_reg_addr                                  "0xB809B198"
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_reg                                       0xB809B198
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_inst_addr                                 "0x0021"
#define  set_MVINFO_DMA_MVINFO_KME_DEN_CNT_reg(data)                             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_DEN_CNT_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_DEN_CNT_reg                                   (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_DEN_CNT_reg))
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_cnt_sel_shift                     (24)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_hcnt_shift                        (12)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_vcnt_shift                        (0)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_cnt_sel_mask                      (0xFF000000)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_hcnt_mask                         (0x00FFF000)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_vcnt_mask                         (0x00000FFF)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_cnt_sel(data)                     (0xFF000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_hcnt(data)                        (0x00FFF000&((data)<<12))
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_kme_den_vcnt(data)                        (0x00000FFF&(data))
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_get_kme_den_cnt_sel(data)                 ((0xFF000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_get_kme_den_hcnt(data)                    ((0x00FFF000&(data))>>12)
#define  MVINFO_DMA_MVINFO_KME_DEN_CNT_get_kme_den_vcnt(data)                    (0x00000FFF&(data))

#define  MVINFO_DMA_KMVINFO_KME_DEN                                             0x1809B19C
#define  MVINFO_DMA_KMVINFO_KME_DEN_reg_addr                                     "0xB809B19C"
#define  MVINFO_DMA_KMVINFO_KME_DEN_reg                                          0xB809B19C
#define  MVINFO_DMA_KMVINFO_KME_DEN_inst_addr                                    "0x0022"
#define  set_MVINFO_DMA_KMVINFO_KME_DEN_reg(data)                                (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_KME_DEN_reg)=data)
#define  get_MVINFO_DMA_KMVINFO_KME_DEN_reg                                      (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_KME_DEN_reg))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den7_err_shift                           (31)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den6_err_shift                           (30)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den5_err_shift                           (29)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den4_err_shift                           (28)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den3_err_shift                           (27)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den2_err_shift                           (26)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den1_err_shift                           (25)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den0_err_shift                           (24)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den7_err_shift                           (23)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den6_err_shift                           (22)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den5_err_shift                           (21)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den4_err_shift                           (20)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den3_err_shift                           (19)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den2_err_shift                           (18)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den1_err_shift                           (17)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den0_err_shift                           (16)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denf_err_shift                            (15)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dene_err_shift                            (14)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dend_err_shift                            (13)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denc_err_shift                            (12)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denb_err_shift                            (11)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dena_err_shift                            (10)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den9_err_shift                            (9)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den8_err_shift                            (8)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den7_err_shift                            (7)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den6_err_shift                            (6)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den5_err_shift                            (5)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den4_err_shift                            (4)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den3_err_shift                            (3)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den2_err_shift                            (2)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den1_err_shift                            (1)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den0_err_shift                            (0)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den7_err_mask                            (0x80000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den6_err_mask                            (0x40000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den5_err_mask                            (0x20000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den4_err_mask                            (0x10000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den3_err_mask                            (0x08000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den2_err_mask                            (0x04000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den1_err_mask                            (0x02000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den0_err_mask                            (0x01000000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den7_err_mask                            (0x00800000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den6_err_mask                            (0x00400000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den5_err_mask                            (0x00200000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den4_err_mask                            (0x00100000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den3_err_mask                            (0x00080000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den2_err_mask                            (0x00040000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den1_err_mask                            (0x00020000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den0_err_mask                            (0x00010000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denf_err_mask                             (0x00008000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dene_err_mask                             (0x00004000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dend_err_mask                             (0x00002000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denc_err_mask                             (0x00001000)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denb_err_mask                             (0x00000800)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dena_err_mask                             (0x00000400)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den9_err_mask                             (0x00000200)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den8_err_mask                             (0x00000100)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den7_err_mask                             (0x00000080)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den6_err_mask                             (0x00000040)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den5_err_mask                             (0x00000020)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den4_err_mask                             (0x00000010)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den3_err_mask                             (0x00000008)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den2_err_mask                             (0x00000004)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den1_err_mask                             (0x00000002)
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den0_err_mask                             (0x00000001)
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den7_err(data)                           (0x80000000&((data)<<31))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den6_err(data)                           (0x40000000&((data)<<30))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den5_err(data)                           (0x20000000&((data)<<29))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den4_err(data)                           (0x10000000&((data)<<28))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den3_err(data)                           (0x08000000&((data)<<27))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den2_err(data)                           (0x04000000&((data)<<26))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den1_err(data)                           (0x02000000&((data)<<25))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me1_den0_err(data)                           (0x01000000&((data)<<24))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den7_err(data)                           (0x00800000&((data)<<23))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den6_err(data)                           (0x00400000&((data)<<22))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den5_err(data)                           (0x00200000&((data)<<21))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den4_err(data)                           (0x00100000&((data)<<20))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den3_err(data)                           (0x00080000&((data)<<19))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den2_err(data)                           (0x00040000&((data)<<18))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den1_err(data)                           (0x00020000&((data)<<17))
#define  MVINFO_DMA_KMVINFO_KME_DEN_me2_den0_err(data)                           (0x00010000&((data)<<16))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denf_err(data)                            (0x00008000&((data)<<15))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dene_err(data)                            (0x00004000&((data)<<14))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dend_err(data)                            (0x00002000&((data)<<13))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denc_err(data)                            (0x00001000&((data)<<12))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_denb_err(data)                            (0x00000800&((data)<<11))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_dena_err(data)                            (0x00000400&((data)<<10))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den9_err(data)                            (0x00000200&((data)<<9))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den8_err(data)                            (0x00000100&((data)<<8))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den7_err(data)                            (0x00000080&((data)<<7))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den6_err(data)                            (0x00000040&((data)<<6))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den5_err(data)                            (0x00000020&((data)<<5))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den4_err(data)                            (0x00000010&((data)<<4))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den3_err(data)                            (0x00000008&((data)<<3))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den2_err(data)                            (0x00000004&((data)<<2))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den1_err(data)                            (0x00000002&((data)<<1))
#define  MVINFO_DMA_KMVINFO_KME_DEN_dh_den0_err(data)                            (0x00000001&(data))
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den7_err(data)                       ((0x80000000&(data))>>31)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den6_err(data)                       ((0x40000000&(data))>>30)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den5_err(data)                       ((0x20000000&(data))>>29)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den4_err(data)                       ((0x10000000&(data))>>28)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den3_err(data)                       ((0x08000000&(data))>>27)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den2_err(data)                       ((0x04000000&(data))>>26)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den1_err(data)                       ((0x02000000&(data))>>25)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me1_den0_err(data)                       ((0x01000000&(data))>>24)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den7_err(data)                       ((0x00800000&(data))>>23)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den6_err(data)                       ((0x00400000&(data))>>22)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den5_err(data)                       ((0x00200000&(data))>>21)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den4_err(data)                       ((0x00100000&(data))>>20)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den3_err(data)                       ((0x00080000&(data))>>19)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den2_err(data)                       ((0x00040000&(data))>>18)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den1_err(data)                       ((0x00020000&(data))>>17)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_me2_den0_err(data)                       ((0x00010000&(data))>>16)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_denf_err(data)                        ((0x00008000&(data))>>15)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_dene_err(data)                        ((0x00004000&(data))>>14)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_dend_err(data)                        ((0x00002000&(data))>>13)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_denc_err(data)                        ((0x00001000&(data))>>12)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_denb_err(data)                        ((0x00000800&(data))>>11)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_dena_err(data)                        ((0x00000400&(data))>>10)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den9_err(data)                        ((0x00000200&(data))>>9)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den8_err(data)                        ((0x00000100&(data))>>8)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den7_err(data)                        ((0x00000080&(data))>>7)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den6_err(data)                        ((0x00000040&(data))>>6)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den5_err(data)                        ((0x00000020&(data))>>5)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den4_err(data)                        ((0x00000010&(data))>>4)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den3_err(data)                        ((0x00000008&(data))>>3)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den2_err(data)                        ((0x00000004&(data))>>2)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den1_err(data)                        ((0x00000002&(data))>>1)
#define  MVINFO_DMA_KMVINFO_KME_DEN_get_dh_den0_err(data)                        (0x00000001&(data))

#define  MVINFO_DMA_KMVINFO_STATUS                                              0x1809B1A0
#define  MVINFO_DMA_KMVINFO_STATUS_reg_addr                                      "0xB809B1A0"
#define  MVINFO_DMA_KMVINFO_STATUS_reg                                           0xB809B1A0
#define  MVINFO_DMA_KMVINFO_STATUS_inst_addr                                     "0x0023"
#define  set_MVINFO_DMA_KMVINFO_STATUS_reg(data)                                 (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_STATUS_reg)=data)
#define  get_MVINFO_DMA_KMVINFO_STATUS_reg                                       (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_STATUS_reg))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_more_shift                      (7)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_less_shift                      (6)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_more_shift                     (5)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_less_shift                     (4)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_den_overlap_shift                      (3)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_crc_err_shift                          (2)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_underflow_shift                    (1)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_overflow_shift                     (0)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_more_mask                       (0x00000080)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_less_mask                       (0x00000040)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_more_mask                      (0x00000020)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_less_mask                      (0x00000010)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_den_overlap_mask                       (0x00000008)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_crc_err_mask                           (0x00000004)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_underflow_mask                     (0x00000002)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_overflow_mask                      (0x00000001)
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_more(data)                      (0x00000080&((data)<<7))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_in_den_less(data)                      (0x00000040&((data)<<6))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_more(data)                     (0x00000020&((data)<<5))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_out_den_less(data)                     (0x00000010&((data)<<4))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_den_overlap(data)                      (0x00000008&((data)<<3))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_crc_err(data)                          (0x00000004&((data)<<2))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_underflow(data)                    (0x00000002&((data)<<1))
#define  MVINFO_DMA_KMVINFO_STATUS_mvinfo_dma_overflow(data)                     (0x00000001&(data))
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_in_den_more(data)                  ((0x00000080&(data))>>7)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_in_den_less(data)                  ((0x00000040&(data))>>6)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_out_den_more(data)                 ((0x00000020&(data))>>5)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_out_den_less(data)                 ((0x00000010&(data))>>4)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_den_overlap(data)                  ((0x00000008&(data))>>3)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_crc_err(data)                      ((0x00000004&(data))>>2)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_dma_underflow(data)                ((0x00000002&(data))>>1)
#define  MVINFO_DMA_KMVINFO_STATUS_get_mvinfo_dma_overflow(data)                 (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_INT                                                  0x1809B1A4
#define  MVINFO_DMA_MVINFO_INT_reg_addr                                          "0xB809B1A4"
#define  MVINFO_DMA_MVINFO_INT_reg                                               0xB809B1A4
#define  MVINFO_DMA_MVINFO_INT_inst_addr                                         "0x0024"
#define  set_MVINFO_DMA_MVINFO_INT_reg(data)                                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_INT_reg)=data)
#define  get_MVINFO_DMA_MVINFO_INT_reg                                           (*((volatile unsigned int*)MVINFO_DMA_MVINFO_INT_reg))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq_en_shift                       (18)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq_en_shift                 (17)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq_en_shift                  (16)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq_shift                          (2)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq_shift                    (1)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq_shift                     (0)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq_en_mask                        (0x00040000)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq_en_mask                  (0x00020000)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq_en_mask                   (0x00010000)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq_mask                           (0x00000004)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq_mask                     (0x00000002)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq_mask                      (0x00000001)
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq_en(data)                       (0x00040000&((data)<<18))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq_en(data)                 (0x00020000&((data)<<17))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq_en(data)                  (0x00010000&((data)<<16))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_crc_err_irq(data)                          (0x00000004&((data)<<2))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_underflow_irq(data)                    (0x00000002&((data)<<1))
#define  MVINFO_DMA_MVINFO_INT_mvinfo_dma_overflow_irq(data)                     (0x00000001&(data))
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_crc_err_irq_en(data)                   ((0x00040000&(data))>>18)
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_dma_underflow_irq_en(data)             ((0x00020000&(data))>>17)
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_dma_overflow_irq_en(data)              ((0x00010000&(data))>>16)
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_crc_err_irq(data)                      ((0x00000004&(data))>>2)
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_dma_underflow_irq(data)                ((0x00000002&(data))>>1)
#define  MVINFO_DMA_MVINFO_INT_get_mvinfo_dma_overflow_irq(data)                 (0x00000001&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl                              0x1809B1A8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg_addr                      "0xB809B1A8"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg                           0xB809B1A8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_inst_addr                     "0x0025"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg(data)                 (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg                       (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_en_shift       (31)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_compare_shift  (24)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_sta0_shift     (8)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_end0_shift     (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_en_mask        (0x80000000)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_compare_mask   (0x03000000)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_sta0_mask      (0x0000FF00)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_end0_mask      (0x000000FF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_en(data)       (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_compare(data)  (0x03000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_sta0(data)     (0x0000FF00&((data)<<8))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_timing_monitor_end0(data)     (0x000000FF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_get_timing_monitor_en(data)   ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_get_timing_monitor_compare(data) ((0x03000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_get_timing_monitor_sta0(data) ((0x0000FF00&(data))>>8)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_ctrl_get_timing_monitor_end0(data) (0x000000FF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th                        0x1809B1AC
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg_addr                "0xB809B1AC"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg                     0xB809B1AC
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_inst_addr               "0x0026"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg(data)           (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg                 (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_t_m_compare_th_shift    (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_t_m_compare_th_mask     (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_t_m_compare_th(data)    (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_compare_th_get_t_m_compare_th(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden                            0x1809B1B0
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg_addr                    "0xB809B1B0"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg                         0xB809B1B0
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_inst_addr                   "0x0027"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg(data)               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_t_m_golden_shift            (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_t_m_golden_mask             (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_t_m_golden(data)            (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_golden_get_t_m_golden(data)        (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0                           0x1809B1B4
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg_addr                   "0xB809B1B4"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg                        0xB809B1B4
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_inst_addr                  "0x0028"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg(data)              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_t_m_result_previous0_shift (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_t_m_result_previous0_mask  (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_t_m_result_previous0(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result0_get_t_m_result_previous0(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1                           0x1809B1B8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg_addr                   "0xB809B1B8"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg                        0xB809B1B8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_inst_addr                  "0x0029"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg(data)              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_t_m_result_previous1_shift (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_t_m_result_previous1_mask  (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_t_m_result_previous1(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result1_get_t_m_result_previous1(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2                           0x1809B1BC
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg_addr                   "0xB809B1BC"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg                        0xB809B1BC
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_inst_addr                  "0x002A"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg(data)              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_t_m_result_previous2_shift (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_t_m_result_previous2_mask  (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_t_m_result_previous2(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result2_get_t_m_result_previous2(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3                           0x1809B1C0
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg_addr                   "0xB809B1C0"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg                        0xB809B1C0
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_inst_addr                  "0x002B"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg(data)              (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg                    (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_t_m_result_previous3_shift (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_t_m_result_previous3_mask  (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_t_m_result_previous3(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_result3_get_t_m_result_previous3(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max                               0x1809B1C4
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg_addr                       "0xB809B1C4"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg                            0xB809B1C4
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_inst_addr                      "0x002C"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg(data)                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_max_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_t_m_result_max_shift           (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_t_m_result_max_mask            (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_t_m_result_max(data)           (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_max_get_t_m_result_max(data)       (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min                               0x1809B1C8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg_addr                       "0xB809B1C8"
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg                            0xB809B1C8
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_inst_addr                      "0x002D"
#define  set_MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg(data)                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg                        (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KME_Timing_monitor_min_reg))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_t_m_result_min_shift           (0)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_t_m_result_min_mask            (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_t_m_result_min(data)           (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KME_Timing_monitor_min_get_t_m_result_min(data)       (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl                            0x1809B1D0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg_addr                    "0xB809B1D0"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg                         0xB809B1D0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_inst_addr                   "0x002E"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg(data)               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg                     (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_en_shift     (31)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_compare_shift (24)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_sta0_shift   (8)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_end0_shift   (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_en_mask      (0x80000000)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_compare_mask (0x03000000)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_sta0_mask    (0x0000FF00)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_end0_mask    (0x000000FF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_en(data)     (0x80000000&((data)<<31))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_compare(data) (0x03000000&((data)<<24))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_sta0(data)   (0x0000FF00&((data)<<8))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_timing_monitor_end0(data)   (0x000000FF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_get_timing_monitor_en(data) ((0x80000000&(data))>>31)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_get_timing_monitor_compare(data) ((0x03000000&(data))>>24)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_get_timing_monitor_sta0(data) ((0x0000FF00&(data))>>8)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_ctrl_get_timing_monitor_end0(data) (0x000000FF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th                      0x1809B1D4
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg_addr              "0xB809B1D4"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg                   0xB809B1D4
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_inst_addr             "0x002F"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg(data)         (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg               (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_t_m_compare_th_shift  (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_t_m_compare_th_mask   (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_t_m_compare_th(data)  (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_compare_th_get_t_m_compare_th(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden                          0x1809B1D8
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg_addr                  "0xB809B1D8"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg                       0xB809B1D8
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_inst_addr                 "0x0030"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg(data)             (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg                   (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_t_m_golden_shift          (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_t_m_golden_mask           (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_t_m_golden(data)          (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_golden_get_t_m_golden(data)      (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0                         0x1809B1DC
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg_addr                 "0xB809B1DC"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg                      0xB809B1DC
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_inst_addr                "0x0031"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg(data)            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_t_m_result_previous0_shift (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_t_m_result_previous0_mask (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_t_m_result_previous0(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result0_get_t_m_result_previous0(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1                         0x1809B1E0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg_addr                 "0xB809B1E0"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg                      0xB809B1E0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_inst_addr                "0x0032"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg(data)            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_t_m_result_previous1_shift (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_t_m_result_previous1_mask (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_t_m_result_previous1(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result1_get_t_m_result_previous1(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2                         0x1809B1E4
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg_addr                 "0xB809B1E4"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg                      0xB809B1E4
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_inst_addr                "0x0033"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg(data)            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_t_m_result_previous2_shift (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_t_m_result_previous2_mask (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_t_m_result_previous2(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result2_get_t_m_result_previous2(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3                         0x1809B1E8
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg_addr                 "0xB809B1E8"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg                      0xB809B1E8
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_inst_addr                "0x0034"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg(data)            (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg                  (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_t_m_result_previous3_shift (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_t_m_result_previous3_mask (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_t_m_result_previous3(data) (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_result3_get_t_m_result_previous3(data) (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max                             0x1809B1EC
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg_addr                     "0xB809B1EC"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg                          0xB809B1EC
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_inst_addr                    "0x0035"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg(data)                (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_t_m_result_max_shift         (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_t_m_result_max_mask          (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_t_m_result_max(data)         (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_max_get_t_m_result_max(data)     (0x0FFFFFFF&(data))

#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min                             0x1809B1F0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg_addr                     "0xB809B1F0"
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg                          0xB809B1F0
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_inst_addr                    "0x0036"
#define  set_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg(data)                (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg)=data)
#define  get_MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg                      (*((volatile unsigned int*)MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_reg))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_t_m_result_min_shift         (0)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_t_m_result_min_mask          (0x0FFFFFFF)
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_t_m_result_min(data)         (0x0FFFFFFF&(data))
#define  MVINFO_DMA_MVINFO_KPOST_Timing_monitor_min_get_t_m_result_min(data)     (0x0FFFFFFF&(data))

#define  MVINFO_DMA_KMVINFO_DM                                                  0x1809B1F4
#define  MVINFO_DMA_KMVINFO_DM_reg_addr                                          "0xB809B1F4"
#define  MVINFO_DMA_KMVINFO_DM_reg                                               0xB809B1F4
#define  MVINFO_DMA_KMVINFO_DM_inst_addr                                         "0x0037"
#define  set_MVINFO_DMA_KMVINFO_DM_reg(data)                                     (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_DM_reg)=data)
#define  get_MVINFO_DMA_KMVINFO_DM_reg                                           (*((volatile unsigned int*)MVINFO_DMA_KMVINFO_DM_reg))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig1_err_shift                     (7)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig0_err_shift                     (6)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig1_err_shift                     (5)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig0_err_shift                     (4)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig1_err_shift                     (3)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig0_err_shift                     (2)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig1_err_shift                     (1)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig0_err_shift                     (0)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig1_err_mask                      (0x00000080)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig0_err_mask                      (0x00000040)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig1_err_mask                      (0x00000020)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig0_err_mask                      (0x00000010)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig1_err_mask                      (0x00000008)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig0_err_mask                      (0x00000004)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig1_err_mask                      (0x00000002)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig0_err_mask                      (0x00000001)
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig1_err(data)                     (0x00000080&((data)<<7))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share03_trig0_err(data)                     (0x00000040&((data)<<6))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig1_err(data)                     (0x00000020&((data)<<5))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share02_trig0_err(data)                     (0x00000010&((data)<<4))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig1_err(data)                     (0x00000008&((data)<<3))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share01_trig0_err(data)                     (0x00000004&((data)<<2))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig1_err(data)                     (0x00000002&((data)<<1))
#define  MVINFO_DMA_KMVINFO_DM_dm_in_share00_trig0_err(data)                     (0x00000001&(data))
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share03_trig1_err(data)                 ((0x00000080&(data))>>7)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share03_trig0_err(data)                 ((0x00000040&(data))>>6)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share02_trig1_err(data)                 ((0x00000020&(data))>>5)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share02_trig0_err(data)                 ((0x00000010&(data))>>4)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share01_trig1_err(data)                 ((0x00000008&(data))>>3)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share01_trig0_err(data)                 ((0x00000004&(data))>>2)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share00_trig1_err(data)                 ((0x00000002&(data))>>1)
#define  MVINFO_DMA_KMVINFO_DM_get_dm_in_share00_trig0_err(data)                 (0x00000001&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======MVINFO_DMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  double_ddr_space:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  mvinfo_enable:1;
    };
}mvinfo_dma_mvinfo_wr_client_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  height:12;
        RBus_UInt32  width:12;
    };
}mvinfo_dma_mvinfo_wdma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  bl:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  line_128_num:23;
    };
}mvinfo_dma_mvinfo_wdma_num_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  line_step:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wdma_lstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  start_address0:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wdma_mstart0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  start_address1:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wdma_mstart1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  end_address0:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wdma_mend0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  end_address1:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wdma_mend1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_up_limit:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wr_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_low_limit:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_wr_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809b128_31_10:22;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dummy1809b128_7_2:6;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  dma_enable:1;
    };
}mvinfo_dma_mvinfo_wr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res2:4;
        RBus_UInt32  dma_data_water:8;
        RBus_UInt32  res3:5;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  data_fifo_underflow_err:1;
        RBus_UInt32  exceed_range_err:1;
        RBus_UInt32  zero_length_err:1;
    };
}mvinfo_dma_mvinfo_wr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ack_num_error:1;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  selected_bl:7;
    };
}mvinfo_dma_mvinfo_wr_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  selected_addr:28;
        RBus_UInt32  res1:1;
        RBus_UInt32  cap_blk_sel:1;
        RBus_UInt32  addr_bl_sel:2;
    };
}mvinfo_dma_mvinfo_wr_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  monitor_en:1;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  monitor_thd:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  highest_water_level:8;
    };
}mvinfo_dma_mvinfo_wr_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  remain_setting:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  remain_128_num:23;
        RBus_UInt32  res2:2;
        RBus_UInt32  finish_status:2;
    };
}mvinfo_dma_mvinfo_wr_num_bl_wrap_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  soft_rst_before_finish:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  remain_line_num:12;
        RBus_UInt32  res2:16;
    };
}mvinfo_dma_mvinfo_wr_num_bl_wrap_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809b150_31_1:31;
        RBus_UInt32  old_kme_dma_4k_cmd_on:1;
    };
}mvinfo_dma_mvinfo_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  line_step:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_rdma_lstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  use_rdma_size:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  mvinfo_enable:1;
    };
}mvinfo_dma_mvinfo_rd_client_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  height:12;
        RBus_UInt32  width:12;
    };
}mvinfo_dma_mvinfo_rdma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  bl:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  line_128_num:23;
    };
}mvinfo_dma_mvinfo_rdma_num_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_up_limit:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_rd_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_low_limit:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_rd_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809b174_31_10:22;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dummy1809b174_7_2:6;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  dma_enable:1;
    };
}mvinfo_dma_mvinfo_rd_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res2:4;
        RBus_UInt32  dma_data_water:8;
        RBus_UInt32  res3:5;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  data_fifo_overflow_err:1;
        RBus_UInt32  exceed_range_err:1;
        RBus_UInt32  zero_length_err:1;
    };
}mvinfo_dma_mvinfo_rd_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ack_num_error:1;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  selected_bl:7;
    };
}mvinfo_dma_mvinfo_rd_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  selected_addr:28;
        RBus_UInt32  res1:2;
        RBus_UInt32  addr_bl_sel:2;
    };
}mvinfo_dma_mvinfo_rd_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  monitor_en:1;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  monitor_thd:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  lowest_water_level:8;
    };
}mvinfo_dma_mvinfo_rd_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  remain_setting:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  remain_128_num:23;
        RBus_UInt32  res2:2;
        RBus_UInt32  finish_status:2;
    };
}mvinfo_dma_mvinfo_rd_num_bl_wrap_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  soft_rst_before_finish:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  remain_line_num:12;
        RBus_UInt32  res2:16;
    };
}mvinfo_dma_mvinfo_rd_num_bl_wrap_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_in_crc:32;
    };
}mvinfo_dma_mvinfo_in_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_out_crc:32;
    };
}mvinfo_dma_mvinfo_out_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_den_cnt_sel:8;
        RBus_UInt32  kme_den_hcnt:12;
        RBus_UInt32  kme_den_vcnt:12;
    };
}mvinfo_dma_mvinfo_kme_den_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  me1_den7_err:1;
        RBus_UInt32  me1_den6_err:1;
        RBus_UInt32  me1_den5_err:1;
        RBus_UInt32  me1_den4_err:1;
        RBus_UInt32  me1_den3_err:1;
        RBus_UInt32  me1_den2_err:1;
        RBus_UInt32  me1_den1_err:1;
        RBus_UInt32  me1_den0_err:1;
        RBus_UInt32  me2_den7_err:1;
        RBus_UInt32  me2_den6_err:1;
        RBus_UInt32  me2_den5_err:1;
        RBus_UInt32  me2_den4_err:1;
        RBus_UInt32  me2_den3_err:1;
        RBus_UInt32  me2_den2_err:1;
        RBus_UInt32  me2_den1_err:1;
        RBus_UInt32  me2_den0_err:1;
        RBus_UInt32  dh_denf_err:1;
        RBus_UInt32  dh_dene_err:1;
        RBus_UInt32  dh_dend_err:1;
        RBus_UInt32  dh_denc_err:1;
        RBus_UInt32  dh_denb_err:1;
        RBus_UInt32  dh_dena_err:1;
        RBus_UInt32  dh_den9_err:1;
        RBus_UInt32  dh_den8_err:1;
        RBus_UInt32  dh_den7_err:1;
        RBus_UInt32  dh_den6_err:1;
        RBus_UInt32  dh_den5_err:1;
        RBus_UInt32  dh_den4_err:1;
        RBus_UInt32  dh_den3_err:1;
        RBus_UInt32  dh_den2_err:1;
        RBus_UInt32  dh_den1_err:1;
        RBus_UInt32  dh_den0_err:1;
    };
}mvinfo_dma_kmvinfo_kme_den_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  mvinfo_in_den_more:1;
        RBus_UInt32  mvinfo_in_den_less:1;
        RBus_UInt32  mvinfo_out_den_more:1;
        RBus_UInt32  mvinfo_out_den_less:1;
        RBus_UInt32  mvinfo_den_overlap:1;
        RBus_UInt32  mvinfo_crc_err:1;
        RBus_UInt32  mvinfo_dma_underflow:1;
        RBus_UInt32  mvinfo_dma_overflow:1;
    };
}mvinfo_dma_kmvinfo_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  mvinfo_crc_err_irq_en:1;
        RBus_UInt32  mvinfo_dma_underflow_irq_en:1;
        RBus_UInt32  mvinfo_dma_overflow_irq_en:1;
        RBus_UInt32  res2:13;
        RBus_UInt32  mvinfo_crc_err_irq:1;
        RBus_UInt32  mvinfo_dma_underflow_irq:1;
        RBus_UInt32  mvinfo_dma_overflow_irq:1;
    };
}mvinfo_dma_mvinfo_int_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_en:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  res2:8;
        RBus_UInt32  timing_monitor_sta0:8;
        RBus_UInt32  timing_monitor_end0:8;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_compare_th:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_golden:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous0:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous1:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous2:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous3:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_max:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_min:28;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_en:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  res2:8;
        RBus_UInt32  timing_monitor_sta0:8;
        RBus_UInt32  timing_monitor_end0:8;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_compare_th:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_golden:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous0:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous1:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous2:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous3:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_max:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_min:28;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dm_in_share03_trig1_err:1;
        RBus_UInt32  dm_in_share03_trig0_err:1;
        RBus_UInt32  dm_in_share02_trig1_err:1;
        RBus_UInt32  dm_in_share02_trig0_err:1;
        RBus_UInt32  dm_in_share01_trig1_err:1;
        RBus_UInt32  dm_in_share01_trig0_err:1;
        RBus_UInt32  dm_in_share00_trig1_err:1;
        RBus_UInt32  dm_in_share00_trig0_err:1;
    };
}mvinfo_dma_kmvinfo_dm_RBUS;

#else //apply LITTLE_ENDIAN

//======MVINFO_DMA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_enable:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  double_ddr_space:1;
    };
}mvinfo_dma_mvinfo_wr_client_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  width:12;
        RBus_UInt32  height:12;
        RBus_UInt32  res1:8;
    };
}mvinfo_dma_mvinfo_wdma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  line_128_num:23;
        RBus_UInt32  res1:1;
        RBus_UInt32  bl:7;
        RBus_UInt32  res2:1;
    };
}mvinfo_dma_mvinfo_wdma_num_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  line_step:28;
    };
}mvinfo_dma_mvinfo_wdma_lstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  start_address0:28;
    };
}mvinfo_dma_mvinfo_wdma_mstart0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  start_address1:28;
    };
}mvinfo_dma_mvinfo_wdma_mstart1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  end_address0:28;
    };
}mvinfo_dma_mvinfo_wdma_mend0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  end_address1:28;
    };
}mvinfo_dma_mvinfo_wdma_mend1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_up_limit:28;
    };
}mvinfo_dma_mvinfo_wr_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_low_limit:28;
    };
}mvinfo_dma_mvinfo_wr_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_enable:1;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  dummy1809b128_7_2:6;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dummy1809b128_31_10:22;
    };
}mvinfo_dma_mvinfo_wr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  zero_length_err:1;
        RBus_UInt32  exceed_range_err:1;
        RBus_UInt32  data_fifo_underflow_err:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  dma_data_water:8;
        RBus_UInt32  res3:4;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res4:1;
    };
}mvinfo_dma_mvinfo_wr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  selected_bl:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res3:7;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  ack_num_error:1;
    };
}mvinfo_dma_mvinfo_wr_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr_bl_sel:2;
        RBus_UInt32  cap_blk_sel:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  selected_addr:28;
    };
}mvinfo_dma_mvinfo_wr_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  highest_water_level:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  monitor_thd:8;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  monitor_en:1;
    };
}mvinfo_dma_mvinfo_wr_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  finish_status:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  remain_128_num:23;
        RBus_UInt32  res2:4;
        RBus_UInt32  remain_setting:1;
    };
}mvinfo_dma_mvinfo_wr_num_bl_wrap_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  remain_line_num:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  soft_rst_before_finish:1;
    };
}mvinfo_dma_mvinfo_wr_num_bl_wrap_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  old_kme_dma_4k_cmd_on:1;
        RBus_UInt32  dummy1809b150_31_1:31;
    };
}mvinfo_dma_mvinfo_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  line_step:28;
    };
}mvinfo_dma_mvinfo_rdma_lstep_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_enable:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  use_rdma_size:1;
    };
}mvinfo_dma_mvinfo_rd_client_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  width:12;
        RBus_UInt32  height:12;
        RBus_UInt32  res1:8;
    };
}mvinfo_dma_mvinfo_rdma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  line_128_num:23;
        RBus_UInt32  res1:1;
        RBus_UInt32  bl:7;
        RBus_UInt32  res2:1;
    };
}mvinfo_dma_mvinfo_rdma_num_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_up_limit:28;
    };
}mvinfo_dma_mvinfo_rd_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_low_limit:28;
    };
}mvinfo_dma_mvinfo_rd_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_enable:1;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  dummy1809b174_7_2:6;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dummy1809b174_31_10:22;
    };
}mvinfo_dma_mvinfo_rd_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  zero_length_err:1;
        RBus_UInt32  exceed_range_err:1;
        RBus_UInt32  data_fifo_overflow_err:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  dma_data_water:8;
        RBus_UInt32  res3:4;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res4:1;
    };
}mvinfo_dma_mvinfo_rd_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  selected_bl:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res3:7;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  ack_num_error:1;
    };
}mvinfo_dma_mvinfo_rd_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr_bl_sel:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  selected_addr:28;
    };
}mvinfo_dma_mvinfo_rd_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lowest_water_level:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  monitor_thd:8;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  monitor_en:1;
    };
}mvinfo_dma_mvinfo_rd_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  finish_status:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  remain_128_num:23;
        RBus_UInt32  res2:4;
        RBus_UInt32  remain_setting:1;
    };
}mvinfo_dma_mvinfo_rd_num_bl_wrap_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  remain_line_num:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  soft_rst_before_finish:1;
    };
}mvinfo_dma_mvinfo_rd_num_bl_wrap_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_in_crc:32;
    };
}mvinfo_dma_mvinfo_in_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_out_crc:32;
    };
}mvinfo_dma_mvinfo_out_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_den_vcnt:12;
        RBus_UInt32  kme_den_hcnt:12;
        RBus_UInt32  kme_den_cnt_sel:8;
    };
}mvinfo_dma_mvinfo_kme_den_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_den0_err:1;
        RBus_UInt32  dh_den1_err:1;
        RBus_UInt32  dh_den2_err:1;
        RBus_UInt32  dh_den3_err:1;
        RBus_UInt32  dh_den4_err:1;
        RBus_UInt32  dh_den5_err:1;
        RBus_UInt32  dh_den6_err:1;
        RBus_UInt32  dh_den7_err:1;
        RBus_UInt32  dh_den8_err:1;
        RBus_UInt32  dh_den9_err:1;
        RBus_UInt32  dh_dena_err:1;
        RBus_UInt32  dh_denb_err:1;
        RBus_UInt32  dh_denc_err:1;
        RBus_UInt32  dh_dend_err:1;
        RBus_UInt32  dh_dene_err:1;
        RBus_UInt32  dh_denf_err:1;
        RBus_UInt32  me2_den0_err:1;
        RBus_UInt32  me2_den1_err:1;
        RBus_UInt32  me2_den2_err:1;
        RBus_UInt32  me2_den3_err:1;
        RBus_UInt32  me2_den4_err:1;
        RBus_UInt32  me2_den5_err:1;
        RBus_UInt32  me2_den6_err:1;
        RBus_UInt32  me2_den7_err:1;
        RBus_UInt32  me1_den0_err:1;
        RBus_UInt32  me1_den1_err:1;
        RBus_UInt32  me1_den2_err:1;
        RBus_UInt32  me1_den3_err:1;
        RBus_UInt32  me1_den4_err:1;
        RBus_UInt32  me1_den5_err:1;
        RBus_UInt32  me1_den6_err:1;
        RBus_UInt32  me1_den7_err:1;
    };
}mvinfo_dma_kmvinfo_kme_den_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_dma_overflow:1;
        RBus_UInt32  mvinfo_dma_underflow:1;
        RBus_UInt32  mvinfo_crc_err:1;
        RBus_UInt32  mvinfo_den_overlap:1;
        RBus_UInt32  mvinfo_out_den_less:1;
        RBus_UInt32  mvinfo_out_den_more:1;
        RBus_UInt32  mvinfo_in_den_less:1;
        RBus_UInt32  mvinfo_in_den_more:1;
        RBus_UInt32  res1:24;
    };
}mvinfo_dma_kmvinfo_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvinfo_dma_overflow_irq:1;
        RBus_UInt32  mvinfo_dma_underflow_irq:1;
        RBus_UInt32  mvinfo_crc_err_irq:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  mvinfo_dma_overflow_irq_en:1;
        RBus_UInt32  mvinfo_dma_underflow_irq_en:1;
        RBus_UInt32  mvinfo_crc_err_irq_en:1;
        RBus_UInt32  res2:13;
    };
}mvinfo_dma_mvinfo_int_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_end0:8;
        RBus_UInt32  timing_monitor_sta0:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  res2:5;
        RBus_UInt32  timing_monitor_en:1;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_compare_th:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_golden:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous0:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous1:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous2:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous3:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_max:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_min:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kme_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_end0:8;
        RBus_UInt32  timing_monitor_sta0:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  res2:5;
        RBus_UInt32  timing_monitor_en:1;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_compare_th:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_golden:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous0:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous1:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous2:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous3:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_max:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_min:28;
        RBus_UInt32  res1:4;
    };
}mvinfo_dma_mvinfo_kpost_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_in_share00_trig0_err:1;
        RBus_UInt32  dm_in_share00_trig1_err:1;
        RBus_UInt32  dm_in_share01_trig0_err:1;
        RBus_UInt32  dm_in_share01_trig1_err:1;
        RBus_UInt32  dm_in_share02_trig0_err:1;
        RBus_UInt32  dm_in_share02_trig1_err:1;
        RBus_UInt32  dm_in_share03_trig0_err:1;
        RBus_UInt32  dm_in_share03_trig1_err:1;
        RBus_UInt32  res1:24;
    };
}mvinfo_dma_kmvinfo_dm_RBUS;




#endif 


#endif 
