/**
* @file Merlin6-DesignSpec-SCPU_VSFC_Spec
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SCPU_VSFC_REG_H_
#define _RBUS_SCPU_VSFC_REG_H_

#include "rbus_types.h"



//  SCPU_VSFC Register Address
#define  SCPU_VSFC_VSFC_CTRL                                                    0x1805B180
#define  SCPU_VSFC_VSFC_CTRL_reg_addr                                            "0xB805B180"
#define  SCPU_VSFC_VSFC_CTRL_reg                                                 0xB805B180
#define  SCPU_VSFC_VSFC_CTRL_inst_addr                                           "0x0000"
#define  set_SCPU_VSFC_VSFC_CTRL_reg(data)                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_CTRL_reg)=data)
#define  get_SCPU_VSFC_VSFC_CTRL_reg                                             (*((volatile unsigned int*)SCPU_VSFC_VSFC_CTRL_reg))
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter_h2l_shift                            (24)
#define  SCPU_VSFC_VSFC_CTRL_cpu_deg_filter_shift                                (20)
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter_shift                                (16)
#define  SCPU_VSFC_VSFC_CTRL_trig_sel_shift                                      (8)
#define  SCPU_VSFC_VSFC_CTRL_div_sel_shift                                       (4)
#define  SCPU_VSFC_VSFC_CTRL_glb_en_shift                                        (0)
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter_h2l_mask                             (0x07000000)
#define  SCPU_VSFC_VSFC_CTRL_cpu_deg_filter_mask                                 (0x00700000)
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter_mask                                 (0x00070000)
#define  SCPU_VSFC_VSFC_CTRL_trig_sel_mask                                       (0x00000700)
#define  SCPU_VSFC_VSFC_CTRL_div_sel_mask                                        (0x00000010)
#define  SCPU_VSFC_VSFC_CTRL_glb_en_mask                                         (0x00000001)
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter_h2l(data)                            (0x07000000&((data)<<24))
#define  SCPU_VSFC_VSFC_CTRL_cpu_deg_filter(data)                                (0x00700000&((data)<<20))
#define  SCPU_VSFC_VSFC_CTRL_fss_deg_filter(data)                                (0x00070000&((data)<<16))
#define  SCPU_VSFC_VSFC_CTRL_trig_sel(data)                                      (0x00000700&((data)<<8))
#define  SCPU_VSFC_VSFC_CTRL_div_sel(data)                                       (0x00000010&((data)<<4))
#define  SCPU_VSFC_VSFC_CTRL_glb_en(data)                                        (0x00000001&(data))
#define  SCPU_VSFC_VSFC_CTRL_get_fss_deg_filter_h2l(data)                        ((0x07000000&(data))>>24)
#define  SCPU_VSFC_VSFC_CTRL_get_cpu_deg_filter(data)                            ((0x00700000&(data))>>20)
#define  SCPU_VSFC_VSFC_CTRL_get_fss_deg_filter(data)                            ((0x00070000&(data))>>16)
#define  SCPU_VSFC_VSFC_CTRL_get_trig_sel(data)                                  ((0x00000700&(data))>>8)
#define  SCPU_VSFC_VSFC_CTRL_get_div_sel(data)                                   ((0x00000010&(data))>>4)
#define  SCPU_VSFC_VSFC_CTRL_get_glb_en(data)                                    (0x00000001&(data))

#define  SCPU_VSFC_VSFC_STATUS_1                                                0x1805B184
#define  SCPU_VSFC_VSFC_STATUS_1_reg_addr                                        "0xB805B184"
#define  SCPU_VSFC_VSFC_STATUS_1_reg                                             0xB805B184
#define  SCPU_VSFC_VSFC_STATUS_1_inst_addr                                       "0x0001"
#define  set_SCPU_VSFC_VSFC_STATUS_1_reg(data)                                   (*((volatile unsigned int*)SCPU_VSFC_VSFC_STATUS_1_reg)=data)
#define  get_SCPU_VSFC_VSFC_STATUS_1_reg                                         (*((volatile unsigned int*)SCPU_VSFC_VSFC_STATUS_1_reg))
#define  SCPU_VSFC_VSFC_STATUS_1_idle_st_shift                                   (0)
#define  SCPU_VSFC_VSFC_STATUS_1_idle_st_mask                                    (0x00000001)
#define  SCPU_VSFC_VSFC_STATUS_1_idle_st(data)                                   (0x00000001&(data))
#define  SCPU_VSFC_VSFC_STATUS_1_get_idle_st(data)                               (0x00000001&(data))

#define  SCPU_VSFC_VSFC_TRIG_CTRL                                               0x1805B188
#define  SCPU_VSFC_VSFC_TRIG_CTRL_reg_addr                                       "0xB805B188"
#define  SCPU_VSFC_VSFC_TRIG_CTRL_reg                                            0xB805B188
#define  SCPU_VSFC_VSFC_TRIG_CTRL_inst_addr                                      "0x0002"
#define  set_SCPU_VSFC_VSFC_TRIG_CTRL_reg(data)                                  (*((volatile unsigned int*)SCPU_VSFC_VSFC_TRIG_CTRL_reg)=data)
#define  get_SCPU_VSFC_VSFC_TRIG_CTRL_reg                                        (*((volatile unsigned int*)SCPU_VSFC_VSFC_TRIG_CTRL_reg))
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_wakeup_div_en_shift                       (17)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_idle_div_en_shift                         (16)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_min_shift                                 (8)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_fss_min_shift                                  (4)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_wakeup_div_en_mask                        (0x00020000)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_idle_div_en_mask                          (0x00010000)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_min_mask                                  (0x00000700)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_fss_min_mask                                   (0x00000070)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_wakeup_div_en(data)                       (0x00020000&((data)<<17))
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_idle_div_en(data)                         (0x00010000&((data)<<16))
#define  SCPU_VSFC_VSFC_TRIG_CTRL_core_min(data)                                 (0x00000700&((data)<<8))
#define  SCPU_VSFC_VSFC_TRIG_CTRL_fss_min(data)                                  (0x00000070&((data)<<4))
#define  SCPU_VSFC_VSFC_TRIG_CTRL_get_core_wakeup_div_en(data)                   ((0x00020000&(data))>>17)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_get_core_idle_div_en(data)                     ((0x00010000&(data))>>16)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_get_core_min(data)                             ((0x00000700&(data))>>8)
#define  SCPU_VSFC_VSFC_TRIG_CTRL_get_fss_min(data)                              ((0x00000070&(data))>>4)

#define  SCPU_VSFC_VSFC_RECV_CTRL0                                              0x1805B18C
#define  SCPU_VSFC_VSFC_RECV_CTRL0_reg_addr                                      "0xB805B18C"
#define  SCPU_VSFC_VSFC_RECV_CTRL0_reg                                           0xB805B18C
#define  SCPU_VSFC_VSFC_RECV_CTRL0_inst_addr                                     "0x0003"
#define  set_SCPU_VSFC_VSFC_RECV_CTRL0_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL0_reg)=data)
#define  get_SCPU_VSFC_VSFC_RECV_CTRL0_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL0_reg))
#define  SCPU_VSFC_VSFC_RECV_CTRL0_det_recv_sel_shift                            (0)
#define  SCPU_VSFC_VSFC_RECV_CTRL0_det_recv_sel_mask                             (0x00000003)
#define  SCPU_VSFC_VSFC_RECV_CTRL0_det_recv_sel(data)                            (0x00000003&(data))
#define  SCPU_VSFC_VSFC_RECV_CTRL0_get_det_recv_sel(data)                        (0x00000003&(data))

#define  SCPU_VSFC_VSFC_RECV_CTRL1                                              0x1805B190
#define  SCPU_VSFC_VSFC_RECV_CTRL1_reg_addr                                      "0xB805B190"
#define  SCPU_VSFC_VSFC_RECV_CTRL1_reg                                           0xB805B190
#define  SCPU_VSFC_VSFC_RECV_CTRL1_inst_addr                                     "0x0004"
#define  set_SCPU_VSFC_VSFC_RECV_CTRL1_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL1_reg)=data)
#define  get_SCPU_VSFC_VSFC_RECV_CTRL1_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL1_reg))
#define  SCPU_VSFC_VSFC_RECV_CTRL1_lowf_shift                                    (16)
#define  SCPU_VSFC_VSFC_RECV_CTRL1_cycle_lowf_shift                              (0)
#define  SCPU_VSFC_VSFC_RECV_CTRL1_lowf_mask                                     (0xFFFF0000)
#define  SCPU_VSFC_VSFC_RECV_CTRL1_cycle_lowf_mask                               (0x0000FFFF)
#define  SCPU_VSFC_VSFC_RECV_CTRL1_lowf(data)                                    (0xFFFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_RECV_CTRL1_cycle_lowf(data)                              (0x0000FFFF&(data))
#define  SCPU_VSFC_VSFC_RECV_CTRL1_get_lowf(data)                                ((0xFFFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_RECV_CTRL1_get_cycle_lowf(data)                          (0x0000FFFF&(data))

#define  SCPU_VSFC_VSFC_RECV_CTRL2                                              0x1805B194
#define  SCPU_VSFC_VSFC_RECV_CTRL2_reg_addr                                      "0xB805B194"
#define  SCPU_VSFC_VSFC_RECV_CTRL2_reg                                           0xB805B194
#define  SCPU_VSFC_VSFC_RECV_CTRL2_inst_addr                                     "0x0005"
#define  set_SCPU_VSFC_VSFC_RECV_CTRL2_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL2_reg)=data)
#define  get_SCPU_VSFC_VSFC_RECV_CTRL2_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL2_reg))
#define  SCPU_VSFC_VSFC_RECV_CTRL2_recv1_shift                                   (16)
#define  SCPU_VSFC_VSFC_RECV_CTRL2_cycle_recv1_shift                             (0)
#define  SCPU_VSFC_VSFC_RECV_CTRL2_recv1_mask                                    (0xFFFF0000)
#define  SCPU_VSFC_VSFC_RECV_CTRL2_cycle_recv1_mask                              (0x0000FFFF)
#define  SCPU_VSFC_VSFC_RECV_CTRL2_recv1(data)                                   (0xFFFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_RECV_CTRL2_cycle_recv1(data)                             (0x0000FFFF&(data))
#define  SCPU_VSFC_VSFC_RECV_CTRL2_get_recv1(data)                               ((0xFFFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_RECV_CTRL2_get_cycle_recv1(data)                         (0x0000FFFF&(data))

#define  SCPU_VSFC_VSFC_RECV_CTRL_SW                                            0x1805B198
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_reg_addr                                    "0xB805B198"
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_reg                                         0xB805B198
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_inst_addr                                   "0x0006"
#define  set_SCPU_VSFC_VSFC_RECV_CTRL_SW_reg(data)                               (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL_SW_reg)=data)
#define  get_SCPU_VSFC_VSFC_RECV_CTRL_SW_reg                                     (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL_SW_reg))
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_recv1_sw_shift                              (0)
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_recv1_sw_mask                               (0x0000FFFF)
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_recv1_sw(data)                              (0x0000FFFF&(data))
#define  SCPU_VSFC_VSFC_RECV_CTRL_SW_get_recv1_sw(data)                          (0x0000FFFF&(data))

#define  SCPU_VSFC_VSFC_RECV_CTRL3                                              0x1805B19C
#define  SCPU_VSFC_VSFC_RECV_CTRL3_reg_addr                                      "0xB805B19C"
#define  SCPU_VSFC_VSFC_RECV_CTRL3_reg                                           0xB805B19C
#define  SCPU_VSFC_VSFC_RECV_CTRL3_inst_addr                                     "0x0007"
#define  set_SCPU_VSFC_VSFC_RECV_CTRL3_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL3_reg)=data)
#define  get_SCPU_VSFC_VSFC_RECV_CTRL3_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_RECV_CTRL3_reg))
#define  SCPU_VSFC_VSFC_RECV_CTRL3_recv2_shift                                   (16)
#define  SCPU_VSFC_VSFC_RECV_CTRL3_cycle_recv2_shift                             (0)
#define  SCPU_VSFC_VSFC_RECV_CTRL3_recv2_mask                                    (0xFFFF0000)
#define  SCPU_VSFC_VSFC_RECV_CTRL3_cycle_recv2_mask                              (0x0000FFFF)
#define  SCPU_VSFC_VSFC_RECV_CTRL3_recv2(data)                                   (0xFFFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_RECV_CTRL3_cycle_recv2(data)                             (0x0000FFFF&(data))
#define  SCPU_VSFC_VSFC_RECV_CTRL3_get_recv2(data)                               ((0xFFFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_RECV_CTRL3_get_cycle_recv2(data)                         (0x0000FFFF&(data))

#define  SCPU_VSFC_VSFC_SW_RECV                                                 0x1805B1A0
#define  SCPU_VSFC_VSFC_SW_RECV_reg_addr                                         "0xB805B1A0"
#define  SCPU_VSFC_VSFC_SW_RECV_reg                                              0xB805B1A0
#define  SCPU_VSFC_VSFC_SW_RECV_inst_addr                                        "0x0008"
#define  set_SCPU_VSFC_VSFC_SW_RECV_reg(data)                                    (*((volatile unsigned int*)SCPU_VSFC_VSFC_SW_RECV_reg)=data)
#define  get_SCPU_VSFC_VSFC_SW_RECV_reg                                          (*((volatile unsigned int*)SCPU_VSFC_VSFC_SW_RECV_reg))
#define  SCPU_VSFC_VSFC_SW_RECV_recv_cycle_cnt_shift                             (16)
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_en_shift                                 (2)
#define  SCPU_VSFC_VSFC_SW_RECV_recv_st_shift                                    (1)
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_finish_shift                             (0)
#define  SCPU_VSFC_VSFC_SW_RECV_recv_cycle_cnt_mask                              (0xFFFF0000)
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_en_mask                                  (0x00000004)
#define  SCPU_VSFC_VSFC_SW_RECV_recv_st_mask                                     (0x00000002)
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_finish_mask                              (0x00000001)
#define  SCPU_VSFC_VSFC_SW_RECV_recv_cycle_cnt(data)                             (0xFFFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_en(data)                                 (0x00000004&((data)<<2))
#define  SCPU_VSFC_VSFC_SW_RECV_recv_st(data)                                    (0x00000002&((data)<<1))
#define  SCPU_VSFC_VSFC_SW_RECV_sw_recv_finish(data)                             (0x00000001&(data))
#define  SCPU_VSFC_VSFC_SW_RECV_get_recv_cycle_cnt(data)                         ((0xFFFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_SW_RECV_get_sw_recv_en(data)                             ((0x00000004&(data))>>2)
#define  SCPU_VSFC_VSFC_SW_RECV_get_recv_st(data)                                ((0x00000002&(data))>>1)
#define  SCPU_VSFC_VSFC_SW_RECV_get_sw_recv_finish(data)                         (0x00000001&(data))

#define  SCPU_VSFC_VSFC_PROF_CTRL0                                              0x1805B1A4
#define  SCPU_VSFC_VSFC_PROF_CTRL0_reg_addr                                      "0xB805B1A4"
#define  SCPU_VSFC_VSFC_PROF_CTRL0_reg                                           0xB805B1A4
#define  SCPU_VSFC_VSFC_PROF_CTRL0_inst_addr                                     "0x0009"
#define  set_SCPU_VSFC_VSFC_PROF_CTRL0_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_CTRL0_reg)=data)
#define  get_SCPU_VSFC_VSFC_PROF_CTRL0_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_CTRL0_reg))
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_en_shift                                 (31)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_fin_sel_shift                            (30)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_cycle_prof_shift                              (0)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_en_mask                                  (0x80000000)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_fin_sel_mask                             (0x40000000)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_cycle_prof_mask                               (0x000FFFFF)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_en(data)                                 (0x80000000&((data)<<31))
#define  SCPU_VSFC_VSFC_PROF_CTRL0_prof_fin_sel(data)                            (0x40000000&((data)<<30))
#define  SCPU_VSFC_VSFC_PROF_CTRL0_cycle_prof(data)                              (0x000FFFFF&(data))
#define  SCPU_VSFC_VSFC_PROF_CTRL0_get_prof_en(data)                             ((0x80000000&(data))>>31)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_get_prof_fin_sel(data)                        ((0x40000000&(data))>>30)
#define  SCPU_VSFC_VSFC_PROF_CTRL0_get_cycle_prof(data)                          (0x000FFFFF&(data))

#define  SCPU_VSFC_VSFC_PORF_ST0                                                0x1805B1A8
#define  SCPU_VSFC_VSFC_PORF_ST0_reg_addr                                        "0xB805B1A8"
#define  SCPU_VSFC_VSFC_PORF_ST0_reg                                             0xB805B1A8
#define  SCPU_VSFC_VSFC_PORF_ST0_inst_addr                                       "0x000A"
#define  set_SCPU_VSFC_VSFC_PORF_ST0_reg(data)                                   (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST0_reg)=data)
#define  get_SCPU_VSFC_VSFC_PORF_ST0_reg                                         (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST0_reg))
#define  SCPU_VSFC_VSFC_PORF_ST0_ovfl_trig_shift                                 (31)
#define  SCPU_VSFC_VSFC_PORF_ST0_trig_cnt_shift                                  (0)
#define  SCPU_VSFC_VSFC_PORF_ST0_ovfl_trig_mask                                  (0x80000000)
#define  SCPU_VSFC_VSFC_PORF_ST0_trig_cnt_mask                                   (0x00000FFF)
#define  SCPU_VSFC_VSFC_PORF_ST0_ovfl_trig(data)                                 (0x80000000&((data)<<31))
#define  SCPU_VSFC_VSFC_PORF_ST0_trig_cnt(data)                                  (0x00000FFF&(data))
#define  SCPU_VSFC_VSFC_PORF_ST0_get_ovfl_trig(data)                             ((0x80000000&(data))>>31)
#define  SCPU_VSFC_VSFC_PORF_ST0_get_trig_cnt(data)                              (0x00000FFF&(data))

#define  SCPU_VSFC_VSFC_PORF_ST1                                                0x1805B1AC
#define  SCPU_VSFC_VSFC_PORF_ST1_reg_addr                                        "0xB805B1AC"
#define  SCPU_VSFC_VSFC_PORF_ST1_reg                                             0xB805B1AC
#define  SCPU_VSFC_VSFC_PORF_ST1_inst_addr                                       "0x000B"
#define  set_SCPU_VSFC_VSFC_PORF_ST1_reg(data)                                   (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST1_reg)=data)
#define  get_SCPU_VSFC_VSFC_PORF_ST1_reg                                         (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST1_reg))
#define  SCPU_VSFC_VSFC_PORF_ST1_min_duration_shift                              (16)
#define  SCPU_VSFC_VSFC_PORF_ST1_max_duration_shift                              (0)
#define  SCPU_VSFC_VSFC_PORF_ST1_min_duration_mask                               (0xFFFF0000)
#define  SCPU_VSFC_VSFC_PORF_ST1_max_duration_mask                               (0x0000FFFF)
#define  SCPU_VSFC_VSFC_PORF_ST1_min_duration(data)                              (0xFFFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_PORF_ST1_max_duration(data)                              (0x0000FFFF&(data))
#define  SCPU_VSFC_VSFC_PORF_ST1_get_min_duration(data)                          ((0xFFFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_PORF_ST1_get_max_duration(data)                          (0x0000FFFF&(data))

#define  SCPU_VSFC_VSFC_PORF_ST2                                                0x1805B1B0
#define  SCPU_VSFC_VSFC_PORF_ST2_reg_addr                                        "0xB805B1B0"
#define  SCPU_VSFC_VSFC_PORF_ST2_reg                                             0xB805B1B0
#define  SCPU_VSFC_VSFC_PORF_ST2_inst_addr                                       "0x000C"
#define  set_SCPU_VSFC_VSFC_PORF_ST2_reg(data)                                   (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST2_reg)=data)
#define  get_SCPU_VSFC_VSFC_PORF_ST2_reg                                         (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST2_reg))
#define  SCPU_VSFC_VSFC_PORF_ST2_ovfl_duration_shift                             (0)
#define  SCPU_VSFC_VSFC_PORF_ST2_ovfl_duration_mask                              (0x00000001)
#define  SCPU_VSFC_VSFC_PORF_ST2_ovfl_duration(data)                             (0x00000001&(data))
#define  SCPU_VSFC_VSFC_PORF_ST2_get_ovfl_duration(data)                         (0x00000001&(data))

#define  SCPU_VSFC_VSFC_PORF_ST3                                                0x1805B1B4
#define  SCPU_VSFC_VSFC_PORF_ST3_reg_addr                                        "0xB805B1B4"
#define  SCPU_VSFC_VSFC_PORF_ST3_reg                                             0xB805B1B4
#define  SCPU_VSFC_VSFC_PORF_ST3_inst_addr                                       "0x000D"
#define  set_SCPU_VSFC_VSFC_PORF_ST3_reg(data)                                   (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST3_reg)=data)
#define  get_SCPU_VSFC_VSFC_PORF_ST3_reg                                         (*((volatile unsigned int*)SCPU_VSFC_VSFC_PORF_ST3_reg))
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_wakeup_shift                               (31)
#define  SCPU_VSFC_VSFC_PORF_ST3_wakeup_cnt_shift                                (16)
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_all_idle_shift                             (15)
#define  SCPU_VSFC_VSFC_PORF_ST3_all_idle_cnt_shift                              (0)
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_wakeup_mask                                (0x80000000)
#define  SCPU_VSFC_VSFC_PORF_ST3_wakeup_cnt_mask                                 (0x0FFF0000)
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_all_idle_mask                              (0x00008000)
#define  SCPU_VSFC_VSFC_PORF_ST3_all_idle_cnt_mask                               (0x00000FFF)
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_wakeup(data)                               (0x80000000&((data)<<31))
#define  SCPU_VSFC_VSFC_PORF_ST3_wakeup_cnt(data)                                (0x0FFF0000&((data)<<16))
#define  SCPU_VSFC_VSFC_PORF_ST3_ovfl_all_idle(data)                             (0x00008000&((data)<<15))
#define  SCPU_VSFC_VSFC_PORF_ST3_all_idle_cnt(data)                              (0x00000FFF&(data))
#define  SCPU_VSFC_VSFC_PORF_ST3_get_ovfl_wakeup(data)                           ((0x80000000&(data))>>31)
#define  SCPU_VSFC_VSFC_PORF_ST3_get_wakeup_cnt(data)                            ((0x0FFF0000&(data))>>16)
#define  SCPU_VSFC_VSFC_PORF_ST3_get_ovfl_all_idle(data)                         ((0x00008000&(data))>>15)
#define  SCPU_VSFC_VSFC_PORF_ST3_get_all_idle_cnt(data)                          (0x00000FFF&(data))

#define  SCPU_VSFC_VSFC_PROF_CTRL1                                              0x1805B1B8
#define  SCPU_VSFC_VSFC_PROF_CTRL1_reg_addr                                      "0xB805B1B8"
#define  SCPU_VSFC_VSFC_PROF_CTRL1_reg                                           0xB805B1B8
#define  SCPU_VSFC_VSFC_PROF_CTRL1_inst_addr                                     "0x000E"
#define  set_SCPU_VSFC_VSFC_PROF_CTRL1_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_CTRL1_reg)=data)
#define  get_SCPU_VSFC_VSFC_PROF_CTRL1_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_CTRL1_reg))
#define  SCPU_VSFC_VSFC_PROF_CTRL1_ovfl_2nd_droop_shift                          (15)
#define  SCPU_VSFC_VSFC_PROF_CTRL1_cnt_2nd_droop_shift                           (0)
#define  SCPU_VSFC_VSFC_PROF_CTRL1_ovfl_2nd_droop_mask                           (0x00008000)
#define  SCPU_VSFC_VSFC_PROF_CTRL1_cnt_2nd_droop_mask                            (0x00000FFF)
#define  SCPU_VSFC_VSFC_PROF_CTRL1_ovfl_2nd_droop(data)                          (0x00008000&((data)<<15))
#define  SCPU_VSFC_VSFC_PROF_CTRL1_cnt_2nd_droop(data)                           (0x00000FFF&(data))
#define  SCPU_VSFC_VSFC_PROF_CTRL1_get_ovfl_2nd_droop(data)                      ((0x00008000&(data))>>15)
#define  SCPU_VSFC_VSFC_PROF_CTRL1_get_cnt_2nd_droop(data)                       (0x00000FFF&(data))

#define  SCPU_VSFC_VSFC_PROF_INTST                                              0x1805B1BC
#define  SCPU_VSFC_VSFC_PROF_INTST_reg_addr                                      "0xB805B1BC"
#define  SCPU_VSFC_VSFC_PROF_INTST_reg                                           0xB805B1BC
#define  SCPU_VSFC_VSFC_PROF_INTST_inst_addr                                     "0x000F"
#define  set_SCPU_VSFC_VSFC_PROF_INTST_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_INTST_reg)=data)
#define  get_SCPU_VSFC_VSFC_PROF_INTST_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_INTST_reg))
#define  SCPU_VSFC_VSFC_PROF_INTST_sw_recv_intst_shift                           (2)
#define  SCPU_VSFC_VSFC_PROF_INTST_prof_intst_shift                              (1)
#define  SCPU_VSFC_VSFC_PROF_INTST_write_data_shift                              (0)
#define  SCPU_VSFC_VSFC_PROF_INTST_sw_recv_intst_mask                            (0x00000004)
#define  SCPU_VSFC_VSFC_PROF_INTST_prof_intst_mask                               (0x00000002)
#define  SCPU_VSFC_VSFC_PROF_INTST_write_data_mask                               (0x00000001)
#define  SCPU_VSFC_VSFC_PROF_INTST_sw_recv_intst(data)                           (0x00000004&((data)<<2))
#define  SCPU_VSFC_VSFC_PROF_INTST_prof_intst(data)                              (0x00000002&((data)<<1))
#define  SCPU_VSFC_VSFC_PROF_INTST_write_data(data)                              (0x00000001&(data))
#define  SCPU_VSFC_VSFC_PROF_INTST_get_sw_recv_intst(data)                       ((0x00000004&(data))>>2)
#define  SCPU_VSFC_VSFC_PROF_INTST_get_prof_intst(data)                          ((0x00000002&(data))>>1)
#define  SCPU_VSFC_VSFC_PROF_INTST_get_write_data(data)                          (0x00000001&(data))

#define  SCPU_VSFC_VSFC_PROF_INTEN                                              0x1805B1C0
#define  SCPU_VSFC_VSFC_PROF_INTEN_reg_addr                                      "0xB805B1C0"
#define  SCPU_VSFC_VSFC_PROF_INTEN_reg                                           0xB805B1C0
#define  SCPU_VSFC_VSFC_PROF_INTEN_inst_addr                                     "0x0010"
#define  set_SCPU_VSFC_VSFC_PROF_INTEN_reg(data)                                 (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_INTEN_reg)=data)
#define  get_SCPU_VSFC_VSFC_PROF_INTEN_reg                                       (*((volatile unsigned int*)SCPU_VSFC_VSFC_PROF_INTEN_reg))
#define  SCPU_VSFC_VSFC_PROF_INTEN_sw_recv_inten_shift                           (2)
#define  SCPU_VSFC_VSFC_PROF_INTEN_prof_inten_shift                              (1)
#define  SCPU_VSFC_VSFC_PROF_INTEN_write_data_shift                              (0)
#define  SCPU_VSFC_VSFC_PROF_INTEN_sw_recv_inten_mask                            (0x00000004)
#define  SCPU_VSFC_VSFC_PROF_INTEN_prof_inten_mask                               (0x00000002)
#define  SCPU_VSFC_VSFC_PROF_INTEN_write_data_mask                               (0x00000001)
#define  SCPU_VSFC_VSFC_PROF_INTEN_sw_recv_inten(data)                           (0x00000004&((data)<<2))
#define  SCPU_VSFC_VSFC_PROF_INTEN_prof_inten(data)                              (0x00000002&((data)<<1))
#define  SCPU_VSFC_VSFC_PROF_INTEN_write_data(data)                              (0x00000001&(data))
#define  SCPU_VSFC_VSFC_PROF_INTEN_get_sw_recv_inten(data)                       ((0x00000004&(data))>>2)
#define  SCPU_VSFC_VSFC_PROF_INTEN_get_prof_inten(data)                          ((0x00000002&(data))>>1)
#define  SCPU_VSFC_VSFC_PROF_INTEN_get_write_data(data)                          (0x00000001&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SCPU_VSFC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  fss_deg_filter_h2l:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  cpu_deg_filter:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  fss_deg_filter:3;
        RBus_UInt32  res4:5;
        RBus_UInt32  trig_sel:3;
        RBus_UInt32  res5:3;
        RBus_UInt32  div_sel:1;
        RBus_UInt32  res6:3;
        RBus_UInt32  glb_en:1;
    };
}scpu_vsfc_vsfc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  idle_st:1;
    };
}scpu_vsfc_vsfc_status_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  core_wakeup_div_en:1;
        RBus_UInt32  core_idle_div_en:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  core_min:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  fss_min:3;
        RBus_UInt32  res4:4;
    };
}scpu_vsfc_vsfc_trig_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  det_recv_sel:2;
    };
}scpu_vsfc_vsfc_recv_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lowf:16;
        RBus_UInt32  cycle_lowf:16;
    };
}scpu_vsfc_vsfc_recv_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  recv1:16;
        RBus_UInt32  cycle_recv1:16;
    };
}scpu_vsfc_vsfc_recv_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  recv1_sw:16;
    };
}scpu_vsfc_vsfc_recv_ctrl_sw_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  recv2:16;
        RBus_UInt32  cycle_recv2:16;
    };
}scpu_vsfc_vsfc_recv_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  recv_cycle_cnt:16;
        RBus_UInt32  res1:13;
        RBus_UInt32  sw_recv_en:1;
        RBus_UInt32  recv_st:1;
        RBus_UInt32  sw_recv_finish:1;
    };
}scpu_vsfc_vsfc_sw_recv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prof_en:1;
        RBus_UInt32  prof_fin_sel:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  cycle_prof:20;
    };
}scpu_vsfc_vsfc_prof_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ovfl_trig:1;
        RBus_UInt32  res1:19;
        RBus_UInt32  trig_cnt:12;
    };
}scpu_vsfc_vsfc_porf_st0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  min_duration:16;
        RBus_UInt32  max_duration:16;
    };
}scpu_vsfc_vsfc_porf_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  ovfl_duration:1;
    };
}scpu_vsfc_vsfc_porf_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ovfl_wakeup:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  wakeup_cnt:12;
        RBus_UInt32  ovfl_all_idle:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  all_idle_cnt:12;
    };
}scpu_vsfc_vsfc_porf_st3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ovfl_2nd_droop:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  cnt_2nd_droop:12;
    };
}scpu_vsfc_vsfc_prof_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  sw_recv_intst:1;
        RBus_UInt32  prof_intst:1;
        RBus_UInt32  write_data:1;
    };
}scpu_vsfc_vsfc_prof_intst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  sw_recv_inten:1;
        RBus_UInt32  prof_inten:1;
        RBus_UInt32  write_data:1;
    };
}scpu_vsfc_vsfc_prof_inten_RBUS;

#else //apply LITTLE_ENDIAN

//======SCPU_VSFC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  glb_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  div_sel:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  trig_sel:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  fss_deg_filter:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  cpu_deg_filter:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  fss_deg_filter_h2l:3;
        RBus_UInt32  res6:5;
    };
}scpu_vsfc_vsfc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  idle_st:1;
        RBus_UInt32  res1:31;
    };
}scpu_vsfc_vsfc_status_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  fss_min:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  core_min:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  core_idle_div_en:1;
        RBus_UInt32  core_wakeup_div_en:1;
        RBus_UInt32  res4:14;
    };
}scpu_vsfc_vsfc_trig_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  det_recv_sel:2;
        RBus_UInt32  res1:30;
    };
}scpu_vsfc_vsfc_recv_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cycle_lowf:16;
        RBus_UInt32  lowf:16;
    };
}scpu_vsfc_vsfc_recv_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cycle_recv1:16;
        RBus_UInt32  recv1:16;
    };
}scpu_vsfc_vsfc_recv_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  recv1_sw:16;
        RBus_UInt32  res1:16;
    };
}scpu_vsfc_vsfc_recv_ctrl_sw_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cycle_recv2:16;
        RBus_UInt32  recv2:16;
    };
}scpu_vsfc_vsfc_recv_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sw_recv_finish:1;
        RBus_UInt32  recv_st:1;
        RBus_UInt32  sw_recv_en:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  recv_cycle_cnt:16;
    };
}scpu_vsfc_vsfc_sw_recv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cycle_prof:20;
        RBus_UInt32  res1:10;
        RBus_UInt32  prof_fin_sel:1;
        RBus_UInt32  prof_en:1;
    };
}scpu_vsfc_vsfc_prof_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  trig_cnt:12;
        RBus_UInt32  res1:19;
        RBus_UInt32  ovfl_trig:1;
    };
}scpu_vsfc_vsfc_porf_st0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  max_duration:16;
        RBus_UInt32  min_duration:16;
    };
}scpu_vsfc_vsfc_porf_st1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ovfl_duration:1;
        RBus_UInt32  res1:31;
    };
}scpu_vsfc_vsfc_porf_st2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  all_idle_cnt:12;
        RBus_UInt32  res1:3;
        RBus_UInt32  ovfl_all_idle:1;
        RBus_UInt32  wakeup_cnt:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  ovfl_wakeup:1;
    };
}scpu_vsfc_vsfc_porf_st3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cnt_2nd_droop:12;
        RBus_UInt32  res1:3;
        RBus_UInt32  ovfl_2nd_droop:1;
        RBus_UInt32  res2:16;
    };
}scpu_vsfc_vsfc_prof_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  prof_intst:1;
        RBus_UInt32  sw_recv_intst:1;
        RBus_UInt32  res1:29;
    };
}scpu_vsfc_vsfc_prof_intst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  prof_inten:1;
        RBus_UInt32  sw_recv_inten:1;
        RBus_UInt32  res1:29;
    };
}scpu_vsfc_vsfc_prof_inten_RBUS;




#endif 


#endif 
