/**
* @file Merlin6-DesignSpec-ISO_MISC_OFF_WDOG
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_WDOG_REG_H_
#define _RBUS_WDOG_REG_H_

#include "rbus_types.h"



//  WDOG Register Address
#define  WDOG_MSK_ISR                                                           0x18062200
#define  WDOG_MSK_ISR_reg_addr                                                   "0xB8062200"
#define  WDOG_MSK_ISR_reg                                                        0xB8062200
#define  WDOG_MSK_ISR_inst_addr                                                  "0x0000"
#define  set_WDOG_MSK_ISR_reg(data)                                              (*((volatile unsigned int*)WDOG_MSK_ISR_reg)=data)
#define  get_WDOG_MSK_ISR_reg                                                    (*((volatile unsigned int*)WDOG_MSK_ISR_reg))
#define  WDOG_MSK_ISR_wdog_int_shift                                             (8)
#define  WDOG_MSK_ISR_wdog_int_mask                                              (0x00000100)
#define  WDOG_MSK_ISR_wdog_int(data)                                             (0x00000100&((data)<<8))
#define  WDOG_MSK_ISR_get_wdog_int(data)                                         ((0x00000100&(data))>>8)

#define  WDOG_TCWCR                                                             0x18062204
#define  WDOG_TCWCR_reg_addr                                                     "0xB8062204"
#define  WDOG_TCWCR_reg                                                          0xB8062204
#define  WDOG_TCWCR_inst_addr                                                    "0x0001"
#define  set_WDOG_TCWCR_reg(data)                                                (*((volatile unsigned int*)WDOG_TCWCR_reg)=data)
#define  get_WDOG_TCWCR_reg                                                      (*((volatile unsigned int*)WDOG_TCWCR_reg))
#define  WDOG_TCWCR_im_wdog_rst_shift                                            (31)
#define  WDOG_TCWCR_upper_bound_sel_shift                                        (20)
#define  WDOG_TCWCR_wd_rst_src_shift                                             (17)
#define  WDOG_TCWCR_wdie_shift                                                   (16)
#define  WDOG_TCWCR_nmic_shift                                                   (12)
#define  WDOG_TCWCR_wdc_shift                                                    (8)
#define  WDOG_TCWCR_wden_shift                                                   (0)
#define  WDOG_TCWCR_im_wdog_rst_mask                                             (0x80000000)
#define  WDOG_TCWCR_upper_bound_sel_mask                                         (0x00100000)
#define  WDOG_TCWCR_wd_rst_src_mask                                              (0x00060000)
#define  WDOG_TCWCR_wdie_mask                                                    (0x00010000)
#define  WDOG_TCWCR_nmic_mask                                                    (0x0000F000)
#define  WDOG_TCWCR_wdc_mask                                                     (0x00000F00)
#define  WDOG_TCWCR_wden_mask                                                    (0x000000FF)
#define  WDOG_TCWCR_im_wdog_rst(data)                                            (0x80000000&((data)<<31))
#define  WDOG_TCWCR_upper_bound_sel(data)                                        (0x00100000&((data)<<20))
#define  WDOG_TCWCR_wd_rst_src(data)                                             (0x00060000&((data)<<17))
#define  WDOG_TCWCR_wdie(data)                                                   (0x00010000&((data)<<16))
#define  WDOG_TCWCR_nmic(data)                                                   (0x0000F000&((data)<<12))
#define  WDOG_TCWCR_wdc(data)                                                    (0x00000F00&((data)<<8))
#define  WDOG_TCWCR_wden(data)                                                   (0x000000FF&(data))
#define  WDOG_TCWCR_get_im_wdog_rst(data)                                        ((0x80000000&(data))>>31)
#define  WDOG_TCWCR_get_upper_bound_sel(data)                                    ((0x00100000&(data))>>20)
#define  WDOG_TCWCR_get_wd_rst_src(data)                                         ((0x00060000&(data))>>17)
#define  WDOG_TCWCR_get_wdie(data)                                               ((0x00010000&(data))>>16)
#define  WDOG_TCWCR_get_nmic(data)                                               ((0x0000F000&(data))>>12)
#define  WDOG_TCWCR_get_wdc(data)                                                ((0x00000F00&(data))>>8)
#define  WDOG_TCWCR_get_wden(data)                                               (0x000000FF&(data))

#define  WDOG_TCWTR                                                             0x18062208
#define  WDOG_TCWTR_reg_addr                                                     "0xB8062208"
#define  WDOG_TCWTR_reg                                                          0xB8062208
#define  WDOG_TCWTR_inst_addr                                                    "0x0002"
#define  set_WDOG_TCWTR_reg(data)                                                (*((volatile unsigned int*)WDOG_TCWTR_reg)=data)
#define  get_WDOG_TCWTR_reg                                                      (*((volatile unsigned int*)WDOG_TCWTR_reg))
#define  WDOG_TCWTR_wdclr_shift                                                  (0)
#define  WDOG_TCWTR_wdclr_mask                                                   (0x00000001)
#define  WDOG_TCWTR_wdclr(data)                                                  (0x00000001&(data))
#define  WDOG_TCWTR_get_wdclr(data)                                              (0x00000001&(data))

#define  WDOG_TCWNMI                                                            0x1806220C
#define  WDOG_TCWNMI_reg_addr                                                    "0xB806220C"
#define  WDOG_TCWNMI_reg                                                         0xB806220C
#define  WDOG_TCWNMI_inst_addr                                                   "0x0003"
#define  set_WDOG_TCWNMI_reg(data)                                               (*((volatile unsigned int*)WDOG_TCWNMI_reg)=data)
#define  get_WDOG_TCWNMI_reg                                                     (*((volatile unsigned int*)WDOG_TCWNMI_reg))
#define  WDOG_TCWNMI_sel_shift                                                   (0)
#define  WDOG_TCWNMI_sel_mask                                                    (0xFFFFFFFF)
#define  WDOG_TCWNMI_sel(data)                                                   (0xFFFFFFFF&(data))
#define  WDOG_TCWNMI_get_sel(data)                                               (0xFFFFFFFF&(data))

#define  WDOG_TCWOV                                                             0x18062210
#define  WDOG_TCWOV_reg_addr                                                     "0xB8062210"
#define  WDOG_TCWOV_reg                                                          0xB8062210
#define  WDOG_TCWOV_inst_addr                                                    "0x0004"
#define  set_WDOG_TCWOV_reg(data)                                                (*((volatile unsigned int*)WDOG_TCWOV_reg)=data)
#define  get_WDOG_TCWOV_reg                                                      (*((volatile unsigned int*)WDOG_TCWOV_reg))
#define  WDOG_TCWOV_sel_shift                                                    (0)
#define  WDOG_TCWOV_sel_mask                                                     (0xFFFFFFFF)
#define  WDOG_TCWOV_sel(data)                                                    (0xFFFFFFFF&(data))
#define  WDOG_TCWOV_get_sel(data)                                                (0xFFFFFFFF&(data))

#define  WDOG_TCWTRG                                                            0x18062214
#define  WDOG_TCWTRG_reg_addr                                                    "0xB8062214"
#define  WDOG_TCWTRG_reg                                                         0xB8062214
#define  WDOG_TCWTRG_inst_addr                                                   "0x0005"
#define  set_WDOG_TCWTRG_reg(data)                                               (*((volatile unsigned int*)WDOG_TCWTRG_reg)=data)
#define  get_WDOG_TCWTRG_reg                                                     (*((volatile unsigned int*)WDOG_TCWTRG_reg))
#define  WDOG_TCWTRG_te_shift                                                    (0)
#define  WDOG_TCWTRG_te_mask                                                     (0x00000001)
#define  WDOG_TCWTRG_te(data)                                                    (0x00000001&(data))
#define  WDOG_TCWTRG_get_te(data)                                                (0x00000001&(data))

#define  WDOG_TCWSTS                                                            0x18062218
#define  WDOG_TCWSTS_reg_addr                                                    "0xB8062218"
#define  WDOG_TCWSTS_reg                                                         0xB8062218
#define  WDOG_TCWSTS_inst_addr                                                   "0x0006"
#define  set_WDOG_TCWSTS_reg(data)                                               (*((volatile unsigned int*)WDOG_TCWSTS_reg)=data)
#define  get_WDOG_TCWSTS_reg                                                     (*((volatile unsigned int*)WDOG_TCWSTS_reg))
#define  WDOG_TCWSTS_wd_cnt_shift                                                (0)
#define  WDOG_TCWSTS_wd_cnt_mask                                                 (0xFFFFFFFF)
#define  WDOG_TCWSTS_wd_cnt(data)                                                (0xFFFFFFFF&(data))
#define  WDOG_TCWSTS_get_wd_cnt(data)                                            (0xFFFFFFFF&(data))

#define  WDOG_FCCTRL                                                            0x18062220
#define  WDOG_FCCTRL_reg_addr                                                    "0xB8062220"
#define  WDOG_FCCTRL_reg                                                         0xB8062220
#define  WDOG_FCCTRL_inst_addr                                                   "0x0007"
#define  set_WDOG_FCCTRL_reg(data)                                               (*((volatile unsigned int*)WDOG_FCCTRL_reg)=data)
#define  get_WDOG_FCCTRL_reg                                                     (*((volatile unsigned int*)WDOG_FCCTRL_reg))
#define  WDOG_FCCTRL_fcclr_shift                                                 (1)
#define  WDOG_FCCTRL_fcen_shift                                                  (0)
#define  WDOG_FCCTRL_fcclr_mask                                                  (0x00000002)
#define  WDOG_FCCTRL_fcen_mask                                                   (0x00000001)
#define  WDOG_FCCTRL_fcclr(data)                                                 (0x00000002&((data)<<1))
#define  WDOG_FCCTRL_fcen(data)                                                  (0x00000001&(data))
#define  WDOG_FCCTRL_get_fcclr(data)                                             ((0x00000002&(data))>>1)
#define  WDOG_FCCTRL_get_fcen(data)                                              (0x00000001&(data))

#define  WDOG_FCSTS                                                             0x18062224
#define  WDOG_FCSTS_reg_addr                                                     "0xB8062224"
#define  WDOG_FCSTS_reg                                                          0xB8062224
#define  WDOG_FCSTS_inst_addr                                                    "0x0008"
#define  set_WDOG_FCSTS_reg(data)                                                (*((volatile unsigned int*)WDOG_FCSTS_reg)=data)
#define  get_WDOG_FCSTS_reg                                                      (*((volatile unsigned int*)WDOG_FCSTS_reg))
#define  WDOG_FCSTS_free_cnt_shift                                               (0)
#define  WDOG_FCSTS_free_cnt_mask                                                (0xFFFFFFFF)
#define  WDOG_FCSTS_free_cnt(data)                                               (0xFFFFFFFF&(data))
#define  WDOG_FCSTS_get_free_cnt(data)                                           (0xFFFFFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======WDOG register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  wdog_int:1;
        RBus_UInt32  res2:8;
    };
}wdog_msk_isr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  im_wdog_rst:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  upper_bound_sel:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  wd_rst_src:2;
        RBus_UInt32  wdie:1;
        RBus_UInt32  nmic:4;
        RBus_UInt32  wdc:4;
        RBus_UInt32  wden:8;
    };
}wdog_tcwcr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  wdclr:1;
    };
}wdog_tcwtr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sel:32;
    };
}wdog_tcwnmi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sel:32;
    };
}wdog_tcwov_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  te:1;
    };
}wdog_tcwtrg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wd_cnt:32;
    };
}wdog_tcwsts_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  fcclr:1;
        RBus_UInt32  fcen:1;
    };
}wdog_fcctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  free_cnt:32;
    };
}wdog_fcsts_RBUS;

#else //apply LITTLE_ENDIAN

//======WDOG register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  wdog_int:1;
        RBus_UInt32  res2:23;
    };
}wdog_msk_isr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wden:8;
        RBus_UInt32  wdc:4;
        RBus_UInt32  nmic:4;
        RBus_UInt32  wdie:1;
        RBus_UInt32  wd_rst_src:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  upper_bound_sel:1;
        RBus_UInt32  res2:10;
        RBus_UInt32  im_wdog_rst:1;
    };
}wdog_tcwcr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdclr:1;
        RBus_UInt32  res1:31;
    };
}wdog_tcwtr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sel:32;
    };
}wdog_tcwnmi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sel:32;
    };
}wdog_tcwov_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  te:1;
        RBus_UInt32  res1:31;
    };
}wdog_tcwtrg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wd_cnt:32;
    };
}wdog_tcwsts_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcen:1;
        RBus_UInt32  fcclr:1;
        RBus_UInt32  res1:30;
    };
}wdog_fcctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  free_cnt:32;
    };
}wdog_fcsts_RBUS;




#endif 


#endif 
