/*
 * (C) Copyright 2000-2003
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 * Misc boot support
 */
/*Default allow support KCPU STR flow*/
#define ENABLE_SUPPORT_KCPU_STR

#include <common.h>
#include <command.h>
#include <optee.h>
#include <net.h>
#include <parse_h.h>
#include <panel_config_parameter.h>
#include <asm/arch/system.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/factorylib.h>
#include <drivers/mcp/rtk_mcp_scpu.h>
#include <asm/arch/bootparam.h>
#include <linux/compiler.h>

#ifdef CONFIG_SYS_MCP_UTILITY
#include <malloc.h>
#endif

#include <asm/arch/sys_flash_layout.h>
#if defined(CONFIG_SYS_RTK_EMMC_FLASH)

#elif defined(CONFIG_SYS_RTK_NAND_FLASH)
 #include <linux/mtd/nand.h>		//surport nand flash driver
 #include <nand.h>
#elif defined(CONFIG_SYS_RTK_SPI_NAND)
#include <linux/mtd/mtd.h>
#include "../drivers/mtd/spi/rtk_spi_nand.h"
#elif defined(CONFIG_SYS_RTK_SPI_FLASH)
 #include <flashdev_s.h>
 #include <parse_h.h>
#endif
#include <gpt_parse.h>
#include <rbus/sb2_reg.h>
#include <drivers/mcp/rtk_rcp.h>
#include <watchdog.h>
#include <fat.h>

#ifdef CONFIG_LZMA
#include <lzma/LzmaTypes.h>
#include <lzma/LzmaDec.h>
#include <lzma/LzmaTools.h>
#endif /* CONFIG_LZMA */
#include "linux/lzo.h"
#ifndef IS_FPGA
#include <platform_lib/board/pcb.h>
#endif
#include <panel.h>
#include <asm/tomcrypt.h>
#include <rbus/tp_reg.h>
#if defined(CONFIG_SYS_PANEL_SUPPORT)
	#include "panel.h"
	extern struct _PANEL_CONFIG_PARAMETER  default_panel_parameter;
	#define vFlipEnable (default_panel_parameter.iVFLIP)
#else
#ifndef CONFIG_RUN_FLASH_WRITER
	static UINT8 vFlipEnable = 0;
#endif
#endif
extern int lz4_do_decompress(unsigned char *pDecomp, unsigned char *pComp, unsigned long *pDecompSize);

extern unsigned int guipanel_init_done;
extern uint gdma_length;

DECLARE_GLOBAL_DATA_PTR;

typedef enum{
	BOOT_FROM_USB_DISABLE,
	BOOT_FROM_USB_UNCOMPRESSED,
	BOOT_FROM_USB_COMPRESSED
}BOOT_FROM_USB_T;

typedef enum{
	BOOT_FROM_FLASH_NORMAL_MODE,
	BOOT_FROM_FLASH_MANUAL_MODE
}BOOT_FROM_FLASH_T;

extern int bEnterRecovery;
extern int bNewbootflow;
unsigned int KernelImagePosition = 0;
#define RECOVERY_PARTITION_NAME "recovery"
#define BOOT_PARTITION_NAME "boot"
#define DTBO_PARTITION_NAME	"dtbo"

#if 0 // remove kcpu
#define KCPU_CMDLINE_NEW_ADDR 				(0x1b004000)	// 0x000fff00~0x00100000
#define KCPU_CMDLINE_NEW_SIZE 				(0x00000200)	// 0x000fff00~0x00100000
#endif
#define BOOT_SECURE_TYPE                                         (0x18038040)
#define arg_next(p)					(char *)((unsigned long)p+strlen(p))
#define ARGS_SIZE     2048
#define args_size(p)   ((ARGS_SIZE-strlen(p)) > 0 ? (ARGS_SIZE-strlen(p)) : 0)

#include <asm/arch/factorylib_ro.h>
#include <platform_lib/board/pcb_mgr.h>


extern void * memset(void * s,int c,size_t count);

#if defined(CONFIG_SYS_GDMA_SUPPORT) && defined(CONFIG_SYS_PANEL_SUPPORT)
extern int gdma_showlogo(uint logo_ddr_address);
#endif
#if 0 // remove kcpu
long *kcpi_argv = (long *)KCPU_CMDLINE_NEW_ADDR;
char *kcpu_cmdline = (char *)(KCPU_CMDLINE_NEW_ADDR + sizeof(long)*2);
#endif
extern void lowlevel_init(void);
#ifdef SYS_PARAM_SECURE_STORE_START
#define CONFIG_SECURE_STORE_START	SYS_PARAM_SECURE_STORE_START
#else
#define CONFIG_SECURE_STORE_START	0x1400000
#endif

#define DEBUG_LINE // printf("ravi_li dbg [%s]__LINE__ : %d \n", __func__, __LINE__);
int rtk_load_boot_partition(bootm_headers_t *images);
#ifdef CONFIG_OF_LIBFDT
int rtk_load_dtbo_partition(bootm_headers_t *images);
#endif
int rtk_plat_boot_setup(bootm_headers_t *images);

#if defined(CONFIG_FSW)
bool fsw_emmc_bootup = 0;
bool fsw_spi_bootup = 0;
#endif

#if 0 // remove kcpu
int boot_prep_linux_kcpu(void)
{
  //  	printf("boot_prep_linux_kcpu enter.\n");

	char tmp_cmd[32];
	unsigned int memsize=0;
    	unsigned int factory_ro_start;
	//get kcpu uart control env
	char *u_env = getenv("kcpu_uart");

//	int i;
	// pointer to prev k_cmd_line_addr to reset header
	//kcpi_argv = (long*)KCPU_CMDLINE_ADDR;
	//kcpi_argv[1] = MIPS_KSEG0BASE;
	kcpi_argv = (long *)KCPU_CMDLINE_NEW_ADDR;
	memset((void *)kcpi_argv, 0x0, KCPU_CMDLINE_NEW_SIZE);
	kcpi_argv[1] = (long)kcpu_cmdline | MIPS_KSEG0BASE;
 //  for (i = 0; i < CONFIG_NR_DRAM_BANKS; i++) {
 //     memsize += gd->bd->bi_dram[i].size;
  // }

	// MIPS max DDR support is 512 MB
//	if (memsize >= 0x20000000)


        memsize = 0x20000000; //FIXME should be dynamic tune it.
        sprintf(tmp_cmd, " memsize=0x%x", memsize);
        strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
        // we no need to pass whole envp to kernel, and just pick up the ones we want.
		#if defined(CONFIG_SYS_RTK_SPI_FLASH)
	    factory_ro_start = rtk_spi_nor_get_size() - SYS_PARAM_FACTORY_SIZE - CONFIG_FACTORY_RO_SIZE;
		#else //defined(CONFIG_SYS_RTK_SPI_FLASH)
	    factory_ro_start = CONFIG_FACTORY_RO_START;
		#endif //defined(CONFIG_SYS_RTK_SPI_FLASH)
        sprintf(tmp_cmd, " factory_ro=0x%x@0x%x  ", CONFIG_FACTORY_RO_SIZE, factory_ro_start);
        strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
        sprintf(tmp_cmd, " ss_start=0x%x ", CONFIG_SECURE_STORE_START);
        strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));

	if(u_env != NULL)
	{
		if(strcmp(u_env, "0") == 0){
			sprintf(tmp_cmd, " uart=%s ", "0");
        		strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
		}
		else if(strcmp(u_env, "1") == 0){
			sprintf(tmp_cmd, " uart=%s ", "1");
        		strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
		}
		else if(strcmp(u_env, "off") == 0){
			sprintf(tmp_cmd, " uart=%s ", "off");
        		strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
		}
	}


#if 0
	ppcb_enum = pcb_enum;
    i = 0;
	do {
      if(ppcb_enum[i].name == NULL) break;
      if(ppcb_enum[i].name[0] == 0) break;
		if (!strncmp(ppcb_enum[i].name, "PIN_FLASH_WP", sizeof("PIN_FLASH_WP"))) {
			sprintf(tmp_cmd, "flash_wp=0x%08x%08x", (unsigned int)(ppcb_enum[i].info >> 32), (unsigned int)(ppcb_enum[i].info & 0xffffffff));
   		strncat(kcpu_cmdline, tmp_cmd, strlen(tmp_cmd));
			break;
		}
		i++;
   } while(1);
#endif

	if (strlen(kcpu_cmdline) >= KCPU_CMDLINE_NEW_SIZE) {
		printf("KCPU's command line parameters is TOO MUCH!(%d)\n",strlen(kcpu_cmdline));
		return 1;
	}

	printf("kcpu_cmdline is %s...........\n", kcpu_cmdline);

	return 0;
}
#endif


/* for flag tee fw*/
uint TeeFW_entry_ptr 			= 0;

//uint KcpuFW_entry_ptr			= 0;
//uint *KcpuFlag_ptr				= (uint *)MIPS_KCPU_FLAG_PTR_ADDR;    /* for KCPU RPC*/
//int  is_kcpu_fw_exist          		= -1;            /*used to determine whether the kcpu fw existed*/

uint *uart_reg_base_ptr			= (uint *)MIPS_UART_REG_BASE_ADDR;			/* notify uart reg to A/V CPU */
uint *boot_av_info_ptr			= (uint *)MIPS_BOOT_AV_INFO_PTR_ADDR;		/* copy form darwin *boot_av_info_ptr */
uint *AudioFlag_ptr_A1			= (uint *)MIPS_AUDIO_FLAG_PTR_A1_ADDR;			/* for ACPU 1 RPC */
uint *AudioFlag_ptr_A2			= (uint *)MIPS_AUDIO_FLAG_PTR_A2_ADDR;			/* for ACPU 2 RPC */
uint *VideoFlag_ptr_V1			= (uint *)MIPS_VIDEO_FLAG_PTR_V1_ADDR;		/* for VCPU RPC */
uint *VideoFlag_ptr_V2       	= (uint *)MIPS_VIDEO_FLAG_PTR_V2_ADDR;    /* not used */
uint *AudioFW_entry_ptr_A1		= (uint *)MIPS_AUDIO_FW_ENTRY_PTR_A1_ADDR;		/* copy from darwin *streamfile_ptrA */
uint *AudioFW_entry_ptr_A2		= (uint *)MIPS_AUDIO_FW_ENTRY_PTR_A2_ADDR;		/* copy from darwin *streamfile_ptrA */
uint *VideoFW_entry_ptr_V1		= (uint *)MIPS_VIDEO_FW_ENTRY_PTR_V1_ADDR;	/* copy from darwin *streamfile_ptrV */
uint *VideoFW_entry_ptr_V2      = (uint *)MIPS_VIDEO_FW_ENTRY_PTR_V2_ADDR;   /* not used */
uint *shared_printk_buffer_ptr	= (uint *)MIPS_SHARED_PRINTK_BUFFER_ADDR;	/* copy form darwin *shared_printk_buf */
uint *audio_output_info_ptr		= (uint *)MIPS_AUDIO_OUTPUT_INFO_ADDR;		/* copy form Mac *audio_output_info */
rtk_mem_info_t *rtk_mem_info	= (rtk_mem_info_t *)UBOOT_MEM_INFO_ADDR;
uint *AcpuSTRStatusFlag_ptr 	= (uint *)MIPS_AUDIO_FLAG_STR_ADDR; 	/* for ACPU use for record its resume/suspend state*/
uint *VcpuSTRStatusFlag_ptr 	= (uint *)MIPS_VIDEO_FLAG_STR_ADDR; 	/* for VCPU use for record its resume/suspend state*/
#ifdef CONFIG_VCPU2_SUPPORT
uint *Vcpu2STRStatusFlag_ptr 	= (uint *)MIPS_VIDEO2_FLAG_STR_ADDR; 	/* for VCPU2 use for record its resume/suspend state*/
#endif
uint *semaphore_sharemem_info_ptr = (uint *)KERNEL_SEMAPHORE_BUFFER_ADDR; /* for hw semaphore */

unsigned int rescue_mode_with_audio_flag = 0;

/* for test only */
unsigned int default_aes_key[4] = { 0x2dc2df39, 0x420321d0, 0xcef1fe23, 0x74029d95 };

//uint blk_state_len;			// length of bootcode block state array
//uint nand_bootcode_area_size = 0x1400000;	// NAND bootcode area size
#if defined(CONFIG_SYS_RTK_EMMC_FLASH)
 uint eMMC_bootcode_area_size = SYS_PARAM_BOOTCODE_SIZE;		// eMMC bootcode area size
 uint eMMC_fw_desc_table_start = 0;				// start address of valid fw desc table in emmc
#elif defined(CONFIG_SYS_RTK_NAND_FLASH)
 uint NAND_fw_desc_table_saddr = SYS_PARAM_FW_TABLE_START;		// start address of fw table in nand-layout
 uint NAND_fw_desc_table_start=0;		// start address of valid fw desc table in nand
#elif defined(CONFIG_SYS_RTK_SPI_NAND)
 uint SPI_NAND_fw_desc_table_saddr = SYS_PARAM_FW_TABLE_START;		// start address of fw table in nand-layout
 uint SPI_NAND_fw_desc_table_start=0;		 // start address of valid fw desc table in nand
#elif defined(CONFIG_SYS_RTK_SPI_FLASH)
 uint SPI_bootcode_area_size = SYS_PARAM_BOOTCODE_SIZE;		// bootcode area size
 uint SPI_fw_desc_table_start=0;		// start address of valid fw desc table in nand
#elif defined(CONFIG_SYS_RTK_FLASH_NONE)
#else
 #error "Error Flash Type"
#endif

uchar boot_logo_enable = 1;
uchar boot_music_enable = 1;
int boot_power_on_mode = POWER_ON;
uchar boot_panel_type = P_VBY1_4K2K;
uchar Mura_CUC_data_transfer = 1;
uint custom_audio1_length = 0;
uint custom_video1_length = 0;
uint custom_audio2_length = 0;
uint custom_video2_length = 0;
#if defined(CONFIG_BOARD_298X_TV015_QFP176_V3_EMMC)||defined(CONFIG_BOARD_298X_TV015_QFP176_V3_EMMC_VER1)
uint  custom_image_length = 11;
#endif

#ifdef Config_Boot_ATF_TRUE
char share_cmdline[SHARE_CMDLINE_SIZE] = {0};
#endif

int prev_power_on_status = POWER_ON;
uint boot_part = 0; // from layout.txt
uint boot_tag = TAG_COMPLETE; // from layout.txt
#ifdef CONFIG_SYS_RTK_SPI_FLASH	// from layout.txt
layout_fw_desc KernelEntry;
layout_fw_desc AudioFWEntry;
layout_fw_desc VideoFWEntry;
layout_fw_desc VideoFWEntry2;
#endif //CONFIG_SYS_RTK_SPI_FLASH


uint b_fw_desc_table_vaild = 0;
uchar sys_logo_enabled = 0;
uchar sys_logo_is_HDMI = 0;
uchar tv_test_enabled = 0;
fw_desc_entry_v1_t *kernel_entry = NULL;
BOOT_FROM_FLASH_T boot_from_flash = BOOT_FROM_FLASH_NORMAL_MODE;
BOOT_FROM_USB_T boot_from_usb = BOOT_FROM_USB_DISABLE;
UINT32 g_u32StdAnimation =0 ;
UINT32 g_isSTR = 0;
#if defined(Config_Board_TV035) || defined(Config_Board_TV035_INT_DDR)|| defined(Config_Board_TV035_INT_DDR_DCU1_4G4G_DCU2_4G4G)//20140506  xq_xiao
int konka_boot_vol;
int konka_sleepled_mode;
int konka_uart_enable;
#endif

extern uchar boot_ac_on;
#ifdef CONFIG_RTK_MCP
extern unsigned int mcp_dscpt_addr;
#else
unsigned int mcp_dscpt_addr;
#endif
extern const unsigned int Kh_key_default[4];

#if defined(Config_USE_SVFL_FW_TABLE_TRUE)
#define USE_SVFL_FW_DESC_TABLE	(1)
#define Config_Support_SECURE_BOOT_VER_CHK_Enable	// auto enable
#else
#define USE_SVFL_FW_DESC_TABLE	(0)
#endif

#if defined(CONFIG_STD_ENABLE)
#define IS_ENABLE_STD
#endif

#if defined(CONFIG_STR_ENABLE)
#define IS_ENABLE_STR
#endif




#ifdef IS_ENABLE_STD
uint bytes_per_page = 512;
uint pages_per_block = 1;
#else
uint bytes_per_page = 0;
uint pages_per_block = 0;
#endif

UINT32 g_goAddr = 0;
UINT32 (*GoFuncPtr)(void);

#if defined(IS_ENABLE_STD) || defined(IS_ENABLE_STR)
#define IS_ERASE_ID_BLK	(1)

#define EMMC_FACTORY_SIZE			0x800000	// factory area size (right behind bootcode blocks)
#define BOOTCODE_CONTINUE	(0xF2)
#define BOOTCODE_STD_WORK	(0xF3)
#define UNZIP_BUFFER_SIZE	0x400000
#define USE_LZMA			(0)
#define STD_ID_STRING		"@RTK_STD"

UINT32 g_u32STDsize=0;
UINT32 g_u32STDoffset=0x4000000;
UINT32 g_audio_buffer_addr = 0;
UINT32 g_audio_buffer_size = 0;
UINT32 g_video_buffer_addr = 0;
UINT32 g_video_buffer_size = 0;
UINT32 g_last_image_addr = 0;
UINT32 g_last_image_size =0 ;

UINT8 headerBuf[8192];

UINT32 g_imgLen = 0;
UINT32 g_ZipBuf = 0;
UINT32 g_ZipBlkSize = 0;

UINT32 g_STDbsBufferSize = 0;

#if 0
typedef struct{
        u8      sig[8];
        u16     version;
        u16     data_format;
        u32     start_addr;
        u32     comp_total_size;
        u32     comp_blk_size;
        u32     comp_buffer_addr;
        u32     bs_buffer_addr;
        u32     bs_buffer_size;
        u32     audio_buffer_addr;
        u32     audio_buffer_size;
        u32     video_buffer_addr;
        u32     video_buffer_size;
        u32     last_image_addr;
        u32     last_image_size;
} st_swsusp_header;
#endif

UINT32 std_BSsize = 0;
UINT32 g_STDbsBufferAddr = 0;

UINT32 g_u32Stdflag = 0;
UINT8 *ptrHeadBuf;
UINT32 g_u32DataFormat = 0;
//	   data_format = 0: raw data
//	   data_format = 1: LZO compressed data
//	   data_format = 2: ZLIB compressed data
//	   data_format = 3: LZMA compressed data
#endif

typedef struct{
	UINT8 	pq_enable;
	UINT8	pq_first_update;
	char	pq_version[5];
	UINT8	mode_id;
	UINT8	modeid_first_update;
	//u8	CI_enable;
	char 	synccode[10];
} st_usbupdate_flags;

extern void delete_env(void);
extern int do_vcpu_bisr(unsigned int vcpuid);
extern int do_acpu_bisr(unsigned int acpuid);
extern int do_ve_bisr(void);
extern int rtk_plat_boot_go(bootm_headers_t *images);
extern int rtk_plat_run_rescue_from_flash(void);
extern int rtk_plat_run_rescue_from_USB(const char *rescue_file_name);
extern int decrypt_image(char *src, char *dst, uint length, uint *key);
extern void rtk_hexdump( const char * str, unsigned char * pcBuf, unsigned int length );
extern int boot_prep_linux_kcpu(void);

////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////

#if defined(CONFIG_USB_UPDATE_UBOOT_WHEN_AC_ON) || defined(CONFIG_USB_UPDATE_SCRIPT) || defined(CONFIG_RESCUE_SOURCE_FROM_USB)
 void reverse_signature(  unsigned char * pcdata )
{
	volatile unsigned char temp;
	unsigned int i;
	for( i = 0; i < 128; i ++ )  {
		temp = pcdata[i];
		pcdata[i] = pcdata[255-i];
		pcdata[255-i] = temp;
	}
}
#endif

#ifdef IS_ENABLE_STD

int moveToRam(unsigned int* blockNO, unsigned int len, UINT32 Buffer, unsigned int signature)
{
	//printf("[%s][blk:0x%x, addr:0x%x, len:0x%x]\n",__FUNCTION__,*blockNO,Buffer,len);
	//flash_STDread.block_no = blockNO;
	//flash_STDread.signature = signature;
	//flash_STDread.length = len;
	//flash_STDread.buffer = (UINT8*)Buffer;
	//return IO_read(SYS_MAJOR_FLASH, 0, &flash_STDread);
	unsigned int rescue_blk_addr=*blockNO;
	//printf("rescue_blk_addr 0x%x\n",rescue_blk_addr);
	rtk_eMMC_read(rescue_blk_addr, len, (unsigned int *)Buffer);
	return 0;
}


int unzipToRam(UINT32 srcBuffer, UINT32 desBuffer, UINT32 inlen, UINT32* outlen)
{
	int ret = 0;
	*outlen = UNZIP_BUFFER_SIZE;
	if(g_u32DataFormat == 0x0)//raw format
	{
		ret = inlen;
	}
	else if(g_u32DataFormat == 0x03)//LZMA support
	{
		//RTK_LZMA_Init();
		printf("[%s]outlen 0x%x\n",*outlen);
		//ret = RTK_LZMA_Decompress((UINT8*)srcBuffer,inlen,(UINT8*)desBuffer,outlen);
		printf("[%s]ret %d\n",__FUNCTION__,ret);
	}
	else if(g_u32DataFormat == 0x01)//LZO support
	{
		ret = lzo1x_decompress_safe((UINT8*)srcBuffer,inlen,(UINT8*)desBuffer,outlen);
	}

	return ret;
	//return lzo1x_decompress_safe((UINT8*)srcBuffer,inlen,(UINT8*)desBuffer,outlen);
}


int processImg_STDAnimation(UINT8* Buffer)
{
	UINT32 lenCnt = 0;
	UINT32 blkNO = 0;
	UINT32 memAddr = 0;
	UINT32 imgLen = 0;
	UINT32 retZipLen = 0xff;
	int i=0;
	unsigned int tmp =0;
	unsigned int modTmp =0;
	unsigned int u32Pad = 256*1024;
	unsigned int compressSize = 0;
	unsigned int unzipSize = 0;
	unsigned int mul = u32Pad/(bytes_per_page * pages_per_block);
	blkNO = (g_u32STDoffset+128*1024)/(bytes_per_page * pages_per_block);
	printf("%s...\n",__FUNCTION__);
	printf("g_imgLen is 0x%x\n",g_imgLen);
	//printf("Move and unzip to ram...Start\n");

	display_evaluate_time("Move and unzip to ram...Start");
	//int EJTestCnt = 0;
	while(lenCnt<g_imgLen)
	{
		//if(EJTestCnt>=2) break;
		memcpy(&memAddr,&Buffer[128+8*i],4);
		memcpy(&imgLen,&Buffer[132+8*i],4);
		//printf("i value: %d, lenCnt 0x%x\n",i,lenCnt);
		//printf("memAddr 0x%x, imageLen:0x%x\n",memAddr,imgLen);
		//printf("[Move]blk 0x%x --> mem 0x%x\n",blkNO,g_ZipBuf);
		if(!g_u32DataFormat)//Don't support compress....
		{

			if(moveToRam(&blkNO,imgLen,memAddr, 0) !=0)
			{
				printf("[%s]Nand read fail....\n",__FUNCTION__);
				return -1;
			}

			//unzipToRam(g_ZipBuf,memAddr,imgLen,&retZipLen);
			//printf("[Unzip]mem 0x%x --> mem 0x%x, Len 0x%x\n",g_ZipBuf,memAddr,retZipLen);
			printf(".");
		} else {
			compressSize+=imgLen;
			if(moveToRam(&blkNO,imgLen,g_ZipBuf, 0) !=0)
			{
				printf("[%s]Nand read fail....\n",__FUNCTION__);
				return -1;
			}
			//printf("$\n");
			unzipToRam(g_ZipBuf,memAddr,imgLen,&retZipLen);
			//printf("[Unzip]mem 0x%x --> mem 0x%x, Len 0x%x\n",g_ZipBuf,memAddr,retZipLen);
			unzipSize+=retZipLen;
			printf(".");
			if(retZipLen > g_ZipBlkSize)
			{
				printf("Unzip overfollow!!!!!!!!!!!!!\n");
				//printf("blk 0x%x, size 0x%x, unziplen 0x%x\n",blkNO,imgLen,retZipLen);
				//printf("retZiplen 0x%x\n\n\n",retZipLen);
				break;
			}
			//printf("blk 0x%x, size 0x%x, unziplen 0x%x\n",blkNO,imgLen,retZipLen);
		}
		tmp = imgLen/u32Pad;
		modTmp =  imgLen%u32Pad;
		if(modTmp)
			blkNO+=((tmp+1)*mul);
		else
			blkNO+=(tmp*mul);
		lenCnt+=imgLen;
		i++;

		//EJTestCnt++;
	}
	//printf("Move and unzip to ram...End\n");
	display_evaluate_time("Move and unzip to ram...End");
	printf("Process zip size 0x%x, unzip size 0x%x\n",compressSize,unzipSize);

	//sys_dcache_flush_all();
	//sys_icache_invalidate_all();

}

#if 0		// non-use code
unsigned int  processImg_V3(UINT8* Buffer)
{
	UINT32 lenCnt = 0;
	UINT32 blkNO = 0;
	UINT32 memAddr = 0;
	UINT32 imgLen = 0;
	UINT32 retZipLen = 0xff;
	int i=0;
	unsigned int tmp =0;
	unsigned int modTmp =0;
	unsigned int u32Pad = 256*1024;
	unsigned int mul = u32Pad/(bytes_per_page * pages_per_block);
	blkNO = (g_u32STDoffset+128*1024)/(bytes_per_page * pages_per_block);
	printf("STD_V3 supported...\n");
    	g_u32StdAnimation = 1;

	#if 1
//	sys_dcache_flush_all();
//	sys_icache_invalidate_all();
	return BOOTCODE_STD_WORK;
	#else

	while(lenCnt<g_imgLen)
	{
		memcpy(&memAddr,&Buffer[132+16*i],4);
		memcpy(&imgLen,&Buffer[136+16*i],4);
		if(moveToRam(&blkNO,imgLen,g_ZipBuf, 0) !=OK)
		{
			printf("[%s]Nand read fail....\n",__FUNCTION__);
			return BOOTCODE_CONTINUE;
		}
		unzipToRam(g_ZipBuf,memAddr,imgLen,&retZipLen);
	//printf("retZiplen 0x%x\n\n\n",retZipLen);
	//break;
		tmp = imgLen/u32Pad;
		modTmp =  imgLen%u32Pad;
		if(modTmp)
			blkNO+=((tmp+1)*mul);
		else
			blkNO+=(tmp*mul);
		lenCnt+=imgLen;
		i++;
	}
	#endif
	//sys_dcache_flush_all();
	//sys_icache_invalidate_all();
	//return BOOTCODE_STD_WORK;
}

#if 0
void imdpatterngenerator_ipg1080p_fs_fhd_dibypass(void)
{
	#include "scripts/dpll_297MHz.tbl"                    // DPLL setting for fhd

	#include "scripts/dtg_fhd_frc.tbl"                      // DTG for full hd setting

	#include "scripts/mtg_fhd.tbl"                           // MTG for 1920x1080 setting

	rtd_outl(0xb8029000, 0x00EF0031);			   // D-domain Pattern Gen Setting

	rtd_outl(0xb8029028, 0x07800438);			   //Input Size (1920x1080)

	#include "scripts/LVDS_FHD_1Pixel_1Seg_2Port.tbl"        // SFG, PIF, TX_PHY


}
#endif

#if 0
void STDinitProc(void)
{

	printf("[%s]init panel module...\n",__FUNCTION__);
	//init panel_1st
	//initmodulesEx1();
	//init panel_2nd
	//initmodulesEx2();


	//Enable clock and init procedure.....
	//post_hwsetting();
printf("Set IMD domain pattern...\n");
    printf("Skip imdpatterngenerator_ipg1080p_fs_fhd_dibypass()\n");
    //imdpatterngenerator_ipg1080p_fs_fhd_dibypass();

#ifndef Board_LAN_NULL
				//printf("Reset Ethernet Mac.\n");
				//reset ethernet mac
    	//REG8(0xb801603b) = 0x01;//For saturn
//    	REG32(0xb8016038) = 0x01;//For darwin & Macarthur
#endif

//For 299X
	//rtd_outl(0xb8016234, 0x0);
	//rtd_outl(0xb801603c, 0xffff);
	//rtd_outl(0xb8016038, 0x1);


	//disable UART0/UART1 interrupt before go linux
	//if ((REG32(KSEG1(MIS_U0LCR)) & 0x80) == 0)
	//	REG32(KSEG1(MIS_U0IER_DLH)) = 0;
	//if ((REG32(KSEG1(MIS_U1LCR)) & 0x80) == 0)
	//	REG32(KSEG1(MIS_U1IER_DLH)) = 0;


//	imdpatterngenerator_ipg1080p_fs_fhd_dibypass();
}
#endif

/************************************************************************
 *
 *                          mainSTD
 *  Description :
 *  -------------
 *  Implement STD(Suspend To Disk) functionl
 *
 *  Return values :
 *  ---------------
 *  None, function never returns
 *
 ************************************************************************/
unsigned int mainSTD(void)
{
	UINT32 blkNO;
	UINT32 goAddr;
	UINT32 imgLen;
	//UINT32 ddrAddr=1024*1024-4096;
	UINT32 skipBlk=0;
	UINT32 skipSize = 1024*1024;
	char ch =0;
	int k=0;
	if(g_u32STDsize<=0||g_u32STDoffset<=0)
	   return BOOTCODE_CONTINUE;
	printf("Start STD function...\n");
	//printf("g_u32STDsize 0x%x\n",g_u32STDsize);
	//printf("g_u32STDoffset 0x%x\n",g_u32STDoffset);
	//Write parameter to system_parameters_3

	//if (BOOT_FLASH_TYPE == BOOT_NAND)
	{

			return processImg_V3(ptrHeadBuf);
	}
	//else
	//	return BOOTCODE_CONTINUE;
}


int checkHeader(UINT8* Buffer)
{
	st_swsusp_header header_buf;

	//Check identifier
	memcpy(&header_buf,Buffer,sizeof(st_swsusp_header));
	if(memcmp(header_buf.sig,STD_ID_STRING,8)!=0)
	{
		printf("STD identifier NOT match\n");
		return BOOTCODE_CONTINUE;
	}

	g_u32StdAnimation 	= 1;
	g_u32Stdflag 		= header_buf.version;
	g_u32DataFormat 	= header_buf.data_format;
	g_goAddr 			= header_buf.start_addr;
	g_imgLen 			= header_buf.comp_total_size;
	g_ZipBlkSize 		= header_buf.comp_blk_size;
	g_ZipBuf 			= header_buf.comp_buffer_addr;
	g_STDbsBufferAddr	= header_buf.bs_buffer_addr;
	g_STDbsBufferSize 	= header_buf.bs_buffer_size;
	g_audio_buffer_addr	= header_buf.audio_buffer_addr;
	g_audio_buffer_size	= header_buf.audio_buffer_size;
	g_video_buffer_addr = header_buf.video_buffer_addr;
	g_video_buffer_size = header_buf.video_buffer_size;
	g_last_image_addr 	= header_buf.last_image_addr;
	g_last_image_size 	= header_buf.last_image_size;

	if(g_u32DataFormat==0x03)
		printf("Use lzma\n");
    else if(g_u32DataFormat==0x01)
		printf("Use LZO\n");
	else if(g_u32DataFormat==0x0)
		printf("Use raw data\n");
	else
		printf("Unknown data format\n");

	#if ALFIE_TEST
		printf("Only For alfie test!\n");
		g_u32StdAnimation = 0;
	#endif
		printf("g_u32StdAnimation 0x%x\n",g_u32StdAnimation);
		printf("g_u32Stdflag 0x%x\n",g_u32Stdflag);
		printf("g_u32DataFormat 0x%x\n",g_u32DataFormat);
		printf("Go address 0x%x\n",g_goAddr);
		printf("imgLen 0x%x\n",g_imgLen);
		printf("g_ZipBlkSize 0x%x\n",g_ZipBlkSize);
		printf("ZipBuf 0x%x\n",g_ZipBuf);
		printf("g_STDbsBufferAddr 0x%x\n",g_STDbsBufferAddr);
		printf("g_STDbsBufferSize 0x%x\n",g_STDbsBufferSize);

	if(g_imgLen<=0)
	{
		printf("[WARNING]image length <=0 [%u]\n",g_imgLen);
		return BOOTCODE_CONTINUE;
	}
	printf("STD go 0x%x\n",g_goAddr);
	printf("%s:\n",__FUNCTION__);
	printf("g_audio_buffer_addr 0x%x\n",g_audio_buffer_addr);
	printf("g_audio_buffer_size 0x%x\n",g_audio_buffer_size);
	printf("g_video_buffer_addr 0x%x\n",g_video_buffer_addr);
	printf("g_video_buffer_size 0x%x\n",g_video_buffer_size);
	printf("g_last_image_addr 0x%x\n",g_last_image_addr);
	printf("g_last_image_size 0x%x\n",g_last_image_size);
	return 0;
}
#endif

#endif

static void release_hw_semaphore(void)
{
//	printf("## Release HW semaphore\n");

	rtd_outl(SB2_HD_SEM_reg, 0x0);
}

__attribute__ ((unused)) static void hold_hw_semaphore(void)
{
	//printf("## Hold HW semaphore\n");
	while(!(rtd_inl(SB2_HD_SEM_reg)))
	{
		udelay(100);
	}
}

#ifndef CONFIG_RTK_MCP
int Verify_SHA256_hash( unsigned char * src_addr, unsigned int length, unsigned char * ref_sha256, unsigned int do_recovery )
{
	// dummy function to prevent compile error.
	printf("skip Verify_SHA256_hash()\n");
	return 0;
}
#endif

#ifdef CONFIG_CMD_GO
static unsigned long do_go_kernel_image(void)
{
	bootm_headers_t	images;

	memset(&images, 0, sizeof(bootm_headers_t));

#ifdef CONFIG_OF_LIBFDT
        if(boot_mode != BOOT_RESCUE_MODE)
        {
            //backup tftp data to addr DVRBOOT_EXE_BIN_ENTRY_ADDR
            memcpy((char *)CONFIG_LINUX_BK_BUFFER_ADDR, (char *)LINUX_KERNEL_ENTRY, LINUX_KERNEL_SIZE);

            //load DTB file
            printf("load DTB file!!\n");
            if(rtk_plat_boot_setup(&images) != RTK_PLAT_ERR_OK)
            {
                printf("Down load DTB fail!\n");
                //resume data
                memcpy((char *)LINUX_KERNEL_ENTRY, (char *)CONFIG_LINUX_BK_BUFFER_ADDR,  LINUX_KERNEL_SIZE);
                return 1;
            }

            //resume data
            memcpy((char *)LINUX_KERNEL_ENTRY, (char *)CONFIG_LINUX_BK_BUFFER_ADDR,  LINUX_KERNEL_SIZE);
        }

#endif

#ifndef CONFIG_KCPU_LOAD_OPTEE
	if (getenv("kernel_entry") != NULL) {
		images.ep = (unsigned long)simple_strtol(getenv("kernel_entry"), NULL, 16);
	}
	else {
#else
	{
#endif
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
		if(1) //(boot_mode != BOOT_RESCUE_MODE )
			images.ep = (unsigned long)LINUX64_KERNEL_ENTRY;
		else
#endif
		images.ep = (unsigned long)LINUX_KERNEL_ENTRY;
	}

	printf("Start Linux at 0x%lx ...\n", images.ep);

	rtk_plat_boot_go(&images);

	return 0;
}

#ifndef CONFIG_RUN_FLASH_WRITER
#if 0
static int is_KCPU_run_STR(void)
{
#ifdef ENABLE_SUPPORT_KCPU_STR
	static int result = -1; //not deteminte

	if(result == -1)
	{
		unsigned int address = rtd_inl(STB_WDOG_DATA6_reg);
		if( (address !=0) && (address > 0x96000000) && (address < 0x98000000))
		{
			result = 1;
			printf("KCPU run STR mode(%x)\n", address);
		}
		else
			result = 0;
	}

	return result;

#else
	return 0;
#endif
}
#endif
#endif

#if 0
static unsigned long do_go_kcpu_fw(unsigned int address)
{
	printf("Start KCPU Firmware ...\n");

	if (boot_prep_linux_kcpu() !=0)
		return 0;

	flush_dcache_all();

#ifdef CONFIG_KCPU_LOAD_K_FW
	if (address == (LINUX_KERNEL_ENTRY | MIPS_KSEG0BASE)) {
		printf("go k rescue [kboot go_r]\n");
		run_command("kboot go_r", 0);
	}
	else {
		printf("go k normal [kboot go_k]\n");
		run_command("kboot go_k", 0);
	}
#else
      //  *KcpuFW_entry_ptr =  0x9b008000;
	//if (address != 0xffffffff)
	//	rtd_outl(STB_WDOG_DATA10_reg, address);
			printf("KCPU linux gogogoo!!!\n");

	// if (*KcpuFW_entry_ptr != 0)
	//	rtd_outl(STB_WDOG_DATA10_reg, *KcpuFW_entry_ptr);
	//else

	if(is_KCPU_run_STR()==1)
		rtd_outl(STB_WDOG_DATA10_reg, rtd_inl(STB_WDOG_DATA6_reg) | MIPS_KSEG0BASE);
	else
		rtd_outl(STB_WDOG_DATA10_reg, MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);

	//release hw semaphore
	//rtd_outl(0xb801a630, 0x0);
#endif
	return 0;
}
#endif

static int unmute_amp(void)
{
#if 0
	unsigned long long value = 0;

	if (pcb_mgr_get_enum_info_byname("PIN_AMP_MUTE", &value) < 0) {
		printf("no PIN_AMP_MUTE\n");
		return -1;
	} else {
		printf("%s %d mute src\n", __FUNCTION__, __LINE__);
		rtd_outl(0xb8033004, 0x00120000);
		rtd_outl(0xb8006b28, 0x00007ff8);
		printf("%s %d unmute amp\n", __FUNCTION__, __LINE__);
		mdelay(350);
		IO_Set(value, 0);// 0: unmute  1: mute
	}
#else
	//set bb_aiol_GPI_EN bb_aior_GPI_EN as GPIO mode
	//mute AMP in pcb
	printf("bypass unmute\n");
#endif

	return 0;
}

static unsigned long do_go_audio_fw(int acpu_no)
{
	int ret = 0;

	switch (acpu_no) {
		case 0:
			printf("Start Audio Firmware 12...\n");
			*AudioFW_entry_ptr_A1 = SWAPEND32(MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
#ifdef CONFIG_ACPU2_SUPPORT
			*AudioFW_entry_ptr_A2 = SWAPEND32(MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);
#endif
			break;
		case 1:
			printf("Start Audio Firmware 1...\n");
			*AudioFW_entry_ptr_A1 = SWAPEND32(MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
			break;
#ifdef CONFIG_ACPU2_SUPPORT
		case 2:
			printf("Start Audio Firmware 2...\n");
			*AudioFW_entry_ptr_A2 = SWAPEND32(MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);
			break;
#endif
		default:
			printf("## Unknown option %d\n", acpu_no);
			ret = 1;
			break;
	}

	if (ret == 0)
	{
		flush_dcache_all();

#ifdef ENABLE_ACPU_BISR
		mdelay(10);
		printf("%s %d hold_hw_semaphore\n", __FUNCTION__, __LINE__);
		hold_hw_semaphore();
#endif
		unmute_amp();

		/* Enable ACPU1 */
		if (acpu_no == 0 || acpu_no == 1)
		{
			enable_audio_clock();
#ifdef ENABLE_ACPU_BISR
			do_acpu_bisr(_BIT0);
#endif
		}
#ifdef CONFIG_ACPU2_SUPPORT
		/* Enable ACPU2 */
		if (acpu_no == 0 || acpu_no == 2)
		{
			enable_audio2_clock();
#ifdef ENABLE_ACPU_BISR
			do_acpu_bisr(_BIT1);
#endif
		}
#endif
		/* Release HW Semaphore */
		release_hw_semaphore();
	}
	return ret;
}

static unsigned long do_go_video_fw(int vcpu_no)
{
	int ret = 0;

	switch (vcpu_no) {
		case 0:
			printf("Start Video Firmware 12...\n");
			*VideoFW_entry_ptr_V1 = SWAPEND32(MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
			*VideoFW_entry_ptr_V2 = SWAPEND32(MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);
			break;

		case 1:
			printf("Start Video Firmware 1...\n");
			*VideoFW_entry_ptr_V1 = SWAPEND32(MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
			break;

		case 2:
			printf("Start Video Firmware 2...\n");
			*VideoFW_entry_ptr_V2 = SWAPEND32(MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);
			break;

		default:
			printf("## Unknown option %d\n", vcpu_no);
			ret = 1;
			break;
	}

	if (ret == 0)
	{
		flush_dcache_all();

#ifdef ENABLE_VCPU_BISR
		mdelay(10);
		printf("%s %d hold_hw_semaphore\n", __FUNCTION__, __LINE__);
		hold_hw_semaphore();
#endif

		/* Enable VCPU1 */
		if (vcpu_no == 0 || vcpu_no == 1)
		{
			enable_video_clock();
#ifdef ENABLE_VCPU_BISR
			do_vcpu_bisr(_BIT0);
#endif
#ifdef ENABLE_VE_BISR
			do_ve_bisr();
#endif
		}
#ifdef CONFIG_VCPU2_SUPPORT
		/* Enable VCPU2 */
		if (vcpu_no == 0 || vcpu_no == 2)
		{
			enable_video2_clock();
#ifdef ENABLE_VCPU_BISR
			do_vcpu_bisr(_BIT1);
#endif

		}
#endif
		/* Release HW Semaphore */
		release_hw_semaphore();
	}

	return ret;
}
#ifndef CONFIG_RUN_FLASH_WRITER
#if 0 // remove kcpu
static __maybe_unused unsigned long do_go_kcpu(void)
{
	if (KcpuFW_entry_ptr != 0)
	{
#ifdef CONFIG_KCPU_LOAD_K_FW
#if defined(Config_USE_SVFL_FW_TABLE_TRUE)
       		run_command("kboot wait_v", 0);
#else
        	run_command("kboot wait", 0);
#endif
        	run_command("kboot go_k", 0);
#else
        	printf("Enable KCPU\n");
        	rtd_outl(STB_WDOG_DATA10_reg, KcpuFW_entry_ptr);
#endif
	}
	return 0;
}
#endif
#endif
static unsigned long do_go_all_fw(void)
{
	int ret = 0;

	printf("Start Audio Firmware 12...\n");
	printf("Start Video Firmware 12...\n");

	*AudioFW_entry_ptr_A1 = SWAPEND32(MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
	*AudioFW_entry_ptr_A2 = SWAPEND32(MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);
	*VideoFW_entry_ptr_V1 = SWAPEND32(MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG1BASE);
	*VideoFW_entry_ptr_V2 = SWAPEND32(MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG1BASE);

#if 0 // remove kcpu
	if (KcpuFW_entry_ptr != 0) {
		printf("Start KCPU Firmware ...\n");
   		if (boot_prep_linux_kcpu() !=0) {
			printf("boot_prep_linux_kcpu failed\n");
			return 0;
		}
	}
#endif

	flush_dcache_all();

#ifdef ENABLE_ACPU_BISR
	mdelay(10);
	printf("%s %d hold_hw_semaphore\n", __FUNCTION__, __LINE__);
	hold_hw_semaphore();
#endif

	/* Enable ACPU1 */
	enable_audio_clock();

#ifdef CONFIG_ACPU2_SUPPORT
	/* Enable ACPU2 */
	enable_audio2_clock();
#endif
	unmute_amp();

#ifdef ENABLE_ACPU_BISR
	do_acpu_bisr(_BIT0 | _BIT1);
#endif

	/* Enable VCPU1 */
	enable_video_clock();
#ifdef CONFIG_VCPU2_SUPPORT
	/* Enable VCPU2 */
	enable_video2_clock();
#endif
#ifdef ENABLE_VCPU_BISR
	do_vcpu_bisr(_BIT0 | _BIT1);
#endif

#ifdef ENABLE_VE_BISR
	do_ve_bisr();
#endif

	/* Release HW Semaphore */
	release_hw_semaphore();

#if 0 // remove kcpu
	if (KcpuFW_entry_ptr != 0) {
#ifdef CONFIG_KCPU_LOAD_K_FW
		run_command("kboot go_k", 0);
#else
		rtd_outl(STB_WDOG_DATA10_reg, KcpuFW_entry_ptr);
#endif
   }
#endif

    //in mac6 u-boot cannot check optee os data
#if 0
	// check if optee os is loaded
	struct optee_header *header = (struct optee_header *) TEE_FW_ENTRY_ADDR;
	if (header->magic == OPTEE_MAGIC && header->version == OPTEE_VERSION) {
		static char addr_buf[20];
		sprintf(addr_buf, "%X", TEE_FW_ENTRY_ADDR+OPTEE_HEADER_SIZE);
		setenv("kernel_entry", addr_buf);
	}
#endif

	/* Enter kernel entry */
	do_go_kernel_image();

	return ret;
}

/* Allow ports to override the default behavior */
__attribute__((weak))
unsigned long do_go_exec (ulong (*entry)(int, char * const []), int argc, char * const argv[])
{
	return entry (argc, argv);
}

int do_go (cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	ulong	addr=0xffffffff, rc;
	int     rcode = 0;
	int     i;

	if (argc < 2)
		return CMD_RET_USAGE;

	if (argv[1][0] == 'a')
	{
		if (argv[1][1] == '\0')	// a1, a2 fw
		{
			return do_go_audio_fw(0);
		}
		else if (argv[1][1] == '1') // a1 fw
		{
			return do_go_audio_fw(1);
		}
		else if (argv[1][1] == '2') // a2 fw
		{
			return do_go_audio_fw(2);
		}
		else if (argv[1][1] == 'l' && argv[1][2] == 'l')	// all fw
		{
			return do_go_all_fw();
		}
		else
		{
			printf("Unknown command '%s'\n", argv[1]);
			return CMD_RET_USAGE;
		}
	}
	else if (argv[1][0] == 'v')
	{
		if (argv[1][1] == '\0')	// v1, v2 fw
		{
			return do_go_video_fw(0);
		}
		else if (argv[1][1] == '1')	// v1 fw
		{
			return do_go_video_fw(1);
		}
		else if (argv[1][1] == '2')	// v2 fw
		{
			return do_go_video_fw(2);
		}
		else
		{
			printf("Unknown command '%s'\n", argv[1]);
			return CMD_RET_USAGE;
		}
	}
	else if (argv[1][0] == 'k')
	{
		return do_go_kernel_image();	// kernel image
	}
#if 0 // remove kcpu
	else if (argv[1][0] == 'c')
	{
		if (argc == 3)
			addr = simple_strtoul(argv[2], NULL, 16);

//mac6 cannot access optee os data in uboot
#if 0
		//for optee boot
		struct optee_header *header = (struct optee_header *) TEE_FW_ENTRY_ADDR;
		if (header->magic == OPTEE_MAGIC && header->version == OPTEE_VERSION) {
			static char addr_buf[20];
			sprintf(addr_buf, "%X", TEE_FW_ENTRY_ADDR+OPTEE_HEADER_SIZE);
			setenv("kernel_entry", addr_buf);
			return do_go_kernel_image();    // kernel image
		}
#endif

        	if (is_kcpu_fw_exist == 1) {
		    	return do_go_kcpu_fw(addr);
        	}
        	else{
            		printf("[%s][%d][%s]ERR: no kcpu fw in fw_table\n", __FILE__ ,__LINE__ ,__func__);
                    	return 0;
        	}

	}
#endif
	else if (argv[1][0] == 'r')
	{
#if 0 // remove kcpu
        	if (is_kcpu_fw_exist == 1){
#ifdef CONFIG_KCPU_LOAD_RESCUE
    			int ret = 0;

    			ret = run_command("kboot rescue", 0);
    			if (ret != 0) { // failed
    				return 0;
    			}

    			ret = run_command("kboot wait", 0);
    			if (ret != 0) { // failed
    				return 0;
    			}

    			ret = run_command("kboot go_r", 0);
    			if (ret != 0) { // failed
    				return 0;
    			}

    			printf("[FATAL] k enter rescue, s should enter busy loop.\n");

    			return 0;
#endif
        	}
#endif

		if (argv[1][1] == '\0') // rescue from flash
		{
			if (rtk_plat_run_rescue_from_flash() == RTK_PLAT_ERR_OK)
			{
				boot_mode = BOOT_RESCUE_MODE;

				return do_go_kernel_image();
			}
			else
			{
				return 0;
			}
		}
#ifdef CONFIG_RESCUE_FROM_USB
		else if (argv[1][1] == 'u') // rescue from usb
		{
			char file_name_buf[32];
			char *rescue_file_name = NULL;

			rescue_file_name = getenv("rescue_file_name");

			if (rescue_file_name == NULL) {
				strcpy(file_name_buf, CONFIG_RESCUE_FROM_USB_FILENAME);
				rescue_file_name = file_name_buf;
			}

			if (rtk_plat_run_rescue_from_USB(rescue_file_name) == RTK_PLAT_ERR_OK)
			{
				return do_go_kernel_image();
			}
			else
			{
				return 0;
			}
		}
#endif
		else
		{
			return 0;
		}
	}

	addr = simple_strtoul(argv[1], NULL, 16);

#if 0 // remove this hack because dvrmain can distinguish burn flow
	if (addr == DVRBOOT_EXE_BIN_ENTRY_ADDR) // special address for run dvrmain
	{
		// disable cache because dvrmain does not support cache operation
		dcache_disable();
	}
#endif

	printf ("Starting application at 0x%08lX ...\n", addr);

	for( i = 0; i < argc; i++ ) {
		if( strncmp( argv[i], "nocache", 7 ) == 0 ) {
			printf ("Run application w/o any cache\n");
			cleanup_before_dvrbootexe();
			break;
		}
	}

	/*
	 * pass address parameter as argv[0] (aka command name),
	 * and all remaining args
	 */
	rc = do_go_exec ((void *)addr, argc - 1, argv + 1);
	if (rc != 0) rcode = 1;

#ifdef CONFIG_CLEAR_ENV_AFTER_UPDATE_BOOTCODE
	if (rcode == 0 && addr == DVRBOOT_EXE_BIN_ENTRY_ADDR)
	{
		printf ("MMC rescan ...\n");
		run_command_list("mmc rescan", -1, 0); // rescan mmc device to prevent mmc read error

		printf ("Clear env in factory after updating bootcode ...\n");
		delete_env();
	}
#endif


	printf ("Application terminated, rc = 0x%lX\n", rc);
	return rcode;
}

/* -------------------------------------------------------------------- */

U_BOOT_CMD(
	go, CONFIG_SYS_MAXARGS, 1,	do_go,
	"start application at address 'addr' or start running fw",
	"[addr/a/v/v1/v2/k] [arg ...]\n"
	"\taddr  - start application at address 'addr'\n"
	"\ta     - start audio firmware\n"
	"\tv     - start video firmware 1\n"
	"\tc     - start kcpu firmware \n"
	"\tk     - start kernel\n"
	"\tr     - start rescue linux\n"
#ifdef CONFIG_RESCUE_FROM_USB
	"\tru    - start rescue linux from usb\n"
#endif
	"\tall   - start all firmware\n"
	"\t[arg] - passing 'arg' as arguments\n"
);

#endif

U_BOOT_CMD(
	reset, 1, 0,	do_reset,
	"Perform RESET of the CPU",
	""
);

/*
 * input
 * interface : "usb"
 * char *dev_part : "0:1"
 *
 * return : first file in root directory or NULL
 */
char *fat_ls_first (char *interface, char *dev_part)
{
//	char *filename = "/";
	int dev=0;
	int part=1;
	char *ep;
	block_dev_desc_t *dev_desc=NULL;

	dev = (int)simple_strtoul(dev_part, &ep, 16);
	dev_desc = get_dev(interface,dev);
	if (dev_desc == NULL) {
		puts("\n** Invalid boot device **\n");
		return NULL;
	}
	if (*ep) {
		if (*ep != ':') {
			puts("\n** Invalid boot device, use `dev[:part]' **\n");
			return NULL;
		}
		part = (int)simple_strtoul(++ep, NULL, 16);
	}
	if (fat_register_device(dev_desc,part)!=0) {
		printf("\n** Unable to use %s %d:%d for fatls **\n",
			interface, dev, part);
		return NULL;
	}

	return file_fat_ls_first();
}

#ifdef CONFIG_FSW
/*
* input
* interface : "usb"
* char *dev_part : "0:1"
*
* return : first file in root directory or NULL
*/
char *fat_ls_str_first (char *interface, char *dev_part, const char* str)
{
	//	char *filename = "/";
	int dev=0;
	int part=1;
	char *ep;
	block_dev_desc_t *dev_desc=NULL;

	dev = (int)simple_strtoul(dev_part, &ep, 16);
	dev_desc = get_dev(interface,dev);
	if (dev_desc == NULL) {
		puts("\n** Invalid boot device **\n");
		return NULL;
	}
	if (*ep) {
		if (*ep != ':') {
			puts("\n** Invalid boot device, use `dev[:part]' **\n");
			return NULL;
		}
		part = (int)simple_strtoul(++ep, NULL, 16);
	}
	if (fat_register_device(dev_desc,part)!=0) {
		printf("\n** Unable to use %s %d:%d for fatls **\n", interface, dev, part);
		return NULL;
	}

	return file_fat_ls_str_first(str);
}
#endif

#if defined(CONFIG_USB_UPDATE_SCRIPT)

extern long usb_read_fat_file_size;
int install_to_go_flag = 0;

static inline char* skip_char(char* str, char c)
{
	do
	{
		if(*str==0) return NULL;
		if(*str==c) return str+1;
		str++;
	} while(1);
	return NULL;
}
bool have_bootcode = false, have_image = false;

static int check_image_flag()
{
        return have_image;
}
static load_factory_flags(st_usbupdate_flags *pflaginfo)
{
	char *data;
	int size;

	if (factory_read(FACTORY_FLAG_FILE, &data, &size))
	{
		printf("%s not found\n",FACTORY_FLAG_FILE);
	}else
	{
		printf("%s found\n",FACTORY_FLAG_FILE);
		memcpy(pflaginfo,(st_usbupdate_flags *)data,size);
	}
}
static int usb_read_cmd(uint target_addr,char *file_name)
{
	uint data_bytes = 0;
	int ret = 0;
	char cmd[128] = {0};
	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, file_name, data_bytes);
	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[WARN] %s:read %s failed. (No such file)\n", __FUNCTION__, file_name);
		return 0;
	}
	else
		return usb_read_fat_file_size;

}


static int check_dvrboot_flag()
{
        int i, j, endmark;
        char *script = (char *)(DVRBOOT_EXE_BIN_ENTRY_ADDR);
	char *flagchar;
        char newline[MAX_USB_SCRIPT_LINE][MAX_USB_SCRIPT_LINE_LEN] = {0};

	if ( usb_read_fat_file_size > MAX_USB_SCRIPT_LINE*MAX_USB_SCRIPT_LINE_LEN*8 )
	{
		printf("[WARN] %s:read %s failed. (file size too large > %d)\n", __FUNCTION__, USB_AUTO_SCRIPT, MAX_USB_SCRIPT_LINE*MAX_USB_SCRIPT_LINE_LEN);
		return 0;
	}
        printf("**** usb_read_fat_file_size = %d\n", usb_read_fat_file_size);
        int tempSLen = strlen(BOOTCODE_RESCUE);
        int tempSLen2 = strlen(FULL_IMG);

	st_usbupdate_flags flaginfo;
	memset(&flaginfo,0,sizeof(st_usbupdate_flags));
	load_factory_flags(&flaginfo);
	int factory_update_flags=0;

	for (i=0, j=0, endmark=0; i < usb_read_fat_file_size ; i++)
	{
                if ( *(script+i) == 0x0D ||*(script+i) == 0x0a)
                {
			if ( (i-endmark+1) > MAX_USB_SCRIPT_LINE_LEN )
			{
				printf("[WARN] %s:read %s.lst failed. (line length too large > %d)\n",__FUNCTION__, USB_AUTO_SCRIPT, MAX_USB_SCRIPT_LINE_LEN);
				return 0;
			}
                	*(script+i) = '\0';
                	*(script+i+1) = '\0';
			memcpy(newline[j], (char *)(script+endmark), i-endmark+1);
        		//printf("i=%d,j=%d:%02x:%s\n", i, j, *(script+i+2), newline[j]);
                        endmark=i+2;
                        j++;
                }
        }

	for (i=0; (i < j); i++)
	{
		if((newline[i][0] == ';') || (newline[i][0] == '#')) continue;
		printf("newline: %s\n", newline[i]);

		if(0 == strncmp( BOOTCODE_RESCUE , newline[i], tempSLen))
                {
                        printf( "%s=%s\n", BOOTCODE_RESCUE, flagchar=skip_char(newline[i]+tempSLen, '='));
                        if (flagchar[0] == 'N')
				have_bootcode = true;
			//else
                                //return 0;
                        continue;
        	}
                if(0 == strncmp( FULL_IMG , newline[i], tempSLen2))
                {
                        printf( "%s=%s\n", FULL_IMG, flagchar=skip_char(newline[i]+tempSLen2, '='));
                        if (flagchar[0] == 'N')
				have_image = true;
			//else
                                //return 0;
                        continue;
        	}
		//PQ
		if(0 == strncmp( "pq.bin" , newline[i], 6))
		{
			printf( "%s=%s\n", "pq.bin", flagchar=skip_char(newline[i]+6, '='));
			if (flagchar[0] == 'E')
				flaginfo.pq_enable= 1;
			else if (flagchar[0] == 'D')
				flaginfo.pq_enable= 0;
			flaginfo.pq_first_update= 1;
			factory_update_flags++;
			int datalen=usb_read_cmd(DVRBOOT_EXE_BIN_ENTRY_ADDR,"pq.bin");
			printf("datalen=%d     %s____%s____%d. \n",datalen,__FILE__,__FUNCTION__,__LINE__);
			script = (char *)(DVRBOOT_EXE_BIN_ENTRY_ADDR);
			if(strncmp(script,"RTKR",4)==0)
			{
				memcpy(flaginfo.pq_version,script+4,4);
				flaginfo.pq_version[4]='\0';
				script = script +8;
				datalen=datalen-8;
			}
			else
			{
				memcpy(flaginfo.pq_version,"0000",4);
				flaginfo.pq_version[4]='\0';
			}
			factory_write("tmp/factory/pq.bin",script,datalen);
	           	continue;
		}
	}

	if(factory_update_flags>0)
	{
		strcpy(flaginfo.synccode,"RETKFLAGDT");
		factory_write(FACTORY_FLAG_FILE,&flaginfo,sizeof(flaginfo));
		factory_save();
	}
	return have_bootcode;
}

int check_usb_autoscript_update(const char *script_file_name, uchar bBootcode)
{
	uint target_addr = 0;
	uint data_bytes = 0;
	int ret = 0;
	char cmd[128] = {0};

	printf("[UAC_DBG] autoscript parms: bBootcode=%d, install_to_go_flag=%d\n", bBootcode, install_to_go_flag);

#if 0 // move to outer
        if (bUsb_need_init)
	{
		// usb start_ac
		memset( cmd, 0, sizeof(cmd) );
		sprintf( cmd, "usb start_ac" );
		ret = run_command( cmd, 0 );
		if (ret != 0)
		{
			/* usb start_ac error */
			printf("[INFO] %s:usb start_ac failed. (No USB plug-in)\n", __FUNCTION__);
			return 0;
		}
	}
#endif

#ifdef CONFIG_USB_UPDATE_UBOOT_WHEN_AC_ON
      	if (install_to_go_flag == 0)
	{
		// read dvrboot.exe.bin from usb
		printf("read %s to entering usb update bootcode ...\n", script_file_name);
		target_addr = DVRBOOT_EXE_BIN_ENTRY_ADDR;
		memset(cmd, 0, sizeof(cmd));
		sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, script_file_name, data_bytes);
		ret = run_command(cmd, 0);
	}
#else
	// read dvrboot.exe.bin from usb
	printf("read %s to entering usb update bootcode ...\n", script_file_name);
	target_addr = DVRBOOT_EXE_BIN_ENTRY_ADDR;
	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, script_file_name, data_bytes);
	ret = run_command(cmd, 0);
#endif

        if (bBootcode)
	{
		if (ret != 0)
		{
			/* Read error */
			install_to_go_flag = 2;
			printf("[WARN] %s:read %s failed. (No such file, skip bootcode update flow)\n", __FUNCTION__, script_file_name);
			return 0;
		}
		else
		{
			/* Read success */

			install_to_go_flag = 1;
			if(check_dvrboot_flag())
                        	return 1;  // dvrboot.exe.bin=N in autoscript.lst
			else
				return 0;  // dvrboot.exe.bin=N Not in autoscript.lst or marked by #
		}
        }
        else
        {
#ifdef CONFIG_USB_UPDATE_UBOOT_WHEN_AC_ON
		if (install_to_go_flag == 1 && check_image_flag() )
		{
			/* Read success */
			return 1;
		}
		else
		{
			/* Read error */
			printf("[WARN] %s:read %s failed. (No such file, skip install flow)\n", __FUNCTION__, script_file_name);
			return 0;
		}
#else
		if (ret != 0)
		{
			/* Read error */
			printf("[WARN] %s:read %s failed. (No such file, skip install flow)\n", __FUNCTION__, script_file_name);
			return 0;
		}
		else
		{
                        if( check_image_flag() == 1 )
			        return 1;  //autoscript.lst exits
			else
			{
                                printf("[WARN] %s:read %s failed. (No such file, skip install flow)\n", __FUNCTION__, script_file_name);
                                return 0;
			}
		}
#endif
        }
}
#endif

#if defined(CONFIG_USB_UPDATE_WHEN_AC_ON) || defined(CONFIG_RESCUE_SOURCE_FROM_USB)

#if 0 //def CONFIG_KCPU_LOAD_RESCUE
#define RESCUE_FILENAME_IN_INSTALL_IMG	"0.vmlinux.rescue.bin.k"
#define RESCUE_FILENAME_IN_INSTALL_IMG2	"0.vmlinux.rescue.k.aes"
#else
#define RESCUE_FILENAME_IN_INSTALL_IMG	"0.vmlinux.rescue.bin"
#define RESCUE_FILENAME_IN_INSTALL_IMG2	"0.vmlinux.rescue.aes"
#endif

#ifdef CONFIG_CHECK_IMG_VERSION
#include <environment.h>
extern unsigned long strtoul(	const char *str, char **endptr, int base);
#define FORCE_UPDATE true //Flag to set force update when no version can be referenced.
#define IMG_VERSION_FILE "FW_VERSION"

bool check_if_image_update_by_version( bool forceUpdate )
{
        bool ret = forceUpdate; //if you want update without ant version check
                                //please pass true in this function.
        char *tmp_tok = NULL;
        int tmp_tok_index = 0;
        unsigned int img_version[3] = {0};
        unsigned int fw_version[3] = {0};

        //check if env have version number----------
        ENTRY e, *ep;
        const char *name = "fwver";
	e.key = name;
	e.data = NULL;

        hsearch_r(e, FIND, &ep, &env_htab);
	if (ep == NULL)
	{
                printf("[WARN] %s:read env variable - fwver failed. (No such env) skip check version number\n", __FUNCTION__);
                return ret;
	}

        //got the fw version
	printf("software_version=%s\n", ep->data);
        tmp_tok = strtok( ep->data, "." );
        while(tmp_tok!=NULL)
        {
                fw_version[tmp_tok_index] = strtoul(tmp_tok, NULL, 10);
                tmp_tok_index += 1;
                tmp_tok = strtok( NULL, "."  );
        }
        //-----------------------------------

        //check if image have version file------------
        char *dst_addr = NULL;
	unsigned int dst_length = 0;
        char image_version[20] = {0};
        char cmd[128] = {0};
        // read install.img from usb
	printf("read %s 0x%x bytes to entering usb update ...\n", "install.img", 0x00C00000);
	sprintf(cmd, "fatload usb 0:1 %x %s %x", 0x0f800000, "install.img", 0x00C00000);
	ret = run_command(cmd, 0);

        if( tar_read( IMG_VERSION_FILE, rtk_mem_info->temp_buffer_for_flash_data_addr, 0x00C00000/*maybe too large*/, &dst_addr, &dst_length) > 0 )
        {
                //Read file content
                strncpy( image_version, dst_addr, dst_length );
                printf("install image_version is =%s\n", image_version);
                tmp_tok_index = 0;
                tmp_tok = strtok( image_version, "." );
                while(tmp_tok!=NULL)
                {
                        img_version[tmp_tok_index] = strtoul(tmp_tok, NULL, 10);
                        tmp_tok_index += 1;
                        tmp_tok = strtok( NULL, "."  );
                }

        }else
        {
                printf("[WARN] %s:read image version number failed. (No version info in install.img) skip check version number\n", __FUNCTION__);
                return ret;
        }
        //-----------------------------------

        //compare version if image is newer than fw, just update it.
        if( img_version[0] == fw_version[0] )
        {
                if( img_version[1] == fw_version[1] )
                {
                        if( img_version[2] < fw_version[2] )
                                ret = false; //no-need update
                        else
                                ret = true; //need update
                }
                else if( img_version[1] < fw_version[1] )
                {
                        ret = false; //no-need update
                }
                else
                        ret = true; //need update
        }
        else if( img_version[0] > fw_version[0] )
                ret = true; //need update
        else
                ret = false; //no-need update

        if( ret == true )
        {
                sprintf(cmd, "env set %s %d.%d.%d;env save", name, img_version[0], img_version[1], img_version[2]);
	        if( 0 != run_command(cmd, 0) )
	        {
                        printf("[WARN] %s:set new version failed. skip check version number\n", __FUNCTION__);
                        ret = false; //is it a good way?
	        }
        }

        return ret;

}
#endif

int check_usb_update(const char *install_file_name, uchar bBootcode)
{
	uint target_addr = 0;
	uint data_bytes = 0;
	int ret = 0;
	char cmd[128];
#ifndef CONFIG_USB_UPDATE_READ_RESCUE_FROM_FLASH
	char rescue_file_name[128];
	char *dst_addr = NULL;
	uint dst_length = 0;
	unsigned int secure_mode = 0;
	unsigned int rescue_bytes;
	unsigned int rescue_truncated_size;
#endif
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;

	// for encrypted rescue linux
	mcp_dscpt_addr = 0;

#ifndef CONFIG_USB_UPDATE_READ_RESCUE_FROM_FLASH
	secure_mode = rtk_get_secure_boot_type();
#endif

#if 0 // move to outer
	if (bUsb_need_init)
	{
		// usb start_ac
		memset(cmd, 0, sizeof(cmd));
		sprintf(cmd, "usb start_ac");
		ret = run_command(cmd, 0);
		if (ret != 0)
		{
			/* usb start_ac error */
			printf("[INFO] %s:usb start_ac failed. (No USB plug-in)\n", __FUNCTION__);
			return 0;
		}
	}
#endif

	if (bBootcode)
	{
		// read dvrboot.exe.bin from usb
		printf("read %s to entering usb update bootcode ...\n", install_file_name);
		target_addr = DVRBOOT_EXE_BIN_ENTRY_ADDR;
		memset(cmd, 0, sizeof(cmd));
		sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, install_file_name, data_bytes);
		ret = run_command(cmd, 0);
		if (ret != 0)
		{
			/* Read error */
			printf("[WARN] %s:read %s failed. (No such file)\n", __FUNCTION__, install_file_name);
			return 0;
		}
		else
		{
			/* Read success */
			return 1;
		}
	}
	else
	{
#ifdef CONFIG_CHECK_IMG_VERSION
		if( !check_if_image_update_by_version(FORCE_UPDATE) ) //Alway set update when no version info can be referenced.
		{
			printf("[WARN] %s:check %s version be older than firmware install now. Skip AC-on auto update\n", __FUNCTION__, install_file_name);
			return 0;
		}
#endif
		target_addr = rtk_mem_info->temp_buffer_for_flash_data_addr;
#ifdef CONFIG_USB_UPDATE_READ_RESCUE_FROM_FLASH
		data_bytes = 0x200; // try reading 512 bytes to check file existed or not
#else
		data_bytes = TEMP_SIZE_READ_FROM_USB_IMAGE; // try reading 16M to cover the resuce linux
#endif

		// read install.img from usb
		printf("read %s 0x%x bytes to entering usb update ...\n", install_file_name, data_bytes);
		memset(cmd, 0, sizeof(cmd));
		sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, install_file_name, data_bytes);
		ret = run_command(cmd, 0);
		if (ret != 0)
		{
			/* Read error */
			printf("[WARN] %s:Read %s 0x%x bytes from USB failed. (0x%x)\n", __FUNCTION__, install_file_name, data_bytes, ret);
			return 0;
		}
		else
		{
			//return 1;/* Read success */
			//printf("Read %s from USB success.\n", install_file_name);
		}

#ifdef CONFIG_USB_UPDATE_READ_RESCUE_FROM_FLASH
		printf("copy rescue linux from emmc\n");
#else
		printf("copy rescue linux from usb\n");

		// find rescue linux
		if( secure_mode == 0 ) {
			sprintf(rescue_file_name, "%s", RESCUE_FILENAME_IN_INSTALL_IMG);
		}
		else {
			sprintf(rescue_file_name, "%s", RESCUE_FILENAME_IN_INSTALL_IMG2);
		}

		ret = tar_read(rescue_file_name, target_addr, data_bytes, &dst_addr, &dst_length);
		if ( ret > 0 )
		{
			/* copy to kernel entry address */
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
			if (boot_mode != BOOT_RESCUE_MODE )
				target_addr = LINUX64_KERNEL_ENTRY;
			else
#endif
			target_addr = LINUX_KERNEL_ENTRY;

			printf("\n");
			printf("########################################################\n");
			printf("## Enter Rescue Linux:\n");
			printf("##    rescue_file_name = %s\n", rescue_file_name);
			printf("#       secure_mode    = %d\n", secure_mode);
			printf("##         dst_addr    = 0x%x\n", dst_addr);
			printf("##      target_addr    = 0x%x\n", target_addr);
			printf("########################################################\n");
			printf("\n");

			rescue_bytes = dst_length;
			switch( secure_mode ) {
				case 0:											// normal mode
					rescue_truncated_size = SHA256_SIZE;
					break;
				case 1:											// NDS
					printf("[ERR] %s: not support NDS secure mode\n", __FUNCTION__);
					rescue_truncated_size = RSA_SIGNATURE_LENGTH;
					return 0;
				case 2:											// RTK
					rescue_truncated_size = RSA_SIGNATURE_LENGTH;
					break;
				case 3: 	// DCAS
					printf("[ERR] %s: not support DCAS secure mode\n", __FUNCTION__);
					rescue_truncated_size = RSA_SIGNATURE_LENGTH;
					return 0;
				default:
					printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
					return 0;
			}

			// debug print
			//printf("*** %s %d : file size   = 0x%08x(%d)\n", __FILE__, __LINE__, dst_length, dst_length );
			//printf("*** %s %d : dst_addr    = 0x%08x\n", __FILE__, __LINE__, (unsigned int)dst_addr );
			//printf("*** %s %d : target_addr = 0x%08x\n", __FILE__, __LINE__, target_addr );
			//printf("*** %s %d : bootcode_truncated_size = 0x%08x\n", __FILE__, __LINE__, bootcode_truncated_size );
			rtk_hexdump("the first 32-byte rescue data", dst_addr, 32 );
			//rtk_hexdump("the last 512-byte rescue data", dst_addr+dst_length-512, 512 );

			// decode image
			if( secure_mode == 2 ) { // RTK
				printf("to decrypt...\n");
				if (decrypt_image_fpk_by_tag((char *)dst_addr,
					(char *)target_addr,
					dst_length - rescue_truncated_size,
					FW_TYPE_RESCUE2))
				{
					printf("decrypt image error!\n");
					return 0;
				}
				// debug print
				rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)dst_addr, 32 );
				rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)target_addr, 32 );

				printf("decrypt rescue successful\n");

			}
			// caculate hash of rescue
			if( secure_mode == 0 ) {
#if 0
				ret = Verify_SHA256_hash( (unsigned char *)dst_addr,
				                          dst_length - rescue_truncated_size,
				                          (unsigned char *)(dst_addr + dst_length - rescue_truncated_size), 0 );
#else
				ret = 0; // image_file_ceator not append any data to it, so skip hash verification
#endif
			}
			else {
				reverse_signature( (unsigned char *)(dst_addr+dst_length-rescue_truncated_size) );

				ret = Verify_SHA256_hash( (unsigned char *)target_addr,
				                          dst_length - rescue_truncated_size,
				                          (unsigned char *)(dst_addr + dst_length - rescue_truncated_size),
				                          1 );
				ret = 0;
			}
			if( ret < 0 ) {
				printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
				return 0;
			}

			if( secure_mode == 0 ) {
				printf("copy %s from 0x%08x to 0x%x %d bytes\n", RESCUE_FILENAME_IN_INSTALL_IMG, dst_addr, target_addr, dst_length);
				memcpy((char *)target_addr, dst_addr, dst_length);
			}
		}
		else
		{
			/* tar read failed or not found */
			printf("[ERR] %s:File %s not found\n", __FUNCTION__, secure_mode ? RESCUE_FILENAME_IN_INSTALL_IMG2 : RESCUE_FILENAME_IN_INSTALL_IMG);
			return 0;
		}
#endif
	}

	return 1;
}
#endif

#if defined(CONFIG_ANDROID_RECOVERY) && defined(CONFIG_CUSTOMER_TV010)
int check_file_in_usb(const char *install_file_name)
{
	uint target_addr = 0;
	uint data_bytes = 0;
	int ret = 0;
	char cmd[128];
	target_addr = rtk_mem_info->temp_buffer_for_flash_data_addr;
	data_bytes = 0x200; // try reading 512 bytes to check file existed or not
	ret = run_command("usb info", 0);
	if (ret != 0)
	{
		ret = run_command("usb start_ac", 0);
		if (ret != 0)
		{
			printf("[WARN] Cannot Start USB\n");
			return 0;
		}
	}
	printf("read %s 0x%x bytes to check file exist  ...\n", install_file_name, data_bytes);
	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s %x", target_addr, install_file_name, data_bytes);
	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		printf("[WARN] %s:Read %s 0x%x bytes from USB failed. (0x%x)\n", __FUNCTION__, install_file_name, data_bytes, ret);
		return 0;
	}
	printf("Read %s from USB success.\n", install_file_name);
	return 1;/* Read success */
}
#endif

uint get_checksum(uchar *p, uint len) {
	uint checksum = 0;
	uint i;

	for(i = 0; i < len; i++) {
		checksum += *(p+i);
	}
	return checksum;
}
#ifndef  CONFIG_RUN_FLASH_WRITER
static int check_image(void)
{
	return 0;
}
#endif

uint get_mem_layout_when_read_image(MEM_LAYOUT_WHEN_READ_IMAGE_T *mem_layout)
{
	if (mem_layout->image_target_addr == 0)
	{
		DBG_ERR("mem_layout->image_target_addr = 0x%08x\n", mem_layout->image_target_addr);
		return 1;
	}

	DBG_MSG("Before:mem_layout->image_target_addr:0x%08x, rtk_mem_info->encrypted_fw_image_addr:0x%x!\n", mem_layout->image_target_addr, rtk_mem_info->encrypted_fw_image_addr);

	if (mem_layout->bIsEncrypted)
	{
		mem_layout->flash_to_ram_addr = mem_layout->encrpyted_addr = rtk_mem_info->encrypted_fw_image_addr;

		if (mem_layout->bIsCompressed)
		{
			mem_layout->decrypted_addr = mem_layout->compressed_addr = COMPRESSED_FW_IMAGE_ADDR;
			mem_layout->decompressed_addr = mem_layout->image_target_addr;
		}
		else
		{
			mem_layout->decrypted_addr = mem_layout->image_target_addr;
		}
	}
	else
	{
		if (mem_layout->bIsCompressed)
		{
			mem_layout->flash_to_ram_addr = mem_layout->compressed_addr = COMPRESSED_FW_IMAGE_ADDR;
			mem_layout->decompressed_addr = mem_layout->image_target_addr;
		}
		else
		{
			mem_layout->flash_to_ram_addr = mem_layout->image_target_addr;
		}
	}

	DBG_MSG("========== Memory Layout::Input ======================\n");
	DBG_MSG("bIsEncrypted:%d!\n", mem_layout->bIsEncrypted);
	DBG_MSG("bIsCompressed:%d!\n", mem_layout->bIsCompressed);
	DBG_MSG("image_target_addr:0x%x!\n", mem_layout->image_target_addr);
	DBG_MSG("---------- Memory Layout::Option Result --------------\n");
	DBG_MSG("encrpyted_addr:0x%x!\n", mem_layout->encrpyted_addr);
	DBG_MSG("decrypted_addr:0x%x!\n", mem_layout->decrypted_addr);
	DBG_MSG("compressed_addr:0x%x!\n", mem_layout->compressed_addr);
	DBG_MSG("decompressed_addr:0x%x!\n", mem_layout->decompressed_addr);
	DBG_MSG("---------- Memory Layout:Result ----------------------\n");
	DBG_MSG("flash_to_ram_addr:0x%x!\n", mem_layout->flash_to_ram_addr);
	DBG_MSG("====================================================\n");

	return 0;
}
void endian_switch(unsigned char *ptr)
{
    unsigned char temp;
    temp = *ptr;
    *ptr = *(ptr+3);
    *(ptr+3) = temp;

    temp = *(ptr+1);
    *(ptr+1) = *(ptr+2);
    *(ptr+2) = temp;
}

#define FPK_CW_ID           57
#define RESCUE_TEE_CW_ID    61
#define NORMAL_TEE_CW_ID    65
#define RESCUE_KERNEL_CW_ID 69
#define NORMAL_KERNEL_CW_ID 73
#define AUDIO_CW_ID         77
#define VIDEO_CW_ID         81
#define INVALD_CW_ID        0xFFFFFFFF

unsigned int get_fw_cw_id(unsigned char fw_tag)
{
	switch(fw_tag)
	{
	case FW_TYPE_RESCUE2:
		return RESCUE_KERNEL_CW_ID;
	case FW_TYPE_KERNEL:
		return NORMAL_KERNEL_CW_ID;
	case FW_TYPE_AUDIO:
		return AUDIO_CW_ID;
	case FW_TYPE_VIDEO:
		return VIDEO_CW_ID;
	case FW_TYPE_KCPU:
		return NORMAL_TEE_CW_ID;
	}
	return INVALD_CW_ID;
}

//#define KEY_DEBUG
#ifdef KEY_DEBUG
void dump_hex_byte(unsigned char *buf, int buf_size)
{
        int loop = 0;
        printf("buf 0x%x size 0x%x content:\n", (unsigned int)buf, buf_size);
        for(loop = 0; loop < buf_size; loop++)
        {
                if(loop%16 == 0)
                {
                        printf("\n%08xh:",loop);
                }
                printf(" %02x",*buf);
                buf++;
        }
        printf("\n");
}

void dump_cw_key_buf(unsigned int cw_id, const char *func)
{
        unsigned char cw_buf[16] = {0};
        printf("%s dump cw id %d content:\n", func,cw_id);
        CP_GET_CW_KEY(cw_id,cw_buf,16);
        dump_hex_byte(cw_buf,16);
}
#endif

#ifdef CONFIG_SYS_SUPPORT_SWAES
int get_key_by_fwtag(unsigned char fw_tag,unsigned int aes_key[4],unsigned int iv_key[4])
{
	unsigned int cw_id = 0;
	if((cw_id = get_fw_cw_id(fw_tag)) == INVALD_CW_ID){
		printf("%s %d unsupport fw_tag %d!\n",__FUNCTION__,__LINE__,fw_tag);
		return -1;
	}
	CP_GET_CW_KEY(cw_id,(unsigned char *)aes_key);
	CP_GET_CW_KEY(cw_id+2,(unsigned char *)iv_key);
#ifdef KEY_DEBUG
	dump_cw_key_buf(cw_id,__FUNCTION__);
	dump_cw_key_buf(cw_id+2,__FUNCTION__);
#endif
	return 0;
}
#endif

int decrypt_image_fpk_by_tag(char *src, char *dst, uint length, unsigned char fw_tag)
{
#ifdef CONFIG_SYS_MCP_UTILITY
#ifdef CONFIG_SYS_SUPPORT_SWAES
	    int i;
	    int ret =0;
	    symmetric_key skey;
	    uint sw_key[4] ={0};
	    unsigned int sw_ini_key[4] = {0};
	    uint align_blocks = 0;
	    uint sblock_len;
	    uchar *sblock_dst, *sblock_src;
	    DBG_MSG("decrypt(fpk) from 0x%08x to 0x%08x, len:0x%08x\n", (uint)src, (uint)dst, length);
	    sblock_len = length & 0xf;
#endif
#ifndef CONFIG_SYS_SUPPORT_SWAES
        unsigned int aes_cw_id = 0,iv_cw_id = 0;
        aes_cw_id = get_fw_cw_id(fw_tag);
        iv_cw_id  = aes_cw_id + 2;
#ifdef KEY_DEBUG
       printf("%s %d **************fw_tag %d aes_cw id %d iv cw id %d*******\n", __FUNCTION__, __LINE__,
                        fw_tag,aes_cw_id,iv_cw_id);
       dump_cw_key_buf(aes_cw_id,__FUNCTION__);
       dump_cw_key_buf(iv_cw_id,__FUNCTION__);
#endif

        /*get content decrypt by aes_key+iv_key*/
        if(RT_AES_Decrypt_from_CW(ALGO_ID_AES_CBC, aes_cw_id,
                iv_cw_id,(uchar *)src, (uchar *)dst, length, 0)){
                printf("%s %d fw_tag %d aes_cw id %d iv cw id %d  fail\n", __FUNCTION__, __LINE__,
                        fw_tag,aes_cw_id,iv_cw_id);
                return -1;
        }
#else
	    align_blocks = (length - sblock_len) / 16;
	    lowlevel_init();
	    if(get_key_by_fwtag(fw_tag,sw_key,sw_ini_key) < 0){
	    	return -1;
	    }

	    ret = aes_desc.setup((uchar *)&sw_key,16,10,&skey);
	    if(ret != 0)
		return -1;

	    ret = aes_desc.accel_cbc_decrypt((uchar *)src, (uchar *)dst,
					    align_blocks ,(unsigned char *)sw_ini_key, &skey);
	    if(ret != 0)
		return -1;

	    // handle short block (<16B)
	    if (sblock_len) {
		// take the last 16B of AES CBC result as input, do AES ECB encrypt
		sblock_src = (uchar *)src + (length - sblock_len);
		sblock_dst = (uchar *)dst + (length - sblock_len);
		if (aes_desc.accel_ecb_encrypt((UINT8 *)(sblock_src - 16), sblock_dst, 16, &skey)) {
		    printf("%s %d, fail\n", __FUNCTION__, __LINE__);
		    return -1;
		}

		// XOR with short block data to generate final result
		for (i = 0; i < sblock_len; i++)
		    sblock_dst[i] ^= sblock_src[i];
	    }
#endif
	    return 0;
#else
	    return -1;
#endif
}

int decrypt_image_fpk(char *src, char *dst, uint length, unsigned int ini_key[4], int is_tee)
{
#ifdef CONFIG_SYS_MCP_UTILITY
    int i;
#ifdef CONFIG_SYS_SUPPORT_SWAES
    int ret =0;
    symmetric_key skey;
    uint sw_key[4] ={0};
    unsigned int sw_ini_key[4] = {0};
    uint align_blocks = 0;
    uint cw_index = 120;
#endif
    uint sblock_len;
    uchar *sblock_dst, *sblock_src;

    DBG_MSG("decrypt(fpk) from 0x%08x to 0x%08x, len:0x%08x\n", (uint)src, (uint)dst, length);

    sblock_len = length & 0xf;
#ifndef CONFIG_SYS_SUPPORT_SWAES
    unsigned int alloc_mem;
    alloc_mem = (unsigned int)malloc(CP_DSCPT_POOL_SIZE);
    mcp_dscpt_addr = alloc_mem;
    if (AES_CBC_decrypt_key_in_CW((uchar *)src, length - sblock_len, (uchar *)dst, 121, ini_key))
    {
        printf("%s %d, fail\n", __FUNCTION__, __LINE__);
        free((void*)alloc_mem);
        return -1;
    }
    // handle short block (<16B)
    if (sblock_len)
    {
        // take the last 16B of AES CBC result as input, do AES ECB encrypt
        sblock_src = (uchar *)src + (length - sblock_len);
        sblock_dst = (uchar *)dst + (length - sblock_len);
        //printf("sblock_src: 0x%p, sblock_dst: 0x%p\n", sblock_src, sblock_dst);
        if (AES_ECB_encrypt_key_in_CW((UINT8 *)(sblock_src - 16), 16, sblock_dst, 121))
        {
            printf("%s %d, fail\n", __FUNCTION__, __LINE__);
            free((void*)alloc_mem);
	     return -1;
        }
        // XOR with short block data to generate final result
        for (i = 0; i < sblock_len; i++)
            sblock_dst[i] ^= sblock_src[i];
    }
    free((void*)alloc_mem);
#else
    align_blocks = (length - sblock_len) / 16;
    lowlevel_init();

    //get key from CW
    /*  CW Register in TP */
    if (is_tee) // the patch for arm64
    {
	cw_index = 118;
    }
    rtd_outl(TP_KEY_CTRL,cw_index);
    sw_key[0] = rtd_inl(TP_KEY_INFO_H);
    endian_switch((uchar*)&sw_key[0]);
    sw_key[1] = rtd_inl(TP_KEY_INFO_L);
    endian_switch((uchar*)&sw_key[1]);
    rtd_outl(TP_KEY_CTRL,cw_index+1);
    sw_key[2] = rtd_inl(TP_KEY_INFO_H);
    endian_switch((uchar*)&sw_key[2]);
    sw_key[3] = rtd_inl(TP_KEY_INFO_L);
    endian_switch((uchar*)&sw_key[3]);

    if(ini_key != NULL) {
        for(i = 0; i < 4; i++) {
            sw_ini_key[i] = ini_key[i];
            endian_switch((uchar*)&sw_ini_key[i]);
        }
    }

    ret = aes_desc.setup((uchar *)&sw_key,16,10,&skey);
    if(ret != 0)
        return -1;

    ret = aes_desc.accel_cbc_decrypt((uchar *)src, (uchar *)dst,
                                    align_blocks ,(unsigned char *)sw_ini_key, &skey);
    if(ret != 0)
        return -1;

    // handle short block (<16B)
    if (sblock_len) {
        // take the last 16B of AES CBC result as input, do AES ECB encrypt
        sblock_src = (uchar *)src + (length - sblock_len);
        sblock_dst = (uchar *)dst + (length - sblock_len);
        if (aes_desc.accel_ecb_encrypt((UINT8 *)(sblock_src - 16), sblock_dst, 16, &skey)) {
            printf("%s %d, fail\n", __FUNCTION__, __LINE__);
            return -1;
        }

        // XOR with short block data to generate final result
        for (i = 0; i < sblock_len; i++)
            sblock_dst[i] ^= sblock_src[i];
    }
#endif
    return 0;
#else
    return -1;
#endif
}

int decrypt_image(char *src, char *dst, uint length, uint *key)
{
#ifdef CONFIG_SYS_MCP_UTILITY
	int i;
	uint sblock_len;
	uchar *sblock_dst, *sblock_src;

	printf("decrypt from 0x%08x to 0x%08x, len:0x%08x\n", (uint)src, (uint)dst, length);

	// get short block size
	sblock_len = length & 0xf;

	if (AES_CBC_decrypt((uchar *)src, length - sblock_len, (uchar *)dst, key, NULL)) {
		printf("%s %d, fail\n", __FUNCTION__, __LINE__);
		return -1;
	}

	// handle short block (<16B)
	if (sblock_len) {
		// take the last 16B of AES CBC result as input, do AES ECB encrypt
		sblock_src = (uchar *)src + (length - sblock_len);
		sblock_dst = (uchar *)dst + (length - sblock_len);
		//printf("sblock_src: 0x%p, sblock_dst: 0x%p\n", sblock_src, sblock_dst);
		if (AES_ECB_encrypt((UINT8 *)(sblock_src - 16), 16, sblock_dst, key)) {
			printf("%s %d, fail\n", __FUNCTION__, __LINE__);
			return -1;
		}

		// XOR with short block data to generate final result
		for (i = 0; i < sblock_len; i++)
			sblock_dst[i] ^= sblock_src[i];
	}
	return 0;
#else
	return -1;
#endif
}

//#define DUBUG_FW_DESC_TABLE
#ifdef DUBUG_FW_DESC_TABLE
void dump_fw_desc_table_v1(fw_desc_table_v1_t *fw_desc_table_v1)
{
	if (fw_desc_table_v1 != NULL) {
		printf("## Fw Desc Table ##############################\n");
		printf("## fw_desc_table_v1                = 0x%08x\n", fw_desc_table_v1);
		printf("## fw_desc_table_v1->signature     = %s\n", fw_desc_table_v1->signature);
		printf("## fw_desc_table_v1->checksum      = 0x%08x\n", fw_desc_table_v1->checksum);
		printf("## fw_desc_table_v1->version       = 0x%08x\n", fw_desc_table_v1->version);
		printf("## fw_desc_table_v1->paddings      = 0x%08x\n", fw_desc_table_v1->paddings);
		printf("## fw_desc_table_v1->part_list_len = 0x%08x\n", fw_desc_table_v1->part_list_len);
		printf("## fw_desc_table_v1->fw_list_len   = 0x%08x\n", fw_desc_table_v1->fw_list_len);
		printf("###############################################\n\n");
	}
	else {
		printf("[ERR] %s:%d fw_desc_table_v1 is NULL.\n", __FUNCTION__, __LINE__);
	}
}

void dump_part_desc_entry_v1(part_desc_entry_v1_t *part_entry)
{
	if (part_entry != NULL) {
		printf("## Part Desc Entry ############################\n");
		printf("## part_entry                      = 0x%08x\n", part_entry);
		printf("## part_entry->type                = 0x%08x\n", part_entry->type);
		printf("## part_entry->ro                  = 0x%08x\n", part_entry->ro);
		printf("## part_entry->length              = 0x%08x\n", part_entry->length);
		printf("## part_entry->fw_count            = 0x%08x\n", part_entry->fw_count);
		printf("## part_entry->fw_type             = 0x%08x\n", part_entry->fw_type);
		printf("###############################################\n\n");
	}
	else {
		printf("[ERR] %s:%d part_entry is NULL.\n", __FUNCTION__, __LINE__);
	}
}

void dump_fw_desc_entry_v1(fw_desc_entry_v1_t *fw_entry)
{
	if (fw_entry != NULL) {
		printf("## Fw Desc Entry ##############################\n");
		printf("## fw_entry                        = 0x%08x\n", fw_entry);
		printf("## fw_entry->type                  = 0x%08x\n", fw_entry->type);
		printf("## fw_entry->lzma                  = 0x%08x\n", fw_entry->lzma);
		printf("## fw_entry->ro                    = 0x%08x\n", fw_entry->ro);
		printf("## fw_entry->version               = 0x%08x\n", fw_entry->version);
		printf("## fw_entry->target_addr           = 0x%08x\n", fw_entry->target_addr);
		printf("## fw_entry->offset                = 0x%08x\n", fw_entry->offset);
		printf("## fw_entry->length                = 0x%08x\n", fw_entry->length);
		printf("## fw_entry->paddings              = 0x%08x\n", fw_entry->paddings);
		printf("## fw_entry->checksum              = 0x%08x\n", fw_entry->checksum);
		printf("###############################################\n\n");
	}
	else {
		printf("[ERR] %s:%d fw_entry is NULL.\n", __FUNCTION__, __LINE__);
	}
}
#endif

//#define DUBUG_BOOT_AV_INFO
#ifdef DUBUG_BOOT_AV_INFO
void dump_boot_av_info(boot_av_info_t *boot_av)
{
	if (boot_av != NULL) {
		printf("\n");
		printf("## Boot AV Info (0x%08x) ##################\n", boot_av);
		printf("## boot_av->dwMagicNumber          = 0x%08x\n", boot_av->dwMagicNumber);
		printf("## boot_av->dwVideoStreamAddress   = 0x%08x\n", boot_av->dwVideoStreamAddress);
		printf("## boot_av->dwVideoStreamLength    = 0x%08x\n", boot_av->dwVideoStreamLength);
		printf("## boot_av->dwAudioStreamAddress   = 0x%08x\n", boot_av->dwAudioStreamAddress);
		printf("## boot_av->dwAudioStreamLength    = 0x%08x\n", boot_av->dwAudioStreamLength);
		printf("## boot_av->bVideoDone             = 0x%08x\n", boot_av->bVideoDone);
		printf("## boot_av->bAudioDone             = 0x%08x\n", boot_av->bAudioDone);
		printf("## boot_av->bHDMImode              = 0x%08x\n", boot_av->bHDMImode);
		printf("## boot_av->dwAudioStreamVolume    = 0x%08x\n", boot_av->dwAudioStreamVolume);
		printf("## boot_av->dwAudioStreamRepeat    = 0x%08x\n", boot_av->dwAudioStreamRepeat);
		printf("## boot_av->bPowerOnImage          = 0x%08x\n", boot_av->bPowerOnImage);
		printf("## boot_av->bRotate                = 0x%08x\n", boot_av->bRotate);
		printf("## boot_av->dwVideoStreamType      = 0x%08x\n", boot_av->dwVideoStreamType);
		printf("## boot_av->audio_buffer_addr      = 0x%08x\n", boot_av->audio_buffer_addr);
		printf("## boot_av->audio_buffer_size      = 0x%08x\n", boot_av->audio_buffer_size);
		printf("## boot_av->video_buffer_addr      = 0x%08x\n", boot_av->video_buffer_addr);
		printf("## boot_av->video_buffer_size      = 0x%08x\n", boot_av->video_buffer_size);
		printf("## boot_av->last_image_addr        = 0x%08x\n", boot_av->last_image_addr);
		printf("## boot_av->last_image_size        = 0x%08x\n", boot_av->last_image_size);
		printf("## boot_av->video_vbm_buffer_addr  = 0x%08x\n", boot_av->video_vbm_buffer_addr);
		printf("## boot_av->video_vbm_buffer_size  = 0x%08x\n", boot_av->video_vbm_buffer_size);
		printf("###############################################\n\n");
	}
}
#endif

static void reset_shared_memory(void)
{
	boot_av_info_t *boot_av;

//	*uart_reg_base_ptr = 0;
	*boot_av_info_ptr = 0;
	*AudioFlag_ptr_A1 = 0;
	*AudioFlag_ptr_A2 = 0;
	*VideoFlag_ptr_V1 = 0;
	*VideoFlag_ptr_V2 = 0;
	*AudioFW_entry_ptr_A1 = 0;
	*AudioFW_entry_ptr_A2 = 0;
	*VideoFW_entry_ptr_V1 = 0;
	*VideoFW_entry_ptr_V2 = 0;
//	*KcpuFlag_ptr = 0;

	memset(shared_printk_buffer_ptr, 0, MIPS_SHARED_PRINTK_BUFFER_SIZE);

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));
}

//#define RESCUE_LINUX_IN_USB_IS_COMPRESSED

#ifdef CONFIG_RESCUE_FROM_USB
/*
 * run rescue from flash (USB)
 */
int rtk_plat_run_rescue_from_USB(const char *rescue_file_name)
{
	uint target_addr = 0;
	int ret = 0;
	char cmd[128];
#ifdef RESCUE_LINUX_IN_USB_IS_COMPRESSED
	uint rescue_bytes = 0;
	uint uncompressedSize = 0;
#endif

	printf("Run rescue from USB\n");

#ifdef RESCUE_LINUX_IN_USB_IS_COMPRESSED
	target_addr = rtk_mem_info->encrypted_fw_image_addr;
#else
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
	if (boot_mode != BOOT_RESCUE_MODE )
		target_addr = LINUX64_KERNEL_ENTRY;
	else
#endif
		target_addr = LINUX_KERNEL_ENTRY;
#endif

	printf("\n");
	printf("########################################################\n");
	printf("## Enter Rescue Linux:\n");
	printf("##    rescue_file_name = %s\n", rescue_file_name);
	printf("##    target_addr      = 0x%x\n", target_addr);
	printf("########################################################\n");
	printf("\n");

	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "usb start_ac");

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* usb start_ac error */
		printf("[ERR] %s:usb start_ac failed. (%s)\n", __FUNCTION__, cmd);
	}

	memset(cmd, 0, sizeof(cmd));
	snprintf(cmd, sizeof(cmd), "fatload usb 0:1 %x %s", target_addr, rescue_file_name);

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[ERR] %s:Read rescue from USB failed. (%s, 0x%x, 0x%x)\n", __FUNCTION__, rescue_file_name, target_addr, ret);
		ret = RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else
	{
		/* Read success */
		printf("[Done] copy rescue0: from USB:%s to 0x%x (0x%x)\n", rescue_file_name, target_addr, ret);
		ret = RTK_PLAT_ERR_OK;
	}

#ifdef RESCUE_LINUX_IN_USB_IS_COMPRESSED
	/* do unlzma */
	printf("## Decompress rescue linux using LZMA ...\n");
	if (lzmaBuffToBuffDecompress((uchar*)target_addr, &uncompressedSize, (uchar*)target_addr, rescue_bytes) != 0)
	{
		/* Decompress error */
		printf("[ERR] %s:Decompress using LZMA error!! (0x%x, 0x%x)\n", __FUNCTION__, target_addr, rescue_bytes);

		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else
	{
		/* Decompress success */
		printf("[Done] uncompressedSize = 0x%x\n", uncompressedSize);
	}
#endif

	return ret;
}
#endif

void rtk_hexdump( const char * str, unsigned char * pcBuf, unsigned int length )
{
	unsigned int i, j, rows, count;
	DBG_MSG("======================================================\n");
	DBG_MSG("%s(base=0x%08x)\n", str, (unsigned int)(pcBuf));
	count = 0;
	rows = (length+((1<<4)-1)) >> 4;
	for( i = 0; ( i < rows ) && (count < length); i++ ) {
		DBG_MSG("%03x :", i<<4 );
		for( j = 0; ( j < 16 ) && (count < length); j++ ) {
			DBG_MSG(" %02x",  *pcBuf );
			count++;
			pcBuf++;
		}
		DBG_MSG("\n");
	}
}

/*
 * run rescue from flash
 */
int rtk_get_secure_boot_type(void)
{
    volatile unsigned int tmp_reg;

    /* 90000084 B sys_boot_type  -> 0xb8060118 */
    tmp_reg = ((rtd_inl(BOOT_SECURE_TYPE) >> 8)&0xf);

    return tmp_reg;
}

int rtk_plat_verify_boot_image_first(fw_desc_entry_v1_t *this_entry, unsigned int encrpyted_addr, unsigned int decrypted_addr, unsigned int ImageSize)
{
	int ret;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it

#ifdef Config_Spport_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+sizeof(struct image_extra_info)*/;
#endif
	rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)encrpyted_addr, 32);

	//decrypt image
	DBG_MSG("to decrypt...\n");

	if(decrypt_image_fpk_by_tag((char *) encrpyted_addr,
		(char *) decrypted_addr,ImageSize - img_truncated_size,
		this_entry->type))
	{
			printf("decrypt image(%d) error!\n", this_entry->type);
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

	rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)decrypted_addr, 32);
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
	reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign));
	memcpy((void *)(decrypted_addr+ImageSize - img_truncated_size), \
		(void*)(encrpyted_addr+ImageSize - img_truncated_size), img_truncated_size);
		ret = Verify_SHA256_hash((unsigned char *)decrypted_addr,
				ImageSize,
				(unsigned char *) (((fw_desc_entry_v21_t *)this_entry)->RSA_sign),
				1 );
	#else
	reverse_signature((unsigned char *)(encrpyted_addr+ImageSize - RSA_SIGNATURE_LENGTH));
	memcpy((void *)(decrypted_addr+ImageSize-img_truncated_size), \
		(void*)(encrpyted_addr+ImageSize-img_truncated_size), sizeof(struct image_extra_info));
	ret = Verify_SHA256_hash((unsigned char *) decrypted_addr,
				ImageSize - RSA_SIGNATURE_LENGTH,
				(unsigned char *)(encrpyted_addr + ImageSize - RSA_SIGNATURE_LENGTH),
				1 );
	#endif
#else
	reverse_signature((unsigned char *)(encrpyted_addr + ImageSize - img_truncated_size));
	ret = Verify_SHA256_hash((unsigned char *)decrypted_addr,
				ImageSize - img_truncated_size,
				(unsigned char *)(encrpyted_addr + ImageSize - img_truncated_size),
				1 );
#endif
	if(ret < 0) {
		printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
		return RTK_PLAT_ERR_READ_FW_IMG;
	}
	return RTK_PLAT_ERR_OK;
}

int rtk_plat_verify_boot_image_secondary(fw_desc_entry_v1_t *this_entry, unsigned int encrpyted_addr, unsigned int decrypted_addr, unsigned int ImageSize)
{
	int ret;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it

#ifdef Config_Spport_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+sizeof(struct image_extra_info)*/;
#endif
	rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)encrpyted_addr, 32);

	//decrypt image
	DBG_MSG("to decrypt...\n");

	if(decrypt_image_fpk_by_tag((char *) encrpyted_addr,
		(char *) decrypted_addr,ImageSize - img_truncated_size,
		this_entry->type))
	{
			printf("decrypt image(%d) error!\n", this_entry->type);
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

	rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)decrypted_addr, 32);
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
	reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign));
	memcpy((void *)(decrypted_addr+ImageSize -img_truncated_size), \
		(void*)(encrpyted_addr+ImageSize -img_truncated_size), img_truncated_size);
		ret = Verify_SHA256_hash( (unsigned char *)decrypted_addr,
				ImageSize,
				(unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign),
				1 );
	#else
	reverse_signature((unsigned char *)(encrpyted_addr + ImageSize - RSA_SIGNATURE_LENGTH));
	memcpy((void *)(decrypted_addr+ImageSize-img_truncated_size), \
		(void*)(encrpyted_addr+ImageSize -img_truncated_size),  sizeof(struct image_extra_info));
	ret = Verify_SHA256_hash( (unsigned char *)decrypted_addr,
				ImageSize - RSA_SIGNATURE_LENGTH,
				(unsigned char *)(encrpyted_addr + ImageSize - RSA_SIGNATURE_LENGTH),
				1 );
	#endif
#else
	reverse_signature( (unsigned char *)(encrpyted_addr + ImageSize - img_truncated_size) );
	ret = Verify_SHA256_hash( (unsigned char *)decrypted_addr,
				ImageSize - img_truncated_size,
				(unsigned char *)(encrpyted_addr + ImageSize - img_truncated_size),
				1 );
#endif
	if( ret < 0 ) {
		printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
		return RTK_PLAT_ERR_READ_FW_IMG;
	}
	return RTK_PLAT_ERR_OK;

}

int rtk_plat_run_rescue_from_eMMC(unsigned int blk_no)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	#define RESCUE_LINUX_IN_EMMC_IS_COMPRESSED 1 // temp use this define
	unsigned int secure_mode;
	unsigned int rescue_blk_addr = 0;
	int ret = 0;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int rescue_truncated_size;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_linux_hdr;
	unsigned int rescue_linux_hdr_size;
	uint imageSize = 0;
	uint decompressedSize = 0;
	unsigned char sha256[256]; //32. compatible with RSA signature size [CID-313983]

	// for encrypted rescue linux
	secure_mode = rtk_get_secure_boot_type();

	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			rescue_truncated_size = SHA256_SIZE;
			break;
		case RTK_SECURE_BOOT:					// RTK
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			//force some setting
//			Kh_key_ptr = default_aes_key;
			break;
#if 0 //:TODO: Fix it for other secure boot
		case NDS_SECURE_BOOT:					// NDS
			printf("[ERR] %s: not support NDS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;


		case DCAS_SECURE_BOOT:					// DCAS
			printf("[ERR] %s: not support DCAS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
#endif
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = RESCUE_LINUX_IN_EMMC_IS_COMPRESSED;
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
	if (1) //(boot_mode != BOOT_RESCUE_MODE )
		mem_layout.image_target_addr = LINUX64_KERNEL_ENTRY;
	else
#endif
		mem_layout.image_target_addr = LINUX_KERNEL_ENTRY;

	get_mem_layout_when_read_image(&mem_layout);

	rescue_blk_addr = blk_no;
	rescue_linux_hdr_size = sizeof(rescue_linux_info_t);

	if( !(ret = rtk_eMMC_read(rescue_blk_addr, rescue_linux_hdr_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("get header done\n");
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("decrypt header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
					(char *)mem_layout.decrypted_addr,
					((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
					FW_TYPE_RESCUE2))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
	}
	else
	{
		memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		rescue_blk_addr = blk_no;
		imageSize = rescue_linux_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_linux_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter Rescue Linux:\n");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   block_no    = 0x%08x\n", rescue_blk_addr);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	if( !(ret = rtk_eMMC_read(rescue_blk_addr, imageSize + rescue_truncated_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("read done\n");
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,FW_TYPE_RESCUE2))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt rescue successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memset(&sha256, 0, sizeof(sha256));
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize, 32);

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
		                          imageSize ,
		                          sha256, 0 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
	}
	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

#ifdef CONFIG_OF_LIBFDT
    // copy dtb to dest
    if(rescue_linux_hdr.dwDTBSize != 0){
        memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.compressed_addr+rescue_linux_hdr.dwKernelSize), rescue_linux_hdr.dwDTBSize);
    }else{
        #ifdef CONFIG_CUSTOMER_TV002
	if(blk_no == (SYS_PARAM_FACTORY_EEPROM_START>>9)){
            printf("\033[1;31;40m Read DTB DATA fail[factory kernel mode]!please check factory kernel image\n \033[0m");
            return RTK_PLAT_ERR_READ_RESCUE_IMG;
        }else
        #endif
        {
            printf("\033[1;31;40m Read DTB DATA fail[rescue kernel mode]!please check rescue kernel image\n \033[0m");
            hang();
        }
    }
    //re-set kernel size
    imageSize = rescue_linux_hdr.dwKernelSize;
#endif

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ... ");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		printf("done\n");
	}
#endif

	return RTK_PLAT_ERR_OK;
}

#ifdef Rescue_Flash_Source_SK
int rtk_plat_run_krescue_from_eMMC(unsigned int compressed, unsigned int target_addr, unsigned int is_tee)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	unsigned int secure_mode;
	unsigned int rescue_blk_addr = 0;
	int ret = 0;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int rescue_truncated_size;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_linux_hdr;
	unsigned int rescue_linux_hdr_size;
	uint imageSize = 0;
	uint decompressedSize = 0;
	unsigned char sha256[256]; //32. compatible with RSA signature size [CID-314018]

	// for encrypted rescue linux
	secure_mode = rtk_get_secure_boot_type();

	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			rescue_truncated_size = SHA256_SIZE;
			break;
		case RTK_SECURE_BOOT:					// RTK
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			//force some setting
//			Kh_key_ptr = default_aes_key;
			break;
#if 0 //:TODO: Fix it for other secure boot
		case NDS_SECURE_BOOT:					// NDS
			printf("[ERR] %s: not support NDS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;


		case DCAS_SECURE_BOOT:					// DCAS
			printf("[ERR] %s: not support DCAS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
#endif
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = compressed;
	mem_layout.image_target_addr = target_addr;

	get_mem_layout_when_read_image(&mem_layout);

	rescue_blk_addr = EMMC_KRESCUE_LINUX_BLOCK_NO;
	rescue_linux_hdr_size = sizeof(rescue_linux_info_t);

	if( !(ret = rtk_eMMC_read(rescue_blk_addr, rescue_linux_hdr_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("get header done\n");
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("decrypt header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
					(char *)mem_layout.decrypted_addr,
					((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
					FW_TYPE_RESCUE2))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
	}
	else
	{
		memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump kRescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		rescue_blk_addr = EMMC_KRESCUE_LINUX_BLOCK_NO;
		imageSize = rescue_linux_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_linux_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter kRescue Linux:\n");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   block_no    = 0x%08x\n", rescue_blk_addr);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	if( !(ret = rtk_eMMC_read(rescue_blk_addr, imageSize + rescue_truncated_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("read done\n");
	}
	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,FW_TYPE_RESCUE2))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt rescue successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memset(&sha256, 0, sizeof(sha256));
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize, 32);

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
		                          imageSize ,
		                          sha256, 0 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
	}
	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ...\n");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
	}else{
		// copy rescue linux to dest
		memcpy((void *)(mem_layout.decrypted_addr), (void *)(mem_layout.decrypted_addr + rescue_linux_hdr_size), imageSize-rescue_linux_hdr_size);
	}

	if(is_tee){
		// check header
		struct optee_header  tee_header;
		memcpy(&tee_header, (void *)(mem_layout.decrypted_addr), OPTEE_HEADER_SIZE);

		if ((tee_header.magic != OPTEE_MAGIC) || (tee_header.version != OPTEE_VERSION)){
			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}else{
			printf("Tee fw!\n");
		}
	}
#endif

	return RTK_PLAT_ERR_OK;
}
#endif

#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
int rtk_plat_run_rescue_optee_from_eMMC (unsigned int compressed, unsigned int target_addr)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
    unsigned int secure_mode;
    unsigned int rescue_blk_addr = 0;
    int ret = 0;
    //  unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
    unsigned int rescue_truncated_size;
    MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
    rescue_linux_info_t rescue_linux_hdr;
    unsigned int rescue_linux_hdr_size;
    uint imageSize = 0;
    uint decompressedSize = 0;
    unsigned char sha256[32];

    // for encrypted rescue linux
    secure_mode = rtk_get_secure_boot_type();

    switch( secure_mode )
    {
        case NONE_SECURE_BOOT:                  // normal mode
            rescue_truncated_size = SHA256_SIZE;
            break;
        case RTK_SECURE_BOOT:                   // RTK
            rescue_truncated_size = RSA_SIGNATURE_LENGTH;
            //force some setting
            //          Kh_key_ptr = default_aes_key;
            break;
        default:
            printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
            return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }

    /* get memory layout before copy kernel image */
    mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
    mem_layout.bIsCompressed = compressed;
    mem_layout.image_target_addr = target_addr;

    get_mem_layout_when_read_image(&mem_layout);

    rescue_blk_addr = EMMC_KRESCUE_LINUX_BLOCK_NO;
    rescue_linux_hdr_size = sizeof(rescue_linux_info_t);

    if( !(ret = rtk_eMMC_read(rescue_blk_addr, rescue_linux_hdr_size, (unsigned int *)mem_layout.flash_to_ram_addr)) )
    {
        printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
        return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }
    else
    {
        printf("get rescue optee header done\n");
        //rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );
        rtk_hexdump("the first 32-byte non-decrypted data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
    }

    /* if secure mode, do decrypt header first */
    if( secure_mode == RTK_SECURE_BOOT)
    {
        printf("decrypt rescue optee header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));
        if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
                              (char *)mem_layout.decrypted_addr,
                              ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
                              FW_TYPE_RESCUE2 ))
        {
            printf("decrypt header error!\n");
            return RTK_PLAT_ERR_READ_RESCUE_IMG;
        }
        memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
    }
    else
    {
        memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
    }

    printf("#############################\n");
    printf("# Dump rescue optee header:\n");
    printf("#   magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
    printf("#   size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
    printf("#############################\n");

    if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO)
    {
        rescue_blk_addr = EMMC_KRESCUE_LINUX_BLOCK_NO;
        imageSize = rescue_linux_hdr.dwImageSize;

        //compressed data start from the end of the header
        mem_layout.compressed_addr += rescue_linux_hdr_size;
    }
    else
    {
        printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
        return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }

    if( imageSize == 0 )
    {
        printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
        return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }

    printf("#############################\n");
    printf("# Enter rescue optee Linux:\n");
    printf("#   secure_mode = %d\n",     secure_mode);
    printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
    printf("#   block_no    = 0x%08x\n", rescue_blk_addr);
    printf("#   size_bytes  = 0x%08x\n", imageSize);
    printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
    printf("#############################\n");

    if( !(ret = rtk_eMMC_read(rescue_blk_addr, imageSize + rescue_truncated_size, (unsigned int *)mem_layout.flash_to_ram_addr)) )
    {
        printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
        return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }
    else
    {
        printf("read done\n");
    }

    /* if secure mode, do AES CBC decrypt */
    if( secure_mode == RTK_SECURE_BOOT)
    {
        printf("to decrypt rescue optee ... ");
        if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
                              (char *)mem_layout.decrypted_addr,
                              imageSize,FW_TYPE_RESCUE2 ))
        {
            printf("decrypt image error!\n");
            return RTK_PLAT_ERR_READ_RESCUE_IMG;
        }
        printf("successful\n");

        rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

        reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );
        ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
                                  imageSize, (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
        if( ret < 0 )
        {
            rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
        }
    }
    else
    {
        memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize   , sizeof(sha256));
        ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
                                  imageSize ,  sha256, 0 );
        if( ret < 0 )
        {
            rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
        }
    }
    if( ret < 0 )
    {
        printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
        return RTK_PLAT_ERR_READ_RESCUE_IMG;
    }
    /* if lzma rescue, decompress rescue image to target_addr */
    if (mem_layout.bIsCompressed)
    {
        printf("start decompress rescue optee ...\n");
        if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
        {
            printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);
            return RTK_PLAT_ERR_READ_KERNEL_IMG;
        }
        printf("done\n");
    }
    else
    {
        // copy rescue optee to dest
        memcpy((void *)(mem_layout.decrypted_addr), (void *)(mem_layout.decrypted_addr + rescue_linux_hdr_size), imageSize-rescue_linux_hdr_size);
        //rtk_hexdump("the first 32-byte rescue optee data", (unsigned char *)mem_layout.decrypted_addr, 32 );
    }

#endif
    return RTK_PLAT_ERR_OK;
}
#endif

int rtk_plat_run_rescue_from_NAND(void)
{
#ifdef CONFIG_SYS_RTK_NAND_FLASH
#define RESCUE_LINUX_IN_NAND_IS_COMPRESSED 1 // temp use this define
#define RESCUE_LINUX_SCAN_DEPTH  0x80
#define RESCUE_LINUX_BLOCK_TAG  0x80
	int dev = nand_curr_device;
	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
//	struct nand_chip *this = (struct nand_chip *) nand->priv;
	unsigned long int from;
//	unsigned int retlen;

	unsigned int secure_mode;
	unsigned int rescue_blk_addr = 0;
	int ret = 0;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int rescue_truncated_size;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_linux_hdr;
	unsigned int rescue_linux_hdr_size;
	uint imageSize = 0;
	uint decompressedSize = 0;
	unsigned char sha256[32];

	// for encrypted rescue linux
	secure_mode = rtk_get_secure_boot_type();

	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			rescue_truncated_size = SHA256_SIZE;
			break;
      case RTK_SECURE_BOOT:               // RTK
         rescue_truncated_size = RSA_SIGNATURE_LENGTH;
         //force some setting
//         Kh_key_ptr = default_aes_key;
         break;
#if 0 //:TODO: Fix it for secure boot
		case NDS_SECURE_BOOT:					// NDS
			printf("[ERR] %s: not support NDS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;

		case DCAS_SECURE_BOOT:					// DCAS
			printf("[ERR] %s: not support DCAS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
#endif
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = RESCUE_LINUX_IN_NAND_IS_COMPRESSED;
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
	if (boot_mode != BOOT_RESCUE_MODE )
		mem_layout.image_target_addr = LINUX64_KERNEL_ENTRY;
	else
#endif
		mem_layout.image_target_addr = LINUX_KERNEL_ENTRY;

	get_mem_layout_when_read_image(&mem_layout);

	rescue_blk_addr = nand->scan_block_tag(nand, NAND_RESCURE_BLK_ADDR, RESCUE_LINUX_SCAN_DEPTH, 0,RESCUE_LINUX_BLOCK_TAG);
	if(rescue_blk_addr == 0){
		printf("[ERR] %s: Scan block-tag failed!!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}else{
		printf("[OK] %s:Scan block-tag ok!!\n", __FUNCTION__);
	}
	rescue_linux_hdr_size = sizeof(rescue_linux_info_t);

	from = rescue_blk_addr* (nand->erasesize);	//must define NAND_fw_desc_table_start
	ret = nand->rescue_image_read(nand, (unsigned char *)mem_layout.flash_to_ram_addr, from, rescue_linux_hdr_size, 0, RESCUE_LINUX_BLOCK_TAG);
	if(ret == 0){
		/* Read success */
		printf("[OK] %s:Read rescue header ok!!\n", __FUNCTION__);
	}else{
		/* Read error */
		printf("[ERR] %s:Read rescue header error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT ) {

		printf("decrypt header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
				(char *)mem_layout.decrypted_addr,
				((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
				FW_TYPE_RESCUE2))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
	}
	else
	{
		memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		imageSize = rescue_linux_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_linux_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter Rescue Linux:\n");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   block_no    = 0x%08x\n", rescue_blk_addr);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	from = rescue_blk_addr* (nand->erasesize);	//must define NAND_fw_desc_table_start
	/* copy rescue linux from flash */
	ret = nand->rescue_image_read(nand, (unsigned char *)mem_layout.flash_to_ram_addr, from,
									imageSize + rescue_truncated_size, 0, RESCUE_LINUX_BLOCK_TAG);
	if(ret == 0){
		/* Read success */
		printf("[OK] %s:Read rescue linux ok!!\n", __FUNCTION__);
	}else{
		/* Read error */
		printf("[ERR] %s:Read rescue linux error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT ) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,
					FW_TYPE_RESCUE2))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt rescue successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize, sizeof(sha256));

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
								  imageSize,
								  sha256, 0 );

		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );

	}

	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

#ifdef CONFIG_OF_LIBFDT
    // copy dtb to dest
    if(rescue_linux_hdr.dwDTBSize != 0){
        memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.compressed_addr+rescue_linux_hdr.dwKernelSize), rescue_linux_hdr.dwDTBSize);
    }else{
        printf("\033[1;31;40m Read DTB DATA fail[rescue kernel mode]!please check rescue kernel image\n \033[0m");
        hang();
    }
    //re-set kernel size
    imageSize = rescue_linux_hdr.dwKernelSize;
#endif

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ...\n");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
	}
#endif

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_run_rescue_from_SPI_NAND(void)
{
#ifdef CONFIG_SYS_RTK_SPI_NAND
#define RESCUE_LINUX_IN_NAND_IS_COMPRESSED 1 // temp use this define
#define RESCUE_LINUX_SCAN_DEPTH  0x80
#define RESCUE_LINUX_BLOCK_TAG	0x80
	int ret = 0,dev = spi_nand_curr_device;
	spi_nand_info_t *spi_nand =&spi_nand_info[dev];
	unsigned long int from;
	unsigned int secure_mode = 0, rescue_blk_addr = 0,rescue_truncated_size = 0;

	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_linux_hdr;
	unsigned int rescue_linux_hdr_size = 0;
	uint imageSize = 0,decompressedSize = 0;
	unsigned char sha256[32];

	// for encrypted rescue linux
	secure_mode = rtk_get_secure_boot_type();

	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			rescue_truncated_size = SHA256_SIZE;
			break;
	  case RTK_SECURE_BOOT: 			  // RTK
		 rescue_truncated_size = RSA_SIGNATURE_LENGTH;
		 //force some setting
//		   Kh_key_ptr = default_aes_key;
		 break;
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = RESCUE_LINUX_IN_NAND_IS_COMPRESSED;
	mem_layout.image_target_addr = LINUX_KERNEL_ENTRY;

	get_mem_layout_when_read_image(&mem_layout);

	rescue_blk_addr = spi_nand->scan_block_tag(spi_nand, NAND_RESCURE_BLK_ADDR, RESCUE_LINUX_SCAN_DEPTH, 0,RESCUE_LINUX_BLOCK_TAG);
	if(rescue_blk_addr == 0){
		printf("[ERR] %s: Scan block-tag failed!!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}else{
		printf("[OK] %s:Scan block-tag ok rescue_blk_addr %d!!\n", __FUNCTION__,rescue_blk_addr);
	}
	rescue_linux_hdr_size = sizeof(rescue_linux_info_t);

	from = rescue_blk_addr* (spi_nand->erasesize);	//must define NAND_fw_desc_table_start
	ret = spi_nand->rescue_image_read(spi_nand, (unsigned char *)mem_layout.flash_to_ram_addr, from, rescue_linux_hdr_size, 0, RESCUE_LINUX_BLOCK_TAG);
	if(ret == 0){
		/* Read success */
		printf("[OK] %s:Read rescue header ok!!\n", __FUNCTION__);
	}else{
		/* Read error */
		printf("[ERR] %s:Read rescue header error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT ) {

		printf("decrypt header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
				(char *)mem_layout.decrypted_addr,
				((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
				FW_TYPE_RESCUE2))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
	}
	else
	{
		memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#	magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
	printf("#	size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		imageSize = rescue_linux_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_linux_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter Rescue Linux:\n");
	printf("#	secure_mode = %d\n",	 secure_mode);
	printf("#	compressed	= %d\n",	 mem_layout.bIsCompressed);
	printf("#	block_no	= 0x%08x\n", rescue_blk_addr);
	printf("#	size_bytes	= 0x%08x\n", imageSize);
	printf("#	target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	from = rescue_blk_addr* (spi_nand->erasesize);	//must define NAND_fw_desc_table_start
	/* copy rescue linux from flash */
	ret = spi_nand->rescue_image_read(spi_nand, (unsigned char *)mem_layout.flash_to_ram_addr, from,
									imageSize + rescue_truncated_size, 0, RESCUE_LINUX_BLOCK_TAG);
	if(ret == 0){
		/* Read success */
		printf("[OK] %s:Read rescue linux ok!!\n", __FUNCTION__);
	}else{
		/* Read error */
		printf("[ERR] %s:Read rescue linux error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT ) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,FW_TYPE_RESCUE2))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt rescue successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize, sizeof(sha256));

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
								  imageSize,
								  sha256, 0 );

		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );

	}

	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

#ifdef CONFIG_OF_LIBFDT
    // copy dtb to dest
    if(rescue_linux_hdr.dwDTBSize != 0){
        memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.compressed_addr+rescue_linux_hdr.dwKernelSize), rescue_linux_hdr.dwDTBSize);
    }else{
        printf("\033[1;31;40m Read DTB DATA fail[rescue kernel mode]!please check rescue kernel image\n \033[0m");
        hang();
    }
    //re-set kernel size
    imageSize = rescue_linux_hdr.dwKernelSize;
#endif

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ...\n");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
	}
#endif

	return RTK_PLAT_ERR_OK;
}

#if defined(Config_Include_AV_FW_TRUE) && defined(Config_Boot_Flash_Type_is_SPI)
unsigned int current_spi_pos = 0;
int rtk_plat_run_av_from_spi(void)
{
	int ret = 0;
	unsigned int secure_mode = 0;
	unsigned int tail_truncated_size = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_hdr;
	unsigned int rescue_hdr_size;
	fw_desc_entry_v1_t this_entry;
	uint imageSize = 0;
	unsigned char sha256[32];
	uint decompressedSize = 0;
	uint is_video = 0;

	if(current_spi_pos == 0){
		printf("current spi position error!\r\n");
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	secure_mode = rtk_get_secure_boot_type();
	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			tail_truncated_size = SHA256_SIZE;
			break;
		case RTK_SECURE_BOOT:					// RTK
			tail_truncated_size = RSA_SIGNATURE_LENGTH;
			break;
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

loop:
	/*init entry*/
	if(is_video){
		memset((void *)&this_entry, 0x00, sizeof(this_entry));
		this_entry.type = FW_TYPE_RESCUE2;
		this_entry.lzma = 0;
		this_entry.target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
		*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry.target_addr);
	}else{
		memset((void *)&this_entry, 0x00, sizeof(this_entry));
		this_entry.type = FW_TYPE_RESCUE2;
		this_entry.lzma = 0;
		this_entry.target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
		*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry.target_addr);
	}

	/* get memory layout before copy fw image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = this_entry.lzma;
	mem_layout.image_target_addr = this_entry.target_addr & (~MIPS_KSEG_MSK);

	get_mem_layout_when_read_image(&mem_layout);

	rescue_hdr_size = sizeof(rescue_linux_info_t);
	if(rtk_spi_nor_read(current_spi_pos, rescue_hdr_size, (unsigned char *)mem_layout.flash_to_ram_addr) == -1){
		printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}else {
		printf("get header done\n");
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("decrypt header size %d...\n", ((rescue_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
					(char *)mem_layout.decrypted_addr,
					((rescue_hdr_size+(0x10-1))&(~(0x10-1))),
					this_entry.type))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_hdr, (void *)mem_layout.decrypted_addr, rescue_hdr_size);
	}
	else
	{
		memcpy(&rescue_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		imageSize = rescue_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter %s:\n", is_video ? "Video": "Audio");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   spi_offset  = 0x%08x\n", current_spi_pos);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	if(rtk_spi_nor_read(current_spi_pos, imageSize + tail_truncated_size, (unsigned char *)mem_layout.flash_to_ram_addr) == -1){
		printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("read done\n");
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,
					this_entry.type
					))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize   , sizeof(sha256));

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
		                          imageSize ,
		                          sha256, 0 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
	}
	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ... ");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		printf("done\n");
	}{
		// copy fw to dest
		memcpy((void *)(mem_layout.decrypted_addr), (void *)(mem_layout.decrypted_addr + rescue_hdr_size), imageSize-rescue_hdr_size);
	}

	/*record info */
	if(1){
		char *tmp_parms = NULL;

		if(is_video){
			tmp_parms = (char *)malloc(100);
			if (!tmp_parms) {
				printf("[ERR] %s: Malloc failed\n", __func__);
				return -1;
			}else {
				memset(tmp_parms, 0, 100);
				sprintf(tmp_parms, "video_start=%x video_size=%x ", \
					current_spi_pos, imageSize + tail_truncated_size);
				setenv("system_parameters_6", tmp_parms);
			}
		}else{
			char *sys_parms = getenv("system_parameters_5");
			int len = 0;

			if(sys_parms != NULL){
				len = strlen(sys_parms) + 60;
				tmp_parms = (char *)malloc(len);
				if (!tmp_parms) {
					printf("[ERR] %s: Malloc failed\n", __func__);
					return -1;
				}else {
					memset(tmp_parms, 0, len);
					sprintf(tmp_parms, "%s audio_start=%x audio_size=%x ", \
						sys_parms, current_spi_pos, imageSize + tail_truncated_size);
					setenv("system_parameters_5", tmp_parms);
				}
			}
		}

		free(tmp_parms);
		tmp_parms = NULL;
	}

	current_spi_pos += imageSize + tail_truncated_size;

	if(is_video == 0){
		is_video = 1;
		goto loop;
	}

	return 0;
}
#endif

#if defined(CONFIG_CUSTOMER_TV002) && defined(CONFIG_SYS_RTK_EMMC_FLASH)
int rtk_plat_run_av_from_eMMC(void)
{
	int ret = 0;
	unsigned int secure_mode = 0;
	unsigned int tail_truncated_size = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_hdr;
	unsigned int rescue_hdr_size;
	fw_desc_entry_v1_t this_entry;
	uint imageSize = 0;
	unsigned char sha256[32];
	uint decompressedSize = 0;
	uint is_video = 0;
	uint flash_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			tail_truncated_size = SHA256_SIZE;
			break;
		case RTK_SECURE_BOOT:					// RTK
			tail_truncated_size = RSA_SIGNATURE_LENGTH;
			break;
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

loop:
	/*init entry*/
	if(is_video){
		memset((void *)&this_entry, 0x00, sizeof(this_entry));
		this_entry.type = FW_TYPE_RESCUE2;
		this_entry.lzma = 0;
		this_entry.target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
		*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry.target_addr);
		flash_addr = SYS_PARAM_RESERVED_START + SYS_PARAM_RESERVED_SIZE/2;
	}else{
		memset((void *)&this_entry, 0x00, sizeof(this_entry));
		this_entry.type = FW_TYPE_RESCUE2;
		this_entry.lzma = 0;
		this_entry.target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
		*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry.target_addr);
		flash_addr = SYS_PARAM_RESERVED_START;
	}

	/* get memory layout before copy fw image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = this_entry.lzma;
	mem_layout.image_target_addr = this_entry.target_addr & (~MIPS_KSEG_MSK);

	get_mem_layout_when_read_image(&mem_layout);

	rescue_hdr_size = sizeof(rescue_linux_info_t);

	if( !(ret = rtk_eMMC_read((flash_addr >> 9), rescue_hdr_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("get header done\n");
	}

	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("decrypt header size %d...\n", ((rescue_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
					(char *)mem_layout.decrypted_addr,
					((rescue_hdr_size+(0x10-1))&(~(0x10-1))),
					this_entry.type))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_hdr, (void *)mem_layout.decrypted_addr, rescue_hdr_size);
	}
	else
	{
		memcpy(&rescue_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		imageSize = rescue_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter %s:\n", is_video ? "Video": "Audio");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   emmc offset = 0x%08x\n", flash_addr);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	if( !(ret = rtk_eMMC_read((flash_addr >> 9), imageSize + tail_truncated_size, (unsigned int *)mem_layout.flash_to_ram_addr)) ) {
		printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("get done\n");
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,
					this_entry.type
					))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize   , sizeof(sha256));

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
		                          imageSize ,
		                          sha256, 0 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
	}
	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ... ");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		printf("done\n");
	}{
		// copy fw to dest
		memcpy((void *)(mem_layout.decrypted_addr), (void *)(mem_layout.decrypted_addr + rescue_hdr_size), imageSize-rescue_hdr_size);
	}

	if(is_video == 0){
		is_video = 1;
		goto loop;
	}

	return 0;
}
#endif

int rtk_plat_run_rescue_from_SPI(void)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
#define RESCUE_LINUX_IN_EMMC_IS_COMPRESSED 1 // temp use this define
#define RESCUE_KERNEL_INFO_STORE_ADDR	0x00006000	 // 0x00006000 ~ 0x00006010(16Bytes)
#define RESCUE_KERNEL_INFO_INIT_FLAG	0x1D1DBEEF		// rescue linux info init done flag

	unsigned int secure_mode;
	unsigned int rescue_spi_addr = 0;
	int ret = 0;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int rescue_truncated_size;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	rescue_linux_info_t rescue_linux_hdr;
	unsigned int rescue_linux_hdr_size;
	uint imageSize = 0;
	uint decompressedSize = 0;
	unsigned char sha256[32];

	/*delete timelog*/
	setenv("timelog", NULL);
	saveenv();

	// get rescue kernel offset
	if(rtd_inl(RESCUE_KERNEL_INFO_STORE_ADDR) == RESCUE_KERNEL_INFO_INIT_FLAG){
		rescue_spi_addr = rtd_inl(RESCUE_KERNEL_INFO_STORE_ADDR + 4);
	}else{
		printf("Share memory no rescue linux offset info!\r\n");
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/*enable emmc power*/
	rtd_outl(0x18061104, rtd_inl(0x18061104)|((0x1<<21) | 0x1));
	rtd_outl(0x1806110c, rtd_inl(0x1806110c)|((0x1<<21) | 0x1));

	// for encrypted rescue linux
	secure_mode = rtk_get_secure_boot_type();

	switch( secure_mode ) {
		case NONE_SECURE_BOOT:					// normal mode
			rescue_truncated_size = SHA256_SIZE;
			break;
		case RTK_SECURE_BOOT:					// RTK
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			//force some setting
//			Kh_key_ptr = default_aes_key;
			break;
#if 0 //:TODO: Fix it for other secure boot
		case NDS_SECURE_BOOT:					// NDS
			printf("[ERR] %s: not support NDS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;


		case DCAS_SECURE_BOOT:					// DCAS
			printf("[ERR] %s: not support DCAS secure mode\n", __FUNCTION__);
			rescue_truncated_size = RSA_SIGNATURE_LENGTH;
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
#endif
		default:
			printf("[ERR] %s: unknown secure mode\n", __FUNCTION__);
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.bIsCompressed = RESCUE_LINUX_IN_EMMC_IS_COMPRESSED;
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
	if (1) //(boot_mode != BOOT_RESCUE_MODE )
		mem_layout.image_target_addr = LINUX64_KERNEL_ENTRY;
	else
#endif
		mem_layout.image_target_addr = LINUX_KERNEL_ENTRY;

	get_mem_layout_when_read_image(&mem_layout);

	rescue_linux_hdr_size = sizeof(rescue_linux_info_t);
	if(rtk_spi_nor_read(rescue_spi_addr, rescue_linux_hdr_size, (unsigned char *)mem_layout.flash_to_ram_addr) == -1){
		printf("[ERR] %s:Read rescue header failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}else {
		printf("get header done\n");
	}


	/* if secure mode, do decrypt header first */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("decrypt header size %d...\n", ((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))));

		if (decrypt_image_fpk_by_tag((char *)mem_layout.flash_to_ram_addr,
					(char *)mem_layout.decrypted_addr,
					((rescue_linux_hdr_size+(0x10-1))&(~(0x10-1))),
					FW_TYPE_RESCUE2))
		{
			printf("decrypt header error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}
		memcpy(&rescue_linux_hdr, (void *)mem_layout.decrypted_addr, rescue_linux_hdr_size);
	}
	else
	{
		memcpy(&rescue_linux_hdr, (void *)mem_layout.flash_to_ram_addr, rescue_linux_hdr_size);
	}

	printf("#############################\n");
	printf("# Dump Rescue header:\n");
	printf("#   magic = 0x%08x\n", rescue_linux_hdr.dwMagicNumber);
	printf("#   size  = 0x%08x (include header)\n", rescue_linux_hdr.dwImageSize);
	printf("#############################\n");

	if (rescue_linux_hdr.dwMagicNumber == RESCUE_LINUX_HEADER_MAGICNO) {
		imageSize = rescue_linux_hdr.dwImageSize;

		//compressed data start from the end of the header
		mem_layout.compressed_addr += rescue_linux_hdr_size;
	}
	else {
		printf("[ERR] %s:Rescue linux header magic number error!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	if( imageSize == 0 ) {
		printf("[ERR] %s:Rescue image size error!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

	printf("#############################\n");
	printf("# Enter Rescue Linux:\n");
	printf("#   secure_mode = %d\n",     secure_mode);
	printf("#   compressed  = %d\n",     mem_layout.bIsCompressed);
	printf("#   spi_offset  = 0x%08x\n", rescue_spi_addr);
	printf("#   size_bytes  = 0x%08x\n", imageSize);
	printf("#   target_addr = 0x%08x\n", mem_layout.image_target_addr);
	printf("#############################\n");

	if(rtk_spi_nor_read(rescue_spi_addr, imageSize + rescue_truncated_size, (unsigned char *)mem_layout.flash_to_ram_addr) == -1){
		printf("[ERR] %s:Read rescue failed\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}
	else {
		printf("read done\n");
	}

	/* if secure mode, do AES CBC decrypt */
	if( secure_mode == RTK_SECURE_BOOT) {

		printf("to decrypt...\n");

		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
					(char *)mem_layout.decrypted_addr,
					imageSize,
					FW_TYPE_RESCUE2
					))
		{
			printf("decrypt image error!\n");
			return RTK_PLAT_ERR_READ_RESCUE_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32 );

		printf("decrypt rescue successful\n");

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
								  imageSize,
								  (unsigned char *)(mem_layout.encrpyted_addr + imageSize), 1 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.decrypted_addr, 32 );
	}
	else
	{
		memcpy((void *)sha256, (void *)mem_layout.flash_to_ram_addr + imageSize   , sizeof(sha256));

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.flash_to_ram_addr,
		                          imageSize ,
		                          sha256, 0 );
		if( ret < 0 )
			rtk_hexdump("the first 32-byte rescue data", (unsigned char *)mem_layout.flash_to_ram_addr, 32 );
	}
	if( ret < 0 ) {
		printf("[ERR] %s: hash value not match\n", __FUNCTION__ );
		return RTK_PLAT_ERR_READ_RESCUE_IMG;
	}

#ifdef CONFIG_OF_LIBFDT
    // copy dtb to dest
    if(rescue_linux_hdr.dwDTBSize != 0){
        memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.compressed_addr+rescue_linux_hdr.dwKernelSize), rescue_linux_hdr.dwDTBSize);
    }else{
        printf("\033[1;31;40m Read DTB DATA fail[rescue kernel mode]!please check rescue kernel image\n \033[0m");
        hang();
    }
    //re-set kernel size
    imageSize = rescue_linux_hdr.dwKernelSize;
#endif

	/* if lzma rescue, decompress rescue image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		printf("start decompress rescue ... ");
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		printf("done\n");
	}

#if defined(Config_Include_AV_FW_TRUE) && defined(Config_Boot_Flash_Type_is_SPI)
	current_spi_pos = rescue_spi_addr + rescue_linux_hdr.dwImageSize + rescue_truncated_size;
	ret = rtk_plat_run_av_from_spi();
	if(ret != RTK_PLAT_ERR_OK){
		printf("[%s][%d]load AV FW fail!\r\n",__func__, __LINE__);
		return ret;
	}else{
		/* reset some shared memory */
		reset_shared_memory();

		/*set flag to run audio fw*/
		rescue_mode_with_audio_flag = 1;

		/*run av fw*/
		do_go_audio_fw(1);
		do_go_video_fw(1);
	}
#endif

#if defined(Config_Include_Hash_File) && defined(Config_Boot_Flash_Type_is_SPI)
        char *sys_parms = getenv("system_parameters_1");
        char *tmp_parms = NULL;
        int len = 0;

        if(sys_parms != NULL){
                len = strlen(sys_parms) + 100;

                tmp_parms = (char *)malloc(len);
                if (!tmp_parms) {
                        printf("[ERR] %s: Malloc failed\n", __func__);
                }else {
                        memset(tmp_parms, 0, len);

                        sprintf(tmp_parms, "%s hash_file_start=%x factory_kernel_start=%x factory_kernel_size=%x",
                                sys_parms, current_spi_pos, rescue_spi_addr, rescue_linux_hdr.dwImageSize + rescue_truncated_size);

                        setenv("system_parameters_1", tmp_parms);

                        free(tmp_parms);
                        tmp_parms = NULL;
                }
        }
#endif

#endif

	return RTK_PLAT_ERR_OK;
}

/*
 * run rescue from flash (SPI/NAND/eMMC)
 */
int rtk_plat_run_rescue_from_flash(void)
{
#ifndef Board_WATCHDOG_NULL
//	WATCHDOG_disable();
#endif
	int ret_value = 0;

	if (boot_flash_type == BOOT_EMMC)
	{
		/* For eMMC */
		ret_value = rtk_plat_run_rescue_from_eMMC(EMMC_RESCUE_LINUX_BLOCK_NO);
	}

	if (boot_flash_type == BOOT_NAND)
	{
		/* For NAND */
		ret_value = rtk_plat_run_rescue_from_NAND();
	}

    if (boot_flash_type == BOOT_SPI_NAND)
	{
		/* For SPI NAND */
		ret_value = rtk_plat_run_rescue_from_SPI_NAND();
	}

    if (boot_flash_type == BOOT_NOR_SERIAL)
	{
		/* For SPI */
		ret_value = rtk_plat_run_rescue_from_SPI();
	}

#if 0 //def CONFIG_JUMP_TO_64BIT_KERNEL
	if (boot_flash_type == BOOT_EMMC)
	{
		printf("\n");
		ret_value= rtk_plat_run_rescue_optee_from_eMMC(0 , TEE_FW_ENTRY_ADDR);
		//rtd_outl(0xB8060210, 0xf0f05050);

		if(ret_value == RTK_PLAT_ERR_OK){
		}else{
			printf("load rescue tee fw fail!\n");
		}
	}else{
		printf("Not support!\n");
	}
#endif

	return ret_value;
}

/*
 * Use firmware description table to read images from usb.
 */
int rtk_plat_read_fw_image_from_USB(uint bCompressed)
{
#ifdef CONFIG_BOOT_FROM_USB
	uint target_addr = 0;
	char fw_fname[32];
	char cmd[128];
	int ret = 0;
	boot_av_info_t *boot_av;
	uint uncompressedSize = 0;
	uint compressedSize = 0;
	uint uncompressed_target_addr = 0;

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

//////////////////////////////////////////////////////////////////////////

	memset(fw_fname, 0, sizeof(fw_fname));
	if (bCompressed)
	{
		sprintf(fw_fname, "%s.%s", CONFIG_BOOT_FROM_USB_AUDIO_FW_FILENAME, CONFIG_BOOT_FROM_USB_LZMA_EXTNAME);
		target_addr = rtk_mem_info->temp_buffer_for_flash_data_addr;
	}
	else
	{
		strcpy(fw_fname, CONFIG_BOOT_FROM_USB_AUDIO_FW_FILENAME);
		target_addr = MIPS_AUDIO_FW_ENTRY_ADDR;
	}

	printf("########################################################\n");
	if (bCompressed)
		printf("## Audio LZMA FW from USB\n");
	else
		printf("## Audio FW from USB\n");
	printf("##    file_name   = %s\n", fw_fname);
	printf("##    target_addr = 0x%x\n", target_addr);

	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s", target_addr, fw_fname);

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[ERR] %s:Read from USB failed. (%s, 0x%x, 0x%x)\n", __FUNCTION__, fw_fname, target_addr, ret);
	}
	else
	{
		/* Read success */
		if (bCompressed)
		{
			printf("## Decompress audio fw using LZMA ...\n");

			uncompressed_target_addr = MIPS_AUDIO_FW_ENTRY_ADDR;
			compressedSize = getenv_ulong("filesize", 16, 0);

			if (compressedSize == 0) {
				printf("[ERR] %s:Get the wrong compressed filesize.\n", __FUNCTION__);
			}
			else {
				printf("##    compressedSize   = 0x%x\n", compressedSize);
				printf("##    target_addr      = 0x%x\n", uncompressed_target_addr);
			}

			if (lzmaBuffToBuffDecompress((uchar*)uncompressed_target_addr, &uncompressedSize, (uchar*)target_addr, compressedSize) != 0)
			{
				/* Decompress error */
				printf("[ERR] %s:Decompress using LZMA error!! (0x%x, 0x%x)\n", __FUNCTION__, target_addr, compressedSize);

				return RTK_PLAT_ERR_READ_FW_IMG;
			}
			else
			{
				/* Decompress success */
				printf("##    uncompressedSize = 0x%x\n", uncompressedSize);
			}

			target_addr = uncompressed_target_addr;
		}

		*AudioFW_entry_ptr_A1 = CPU_TO_BE32(target_addr);

		printf("########################################################\n");
		printf("[OK]\n");

	}

//////////////////////////////////////////////////////////////////////////

	memset(fw_fname, 0, sizeof(fw_fname));
	if (bCompressed)
	{
		sprintf(fw_fname, "%s.%s", CONFIG_BOOT_FROM_USB_VIDEO_FW_1_FILENAME, CONFIG_BOOT_FROM_USB_LZMA_EXTNAME);
		target_addr = rtk_mem_info->temp_buffer_for_flash_data_addr;
	}
	else
	{
		strcpy(fw_fname, CONFIG_BOOT_FROM_USB_VIDEO_FW_1_FILENAME);
		target_addr = MIPS_VIDEO_FW_1_ENTRY_ADDR;
	}

	printf("########################################################\n");
	if (bCompressed)
		printf("## Video LZMA FW 1 from USB\n");
	else
		printf("## Video FW 1 from USB\n");
	printf("##    file_name   = %s\n", fw_fname);
	printf("##    target_addr = 0x%x\n", target_addr);

	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s", target_addr, fw_fname);

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[ERR] %s:Read from USB failed. (%s, 0x%x, 0x%x)\n", __FUNCTION__, fw_fname, target_addr, ret);
	}
	else
	{
		/* Read success */
		if (bCompressed)
		{
			printf("## Decompress video fw 1 using LZMA ...\n");

			uncompressed_target_addr = MIPS_VIDEO_FW_1_ENTRY_ADDR;
			compressedSize = getenv_ulong("filesize", 16, 0);
			if (compressedSize == 0) {
				printf("[ERR] %s:Get the wrong compressed filesize.\n", __FUNCTION__);
			}
			else {
				printf("##	  compressedSize   = 0x%x\n", compressedSize);
				printf("##	  target_addr	   = 0x%x\n", uncompressed_target_addr);
			}

			if (lzmaBuffToBuffDecompress((uchar*)uncompressed_target_addr, &uncompressedSize, (uchar*)target_addr, compressedSize) != 0)
			{
				/* Decompress error */
				printf("[ERR] %s:Decompress using LZMA error!! (0x%x, 0x%x)\n", __FUNCTION__, target_addr, compressedSize);

				return RTK_PLAT_ERR_READ_FW_IMG;
			}
			else
			{
				/* Decompress success */
				printf("##	  uncompressedSize = 0x%x\n", uncompressedSize);
			}

			target_addr = uncompressed_target_addr;
		}

		*VideoFW_entry_ptr_V1 = CPU_TO_BE32(target_addr);

		printf("########################################################\n");
		printf("[OK]\n");

	}

//////////////////////////////////////////////////////////////////////////

	memset(fw_fname, 0, sizeof(fw_fname));
	if (bCompressed)
	{
		sprintf(fw_fname, "%s.%s", CONFIG_BOOT_FROM_USB_VIDEO_FW_2_FILENAME, CONFIG_BOOT_FROM_USB_LZMA_EXTNAME);
		target_addr = rtk_mem_info->temp_buffer_for_flash_data_addr;
	}
	else
	{
		strcpy(fw_fname, CONFIG_BOOT_FROM_USB_VIDEO_FW_2_FILENAME);
		target_addr = MIPS_VIDEO_FW_2_ENTRY_ADDR;
	}

	printf("########################################################\n");
	if (bCompressed)
		printf("## Video LZMA FW 2 from USB\n");
	else
		printf("## Video FW 2 from USB\n");
	printf("##    file_name   = %s\n", fw_fname);
	printf("##    target_addr = 0x%x\n", target_addr);

	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s", target_addr, fw_fname);

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[ERR] %s:Read from USB failed. (%s, 0x%x, 0x%x)\n", __FUNCTION__, fw_fname, target_addr, ret);
	}
	else
	{
		/* Read success */
		if (bCompressed)
		{
			printf("## Decompress video fw 2 using LZMA ...\n");

			uncompressed_target_addr = MIPS_VIDEO_FW_2_ENTRY_ADDR;
			compressedSize = getenv_ulong("filesize", 16, 0);
			if (compressedSize == 0) {
				printf("[ERR] %s:Get the wrong compressed filesize.\n", __FUNCTION__);
			}
			else {
				printf("##	  compressedSize   = 0x%x\n", compressedSize);
				printf("##	  target_addr	   = 0x%x\n", uncompressed_target_addr);
			}

			if (lzmaBuffToBuffDecompress((uchar*)uncompressed_target_addr, &uncompressedSize, (uchar*)target_addr, compressedSize) != 0)
			{
				/* Decompress error */
				printf("[ERR] %s:Decompress using LZMA error!! (0x%x, 0x%x)\n", __FUNCTION__, target_addr, compressedSize);

				return RTK_PLAT_ERR_READ_FW_IMG;
			}
			else
			{
				/* Decompress success */
				printf("##	  uncompressedSize = 0x%x\n", uncompressedSize);
			}

			target_addr = uncompressed_target_addr;
		}

		*VideoFW_entry_ptr_V2 = CPU_TO_BE32(target_addr);

		printf("########################################################\n");
		printf("[OK]\n");

	}

//////////////////////////////////////////////////////////////////////////

#endif

	return RTK_PLAT_ERR_OK;
}
#if 0 // remove STR
#ifdef IS_ENABLE_STR
// Since 299s has KCPU, so we need to copy k fw when STR in bootcode stage.
// For av fw, we just release av fw's hw semaphore and jump to kernel.
int rtk_plat_read_fw_image_from_eMMC_STR(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{

#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
//	fw_desc_entry_v21_t *v21_entry;
	int i;
//	int videoFileNum=0, audioFileNum=0;
	//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
#if 0 // mark secure boot
		char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
		char *checksum, *signature;
#endif
		char sha1_hash[SHA1_SIZE];
		char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	//	uint source_addr;
	//	uint target_addr;
	uint block_no;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	int selV1_V2=0x0, selA1_A2=0x0;

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif
	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
		checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
		signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

		// set RSA key to env variable
		if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
			return NULL;
#endif
#endif

	if (secure_mode == RTK_SECURE_BOOT) {
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++) {
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr) {
			switch(this_entry->type) {
				case FW_TYPE_KCPU:
					if (boot_power_on_mode == POWER_OFF)
						continue;
					is_kcpu_fw_exist = 1;
					if(is_KCPU_run_STR() == 0)
					{
					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);

					KcpuFW_entry_ptr = this_entry->target_addr;
					printf("KCPU FW:\n");
					break;
					}
					else//KCPU STR flow
					{
						this_entry->target_addr = (rtd_inl(STB_WDOG_DATA6_reg) | MIPS_KSEG0BASE);
						KcpuFW_entry_ptr = this_entry->target_addr;
						continue; //no need to reload KCPU linux code
					}

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				default:
					continue;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
					this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", eMMC_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			WATCHDOG_KICK();

			if ( this_entry->type != FW_TYPE_KERNEL) {
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU) {

					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				} else {
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				mem_layout.flash_to_ram_addr -= (this_entry->offset % EMMC_BLOCK_SIZE);

				imageSize = this_entry->length;

				block_no = (eMMC_fw_desc_table_start + this_entry->offset) / EMMC_BLOCK_SIZE ;

				if (!rtk_eMMC_read(block_no, imageSize, (uint *)mem_layout.flash_to_ram_addr))
				{
					printf("[ERR] Read fw error (type:%d)!\n", this_entry->type);
					return RTK_PLAT_ERR_READ_FW_IMG;
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
						//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

						// decrypt image
						DBG_MSG("to decrypt...\n");
						if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								this_entry->type))
						{
							printf("decrypt image(%d) error!\n", this_entry->type);
							return RTK_PLAT_ERR_READ_FW_IMG;
						}

						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

					#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
						#if USE_SVFL_FW_DESC_TABLE
						reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign));

						memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
							(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size), img_truncated_size);
						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize,
												  (unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign),
												  1 );
						#else
						reverse_signature((unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH));
						memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
							(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size),  sizeof(struct image_extra_info));
						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - RSA_SIGNATURE_LENGTH,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH),
												  1 );
						#endif
					#else
						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - img_truncated_size,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
												  1 );
					#endif
						if( ret < 0 ) {
							printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);
						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}
		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
	//			strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
	//			strncat(str_phash, buf, strlen(buf));
			}
		} else if (version == FW_DESC_TABLE_V1_T_VERSION_21) {
#if defined(Config_Secure_RSA_TRUE)
			v21_entry = (fw_desc_entry_v21_t *)this_entry;

			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
					(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
	//			strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

	/* Flush caches */
	flush_dcache_all();

	do_go_audio_fw(selA1_A2);
	do_go_video_fw(selV1_V2);

    	if (is_kcpu_fw_exist == 1){
	    	do_go_kcpu();
    	}

/*
	if (KcpuFW_entry_ptr != 0)
	{
		printf("Enable KCPU(%x)\n", KcpuFW_entry_ptr);
		rtd_outl(STB_WDOG_DATA10_reg, KcpuFW_entry_ptr);
	}
*/
	//jump to STR address!!
	printf("STR go address 0x%x\n",g_goAddr);

	GoFuncPtr=(UINT32 (*)(void))g_goAddr;
	rtd_outl(REG_STR_JUMP_ADDR_reg,0);
	g_isSTR=0;
	cleanup_before_linux();
	(*GoFuncPtr)();

#endif	//CONFIG_SYS_RTK_EMMC_FLASH

	return RTK_PLAT_ERR_OK;
}
#endif

// Since 299s has KCPU, so we need to copy k fw when STR in bootcode stage.
// For av fw, we just release av fw's hw semaphore and jump to kernel.
// Nand solution, the base flow same as emmc case
int rtk_plat_read_fw_image_from_NAND_STR(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{

#ifdef CONFIG_SYS_RTK_NAND_FLASH
	int dev = nand_curr_device;
	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
	unsigned long int from;
	unsigned int retlen;

	//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
	int i;
//	int videoFileNum=0, audioFileNum=0;
	//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
#if 0 // mark secure boot
		char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
		char *checksum, *signature;
#endif
		char sha1_hash[SHA1_SIZE];
		char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	//	uint source_addr;
	//	uint target_addr;
	//	uint block_no;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	int selV1_V2=0x0, selA1_A2=0x0;

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
	img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
		checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
		signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

		// set RSA key to env variable
		if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
			return NULL;
#endif
#endif

	if (secure_mode == RTK_SECURE_BOOT) {
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++) {
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr) {
			switch(this_entry->type) {

				case FW_TYPE_KCPU:
					if (boot_power_on_mode == POWER_OFF)
						continue;
					is_kcpu_fw_exist = 1;
					if(is_KCPU_run_STR() == 0){
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);

						KcpuFW_entry_ptr = this_entry->target_addr;
						printf("KCPU FW:\n");
#ifdef  CONFIG_KCPU_LOAD_K_FW
						printf("(skip)\n");
						continue;
#else
						break;
#endif
					}else{//KCPU STR flow
						this_entry->target_addr = (rtd_inl(STB_WDOG_DATA6_reg) | MIPS_KSEG0BASE);
						KcpuFW_entry_ptr = this_entry->target_addr;
						continue; //no need to reload KCPU linux code
					}

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				default:
					continue;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
					this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", NAND_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			WATCHDOG_KICK();

			if ( this_entry->type != FW_TYPE_KERNEL) {
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU) {

					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				} else {
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
#if 0
				mem_layout.flash_to_ram_addr -= (this_entry->offset % EMMC_BLOCK_SIZE);

				imageSize = this_entry->length;

				block_no = (eMMC_fw_desc_table_start + this_entry->offset) / EMMC_BLOCK_SIZE ;

				if (!rtk_eMMC_read(block_no, imageSize, (uint *)mem_layout.flash_to_ram_addr))
				{
					printf("[ERR] Read fw error (type:%d)!\n", this_entry->type);
					return RTK_PLAT_ERR_READ_FW_IMG;
				}
#else
				from = NAND_fw_desc_table_start + this_entry->offset;
				imageSize = this_entry->length;
				mem_layout.flash_to_ram_addr -= (this_entry->offset % nand->erasesize);
				nand->read(nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
				if (retlen != imageSize)
				{
					/* Read error */
					printf("[ERR] %s:Read fw error!!\n", __FUNCTION__);

					return RTK_PLAT_ERR_READ_FW_IMG;
				}else
				{
					/* Read success */
					printf("Read fw ok!!\n");
				}
#endif
				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
						//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

						// decrypt image
						DBG_MSG("to decrypt...\n");
						if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								this_entry->type))
						{
							printf("decrypt image(%d) error!\n", this_entry->type);
							return RTK_PLAT_ERR_READ_FW_IMG;
						}

						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
													  imageSize - img_truncated_size,
													  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
													  1 );
						if( ret < 0 ) {
							printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);
						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}
		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
	//			strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
	//			strncat(str_phash, buf, strlen(buf));
			}
		} else if (version == FW_DESC_TABLE_V1_T_VERSION_21) {
#if defined(Config_Secure_RSA_TRUE)
			v21_entry = (fw_desc_entry_v21_t *)this_entry;
			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
					(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
	//			strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

	/* Flush caches */
	flush_dcache_all();

	do_go_audio_fw(selA1_A2);
	do_go_video_fw(selV1_V2);
	if (is_kcpu_fw_exist == 1){
    	do_go_kcpu();
	}

	//jump to STR address!!
	printf("STR go address 0x%x\n",g_goAddr);

	GoFuncPtr=(UINT32 (*)(void))g_goAddr;
	rtd_outl(REG_STR_JUMP_ADDR_reg,0);
	g_isSTR=0;
	cleanup_before_linux();
	(*GoFuncPtr)();
#endif /* CONFIG_SYS_RTK_NAND_FLASH */

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_read_fw_image_from_SPI_NAND_STR(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{

#ifdef CONFIG_SYS_RTK_SPI_NAND
	int ret = 0,dev = spi_nand_curr_device;
	spi_nand_info_t *spi_nand =&spi_nand_info[dev];
	unsigned long int from;
	unsigned int retlen = 0,secure_mode = 0,img_truncated_size = 0; // install_a will append 256-byte signature data to it

	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;

	int i = 0,videoFileNum=0, audioFileNum=0,selV1_V2=0x0;

	uint unit_len = 0,fw_checksum = 0,imageSize = 0,decompressedSize = 0;
	char buf[64];
	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;

	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
	img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

	if (secure_mode == RTK_SECURE_BOOT) {
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++) {
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr) {
			switch(this_entry->type) {
                case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				default:
					continue;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
					this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", SPI_NAND_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			WATCHDOG_KICK();

			if ( this_entry->type != FW_TYPE_KERNEL) {
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU) {

					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				} else {
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				from = SPI_NAND_fw_desc_table_start + this_entry->offset;
				imageSize = this_entry->length;
				mem_layout.flash_to_ram_addr -= (this_entry->offset % spi_nand->erasesize);
				spi_nand->read(spi_nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
				if (retlen != imageSize)
				{
					/* Read error */
					printf("[ERR] %s:Read fw error!!\n", __FUNCTION__);

					return RTK_PLAT_ERR_READ_FW_IMG;
				}else
				{
					/* Read success */
					printf("Read fw ok!!\n");
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						unsigned int ini_key[4] = {0};

						rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
						//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

						// decrypt image
						printf("to decrypt...\n");
						ini_key[0] = AES_IV_0;
						ini_key[1] = AES_IV_1;
						ini_key[2] = AES_IV_2;
						ini_key[3] = AES_IV_3 + this_entry->type; // need to be match with XXX__AES_IV in image_file_creator Makefile
						if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								ini_key,
								this_entry->type))
						{
							printf("decrypt image(%d) error!\n", this_entry->type);
							return RTK_PLAT_ERR_READ_FW_IMG;
						}

						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
													  imageSize - img_truncated_size,
													  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
													  1 );
						if( ret < 0 ) {
							printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);
						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}
		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
	//			strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
	//			strncat(str_phash, buf, strlen(buf));
			}
		} else if (version == FW_DESC_TABLE_V1_T_VERSION_21) {
#if defined(Config_Secure_RSA_TRUE)
			v21_entry = (fw_desc_entry_v21_t *)this_entry;
			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
					(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
	//			strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

	/* Flush caches */
	flush_dcache_all();

	do_go_audio_fw(selV1_V2);
	do_go_video_fw(selV1_V2);
	if (is_kcpu_fw_exist == 1){
	    	do_go_kcpu();
    }

	//jump to STR address!!
	printf("STR go address 0x%x\n",g_goAddr);

	GoFuncPtr=(UINT32*)g_goAddr;
	rtd_outl(REG_STR_JUMP_ADDR_reg,0);
	g_isSTR=0;
	cleanup_before_linux();
	(*GoFuncPtr)();
#endif /* CONFIG_SYS_RTK_NAND_FLASH */

	return RTK_PLAT_ERR_OK;
}
#endif

#ifdef IS_ENABLE_STD
/*
 * Use firmware description table to read images from eMMC flash.
 */
int rtk_plat_read_fw_image_from_eMMC_STD(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
	fw_desc_entry_v21_t *v21_entry;
	int i;
//	int videoFileNum=0, audioFileNum=0;
//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
#if 0 // mark secure boot
	char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
	char *checksum, *signature;
#endif
	char sha1_hash[SHA1_SIZE];
	char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	boot_av_info_t *boot_av;
//	uint source_addr;
//	uint target_addr;
	uint block_no;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	int selV1_V2=0x0, selA1_A2=0x0;

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();

#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
	checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
	signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

	// set RSA key to env variable
	if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
		return NULL;
#endif
#endif

	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	if(!g_isSTR)
	{
		/* clear boot_av_info memory */
		boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
		memset(boot_av, 0, sizeof(boot_av_info_t));

		//setup default value
		boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
		boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
		boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
		boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
		boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
		boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);
		boot_av->video_vbm_buffer_addr = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_ADDR);
		boot_av->video_vbm_buffer_size = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_SIZE);
	}

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++)
	{
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr)
		{
			switch(this_entry->type)
			{
#if 0
				case FW_TYPE_AUDIO:
					if (boot_power_on_mode == POWER_OFF)
						continue;

					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_AUDIO_FW_ENTRY_ADDR | MIPS_KSEG0BASE);

					*AudioFW_entry_ptr = CPU_TO_BE32(this_entry->target_addr);
					printf("Audio FW:\n");
					break;

				case FW_TYPE_VIDEO:
					if (boot_power_on_mode == POWER_OFF)
						continue;

					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

					*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry->target_addr);
					printf("Video FW 1:\n");

					selV1_V2|=0x01;
					break;

				case FW_TYPE_VIDEO_2:
					if (boot_power_on_mode == POWER_OFF)
						continue;

					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

					*VideoFW_entry_ptr_V2 = CPU_TO_BE32(this_entry->target_addr);
					printf("Video FW 2:\n");

					selV1_V2|=0x02;
					break;
#endif
#if 0 // remove kcpu

				case FW_TYPE_KCPU:
					if (boot_power_on_mode == POWER_OFF)
                  				continue;
					is_kcpu_fw_exist = 1;
					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);

					KcpuFW_entry_ptr = this_entry->target_addr;
					printf("KCPU FW:\n");
					break;
#endif
				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				default:
					continue;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
				this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", eMMC_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			WATCHDOG_KICK();

			if (this_entry->type != FW_TYPE_KERNEL)
			{
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU)
				{
					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}
				else
				{
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				mem_layout.flash_to_ram_addr -= (this_entry->offset % EMMC_BLOCK_SIZE);

				imageSize = this_entry->length;

				block_no = (eMMC_fw_desc_table_start + this_entry->offset) / EMMC_BLOCK_SIZE ;

				if (!rtk_eMMC_read(block_no, imageSize, (uint *)mem_layout.flash_to_ram_addr))
				{
					printf("[ERR] Read fw error (type:%d)!\n", this_entry->type);

					return RTK_PLAT_ERR_READ_FW_IMG;
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						unsigned int ini_key[4] = {0};

						rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
						//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

						// decrypt image
						DBG_MSG("to decrypt...\n");
						ini_key[0] = AES_IV_0;
						ini_key[1] = AES_IV_1;
						ini_key[2] = AES_IV_2;
						ini_key[3] = AES_IV_3 + this_entry->type; // need to be match with XXX__AES_IV in image_file_creator Makefile
						if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
							(char *)mem_layout.decrypted_addr,
							imageSize-img_truncated_size,
							this_entry->type))
						{
							printf("decrypt image(%d) error!\n", this_entry->type);
							return RTK_PLAT_ERR_READ_FW_IMG;
						}

						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
					#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
						#if USE_SVFL_FW_DESC_TABLE
						reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign));

						memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
							(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size), img_truncated_size);
						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize,
												  (unsigned char *)(((fw_desc_entry_v21_t *)this_entry)->RSA_sign),
												  1 );
						#else
						reverse_signature((unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH));
						memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
							(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size),  sizeof(struct image_extra_info));
						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - RSA_SIGNATURE_LENGTH,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH),
												  1 );
						#endif
					#else
						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - img_truncated_size,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
												  1 );
					#endif
						if( ret < 0 ) {
							printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}
		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
//				strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
//				strncat(str_phash, buf, strlen(buf));
			}
		}
		else if (version == FW_DESC_TABLE_V1_T_VERSION_21)
		{
			v21_entry = (fw_desc_entry_v21_t *)this_entry;

#if defined(Config_Secure_RSA_TRUE)
			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
				(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
//				strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

	/* Flush caches */
	flush_dcache_all();

	if (check_image()) {
		// invalid image
		return RTK_PLAT_ERR_READ_FW_IMG;
	}

	do_go_audio_fw(selA2_A2);
	do_go_video_fw(selV1_V2);

	if(g_isSTR)
	{
		//jump to STR address!!
		GoFuncPtr=(UINT32*)g_goAddr;
		rtd_outl(REG_STR_JUMP_ADDR_reg,0);
		g_isSTR=0;
		cleanup_before_linux();
		printf("STR go address 0x%x\n",g_goAddr);
		(*GoFuncPtr)();
	}


		if(processImg_STDAnimation(Buffer)==-1)
			{
						printf("STD data fail..\n");
						return NULL;
			}
		else
		{
			/** jump to linux kernel **/
			cleanup_before_linux();
			printf("Ready to go STD kernel address[0x%x]!!!\n",g_goAddr);
			if (boot_from_flash == BOOT_FROM_FLASH_NORMAL_MODE)
    		{
				(*GoFuncPtr)();
			}
			else
				return RTK_PLAT_ERR_OK;
			return NULL;
		}
#endif	//CONFIG_SYS_RTK_EMMC_FLASH

	return RTK_PLAT_ERR_OK;
}

//nand solution not support STD
int rtk_plat_read_fw_image_from_NAND_STD(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{
#ifdef CONFIG_SYS_RTK_NAND_FLASH
	printf("Nand solution not support STD!\n");
#endif /* CONFIG_SYS_RTK_NAND_FLASH */

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_read_fw_image_from_SPI_NAND_STD(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version,UINT8* Buffer)
{
#ifdef CONFIG_SYS_RTK_SPI_NAND
	printf("SPI Nand solution not support STD!\n");
#endif /* CONFIG_SYS_RTK_SPI_NAND */

	return RTK_PLAT_ERR_OK;
}

#endif	//IS_ENABLE_STD

/*
 * Use firmware description table to read images from eMMC flash.
 */
int rtk_plat_read_fw_image_from_eMMC(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
	int i;
	int videoFileNum=0, audioFileNum=0;
//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
	int OemKeyFail = 0;
#if 0 // mark secure boot
	char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
	char *checksum, *signature;
#endif
	char sha1_hash[SHA1_SIZE];
	char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	boot_av_info_t *boot_av;
//	uint source_addr;
//	uint target_addr;
	uint block_no;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	uint bootfile_length = 0;

	mcp_dscpt_addr = 0;


	secure_mode = rtk_get_secure_boot_type();
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
	checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
	signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

	// set RSA key to env variable
	if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
		return NULL;
#endif
#endif
	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);


	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

	//setup default value
	boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
	boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
	boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
	boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);
	boot_av->video_vbm_buffer_addr = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_ADDR);
	boot_av->video_vbm_buffer_size = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_SIZE );

#ifdef CONFIG_KBOOT_LOAD_AV_FW
	setenv("bootstate", "lemon");
#endif

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++)
	{
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr)
		{
			switch(this_entry->type)
			{
				case FW_TYPE_VIDEO_RAW_FILE: /*for show logo fast*/
					if(boot_logo_enable == 0){
						printf("skip show video raw file \n");
						continue;
					}

					if (this_entry->length > POWER_ON_VIDEO_STREAM_SIZE){
						printf("[Warn] Video[raw] data length is %x > %x"
							"skip this entry\n",this_entry->length,
							POWER_ON_VIDEO_STREAM_SIZE);
							continue;
					}else{
						this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
						gdma_length = SWAPEND32(this_entry->length);
					}

					printf("show raw video raw file ddr 0x%x len 0x%x\n",
						this_entry->target_addr,gdma_length);
					break;
				case FW_TYPE_BOOTCODE:
					printf("Boot Code:\n");
					break;

				case FW_TYPE_KERNEL:
					/* For secure issue, we force the target address as the pre-defined value */
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
					if (boot_mode != BOOT_RESCUE_MODE )
						this_entry->target_addr = LINUX64_KERNEL_ENTRY;
					else
#endif
						this_entry->target_addr = LINUX_KERNEL_ENTRY;

					kernel_entry = this_entry;
					KernelImagePosition = 1;
					printf("Linux Kernel:\n");
					break;

				case FW_TYPE_AUDIO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);


						*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 1:\n");
					break;
#endif
				case FW_TYPE_AUDIO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*AudioFW_entry_ptr_A2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A2 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 2:\n");
					break;
#endif
				case FW_TYPE_VIDEO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Video FW 1:\n");
					break;
#endif
				case FW_TYPE_VIDEO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V2 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else

					printf("Video FW 2:\n");
					break;
#endif

				case FW_TYPE_KCPU:
					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = TEE_FW_ENTRY_ADDR;
					printf("TEE FW target_addr = 0x%x\n", this_entry->target_addr);
					TeeFW_entry_ptr = this_entry->target_addr+OPTEE_HEADER_SIZE;
					printf("(skip)\n");
					continue;

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				case FW_TYPE_JFFS2:
					printf("JFFS2 Image:\n");
					break;

				case FW_TYPE_SQUASH:
					printf("Squash Image:\n");
					break;

				case FW_TYPE_EXT3:
					printf("EXT3 Image:\n");
					break;

				case FW_TYPE_ODD:
					printf("ODD Image:\n");
					break;

				case FW_TYPE_YAFFS2:
					printf("YAFFS2 Image:\n");
					break;

				case FW_TYPE_AUDIO_FILE:
					this_entry->target_addr = (POWER_ON_MUSIC_STREAM_ADDR | MIPS_KSEG0BASE);
					audioFileNum++;

					printf("Audio data %d:\n", audioFileNum);

					switch(audioFileNum)
					{
						case 1:
							if ((boot_music_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_music_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_music_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot music, need to assign boot_av structure */
					if (boot_music_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF))
					{
						if (boot_music_enable==2 && custom_audio1_length != 0)
						{
							bootfile_length = custom_audio1_length;
						}
						else if (boot_music_enable==3 && custom_audio2_length != 0)
						{
							bootfile_length = custom_audio2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_MUSIC_STREAM_SIZE)
						{
							printf("[Warn] Audio data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_MUSIC_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwAudioStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwAudioStreamLength = SWAPEND32(bootfile_length);
							boot_av->dwAudioStreamVolume = (-17);

							this_entry->length = bootfile_length;
						}

					}

					break;

				case FW_TYPE_VIDEO_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					printf("Video data %d:\n", videoFileNum);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 0;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				case FW_TYPE_IMAGE_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					printf("Video[image] data %d:\n", videoFileNum);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video[image] data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 1;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				default:
					printf("Unknown FW (%d):\n", this_entry->type);
					break;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
				this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", eMMC_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			if (this_entry->length == 0)
			{
				printf("\t FW Image size is zero, skip this entry\n");
				continue;
			}

			WATCHDOG_KICK();

			// if enter standby, load kernel and ecpu.bin only
			if ((boot_power_on_mode == POWER_OFF) && this_entry->type != FW_TYPE_ECPU && this_entry->type != FW_TYPE_KERNEL)
			{
				printf("\t Enter standby, skip this entry\n");
				continue;
			}

			if (this_entry->type != FW_TYPE_KERNEL)
			{
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU)
				{
					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}
				else
				{
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				mem_layout.flash_to_ram_addr -= (this_entry->offset % EMMC_BLOCK_SIZE);

				imageSize = this_entry->length;

				block_no = (eMMC_fw_desc_table_start + this_entry->offset) / EMMC_BLOCK_SIZE ;

				if (!rtk_eMMC_read(block_no, imageSize, (uint *)mem_layout.flash_to_ram_addr))
				{
					printf("[ERR] Read fw from emmc error (block_no:%d)\n", block_no);

					return RTK_PLAT_ERR_READ_FW_IMG;
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}
				if(this_entry->type == FW_TYPE_VIDEO_RAW_FILE){
					/*if dclk isn't ready , showlogo stores addr and skips display*/
#if defined(CONFIG_SYS_GDMA_SUPPORT) && defined(CONFIG_SYS_PANEL_SUPPORT)
					gdma_showlogo(mem_layout.image_target_addr);
#endif
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						if(!OemKeyFail)
						{
							ret = rtk_plat_verify_boot_image_first(this_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
							if(ret)
							{
								ret =  rtk_plat_verify_boot_image_secondary(this_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
								OemKeyFail = 1;
							}
							setenv("bootstate", "lemon");
						}
						else
						{
							ret = rtk_plat_verify_boot_image_secondary(this_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
							if(ret)
							{
								setenv("bootstate", "apple");
								return ret;
							}
							setenv("bootstate", "banana");
						}

						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}

		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
//				strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
//				strncat(str_phash, buf, strlen(buf));
			}
		}
		else if (version == FW_DESC_TABLE_V1_T_VERSION_21)
		{
		}
	}

	if (check_image()) {
		// invalid image
		return RTK_PLAT_ERR_READ_FW_IMG;
	}
	/* set boot_av_info_ptr */
	if (boot_av->dwMagicNumber == SWAPEND32(BOOT_AV_INFO_MAGICNO))
	{
		boot_av->bHDMImode = sys_logo_is_HDMI;

		// enable audio sound
		if (boot_av->dwAudioStreamLength != 0)
		{
			;
		}

		*boot_av_info_ptr = SWAPEND32((uint) boot_av);

		#ifdef DUBUG_BOOT_AV_INFO
		dump_boot_av_info(boot_av);
		#endif
	}

	/* Flush caches */
	flush_dcache_all();

#endif /* CONFIG_SYS_RTK_EMMC_FLASH */

	return RTK_PLAT_ERR_OK;
}

/*
 * Use firmware description table to read images from NAND flash.
 */
int rtk_plat_read_fw_image_from_NAND(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version)
{
#ifdef CONFIG_SYS_RTK_NAND_FLASH
	int dev = nand_curr_device;
	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
//	struct nand_chip *this = (struct nand_chip *) nand->priv;
	unsigned long int from;
	unsigned int retlen;

//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
	int i;
	int videoFileNum=0, audioFileNum=0;
//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
#if 0 // mark secure boot
	char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
	char *checksum, *signature;
#endif
	char sha1_hash[SHA1_SIZE];
	char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	boot_av_info_t *boot_av;
//	uint source_addr;
//	uint target_addr;
//	uint block_no;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	uint bootfile_length = 0;

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
			img_truncated_size = sizeof(struct image_extra_info);
	#else
			img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
		img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
	checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
	signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

	// set RSA key to env variable
	if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
		return NULL;
#endif
#endif

	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

	//setup default value
	boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
	boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
	boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
	boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);
	boot_av->video_vbm_buffer_addr = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_ADDR);
	boot_av->video_vbm_buffer_size = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_SIZE);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++)
	{
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr)
		{
			switch(this_entry->type)
			{
				case FW_TYPE_VIDEO_RAW_FILE: /*for show logo fast*/
					if(boot_logo_enable == 0){
						printf("skip show video raw file \n");
						continue;
					}

					if (this_entry->length > POWER_ON_VIDEO_STREAM_SIZE){
						printf("[Warn] Video[raw] data length is %x > %x"
							"skip this entry\n",this_entry->length,
							POWER_ON_VIDEO_STREAM_SIZE);
							continue;
					}else{
						this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
						gdma_length = SWAPEND32(this_entry->length);
					}

					printf("show raw video raw file ddr 0x%x len 0x%x\n",
						this_entry->target_addr,gdma_length);
					break;
				case FW_TYPE_BOOTCODE:
					printf("Boot Code:\n");
					break;

				case FW_TYPE_KERNEL:
					/* For secure issue, we force the target address as the pre-defined value */
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
					if (boot_mode != BOOT_RESCUE_MODE )
						this_entry->target_addr = LINUX64_KERNEL_ENTRY;
					else
#endif
						this_entry->target_addr = LINUX_KERNEL_ENTRY;
					kernel_entry = this_entry;
					printf("Linux Kernel:\n");
					break;

				case FW_TYPE_AUDIO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

						*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 1:\n");
					break;
#endif
				case FW_TYPE_AUDIO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*AudioFW_entry_ptr_A2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A2 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 2:\n");
					break;
#endif
				case FW_TYPE_VIDEO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Video FW 1:\n");
					break;
#endif
				case FW_TYPE_VIDEO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V2 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Video FW 2:\n");
					break;
#endif

#if 0 // remove kcpu
				case FW_TYPE_KCPU:
					/* For secure issue, we force the target address as the pre-defined value */
					/*  for kcpu & tee,  reserved_1[0] for use to judge is kcpu or tee fw*/
					printf("TEE FW target_addr = 0x%x rerver%d\n", this_entry->target_addr,
						this_entry->reserved_1[0]);
					if(this_entry->reserved_1[0] == 0x1){
						this_entry->target_addr = TEE_FW_ENTRY_ADDR;
						printf("TEE FW target_addr = 0x%x\n", this_entry->target_addr);
						TeeFW_entry_ptr = this_entry->target_addr+OPTEE_HEADER_SIZE;
						printf("(skip)\n");
						continue;
					}
                    		else{
						is_kcpu_fw_exist = 1;
						this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);
						KcpuFW_entry_ptr = this_entry->target_addr;
					}

#ifdef CONFIG_KCPU_LOAD_K_FW
					printf("(skip)\n");
					continue;
#else
					break;
#endif
#endif

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				case FW_TYPE_JFFS2:
					printf("JFFS2 Image:\n");
					break;

				case FW_TYPE_SQUASH:
					printf("Squash Image:\n");
					break;

				case FW_TYPE_EXT3:
					printf("EXT3 Image:\n");
					break;

				case FW_TYPE_ODD:
					printf("ODD Image:\n");
					break;

				case FW_TYPE_YAFFS2:
					printf("YAFFS2 Image:\n");
					break;

				case FW_TYPE_AUDIO_FILE:
					this_entry->target_addr = (POWER_ON_MUSIC_STREAM_ADDR | MIPS_KSEG0BASE);
					audioFileNum++;

					printf("Audio data %d:\n", audioFileNum);

					switch(audioFileNum)
					{
						case 1:
							if ((boot_music_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_music_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_music_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot music, need to assign boot_av structure */
					if (boot_music_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_music_enable==2 && custom_audio1_length != 0)
						{
							bootfile_length = custom_audio1_length;
						}
						else if (boot_music_enable==3 && custom_audio2_length != 0)
						{
							bootfile_length = custom_audio2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_MUSIC_STREAM_SIZE)
						{
							printf("[Warn] Audio data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_MUSIC_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwAudioStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwAudioStreamLength = SWAPEND32(bootfile_length);
#if defined(Config_Board_TV035) || defined(Config_Board_TV035_INT_DDR)//20140506  xq_xiao
							if ( konka_boot_vol != 0 )
								boot_av->dwAudioStreamVolume = (konka_boot_vol-60);
							else
								boot_av->dwAudioStreamVolume = (-17);
#else
							boot_av->dwAudioStreamVolume = (-17);
#endif

							this_entry->length = bootfile_length;
						}

					}

					break;

				case FW_TYPE_VIDEO_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					printf("Video data %d:\n", videoFileNum);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 0;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				case FW_TYPE_IMAGE_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					printf("Video[image] data %d:\n", videoFileNum);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video[image] data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 1;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				default:
					printf("Unknown FW (%d):\n", this_entry->type);
					break;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
				this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", NAND_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			if (this_entry->length == 0)
			{
				printf("\t FW Image size is zero, skip this entry\n");
				continue;
			}

			WATCHDOG_KICK();

			// if enter standby, load kernel and ecpu.bin only
			if ((boot_power_on_mode == POWER_OFF) && this_entry->type != FW_TYPE_ECPU && this_entry->type != FW_TYPE_KERNEL)
			{
				printf("\t Enter standby, skip this entry\n");
				continue;
			}

			if (this_entry->type != FW_TYPE_KERNEL)
			{
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU)
				{
					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma| this_entry->lz4;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}
				else
				{
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				from = NAND_fw_desc_table_start + this_entry->offset;
				imageSize = this_entry->length;
				mem_layout.flash_to_ram_addr -= (this_entry->offset % nand->erasesize);
				nand->read(nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
				if (retlen != imageSize)
				{
					/* Read error */
					printf("[ERR] %s:Read fw error!!\n", __FUNCTION__);

					return RTK_PLAT_ERR_READ_FW_IMG;
				}else
				{
					/* Read success */
					printf("Read fw ok!!\n");
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					printf("\t FW Image checksum FAILED\n");
					printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				if(this_entry->type == FW_TYPE_VIDEO_RAW_FILE){
					/*if dclk isn't ready , showlogo stores addr and skips display*/
#if defined(CONFIG_SYS_GDMA_SUPPORT) && defined(CONFIG_SYS_PANEL_SUPPORT)
					gdma_showlogo(mem_layout.image_target_addr);
#endif
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						//rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);

						// decrypt image
						DBG_MSG("to decrypt...\n");
						if (this_entry->type == FW_TYPE_KCPU)
						{
							if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								this_entry->type)){
								printf("decrypt image(%d) error!\n", this_entry->type);
								return RTK_PLAT_ERR_READ_FW_IMG;
							}

						}else{
							if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								this_entry->type)){
								printf("decrypt image(%d) error!\n", this_entry->type);
								return RTK_PLAT_ERR_READ_FW_IMG;
							}
						}

						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - img_truncated_size,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
												  1 );
						if( ret < 0 ) {
							printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if(this_entry->lzma){
						if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
						{
							printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

							return RTK_PLAT_ERR_READ_FW_IMG;
						}
					}else{
						printf("%s %d use lz4 \n",__FUNCTION__,__LINE__);
						unsigned long lz4_decompressedSize = 0;
						if(lz4_do_decompress((uchar*)mem_layout.decompressed_addr, (uchar*)mem_layout.compressed_addr, &lz4_decompressedSize))
						{
							printf("[ERR] %s:Decompress using LZ4 error!!\n", __FUNCTION__);

							return RTK_PLAT_ERR_READ_FW_IMG;
						}
					}
				}
			}
			else
			{
				printf("(skip)\n"); // read kernel image after go all fw to speed up booting logo
			}

		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
//				strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
//				strncat(str_phash, buf, strlen(buf));
			}
		}
		else if (version == FW_DESC_TABLE_V1_T_VERSION_21)
		{
#if defined(Config_Secure_RSA_TRUE)
			v21_entry = (fw_desc_entry_v21_t *)this_entry;

			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
				(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
//				strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

#if 0 // logo
#ifndef Logo_Source_NULL
	/* Set logo */
	LOGO_DISP_init();
#endif
#endif

	if (check_image()) {
		// invalid image
#if 0
#if defined(Rescue_Source_USB) && defined(Board_USB_Driver_Enabled)
		return run_rescue_from_usb(RESCUE_LINUX_FILE_NAME);
#elif defined(Rescue_Source_FLASH)
#if defined(Logo_Source_FLASH)
#if defined(Logo6_Source_FLASH)
		LOGO_DISP_change(5);
#endif
#endif
		return run_rescue_from_flash();
#else
		return NULL;
#endif /* defined(Rescue_Source_USB) && defined(Board_USB_Driver_Enabled) */
#else
		return RTK_PLAT_ERR_READ_FW_IMG;
#endif
	}

	/* set boot_av_info_ptr */
	if (boot_av->dwMagicNumber == SWAPEND32(BOOT_AV_INFO_MAGICNO))
	{
		boot_av->bHDMImode = sys_logo_is_HDMI;

		// enable audio sound
		if (boot_av->dwAudioStreamLength != 0)
		{
			;
		}

		*boot_av_info_ptr = SWAPEND32((uint) boot_av);

		#ifdef DUBUG_BOOT_AV_INFO
		dump_boot_av_info(boot_av);
		#endif
	}

#if 0 // factory
	//if DC on, need check if save factory bootPowerOn or not. if save, spend 100ms.
	factory_info_set_BootPowerOn();
	display_evaluate_time("factory_info_set_BootPowerOn");
#endif

#if 0 // delay
/* 1. Wait 15ms to avoid the distortion of messages from A/V cpu.
 * 2. Discard SCPU_CLK90K_HI(0x1801b544) for simplicity.
 * 3. Show the value in seconds.
 */
	{
		unsigned int counter;

		sys_wait_ms(15);
		counter = REG32(MIS_SCPU_CLK90K_LO);
		counter /= 90; /* in milliseconds */
		printf("SCPU_CLK90K=%d.%03d sec.\n", counter/1000, counter%1000);
	}
#endif

	/* Flush caches */
	flush_dcache_all();

#endif /* CONFIG_SYS_RTK_EMMC_FLASH */

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_read_fw_image_from_SPI_NAND(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version)
{
#ifdef CONFIG_SYS_RTK_SPI_NAND
	int ret = 0,dev = spi_nand_curr_device;
	spi_nand_info_t *spi_nand =&spi_nand_info[dev];
	unsigned long int from;
	unsigned int retlen;

	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
	int i = 0, videoFileNum=0, audioFileNum=0;
	uint unit_len = 0,fw_checksum = 0;
	char buf[64];
	unsigned int secure_mode = 0,img_truncated_size = 0; // install_a will append 256-byte signature data to it
	boot_av_info_t *boot_av;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0,decompressedSize = 0,bootfile_length = 0;

	mcp_dscpt_addr = 0;

	secure_mode = rtk_get_secure_boot_type();
	img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

	//setup default value
	boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
	boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
	boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
	boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++)
	{
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr)
		{
			switch(this_entry->type)
			{
				case FW_TYPE_BOOTCODE:
					printf("Boot Code:\n");
					break;

				case FW_TYPE_KERNEL:
					/* For secure issue, we force the target address as the pre-defined value */
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
					if (boot_mode != BOOT_RESCUE_MODE )
						this_entry->target_addr = LINUX64_KERNEL_ENTRY;
					else
#endif
					this_entry->target_addr = LINUX_KERNEL_ENTRY;
					kernel_entry = this_entry;
					printf("Linux Kernel:\n");
					break;

				case FW_TYPE_AUDIO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
						*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 1:\n");
					break;
#endif
				case FW_TYPE_AUDIO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);
						*AudioFW_entry_ptr_A2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A2 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Audio FW 2:\n");
					break;
#endif
				case FW_TYPE_VIDEO:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);
						*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V1 = 0;
					}
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Video FW 1:\n");
					break;
#endif
				case FW_TYPE_VIDEO_2:
					if (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF )
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);
						*VideoFW_entry_ptr_V2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V2 = 0;
					}
#ifdef CONFIG_PANEL_INIT_2ND_AFTER_LOGO
					panel_init_2nd();
#endif
#ifdef CONFIG_KBOOT_LOAD_AV_FW
					printf("(skip)\n");
					continue;
#else
					printf("Video FW 2:\n");
					break;
#endif

#if 0 // remove kcpu
				case FW_TYPE_KCPU:
					printf("KCPU FW:\n");

					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);
					KcpuFW_entry_ptr = this_entry->target_addr;

#ifdef CONFIG_KCPU_LOAD_K_FW
					printf("(skip)\n");
					continue;
#else
					break;
#endif
#endif

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				case FW_TYPE_JFFS2:
					printf("JFFS2 Image:\n");
					break;

				case FW_TYPE_SQUASH:
					printf("Squash Image:\n");
					break;

				case FW_TYPE_EXT3:
					printf("EXT3 Image:\n");
					break;

				case FW_TYPE_ODD:
					printf("ODD Image:\n");
					break;

				case FW_TYPE_YAFFS2:
					printf("YAFFS2 Image:\n");
					break;

				case FW_TYPE_AUDIO_FILE:
					this_entry->target_addr = (POWER_ON_MUSIC_STREAM_ADDR | MIPS_KSEG0BASE);
					audioFileNum++;

					printf("Audio data %d:\n", audioFileNum);

					switch(audioFileNum)
					{
						case 1:
							if ((boot_music_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_music_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_music_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot music, need to assign boot_av structure */
					if (boot_music_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_music_enable==2 && custom_audio1_length != 0)
						{
							bootfile_length = custom_audio1_length;
						}
						else if (boot_music_enable==3 && custom_audio2_length != 0)
						{
							bootfile_length = custom_audio2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_MUSIC_STREAM_SIZE)
						{
							printf("[Warn] Audio data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_MUSIC_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwAudioStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwAudioStreamLength = SWAPEND32(bootfile_length);
#if defined(Config_Board_TV035) || defined(Config_Board_TV035_INT_DDR)//20140506  xq_xiao
							if ( konka_boot_vol != 0 )
								boot_av->dwAudioStreamVolume = (konka_boot_vol-60);
							else
								boot_av->dwAudioStreamVolume = (-17);
#else
							boot_av->dwAudioStreamVolume = (-17);
#endif

							this_entry->length = bootfile_length;
						}

					}

					break;

				case FW_TYPE_VIDEO_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;
					printf("Video data %d:\n", videoFileNum);
					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 0;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				case FW_TYPE_IMAGE_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					printf("Video[image] data %d:\n", videoFileNum);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON || boot_power_on_mode == BACKLIGHT_OFF ))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							printf("[Warn] Video[image] data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 1;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				default:
					printf("Unknown FW (%d):\n", this_entry->type);
					break;
			}

			printf("\t FW Image to 0x%08x, size=0x%08x (0x%08x)\n",
				this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			printf("\t FW Image fr 0x%08x %s\n", SPI_NAND_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			if (this_entry->length == 0)
			{
				printf("\t FW Image size is zero, skip this entry\n");
				continue;
			}

			WATCHDOG_KICK();

			// if enter standby, load kernel and ecpu.bin only
			if ((boot_power_on_mode == POWER_OFF) && this_entry->type != FW_TYPE_ECPU && this_entry->type != FW_TYPE_KERNEL)
			{
				printf("\t Enter standby, skip this entry\n");
				continue;
			}

			if (this_entry->type != FW_TYPE_KERNEL)
			{
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU)
				{
					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}
				else
				{
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				from = SPI_NAND_fw_desc_table_start + this_entry->offset;
				imageSize = this_entry->length;
				mem_layout.flash_to_ram_addr -= (this_entry->offset %spi_nand->erasesize);
				spi_nand->read(spi_nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
				if (retlen != imageSize)
				{
					/* Read error */
					printf("[ERR] %s:Read fw error!!\n", __FUNCTION__);

						return RTK_PLAT_ERR_READ_FW_IMG;
					}else
					{
						/* Read success */
						printf("Read fw ok!!\n");
					}


					/* Check checksum */
					fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

					if (this_entry->checksum != fw_checksum)
					{
						printf("\t FW Image checksum FAILED\n");
						printf("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
						printf("\t FW Image result checksum=0x%08x\n", fw_checksum);
					}

					/* if secure mode, do AES CBC decrypt */
					if (mem_layout.bIsEncrypted)
					{
						if (secure_mode == RTK_SECURE_BOOT)
						{
							unsigned int ini_key[4] = {0};

							//rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);

							// decrypt image
							printf("to decrypt...\n");
							ini_key[0] = AES_IV_0;
							ini_key[1] = AES_IV_1;
							ini_key[2] = AES_IV_2;
							ini_key[3] = AES_IV_3 + this_entry->type; // need to be match with XXX__AES_IV in image_file_creator Makefile
							if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
								(char *)mem_layout.decrypted_addr,
								imageSize-img_truncated_size,
								this_entry->type))
							{
								printf("decrypt image(%d) error!\n", this_entry->type);
								return RTK_PLAT_ERR_READ_FW_IMG;
							}

							rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
							reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

							ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
													  imageSize - img_truncated_size,
													  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
													  1 );
							if( ret < 0 ) {
								printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
								return RTK_PLAT_ERR_READ_FW_IMG;
							}
							imageSize = imageSize - img_truncated_size;
						}
					}

					/* if lzma type, decompress image */
					if (mem_layout.bIsCompressed)
					{
						if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
						{
							printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

							return RTK_PLAT_ERR_READ_FW_IMG;
						}
					}
				}
				else
				{
					printf("(skip)\n"); // read kernel image after go all fw to speed up booting logo
				}

			}

			if (version == FW_DESC_TABLE_V1_T_VERSION_11)
			{
				v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

				if (v11_entry->act_size != 0)
				{
					// string format: "part_num:act_size:hash,"
					memset(buf, 0, sizeof(buf));
					sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
	//				strncat(str_phash, buf, strlen(buf));
					memset(buf, 0, sizeof(buf));
					memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
					buf[sizeof(v11_entry->hash)] = ',';
	//				strncat(str_phash, buf, strlen(buf));
				}
			}
			else if (version == FW_DESC_TABLE_V1_T_VERSION_21)
			{
#if defined(Config_Secure_RSA_TRUE)
				v21_entry = (fw_desc_entry_v21_t *)this_entry;

				// exclude partition 0 (contain bootcode/kernel/audio/video image)
				if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
					(v21_entry->act_size != 0) ){
					// recover hash value from signature
					memset(checksum, 0, sizeof(v21_entry->RSA_sign));
					memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
					memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

					rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

					// string format: "part_num:act_size:hash,"
					memset(buf, 0, sizeof(buf));
					sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
	//				strncat(str_phash, buf, strlen(buf));
					//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
				}
#endif	/* defined(Config_Secure_RSA_TRUE) */
			}
		}


		if (check_image()) {
			// invalid image
			return RTK_PLAT_ERR_READ_FW_IMG;
		}

		/* set boot_av_info_ptr */
		if (boot_av->dwMagicNumber == SWAPEND32(BOOT_AV_INFO_MAGICNO))
		{
			boot_av->bHDMImode = sys_logo_is_HDMI;

			// enable audio sound
			if (boot_av->dwAudioStreamLength != 0)
			{
				;
			}

			*boot_av_info_ptr = SWAPEND32((uint) boot_av);

		#ifdef DUBUG_BOOT_AV_INFO
			dump_boot_av_info(boot_av);
		#endif
		}
		/* Flush caches */
		flush_dcache_all();

#endif

		return RTK_PLAT_ERR_OK;
	}

/*
 * Use firmware description table to read images from SPI flash.
 */
int rtk_plat_read_fw_image_from_SPI(
		uint fw_desc_table_base, part_desc_entry_v1_t* part_entry, int part_count,
		void* fw_entry, int fw_count,
		uchar version)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
//	char *src;
	fw_desc_entry_v1_t *this_entry;
	fw_desc_entry_v11_t *v11_entry;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
	int i;
	int videoFileNum=0, audioFileNum=0;
//	uint size;
	uint unit_len;
	char buf[64];
	uint fw_checksum = 0;
#if 0 // mark secure boot
	char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
	char *checksum, *signature;
#endif
	char sha1_hash[SHA1_SIZE];
	char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	boot_av_info_t *boot_av;
//	uint source_addr;
//	uint target_addr;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;
	uint bootfile_length = 0;

	uint SPIaddress = 0;
	int SPI_align = rtk_spi_nor_get_align();

	mcp_dscpt_addr = 0;


	secure_mode = rtk_get_secure_boot_type();
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;

	/* find fw_entry structure according to version */
	switch (version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			unit_len = sizeof(fw_desc_entry_v1_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			unit_len = sizeof(fw_desc_entry_v11_t);
			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			unit_len = sizeof(fw_desc_entry_v21_t);
			break;

		default:
			return RTK_PLAT_ERR_READ_FW_IMG;
	}

#if 0 // mark secure boot
#if defined(Config_Secure_RSA_TRUE)
	checksum = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign));
	signature = (char *)alloc_freemem(sizeof(v21_entry->RSA_sign)+1);

	// set RSA key to env variable
	if (env_split_and_save("RSA_KEY_MODULUS", Config_Secure_RSA_MODULUS, 96) != OK)
		return NULL;
#endif
#endif
	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	//	memset(str_phash, 0, 256);

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

	//setup default value
	boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
	boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
	boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
	boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);
	boot_av->video_vbm_buffer_addr = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_ADDR);
	boot_av->video_vbm_buffer_size = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_SIZE);

	/* parse each fw_entry */
	for (i = 0; i < fw_count; i++)
	{
		this_entry = (fw_desc_entry_v1_t *)(fw_entry + unit_len * i);

		if (this_entry->target_addr)
		{
			switch(this_entry->type)
			{
				case FW_TYPE_BOOTCODE:
					DBG_MSG("Boot Code!\n");
					break;

				case FW_TYPE_KERNEL:
					/* For secure issue, we force the target address as the pre-defined value */
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
					if (boot_mode != BOOT_RESCUE_MODE )
						this_entry->target_addr = LINUX64_KERNEL_ENTRY;
					else
#endif
						this_entry->target_addr = LINUX_KERNEL_ENTRY;

					kernel_entry = this_entry;
					DBG_MSG("Linux Kernel!\n");
					break;

				case FW_TYPE_AUDIO:
					if (boot_power_on_mode == POWER_ON)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

						*AudioFW_entry_ptr_A1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A1 = 0;
					}
					DBG_MSG("Audio FW 1!\n");
					break;

				case FW_TYPE_AUDIO_2:
					if (boot_power_on_mode == POWER_ON)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_AUDIO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*AudioFW_entry_ptr_A2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*AudioFW_entry_ptr_A2 = 0;
					}
					printf("Audio FW 2!\n");
					break;

				case FW_TYPE_VIDEO:
					if (boot_power_on_mode == POWER_ON)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V1 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V1 = 0;
					}
					DBG_MSG("Video FW 1!\n");
					break;

				case FW_TYPE_VIDEO_2:
					if (boot_power_on_mode == POWER_ON)
					{
						/* For secure issue, we force the target address as the pre-defined value */
						this_entry->target_addr = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

						*VideoFW_entry_ptr_V2 = CPU_TO_BE32(this_entry->target_addr);
					}
					else
					{
						*VideoFW_entry_ptr_V2 = 0;
					}
					DBG_MSG("Video FW 2!\n");
					break;
#if 0 // remove kcpu
				case FW_TYPE_KCPU:
					/* For secure issue, we force the target address as the pre-defined value */
					this_entry->target_addr = (MIPS_KCPU_FW_ENTRY_ADDR | MIPS_KSEG0BASE);
					is_kcpu_fw_exist = 1;
					KcpuFW_entry_ptr = this_entry->target_addr;
					DBG_MSG("KCPU FW!\n");
					break;
#endif

				case FW_TYPE_ECPU:
					continue;	// Aux code copy ECPU image to DDR

				case FW_TYPE_JFFS2:
					DBG_MSG("JFFS2 Image!\n");
					break;

				case FW_TYPE_SQUASH:
					DBG_MSG("Squash Image!\n");
					break;

				case FW_TYPE_EXT3:
					DBG_MSG("EXT3 Image!\n");
					break;

				case FW_TYPE_ODD:
					DBG_MSG("ODD Image!\n");
					break;

				case FW_TYPE_YAFFS2:
					DBG_MSG("YAFFS2 Image!\n");
					break;

				case FW_TYPE_AUDIO_FILE:
					this_entry->target_addr = (POWER_ON_MUSIC_STREAM_ADDR | MIPS_KSEG0BASE);
					audioFileNum++;

					DBG_MSG("Audio data, #:%d(%d)!\n", audioFileNum, boot_music_enable);

					switch(audioFileNum)
					{
						case 1:
							if ((boot_music_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_music_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_music_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot music, need to assign boot_av structure */
					if (boot_music_enable && (boot_power_on_mode == POWER_ON))
					{
						if (boot_music_enable==2 && custom_audio1_length != 0)
						{
							bootfile_length = custom_audio1_length;
						}
						else if (boot_music_enable==3 && custom_audio2_length != 0)
						{
							bootfile_length = custom_audio2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_MUSIC_STREAM_SIZE)
						{
							DBG_WAR("Audio data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_MUSIC_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwAudioStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwAudioStreamLength = SWAPEND32(bootfile_length);
#if defined(Config_Board_TV035) || defined(Config_Board_TV035_INT_DDR)//20140506  xq_xiao
							if ( konka_boot_vol != 0 )
								boot_av->dwAudioStreamVolume = (konka_boot_vol-60);
							else
								boot_av->dwAudioStreamVolume = (-17);
#else
							boot_av->dwAudioStreamVolume = (-17);
#endif

							this_entry->length = bootfile_length;
						}

					}

					break;

				case FW_TYPE_VIDEO_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					DBG_MSG("Video data, #:%d(%d)!\n", videoFileNum, boot_logo_enable);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							DBG_WAR("Video data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 0;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				case FW_TYPE_IMAGE_FILE:
					this_entry->target_addr = (POWER_ON_VIDEO_STREAM_ADDR | MIPS_KSEG0BASE);
					videoFileNum++;

					DBG_MSG("Video[image] data, #:%d(%d)!\n", videoFileNum, boot_logo_enable);

					switch(videoFileNum)
					{
						case 1:
							if ((boot_logo_enable != 1) )
								continue;
							break;

						case 2:
							if ((boot_logo_enable != 2) )
								continue;
							break;

						case 3:
							if ((boot_logo_enable != 3) )
								continue;
							break;

						default:
							continue;
					}

					/* if enable boot video/jpeg, need to assign boot_av structure */
					if (boot_logo_enable && (boot_power_on_mode == POWER_ON))
					{
						if (boot_logo_enable == 2 && custom_video1_length != 0)
						{
							bootfile_length = custom_video1_length;
						}
						else if (boot_logo_enable == 3 && custom_video2_length != 0)
						{
							bootfile_length = custom_video2_length;
						}
						else
						{
							bootfile_length = this_entry->length;
						}

						/* check bootfile size that prevent memory overlap */
						if (bootfile_length > POWER_ON_VIDEO_STREAM_SIZE)
						{
							DBG_WAR("Video[image] data length is %x > %x, skip this entry\n",
								bootfile_length,
								POWER_ON_VIDEO_STREAM_SIZE);

							continue;
						}
						else
						{
							/* pass */
							boot_av->dwMagicNumber = SWAPEND32(BOOT_AV_INFO_MAGICNO);
							boot_av->dwVideoStreamAddress = SWAPEND32(this_entry->target_addr);
							boot_av->dwVideoStreamLength = SWAPEND32(bootfile_length);
							boot_av->bPowerOnImage = 1;

							if(vFlipEnable)
								boot_av->bRotate = 1;
							else
								boot_av->bRotate = 0;

							this_entry->length = bootfile_length;
						}

					}
					break;

				default:
					DBG_WAR("Unknown FW (%d):\n", this_entry->type);
					break;
			}

			DBG_MSG("\t FW Image to 0x%08x, size=0x%08x (0x%08x)!\n",
				this_entry->target_addr, this_entry->length, this_entry->target_addr + this_entry->length);

			DBG_MSG("\t FW Image fr 0x%08x %s!\n", SPI_fw_desc_table_start + this_entry->offset, this_entry->lzma ? "(lzma)" : "(non-lzma)");

			if (this_entry->length == 0)
			{
				DBG_MSG("\t FW Image size is zero, skip this entry!\n");
				continue;
			}

			WATCHDOG_KICK();

			// if enter standby, load kernel and ecpu.bin only
			if ((boot_power_on_mode == POWER_OFF) && this_entry->type != FW_TYPE_ECPU && this_entry->type != FW_TYPE_KERNEL)
			{
				DBG_MSG("\t Enter standby, skip this entry!\n");
				continue;
			}

			if (this_entry->type != FW_TYPE_KERNEL)
			{
				/* secure mode and lzma will only apply to fw image */
				if (this_entry->type == FW_TYPE_AUDIO ||
					this_entry->type == FW_TYPE_VIDEO ||
					this_entry->type == FW_TYPE_AUDIO_2 ||
					this_entry->type == FW_TYPE_VIDEO_2 ||
					this_entry->type == FW_TYPE_ECPU ||
					this_entry->type == FW_TYPE_KCPU)
				{
					/* get memory layout before copy fw image */
					mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
					mem_layout.bIsCompressed = this_entry->lzma;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}
				else
				{
					/* get memory layout before copy other image */
					mem_layout.bIsEncrypted = 0;
					mem_layout.bIsCompressed = 0;
					mem_layout.image_target_addr = this_entry->target_addr & (~MIPS_KSEG_MSK);
				}

				get_mem_layout_when_read_image(&mem_layout);

				/* read image from flash */
				mem_layout.flash_to_ram_addr -= (this_entry->offset % SPI_align);

				imageSize = this_entry->length;

				SPIaddress = SPI_fw_desc_table_start + this_entry->offset;
				DBG_MSG("Addr:0x%08x -->", SPIaddress);

				SPIaddress = ALIGN(SPIaddress, SPI_align);
				DBG_MSG("(Align)-->Addr:0x%08x, -(%d), Len:0x%x, Mem:0x%08x!\n", SPIaddress, (this_entry->offset % SPI_align), imageSize, mem_layout.flash_to_ram_addr);
				if(rtk_spi_nor_read(SPIaddress, imageSize, (unsigned char *)mem_layout.flash_to_ram_addr) == -1)
				{
					DBG_ERR("Read fw from SPI error (Add:0x%x, Len:0x%x)!\n", SPIaddress, imageSize);
					return RTK_PLAT_ERR_READ_FW_IMG;
				}

				/* Check checksum */
				fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

				if (this_entry->checksum != fw_checksum)
				{
					DBG_WAR("\t FW Image checksum FAILED\n");
					DBG_WAR("\t FW Image entry  checksum=0x%08x\n", this_entry->checksum);
					DBG_WAR("\t FW Image result checksum=0x%08x\n", fw_checksum);
				}

				/* if secure mode, do AES CBC decrypt */
				if (mem_layout.bIsEncrypted)
				{
					if (secure_mode == RTK_SECURE_BOOT)
					{
						rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
						//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

						// decrypt image
						DBG_MSG("to decrypt...\n");
#if 1
						if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
							(char *)mem_layout.decrypted_addr,
							imageSize-img_truncated_size,
							this_entry->type))
						{
							DBG_ERR("decrypt image(%d) error!\n", this_entry->type);
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
#else
// expt fake secure usage
if (decrypt_image((char *)mem_layout.encrpyted_addr,
	(char *)mem_layout.decrypted_addr,
	imageSize-img_truncated_size, Kh_key_ptr
	))
{
	printf("decrypt image(%d) error!\n", this_entry->type);
	return RTK_PLAT_ERR_READ_FW_IMG;
}

#endif
						rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

						reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

						ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
												  imageSize - img_truncated_size,
												  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
												  1 );
						if( ret < 0 ) {
							DBG_ERR("verify hash fail(%d)!\n", ret );
							return RTK_PLAT_ERR_READ_FW_IMG;
						}
						imageSize = imageSize - img_truncated_size;
					}
				}

				/* if lzma type, decompress image */
				if (mem_layout.bIsCompressed)
				{
					if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
					{
						DBG_ERR("Decompress using LZMA error!\n");
						return RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
			}

		}

		if (version == FW_DESC_TABLE_V1_T_VERSION_11)
		{
			v11_entry = (fw_desc_entry_v11_t*) (fw_entry + unit_len * i);

			if (v11_entry->act_size != 0)
			{
				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:", v11_entry->part_num, v11_entry->act_size);
//				strncat(str_phash, buf, strlen(buf));
				memset(buf, 0, sizeof(buf));
				memcpy(buf, v11_entry->hash, sizeof(v11_entry->hash));
				buf[sizeof(v11_entry->hash)] = ',';
//				strncat(str_phash, buf, strlen(buf));
			}
		}
		else if (version == FW_DESC_TABLE_V1_T_VERSION_21)
		{
#if defined(Config_Secure_RSA_TRUE)
			v21_entry = (fw_desc_entry_v21_t *)this_entry;

			// exclude partition 0 (contain bootcode/kernel/audio/video image)
			if ( (v21_entry->part_num != PART_TYPE_RESERVED) &&
				(v21_entry->act_size != 0) ){
				// recover hash value from signature
				memset(checksum, 0, sizeof(v21_entry->RSA_sign));
				memset(signature, 0, sizeof(v21_entry->RSA_sign)+1);
				memcpy(signature, v21_entry->RSA_sign, sizeof(v21_entry->RSA_sign));

				rsa_verify(signature, Config_Secure_RSA_MODULUS, checksum);

				// string format: "part_num:act_size:hash,"
				memset(buf, 0, sizeof(buf));
				sprintf(buf, "%d:%d:%s,", v21_entry->part_num, v21_entry->act_size, checksum);
//				strncat(str_phash, buf, strlen(buf));
				//printf("[DEBUG_MSG] part_num:%x, act_size:%x, recovered hash:%s\n", v21_entry->part_num, v21_entry->act_size, checksum);
			}
#endif	/* defined(Config_Secure_RSA_TRUE) */
		}
	}

#if 0 // logo
#ifndef Logo_Source_NULL
	/* Set logo */
	LOGO_DISP_init();
#endif
#endif

	if (check_image()) {
		// invalid image
#if 0
#if defined(Rescue_Source_USB) && defined(Board_USB_Driver_Enabled)
		return run_rescue_from_usb(RESCUE_LINUX_FILE_NAME);
#elif defined(Rescue_Source_FLASH)
#if defined(Logo_Source_FLASH)
#if defined(Logo6_Source_FLASH)
		LOGO_DISP_change(5);
#endif
#endif
		return run_rescue_from_flash();
#else
		return NULL;
#endif /* defined(Rescue_Source_USB) && defined(Board_USB_Driver_Enabled) */
#else
		return RTK_PLAT_ERR_READ_FW_IMG;
#endif
	}

	/* set boot_av_info_ptr */
	if (boot_av->dwMagicNumber == SWAPEND32(BOOT_AV_INFO_MAGICNO))
	{
		boot_av->bHDMImode = sys_logo_is_HDMI;

		// enable audio sound
		if (boot_av->dwAudioStreamLength != 0)
		{
			;
		}

		*boot_av_info_ptr = SWAPEND32((uint) boot_av);

		#ifdef DUBUG_BOOT_AV_INFO
		dump_boot_av_info(boot_av);
		#endif
	}

#if 0 // factory
	//if DC on, need check if save factory bootPowerOn or not. if save, spend 100ms.
	factory_info_set_BootPowerOn();
	display_evaluate_time("factory_info_set_BootPowerOn");
#endif

#if 0 // delay
/* 1. Wait 15ms to avoid the distortion of messages from A/V cpu.
 * 2. Discard SCPU_CLK90K_HI(0x1801b544) for simplicity.
 * 3. Show the value in seconds.
 */
	{
		unsigned int counter;

		sys_wait_ms(15);
		counter = REG32(MIS_SCPU_CLK90K_LO);
		counter /= 90; /* in milliseconds */
		printf("SCPU_CLK90K=%d.%03d sec.\n", counter/1000, counter%1000);
	}
#endif

	/* Flush caches */
	flush_dcache_all();

#endif /* CONFIG_SYS_RTK_EMMC_FLASH */

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_read_fw_image_from_SPI_2(void)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
//	char *src;
#if defined(Config_Secure_RSA_TRUE)
	fw_desc_entry_v21_t *v21_entry;
#endif
	int i;
//	uint size;
	//uint fw_checksum = 0;
#if 0 // mark secure boot
	char str_phash[256];
#if defined(Config_Secure_RSA_TRUE)
	char *checksum, *signature;
#endif
	char sha1_hash[SHA1_SIZE];
	char *hash_str;
#endif
	unsigned int secure_mode;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;
	unsigned int img_truncated_size; // install_a will append 256-byte signature data to it
	int ret;
	boot_av_info_t *boot_av;
//	uint source_addr;
//	uint target_addr;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	uint imageSize = 0;
	uint decompressedSize = 0;

	uint SPIaddress = 0;
	int SPI_align = rtk_spi_nor_get_align();

	unsigned char imageType = 0;
	unsigned char imageLzma = 0;

	mcp_dscpt_addr = 0;


	secure_mode = rtk_get_secure_boot_type();
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;

	if (secure_mode == RTK_SECURE_BOOT)
	{
		// set AES img key to env variable
		setenv( "AES_IMG_KEY", SECURE_KH_KEY_STR);
	}

	/* clear boot_av_info memory */
	boot_av = (boot_av_info_t *) MIPS_BOOT_AV_INFO_ADDR;
	memset(boot_av, 0, sizeof(boot_av_info_t));

	//setup default value
	boot_av->audio_buffer_addr	= SWAPEND32(POWER_ON_MUSIC_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->audio_buffer_size	= SWAPEND32(POWER_ON_MUSIC_BUFFER_SIZE);
	boot_av->video_buffer_addr	= SWAPEND32(POWER_ON_VIDEO_BUFFER_ADDR | MIPS_KSEG0BASE);
	boot_av->video_buffer_size	= SWAPEND32(POWER_ON_VIDEO_BUFFER_SIZE);
	boot_av->last_image_addr	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_ADDR | MIPS_KSEG0BASE);
	boot_av->last_image_size	= SWAPEND32(POWER_ON_VIDEO_LAST_IMAGE_SIZE);
	boot_av->video_vbm_buffer_addr = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_ADDR);
	boot_av->video_vbm_buffer_size = SWAPEND32(POWER_ON_VIDEO_VBM_BUFFER_SIZE);

	/* parse each fw_entry */
	for (i = 0; i <= 3; i++)
	{
		layout_fw_desc image_entry;
		switch(i)
		{
			case 0:
				memcpy(&image_entry, &KernelEntry, sizeof(layout_fw_desc));
				imageType = FW_TYPE_KERNEL;

				#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
				if (boot_mode != BOOT_RESCUE_MODE )
				{
					image_entry.target = LINUX64_KERNEL_ENTRY;
				}
				else
				#endif
				{
					image_entry.target = LINUX_KERNEL_ENTRY;
				}
				KernelEntry.target = image_entry.target;
				DBG_MSG("%s:image_entry.target force to 0x%x!\n", image_entry.name, image_entry.target);
				break;
			case 1:
				memcpy(&image_entry, &AudioFWEntry, sizeof(layout_fw_desc));
				imageType = FW_TYPE_AUDIO;

				if (boot_power_on_mode == POWER_ON)
				{
					/* For secure issue, we force the target address as the pre-defined value */
					image_entry.target = (MIPS_AUDIO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

					*AudioFW_entry_ptr_A1 = CPU_TO_BE32(image_entry.target);
				}
				else
				{
					*AudioFW_entry_ptr_A1 = 0;
				}
				AudioFWEntry.target = image_entry.target;

				DBG_MSG("%s:image_entry.target force to 0x%x!\n", image_entry.name, image_entry.target);
				break;
			case 2:
				memcpy(&image_entry, &VideoFWEntry, sizeof(layout_fw_desc));
				imageType = FW_TYPE_VIDEO;
				if (boot_power_on_mode == POWER_ON)
				{
					/* For secure issue, we force the target address as the pre-defined value */
					image_entry.target = (MIPS_VIDEO_FW_1_ENTRY_ADDR | MIPS_KSEG0BASE);

					*VideoFW_entry_ptr_V1 = CPU_TO_BE32(image_entry.target);
				}
				else
				{
					*VideoFW_entry_ptr_V1 = 0;
				}
				VideoFWEntry.target = image_entry.target;

				DBG_MSG("%s:image_entry.target force to 0x%x!\n", image_entry.name, image_entry.target);
				break;
			case 3:
				memcpy(&image_entry, &VideoFWEntry2, sizeof(layout_fw_desc));
				imageType = FW_TYPE_VIDEO_2;
				if (boot_power_on_mode == POWER_ON)
				{
					/* For secure issue, we force the target address as the pre-defined value */
					image_entry.target = (MIPS_VIDEO_FW_2_ENTRY_ADDR | MIPS_KSEG0BASE);

					*VideoFW_entry_ptr_V2 = CPU_TO_BE32(image_entry.target);
				}
				else
				{
					*VideoFW_entry_ptr_V2 = 0;
				}
				VideoFWEntry2.target = image_entry.target;

				DBG_MSG("%s:image_entry.target force to 0x%x!\n", image_entry.name, image_entry.target);
				break;

			default:
				DBG_ERR("Unknown!\n");
				break;
		}

		DBG_MSG("%d:FW:%s, %s, 0x%x, 0x%x, 0x%x!\n", i, image_entry.name, image_entry.type, image_entry.target, image_entry.offset, image_entry.size);

		if (image_entry.size == 0)
		{
			DBG_MSG("FW Image size is zero, skip this entry!\n");
			continue;
		}

		// Checking Image type
		if(strcmp(image_entry.type, "lzma") == 0)
		{
			imageLzma = 1;
			DBG_MSG("FW Image type is lzma!\n");
		}
		else
		{
			DBG_MSG("FW Image type is not lzma, is %s!\n", image_entry.type);
			imageLzma = 0;
		}

		WATCHDOG_KICK();

		// if enter standby, load kernel and ecpu.bin only
		if ((boot_power_on_mode == POWER_OFF) && imageType != FW_TYPE_ECPU && imageType != FW_TYPE_KERNEL)
		{
			DBG_MSG("Enter standby, skip this entry!\n");
			continue;
		}

		if (imageType != FW_TYPE_KERNEL)
		{
			/* secure mode and lzma will only apply to fw image */
			if (imageType == FW_TYPE_AUDIO ||
				imageType == FW_TYPE_VIDEO ||
				imageType == FW_TYPE_AUDIO_2 ||
				imageType == FW_TYPE_VIDEO_2 ||
				imageType == FW_TYPE_ECPU ||
				imageType == FW_TYPE_KCPU)
			{
				/* get memory layout before copy fw image */
				mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
				mem_layout.bIsCompressed = imageLzma;
				mem_layout.image_target_addr = image_entry.target & (~MIPS_KSEG_MSK);
				DBG_MSG("mem_layout: bIsEncrypted:%d, bIsCompressed:%d, image_target_addr:0x%x, image_entry.target:0x%x(0x%x)!\n", mem_layout.bIsEncrypted, mem_layout.bIsCompressed, mem_layout.image_target_addr, image_entry.target, (~MIPS_KSEG_MSK));
			}
			else
			{
				/* get memory layout before copy other image */
				mem_layout.bIsEncrypted = 0;
				mem_layout.bIsCompressed = 0;
				mem_layout.image_target_addr = image_entry.target & (~MIPS_KSEG_MSK);
				DBG_MSG("mem_layout: bIsEncrypted:%d, bIsCompressed:%d, image_target_addr:0x%x, image_entry.target:0x%x(0x%x)!\n", mem_layout.bIsEncrypted, mem_layout.bIsCompressed, mem_layout.image_target_addr, image_entry.target, (~MIPS_KSEG_MSK));
			}

			get_mem_layout_when_read_image(&mem_layout);

			/* read image from flash */
			mem_layout.flash_to_ram_addr -= (image_entry.offset % SPI_align);

			imageSize = image_entry.size;

			SPIaddress = image_entry.offset;
			DBG_MSG("Addr:0x%08x -->", SPIaddress);

			SPIaddress = ALIGN(SPIaddress, SPI_align);
			DBG_MSG("(Align)-->Addr:0x%08x, -(%d), Len:0x%x, Mem:0x%08x!\n", SPIaddress, (image_entry.offset % SPI_align), imageSize, mem_layout.flash_to_ram_addr);
			if(rtk_spi_nor_read(SPIaddress, imageSize, (unsigned char *)mem_layout.flash_to_ram_addr) == -1)
			{
				DBG_ERR("Read fw from SPI error (Add:0x%x, Len:0x%x)!\n", SPIaddress, imageSize);
				return RTK_PLAT_ERR_READ_FW_IMG;
			}

			/* Check checksum */
			//fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);
			//DBG_MSG("FW Image result checksum=0x%08x\n", fw_checksum);

			/* if secure mode, do AES CBC decrypt */
			if (mem_layout.bIsEncrypted)
			{
				if (secure_mode == RTK_SECURE_BOOT)
				{
					rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
					//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+this_entry->length-512), 512);

					// decrypt image
					DBG_MSG("to decrypt...\n");
					if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
						(char *)mem_layout.decrypted_addr,
						imageSize-img_truncated_size,
						imageType))
					{
						DBG_ERR("decrypt image(%d) error!\n", imageType);
						return RTK_PLAT_ERR_READ_FW_IMG;
					}

					rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

					reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

					ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
											  imageSize - img_truncated_size,
											  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
											  1 );
					if( ret < 0 ) {
						DBG_ERR("verify hash fail(%d)!\n", ret );
						return RTK_PLAT_ERR_READ_FW_IMG;
					}
					imageSize = imageSize - img_truncated_size;
				}
			}

			/* if lzma type, decompress image */
			if (mem_layout.bIsCompressed)
			{
				if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
				{
					DBG_ERR("Decompress using LZMA error!\n");
					return RTK_PLAT_ERR_READ_FW_IMG;
				}
				else
				{
					DBG_MSG("Decompress with lzma ok!\n");
				}
			}
		}
	}

	if (check_image()) {
		// invalid image
		return RTK_PLAT_ERR_READ_FW_IMG;
	}

	/* set boot_av_info_ptr */
	if (boot_av->dwMagicNumber == SWAPEND32(BOOT_AV_INFO_MAGICNO))
	{
		boot_av->bHDMImode = sys_logo_is_HDMI;

		// enable audio sound
		if (boot_av->dwAudioStreamLength != 0)
		{
			;
		}

		*boot_av_info_ptr = SWAPEND32((uint) boot_av);

		#ifdef DUBUG_BOOT_AV_INFO
		dump_boot_av_info(boot_av);
		#endif
	}

	/* Flush caches */
	flush_dcache_all();

#endif /* CONFIG_SYS_RTK_EMMC_FLASH */

	return RTK_PLAT_ERR_OK;
}

/*
 * Read firmware description table from eMMC
 */
int rtk_plat_read_fw_desc_table_from_eMMC(void)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	fw_desc_table_v1_t fw_desc_table_v1;
	uint fw_desc_table_base;
	uint fw_desc_table_size = FW_DESC_TABLE_SIZE;
	uint fw_desc_table_blk;	// block no of firmware description table
	uint checksum;
#if USE_SVFL_FW_DESC_TABLE
	fw_desc_table_svfl_t fw_desc_table_svfl;
	u8 fw_RSA_sign[256];
	int ret = 0;
#endif

	eMMC_fw_desc_table_start = SYS_PARAM_FW_TABLE_START;

	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;

	/* Use which fw desc table depends on boot_part */
	if (boot_part == 1)
	{
		eMMC_fw_desc_table_start += 0x8000000; // ping-pong fw desc table is at 0x0a00_0000
	}

	/* Firmware Description Table is right behind bootcode blocks */
	fw_desc_table_blk = eMMC_fw_desc_table_start / EMMC_BLOCK_SIZE;

#if USE_SVFL_FW_DESC_TABLE
	printf("[S]Enable SVFL FW-table.....\n");

	/* copy Firmware Description Table Header from flash */
	if (!rtk_eMMC_read(fw_desc_table_blk, sizeof(fw_desc_table_svfl_t), (uint *)fw_desc_table_base))
	{
		printf("[ERR] %s:Read fw_desc_table_v1_t error! (0x%x, 0x%x, 0x%x)\n",
			__FUNCTION__, fw_desc_table_blk, sizeof(fw_desc_table_svfl_t), fw_desc_table_base);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else{
		memcpy(&fw_desc_table_svfl, (void*)fw_desc_table_base, sizeof(fw_desc_table_svfl_t));
		memcpy((void *)fw_RSA_sign,  (void *)((unsigned int)(&fw_desc_table_svfl) +  offsetof(fw_desc_table_svfl_t, RSA_sign)), RSA_SIGNATURE_LENGTH);
	}

	reverse_signature((unsigned char *)fw_RSA_sign);
	//RSA check
	ret = Verify_SHA256_hash( (unsigned char *)(&fw_desc_table_svfl),
							 sizeof(fw_desc_table_svfl_t) - RSA_SIGNATURE_LENGTH,
							  (unsigned char *)fw_RSA_sign,
							  1 );
	if( ret < 0 ) {
		printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else{
		memcpy(&fw_desc_table_v1, (void*)(&fw_desc_table_svfl), sizeof(fw_desc_table_v1_t));
	}
#else

	/* copy Firmware Description Table Header from flash */
	if (!rtk_eMMC_read(fw_desc_table_blk, sizeof(fw_desc_table_v1_t), (uint *)fw_desc_table_base))
	{
		printf("[ERR] %s:Read fw_desc_table_v1_t error! (0x%x, 0x%x, 0x%x)\n",
			__FUNCTION__, fw_desc_table_blk, sizeof(fw_desc_table_v1_t), fw_desc_table_base);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));
	}
#endif

	/* Check signature first! */
	if (strncmp((const char *)fw_desc_table_v1.signature,
			FIRMWARE_DESCRIPTION_TABLE_SIGNATURE,
			sizeof(fw_desc_table_v1.signature)) != 0)
	{
		printf("[ERR] %s:Signature(%s) error!\n", __FUNCTION__, fw_desc_table_v1.signature);
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

#ifdef DUBUG_FW_DESC_TABLE
	dump_fw_desc_table_v1(&fw_desc_table_v1);
#endif

#if USE_SVFL_FW_DESC_TABLE
	/* Check checksum */
	checksum = get_checksum((uchar*)fw_desc_table_base +offsetof(fw_desc_table_v1_t, version),	\
				sizeof(fw_desc_table_v1_t) -offsetof(fw_desc_table_v1_t, version));
	checksum +=get_checksum((uchar*)fw_desc_table_base + sizeof(fw_desc_table_v1_t), fw_desc_table_v1.part_list_len);
	checksum +=get_checksum((uchar*)fw_desc_table_base + sizeof(fw_desc_table_v1_t) + PART_MAX_NUM*sizeof(part_desc_entry_v1_t), \
				fw_desc_table_v1.fw_list_len);
#else
	/* copy Firmware Description/Partition/Fw_entry Tables from flash */
	if (fw_desc_table_v1.paddings < fw_desc_table_size)
		fw_desc_table_size = fw_desc_table_v1.paddings;
	if (!rtk_eMMC_read(fw_desc_table_blk, fw_desc_table_size, (uint *)fw_desc_table_base))
	{
		printf("[ERR] %s:Read all fw tables error! (0x%x, 0x%x, 0x%x)\n",
			__FUNCTION__, fw_desc_table_blk, fw_desc_table_size, fw_desc_table_base);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* Check checksum */
	checksum = get_checksum((uchar*)fw_desc_table_base +
			offsetof(fw_desc_table_v1_t, version),
			sizeof(fw_desc_table_v1_t) -
			offsetof(fw_desc_table_v1_t, version) +
			fw_desc_table_v1.part_list_len +
			fw_desc_table_v1.fw_list_len);
#endif

	if (fw_desc_table_v1.checksum != checksum)
	{
		printf("[ERR] %s:Checksum not match(0x%x != 0x%x)\n", __FUNCTION__,
			fw_desc_table_v1.checksum, checksum);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	b_fw_desc_table_vaild = 1; /* set 1: fw desc table in ram is valid */
#endif
	return RTK_PLAT_ERR_OK;

}

/*
 * Read firmware description table from NAND
 */
int rtk_plat_read_fw_desc_table_from_NAND(void)
{
#ifdef CONFIG_SYS_RTK_NAND_FLASH
	int dev = nand_curr_device;
	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
//	struct nand_chip *this = (struct nand_chip *) nand->priv;
	unsigned long int from;
#ifdef CONFIG_SAFE_UPGRADE
	unsigned long int to;
#endif
	unsigned int retlen;

	fw_desc_table_v1_t fw_desc_table_v1;
	uint fw_desc_table_base;
	//uint fw_desc_table_blk;	// block no of firmware description table
	uint checksum;
	char ssu_retry = 0;

#ifdef CONFIG_SAFE_UPGRADE
	printf("SSU on.\n");
return_ssu_boot_flow:
#else
	printf("SSU off.\n");
#endif

	if (ssu_retry == 0) {
		NAND_fw_desc_table_start = NAND_fw_desc_table_saddr;
	      printf("read main fwtab @ 0x%x\n", NAND_fw_desc_table_start);
	} else {
		NAND_fw_desc_table_start = NAND_fw_desc_table_saddr+nand->erasesize ;
	      printf("read backup fwtab @ 0x%x\n", NAND_fw_desc_table_start);
	}

	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;

	/* Use which fw desc table depends on boot_part */
#if 0
	if (boot_part == 1)
	{
		eMMC_fw_desc_table_start += 0x8000000; // ping-pong fw desc table is at 0x0a00_0000
	}

	/* Firmware Description Table is right behind bootcode blocks */
	fw_desc_table_blk = eMMC_fw_desc_table_start / EMMC_BLOCK_SIZE;

	/* copy Firmware Description Table Header from flash */
	if (!rtk_eMMC_read(fw_desc_table_blk, sizeof(fw_desc_table_v1_t), (uint *)fw_desc_table_base))
	{
		printf("[ERR] %s:Read fw_desc_table_v1_t error! (0x%x, 0x%x, 0x%x)\n",
			__FUNCTION__, fw_desc_table_blk, sizeof(fw_desc_table_v1_t), fw_desc_table_base);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));
	}
#else
	from = NAND_fw_desc_table_start; 	//must define NAND_fw_desc_table_start
	/* copy Firmware Description Table Header from flash */
	nand->read(nand, from, sizeof(fw_desc_table_v1_t), &retlen, (u_char *)fw_desc_table_base);
	if (retlen != sizeof(fw_desc_table_v1_t))
	{
		/* Read error */
		printf("[ERR] %s:Read fw_desc_table_v1_t error!!\n", __FUNCTION__);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else
	{
		/* Read success */
		printf("Read fw_desc_table_v1_t ok!!\n");
		memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));
	}
#endif
	/* Check signature first! */
	if (strncmp((const char *)fw_desc_table_v1.signature,
			FIRMWARE_DESCRIPTION_TABLE_SIGNATURE,
			sizeof(fw_desc_table_v1.signature)) != 0)
	{
		printf("[ERR] %s:Signature(%s) error!\n", __FUNCTION__, fw_desc_table_v1.signature);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

#ifdef DUBUG_FW_DESC_TABLE
	dump_fw_desc_table_v1(&fw_desc_table_v1);
#endif

	/* copy Firmware Description/Partition/Fw_entry Tables from flash */
#if 0
	if (!rtk_eMMC_read(fw_desc_table_blk, fw_desc_table_v1.paddings, (uint *)fw_desc_table_base))
	{
		printf("[ERR] %s:Read all fw tables error! (0x%x, 0x%x, 0x%x)\n",
			__FUNCTION__, fw_desc_table_blk, fw_desc_table_v1.paddings, fw_desc_table_base);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
#else
	/* copy Firmware Description/Partition/Fw_entry Tables from flash */
	from = NAND_fw_desc_table_start;
	nand->read(nand, from, fw_desc_table_v1.paddings, &retlen, (u_char *)fw_desc_table_base);
	if (retlen != fw_desc_table_v1.paddings)
	{
		/* Read error */
		printf("[ERR] %s:Read all fw tables error!!\n", __FUNCTION__);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else
	{
		/* Read success */
		printf("Read all fw tables ok!!\n");
	}
#endif
	/* Check checksum */
	checksum = get_checksum((uchar*)fw_desc_table_base +
			offsetof(fw_desc_table_v1_t, version),
			sizeof(fw_desc_table_v1_t) -
			offsetof(fw_desc_table_v1_t, version) +
			fw_desc_table_v1.part_list_len +
			fw_desc_table_v1.fw_list_len);

	if (fw_desc_table_v1.checksum != checksum)
	{
		printf("[ERR] %s:Checksum not match(0x%x != 0x%x)\n", __FUNCTION__,
			fw_desc_table_v1.checksum, checksum);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	b_fw_desc_table_vaild = 1; /* set 1: fw desc table in ram is valid */

#ifdef CONFIG_SAFE_UPGRADE
	if (ssu_retry == 1) {
		// write backupfwdesc to main fwdesc
		struct erase_info *instr;
		u_char* p_data;
		uint n;
		instr = (struct erase_info *)malloc(sizeof(struct erase_info));
		if(instr == NULL){

			printf("[ERR] %s: allocate erase_info failed!!!\n", __FUNCTION__);
			return RTK_PLAT_ERR_PARSE_FW_DESC;

		}
		memset(instr, 0x00, sizeof(struct erase_info));
		instr->mtd = nand;
		instr->addr = NAND_fw_desc_table_saddr;
		instr->len = nand->erasesize ;
		int erase_ret = nand->erase(nand, instr);

		if (erase_ret != 0) {
			printf("\n[ERR] %s: MTD Erase failure: %d\n",__FUNCTION__,erase_ret);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}else{
			free(instr);
		}
		to = NAND_fw_desc_table_saddr;
		uint data_len = fw_desc_table_v1.paddings;

		uint page_align_size =  nand->oobblock*( ( data_len + nand->oobblock -1) / nand->oobblock);

		p_data = (u_char*)malloc( page_align_size);
		if (p_data == NULL) {
			printf("[ERR] %s: allocate fwdesc merged buffer failed!!!\n", __FUNCTION__);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}
		memset(p_data, 0xff, page_align_size);
		//memcpy(p_data, &fw_desc_table_v1, sizeof(fw_desc_table_v1_t));
		memcpy(p_data, (void*)fw_desc_table_base , fw_desc_table_v1.paddings);
		n = nand->write(nand, to, page_align_size, &retlen, (u_char *)p_data);
		if(retlen == data_len){
			/* Write success */
			//printf("\n[%s][%d]retlen = %d, total_len=%d ", __FUNCTION__,__LINE__,retlen,total_len);
			printf("\n Save to main fwdesc OK\n");

		}else{
			/* Write error */
			//printf("\n[%s][%d]retlen = %llu, total_len=%d ", __FUNCTION__,__LINE__,retlen,total_len);
			printf("\n [ERR] Save to main fwdesc FAILED, retlen = %llu, total_len=%d \n", retlen, data_len);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}

	}
ssu_read_backup_fwtab:
	if (ssu_retry == 0 && b_fw_desc_table_vaild == 0) {
		ssu_retry = 1;
		goto return_ssu_boot_flow;
	}

#endif
#endif
	return RTK_PLAT_ERR_OK;

}

int rtk_plat_read_fw_desc_table_from_SPI_NAND(void)
{
#ifdef CONFIG_SYS_RTK_SPI_NAND
	int dev = spi_nand_curr_device;
	spi_nand_info_t *spi_nand =&spi_nand_info[dev];
	unsigned long int from;
#ifdef CONFIG_SAFE_UPGRADE
	unsigned long int to;
#endif
	unsigned int retlen;

	fw_desc_table_v1_t fw_desc_table_v1;
	uint fw_desc_table_base = 0,checksum =0;
	char ssu_retry = 0;

#ifdef CONFIG_SAFE_UPGRADE
	printf("SSU on.\n");
return_ssu_boot_flow:
#else
	printf("SSU off.\n");
#endif

	if (ssu_retry == 0) {
		SPI_NAND_fw_desc_table_start = SPI_NAND_fw_desc_table_saddr;
		  printf("read main fwtab @ 0x%x\n", SPI_NAND_fw_desc_table_start);
	} else {
		SPI_NAND_fw_desc_table_start = SPI_NAND_fw_desc_table_saddr+spi_nand->erasesize ;
		  printf("read backup fwtab @ 0x%x\n", SPI_NAND_fw_desc_table_start);
	}

	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;

	/* Use which fw desc table depends on boot_part */
	from = SPI_NAND_fw_desc_table_start;	//must define NAND_fw_desc_table_start
	/* copy Firmware Description Table Header from flash */

	spi_nand->read(spi_nand, from, sizeof(fw_desc_table_v1_t), &retlen, (u_char *)fw_desc_table_base);
	if (retlen != sizeof(fw_desc_table_v1_t))
	{
		/* Read error */
		printf("[ERR] %s:Read fw_desc_table_v1_t error!!\n", __FUNCTION__);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else
	{
		/* Read success */
		printf("Read fw_desc_table_v1_t ok!!\n");
		memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));
	}

	/* Check signature first! */
	if (strncmp((const char *)fw_desc_table_v1.signature,
			FIRMWARE_DESCRIPTION_TABLE_SIGNATURE,
			sizeof(fw_desc_table_v1.signature)) != 0)
	{
		printf("[ERR] %s:Signature(%s) error!\n", __FUNCTION__, fw_desc_table_v1.signature);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

#ifdef DUBUG_FW_DESC_TABLE
	dump_fw_desc_table_v1(&fw_desc_table_v1);
#endif

	/* copy Firmware Description/Partition/Fw_entry Tables from flash */
	from = SPI_NAND_fw_desc_table_start;
	spi_nand->read(spi_nand, from, fw_desc_table_v1.paddings, &retlen, (u_char *)fw_desc_table_base);
	if (retlen != fw_desc_table_v1.paddings)
	{
		/* Read error */
		printf("[ERR] %s:Read all fw tables error!!\n", __FUNCTION__);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}else
	{
		/* Read success */
		printf("Read all fw tables ok!!\n");
	}

	/* Check checksum */
	checksum = get_checksum((uchar*)fw_desc_table_base +
			offsetof(fw_desc_table_v1_t, version),
			sizeof(fw_desc_table_v1_t) -
			offsetof(fw_desc_table_v1_t, version) +
			fw_desc_table_v1.part_list_len +
			fw_desc_table_v1.fw_list_len);

	if (fw_desc_table_v1.checksum != checksum)
	{
		printf("[ERR] %s:Checksum not match(0x%x != 0x%x)\n", __FUNCTION__,
			fw_desc_table_v1.checksum, checksum);
#ifdef CONFIG_SAFE_UPGRADE
		if (ssu_retry == 0)
			goto ssu_read_backup_fwtab;
#endif

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	b_fw_desc_table_vaild = 1; /* set 1: fw desc table in ram is valid */

#ifdef CONFIG_SAFE_UPGRADE
	if (ssu_retry == 1) {
		// write backupfwdesc to main fwdesc
		struct erase_info *instr;
		u_char* p_data;
		uint n;
		instr = (struct erase_info *)malloc(sizeof(struct erase_info));
		if(instr == NULL){

			printf("[ERR] %s: allocate erase_info failed!!!\n", __FUNCTION__);
			return RTK_PLAT_ERR_PARSE_FW_DESC;

		}
		memset(instr, 0x00, sizeof(struct erase_info));
		instr->mtd = spi_nand;
		instr->addr = SPI_NAND_fw_desc_table_saddr;
		instr->len = spi_nand->erasesize ;
		int erase_ret = spi_nand->erase(spi_nand, instr);

		if (erase_ret != 0) {
			printf("\n[ERR] %s: MTD Erase failure: %d\n",__FUNCTION__,erase_ret);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}else{
			free(instr);
		}
		to = SPI_NAND_fw_desc_table_saddr;
		uint data_len = fw_desc_table_v1.paddings;

		uint page_align_size =	spi_nand->oobblock*( ( data_len + spi_nand->oobblock -1) / spi_nand->oobblock);

		p_data = (u_char*)malloc( page_align_size);
		if (p_data == NULL) {
			printf("[ERR] %s: allocate fwdesc merged buffer failed!!!\n", __FUNCTION__);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}
		memset(p_data, 0xff, page_align_size);
		//memcpy(p_data, &fw_desc_table_v1, sizeof(fw_desc_table_v1_t));
		memcpy(p_data, (void*)fw_desc_table_base , fw_desc_table_v1.paddings);
		n = spi_nand->write(spi_nand, to, page_align_size, &retlen, (u_char *)p_data);
		if(retlen == data_len){
			/* Write success */
			//printf("\n[%s][%d]retlen = %d, total_len=%d ", __FUNCTION__,__LINE__,retlen,total_len);
			printf("\n Save to main fwdesc OK\n");

		}else{
			/* Write error */
			//printf("\n[%s][%d]retlen = %llu, total_len=%d ", __FUNCTION__,__LINE__,retlen,total_len);
			printf("\n [ERR] Save to main fwdesc FAILED, retlen = %llu, total_len=%d \n", retlen, data_len);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
		}

	}
ssu_read_backup_fwtab:
	if (ssu_retry == 0 && b_fw_desc_table_vaild == 0) {
		ssu_retry = 1;
		goto return_ssu_boot_flow;
	}

#endif
#endif
	return RTK_PLAT_ERR_OK;

}

int rtk_plat_read_fw_desc_table_from_SPI(void)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
	fw_desc_table_v1_t fw_desc_table_v1;
	uint fw_desc_table_base;
	uint checksum;

	SPI_fw_desc_table_start = SPI_bootcode_area_size + CONFIG_FACTORY_SIZE;
	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;

	/* Use which fw desc table depends on boot_part */
	if (boot_part == 1)
	{
		/* Second fw desc table offset */
		#define SYS_PARAM_2ND_FW_DESC_TABLE_OFFSET	0x8000000	// ping-pong fw desc table is at 0x0a00_0000
		SPI_fw_desc_table_start += SYS_PARAM_2ND_FW_DESC_TABLE_OFFSET; // ping-pong fw desc table is at 0x0a00_0000
		DBG_MSG("2nd boot_part:%u!\n", boot_part);
	}

	/* copy Firmware Description Table Header from flash */
	if((rtk_spi_nor_read(SPI_fw_desc_table_start, sizeof(fw_desc_table_v1_t),  (unsigned char *)fw_desc_table_base)) == -1)
	{
		DBG_ERR("Read fw_desc_table_v1_t error! (0x%x, 0x%x, 0x%x)\n", SPI_fw_desc_table_start, sizeof(fw_desc_table_v1_t), fw_desc_table_base);
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));

		DBG_MSG("Read from SPI:0x%x, Len:0x%x!\n", SPI_fw_desc_table_start, sizeof(fw_desc_table_v1_t));
		DBG_MSG("Signature:%s(%s), Reserved:%s!\n", fw_desc_table_v1.signature, FIRMWARE_DESCRIPTION_TABLE_SIGNATURE, fw_desc_table_v1.reserved);
		DBG_MSG("Checksum:0x%x, Ver:0x%x!\n", fw_desc_table_v1.checksum, fw_desc_table_v1.version);
		DBG_MSG("part_list_len:0x%x, fw_list_len:0x%x!\n", fw_desc_table_v1.part_list_len, fw_desc_table_v1.fw_list_len);
		DBG_MSG("paddings:0x%x!\n", fw_desc_table_v1.paddings);
	}

	/* Check signature first! */
	if (strncmp((const char *)fw_desc_table_v1.signature,
			FIRMWARE_DESCRIPTION_TABLE_SIGNATURE,
			sizeof(fw_desc_table_v1.signature)) != 0)
	{
		DBG_ERR("Signature:%s (Should be %s)!\n", fw_desc_table_v1.signature, FIRMWARE_DESCRIPTION_TABLE_SIGNATURE);
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

#ifdef DUBUG_FW_DESC_TABLE
	dump_fw_desc_table_v1(&fw_desc_table_v1);
#endif

	/* copy Firmware Description/Partition/Fw_entry Tables from flash */
	if((rtk_spi_nor_read(SPI_fw_desc_table_start, fw_desc_table_v1.paddings,  (unsigned char *)fw_desc_table_base)) == -1)
	{
		DBG_ERR("Read all fw tables error! (0x%x, 0x%x, 0x%x)\n", SPI_fw_desc_table_start, fw_desc_table_v1.paddings, fw_desc_table_base);
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* Check checksum */
	checksum = get_checksum((uchar*)fw_desc_table_base +
			offsetof(fw_desc_table_v1_t, version),
			sizeof(fw_desc_table_v1_t) -
			offsetof(fw_desc_table_v1_t, version) +
			fw_desc_table_v1.part_list_len +
			fw_desc_table_v1.fw_list_len);

	if (fw_desc_table_v1.checksum != checksum)
	{
		DBG_ERR("Checksum not match(0x%x != 0x%x)\n", fw_desc_table_v1.checksum, checksum);
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	b_fw_desc_table_vaild = 1; /* set 1: fw desc table in ram is valid */
#endif
	return RTK_PLAT_ERR_OK;

}
/*
 * Parse firmware description table and read all data from usb to ram except kernel image.
 */
int rtk_plat_prepare_fw_image_from_USB(void)
{
	int ret = RTK_PLAT_ERR_OK;

#ifdef CONFIG_BOOT_FROM_USB
	if (boot_from_usb == BOOT_FROM_USB_UNCOMPRESSED) {
		ret = rtk_plat_read_fw_image_from_USB(0);
	}
	else if (boot_from_usb == BOOT_FROM_USB_COMPRESSED) {
		ret = rtk_plat_read_fw_image_from_USB(1);
	}
	else {
		printf("[WARN] boot_from_usb is %d\n", boot_from_usb);
		ret = RTK_PLAT_ERR_BOOT;
	}
#else
	printf("[WARN] CONFIG_BOOT_FROM_USB is not defined\n");
	ret = RTK_PLAT_ERR_BOOT;
#endif

	return ret;
}

#if IS_ENABLE_STD
#define IoReg_Write32(x, y)	rtd_outl((x), (y))

#define LSADC_PAD0_VADDR		(0xb8061500)
#define LSADC_CTRL_VADDR		(0xb8061520)
#define PERI_ANALOG_CTRL_VADDR	(0xb8061528)

#define PERI_ANALOG_ENABLE		(0x00010101)
#define LSADC_CTRL_SETTING_DISABLE	(0x16100000)
#define LSADC_CTRL_SETTING_ENABLE	(0x16100001)
#define LSADC_PAD_SETTING		(0x80000000)			//voltage-mode and enable

/* re-init to recovery keypad's register values after suspense */
void re_lsadcInit
(void)
{
	int	i,
		tmp;

	// LSADC Control register
	IoReg_Write32(PERI_ANALOG_CTRL_VADDR, PERI_ANALOG_ENABLE);		//enable analog
	IoReg_Write32(LSADC_CTRL_VADDR, LSADC_CTRL_SETTING_DISABLE);	//disable digital

	for(i=0; i<8; i++) {
		tmp=LSADC_PAD_SETTING | (i<<12);							//pad0_sw
		IoReg_Write32(LSADC_PAD0_VADDR+i*4, tmp);
	}
	IoReg_Write32(LSADC_CTRL_VADDR, LSADC_CTRL_SETTING_ENABLE);		//enable digital

	//power consumption
	//IoReg_Mask32(0xb8060208, 0xFFFFFF00,0x000000CC);				//PINMUX_PMM_CFG_2_VADDR
	//IoReg_Mask32(0xb8060210, 0x0FFFFFFF,0x000000CC);

	return;
}
#endif

/*
 * Parse firmware description table and read all data from eMMC to ram except kernel image.
 */
int rtk_plat_prepare_fw_image_from_eMMC(void)
{
	int ret = RTK_PLAT_ERR_OK;
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	fw_desc_table_v1_t fw_desc_table_v1;
	part_desc_entry_v1_t *part_entry;
	fw_desc_entry_v1_t *fw_entry, *fw_entry_v1;
	fw_desc_entry_v11_t *fw_entry_v11;
	fw_desc_entry_v21_t *fw_entry_v21;
	uint part_count = 0;
	uint fw_total_len;
	uint fw_total_paddings;
	uint fw_entry_num = 0;
	uint fw_desc_table_base;
	int i;


   //Identify if enter STR or not
    if(rtd_inl(REG_CRT_SUSPEND_reg) == KERNEL_RSV_MEM_MAGICNO)
    {
			if(rtd_inl(REG_STR_JUMP_ADDR_reg)!=0)
			{
				g_goAddr = rtd_inl(REG_STR_JUMP_ADDR_reg);
				g_isSTR = 1;
				printf("Ready to enter STR mode.\n");
			}
			else
				g_isSTR = 0;
    }
	else
	 	g_isSTR = 0;



	/* Read fw desc table from eMMC */
	ret = rtk_plat_read_fw_desc_table_from_eMMC();

	if (ret != RTK_PLAT_ERR_OK) {
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* must after rtk_plat_read_fw_desc_table_from_eMMC() */
	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;
	memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

	/* Check partition existence */
	if (fw_desc_table_v1.part_list_len == 0)
	{
		printf("[ERR] %s:No partition found!\n", __FUNCTION__);
		//return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		part_count = fw_desc_table_v1.part_list_len / sizeof(part_desc_entry_v1_t);
	}

#if USE_SVFL_FW_DESC_TABLE
	fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v21_t);
	printf("\t FW Table to 0x%08x, size=0x%08x (0x%08x)\n",
				fw_desc_table_base, sizeof(fw_desc_table_svfl_t), fw_desc_table_base + sizeof(fw_desc_table_svfl_t));

	printf("\t FW Table fr 0x%08x, fw count: %d\n",
				eMMC_fw_desc_table_start,
				fw_entry_num);
	fw_entry = (fw_desc_entry_v1_t *)(fw_desc_table_base +
			sizeof(fw_desc_table_v1_t) +
			PART_MAX_NUM*sizeof(part_desc_entry_v1_t));
#else
	fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

	printf("\t FW Table to 0x%08x, size=0x%08x (0x%08x)\n",
				fw_desc_table_base,
				fw_desc_table_v1.paddings,
				fw_desc_table_base + fw_desc_table_v1.paddings);

	printf("\t FW Table fr 0x%08x, fw count: %d\n",
				eMMC_fw_desc_table_start,
				fw_entry_num);

	fw_entry = (fw_desc_entry_v1_t *)(fw_desc_table_base +
			sizeof(fw_desc_table_v1_t) +
			fw_desc_table_v1.part_list_len);
#endif
	part_entry = (part_desc_entry_v1_t *)(fw_desc_table_base + sizeof(fw_desc_table_v1_t));

	for (i = 0; i < part_count; i++)
	{
		part_entry[i].length = BE32_TO_CPU(part_entry[i].length);

#ifdef DUBUG_FW_DESC_TABLE
		dump_part_desc_entry_v1(&(part_entry[i]));
#endif
	}

	/* Check partition type */
	/*  It so weired that we use part_entry for checking fw count? So we mark it
	if (part_entry[0].type != PART_TYPE_FW)
	{
		printf("[ERR] %s:No firmware partition found!\n", __FUNCTION__);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	*/
	fw_total_len = 0;
	fw_total_paddings = 0;

	/* Parse firmware entries and compute fw_total_len */
	switch (fw_desc_table_v1.version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

			for (i = 0; i < fw_entry_num; i++)
			{
				fw_entry[i].version = BE32_TO_CPU(fw_entry[i].version);
				fw_entry[i].target_addr = BE32_TO_CPU(fw_entry[i].target_addr);
				fw_entry[i].offset = BE32_TO_CPU(fw_entry[i].offset) - eMMC_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry[i].length = BE32_TO_CPU(fw_entry[i].length);
				fw_entry[i].paddings = BE32_TO_CPU(fw_entry[i].paddings);
				fw_entry[i].checksum = BE32_TO_CPU(fw_entry[i].checksum);

//				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x)\n",
//					i, fw_entry[i].offset, fw_entry[i].length, fw_entry[i].paddings);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry[i].length;
				fw_total_paddings += fw_entry[i].paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			fw_entry_v11 = (fw_desc_entry_v11_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v11_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v11[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - eMMC_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v11[i].act_size, fw_entry_v11[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			fw_entry_v21 = (fw_desc_entry_v21_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v21_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v21[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - eMMC_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v21[i].act_size, fw_entry_v21[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		default:
			printf("[ERR] %s:unknown version:%d\n", __FUNCTION__, fw_desc_table_v1.version);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

// STD is not well-tested in 298x
#if 0	//IS_ENABLE_STD

	unsigned int blkNO ;
	unsigned int idBlkNo;
	int memshift=0;
	char		*raw = NULL;
	char tmp[32],msg[128];
	printf("part_entry[0].len 0x%x\n",BE32_TO_CPU(part_entry[0].length));
	printf("fw_desc_table_v1.paddings 0x%x\n",fw_desc_table_v1.paddings);
	printf("fw_total_paddings 0x%x\n",fw_total_paddings);
	printf("eMMC_bootcode_area_size0x%x\n",eMMC_bootcode_area_size);
	printf("EMMC_FACTORY_SIZE 0x%x\n",EMMC_FACTORY_SIZE);
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-eMMC_bootcode_area_size-EMMC_FACTORY_SIZE;
	g_u32STDoffset = eMMC_bootcode_area_size+EMMC_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	printf("g_u32STDsize 0x%x, g_u32STDoffset 0x%x\n",g_u32STDsize,g_u32STDoffset);

	/* system_parameters_3 pass parameter start address to kernel */
	if (!(raw = getenv("system_parameters_3")))
		raw = "";	   /* Create new */
	sprintf( msg, "%s STD_size=%x STD_offset=%x",
				raw,
				g_u32STDsize,
				g_u32STDoffset
				);

	if (setenv("system_parameters_3", msg))
		;
	//sprintf (tmp, "0x%x", g_u32STDoffset);
	//setenv( "STD_OFFSET", tmp);
	//sprintf (tmp, "0x%x", g_u32STDsize);
	//setenv( "STD_SIZE", tmp);
//return NULL;
#if 0
	//Identify STD flag
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-nand_bootcode_area_size-NAND_FACTORY_SIZE;
	g_u32STDoffset = nand_bootcode_area_size+NAND_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	/* system_parameters_3 pass parameter start address to kernel */
	if( !env_get( "system_parameters_3", &raw, NULL, 0 ))
		raw = "";	 /* Create new */
		sprintf( msg, "%s STD_size=%x STD_offset=%x",
			raw,
			g_u32STDsize,
			g_u32STDoffset
			);
	ret = env_set( "system_parameters_3", msg, ENV_ATTR_RW, NULL, NULL );
	 if(ret!=OK)
	 {
		printf("Set_env system_parameters_3 Error  %d\n",ret);
		//return BOOTCODE_CONTINUE;
	 }

	blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
	idBlkNo = blkNO;
	//t_FLASH_ctrl_descriptor flash_ctrl;
	printf("STD ID block NO: 0x%x\n",idBlkNo);

	if(g_u32STDsize<=0)
	{
		printf("Warning!!! STD size is not enough!!!(size = 0x%x)\n",g_u32STDsize);
		printf("Enter normal boot!!\n");
		goto normalboot;
	}
#else
g_u32STDsize = 0x80000000;
g_u32STDoffset =0x4000000;
blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
printf("blkNO 0x%x, 0x%x, 0x%x, 0x%x\n",blkNO,g_u32STDoffset,bytes_per_page , pages_per_block);
#endif
	memshift = 8-(UINT32)&headerBuf%8;
	ptrHeadBuf = &headerBuf[memshift];
	moveToRam(&blkNO,4096,ptrHeadBuf,0);
	if(checkHeader(ptrHeadBuf)!=0)
	{
	#if 1
			goto normalboot;
	#else
		if(IO_read(SYS_MAJOR_FLASH, 0, &flash_read) != OK) {
			printf("%s:%d read fw_desc_table_v1 fail!!\n", __FUNCTION__, __LINE__);
		goto go_rescue;
		}
	#endif

	}

	printf("STD image size : 0x%x\n",g_imgLen);
	printf("STD space size : 0x%x\n",g_u32STDsize);
	if(g_imgLen>g_u32STDsize)
	{
		printf("[Warning]STD image is out of space.\n");
		goto normalboot;
	}



	if(mainSTD()==BOOTCODE_STD_WORK)
		{
			STDinitProc();
			GoFuncPtr=(UINT32*)g_goAddr;
#if 0
		printf("Don't erase ID block!!\n");
#else

#if IS_ENABLE_STD
			/* Re-init Keypad */
			re_lsadcInit();
#endif

			if(g_u32Stdflag<=3)
			{
				#if IS_ERASE_ID_BLK
				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);
				#endif
			}
#endif
#ifndef Board_WATCHDOG_NULL
			//printf("[STD INFO]Disable watchdog ... \n");
			//WATCHDOG_disable();
#endif

#if 0//ALFIE_TEST
		g_u32StdAnimation = 0;
#endif
			if(!g_u32StdAnimation)
			{
				processImg_STDAnimation(ptrHeadBuf);
				cleanup_before_linux();
				printf("[AT]Ready to go STD kernel address!!!\n");
				(*GoFuncPtr)();
				return NULL;
			}
		}
	else
	{
		if(g_u32Stdflag<=3)
			{

				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);

			}

		//printf("STD fail..watchdog reset...\n");
	//execute_line("reset",TRUE);

	//REG32(0Xb801bb04)=1;		// clear watchdog
	//REG32(0Xb801bb0c)=0x800000; // set overflow count
	//REG32(0Xb801bb00)=0;		// enable watchdog

	}

normalboot:

#endif	//IS_ENABLE_STD

	if(g_u32StdAnimation||g_isSTR)
	{
#if 0// def IS_ENABLE_STR
		printf("STR fw follow...\n");
		ret = rtk_plat_read_fw_image_from_eMMC_STR(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif

#ifdef IS_ENABLE_STD
		printf("STD fw follow...\n");
		ret = rtk_plat_read_fw_image_from_eMMC_STD(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif
	}
	else
	{
		printf("Normal boot fw follow...\n");
	ret = rtk_plat_read_fw_image_from_eMMC(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version);
	}
#endif

	return ret;
}

/*
 * Parse firmware description table and read all data from NAND to ram except kernel image.
 */
int rtk_plat_prepare_fw_image_from_NAND(void)
{
	int ret = RTK_PLAT_ERR_OK;
#ifdef CONFIG_SYS_RTK_NAND_FLASH
//	int dev = nand_curr_device;
//	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
//	struct nand_chip *this = (struct nand_chip *) nand->priv;
//	unsigned long int from;
//	unsigned int retlen;

	fw_desc_table_v1_t fw_desc_table_v1;
	part_desc_entry_v1_t *part_entry;
	fw_desc_entry_v1_t *fw_entry, *fw_entry_v1;
	fw_desc_entry_v11_t *fw_entry_v11;
	fw_desc_entry_v21_t *fw_entry_v21;
	uint part_count = 0;
	uint fw_total_len;
	uint fw_total_paddings;
	uint fw_entry_num = 0;
	uint fw_desc_table_base;
	int i;

	//Identify if enter STR or not
	if(rtd_inl(REG_CRT_SUSPEND_reg) == KERNEL_RSV_MEM_MAGICNO)
	{
		if(rtd_inl(REG_STR_JUMP_ADDR_reg)!=0)
		{
			g_goAddr = rtd_inl(REG_STR_JUMP_ADDR_reg);
			g_isSTR = 1;
			printf("Ready to enter STR mode.\n");
		}
		else
			g_isSTR = 0;
	}
	else
		g_isSTR = 0;

	/* Read fw desc table from NAND */
	ret = rtk_plat_read_fw_desc_table_from_NAND();

	if (ret != RTK_PLAT_ERR_OK) {
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* must after rtk_plat_read_fw_desc_table_from_NAND() */
	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;
	memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

	/* Check partition existence */
	if (fw_desc_table_v1.part_list_len == 0)
	{
		printf("[ERR] %s:No partition found!\n", __FUNCTION__);
		//return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		part_count = fw_desc_table_v1.part_list_len / sizeof(part_desc_entry_v1_t);
	}

	fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

	printf("\t FW Table to 0x%08x, size=0x%08x (0x%08x)\n",
				fw_desc_table_base,
				fw_desc_table_v1.paddings,
				fw_desc_table_base + fw_desc_table_v1.paddings);

	printf("\t FW Table fr 0x%08x, fw count: %d\n",
				NAND_fw_desc_table_start,
				fw_entry_num);

	part_entry = (part_desc_entry_v1_t *)(fw_desc_table_base + sizeof(fw_desc_table_v1_t));
	fw_entry = (fw_desc_entry_v1_t *)(fw_desc_table_base +
			sizeof(fw_desc_table_v1_t) +
			fw_desc_table_v1.part_list_len);

	for (i = 0; i < part_count; i++)
	{
		part_entry[i].length = BE32_TO_CPU(part_entry[i].length);

#ifdef DUBUG_FW_DESC_TABLE
		dump_part_desc_entry_v1(&(part_entry[i]));
#endif
	}

	/* Check partition type */
	/*  It so weired that we use part_entry for checking fw count? So we mark it
	if (part_entry[0].type != PART_TYPE_FW)
	{
		printf("[ERR] %s:No firmware partition found!\n", __FUNCTION__);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	*/
	fw_total_len = 0;
	fw_total_paddings = 0;

	/* Parse firmware entries and compute fw_total_len */
	switch (fw_desc_table_v1.version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

			for (i = 0; i < fw_entry_num; i++)
			{
				fw_entry[i].version = BE32_TO_CPU(fw_entry[i].version);
				fw_entry[i].target_addr = BE32_TO_CPU(fw_entry[i].target_addr);
				fw_entry[i].offset = BE32_TO_CPU(fw_entry[i].offset) - NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry[i].length = BE32_TO_CPU(fw_entry[i].length);
				fw_entry[i].paddings = BE32_TO_CPU(fw_entry[i].paddings);
				fw_entry[i].checksum = BE32_TO_CPU(fw_entry[i].checksum);

//				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x)\n",
//					i, fw_entry[i].offset, fw_entry[i].length, fw_entry[i].paddings);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry[i].length;
				fw_total_paddings += fw_entry[i].paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			fw_entry_v11 = (fw_desc_entry_v11_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v11_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v11[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v11[i].act_size, fw_entry_v11[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			fw_entry_v21 = (fw_desc_entry_v21_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v21_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v21[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v21[i].act_size, fw_entry_v21[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		default:
			printf("[ERR] %s:unknown version:%d\n", __FUNCTION__, fw_desc_table_v1.version);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	// STD is not well-tested
#if  0  //IS_ENABLE_STD

	unsigned int blkNO ;
	unsigned int idBlkNo;
	int memshift=0;
	char		*raw = NULL;
	char tmp[32],msg[128];
	printf("part_entry[0].len 0x%x\n",BE32_TO_CPU(part_entry[0].length));
	printf("fw_desc_table_v1.paddings 0x%x\n",fw_desc_table_v1.paddings);
	printf("fw_total_paddings 0x%x\n",fw_total_paddings);
	printf("eMMC_bootcode_area_size0x%x\n",eMMC_bootcode_area_size);
	printf("EMMC_FACTORY_SIZE 0x%x\n",EMMC_FACTORY_SIZE);
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-eMMC_bootcode_area_size-EMMC_FACTORY_SIZE;
	g_u32STDoffset = eMMC_bootcode_area_size+EMMC_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	printf("g_u32STDsize 0x%x, g_u32STDoffset 0x%x\n",g_u32STDsize,g_u32STDoffset);

	/* system_parameters_3 pass parameter start address to kernel */
	if (!(raw = getenv("system_parameters_3")))
		raw = "";	   /* Create new */
	sprintf( msg, "%s STD_size=%x STD_offset=%x",
				raw,
				g_u32STDsize,
				g_u32STDoffset
				);

	if (setenv("system_parameters_3", msg))
		;
	//sprintf (tmp, "0x%x", g_u32STDoffset);
	//setenv( "STD_OFFSET", tmp);
	//sprintf (tmp, "0x%x", g_u32STDsize);
	//setenv( "STD_SIZE", tmp);
//return NULL;
#if 0
	//Identify STD flag
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-nand_bootcode_area_size-NAND_FACTORY_SIZE;
	g_u32STDoffset = nand_bootcode_area_size+NAND_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	/* system_parameters_3 pass parameter start address to kernel */
	if( !env_get( "system_parameters_3", &raw, NULL, 0 ))
		raw = "";	 /* Create new */
		sprintf( msg, "%s STD_size=%x STD_offset=%x",
			raw,
			g_u32STDsize,
			g_u32STDoffset
			);
	ret = env_set( "system_parameters_3", msg, ENV_ATTR_RW, NULL, NULL );
	 if(ret!=OK)
	 {
		printf("Set_env system_parameters_3 Error  %d\n",ret);
		//return BOOTCODE_CONTINUE;
	 }

	blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
	idBlkNo = blkNO;
	//t_FLASH_ctrl_descriptor flash_ctrl;
	printf("STD ID block NO: 0x%x\n",idBlkNo);

	if(g_u32STDsize<=0)
	{
		printf("Warning!!! STD size is not enough!!!(size = 0x%x)\n",g_u32STDsize);
		printf("Enter normal boot!!\n");
		goto normalboot;
	}
#else
g_u32STDsize = 0x80000000;
g_u32STDoffset =0x4000000;
blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
printf("blkNO 0x%x, 0x%x, 0x%x, 0x%x\n",blkNO,g_u32STDoffset,bytes_per_page , pages_per_block);
#endif
	memshift = 8-(UINT32)&headerBuf%8;
	ptrHeadBuf = &headerBuf[memshift];
	moveToRam(&blkNO,4096,ptrHeadBuf,0);
	if(checkHeader(ptrHeadBuf)!=0)
	{
	#if 1
			goto normalboot;
	#else
		if(IO_read(SYS_MAJOR_FLASH, 0, &flash_read) != OK) {
			printf("%s:%d read fw_desc_table_v1 fail!!\n", __FUNCTION__, __LINE__);
		goto go_rescue;
		}
	#endif

	}

	printf("STD image size : 0x%x\n",g_imgLen);
	printf("STD space size : 0x%x\n",g_u32STDsize);
	if(g_imgLen>g_u32STDsize)
	{
		printf("[Warning]STD image is out of space.\n");
		goto normalboot;
	}



	if(mainSTD()==BOOTCODE_STD_WORK)
		{
			STDinitProc();
			GoFuncPtr=(UINT32*)g_goAddr;
#if 0
		printf("Don't erase ID block!!\n");
#else

#if IS_ENABLE_STD
			/* Re-init Keypad */
			re_lsadcInit();
#endif

			if(g_u32Stdflag<=3)
			{
				#if IS_ERASE_ID_BLK
				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);
				#endif
			}
#endif
#ifndef Board_WATCHDOG_NULL
			//printf("[STD INFO]Disable watchdog ... \n");
			//WATCHDOG_disable();
#endif

#if 0//ALFIE_TEST
		g_u32StdAnimation = 0;
#endif
			if(!g_u32StdAnimation)
			{
				processImg_STDAnimation(ptrHeadBuf);
				cleanup_before_linux();
				printf("[AT]Ready to go STD kernel address!!!\n");
				(*GoFuncPtr)();
				return NULL;
			}
		}
	else
	{
		if(g_u32Stdflag<=3)
			{

				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);

			}

		//printf("STD fail..watchdog reset...\n");
	//execute_line("reset",TRUE);

	//REG32(0Xb801bb04)=1;		// clear watchdog
	//REG32(0Xb801bb0c)=0x800000; // set overflow count
	//REG32(0Xb801bb00)=0;		// enable watchdog

	}

normalboot:

#endif	//IS_ENABLE_STD

	if(g_u32StdAnimation||g_isSTR)
	{
#if 0// def IS_ENABLE_STR
		printf("STR fw follow...\n");
		ret = rtk_plat_read_fw_image_from_NAND_STR(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif

#ifdef IS_ENABLE_STD
		printf("STD fw follow...\n");
		ret = rtk_plat_read_fw_image_from_NAND_STD(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif
	}
	else
	{
		printf("Normal boot fw follow...\n");
		ret = rtk_plat_read_fw_image_from_NAND(
				fw_desc_table_base, part_entry, part_count,
				fw_entry, fw_entry_num,
				fw_desc_table_v1.version);
	}

#endif

	return ret;
}

int rtk_plat_prepare_fw_image_from_SPI_NAND(void)
{
	int ret = RTK_PLAT_ERR_OK;
#ifdef CONFIG_SYS_RTK_SPI_NAND
	fw_desc_table_v1_t fw_desc_table_v1;
	part_desc_entry_v1_t *part_entry;
	fw_desc_entry_v1_t *fw_entry, *fw_entry_v1;
	fw_desc_entry_v11_t *fw_entry_v11;
	fw_desc_entry_v21_t *fw_entry_v21;
	uint part_count = 0;
	uint fw_total_len;
	uint fw_total_paddings;
	uint fw_entry_num = 0;
	uint fw_desc_table_base;
	int i;

	//Identify if enter STR or not
	if(rtd_inl(REG_CRT_SUSPEND_reg) == KERNEL_RSV_MEM_MAGICNO)
	{
		if(rtd_inl(REG_STR_JUMP_ADDR_reg)!=0)
		{
			g_goAddr = rtd_inl(REG_STR_JUMP_ADDR_reg);
			g_isSTR = 1;
			printf("Ready to enter STR mode.\n");
		}
		else
			g_isSTR = 0;
	}
	else
		g_isSTR = 0;

	/* Read fw desc table from SPI NAND */
	ret = rtk_plat_read_fw_desc_table_from_SPI_NAND();

	if (ret != RTK_PLAT_ERR_OK) {
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* must after rtk_plat_read_fw_desc_table_from_SPI_NAND() */
	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;
	memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

	/* Check partition existence */
	if (fw_desc_table_v1.part_list_len == 0)
	{
		printf("[ERR] %s:No partition found!\n", __FUNCTION__);
		//return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		part_count = fw_desc_table_v1.part_list_len / sizeof(part_desc_entry_v1_t);
	}

	fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

	printf("\t FW Table to 0x%08x, size=0x%08x (0x%08x)\n",
				fw_desc_table_base,
				fw_desc_table_v1.paddings,
				fw_desc_table_base + fw_desc_table_v1.paddings);

	printf("\t FW Table fr 0x%08x, fw count: %d\n",
				SPI_NAND_fw_desc_table_start,
				fw_entry_num);

	part_entry = (part_desc_entry_v1_t *)(fw_desc_table_base + sizeof(fw_desc_table_v1_t));
	fw_entry = (fw_desc_entry_v1_t *)(fw_desc_table_base +
			sizeof(fw_desc_table_v1_t) +
			fw_desc_table_v1.part_list_len);

	for (i = 0; i < part_count; i++)
	{
		part_entry[i].length = BE32_TO_CPU(part_entry[i].length);

#ifdef DUBUG_FW_DESC_TABLE
		dump_part_desc_entry_v1(&(part_entry[i]));
#endif
	}

	fw_total_len = 0;
	fw_total_paddings = 0;

	/* Parse firmware entries and compute fw_total_len */
	switch (fw_desc_table_v1.version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

			for (i = 0; i < fw_entry_num; i++)
			{
				fw_entry[i].version = BE32_TO_CPU(fw_entry[i].version);
				fw_entry[i].target_addr = BE32_TO_CPU(fw_entry[i].target_addr);
				fw_entry[i].offset = BE32_TO_CPU(fw_entry[i].offset) - SPI_NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry[i].length = BE32_TO_CPU(fw_entry[i].length);
				fw_entry[i].paddings = BE32_TO_CPU(fw_entry[i].paddings);
				fw_entry[i].checksum = BE32_TO_CPU(fw_entry[i].checksum);

//				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x)\n",
//					i, fw_entry[i].offset, fw_entry[i].length, fw_entry[i].paddings);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry[i].length;
				fw_total_paddings += fw_entry[i].paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			fw_entry_v11 = (fw_desc_entry_v11_t*)fw_entry;
							  fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v11_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v11[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - SPI_NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v11[i].act_size, fw_entry_v11[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			fw_entry_v21 = (fw_desc_entry_v21_t*)fw_entry;
							  fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v21_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v21[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - SPI_NAND_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v21[i].act_size, fw_entry_v21[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		default:
			printf("[ERR] %s:unknown version:%d\n", __FUNCTION__, fw_desc_table_v1.version);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
	}


	if(g_u32StdAnimation||g_isSTR)
	{
#if 0// def IS_ENABLE_STR
		printf("STR fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_NAND_STR(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif

#ifdef IS_ENABLE_STD
		printf("STD fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_NAND_STD(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif
	}
	else
	{
		printf("Normal boot fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_NAND(
				fw_desc_table_base, part_entry, part_count,
				fw_entry, fw_entry_num,
				fw_desc_table_v1.version);
	}

#endif

	return ret;
}

/*
 * Parse firmware description table and read all data from SPI flash to ram except kernel image.
 */
int rtk_plat_prepare_fw_image_from_SPI(void)
{
	int ret = RTK_PLAT_ERR_OK;

#ifdef CONFIG_SYS_RTK_SPI_FLASH
	fw_desc_table_v1_t fw_desc_table_v1;
	part_desc_entry_v1_t *part_entry;
	fw_desc_entry_v1_t *fw_entry, *fw_entry_v1;
	fw_desc_entry_v11_t *fw_entry_v11;
	fw_desc_entry_v21_t *fw_entry_v21;
	uint part_count = 0;
	uint fw_total_len;
	uint fw_total_paddings;
	uint fw_entry_num = 0;
	uint fw_desc_table_base;
	int i;

	//Identify if enter STR or not
	if(rtd_inl(REG_CRT_SUSPEND_reg) == KERNEL_RSV_MEM_MAGICNO)
	{
		if(rtd_inl(REG_STR_JUMP_ADDR_reg)!=0)
		{
			g_goAddr = rtd_inl(REG_STR_JUMP_ADDR_reg);
			g_isSTR = 1;
			DBG_MSG("Ready to enter STR mode.\n");
		}
		else
			g_isSTR = 0;
	}
	else
		g_isSTR = 0;

	/* Read fw desc table from NAND */
	ret = rtk_plat_read_fw_desc_table_from_SPI();

	if (ret != RTK_PLAT_ERR_OK) {
		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	/* must after rtk_plat_read_fw_desc_table_from_NAND() */
	fw_desc_table_base = rtk_mem_info->fw_desc_table_base_addr;
	memcpy(&fw_desc_table_v1, (void*)fw_desc_table_base, sizeof(fw_desc_table_v1_t));

	fw_desc_table_v1.checksum = BE32_TO_CPU(fw_desc_table_v1.checksum);
	fw_desc_table_v1.paddings = BE32_TO_CPU(fw_desc_table_v1.paddings);
	fw_desc_table_v1.part_list_len = BE32_TO_CPU(fw_desc_table_v1.part_list_len);
	fw_desc_table_v1.fw_list_len = BE32_TO_CPU(fw_desc_table_v1.fw_list_len);

	/* Check partition existence */
	if (fw_desc_table_v1.part_list_len == 0)
	{
		DBG_ERR("No partition found!\n");
		//return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	else
	{
		part_count = fw_desc_table_v1.part_list_len / sizeof(part_desc_entry_v1_t);
	}

	fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

	DBG_MSG("\t FW Table to 0x%08x, size=0x%08x (0x%08x)\n",
				fw_desc_table_base,
				fw_desc_table_v1.paddings,
				fw_desc_table_base + fw_desc_table_v1.paddings);

	DBG_MSG("\t FW Table fr 0x%08x, fw count: %d\n",
				SPI_fw_desc_table_start,
				fw_entry_num);

	part_entry = (part_desc_entry_v1_t *)(fw_desc_table_base + sizeof(fw_desc_table_v1_t));
	fw_entry = (fw_desc_entry_v1_t *)(fw_desc_table_base +
			sizeof(fw_desc_table_v1_t) +
			fw_desc_table_v1.part_list_len);

	for (i = 0; i < part_count; i++)
	{
		part_entry[i].length = BE32_TO_CPU(part_entry[i].length);

#ifdef DUBUG_FW_DESC_TABLE
		dump_part_desc_entry_v1(&(part_entry[i]));
#endif
	}

	/* Check partition type */
	/*  It so weired that we use part_entry for checking fw count? So we mark it
	if (part_entry[0].type != PART_TYPE_FW)
	{
		printf("[ERR] %s:No firmware partition found!\n", __FUNCTION__);

		return RTK_PLAT_ERR_PARSE_FW_DESC;
	}
	*/
	fw_total_len = 0;
	fw_total_paddings = 0;

	/* Parse firmware entries and compute fw_total_len */
	switch (fw_desc_table_v1.version)
	{
		case FW_DESC_TABLE_V1_T_VERSION_1:
			fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v1_t);

			for (i = 0; i < fw_entry_num; i++)
			{
				fw_entry[i].version = BE32_TO_CPU(fw_entry[i].version);
				fw_entry[i].target_addr = BE32_TO_CPU(fw_entry[i].target_addr);
				fw_entry[i].offset = BE32_TO_CPU(fw_entry[i].offset) - SPI_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry[i].length = BE32_TO_CPU(fw_entry[i].length);
				fw_entry[i].paddings = BE32_TO_CPU(fw_entry[i].paddings);
				fw_entry[i].checksum = BE32_TO_CPU(fw_entry[i].checksum);

//				printf("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x)\n",
//					i, fw_entry[i].offset, fw_entry[i].length, fw_entry[i].paddings);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry[i].length;
				fw_total_paddings += fw_entry[i].paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_11:
			fw_entry_v11 = (fw_desc_entry_v11_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v11_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v11[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - SPI_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				DBG_MSG("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v11[i].act_size, fw_entry_v11[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		case FW_DESC_TABLE_V1_T_VERSION_21:
			fw_entry_v21 = (fw_desc_entry_v21_t*)fw_entry;
                              fw_entry_num = fw_desc_table_v1.fw_list_len / sizeof(fw_desc_entry_v21_t);
			for(i = 0; i < fw_entry_num; i++) {
				fw_entry_v1 = &fw_entry_v21[i].v1;
				fw_entry_v1->version = BE32_TO_CPU(fw_entry_v1->version);
				fw_entry_v1->target_addr = BE32_TO_CPU(fw_entry_v1->target_addr);
				fw_entry_v1->offset = BE32_TO_CPU(fw_entry_v1->offset) - SPI_fw_desc_table_start;	/* offset from fw_desc_table_base */
				fw_entry_v1->length = BE32_TO_CPU(fw_entry_v1->length);
				fw_entry_v1->paddings = BE32_TO_CPU(fw_entry_v1->paddings);
				fw_entry_v1->checksum = BE32_TO_CPU(fw_entry_v1->checksum);

				DBG_MSG("[OK] fw_entry[%d] offset = 0x%x length = 0x%x (paddings = 0x%x) act_size = %d part_num = %d\n",
					i, fw_entry_v1->offset, fw_entry_v1->length, fw_entry_v1->paddings, fw_entry_v21[i].act_size, fw_entry_v21[i].part_num);

#ifdef DUBUG_FW_DESC_TABLE
				dump_fw_desc_entry_v1(&(fw_entry[i]));
#endif

				fw_total_len += fw_entry_v1->length;
				fw_total_paddings += fw_entry_v1->paddings;
			}


			break;

		default:
			printf("[ERR] %s:unknown version:%d\n", __FUNCTION__, fw_desc_table_v1.version);
			return RTK_PLAT_ERR_PARSE_FW_DESC;
	}

	// STD is not well-tested
#if  0  //IS_ENABLE_STD

	unsigned int blkNO ;
	unsigned int idBlkNo;
	int memshift=0;
	char		*raw = NULL;
	char tmp[32],msg[128];
	printf("part_entry[0].len 0x%x\n",BE32_TO_CPU(part_entry[0].length));
	printf("fw_desc_table_v1.paddings 0x%x\n",fw_desc_table_v1.paddings);
	printf("fw_total_paddings 0x%x\n",fw_total_paddings);
	printf("eMMC_bootcode_area_size0x%x\n",eMMC_bootcode_area_size);
	printf("EMMC_FACTORY_SIZE 0x%x\n",EMMC_FACTORY_SIZE);
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-eMMC_bootcode_area_size-EMMC_FACTORY_SIZE;
	g_u32STDoffset = eMMC_bootcode_area_size+EMMC_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	printf("g_u32STDsize 0x%x, g_u32STDoffset 0x%x\n",g_u32STDsize,g_u32STDoffset);

	/* system_parameters_3 pass parameter start address to kernel */
	if (!(raw = getenv("system_parameters_3")))
		raw = "";	   /* Create new */
	sprintf( msg, "%s STD_size=%x STD_offset=%x",
				raw,
				g_u32STDsize,
				g_u32STDoffset
				);

	if (setenv("system_parameters_3", msg))
		;
	//sprintf (tmp, "0x%x", g_u32STDoffset);
	//setenv( "STD_OFFSET", tmp);
	//sprintf (tmp, "0x%x", g_u32STDsize);
	//setenv( "STD_SIZE", tmp);
//return NULL;
#if 0
	//Identify STD flag
	g_u32STDsize = BE32_TO_CPU(part_entry[0].length)-fw_desc_table_v1.paddings-fw_total_paddings-nand_bootcode_area_size-NAND_FACTORY_SIZE;
	g_u32STDoffset = nand_bootcode_area_size+NAND_FACTORY_SIZE+fw_desc_table_v1.paddings+fw_total_paddings;

	/* system_parameters_3 pass parameter start address to kernel */
	if( !env_get( "system_parameters_3", &raw, NULL, 0 ))
		raw = "";	 /* Create new */
		sprintf( msg, "%s STD_size=%x STD_offset=%x",
			raw,
			g_u32STDsize,
			g_u32STDoffset
			);
	ret = env_set( "system_parameters_3", msg, ENV_ATTR_RW, NULL, NULL );
	 if(ret!=OK)
	 {
		printf("Set_env system_parameters_3 Error  %d\n",ret);
		//return BOOTCODE_CONTINUE;
	 }

	blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
	idBlkNo = blkNO;
	//t_FLASH_ctrl_descriptor flash_ctrl;
	printf("STD ID block NO: 0x%x\n",idBlkNo);

	if(g_u32STDsize<=0)
	{
		printf("Warning!!! STD size is not enough!!!(size = 0x%x)\n",g_u32STDsize);
		printf("Enter normal boot!!\n");
		goto normalboot;
	}
#else
g_u32STDsize = 0x80000000;
g_u32STDoffset =0x4000000;
blkNO = g_u32STDoffset/(bytes_per_page * pages_per_block);
printf("blkNO 0x%x, 0x%x, 0x%x, 0x%x\n",blkNO,g_u32STDoffset,bytes_per_page , pages_per_block);
#endif
	memshift = 8-(UINT32)&headerBuf%8;
	ptrHeadBuf = &headerBuf[memshift];
	moveToRam(&blkNO,4096,ptrHeadBuf,0);
	if(checkHeader(ptrHeadBuf)!=0)
	{
	#if 1
			goto normalboot;
	#else
		if(IO_read(SYS_MAJOR_FLASH, 0, &flash_read) != OK) {
			printf("%s:%d read fw_desc_table_v1 fail!!\n", __FUNCTION__, __LINE__);
		goto go_rescue;
		}
	#endif

	}

	printf("STD image size : 0x%x\n",g_imgLen);
	printf("STD space size : 0x%x\n",g_u32STDsize);
	if(g_imgLen>g_u32STDsize)
	{
		printf("[Warning]STD image is out of space.\n");
		goto normalboot;
	}



	if(mainSTD()==BOOTCODE_STD_WORK)
		{
			STDinitProc();
			GoFuncPtr=(UINT32*)g_goAddr;
#if 0
		printf("Don't erase ID block!!\n");
#else

#if IS_ENABLE_STD
			/* Re-init Keypad */
			re_lsadcInit();
#endif

			if(g_u32Stdflag<=3)
			{
				#if IS_ERASE_ID_BLK
				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);
				#endif
			}
#endif
#ifndef Board_WATCHDOG_NULL
			//printf("[STD INFO]Disable watchdog ... \n");
			//WATCHDOG_disable();
#endif

#if 0//ALFIE_TEST
		g_u32StdAnimation = 0;
#endif
			if(!g_u32StdAnimation)
			{
				processImg_STDAnimation(ptrHeadBuf);
				cleanup_before_linux();
				printf("[AT]Ready to go STD kernel address!!!\n");
				(*GoFuncPtr)();
				return NULL;
			}
		}
	else
	{
		if(g_u32Stdflag<=3)
			{

				//Erase STD_ID block
				char idBuffer[4];
				unsigned int blk_start = g_u32STDoffset/(bytes_per_page * pages_per_block);
				memset(&idBuffer,'\0',4);
				printf("Erase ID block(blk_start 0x%x)\n",blk_start);
				rtk_eMMC_write(blk_start, 4, idBuffer);

			}

		//printf("STD fail..watchdog reset...\n");
	//execute_line("reset",TRUE);

	//REG32(0Xb801bb04)=1;		// clear watchdog
	//REG32(0Xb801bb0c)=0x800000; // set overflow count
	//REG32(0Xb801bb00)=0;		// enable watchdog

	}

normalboot:

#endif	//IS_ENABLE_STD

	if(g_u32StdAnimation||g_isSTR)
	{
		DBG_WAR("TODO:rtk_plat_read_fw_image_from_SPI_STR()!\n");
#if 0// def IS_ENABLE_STR
		DBG_MSG("STR fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_STR(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif

		DBG_WAR("TODO:rtk_plat_read_fw_image_from_SPI_STD()!\n");
#if 0 //def IS_ENABLE_STD
		DBG_MSG("STD fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_STD(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif
	}
	else
	{
		DBG_MSG("Normal boot fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI(
				fw_desc_table_base, part_entry, part_count,
				fw_entry, fw_entry_num,
				fw_desc_table_v1.version);
	}

#endif

	return ret;
}
int rtk_plat_prepare_fw_image_from_SPI_2(void)
{
	int ret = RTK_PLAT_ERR_OK;

#ifdef CONFIG_SYS_RTK_SPI_FLASH
	//int i;

	//Identify if enter STR or not
	if(rtd_inl(REG_CRT_SUSPEND_reg) == KERNEL_RSV_MEM_MAGICNO)
	{
		if(rtd_inl(REG_STR_JUMP_ADDR_reg)!=0)
		{
			g_goAddr = rtd_inl(REG_STR_JUMP_ADDR_reg);
			g_isSTR = 1;
			DBG_MSG("Ready to enter STR mode.\n");
		}
		else
			g_isSTR = 0;
	}
	else
		g_isSTR = 0;

	if(g_u32StdAnimation||g_isSTR)
	{
		DBG_WAR("TODO:rtk_plat_read_fw_image_from_SPI_STR()!\n");
#if 0// def IS_ENABLE_STR
		DBG_MSG("STR fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_STR(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif

		DBG_WAR("TODO:rtk_plat_read_fw_image_from_SPI_STD()!\n");
#if 0 //def IS_ENABLE_STD
		DBG_MSG("STD fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_STD(
			fw_desc_table_base, part_entry, part_count,
			fw_entry, fw_entry_num,
			fw_desc_table_v1.version,ptrHeadBuf);
#endif
	}
	else
	{
		DBG_MSG("Normal boot fw follow...\n");
		ret = rtk_plat_read_fw_image_from_SPI_2();
	}

#endif

	return ret;
}

#ifdef CONFIG_OF_LIBFDT
void verify_normal_kernel_dtb_data(MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout, uint kernel_length)
{
    linux_info_t linux_with_dtb;

    if (mem_layout.bIsCompressed){
        memcpy(&linux_with_dtb, (void *)mem_layout.decompressed_addr, sizeof(linux_info_t));//find header on head of vmlinux
        if(linux_with_dtb.dwMagicNumber  == linux_header_magic_number)
        {
            //copy DTB data
            if((linux_with_dtb.dwDTBSize != 0)&&(linux_with_dtb.dwDTBSize <= CONFIG_DTB_MEGRE_BUFFER_SIZE))
                memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.decompressed_addr+linux_with_dtb.dwKernelSize+sizeof(linux_info_t)), linux_with_dtb.dwDTBSize);
            else
                printf("\033[1;31;40m Read DTB DATA fail for read DTB[normal kernel mode]!please check kernel image\n \033[0m");

            //remove header data
            if(linux_with_dtb.dwKernelSize <= LINUX_KERNEL_SIZE){
                //backup kernel data
                memcpy((void *)CONFIG_LINUX_BK_BUFFER_ADDR, (void *)(mem_layout.decompressed_addr+sizeof(linux_info_t)), linux_with_dtb.dwKernelSize);
                //resume kernel data
                memcpy((void *)mem_layout.decompressed_addr, (void *)CONFIG_LINUX_BK_BUFFER_ADDR, linux_with_dtb.dwKernelSize);
            }else{
                printf("\033[1;31;40m kernel image too large!\n \033[0m");
            }
        }else{
            //rtk_hexdump("the end 16-byte rescue data", (unsigned char *)(mem_layout.decompressed_addr+kernel_length-sizeof(linux_info_t)), 16 );
            memcpy(&linux_with_dtb, (void *)(mem_layout.decompressed_addr+kernel_length-sizeof(linux_info_t)), sizeof(linux_info_t));//find header on end of vmlinux
            if(linux_with_dtb.dwMagicNumber  == linux_header_magic_number)
            {
                //copy DTB data
                if((linux_with_dtb.dwDTBSize != 0)&&(linux_with_dtb.dwDTBSize <= CONFIG_DTB_MEGRE_BUFFER_SIZE))
                    memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.decompressed_addr+linux_with_dtb.dwKernelSize), linux_with_dtb.dwDTBSize);
                else
                    printf("\033[1;31;40m Read DTB DATA fail for read DTB[normal kernel mode]!please check kernel image\n \033[0m");
            }else{
                printf("\033[1;31;40m Not find linux img header for read DTB[normal kernel mode]!please check kernel image\n \033[0m");
                hang();
            }
        }
    }else{
        memcpy(&linux_with_dtb, (void *)mem_layout.decrypted_addr, sizeof(linux_info_t));
        if(linux_with_dtb.dwMagicNumber  == linux_header_magic_number)
        {
            //copy DTB data
            if((linux_with_dtb.dwDTBSize != 0)&&(linux_with_dtb.dwDTBSize <= CONFIG_DTB_MEGRE_BUFFER_SIZE))
                memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.decrypted_addr+linux_with_dtb.dwKernelSize+sizeof(linux_info_t)), linux_with_dtb.dwDTBSize);
            else
                printf("\033[1;31;40m Read DTB DATA fail for read DTB[normal kernel mode]!please check kernel image\n \033[0m");

            //remove header data
            if(linux_with_dtb.dwKernelSize <= LINUX_KERNEL_SIZE){
                //backup kernel data
                memcpy((void *)CONFIG_LINUX_BK_BUFFER_ADDR, (void *)(mem_layout.decrypted_addr+sizeof(linux_info_t)), linux_with_dtb.dwKernelSize);
                //resume kernel data
                memcpy((void *)mem_layout.decrypted_addr, (void *)CONFIG_LINUX_BK_BUFFER_ADDR, linux_with_dtb.dwKernelSize);
            }else{
                printf("\033[1;31;40m kernel image too large!\n \033[0m");
            }
        }else{
            //rtk_hexdump("the end 16-byte rescue data", (unsigned char *)(mem_layout.decrypted_addr+kernel_length-sizeof(linux_info_t)), 16 );
            memcpy(&linux_with_dtb, (void *)(mem_layout.decrypted_addr+kernel_length-sizeof(linux_info_t)), sizeof(linux_info_t));
            if(linux_with_dtb.dwMagicNumber  == linux_header_magic_number)
            {
                //copy DTB data
                if((linux_with_dtb.dwDTBSize != 0)&&(linux_with_dtb.dwDTBSize <= CONFIG_DTB_MEGRE_BUFFER_SIZE))
                    memcpy((void *)CONFIG_DTB_MEGRE_BUFFER_ADDR, (void *)(mem_layout.decrypted_addr+linux_with_dtb.dwKernelSize), linux_with_dtb.dwDTBSize);
                else
                    printf("\033[1;31;40m Read DTB DATA fail for read DTB[normal kernel mode]!please check kernel image\n \033[0m");
            }else{
                printf("\033[1;31;40m Not find linux img header for read DTB[normal kernel mode]!please check kernel image\n \033[0m");
                hang();
            }
        }
    }

    return;
}
#endif
/*
 * Read kernel image from usb to ram.
 */
int rtk_plat_read_kernel_image_from_USB(bootm_headers_t *images, uint bCompressed)
{
	int ret = RTK_PLAT_ERR_READ_KERNEL_IMG;

#ifdef CONFIG_BOOT_FROM_USB
	uint target_addr = 0;
	char fw_fname[32];
	char cmd[128];
	uint uncompressedSize = 0;
	uint compressedSize = 0;
	uint uncompressed_target_addr = 0;

	memset(fw_fname, 0, sizeof(fw_fname));
	if (bCompressed)
	{
		sprintf(fw_fname, "%s.%s", CONFIG_BOOT_FROM_USB_KERNEL_FILENAME, CONFIG_BOOT_FROM_USB_LZMA_EXTNAME);
		target_addr = rtk_mem_info->encrypted_fw_image_addr;
	}
	else
	{
		strcpy(fw_fname, CONFIG_BOOT_FROM_USB_KERNEL_FILENAME);
#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
		if (boot_mode != BOOT_RESCUE_MODE )
			target_addr = LINUX64_KERNEL_ENTRY;
		else
#endif
			target_addr = LINUX_KERNEL_ENTRY;
	}

	printf("########################################################\n");
	if (bCompressed)
		printf("## Kernel LZMA Image from USB\n");
	else
		printf("## Kernel Image from USB\n");
	printf("##    file_name   = %s\n", fw_fname);
	printf("##    target_addr = 0x%x\n", target_addr);

	memset(cmd, 0, sizeof(cmd));
	sprintf(cmd, "fatload usb 0:1 %x %s", target_addr, fw_fname);

	ret = run_command(cmd, 0);
	if (ret != 0)
	{
		/* Read error */
		printf("[ERR] %s:Read kernel image from USB failed. (%s, 0x%x, 0x%x)\n", __FUNCTION__, fw_fname, target_addr, ret);
		ret = RTK_PLAT_ERR_READ_KERNEL_IMG;
	}
	else
	{
		/* Read success */
		if (bCompressed)
		{
			printf("## Decompress kernel image using LZMA ...\n");

#ifdef CONFIG_JUMP_TO_64BIT_KERNEL
			if (boot_mode != BOOT_RESCUE_MODE )
				uncompressed_target_addr = LINUX64_KERNEL_ENTRY;
			else
#endif
				uncompressed_target_addr = LINUX_KERNEL_ENTRY;
			compressedSize = getenv_ulong("filesize", 16, 0);

			if (compressedSize == 0) {
				printf("[ERR] %s:Get the wrong compressed filesize.\n", __FUNCTION__);
			}
			else {
				printf("##	  compressedSize   = 0x%x\n", compressedSize);
				printf("##	  target_addr	   = 0x%x\n", uncompressed_target_addr);
			}

			if (lzmaBuffToBuffDecompress((uchar*)uncompressed_target_addr, &uncompressedSize, (uchar*)target_addr, compressedSize) != 0)
			{
				/* Decompress error */
				printf("[ERR] %s:Decompress using LZMA error!! (0x%x, 0x%x)\n", __FUNCTION__, target_addr, compressedSize);

				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			else
			{
				/* Decompress success */
				printf("##	  uncompressedSize = 0x%x\n", uncompressedSize);
			}

			target_addr = uncompressed_target_addr;
		}

		printf("########################################################\n");
		printf("[OK]\n");

		ret = RTK_PLAT_ERR_OK;
	}

	/* update bootm_headers_t to be compitable with U-boot */
	memset(images, 0, sizeof(bootm_headers_t));
	images->ep = target_addr;

#endif

	return ret;
}

/*
 * Read kernel image from eMMC flash to ram.
 */
int rtk_plat_read_kernel_image_from_eMMC(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	int ret = 0;
	unsigned int img_truncated_size = 0; // install_a will append 256-byte signature data to it
	uint decompressedSize = 0;
	uint imageSize = 0;
	uint block_no = 0;
	uint fw_checksum = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	unsigned int secure_mode = 0;
//	unsigned int * Kh_key_ptr = &Kh_key_default[0];

#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
		img_truncated_size = sizeof(struct image_extra_info);
	#else
		img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
	#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif
	if (kernel_entry == NULL)
	{
		printf("[ERR] %s:kernel_entry is NULL!!\n", __FUNCTION__);

		return RTK_PLAT_ERR_READ_KERNEL_IMG;
	}
	else
	{

#ifdef DUBUG_FW_DESC_TABLE
		printf("[DBG] kernel_entry->offset = 0x%08x \n", kernel_entry->offset);
		printf("[DBG] kernel_entry->length = 0x%08x \n", kernel_entry->length);
		printf("[DBG] kernel_entry->target_addr = 0x%08x \n", kernel_entry->target_addr);
		printf("[DBG] kernel_entry->lzma = 0x%08x \n", kernel_entry->lzma);
#endif

		secure_mode = rtk_get_secure_boot_type();

		/* get memory layout before copy kernel image */
		mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
		mem_layout.bIsCompressed = kernel_entry->lzma;
                mem_layout.image_target_addr = kernel_entry->target_addr & (~MIPS_KSEG_MSK);

		get_mem_layout_when_read_image(&mem_layout);

		/* read kernel image from flash */
		mem_layout.flash_to_ram_addr -= (kernel_entry->offset % EMMC_BLOCK_SIZE);

		imageSize = kernel_entry->length;

		block_no = (eMMC_fw_desc_table_start + kernel_entry->offset) / EMMC_BLOCK_SIZE;

#ifdef DUBUG_FW_DESC_TABLE
		printf("[DBG] kernel block_no=0x%08x, source_addr=0x%08x\n", block_no, mem_layout.flash_to_ram_addr);
#endif

		if (imageSize > LINUX_KERNEL_SIZE)
			imageSize = LINUX_KERNEL_SIZE;
		if (!rtk_eMMC_read(block_no, imageSize, (uint *)mem_layout.flash_to_ram_addr))
		{
			printf("[ERR] %s:Read kernel image error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}

		/* Check checksum */
		fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

		if (kernel_entry->checksum != fw_checksum)
		{
			printf("\t Kernel checksum FAILED\n");
			printf("\t Kernel entry  checksum=0x%08x\n", kernel_entry->checksum);
			printf("\t Kernel result checksum=0x%08x\n", fw_checksum);
		}

		/* if secure mode, do AES CBC decrypt */
		if (secure_mode == RTK_SECURE_BOOT)
		{
#if 1
			char* bootstate =getenv("bootstate");
			if(boot_power_on_mode == POWER_OFF)
			{
				ret = rtk_plat_verify_boot_image_first(kernel_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
				if(ret)
				{
					setenv("bootstate", "apple");
				}
				else
				{
					setenv("bootstate", "lemon");
				}
			}
			else
			{
				if (bootstate != NULL) {
					if(!strcmp("lemon", bootstate))
					{
						ret = rtk_plat_verify_boot_image_first(kernel_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
						if(ret)
						{
							setenv("bootstate", "banana");
							ret = rtk_plat_verify_boot_image_secondary(kernel_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
							if(ret)
							{
								setenv("bootstate", "apple");
								return ret;
							}
						}
					}
					else if(!strcmp("banana", bootstate))
					{
						ret = rtk_plat_verify_boot_image_secondary(kernel_entry, mem_layout.encrpyted_addr, mem_layout.decrypted_addr, imageSize);
						if(ret)
						{
							setenv("bootstate", "apple");
							return ret;
						}
					}
					else
					{
						ret = RTK_PLAT_ERR_READ_FW_IMG;
					}
				}
				else
				{
					printf("\n\033[1;33m<<<rtk_plat_read_kernel_image_from_eMMC bootstate ==null>>>\033[m\n");
					ret = RTK_PLAT_ERR_READ_FW_IMG;
				}
			}
#else
			unsigned int ini_key[4] = {0};

			rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
			//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+kernel_entry->length-512), 512);

			// decrypt image
			DBG_MSG("to decrypt...\n");
			mem_layout.decompressed_addr &= (~MIPS_KSEG_MSK);
#if 1
			ini_key[0] = AES_IV_0;
			ini_key[1] = AES_IV_1;
			ini_key[2] = AES_IV_2;
			ini_key[3] = AES_IV_3 + FW_TYPE_KERNEL; // need to be match with LINUX_AES_IV in image_file_creator Makefile
			if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
				(char *)mem_layout.decrypted_addr,
				imageSize-img_truncated_size,
				this_entry->type))
			{
				printf("decrypt image(%d) error!\n", kernel_entry->type);
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
#else
if (decrypt_image((char *)mem_layout.encrpyted_addr,
	(char *)mem_layout.decrypted_addr,
	imageSize-img_truncated_size, Kh_key_ptr
	))
{
	printf("decrypt image(%d) error!\n", kernel_entry->type);
	return RTK_PLAT_ERR_READ_KERNEL_IMG;
}

#endif
			rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
		#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
			#if USE_SVFL_FW_DESC_TABLE
			reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)kernel_entry)->RSA_sign));

			memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
							(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size), img_truncated_size);

			ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
									  imageSize,
									  (unsigned char *)(((fw_desc_entry_v21_t *)kernel_entry)->RSA_sign),
									  1 );
			#else
			reverse_signature((unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH));
			memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
				(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size),  sizeof(struct image_extra_info));
			ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
									  imageSize - RSA_SIGNATURE_LENGTH,
									  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH),
									  1 );
			#endif
		#else
			reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

			ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
			                          imageSize - img_truncated_size,
			                          (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
			                          1 );
		#endif
#endif
			if( ret < 0 ) {
				printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			imageSize = imageSize - img_truncated_size;
		}

		/* if lzma kernel, decompress kernel image to target_addr */
		if (kernel_entry->lzma)
		{
			if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
			{
				printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
		}

#ifdef CONFIG_OF_LIBFDT
                if(kernel_entry->lzma)
                    imageSize = decompressedSize;

                verify_normal_kernel_dtb_data(mem_layout, imageSize);
#endif
		/* update bootm_headers_t to be compitable with U-boot */
		memset(images, 0, sizeof(bootm_headers_t));
		images->ep = (ulong)mem_layout.image_target_addr;

	}
#endif

	return RTK_PLAT_ERR_OK;
}

/*
 * Read kernel image from NAND flash to ram.
 */
int rtk_plat_read_kernel_image_from_NAND(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_NAND_FLASH
	int dev = nand_curr_device;
	nand_info_t *nand =&nand_info[dev]; 	//nand_info[0];
//	struct nand_chip *this = (struct nand_chip *) nand->priv;
	unsigned long int from;
	unsigned int retlen;

	int ret = 0;
	unsigned int img_truncated_size = 0; // install_a will append 256-byte signature data to it
	uint decompressedSize = 0;
	uint imageSize = 0;
	//uint block_no = 0;
	uint fw_checksum = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	unsigned int secure_mode = 0;
        unsigned long lz4_decompressedSize = 0;
//	unsigned int * Kh_key_ptr = DEFAULT_KEY_PTR;

#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
#if USE_SVFL_FW_DESC_TABLE
	img_truncated_size = sizeof(struct image_extra_info);
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);
#endif
#else
	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;
#endif

	if (kernel_entry == NULL)
	{
		printf("[ERR] %s:kernel_entry is NULL!!\n", __FUNCTION__);

		return RTK_PLAT_ERR_READ_KERNEL_IMG;
	}
	else
	{

#ifdef DUBUG_FW_DESC_TABLE
		printf("[DBG] kernel_entry->offset = 0x%08x \n", kernel_entry->offset);
		printf("[DBG] kernel_entry->length = 0x%08x \n", kernel_entry->length);
		printf("[DBG] kernel_entry->target_addr = 0x%08x \n", kernel_entry->target_addr);
		printf("[DBG] kernel_entry->lzma = 0x%08x \n", kernel_entry->lzma);
#endif

		secure_mode = rtk_get_secure_boot_type();

		/* get memory layout before copy kernel image */
		mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
		mem_layout.bIsCompressed = kernel_entry->lzma| kernel_entry->lz4;;
		mem_layout.image_target_addr = kernel_entry->target_addr & (~MIPS_KSEG_MSK);

		get_mem_layout_when_read_image(&mem_layout);

		/* read kernel image from flash */

		mem_layout.flash_to_ram_addr -= (kernel_entry->offset % nand->erasesize);

		imageSize = kernel_entry->length;

		from = NAND_fw_desc_table_start + kernel_entry->offset;		//must define NAND_fw_desc_table_start
		nand->read(nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
		if (retlen != imageSize)
		{
			/* Read error */
			printf("[ERR] %s:Read kernel image error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}else
		{
			/* Read success */
			printf("[OK] %s:Read kernel image ok!!\n", __FUNCTION__);
		}
		/* Check checksum */
		fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

		if (kernel_entry->checksum != fw_checksum)
		{
			printf("\t Kernel checksum FAILED\n");
			printf("\t Kernel entry  checksum=0x%08x\n", kernel_entry->checksum);
			printf("\t Kernel result checksum=0x%08x\n", fw_checksum);
		}

		/* if secure mode, do AES CBC decrypt */
		if (secure_mode == RTK_SECURE_BOOT)
		{
			rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
			//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+kernel_entry->length-512), 512);

			// decrypt image
			DBG_MSG("to decrypt...\n");
			mem_layout.decompressed_addr &= (~MIPS_KSEG_MSK);
			if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
				(char *)mem_layout.decrypted_addr,
				imageSize-img_truncated_size,
				FW_TYPE_KERNEL))
			{
				printf("decrypt image(%d) error!\n", kernel_entry->type);
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}

			rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);
#ifdef Config_Support_SECURE_BOOT_VER_CHK_Enable
	#if USE_SVFL_FW_DESC_TABLE
				reverse_signature((unsigned char *)(((fw_desc_entry_v21_t *)kernel_entry)->RSA_sign));

				memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
								(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size), img_truncated_size);

				ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
										  imageSize,
										  (unsigned char *)(((fw_desc_entry_v21_t *)kernel_entry)->RSA_sign),
										  1 );
	#else
				reverse_signature((unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH));
				memcpy((void *)(mem_layout.decrypted_addr+imageSize-img_truncated_size), \
					(void*)(mem_layout.encrpyted_addr+imageSize-img_truncated_size),  sizeof(struct image_extra_info));
				ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
										  imageSize - RSA_SIGNATURE_LENGTH,
										  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - RSA_SIGNATURE_LENGTH),
										  1 );
	#endif
#else
				reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

				ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
							  imageSize - img_truncated_size,
							  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
							  1 );
#endif

			if( ret < 0 ) {
				printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			imageSize = imageSize - img_truncated_size;
		}

		/* if lzma kernel, decompress kernel image to target_addr */
		if (mem_layout.bIsCompressed)
		{
			if(kernel_entry->lzma){
				if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
				{
					printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

					return RTK_PLAT_ERR_READ_KERNEL_IMG;
				}
			}else{
				if(lz4_do_decompress((uchar*)mem_layout.decompressed_addr, (uchar*)mem_layout.compressed_addr, &lz4_decompressedSize))
				{
					printf("[ERR] %s:Decompress using LZ4 error!!\n", __FUNCTION__);

					return RTK_PLAT_ERR_READ_KERNEL_IMG;
				}
			}
		}

#ifdef CONFIG_OF_LIBFDT
		if (mem_layout.bIsCompressed)
		{
                    if(kernel_entry->lzma)
                        imageSize = decompressedSize;
                    else
                        imageSize = lz4_decompressedSize;
                }

                verify_normal_kernel_dtb_data(mem_layout, imageSize);
#endif
		/* update bootm_headers_t to be compitable with U-boot */
		memset(images, 0, sizeof(bootm_headers_t));
		images->ep = (ulong)mem_layout.image_target_addr;

	}
#endif

	return RTK_PLAT_ERR_OK;
}

int rtk_plat_read_kernel_image_from_SPI_NAND(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_SPI_NAND
	int ret = 0,dev = spi_nand_curr_device;
	spi_nand_info_t *spi_nand = &spi_nand_info[dev];
	unsigned long int from;
	unsigned int retlen = 0, secure_mode = 0,img_truncated_size = 0;// install_a will append 256-byte signature data to it
	uint decompressedSize = 0,imageSize = 0,fw_checksum = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;

	img_truncated_size = RSA_SIGNATURE_LENGTH + sizeof(struct image_extra_info);

	if (kernel_entry == NULL)
	{
		printf("[ERR] %s:kernel_entry is NULL!!\n", __FUNCTION__);
		return RTK_PLAT_ERR_READ_KERNEL_IMG;
	}
	else
	{
#ifdef DUBUG_FW_DESC_TABLE
		printf("[DBG] kernel_entry->offset = 0x%08x \n", kernel_entry->offset);
		printf("[DBG] kernel_entry->length = 0x%08x \n", kernel_entry->length);
		printf("[DBG] kernel_entry->target_addr = 0x%08x \n", kernel_entry->target_addr);
		printf("[DBG] kernel_entry->lzma = 0x%08x \n", kernel_entry->lzma);
#endif
		secure_mode = rtk_get_secure_boot_type();

		/* get memory layout before copy kernel image */
		mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
		mem_layout.bIsCompressed = kernel_entry->lzma;
		mem_layout.image_target_addr = kernel_entry->target_addr & (~MIPS_KSEG_MSK);

		get_mem_layout_when_read_image(&mem_layout);

		/* read kernel image from flash */
		mem_layout.flash_to_ram_addr -= (kernel_entry->offset % spi_nand->erasesize);
		imageSize = kernel_entry->length;

		from = SPI_NAND_fw_desc_table_start + kernel_entry->offset; 	//must define NAND_fw_desc_table_start

#ifdef DUBUG_FW_DESC_TABLE
//		printf("[DBG] kernel block_no=0x%08x, source_addr=0x%08x\n", block_no, mem_layout.flash_to_ram_addr);
#endif
		spi_nand->read(spi_nand, from, imageSize, &retlen, (u_char *)mem_layout.flash_to_ram_addr);
		if (retlen != imageSize)
		{
			/* Read error */
			printf("[ERR] %s:Read kernel image error!!\n", __FUNCTION__);

			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}else
		{
			/* Read success */
			printf("[OK] %s:Read kernel image ok!!\n", __FUNCTION__);
		}

		/* Check checksum */
		fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

		if (kernel_entry->checksum != fw_checksum)
		{
			printf("\t Kernel checksum FAILED\n");
			printf("\t Kernel entry  checksum=0x%08x\n", kernel_entry->checksum);
			printf("\t Kernel result checksum=0x%08x\n", fw_checksum);
		}

		/* if secure mode, do AES CBC decrypt */
		if (secure_mode == RTK_SECURE_BOOT)
		{
			unsigned int ini_key[4] = {0};

			rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
			//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+kernel_entry->length-512), 512);

			// decrypt image
			printf("to decrypt...\n");
			mem_layout.decompressed_addr &= (~MIPS_KSEG_MSK);
			ini_key[0] = AES_IV_0;
			ini_key[1] = AES_IV_1;
			ini_key[2] = AES_IV_2;
			ini_key[3] = AES_IV_3 + FW_TYPE_KERNEL; // need to be match with LINUX_AES_IV in image_file_creator Makefile
			if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
				(char *)mem_layout.decrypted_addr,
				imageSize-img_truncated_size,
				FW_TYPE_KERNEL))
			{
				printf("decrypt image(%d) error!\n", kernel_entry->type);
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}

			rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

			reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

			ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
									  imageSize - img_truncated_size,
									  (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
									  1 );
			if( ret < 0 ) {
				printf("[ERR] %s: verify hash fail(%d)\n", __FUNCTION__, ret );
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			imageSize = imageSize - img_truncated_size;
		}

		/* if lzma kernel, decompress kernel image to target_addr */
		if (kernel_entry->lzma)
		{
			if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
			{
				printf("[ERR] %s:Decompress using LZMA error!!\n", __FUNCTION__);

				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
		}

#ifdef CONFIG_OF_LIBFDT
                if(kernel_entry->lzma)
                    imageSize = decompressedSize;

                verify_normal_kernel_dtb_data(mem_layout, imageSize);
#endif
		/* update bootm_headers_t to be compitable with U-boot */
		memset(images, 0, sizeof(bootm_headers_t));
		images->ep = (ulong)mem_layout.image_target_addr;

	}
#endif

	return RTK_PLAT_ERR_OK;
}


/*
 * Read kernel image from SPI flash to ram.
 */
int rtk_plat_read_kernel_image_from_SPI(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
	int ret = 0;
	unsigned int img_truncated_size = 0; // install_a will append 256-byte signature data to it
	uint decompressedSize = 0;
	uint imageSize = 0;
	uint fw_checksum = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	unsigned int secure_mode = 0;
//	unsigned int * Kh_key_ptr = &Kh_key_default[0];

	uint SPIaddress = 0;
	int SPI_align = rtk_spi_nor_get_align();

	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;

	if (kernel_entry == NULL)
	{
		DBG_ERR("kernel_entry is NULL!\n");
		return RTK_PLAT_ERR_READ_KERNEL_IMG;
	}
	else
	{

#ifdef DUBUG_FW_DESC_TABLE
		DBG_MSG("[DBG] kernel_entry->offset = 0x%08x \n", kernel_entry->offset);
		DBG_MSG("[DBG] kernel_entry->length = 0x%08x \n", kernel_entry->length);
		DBG_MSG("[DBG] kernel_entry->target_addr = 0x%08x \n", kernel_entry->target_addr);
		DBG_MSG("[DBG] kernel_entry->lzma = 0x%08x \n", kernel_entry->lzma);
#endif

		secure_mode = rtk_get_secure_boot_type();

		/* get memory layout before copy kernel image */
		mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
		mem_layout.bIsCompressed = kernel_entry->lzma;
		mem_layout.image_target_addr = kernel_entry->target_addr & (~MIPS_KSEG_MSK);

		get_mem_layout_when_read_image(&mem_layout);

		/* read kernel image from flash */
		mem_layout.flash_to_ram_addr -= (kernel_entry->offset % SPI_align);

		imageSize = kernel_entry->length;

		SPIaddress = SPI_fw_desc_table_start + kernel_entry->offset;
		DBG_MSG("Addr:0x%08x -->", SPIaddress);

		SPIaddress = ALIGN(SPIaddress, SPI_align);
		DBG_MSG("(Align)-->Addr:0x%08x, -(%d), Len:0x%x, Mem:0x%08x!\n", SPIaddress, (kernel_entry->offset % SPI_align), imageSize, mem_layout.flash_to_ram_addr);
		if(rtk_spi_nor_read(SPIaddress, imageSize, (unsigned char *)mem_layout.flash_to_ram_addr) == -1)
		{
			DBG_ERR("Read kernel image error!\n");
			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}

		/* Check checksum */
		fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);

		if (kernel_entry->checksum != fw_checksum)
		{
			DBG_WAR("\t Kernel checksum FAILED!\n");
			DBG_WAR("\t Kernel entry  checksum=0x%08x!\n", kernel_entry->checksum);
			DBG_WAR("\t Kernel result checksum=0x%08x!\n", fw_checksum);
		}

		/* if secure mode, do AES CBC decrypt */
		if (secure_mode == RTK_SECURE_BOOT)
		{
			rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
			//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+kernel_entry->length-512), 512);

			// decrypt image
			DBG_MSG("to decrypt...\n");
			mem_layout.decompressed_addr &= (~MIPS_KSEG_MSK);
#if 1
			if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
				(char *)mem_layout.decrypted_addr,
				imageSize-img_truncated_size,
				FW_TYPE_KERNEL))
			{
				DBG_ERR("decrypt image(%d) error!\n", kernel_entry->type);
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
#else
if (decrypt_image((char *)mem_layout.encrpyted_addr,
	(char *)mem_layout.decrypted_addr,
	imageSize-img_truncated_size, Kh_key_ptr
	))
{
	printf("decrypt image(%d) error!\n", kernel_entry->type);
	return RTK_PLAT_ERR_READ_KERNEL_IMG;
}

#endif
			rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

			reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

			ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
			                          imageSize - img_truncated_size,
			                          (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
			                          1 );
			if( ret < 0 ) {
				DBG_ERR("Verify hash fail(%d)!\n", ret );
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			imageSize = imageSize - img_truncated_size;
		}

		/* if lzma kernel, decompress kernel image to target_addr */
		if (kernel_entry->lzma)
		{
			if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
			{
				DBG_ERR("Decompress using LZMA error!\n");
				return RTK_PLAT_ERR_READ_KERNEL_IMG;
			}
			else
			{
				DBG_MSG("Decompress with lzma ok!\n");
			}
		}

#ifdef CONFIG_OF_LIBFDT
                if(kernel_entry->lzma)
                    imageSize = decompressedSize;

                verify_normal_kernel_dtb_data(mem_layout, imageSize);
#endif
		/* update bootm_headers_t to be compitable with U-boot */
		memset(images, 0, sizeof(bootm_headers_t));
		images->ep = (ulong)mem_layout.image_target_addr;

	}
#endif

	return RTK_PLAT_ERR_OK;
}
int rtk_plat_read_kernel_image_from_SPI_2(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_SPI_FLASH
	int ret = 0;
	unsigned int img_truncated_size = 0; // install_a will append 256-byte signature data to it
	uint decompressedSize = 0;
	uint imageSize = 0;
	//uint fw_checksum = 0;
	MEM_LAYOUT_WHEN_READ_IMAGE_T mem_layout;
	unsigned int secure_mode = 0;
//	unsigned int * Kh_key_ptr = &Kh_key_default[0];

	uint SPIaddress = 0;
	int SPI_align = rtk_spi_nor_get_align();

	img_truncated_size = RSA_SIGNATURE_LENGTH /*+ sizeof(struct image_extra_info)*/;

	DBG_MSG("KernelEntry: name:%s, type:%s, target:0x%08x, offset:0x%08x, size:0x%08x!\n", KernelEntry.name, KernelEntry.type, KernelEntry.target, KernelEntry.offset, KernelEntry.size);

	secure_mode = rtk_get_secure_boot_type();

	/* get memory layout before copy kernel image */
	mem_layout.bIsEncrypted = (secure_mode != NONE_SECURE_BOOT);
	mem_layout.image_target_addr = KernelEntry.target;

	// Checking Image type
	if(strcmp(KernelEntry.type, "lzma") == 0)
	{
		mem_layout.bIsCompressed = 1;
	}
	else
	{
		mem_layout.bIsCompressed = 0;
	}
	DBG_MSG("FW Image type is %s!\n", KernelEntry.type);

	get_mem_layout_when_read_image(&mem_layout);

	/* read kernel image from flash */
	mem_layout.flash_to_ram_addr -= (KernelEntry.offset % SPI_align);
	DBG_MSG("mem_layout.flash_to_ram_addr (-0x%x):0x%08x!\n", (KernelEntry.offset % SPI_align), mem_layout.flash_to_ram_addr);

	imageSize = KernelEntry.size;

	SPIaddress = KernelEntry.offset;
	DBG_MSG("Addr:0x%08x -->", SPIaddress);

	SPIaddress = ALIGN(SPIaddress, SPI_align);
	DBG_MSG("(Align)-->Addr:0x%08x, -(%d), Len:0x%x, Mem:0x%08x!\n", SPIaddress, (KernelEntry.offset % SPI_align), imageSize, mem_layout.flash_to_ram_addr);
	if(rtk_spi_nor_read(SPIaddress, imageSize, (unsigned char *)mem_layout.flash_to_ram_addr) == -1)
	{
		DBG_ERR("Read kernel image error!\n");
		return RTK_PLAT_ERR_READ_KERNEL_IMG;
	}

	/* Check checksum */
	//fw_checksum = get_checksum((uchar *)mem_layout.flash_to_ram_addr, imageSize);
	//DBG_MSG("Kernel result checksum=0x%08x!\n", fw_checksum);

	/* if secure mode, do AES CBC decrypt */
	if (secure_mode == RTK_SECURE_BOOT)
	{
		rtk_hexdump("the first 32-byte encrypted data", (unsigned char *)mem_layout.encrpyted_addr, 32);
		//rtk_hexdump("the last 512-byte encrypted data", (unsigned char *)(rtk_mem_info->encrypted_fw_image_addr+kernel_entry->length-512), 512);

		// decrypt image
		DBG_MSG("to decrypt...\n");
		mem_layout.decompressed_addr &= (~MIPS_KSEG_MSK);
		if (decrypt_image_fpk_by_tag((char *)mem_layout.encrpyted_addr,
			(char *)mem_layout.decrypted_addr,
			imageSize-img_truncated_size,
			FW_TYPE_KERNEL))
		{
			DBG_ERR("decrypt image(%s) error!\n", KernelEntry.name);
			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}

		rtk_hexdump("the first 32-byte decrypted data", (unsigned char *)mem_layout.decrypted_addr, 32);

		reverse_signature( (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size) );

		ret = Verify_SHA256_hash( (unsigned char *)mem_layout.decrypted_addr,
		                          imageSize - img_truncated_size,
		                          (unsigned char *)(mem_layout.encrpyted_addr + imageSize - img_truncated_size),
		                          1 );
		if( ret < 0 ) {
			DBG_ERR("Verify hash fail(%d)!\n", ret );
			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		imageSize = imageSize - img_truncated_size;
	}

	/* if lzma kernel, decompress kernel image to target_addr */
	if (mem_layout.bIsCompressed)
	{
		if (lzmaBuffToBuffDecompress((uchar*)mem_layout.decompressed_addr, &decompressedSize, (uchar*)mem_layout.compressed_addr, imageSize) != 0)
		{
			DBG_ERR("Decompress using LZMA error!\n");
			return RTK_PLAT_ERR_READ_KERNEL_IMG;
		}
		else
		{
			DBG_MSG("Decompress with lzma ok!\n");
		}
	}

#ifdef CONFIG_OF_LIBFDT
        if(mem_layout.bIsCompressed)
            imageSize = decompressedSize;

        verify_normal_kernel_dtb_data(mem_layout, imageSize);
#endif
	/* update bootm_headers_t to be compitable with U-boot */
	memset(images, 0, sizeof(bootm_headers_t));
	images->ep = (ulong)mem_layout.image_target_addr;

#endif

	return RTK_PLAT_ERR_OK;
}

//#define DEBUG_SKIP_BOOT_ALL
//#define DEBUG_SKIP_BOOT_LINUX
//#define DEBUG_SKIP_BOOT_AV
extern int eMMC_W_R_compare(void);
int rtk_plat_boot_setup(bootm_headers_t *images)
{
	int ret = RTK_PLAT_ERR_OK;
	char cmd[16];
#ifdef CONFIG_VERIFY_BOOT
	char *cmdline = NULL;
	char kargs[ARGS_SIZE] = {0};
#endif
	printf("Start Boot Setup ... ");

#if defined(Config_Module_Test_Boot_TRUE)

	printf("\n\n"
		   "eMMC Write/Read compare ******\n");
	if(eMMC_W_R_compare()){
		printf("Check Write/Read compare fail!!!!!!!!\n");
		ret = -1;
		return ret;
	}
	printf("eMMC Write/Read compare &&&&&&\n\n");
#endif

	/* reset some shared memory */
	reset_shared_memory();

#ifdef DEBUG_SKIP_BOOT_ALL // Skip by CK
	printf("(CK skip)\n");
	return RTK_PLAT_ERR_PARSE_FW_DESC;
#else
	printf("\n");
#endif

	if (boot_from_usb != BOOT_FROM_USB_DISABLE) // workaround path that read fw img from usb
	{
		memset(cmd, 0, sizeof(cmd));
		sprintf(cmd, "usb start_ac");

		ret = run_command(cmd, 0);

		if (ret != 0)
		{
			/* usb start_ac error */
			printf("[ERR] %s:failed (%s)\n", __FUNCTION__, cmd);
		}
		else
		{
			ret = rtk_plat_prepare_fw_image_from_USB();
		}
	}
	else
	{
		/* parse fw_desc_table, and read all data from flash to ram except kernel image */
		if (boot_flash_type == BOOT_EMMC)
		{
			/* For eMMC */
#if 0
			run_command("kboot wait", 0);
			ret = run_command("kboot normal", 0);
#endif
			ret = rtk_plat_prepare_fw_image_from_eMMC();
		}
		else if (boot_flash_type == BOOT_NAND)
		{
			/* For NAND */
#ifdef CONFIG_KCPU_LOAD_K_FW
			ret = run_command("kboot normal", 0);
#endif
			ret = rtk_plat_prepare_fw_image_from_NAND();
		}
		else if (boot_flash_type == BOOT_SPI_NAND)
		{
			/* For SPI-NAND */
			#ifdef CONFIG_KCPU_LOAD_K_FW
			ret = run_command("kboot normal", 0);
			#endif
			ret = rtk_plat_prepare_fw_image_from_SPI_NAND();
		}
		else
		{
			/* For SPI */
			ret = rtk_plat_prepare_fw_image_from_SPI_2();
		}
	}

	// clear value about A/V store STR Status when normal boot.
	if ( !g_isSTR && !g_u32StdAnimation) {
		*AcpuSTRStatusFlag_ptr = 0;
		*VcpuSTRStatusFlag_ptr = 0;
	#ifdef CONFIG_VCPU2_SUPPORT
		*Vcpu2STRStatusFlag_ptr = 0;
	#endif
	}

#ifdef CONFIG_VERIFY_BOOT
	char* bootstate =getenv("bootstate");
	if(bootstate != NULL){
		if(!strcmp("red", bootstate))
		{
			cmdline = getenv("bootargs_ex"); // bootargs_ex is for user test kernel bootargs
			if(cmdline != NULL)
				snprintf(arg_next(kargs), args_size(kargs), "%s", cmdline);
			snprintf(arg_next(kargs), args_size(kargs),"%s arndoidboot.verifiedbootstate=red",cmdline);
			setenv("bootargs_ex",kargs);
			boot_mode = BOOT_RESCUE_MODE;
			run_command_list("go r", -1, 0);
		}
	}else{
		printf("\n\033[1;33m<<<rtk_plat_boot_setup bootstate ==null>>>\033[m\n");
	}
#ifdef CONFIG_VERIFY_BOOT_Q
	if(ret == RTK_PLAT_ERR_OK && !KernelImagePosition)
#else
	if(ret == RTK_PLAT_ERR_OK)
#endif
	{
#ifdef CONFIG_VERIFY_BOOT_P
        int rcode = 0;
        cmdline = getenv("OEMLock");
        if(cmdline != NULL){
            if(strcmp(cmdline,"off")){
                printf("\n\033[1;33m<<<rtk_plat_boot_setup: OEMLock=on>>>\033[m\n");
                run_command("avb init 0", 0);
                rcode = run_command("avb verify", 0);
                if(rcode != CMD_RET_SUCCESS)
                {
                    boot_mode = BOOT_RESCUE_MODE;
                    run_command_list("go r", -1, 0);
                }
            }
            else{
                printf("\n\033[1;33m<<<rtk_plat_boot_setup: OEMLock=off>>>\033[m\n");
                sprintf(arg_next(kargs),"androidboot.android_dt_dir=/proc/device-tree/firmware/android-nonavb/");
                setenv("avb_bootargs", kargs);
            }
        }
#else
        int rcode = 0;
        run_command("avb init 0", 0);
        rcode = run_command("avb verify", 0);
        if(!bEnterRecovery && rcode != CMD_RET_SUCCESS)
        {
            boot_mode = BOOT_RESCUE_MODE;
            run_command_list("go r", -1, 0);
        }
#endif
	}
#endif
#ifdef CONFIG_SYS_SUPPORT_MULTICORE
       while(!guipanel_init_done)
       {
		mdelay(1);
	}
#if defined(CONFIG_SYS_GDMA_SUPPORT) && defined(CONFIG_SYS_PANEL_SUPPORT)
	gdma_showlogo(0);
#endif
#endif

	if (boot_from_flash == BOOT_FROM_FLASH_NORMAL_MODE)
	{
		if (ret == RTK_PLAT_ERR_OK)
		{
#if 0 // remove kcpu
			if (KcpuFW_entry_ptr != 0) {
				printf("Start KCPU Firmware ...\n");
				if (boot_prep_linux_kcpu() !=0) {
					printf("boot_prep_linux_kcpu failed\n");
					return 0;
				}
			}
#endif

			/* Flush caches */
			flush_dcache_all();
#ifdef  SUPPORT_MIPS_ACPU
			if (*AudioFW_entry_ptr_A1 != 0)
			{
		#ifdef ENABLE_ACPU_BISR
				mdelay(10);
				printf("Hold HW semaphore\n");
				hold_hw_semaphore();
		#endif

				/* Enable ACPU1 */
				enable_audio_clock();

				unmute_amp();

#ifdef ENABLE_ACPU_BISR
				do_acpu_bisr(_BIT0);
#endif

				//printf("aa 0x%x, 0x%x, 0x%x, 0x%x\n", rtd_inl(0x00000094), rtd_inl(0x00000098), rtd_inl(0x0000009c), rtd_inl(0x000000a0));

				/* Release HW Semaphore before enable ACPU clock, prevent VCPU2 blocking */
				printf("Release HW semaphore\n");
				release_hw_semaphore();
			}

#ifdef CONFIG_ACPU2_SUPPORT
			if (*AudioFW_entry_ptr_A2 != 0)
			{
		#ifdef ENABLE_ACPU_BISR
				mdelay(10);
				printf("Hold HW semaphore\n");
				hold_hw_semaphore();
		#endif

				/* Enable ACPU2 */
				enable_audio2_clock();

				unmute_amp();

#ifdef ENABLE_ACPU_BISR
				do_acpu_bisr(_BIT1);
#endif

				//printf("aa 0x%x, 0x%x, 0x%x, 0x%x\n", rtd_inl(0x00000094), rtd_inl(0x00000098), rtd_inl(0x0000009c), rtd_inl(0x000000a0));

				/* Release HW Semaphore before enable ACPU clock, prevent VCPU2 blocking */
				printf("Release HW semaphore\n");
				release_hw_semaphore();
			}
#endif
#endif
#if 1//#if( CONFIG_SYS_TEXT_BASE != 0x00020000 )
			/* a_entry fw was loaded by bootloader function  */
			/* delay 50 ms to read debug message more easily */
			mdelay(50);
#endif
			if (*VideoFW_entry_ptr_V1 != 0)
			{
#ifdef ENABLE_VCPU_BISR
				mdelay(10);
				printf("Hold HW semaphore\n");
				hold_hw_semaphore();
#endif

				printf("Enable VCPU1\n");

				/* Enable VCPU1 */
				enable_video_clock();

#ifdef ENABLE_VCPU_BISR
				do_vcpu_bisr(_BIT0);
#endif

#ifdef ENABLE_VE_BISR
				do_ve_bisr();
#endif


				//printf("aa 0x%x, 0x%x, 0x%x, 0x%x\n", rtd_inl(0x00000094), rtd_inl(0x00000098), rtd_inl(0x0000009c), rtd_inl(0x000000a0));
				printf("Release HW semaphore again\n");
				release_hw_semaphore();
			}
#ifdef CONFIG_VCPU2_SUPPORT
			if (*VideoFW_entry_ptr_V2 != 0)
			{
#ifdef ENABLE_VCPU_BISR
				mdelay(10);
				printf("Hold HW semaphore\n");
				hold_hw_semaphore();
#endif

				printf("Enable VCPU2\n");

				/* Enable VCPU2 */
				enable_video2_clock();

#ifdef ENABLE_VCPU_BISR
				do_vcpu_bisr(_BIT1);
#endif

				//printf("aa 0x%x, 0x%x, 0x%x, 0x%x\n", rtd_inl(0x00000094), rtd_inl(0x00000098), rtd_inl(0x0000009c), rtd_inl(0x000000a0));
				printf("Release HW semaphore again\n");
				release_hw_semaphore();
			}
#endif
#ifdef CONFIG_PANEL_INIT_2ND_AFTER_LOGO
			panel_init_2nd();
#endif
#if 0 // remove kcpu
			if (KcpuFW_entry_ptr != 0) {
#ifdef CONFIG_KCPU_LOAD_K_FW
#if defined(Config_Support_SECURE_BOOT_VER_CHK_Enable)
				run_command("kboot wait_v", 0);
#else
                		run_command("kboot wait", 0);
#endif
				run_command("kboot go_k", 0);

#else
				printf("Enable KCPU\n");
				rtd_outl(STB_WDOG_DATA10_reg, KcpuFW_entry_ptr);
#endif
			}
#endif
		}
	}
	else
	{
		printf("[Skip A] boot manual mode\n");
		printf("[Skip V] boot manual mode\n");
	}

	if (ret == RTK_PLAT_ERR_OK)
	{
		if (boot_from_usb != BOOT_FROM_USB_DISABLE) // workaround path that read fw img from usb
		{
			ret = rtk_plat_read_kernel_image_from_USB(images, (boot_from_usb == BOOT_FROM_USB_COMPRESSED) ? 1 : 0);

			memset(cmd, 0, sizeof(cmd));
			sprintf(cmd, "usb stop");

			if (run_command(cmd, 0))
			{
				/* Usb stop error */
				printf("[ERR] %s:failed (%s)\n", __FUNCTION__, cmd);
			}
		}
		else
		{
			/* read kernel image from flash to ddr, that is used to speed up the appearance of booting logo */
			if (boot_flash_type == BOOT_EMMC)
			{
				/* For eMMC */
				if(KernelImagePosition){
					ret = rtk_plat_read_kernel_image_from_eMMC(images);
				}else{
					ret = rtk_load_boot_partition(images);
                                        #ifdef CONFIG_OF_LIBFDT
                                        ret = rtk_load_dtbo_partition(images);
                                        #endif
				}
			}
			else if (boot_flash_type == BOOT_NAND)
			{
				/* For NAND */
				ret = rtk_plat_read_kernel_image_from_NAND(images);
			}
			else if (boot_flash_type == BOOT_SPI_NAND)
			{
				/* For SPI NAND */
				ret = rtk_plat_read_kernel_image_from_SPI_NAND(images);
			}
			else
			{
				/* For SPI */
				ret = rtk_plat_read_kernel_image_from_SPI_2(images);
			}
		}
	}

	return ret;
}

int rtk_plat_boot_go(bootm_headers_t *images)
{
	do_bootm_linux(0, 0, NULL, images);

	/* Reached here means jump to kernel entry flow failed */

	return RTK_PLAT_ERR_BOOT;
}

extern void CusApi_boot_handler_before_boot_setup(void);
extern void CusApi_boot_handler_before_boot_go(void);

/*
 ************************************************************************
 *
 * This is the final part before booting Linux in realtek platform:
 * we need to move audio/video firmware and stream files
 * from flash to ram. We will also decompress or decrypt image files,
 * if necessary, which depends on the information from flash writer.
 *
 ************************************************************************
 */
int  rtk_plat_boot_handler(void)
{
	bootm_headers_t	images;
	int ret = RTK_PLAT_ERR_OK;

        memset((void *)&images,0,sizeof(bootm_headers_t));

	CusApi_boot_handler_before_boot_setup(); // call customized function

	/* copy audio/video firmware and stream files from flash to ram */
	ret = rtk_plat_boot_setup(&images);

#ifdef CONFIG_PANEL_INIT_2ND_AFTER_LOGO
	extern void init_network_driver(void);
	panel_init_2nd();
	init_network_driver();
#endif

#if defined(CONFIG_BOOTUP_BY_PREV_POWER_STATUS) || defined(ENABLE_BOOTUP_POLICY)
	//bcoz set_bootparam_power_state waste 250ms. put here for speed up BootLogo
	if (boot_ac_on && (prev_power_on_status == POWER_OFF) && (boot_power_on_mode == POWER_ON)) {
		WATCHDOG_KICK();
		set_bootparam_power_state(POWER_ON);
		WATCHDOG_KICK();
	}
#endif

	if (ret == RTK_PLAT_ERR_OK)
	{
#ifndef DEBUG_SKIP_BOOT_LINUX
		if (boot_from_flash == BOOT_FROM_FLASH_NORMAL_MODE)
		{
			/* go Linux */
#ifdef CONFIG_REALTEK_WATCHDOG
			WATCHDOG_KICK();
#else
			WATCHDOG_DISABLE();
#endif

			if (TeeFW_entry_ptr != 0) {
				images.ep = (unsigned long)TeeFW_entry_ptr;
			} else {
				// check if optee os is loaded
				struct optee_header *header = (struct optee_header *) TEE_FW_ENTRY_ADDR;
				if (header->magic == OPTEE_MAGIC && header->version == OPTEE_VERSION) {
					images.ep = (unsigned long) (TEE_FW_ENTRY_ADDR+OPTEE_HEADER_SIZE);
				}
			}

			CusApi_boot_handler_before_boot_go(); // call customized function

			ret = rtk_plat_boot_go(&images);
		}
		else
		{
			printf("[Skip K] boot manual mode (execute \"go all\")\n");
		}
#endif
	}
	return ret;
}

int rtk_load_boot_partition(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	struct boot_img_hdr_v0 *boot_img_hdr = (struct boot_img_hdr_v0 *)CONFIG_BOOT_IMG_BUF_ADDR;
        struct boot_img_hdr_v1 *boot_img_hdr_v1 = NULL;
        struct boot_img_hdr_v2 *boot_img_hdr_v2 = NULL;

	gpt_entry entry;
	unsigned long long start = 0;
	unsigned long long size = 0;
	unsigned int KernelPageNum = 0;
	unsigned int RAMFSPageNum = 0;
        unsigned int secondPageNum = 0;
        unsigned int recovery_dtbPageNum = 0;
        unsigned int dtb_offset = 0;
	unsigned int RAMFS_SIZE = 0;
	char *tmp_cmdline = NULL;
	// int ret;

	if(!bEnterRecovery)
		get_gpt_entry_by_name(&entry, BOOT_PARTITION_NAME);
	else
		get_gpt_entry_by_name(&entry, RECOVERY_PARTITION_NAME);
	start = get_partition_starting_by_gpt_entry(entry);
	size  = get_partition_ending_by_gpt_entry(entry) - start;
	start /= MMC_PAGE_SIZE;
	rtk_eMMC_read(start, size, (unsigned int*)CONFIG_BOOT_IMG_BUF_ADDR);

	if(boot_img_hdr->page_size == 0)
		boot_img_hdr->page_size = 0x1000; //default page size;

	if(boot_img_hdr->kernel_size % boot_img_hdr->page_size == 0)
	{
		KernelPageNum = boot_img_hdr->kernel_size / boot_img_hdr->page_size;
	}
	else
	{
		KernelPageNum = boot_img_hdr->kernel_size / boot_img_hdr->page_size + 1;
	}

	if(boot_img_hdr->ramdisk_size % boot_img_hdr->page_size == 0)
	{
		RAMFSPageNum = boot_img_hdr->ramdisk_size / boot_img_hdr->page_size;
	}
	else
	{
		RAMFSPageNum = boot_img_hdr->ramdisk_size / boot_img_hdr->page_size + 1;
	}

        if(boot_img_hdr->second_size % boot_img_hdr->page_size == 0)
	{
		secondPageNum = boot_img_hdr->second_size / boot_img_hdr->page_size;
	}
	else
	{
		secondPageNum = boot_img_hdr->second_size / boot_img_hdr->page_size + 1;
	}

        if(boot_img_hdr->header_version >= 1){
                boot_img_hdr_v1 = (struct boot_img_hdr_v1 *)(CONFIG_BOOT_IMG_BUF_ADDR +sizeof(struct boot_img_hdr_v0));
                if(boot_img_hdr_v1->recovery_dtbo_size % boot_img_hdr->page_size == 0)
        	{
        		recovery_dtbPageNum = boot_img_hdr_v1->recovery_dtbo_size / boot_img_hdr->page_size;
        	}
        	else
        	{
        		recovery_dtbPageNum = boot_img_hdr_v1->recovery_dtbo_size / boot_img_hdr->page_size + 1;
        	}
        }

        if(boot_img_hdr->header_version >= 2){
                boot_img_hdr_v2 = (struct boot_img_hdr_v2 *)(CONFIG_BOOT_IMG_BUF_ADDR +sizeof(struct boot_img_hdr_v0) +sizeof(struct boot_img_hdr_v1));
                dtb_offset=(1+KernelPageNum+RAMFSPageNum+secondPageNum+recovery_dtbPageNum)*boot_img_hdr->page_size;
                images->ft_addr=(char *)(CONFIG_BOOT_IMG_BUF_ADDR + dtb_offset);
                images->ft_len=boot_img_hdr_v2->dtb_size;
        }

	memcpy((void*)LINUX_KERNEL_ENTRY, (void*)(CONFIG_BOOT_IMG_BUF_ADDR + boot_img_hdr->page_size), KernelPageNum * boot_img_hdr->page_size);
	memcpy((void*)RAMFS_IMG_ADDR, (void*)(CONFIG_BOOT_IMG_BUF_ADDR + boot_img_hdr->page_size + KernelPageNum * boot_img_hdr->page_size), RAMFSPageNum * boot_img_hdr->page_size);

	RAMFS_SIZE = RAMFSPageNum * boot_img_hdr->page_size;
	tmp_cmdline = (char*)malloc(0x400);
	if(bEnterRecovery)
		sprintf(tmp_cmdline, " androidboot.bootmode=%s %s initrd=0x%x,0x%x keepinitrd",
			bEnterRecovery == 1 ? "recovery" : "bootloader", boot_img_hdr->cmdline, RAMFS_IMG_ADDR, RAMFS_SIZE);
	else
		sprintf(tmp_cmdline, " %s initrd=0x%x,0x%x keepinitrd", boot_img_hdr->cmdline, RAMFS_IMG_ADDR, RAMFS_SIZE);

	setenv("boot_initrd", tmp_cmdline);
	saveenv();
	free(tmp_cmdline);
#endif

	return 0;
}

#ifdef CONFIG_OF_LIBFDT
int rtk_load_dtbo_partition(bootm_headers_t *images)
{
#ifdef CONFIG_SYS_RTK_EMMC_FLASH
	gpt_entry entry;
	unsigned long long start = 0;
	unsigned long long size = 0;

        get_gpt_entry_by_name(&entry, DTBO_PARTITION_NAME);
	start = get_partition_starting_by_gpt_entry(entry);
	size  = get_partition_ending_by_gpt_entry(entry) - start;
	start /= MMC_PAGE_SIZE;
	rtk_eMMC_read(start, size, (unsigned int*)CONFIG_DTBO_BUFFER_ADDR);

        images->dtbo_fdt_addr = (char *)CONFIG_DTBO_BUFFER_ADDR;
        images->dtbo_fdt_size = (ulong)size;
#endif
	return 0;
}
#endif

int do_boot_img(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	int ret;
        bootm_headers_t	images;
	ret = rtk_load_boot_partition(&images);
        #ifdef CONFIG_OF_LIBFDT
        ret = rtk_load_dtbo_partition(&images);
        #endif
	printf("ret %x \n",ret);
	return 0;
}

U_BOOT_CMD(
	boot_img, 2, 0, do_boot_img,
	"boot_img\t- turn on/off boot_img message, \n",
	"boot_img \n"
);

int do_boot_recovery(cmd_tbl_t *cmdtp, int flag, int argc, char* const argv[])
{
	bEnterRecovery = 1;
	rtk_plat_boot_handler();
	return 0;
}
U_BOOT_CMD(
	boot_recovery, 2, 0, do_boot_recovery,
	"boot-recovery\t- turn on/off boot_img message. \n",
	"boot-recovery \n"
);

int rtk_plat_do_bootr(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
//	int ret = RTK_PLAT_ERR_OK;

#if defined(CONFIG_CUSTOMER_TV002) && defined(CONFIG_SYS_RTK_EMMC_FLASH)
	/*run factory kernel for tv002*/
	int ret = -1;
	ret = rtk_plat_run_rescue_from_eMMC(SYS_PARAM_FACTORY_EEPROM_START>>9);
	if(ret == RTK_PLAT_ERR_OK){
		ret = rtk_plat_run_av_from_eMMC();
		if(ret == RTK_PLAT_ERR_OK){
/*sync from rtd_logbuf.c file*/
#ifndef RTD_LOGBUF_START_ADDR
#define RTD_LOGBUF_START_ADDR 0x1CA00000
#endif
#ifndef RTD_LOGBUF_LIMIT
#define RTD_LOGBUF_LIMIT 0x80000
#endif
			/*clean logbuffer param*/
			memset((void *)RTD_LOGBUF_START_ADDR, 0x00, RTD_LOGBUF_LIMIT);

			/* reset some shared memory */
			reset_shared_memory();

			/*set flag to run audio fw*/
			rescue_mode_with_audio_flag = 1;

			/*run av fw*/
			do_go_audio_fw(1);
			do_go_video_fw(1);

			printf("Auto run Factory kernel + audio + video!\r\n");
			boot_mode = BOOT_RESCUE_MODE;
			return do_go_kernel_image();
		}
	}
#endif

	/* reset boot flags */
	boot_from_flash = BOOT_FROM_FLASH_NORMAL_MODE;
	boot_from_usb = BOOT_FROM_USB_DISABLE;

	/* parse option */
	if (argc == 1)
	{
		boot_from_usb = BOOT_FROM_USB_DISABLE;
	}
	else if (argc == 2 && argv[1][0] == 'u')
	{
		if (argv[1][1] == 'z')
		{
			boot_from_usb = BOOT_FROM_USB_COMPRESSED;
		}
		else if (argv[1][1] == '\0')
		{
			boot_from_usb = BOOT_FROM_USB_UNCOMPRESSED;
		}
		else
		{
			return CMD_RET_USAGE;
		}
	}
	else if (argc == 2 && argv[1][0] == 'm')
	{
		boot_from_flash = BOOT_FROM_FLASH_MANUAL_MODE;
	}
	else
	{
		return CMD_RET_USAGE;
	}

	WATCHDOG_KICK();

	rtk_plat_boot_handler();
	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	bootr, 2, 0,	rtk_plat_do_bootr,
	"boot realtek platform",
	"[u/uz]\n"
	"\tu   - boot from usb\n"
	"\tuz  - boot from usb (use lzma image)\n"
	"\tm   - read fw from flash but boot manually (go all)\n"
);
