#include <qc_verify_common.h>
#include <rbusAudio_IOReg.h>
#include <rbusTV_SB1_ANAReg.h>
#include <rtd_types_qc.h>
#include <audio_qc.h>


#define printk printf

//global paramenter
UINT32 g_audio_initialize_done ;
#ifdef SET_DMA_ADDR
UINT32 pRdBuf = 0x00300000;//0x08000000;
UINT32 pWrBuf = 0x00400000;//0x09000000;
#else
UINT32 pRdBuf[DMACHANNELS][DMABUFSAMPLES] ALIGN64;// cuz rd_start_addr LSB 5 bits are reserved , it needs ALIGN64
UINT32 pWrBuf[DMACHANNELS][DMABUFSAMPLES] ALIGN64;// cuz wr_start_addr LSB 5 bits are reserved , it needs ALIGN64
#endif

#ifdef EARC_CMDC
UINT32 peARC_stGPIO_pinmux = 0xb806021c;//ST_GPIO33, 0xb806021c[15:12], ST_GPIO34, 0xb806020c[7:4]

UINT32 peARC_5V_Detect_pinmux = _BIT15|_BIT14|_BIT13|_BIT12;//5V_Detect Pinmux, ST_GPIO34, 0xb806020c[15:12]
UINT32 peARC_5V_Detect = 0xb8061114;//ST_GPIO34, 0xb8061114[4]
UINT32 peARC_5V_Detect_offset = _BIT4;//ST_GPIO34, 0xb8061110[15]

//UINT32 peARC_HPD_Output_pinmux = _BIT7|_BIT6|_BIT5|_BIT4|_BIT3|_BIT2|_BIT1|_BIT0;//HPD_Output Pinmux, ST_GPIO33, 0xb806021c[15:12]
UINT32 peARC_HPD_Output_pinmux = _BIT7|_BIT6|_BIT5|_BIT4;//HPD_Output Pinmux, ST_GPIO33, 0xb806021c[15:12]
UINT32 peARC_HPD_Output = 0xb806110c;//ST_GPIO33, 0xb806110c[3], [0] write 1 to set
UINT32 peARC_HPD_Output_Dir = 0xb8061104;//ST_GPIO33, 0xb8061104[3], [0] write 1 to set
UINT32 peARC_HPD_Output_Offset = _BIT3;//ST_GPIO33, 0xb8061100[16], [0] write 1 to set

bool	HB_CADENCE_CHANGE = false;

/* Timing*/
// the value of comma_off/on can't change, 0x4 is (7.904-dynamic_comma_len)ms ~ (12+dynamic_comma_len)ms
#define EARC_TIMING_COMMA_ON_MIN		0x6
#define EARC_TIMING_COMMA_ON_MAX		0xE
#define EARC_TIMING_COMMA_OFF_MIN		0x6
#define EARC_TIMING_COMMA_OFF_MAX		0xE
#define EARC_TIMING_TX_TIMEOUT 			0x5 // 500ms
#define EARC_TIMING_TX_CONNEARC_VALID	0x3 // 1ms
#define EARC_TIMING_LOST_HEARTBEAT 		0x1f // 125+10 ms
//#define EARC_TIMING_HEARTBEAT 	0 // 45ms, sent heartbeat per 45ms
//#define EARC_TIMING_HEARTBEAT 	1 // 46ms, sent heartbeat per 46ms	=>OK
//#define EARC_TIMING_HEARTBEAT 	2 // 47ms, sent heartbeat per 47ms	=>fail
//#define EARC_TIMING_HEARTBEAT 	3 // 48ms, sent heartbeat per 48ms => fail
//#define EARC_TIMING_HEARTBEAT 	0x5 // 50ms, sent heartbeat per 50ms
//#define EARC_TIMING_HEARTBEAT 	6 // 51ms, sent heartbeat per 51ms	=>
//#define EARC_TIMING_HEARTBEAT 	8 // 53ms, sent heartbeat per 53ms	=>fail
//#define EARC_TIMING_HEARTBEAT 	0x09 // 54ms, sent heartbeat per 54ms	=>fail
//#define EARC_TIMING_HEARTBEAT 	0x0a // 55ms, sent heartbeat per 55ms	=>fail
#define EARC_TIMING_HEARTBEAT 	0x0f // 60ms, sent heartbeat per 60ms	=>fail
#define EARC_READ_NACK_NUM 		0x3
#define EARC_READ_UECC_NUM  		0x3
#define EARC_HDMI_PORT_NUM		0
#define EARC_HDMI_HPD_DELAY		(950*1000) //950ms

unsigned int EARC_READ_COUNT = 0;
unsigned int EARC_WRITE_COUNT = 0;
bool EARC_Force_Read = 0;
static unsigned int EARC_INIT_STATE = 0;
//static bool g_EarcThreadState = false;
EARC_STATE_T g_Earc_State = {0};
unsigned char g_CapabilityData[256] = {0};
static unsigned char g_Latency = 0;
static int32_t g_IrqFlag = 0;
static int32_t g_eARCReadData = 0;
static int32_t g_EarcDebugMode = 0;
//static struct task_struct *audio_hw_earc_thread = NULL;
unsigned int RunCapFlag = 0;
unsigned int ReadCapResult = 0;
static unsigned char PreHpdState = 0;
static unsigned char Pre5vState = 0;
//static unsigned char g_EarcTimerInitDone = 0;
static unsigned int g_EarcInit = 0;
//struct timer_list Audio_EarcTimerList;
static unsigned int g_EarcEn = 0;
#endif

//function
static void WriteRegister(UINT32 address, UINT32 data)
{
	//(*(volatile UINT32 *)(address) = data) ;
	rtd_outl(address, data);
}

static UINT32 ReadRegister(UINT32 address)
{
//	return (*(volatile UINT32 *) (address)) ;
	return (rtd_inl(address));
}

static void WriteMaskRegister(UINT32 address, UINT32 mask, UINT32 data)
{
	UINT32 target_value;
  //printf("Mask 1 address %x\n", address);
	target_value=rtd_inl(address);
  //printf("Mask 2 \n");
	target_value=target_value&(~mask);
  //printf("Mask 3 \n");
	target_value=(target_value|data);
  //printf("Mask 4 \n");
	WriteRegister(address, target_value);
  //printf("Mask 5 \n");
}
void Delay_ms(int value)
{
	int i,j,k;
	for(i=0; i<value; i++)
		for(j=0;j<0xfffff;j++)
			k++;
}

void aud_Delay(int delayMS)
{

/*
	//volatile register int loop=delayMS*100;
	UINT32 current_count, target_count;
	//printk("[Audio] Enter aud_Delay\n");	//debug
	//WriteMaskRegister(AUDIO_GLOBAL_CTRL_1_VADDR, _BIT15|_BIT14|_BIT7|_BIT6, _BIT14|_BIT6);//PLL AUDIO = 49.152MHz
	WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT1, _BIT1);
	current_count=ReadRegister(AUDIO_AIN_COUNTER_VADDR);
//	printk("[pedro] current count %x\n", current_count);
	do{
		target_count=ReadRegister(AUDIO_AIN_COUNTER_VADDR);
		//printk("[Audio] target_count=0x%x ; current_count=0x%x ; delayMS=0x%x\n",target_count,current_count,delayMS); //debug
		}while(target_count < (current_count+(0xc000)*delayMS));
	//printk("[pedro] target count %x\n", target_count);
	WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT1, 0);
	//printk("[Audio] Exit aud_Delay\n"); //debug
*/

//volatile register int loop=delayMS*100;
 //UINT32 current_count, target_count;
 //printk("[Audio] Enter aud_Delay\n"); //debug
 //WriteMaskRegister(AUDIO_GLOBAL_CTRL_1_VADDR, _BIT15|_BIT14|_BIT7|_BIT6, _BIT14|_BIT6);//PLL AUDIO = 49.152MHz
 WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT9, _BIT9);
 WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT1, 0);
 WriteMaskRegister(AUDIO_INTERRUPT_EN_VADDR , _BIT13|_BIT14, _BIT13|_BIT14); 
 
 //current_count=ReadRegister(AUDIO_AIN_COUNTER_VADDR);
 //printk("[pedro] current count %x\n", current_count);
 
 WriteRegister(AUDIO_AIN_COMPARE_VADDR,(0x6000)*delayMS); //24.576M
 
 WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT1, _BIT1);

 do{
  		//target_count=ReadRegister(AUDIO_AIN_COUNTER_VADDR);	
  		//printk("[Audio] target_count=0x%x ; current_count=0x%x ; delayMS=0x%x\n",target_count,current_count,delayMS); //debug
  		
  }while((ReadRegister(AUDIO_INTERRUPT_STATUS_VADDR) & 0x4000) != 0x4000);
  //printk("[pedro] target count %x\n", target_count);
   
 WriteMaskRegister(AUDIO_AIO_TIMER_EN_VADDR, _BIT1, 0);
 WriteMaskRegister(AUDIO_INTERRUPT_STATUS_VADDR, _BIT14, _BIT14); 
 //printk("[Audio] Exit aud_Delay\n"); //debug
	
}
void ddr_cache_flush(unsigned long wr_ptr, unsigned rd_ptr, unsigned long wr_len, unsigned long rd_len)
{
    flush_cache(wr_ptr, wr_len);
    //aud_Delay(1000);
    flush_cache(rd_ptr, rd_len);
    //aud_Delay(1000);
}
#ifdef config_AudioInit
void aud_DrPLL(void)
{
//-------- Module Clock & Reset Enable ---------------------------------
//rtd_outl(0x18000110,0xFFFBA3F1);//turn on all except CPUS
rtd_outl(0x18000114,0x80030001); 
rtd_outl(0x18000118,0x00008001); 
rtd_outl(0x1800011c,0x000001c1); 

rtd_outl(0x18000110,0x02000001);
rtd_outl(0x18000100,0x02000001);
rtd_outl(0x18000104,0x80010001);

/*
rtd_outl(0x18000110,0xFFFBA3F1);//turn on all except CPUS
rtd_outl(0x18000114,0xFFFFFFFF); 
rtd_outl(0x18000118,0xFFFFFFFF); 
rtd_outl(0x1800011c,0xFFFFFFFF); 

rtd_outl(0x18000110,0xFFFBFFF8);
rtd_outl(0x18000114,0xFCFFFE3C);
rtd_outl(0x18000118,0xFF17EA5A); 
rtd_outl(0x1800011c,0xFFFFDFFE); 

rtd_outl(0x18000100,0xFFFBA775);//except ALL CPUS
rtd_outl(0x18000104,0xFFFFFFFF);
rtd_outl(0x18000108,0xFFFFFFFF); 
rtd_outl(0x1800010c,0xFFFFFFFF); 

rtd_outl(0x18000110,0xFFFBA7F1);//except ALL CPUS
//rtd_outl(0x18000110,0xFFFFFFFF);
rtd_outl(0x18000114,0xFFFFFFFF); 
rtd_outl(0x18000118,0xFFFFFFFF); 
rtd_outl(0x1800011c,0xFFFFFFFF);
*/


/*
	rtd_outl(0x18000114,0xf8032201);//enable TVSB1~5,D domain,OFFMS clk ; [17]CLKEN_AUDIO_PRE512FS, [16]CLKEN_AUDIO
	printk("AUDIO test2\n");
	rtd_outl(0x18000114,0xF8032200);//disable TVSB1~5,D domain,OFFMS clk ; [17]CLKEN_AUDIO_PRE512FS, [16]CLKEN_AUDIO
	rtd_outl(0x18000104,0xf8012201);//release TVSB1~5,D domain,OFFMS rst ; [16]RSTN_AUDIO=0x1
	rtd_outl(0x18000114,0xF8032201);//enable TVSB1~5,D domain,OFFMS clk ; [17]CLKEN_AUDIO_PRE512FS, [16]CLKEN_AUDIO

	rtd_outl(0x18000118,0x00208041);//enable bist clk ; [15]CLKEN_AUDIO2_512FS, [6]CLKEN_AUDIO3_512FS
	rtd_outl(0x18000118,0x00200000);//disable bist clk; [15]CLKEN_AUDIO2_512FS, [6]CLKEN_AUDIO3_512FS
	rtd_outl(0x18000108,0x00208041);//release bist rst
	rtd_outl(0x18000118,0x00208041);//enable bist clk; [15]CLKEN_AUDIO2_512FS, [6]CLKEN_AUDIO3_512FS

	rtd_outl(0x1800011c,0x000041c1);//enable lg pod2 clk ; [8]Clken_audio_arc_dma_r_512fs,[7]Clken_audio2_dma_r_512fs,[6]Clken_audio_dma_r_512fs
	rtd_outl(0x1800011c,0x000041c0);//disable lg pod2 clk; [8]Clken_audio_arc_dma_r_512fs,[7]Clken_audio2_dma_r_512fs,[6]Clken_audio_dma_r_512fs
	rtd_outl(0x1800010c,0x00007001);//release lg pod2,DISPI2/3 rst
	rtd_outl(0x1800011c,0x000041c1);//enable lg pod2 clk; [8]Clken_audio_arc_dma_r_512fs,[7]Clken_audio2_dma_r_512fs,[6]Clken_audio_dma_r_512fs
*/
//------------ PLL AUD ------------
udelay(1000);//
rtd_outl(0x180004e4,0x00000000);//disable pllaud
udelay(1000);//Cat least > 10us
rtd_outl(0x180004ec,0x00000000);//Disable PSAUD phase shifter & PSAUD all function
udelay(1000);//at least > 10us
rtd_outl(0x180004ec,0x00000004);//PSAUD_EN 0 --> 1
udelay(1000);//at least > 10us
rtd_outl(0x180004ec,0x0000000C);//PSAUD_PSEN 0 --> 1
udelay(1000);//at least > 10us
rtd_outl(0x180004e4,0x00000019);//Enable PLLAUD_CK196M/CK295M output
udelay(1000);
//printk("Init PLL_AUD setting Done\n");
/*
	rtd_outl(0x180004e4,0x00000000);//disable pllaud
	udelay(1000);//Cat least > 10us
	rtd_outl(0x180004ec,0x00000000);//Disable PSAUD phase shifter & PSAUD all function
	udelay(1000);//at least > 10us
	rtd_outl(0x180004ec,0x00000004);//PSAUD_EN 0 --> 1
	udelay(1000);//at least > 10us
	rtd_outl(0x180004ec,0x0000000C);//PSAUD_PSEN 0 --> 1
	udelay(1000);//at least > 10us
	rtd_outl(0x180004e4,0x00000019);//Enable PLLAUD_CK196M/CK295M output
*/

//-------- Audio BB Band gap current source -------------------------------------------------

	//rtd_outl(0xb8020000,0x00000008); // Merlin5: BB POW from ADC Power (REG_ADC_POWER<3>), default enable

//-------- Xtal 27M or 24M option -----------
//rtd_maskl(0xb8000204, 0xfffff7ff, 0x00000800);	//[11]hdmi_xtal_sel: 0x0 from Xtal 27M (Default), 0x1 from PLL27X out 27MHz
//rtd_maskl(0xb80004dc, 0xffffffef, 0x00000010);	//[4]PLLAUD_CKIN_MUX: 0x0 from Xtal 27M(Default), 0x1 from PLL27X out 27MHz

	//printk("Init PLL_SPDIF setting\n");
//------------ PLL SPDIF ------------
	// Fs: 48kHz
	rtd_outl(0xb80004EC, 0x0000000c);//psaud_psen=1, psaud_en=1
	rtd_outl(0xb80004F0, 0x00000004);//coef C=(4+2)*2,PSAUD_DIV

	rtd_outl(0xb8006010, 0x02300c00);//digital tracking
	rtd_maskl(0xb8006004, 0xfffeffff, 0x00010000); //  [16]=1, PLL_SPDIF tracking from SPDIF
//------------- End -----------------

//------------ PLL_eARC_1X & PLL_eARC_1X_48K ------------
	// 1X: 48K ; 1X_48K: 48K
	//Step1
	//-------POW SETUP---------------------------------------------------
	rtd_maskl(0xb80B8004, 0xBFFFFFFF, 0x40000000);//POW_EARC_MBIAS = 1
	rtd_maskl(0xb80B800C, 0xFFFFFFFE, 0x00000001);//Pow_earc_ldo = 1
	rtd_maskl(0xb80B8004, 0xFFFFFFDF, 0x00000020);//EARC_PLL_OEB = 1
	rtd_maskl(0xb80B800C, 0x7FFFFFFF, 0x00000000);//RSTB_EARC_PLL = 0
	rtd_maskl(0xb80B800C, 0xBFFFFFFF, 0x00000000);//RSTB_SPK_DIV = 0

	//Step2
	//-------- eARC coef-------------------------------------------------
	rtd_maskl(0xb80B8004, 0xFFFCFFFF, 0x00010000);//CP = 2'b01
	rtd_maskl(0xb80B8004, 0xFFFF3FFF, 0x0000C000);//CS = 2'b11
	rtd_maskl(0xb80B8004, 0xFFFFE1FF, 0x00000600);//IP = 4'b0011
	rtd_maskl(0xb80B8004, 0xFFFFFFE3, 0x00000004);//RS = 3'b001
	rtd_maskl(0xb80B8004, 0xFFFFFE3F, 0x000000C0);//REG_EARC_PLL_K = 3 ; K = 4
	rtd_maskl(0xb80B8008, 0xF9FFFFFF, 0x00000000);//REG_EARC_PLL_P = 0 ; REG_EARC_PLL_P = P-1; P = 1 
	rtd_maskl(0xb80B8010, 0xF800FFFF, 0x01A30000);//Target Fcode_T = 419 ; F = 419 
	rtd_maskl(0xb80B801C, 0xFF00FFFF, 0x000F0000);//Target Ncode_T = 15; Ncode = N-3; N = 18 
	rtd_maskl(0xb80B8028, 0xFFF3FFFF, 0x00080000);//REG_PI_CUR_SEL]?wEARC_PLL_PI_ISEL) 2'b10
	rtd_maskl(0xb80B8034, 0xFFFFFFFE, 0x00000001);//Apply new setting
	rtd_maskl(0xb80B8000, 0x0F00FFFF, 0x00000000);//CK_1X_48K_MODE X&Y; Mode = 0; X = 17 ; Y = 0

	//Step3
	//-------- eARC Enable-------------------------------------------------
	rtd_maskl(0xb80B8004, 0xDFFFFFFF, 0x20000000);//POW_EARC_PLL = 1
	rtd_maskl(0xb80B800C, 0x7FFFFFFF, 0x80000000);//RSTB_EARC_PLL = 0->1
	rtd_maskl(0xb80B800C, 0xFFFFFFFD, 0x00000002);//RSTB_EARC_PLL_VCO = 0->1
	rtd_maskl(0xb80B8034, 0xFFFFFFFF, 0x00000010);//rstn_plldig = 1

	rtd_maskl(0xb80B8010, 0xFFFFFFFE, 0x00000000);//Oc_en = 0
	rtd_maskl(0xb80B8010, 0xFFFFFFFE, 0x00000001);//Oc_en = 1

	ScalerTimer_DelayXms(1000);//delay 1ms PLL working stable

	rtd_maskl(0xb80B800C, 0xBFFFFFFF, 0x40000000);//RSTB_SPK_DIV = 0->1
	rtd_maskl(0xb80B8004, 0xFFFFFFDF, 0x00000000);//EARC_PLL_OEB = 1->0
	//------------- End -----------------
}

void aud_AIOpinmux(void)
{
	//printk("Init AIO pinmux setting\n");

	// clayton
	// Merlin5 default setting is Audio_BB
	WriteRegister(0xb8000828,0xCCCCCC00); 	// AI2,AI3,Aio1 pin mux
	WriteRegister(0xb800082c,0xCC000000); 	// HPO pin mux
	
}


void aud_DrClock(void)
{
	//printk("Init clk\n");
// ################ [Audio digital clock setting] Start ################ 
	rtd_outl(0xb8006000, 0x80004001);
		//[15:13]bit[1:0] for arc pre sel ck = PLL_Audio, just for bring up
		// [31:30]= 0x2 Clk_inv to analog, Merlin5 only
	rtd_outl(0xb8006004, 0xf0152222);//PLL audio, turn on ADC/DAC SDRAM
	rtd_outl(0xb8006038, 0x000001F0);// tv_demod, i2s_out, spdif_out
// ################ [Audio digital clock setting] End ################ 
}

void aud_DrBaseband(void)
{
	//printk("Init bb\n");
// ################ [Audio Baseband setting] Start ################ 
//rtd_outl(0xb8020000,0x00000008); // Merlin5: BB POW from ADC Power (REG_ADC_POWER<3>), default enable

	rtd_outl(0xb8006b44, 0x00003FFE);//power ON
	rtd_outl(0xb8006b58, 0x00036406); //Power ON & ramp & depop disable
		// Merlin5 change: 0xb8006b58[17], move from 0xb8006b44[6]REG_BB_VREF_POW
		// Merlin5 new: 0xb8006b58[16]VRP_POW
		// [18] for AIC test, use default value
	rtd_outl(0xb8006b5c, 0x0000003E); //depop power down(REG_BB_DPRAMP_POW)
		// [7]BB_DPRAMP_RAMPSEL -> removed in Merlin5

	rtd_outl(0xb8006b48, 0x00023000);// HPO mode

	rtd_outl(0xb8006554, 0x00007651);//DS FIFO ADC1
	rtd_outl(0xb8006b1c, 0x001c0003);//DAC_0_1 setting PB(modify)
		// DAC0/1 src mux: Change register 0xb8006b10 -> 0xb8006b1c
	rtd_outl(0xb8006700, 0x00000000);//Merlin5: PB_DMA_r: bypass ; AQ: off

	// ########### Merlin5 new added #############
	// ADC digital setting, ADC on
	// DAC digital setting, DAC0 & DAC1 on
	rtd_outl(0xb8006008, 0x2000b3ff);
			// ADC:
				// [29]vr_adc_4_en =1
				// [28]vr_adc_4_clk_gate_en = 0
				// [19:16]vr_adc_4_sample_rate=0x0, 48kHz
				// [15]vr_adc_ana_0_en = 1
			// DAC0:
				// [13]vr_dac_0_en =1
				// [11]vr_dac_0_clk_gate_en = 0
				// [9:6]vr_dac_0_sample_rate=0xF, 48kHz
				// [1]vr_dac_ana_0_en = 1
			// DAC1:
				// [12]vr_dac_1_en =1
				// [10]vr_dac_1_clk_gate_en = 0
				// [5:2]vr_dac_1_sample_rate=0xF, 48kHz
				// [0]vr_dac_ana_1_en = 1
	rtd_outl(0xb800600c, 0x00060b88);
			// ADC:
				// [11]vr_asrcin_tcon_en0 =1
				// [7]vr_asrcin_fsi0_gating_en = 0
			// DAC0:
				// [18]vr_damod_0_en = 1 => what's this?
				// [9]vr_asrcin_tcon_en2 =1
				// [5]vr_asrcin_fsi2_gating_en = 0
			// DAC1:
				// [17]vr_damod_1_en = 1 => what's this?
				// [8]vr_asrcin_tcon_en3 =1
				// [4]vr_asrcin_fsi3_gating_en = 0
			// DAC overall:
				// [19]vr_osr_dac_sel = 0 => 128Fs=6.144MHz
			// ASRC overall:
				// [3:2]vr_asrcin_ftk_loop_gain_sel0 = 2, 2^-18
				
	rtd_outl(0xb8006B0c, 0x0000fb6c);
			// digital ADC src from DMIC or Analog ADC:
				// [2]adc4_in_sel =1
				// [1:0]adc4_lr_sel = 0, normal
			// DMIC related:
				// Here, follow hw default setting
				
	rtd_outl(0xb800603c, 0xa0008a00);
			// ADC ASRC mn code for 48KHz or 44.1KHz:
				// [27:25]vr_asrcin_ftk_m0 =0
				// [15:14]vr_asrcin_ftk_n0 =2
			// DAC0 ASRC mn code for 48KHz or 44.1KHz:
				// [21:19]vr_asrcin_ftk_m2 =0
				// [11:10]vr_asrcin_ftk_n2 =2
			// DAC1 ASRC mn code for 48KHz or 44.1KHz:
				// [18:16]vr_asrcin_ftk_m3 =0
				// [9:8]vr_asrcin_ftk_n3 =2

	rtd_outl(0xb8006b20, 0x0000a10c);
			// ADC Data inverse
			// 0x18006B20[3]adc4_l_inverter_en = 1
			// 0x18006B20[2]adc4_r_inverter_en = 1
	//################################################

	// ########### Merlin5 optimization #############
	rtd_outl(0xb8006b4c, 0xd5c41011);
		// [23:22]REG_BB_ISEL_HPO= 0x1 -> 0x3, for better THD+N of HPout
	rtd_outl(0xb8006B10, 0x97af8909);
			// digital ADC optimization for Swing
			// [12]adc4_src_en=0x0
			// [31:30]adc4_ad_comp_gain = 0x2
	//################################################

	rtd_outl(0xb8006b30, 0x01fc007f);//analog_frontend1_mute: Ain1/2/3 mute
		// [18][0]: AIN1
		// [19][1]: AIN2
		// [20][2]: AIN3
		// [21][3]: AIO
	rtd_outl(0xb8006b38, 0x81f80ffd);//analog_aio_Hpout_Lineout_L
		// AIO src mux on : DAC1
			// [0]: DAC0
			// [1]: DAC1=0
			// [2]: ADCFE
		// HP src mux on : DAC0
			// [18]: DAC0=0 
			// [19]: DAC1
			// [20]: ADCFE
		// [31]REG_BB_HPO_BIAS_SEL = 1
		
	rtd_outl(0xb8006b3c, 0x01f80ffd);//analog_aio_Hpout_Lineout_R
		// AIO src mux on : DAC1
			// [0]: DAC0
			// [1]: DAC1=0
			// [2]: ADCFE
		// HP src mux on : DAC0
			// [18]: DAC0=0 
			// [19]: DAC1
			// [20]: ADCFE
// ################ [Audio Baseband setting] End ################ 
}

void aud_DrGpio(void)
{
// [Clayton]: Modify done <6/2>
	//printk("Init gpio\n");
	// SPDIF output0 pin mux
	// 4k60 QA board: SW184-switch4
	rtd_maskl(0xb8000814, 0xffff0fff, 0x00009000);//SPDIF_OUT0 / pad_gpio_22_io
	// SPDIF output1 pin mux
	// 4k60 QA board: SW148-switch2
	rtd_maskl(0xb8060214, 0xffffff0f, 0x00000090);//SPDIF_OUT1 / pad_gpio_26_io
	
	// spdif in
	// 4k60 QA board: SW224-switch1
	rtd_maskl(0xb806022c, 0xffff0fff, 0x00009000);//SPDIF_IN / GPIO_49
	//rtd_maskl(0xb8060240, 0xfdffdfff, 0x02002000);//Schmitt Trigger enable control-->0
	rtd_outl(0xb8060240,0xfdffc000);////st_gpio_49_smt=0 & st_gpio_49_ten = 0(for SPDIF)	

	// i2s out
	// I2S OUT pin mux
	rtd_maskl(0xb8000808, 0xff0f0f0f, 0x00a0a0a0);//I2S_OUT MCLK(pad_gpio_9_io)/SCLKpad_gpio_10_io/WCLK(pad_gpio_11_io)
	rtd_maskl(0xb800080c, 0x0f0f0f0f, 0xa0a0a0a0);//I2S_OUT D0(pad_gpio_12_io)/D1(pad_gpio_13_io)/D2(pad_gpio_14_io)/D3(pad_gpio_15_io)

	//pad_gpio_9_io: MCLK , 0x18000808[23:20]=0xa
	//pad_gpio_10_io: SCLK , 0x18000808[15:12]=0xa
	//pad_gpio_11_io: WCLK , 0x18000808[7:4]=0xa
	//pad_gpio_12_io: D0 , 0x1800080c[31:28]=0xa
	//pad_gpio_13_io: D1 , 0x1800080c[23:20]=0xa
	//pad_gpio_14_io: D2 , 0x1800080c[15:12]=0xa
	//pad_gpio_15_io: D0 , 0x1800080c[7:4]=0xa

	// i2s in
	// I2S IN pin mux
	rtd_maskl(0xb8000830, 0x00fff0ff, 0xaa000a00);//I2S_D0/D1/D2
	rtd_maskl(0xb8000834, 0xf0ffffff, 0x0a000000);//I2S_D3
	rtd_maskl(0xb8000830, 0xffffffce, 0x00000031); //  D0/D1/D2 change to digital
	rtd_maskl(0xb8000834, 0xffffffef, 0x00000010); //  D3 change to digital
}

void aud_DrSIF(void)
{
    //enable MSD
    WriteMaskRegister(AUDIO_MSD_CRTL_WORD_VADDR, _BIT29,_BIT29);
/*
	printk("sif\n");
	WriteRegister(0xb8000500, 0x11100001);
	WriteRegister(0xb8000504, 0x00000f00);
	WriteRegister(0xb8000508, 0x00000003);
	WriteRegister(0xb8033020, 0x11111111);//ADC power

	WriteRegister(0xb8033030, 0x18800200);
	WriteRegister(0xb803303C, 0x00080000);
	WriteRegister(0xb8033040, 0x00011111);
	WriteRegister(0xb8033044, 0x01010101);
	WriteRegister(0xb803304C, 0x00000003);
	WriteRegister(0xb8033050, 0x000aaa08);
	WriteRegister(0xb8033054, 0x00000202);

	WriteRegister(0xb8032368, 0x00000000); // input bypass
	WriteMaskRegister(0xb8033030, _BIT17|_BIT16, _BIT17);//CLK_24576
	WriteMaskRegister(0xb8033044, _BIT1|_BIT0, 0);//SIF_GPA
*/
}
//Frank
//CLKEN=0, RSTN=0, RSTN=1, CLKEN=1
void aud_DrInitialize(void)
{
	//#include "./Merlin5/merlin5_crt_all_turn_on.tbl"         // crt script
	//printk("merlin5_crt_all_turn_on script\n");
	aud_DrPLL();	//ok <2019/6/2>
	aud_DrClock(); //ok <2019/6/2>
	aud_AIOpinmux(); //ok <2019/6/2>
	aud_DrBaseband(); //ok <2019/6/2>
	aud_DrGpio(); //ok <2019/6/2>
	aud_DrSIF(); //skip <2019/6/2>
	WriteRegister(AUDIO_AIN_COMPARE_VADDR, 0xFFFFFFFF);// set Ain timer
	WriteRegister(AUDIO_AOUT_COMPARE_VADDR, 0xFFFFFFFF);// set AOUT timer

	aud_Delay(20);	//[fixed me]
	printk("Init Audio Done %x\n",(UINT32)&g_audio_initialize_done);
	g_audio_initialize_done = 1;
}
#endif

#ifdef config_AudioPath_Digital
void dx_I2sSetInputPri(QC_I2SIO_SrcSel src_select)
{
	WriteMaskRegister(AUDIO_I2S_IN_PRIMARY_VADDR, _BIT31|_BIT30, src_select<<30);
	WriteMaskRegister(AUDIO_I2S_IN_PRIMARY_VADDR, _BIT27, _BIT27);// Master mode only
#ifdef I2S_D0_FROM_SRC_5
	WriteMaskRegister(0xb80008f4, _BIT22|_BIT21|_BIT20, _BIT22|_BIT20);//i2s in pin mux: I2S_D0_FROM_SRC_5
	WriteMaskRegister(0xb806020c, _BIT31|_BIT30|_BIT29|_BIT28, _BIT31|_BIT29);//5V_Detect Pinmux, ST_GPIO14, 0xb806020c[15:12]
#endif
	
}

UINT32 dx_I2sGetWordLength(UINT32 is_sec_module)
{
	return (ReadRegister(AUDIO_I2S_IN_PRIMARY_VADDR)&0x7F);
}

UINT32 dx_I2sGetSampleRate(void)
{
//	printk("[pedro] get i2s sample rate\n");
      aud_Delay(10);
	return ((ReadRegister(AUDIO_I2S_IN_PRIMARY_VADDR)>>8)&0xF);
}

void dx_I2sSetOutput(QC_I2SIO_SrcSel  src_select, UINT32 pcm_src)
{
	WriteMaskRegister(AUDIO_I2S_OUT_VADDR, _BIT30|_BIT29|_BIT28, src_select<<28);
	WriteMaskRegister(AUDIO_I2S_OUT_SEL_VADDR, _BIT31|_BIT30|_BIT29|_BIT28, pcm_src<<28);	// Clayton 2014/1/8, fixed bit mapping error
	if(pcm_src>=4)
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT31|_BIT30|_BIT29, _BIT29);
	else
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT31|_BIT30|_BIT29, 0);
}
void dx_I2sSetOutput8Ch(QC_I2SIO_SrcSel  src_select, UINT32 pcm_src)
{
	WriteMaskRegister(AUDIO_I2S_OUT_VADDR, _BIT30|_BIT29|_BIT28, src_select<<28);
	WriteMaskRegister(AUDIO_I2S_OUT_SEL_VADDR, _BIT30|_BIT29|_BIT28, pcm_src<<28);	// Clayton 2014/1/8, fixed bit mapping error
	WriteMaskRegister(AUDIO_I2S_OUT_SEL_VADDR, _BIT26|_BIT25|_BIT24, pcm_src<<24);	//ch2/3
	WriteMaskRegister(AUDIO_I2S_OUT_SEL_VADDR, _BIT22|_BIT21|_BIT20, pcm_src<<20);	//ch4/5
	WriteMaskRegister(AUDIO_I2S_OUT_SEL_VADDR, _BIT18|_BIT17|_BIT16, pcm_src<<16);	//ch6/7
	if(pcm_src>=4)
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT29, _BIT29);
	else
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT29, 0);
}
void dx_I2sSetOutputPadSel(void)
{

    WriteMaskRegister(AUDIO_I2S_OUT_VADDR, _BIT15|_BIT14, 0<<14);
    WriteMaskRegister(AUDIO_I2S_OUT_VADDR, _BIT13|_BIT12, 1<<12);
    WriteMaskRegister(AUDIO_I2S_OUT_VADDR, _BIT11|_BIT10, 2<<10);
    WriteMaskRegister(AUDIO_I2S_OUT_VADDR,  _BIT9|_BIT8 , 3<<8);
}


void dx_SpdifSetInput(QC_SPDIFIO_SrcSel src_select)
{
	WriteMaskRegister(AUDIO_SPDIF_IN_VADDR, _BIT31|_BIT30, src_select<<30);
}

UINT32 dx_SpdifGetSampleRate(void)
{
//	printk("[pedro] get spdif sample rate\n");
	return (ReadRegister(AUDIO_SPDIF_IN_VADDR)&0xF);
}

void dx_SpdifSetOutput0(QC_SPDIFIO_SrcSel src_select, UINT32 pcm_src)
{
	WriteMaskRegister(AUDIO_SPDIF_OUT_VADDR, _BIT31|_BIT30, src_select<<30);
	WriteMaskRegister(AUDIO_SPDIF_OUT_VADDR, _BIT26|_BIT25|_BIT24|_BIT23, pcm_src<<23);

	if((pcm_src==4) || (pcm_src==5) || (pcm_src==7))		//Clayton 2014/1/9
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT3|_BIT2, _BIT2);	// TS Path
	else if ((pcm_src==0) || (pcm_src==1) || (pcm_src==2)|| (pcm_src==3) || (pcm_src==6))
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT3|_BIT2, 0);	//PB path
	else if ((pcm_src==8) || (pcm_src==12))
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT3|_BIT2, _BIT3);	//ARC path
	else if(pcm_src==8)
        printf("AO HDMI!!!!\n");
    else
        printf("[dx_SpdifSetOutput0]No this choise\n");
}

void dx_SpdifSetOutput1(QC_SPDIFIO_SrcSel src_select, UINT32 pcm_src)
{
	WriteMaskRegister(AUDIO_SPDIF_OUT_1_VADDR, _BIT31|_BIT30, src_select<<30);
	WriteMaskRegister(AUDIO_SPDIF_OUT_1_VADDR, _BIT26|_BIT25|_BIT24|_BIT23, pcm_src<<23);
	WriteMaskRegister(AUDIO_SPDIF_OUT_1_VADDR, _BIT20, 0);

	if((pcm_src==4) || (pcm_src==5) || (pcm_src==7))		//Clayton 2014/1/9
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT1|_BIT0, _BIT0);	// TS Path
	else if ((pcm_src==0) || (pcm_src==1) || (pcm_src==2)|| (pcm_src==3) || (pcm_src==6))
		WriteMaskRegister(AUDIO_GLOBAL_CTRL_2_VADDR, _BIT1|_BIT0, 0);	//PB path
	else if(pcm_src==8)
        printf("AO HDMI!!!!\n");
    else
        printf("[dx_SpdifSetOutput1]No this choise\n");
}


#endif

#ifdef config_AudioPath_Analog
void dx_AdcSetInput(QC_AIO_SrcSel src_select)
{
	switch(src_select)
		{
		case AIN1_ADC:
			WriteMaskRegister(AUDIO_ANALOG_FRONTEND1_MUTE_VADDR, _BIT18|_BIT0, 0x0); // AIN1 - ADC
			break;
		case AIN2_ADC:
			WriteMaskRegister(AUDIO_ANALOG_FRONTEND1_MUTE_VADDR, _BIT19|_BIT1, 0x0); // AIN2 - ADC
			break;
		case AIN3_ADC:
			WriteMaskRegister(AUDIO_ANALOG_FRONTEND1_MUTE_VADDR, _BIT20|_BIT2, 0x0); // AIN3 - ADC
			break;
			

		case AIN1_ADC2:
			printf("Merlin4 doesn't supprot 2nd ADC!!!!\n");
			//WriteMaskRegister(AUDIO_ANALOG_FRONTEND2_MUTE_VADDR, _BIT20|_BIT2, 0x0); // AIN1 - ADC2
			break;
		case AIN2_ADC2:
			printf("Merlin4 doesn't supprot 2nd ADC!!!!\n");
			//WriteMaskRegister(AUDIO_ANALOG_FRONTEND2_MUTE_VADDR, _BIT21|_BIT3, 0x0); // AIN2 - ADC2
			break;
		case AIN3_ADC2:
			printf("Merlin4 doesn't supprot 2nd ADC!!!!\n");
			//WriteMaskRegister(AUDIO_ANALOG_FRONTEND2_MUTE_VADDR, _BIT22|_BIT4, 0x0); // AIN3 - ADC2
			break;


		default:
			WriteMaskRegister(AUDIO_ANALOG_FRONTEND1_MUTE_VADDR, 0xFFFFFFFF, 0xFFFFFFFF);// Mute All Ain
			//WriteMaskRegister(AUDIO_ANALOG_FRONTEND2_MUTE_VADDR, 0xFFFFFFFF, 0xFFFFFFFF);// Mute All Ain	
			break;
		}

}
void dx_FifoPlay_CH01(QC_FIFO_SrcSel play_src_select) // main ch0/1
{
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR, 0xF, play_src_select);
}
void dx_FifoPlay_AllCH(QC_FIFO_SrcSel play_src_select) //
{
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR, 0xF   , play_src_select);//ch0/1
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR, 0xF0  , ((play_src_select+1)<<4));//ch2/3
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR, 0xF00 , ((play_src_select+2)<<8));//ch4/5
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR, 0xF000, ((play_src_select+3)<<12));//ch6/7
}

void dx_FifoTs_CH01(QC_FIFO_SrcSel ts_src_select) // main ch0/1
{
	WriteMaskRegister(AUDIO_DOWN_SAMPLE_CONTROL_FOR_TS_VADDR, 0xF000, ts_src_select<<12);
}

void dx_FifoArc_CH01(QC_FIFO_SrcSel arc_src_select) // main ch0/1
{
	WriteMaskRegister(AUDIO_FIFO_CONTROL_FOR_ARC_VADDR, 0xF000, arc_src_select<<12);
}

void dx_Dac0SetOutput(QC_DAC_SrcSel src_select)
{
	WriteMaskRegister(AUDIO_DAC0_1_SRC_SEL_VADDR, _BIT3|_BIT2|_BIT1|_BIT0, src_select);
}

void dx_Dac1SetOutput(QC_DAC_SrcSel src_select)
{
	WriteMaskRegister(AUDIO_DAC0_1_SRC_SEL_VADDR, _BIT21|_BIT20|_BIT19|_BIT18, src_select<<18);
}
void dx_HPSetOutput(QC_AIO_SrcSel src_select)
{
	switch(src_select)
		{
		case DAC1:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT19, 0x0); // choose DAC1
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT19, 0x0); // choose DAC1
			break;
		case DAC0:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT18, 0x0); // choose DAC0
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT18, 0x0); // choose DAC0
			break;
		//case ADCFE:
		//	WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x3ff,0x3ff);	// Mute all source of HP
		//	WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT6|_BIT1, 0x0);	// choose ADCFE
		//	break;
		default: //Mute all
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source of HP
		}

}
//Frank start, ryanliao modify
void dx_LOSetOutput(QC_AIO_SrcSel src_select)
{
	dx_AIO1SetOutput(src_select);
}

void dx_AIO1SetOutput(QC_AIO_SrcSel src_select) //ryanliao
{
	WriteMaskRegister(AUDIO_ANALOG_POWER_VADDR,_BIT2,_BIT2);// cahnge AIO1 to AOUT mode;

	switch(src_select)
		{
		case DAC1:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT1, 0x0); // choose DAC1 AIO1
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT1, 0x0); // choose DAC1 AIO1

			break;
		case DAC0:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT0, 0x0); // choose DAC0 AIO1
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT0, 0x0); // choose DAC0 AIO1
			break;
		default: //Mute All
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
		}
}

void dx_AIO2SetOutput(QC_AIO_SrcSel src_select)
{
	printf("Merlin4 doesn't supprot AIO2!!!!\n");
	/*
	WriteMaskRegister(AUDIO_ANALOG_POWER_VADDR,_BIT1,_BIT1);// cahnge AIO2 to AOUT mode;

	switch(src_select)
		{
		case DAC1:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT7, 0x0); // choose DAC1 AIO2
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT7, 0x0); // choose DAC1 AIO2

			break;
		case DAC0:
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR, _BIT6, 0x0); // choose DAC0 AIO2
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR, _BIT6, 0x0); // choose DAC0 AIO2
			break;
		default: //Mute All
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_L_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
			WriteMaskRegister(AUDIO_ANALOG_AIO_HPOUT_LINEOUT_R_VADDR,0x1FFFFFF,0x1FFFFFF);	// Mute all source
		}
	*/
}

#endif

#ifdef config_AudioFunction
UINT32 dx_AutotSineCheck(UINT32 amplitude, UINT32 cntthd, UINT32 frequency ,QC_LRCH_Sel ch_select)
{
	UINT32 cntgolden;

	cntgolden= 48000/(2*frequency);
	WriteMaskRegister(AUDIO_SINE_AUTO_CHK_VADDR, _BIT31, 0);
	aud_Delay(100);
	WriteMaskRegister(AUDIO_SINE_AUTO_CHK_VADDR, _BIT30|_BIT29|_BIT28, ch_select<<28);
	WriteMaskRegister(AUDIO_SINE_AUTO_CHK_VADDR, _BIT21|_BIT20, amplitude<<20);
	WriteMaskRegister(AUDIO_SINE_AUTO_CHK_VADDR, 0x3FFFF, (cntthd<<12)+cntgolden);
	aud_Delay(10);
	WriteMaskRegister(AUDIO_SINE_AUTO_CHK_VADDR, _BIT31, _BIT31);
	aud_Delay(500);
	if((ReadRegister(AUDIO_SINE_AUTO_CHK_VADDR)&_BIT24)>>24)
		{
		return 0;
		}
	else
		{
		printk("realgolden = %d \n",ReadRegister(AUDIO_SINE_WAVE_VALUE_VADDR)&(0x00000fff) );
		return 1;
		}

}
//Frank
UINT32 dx_PeakDetectSet( AIO_PEAK_SRC src_select, QC_LRCH_Sel ch_select)
{
	UINT32 peak;

  WriteMaskRegister(AUDIO_PEAK_CONTORL_VADDR , _BIT4, 0);
  WriteMaskRegister(AUDIO_PEAK_CONTORL_VADDR, _BIT3|_BIT2|_BIT1|_BIT0, src_select);
  WriteMaskRegister(AUDIO_PEAK_STATUS_R_VADDR, 0xFFFF, 0);
  WriteMaskRegister(AUDIO_PEAK_STATUS_L_VADDR, 0xFFFF, 0);
  WriteMaskRegister(AUDIO_PEAK_CONTORL_VADDR, _BIT4, _BIT4);
  aud_Delay(100);
	if(ch_select)
	{
		peak= ReadRegister(AUDIO_PEAK_STATUS_R_VADDR)&0xFFFF;
	}
	else
	{
		peak = ReadRegister(AUDIO_PEAK_STATUS_L_VADDR)&0xFFFF;
	}


	return peak;
}

#endif

#ifdef config_AudioDMA
void dx_DmaTsPath(QC_DMA_PATH is_ts_dma){
	WriteMaskRegister(AUDIO_DVOL_CONTROL_VADDR, _BIT0, is_ts_dma);
}
void dx_DmaDsPath(QC_DMA_PATH is_play_dma){
	WriteMaskRegister(AUDIO_HW_PROCESS_CONTROL_VADDR, _BIT5, is_play_dma<<5);
}
void dx_InternalPatternGenerator(QC_InternalPeattern_Sel test_case, QC_ChannelNumber_Sel chs) //PB path
{

	switch(test_case){
		case triangular_wave:
			// pattern generate triangular wave 2ch or 8ch
			if(chs== twoCH) {
				WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT30|_BIT9);
				dx_DmaDsPath(DMA_Play);
				}
			else{//8ch
				WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT30|_BIT11|_BIT10|_BIT9);
				dx_DmaDsPath(DMA_Play);
				}
			break;

		case increase_count_wave:
			//pattern generate increase count wave 2ch or 8ch
			if(chs==twoCH){
				WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT9);
				dx_DmaDsPath(DMA_Play);
				}
			else{//ch8
				WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT11|_BIT10|_BIT9);
				dx_DmaDsPath(DMA_Play);
				}
			break;
		default:
			WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT30|_BIT9);
			dx_DmaDsPath(DMA_Play);

		}

	return ;
}

void dx_InternalPatternGeneratorTS(QC_InternalPeattern_Sel test_case, QC_ChannelNumber_Sel chs) //TS path
{

	switch(test_case){
		case triangular_wave:
			// pattern generate triangular wave 2ch or 8ch
			if(chs== twoCH) {
				WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT30|_BIT9);
				dx_DmaTsPath(DMA_Play);
				}
			else{//8ch
				WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT30|_BIT11|_BIT10|_BIT9);
				dx_DmaTsPath(DMA_Play);
				}
			break;

		case increase_count_wave:
			//pattern generate increase count wave 2ch or 8ch
			if(chs==twoCH){
				WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT9);
				dx_DmaTsPath(DMA_Play);
				}
			else{//ch8
				WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT11|_BIT10|_BIT9);
				dx_DmaTsPath(DMA_Play);
				}
			break;
		default:
			WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT30|_BIT9);
			dx_DmaTsPath(DMA_Play);

		}

	return ;
}

void dx_InternalPatternGeneratorARC(QC_InternalPeattern_Sel test_case, QC_ChannelNumber_Sel chs) //TS path
{

	switch(test_case){
		case triangular_wave:
			// pattern generate triangular wave 2ch or 8ch
			if(chs== twoCH) {
				WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT30|_BIT9);
				}
			break;

		case increase_count_wave:
			//pattern generate increase count wave 2ch or 8ch
			if(chs==twoCH){
				WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT9);
				}
			break;
		default:
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT31|_BIT30|_BIT11|_BIT10|_BIT9, _BIT31|_BIT30|_BIT9);

		}

	return ;
}

int dx_DmaSetWrAddr(int is_play_dma, int buf_samples, int channels, unsigned int* wr_buf_addr)
{
	int i;
	UINT32 wr_start_addr_buf = 0;	
	//printk("DMA WR ADDR\n");
	if(is_play_dma == PB_Path){
		if(channels>8)
			channels=8;
		WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			wr_start_addr_buf = (unsigned int)(wr_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
			udelay(10);
		}
	}
	else if(is_play_dma == TS_Path){
		if(channels>4)
			channels=4;
		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			wr_start_addr_buf = (unsigned int)(wr_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
			udelay(10);
		}
	}
	else if(is_play_dma == ARC_Path){
		if(channels>2)
			channels=2;
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			wr_start_addr_buf = (unsigned int)(wr_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_WSADR_ARCW_VADDR,wr_start_addr_buf);
			udelay(10);
		}
	}

	return 0;
}

int dx_DmaSetRdAddr(int is_play_dma, int buf_samples, int channels, unsigned int* rd_buf_addr)
{
	int i;
	UINT32 rd_start_addr_buf = 0;
	//printk("DMA RD ADDR\n");
	if(is_play_dma == PB_Path){
		if(channels>8)
			channels=8;
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			rd_start_addr_buf = (unsigned int)(rd_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
			udelay(10);
		}
	}
	else if(is_play_dma == TS_Path){
		if(channels>6)
			channels=6;
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			rd_start_addr_buf = (unsigned int)(rd_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_RSADR_TSR_VADDR,rd_start_addr_buf);
			udelay(10);
		}
	}
	else if(is_play_dma == ARC_Path){
		if(channels>2)
			channels=2;
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, 0x0E00, (channels-1)<<9);

		for(i=0; i<channels; i++)
		{
			// rd_start_addr
			rd_start_addr_buf = (unsigned int)(rd_buf_addr + i*buf_samples) | i | _BIT3;	//bit3: get_adr
			WriteRegister( AUDIO_ADMA_RSADR_ARCR_VADDR,rd_start_addr_buf);
			udelay(10);
		}
	}

	return 0;
}

void dx_DMA_R_Config(QC_RDMA_CFG m_config, QC_RD_START_ADDR rd_start_addr, UINT32 rd_buf_length)
{
    UINT32 WriteData = 0, rd_start_addr_buf = 0;
    UINT32 rd_buffer_length = 0;
    audio_ardma_ctrl_RBUS audio_ardma_ctrl;

    if ( PB_Path == m_config.r_path )
    	{
    		// Initial setting of rDMA & Disable rDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.r_pcm_format << 29) | (m_config.rd_channels << 9) | (m_config.audio_out_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_PBR_VADDR,0x1ffff0ef,WriteData);
		rd_buffer_length = rd_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WRCONF_PBR_VADDR,0x8000ffff,rd_buffer_length);

		// rd_start_addr
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch2 | CH2 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch3 | CH3 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch4 | CH4 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch5 | CH5 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch6 | CH6 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch7 | CH7 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_PBR_VADDR,rd_start_addr_buf);
		udelay(10);
    	}
    else if ( TS_Path == m_config.r_path )
    	{
    		// Initial setting of rDMA & Disable rDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.r_pcm_format << 29) | (m_config.rd_channels << 9) | (m_config.audio_out_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_TSR_VADDR,0x1ffff0ef,WriteData);
		rd_buffer_length = rd_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WRCONF_TSR_VADDR,0x8000ffff,rd_buffer_length);

		// rd_start_addr
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_TSR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_TSR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch2 | CH2 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_TSR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch3 | CH3 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_TSR_VADDR,rd_start_addr_buf);
		udelay(10);    	
    	}
    else	// ARC DMA
    	{
    		// Initial setting of rDMA & Disable rDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.r_pcm_format << 29) | (m_config.rd_channels << 9) | (m_config.audio_out_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_ARCR_VADDR,0x1ffff0ef,WriteData);
		rd_buffer_length = rd_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WRCONF_ARCR_VADDR,0x8000ffff,rd_buffer_length);

		// rd_start_addr
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_ARCR_VADDR,rd_start_addr_buf);
		udelay(10);
		rd_start_addr_buf = rd_start_addr.rd_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_RSADR_ARCR_VADDR,rd_start_addr_buf);
		udelay(10);    	
    	}
	
	// Enable overall rDMA
	audio_ardma_ctrl.regValue= ReadRegister(AUDIO_ARDMA_CTRL_VADDR);
	audio_ardma_ctrl.dma_enable = 1;
	WriteRegister( AUDIO_ARDMA_CTRL_VADDR,audio_ardma_ctrl.regValue);
}

void dx_DMA_R_ONOFF(bool ONOFF, QC_Path_Sel dmatype)
{
    audio_adma_csr_pbr_RBUS audio_adma_csr_pbr;
    audio_adma_csr_tsr_RBUS audio_adma_csr_tsr;
    audio_adma_csr_arcr_RBUS audio_adma_arcr_tsr;
    audio_hw_process_control_RBUS audio_hw_process_control;
    audio_dvol_control_RBUS audio_dvol_control;

    if ( PB_Path == dmatype )
    	{
    		audio_adma_csr_pbr.regValue= ReadRegister(AUDIO_ADMA_CSR_PBR_VADDR);
		audio_adma_csr_pbr.dma_soft_rd_rst = 1;
		audio_adma_csr_pbr.dma_read_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_PBR_VADDR, audio_adma_csr_pbr.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_hw_process_control.regValue= ReadRegister(AUDIO_HW_PROCESS_CONTROL_VADDR);
			audio_hw_process_control.basic_premium_sel = 1;
			WriteRegister(AUDIO_HW_PROCESS_CONTROL_VADDR, audio_hw_process_control.regValue);
			
			audio_adma_csr_pbr.regValue= ReadRegister(AUDIO_ADMA_CSR_PBR_VADDR);
			audio_adma_csr_pbr.dma_read_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_PBR_VADDR, audio_adma_csr_pbr.regValue);
		}
    	}
    else if ( TS_Path == dmatype )
    	{
    		audio_adma_csr_tsr.regValue= ReadRegister(AUDIO_ADMA_CSR_TSR_VADDR);
		audio_adma_csr_tsr.dma_soft_rd_rst = 1;
		audio_adma_csr_tsr.dma_read_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_TSR_VADDR, audio_adma_csr_tsr.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_dvol_control.regValue= ReadRegister(AUDIO_DVOL_CONTROL_VADDR);
			audio_dvol_control.vol_source_sel = 1;
			WriteRegister(AUDIO_DVOL_CONTROL_VADDR, audio_dvol_control.regValue);
		
			audio_adma_csr_tsr.regValue= ReadRegister(AUDIO_ADMA_CSR_TSR_VADDR);
			audio_adma_csr_tsr.dma_read_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_TSR_VADDR, audio_adma_csr_pbr.regValue);
		}
    	}
    else	// ARC DMA
    	{
    		audio_adma_arcr_tsr.regValue= ReadRegister(AUDIO_ADMA_CSR_ARCR_VADDR);
		audio_adma_arcr_tsr.dma_soft_rd_rst = 1;
		audio_adma_arcr_tsr.dma_read_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_ARCR_VADDR, audio_adma_arcr_tsr.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_adma_arcr_tsr.regValue= ReadRegister(AUDIO_ADMA_CSR_ARCR_VADDR);
			audio_adma_arcr_tsr.dma_read_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_ARCR_VADDR, audio_adma_arcr_tsr.regValue);
		}    	
    	}
}

void dx_DMA_W_Config(QC_WDMA_CFG m_config, QC_WR_START_ADDR wr_start_addr, UINT32 wr_buf_length, QC_FIFO_SrcSel fifo_src)
{
    UINT32 WriteData = 0, wr_start_addr_buf = 0;
    UINT32 wr_buffer_length = 0;
    audio_awdma_ctrl_RBUS audio_awdma_ctrl;
	audio_down_sample_fifo_source_sel_RBUS audio_down_sample_fifo_source_sel;
	audio_down_sample_control_for_ts_RBUS audio_down_sample_control_for_ts;
	audio_fifo_control_for_arc_RBUS audio_fifo_control_for_arc;
	
    if ( PB_Path == m_config.w_path )
    	{
    		// Initial setting of wDMA & Disable wDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.w_pcm_format << 28) | (m_config.w_HBR_mode << 14) | (m_config.wr_channels << 9) | (m_config.audio_in_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_PBW_VADDR,0x0fffb0ef,WriteData);
		wr_buffer_length = wr_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WRCONF_PBW_VADDR,0x8000ffff,wr_buffer_length);

		// wr_start_addr
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch2 | CH2 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch3 | CH3 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch4 | CH4 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch5 | CH5 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch6 | CH6 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch7 | CH7 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_PBW_VADDR,wr_start_addr_buf);
		udelay(10);

		audio_down_sample_fifo_source_sel.regValue= ReadRegister(AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR);
		audio_down_sample_fifo_source_sel.fifo_ch01_sel = fifo_src;
		audio_down_sample_fifo_source_sel.fifo_ch23_sel = fifo_src;
		audio_down_sample_fifo_source_sel.fifo_ch45_sel = fifo_src;
		audio_down_sample_fifo_source_sel.fifo_ch67_sel = fifo_src;
		WriteRegister( AUDIO_DOWN_SAMPLE_FIFO_SOURCE_SEL_VADDR,audio_down_sample_fifo_source_sel.regValue);
    	}
    else if ( TS_Path == m_config.w_path )
    	{
    		// Initial setting of wDMA & Disable wDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.w_pcm_format << 28) | (m_config.w_HBR_mode << 14) | (m_config.wr_channels << 9) | (m_config.audio_in_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_TSW_VADDR,0x0fffb0ef,WriteData);
		wr_buffer_length = wr_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WCONF_TSW_VADDR,0x8000ffff,wr_buffer_length);

		// wr_start_addr
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch2 | CH2 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch3 | CH3 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch4 | CH4 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch5 | CH5 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_TSW_VADDR,wr_start_addr_buf);
		udelay(10);

		audio_down_sample_control_for_ts.regValue= ReadRegister(AUDIO_DOWN_SAMPLE_CONTROL_FOR_TS_VADDR);
		audio_down_sample_control_for_ts.fifo_ch01_sel= fifo_src;
		audio_down_sample_control_for_ts.fifo_ch23_sel = fifo_src;
		audio_down_sample_control_for_ts.fifo_ch45_sel = fifo_src;
		WriteRegister( AUDIO_DOWN_SAMPLE_CONTROL_FOR_TS_VADDR,audio_down_sample_control_for_ts.regValue);		
    	}
    else	// ARC DMA
    	{
    		// Initial setting of wDMA & Disable wDMA first
    		WriteData = (m_config.src_from << 30) | (m_config.w_pcm_format << 28) | (m_config.w_HBR_mode << 14) | (m_config.wr_channels << 9) | (m_config.audio_in_type << 8) | (0x0 << 4);
		WriteMaskRegister( AUDIO_ADMA_CSR_ARCW_VADDR,0x0fffb0ef,WriteData);
		wr_buffer_length = wr_buf_length << 16;
		WriteMaskRegister( AUDIO_ADMA_WRCONF_ARCW_VADDR,0x8000ffff,wr_buffer_length);

		// wr_start_addr
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch0 | CH0 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_ARCW_VADDR,wr_start_addr_buf);
		udelay(10);
		wr_start_addr_buf = wr_start_addr.wr_start_addr_ch1 | CH1 | _BIT3;	//bit3: get_adr
		WriteRegister( AUDIO_ADMA_WSADR_ARCW_VADDR,wr_start_addr_buf);
		udelay(10);

		audio_fifo_control_for_arc.regValue= ReadRegister(AUDIO_FIFO_CONTROL_FOR_ARC_VADDR);
		audio_fifo_control_for_arc.fifo_ch01_sel= fifo_src;
		WriteRegister( AUDIO_FIFO_CONTROL_FOR_ARC_VADDR,audio_fifo_control_for_arc.regValue);		
    	}
	
	// Enable overall rDMA
	audio_awdma_ctrl.regValue= ReadRegister(AUDIO_AWDMA_CTRL_VADDR);
	audio_awdma_ctrl.dma_enable = 1;
	WriteRegister( AUDIO_AWDMA_CTRL_VADDR,audio_awdma_ctrl.regValue);
}

void dx_DMA_W_ONOFF(bool ONOFF, QC_Path_Sel dmatype)
{
    audio_adma_csr_pbw_RBUS audio_adma_csr_pbw;
    audio_adma_csr_tsw_RBUS audio_adma_csr_tsw;
    audio_adma_csr_arcw_RBUS audio_adma_arcr_tsw;

    if ( PB_Path == dmatype )
    	{
    		audio_adma_csr_pbw.regValue= ReadRegister(AUDIO_ADMA_CSR_PBW_VADDR);
		audio_adma_csr_pbw.dma_soft_wr_rst = 1;
		audio_adma_csr_pbw.dma_write_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_PBW_VADDR, audio_adma_csr_pbw.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_adma_csr_pbw.regValue= ReadRegister(AUDIO_ADMA_CSR_PBW_VADDR);
			audio_adma_csr_pbw.dma_write_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_PBW_VADDR, audio_adma_csr_pbw.regValue);
		}
    	}
    else if ( TS_Path == dmatype )
    	{
    		audio_adma_csr_tsw.regValue= ReadRegister(AUDIO_ADMA_CSR_TSW_VADDR);
		audio_adma_csr_tsw.dma_soft_wr_rst = 1;
		audio_adma_csr_tsw.dma_write_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_TSW_VADDR, audio_adma_csr_tsw.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_adma_csr_tsw.regValue= ReadRegister(AUDIO_ADMA_CSR_TSR_VADDR);
			audio_adma_csr_tsw.dma_write_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_TSR_VADDR, audio_adma_csr_tsw.regValue);
		}
    	}
    else	// ARC DMA
    	{
    		audio_adma_arcr_tsw.regValue= ReadRegister(AUDIO_ADMA_CSR_ARCW_VADDR);
		audio_adma_arcr_tsw.dma_soft_wr_rst = 1;
		audio_adma_arcr_tsw.dma_write_enable = 0;
		WriteRegister(AUDIO_ADMA_CSR_ARCW_VADDR, audio_adma_arcr_tsw.regValue);
		udelay(100);
		
		if (ONOFF == 0x1)
		{
			audio_adma_arcr_tsw.regValue= ReadRegister(AUDIO_ADMA_CSR_ARCW_VADDR);
			audio_adma_arcr_tsw.dma_write_enable = 1;
			WriteRegister(AUDIO_ADMA_CSR_ARCW_VADDR, audio_adma_arcr_tsw.regValue);
		}    	
    	}
}

QC_DMA_CFG dx_DmaConfig(QC_DMA_wr_Src_Sel dma_src,QC_DMA_Format dma_type,
	QC_ChannelNumber_Sel wr_channel, QC_ChannelNumber_Sel rd_channel, UINT32 samples,QC_Path_Sel is_playback)
{
	QC_DMA_CFG dma_cfg;

	dma_cfg.src_from = dma_src;
	dma_cfg.pcm_format = dma_type;
	dma_cfg.wr_channels = wr_channel;
	dma_cfg.rd_channels = rd_channel;
	dma_cfg.samples = samples;
	dma_cfg.is_playback = is_playback;

	return dma_cfg;

}

#ifdef SET_DMA_ADDR
void dx_DmaSetEnv(QC_DMA_CFG dma_cfg, unsigned int pOut_wr_addr, unsigned int pOut_rd_addr)
{
	//set R/W buffer
	dx_DmaSetRdAddr(dma_cfg.is_playback, dma_cfg.samples, dma_cfg.rd_channels, (unsigned int *)pOut_rd_addr);
	dx_DmaSetWrAddr(dma_cfg.is_playback, dma_cfg.samples, dma_cfg.wr_channels, (unsigned int *)pOut_wr_addr);

	audio_awdma_ctrl_RBUS audio_awdma_ctrl;
	audio_ardma_ctrl_RBUS audio_ardma_ctrl;
	// Enable overall rDMA
	audio_ardma_ctrl.regValue= ReadRegister(AUDIO_ARDMA_CTRL_VADDR);
	audio_ardma_ctrl.dma_enable = 1;
	WriteRegister( AUDIO_ARDMA_CTRL_VADDR,audio_ardma_ctrl.regValue);
	// Enable overall wDMA
	audio_awdma_ctrl.regValue= ReadRegister(AUDIO_AWDMA_CTRL_VADDR);
	audio_awdma_ctrl.dma_enable = 1;
	WriteRegister( AUDIO_AWDMA_CTRL_VADDR,audio_awdma_ctrl.regValue);

	if(dma_cfg.is_playback == PB_Path){

		//DMA initial setting
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30, 0); //DMA output from DMA read
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT29, 0); //DMA R/W TV format

		//DMA user setting
		WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT31|_BIT30|_BIT29|_BIT28|_BIT7, (dma_cfg.src_from)<<30|_BIT7);//write source sel
		WriteMaskRegister(AUDIO_ADMA_WRCONF_PBW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of write
		WriteMaskRegister(AUDIO_ADMA_WRCONF_PBR_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of read

		WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_w type
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_r type
	}
	else if(dma_cfg.is_playback == TS_Path){

		//DMA initial setting
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30, 0); //DMA output from DMA read
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT29, 0); //DMA R/W TV format

		//DMA user setting
		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT31|_BIT30|_BIT29|_BIT28|_BIT7, (dma_cfg.src_from)<<30|_BIT7);//write source sel
		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of write
		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSR_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of read
		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_w type
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_r type
	}
	else if(dma_cfg.is_playback == ARC_Path){

		//DMA initial setting
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT31|_BIT30, 0); //DMA output from DMA read
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT29, 0); //DMA R/W TV format

		//DMA user setting
		//Dean_Modify
//		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT31|_BIT30, (dma_cfg.src_from)<<30);//write source sel
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT31|_BIT30|_BIT29|_BIT28|_BIT7, (dma_cfg.src_from)<<30|_BIT7);//write source sel
		
		WriteMaskRegister(AUDIO_ADMA_WRCONF_ARCW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of write
//		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<18);//length of write
//		WriteMaskRegister(AUDIO_ADMA_WRCONF_PBR_VADDR, 0x7FFF, (dma_cfg.samples/16));//length of read
		//Dean_Modify
		WriteMaskRegister(AUDIO_ADMA_WRCONF_ARCR_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of read
//		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSR_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<18);//length of read
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_w type
		WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_r type
	}

	return;
}
#else
void dx_DmaSetEnv(QC_DMA_CFG dma_cfg, unsigned int* pOut_wr_addr, unsigned int* pOut_rd_addr)
{

    UINT32 Mem_Shift;
	Mem_Shift = (0xA0000000-((UINT32)pOut_wr_addr&0xF0000000))/sizeof(pOut_wr_addr);//memory address mapping(start from 0xa0000000)
	//Mem_Shift = (0x08000000-((UINT32)pOut_wr_addr&0xFF000000))/sizeof(pOut_wr_addr);//memory address mapping(start from 0xa0000000)
	//set R/W buffer
	dx_DmaSetRdAddr(dma_cfg.is_playback, dma_cfg.samples, dma_cfg.rd_channels, pOut_rd_addr+Mem_Shift);
	dx_DmaSetWrAddr(dma_cfg.is_playback, dma_cfg.samples, dma_cfg.wr_channels, pOut_wr_addr+Mem_Shift);

	if(dma_cfg.is_playback){

		//DMA initial setting
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT31|_BIT30, 0); //DMA output from DMA read
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT29, 0); //DMA R/W TV format

		//DMA user setting
		WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT31|_BIT30, (dma_cfg.src_from)<<30);//write source sel
		WriteMaskRegister(AUDIO_ADMA_WRCONF_PBW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of write
		WriteMaskRegister(AUDIO_ADMA_WRCONF_PBR_VADDR, 0x7FFF, (dma_cfg.samples/16));//length of read
		WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_w type
		WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_r type
	}
	else{

		//DMA initial setting
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT31|_BIT30, 0); //DMA output from DMA read
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT29, 0); //DMA R/W TV format

		//DMA user setting
		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT31|_BIT30, (dma_cfg.src_from)<<30);//write source sel
		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSW_VADDR, 0x7FFF0000, (dma_cfg.samples/16)<<16);//length of write
		WriteMaskRegister(AUDIO_ADMA_WRCONF_TSR_VADDR, 0x7FFF, (dma_cfg.samples/16));//length of read
		WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_w type
		WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT8, (dma_cfg.pcm_format)<<8);//dma_r type
	}
	return;
}
#endif
#ifdef SET_DMA_ADDR
int dx_DmaSetPattern(QC_DMA_CFG dma_cfg, unsigned int rdBufAddr, int patternX)
{
	int i, j, k;
	int mod_8;

	switch(patternX){
        case 8://8channels
            for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
				{
                    if(i < 2)//ch0/ch1
                    {
					  WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x012345);
                    }
                    else if(i < 4)//ch2/ch3
                    {
					  WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x234567);
                    }
                    else if(i < 6)//ch4/ch5
                    {
					  WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x456789);
                    }
                    else if(i < 8)//ch6/ch7
                    {
					  WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x678901);
                    }
				}
			break;

		case 4:
			// 2 ch 0xFFFFFF + 2ch 0x0
			for(i=0; i<2; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x0);

			for(i=2; i<4; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0xFFFFFF);
			break;

		case 3:
			// 8 ch 0xFFFFFF
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0xFFFFFF);
			break;

		case 30:
			// 8ch 0x0
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x0);
			break;
		case 40:
			// 2ch 0x12345678
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
                    WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x123456);
			break;

		case 1:
			// 2ch 0x555555-->0xaaaaaa
		
			for(i=0; i<dma_cfg.rd_channels; i++)	
				for(j=0; j<dma_cfg.samples; j++)
				{
				    mod_8 = j%8;
					if (mod_8 < 4 )
					{
                        WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0x555555);
					}
					else
					{
					    WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), 0xAAAAAA);
					}
				}
			break;
	
			
		case 2:
		case 20:
			for(i=0; i<dma_cfg.rd_channels; i++){
				for(j=0; j<dma_cfg.samples/16  ; j++){
					// little-endian in 4KE, -12dBFS
					// 1500Hz -6dBFS sinc wave
					for(k=0; k<8; k++)
						WriteRegister(rdBufAddr+i*dma_cfg.samples+j*16+k, 0xFFFF1F);
					for(k=8; k<16; k++)
						WriteRegister(rdBufAddr+i*dma_cfg.samples+j*16+k, 0x0000E0);
				}
			}
			break;

		case 5:
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++) {
					if(j>0xffff)
						j = j-0xffff;
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), j);
				}
			break;

		case 60:		//PCM_SPDIF_Loopback
		case 61:		//PCM_I2S_Loopback
			//-------------1ktone_fs48k_lr_2ch-------------
			//-------------Sine pattern-------------------
			rtd_outl(0x00300000,0x004B54FE); //Channe0 DDR Write start address
			rtd_outl(0x00300004,0x00000000); //Channe0 DDR Write start address
			rtd_outl(0x00300008,0x00B5AB01); //Channe0 DDR Write start address
			rtd_outl(0x0030000C,0x00195003); //Channe0 DDR Write start address
			rtd_outl(0x00300010,0x00FAE504); //Channe0 DDR Write start address
			rtd_outl(0x00300014,0x00666606); //Channe0 DDR Write start address
			rtd_outl(0x00300018,0x00CACA07); //Channe0 DDR Write start address
			rtd_outl(0x0030001C,0x000C0D09); //Channe0 DDR Write start address
			rtd_outl(0x00300020,0x00A9270A); //Channe0 DDR Write start address
			rtd_outl(0x00300024,0x00CB150B); //Channe0 DDR Write start address
			rtd_outl(0x00300028,0x005ED30B); //Channe0 DDR Write start address	
			rtd_outl(0x0030002C,0x00255D0C); //Channe0 DDR Write start address
			rtd_outl(0x00300030,0x00C4B00C); //Channe0 DDR Write start address
			rtd_outl(0x00300034,0x00CDCC0C); //Channe0 DDR Write start address
			rtd_outl(0x00300038,0x00C4B00C); //Channe0 DDR Write start address
			rtd_outl(0x0030003C,0x00255D0C); //Channe0 DDR Write start address
			rtd_outl(0x00300040,0x005ED30B); //Channe0 DDR Write start address
			rtd_outl(0x00300044,0x00CB150B); //Channe0 DDR Write start address
			rtd_outl(0x00300048,0x00A9270A); //Channe0 DDR Write start address
			rtd_outl(0x0030004C,0x000C0D09); //Channe0 DDR Write start address
			rtd_outl(0x00300050,0x00CACA07); //Channe0 DDR Write start address
			rtd_outl(0x00300054,0x00666606); //Channe0 DDR Write start address
			rtd_outl(0x00300058,0x00FAE504); //Channe0 DDR Write start address
			rtd_outl(0x0030005C,0x00195003); //Channe0 DDR Write start address
			rtd_outl(0x00300060,0x00B5AB01); //Channe0 DDR Write start address
			rtd_outl(0x00300064,0x00000000); //Channe0 DDR Write start address
			rtd_outl(0x00300068,0x004B54FE); //Channe0 DDR Write start address
			rtd_outl(0x0030006C,0x00E7AFFC); //Channe0 DDR Write start address
			rtd_outl(0x00300070,0x00061AFB); //Channe0 DDR Write start address
			rtd_outl(0x00300074,0x009A99F9); //Channe0 DDR Write start address
			rtd_outl(0x00300078,0x003635F8); //Channe0 DDR Write start address
			rtd_outl(0x0030007C,0x00F4F2F6); //Channe0 DDR Write start address
			rtd_outl(0x00300080,0x0057D8F5); //Channe0 DDR Write start address
			rtd_outl(0x00300084,0x0035EAF4); //Channe0 DDR Write start address
			rtd_outl(0x00300088,0x00A22CF4); //Channe0 DDR Write start address
			rtd_outl(0x0030008C,0x00DBA2F3); //Channe0 DDR Write start address
			rtd_outl(0x00300090,0x003C4FF3); //Channe0 DDR Write start address
			rtd_outl(0x00300094,0x003333F3); //Channe0 DDR Write start address
			rtd_outl(0x00300098,0x003C4FF3); //Channe0 DDR Write start address
			rtd_outl(0x0030009C,0x00DBA2F3); //Channe0 DDR Write start address
			rtd_outl(0x003000A0,0x00A22CF4); //Channe0 DDR Write start address
			rtd_outl(0x003000A4,0x0035EAF4); //Channe0 DDR Write start address
			rtd_outl(0x003000A8,0x0057D8F5); //Channe0 DDR Write start address
			rtd_outl(0x003000AC,0x00F4F2F6); //Channe0 DDR Write start address
			rtd_outl(0x003000B0,0x003635F8); //Channe0 DDR Write start address
			rtd_outl(0x003000B4,0x009A99F9); //Channe0 DDR Write start address
			rtd_outl(0x003000B8,0x00061AFB); //Channe0 DDR Write start address
			rtd_outl(0x003000BC,0x00E7AFFC); //Channe0 DDR Write start address
			//-------------Sine pattern-------------------
			
			//-------------Sine pattern-------------------
			rtd_outl(0x003000C0,0x004B54FE); //Channe1 DDR Write start address
			rtd_outl(0x003000C4,0x00000000); //Channe1 DDR Write start address
			rtd_outl(0x003000C8,0x00B5AB01); //Channe1 DDR Write start address
			rtd_outl(0x003000CC,0x00195003); //Channe1 DDR Write start address
			rtd_outl(0x003000D0,0x00FAE504); //Channe1 DDR Write start address
			rtd_outl(0x003000D4,0x00666606); //Channe1 DDR Write start address
			rtd_outl(0x003000D8,0x00CACA07); //Channe1 DDR Write start address
			rtd_outl(0x003000DC,0x000C0D09); //Channe1 DDR Write start address
			rtd_outl(0x003000E0,0x00A9270A); //Channe1 DDR Write start address
			rtd_outl(0x003000E4,0x00CB150B); //Channe1 DDR Write start address
			rtd_outl(0x003000E8,0x005ED30B); //Channe1 DDR Write start address	
			rtd_outl(0x003000EC,0x00255D0C); //Channe1 DDR Write start address
			rtd_outl(0x003000F0,0x00C4B00C); //Channe1 DDR Write start address
			rtd_outl(0x003000F4,0x00CDCC0C); //Channe1 DDR Write start address
			rtd_outl(0x003000F8,0x00C4B00C); //Channe1 DDR Write start address
			rtd_outl(0x003000FC,0x00255D0C); //Channe1 DDR Write start address
			rtd_outl(0x00300100,0x005ED30B); //Channe1 DDR Write start address
			rtd_outl(0x00300104,0x00CB150B); //Channe1 DDR Write start address
			rtd_outl(0x00300108,0x00A9270A); //Channe1 DDR Write start address
			rtd_outl(0x0030010C,0x000C0D09); //Channe1 DDR Write start address
			rtd_outl(0x00300110,0x00CACA07); //Channe1 DDR Write start address
			rtd_outl(0x00300114,0x00666606); //Channe1 DDR Write start address
			rtd_outl(0x00300118,0x00FAE504); //Channe1 DDR Write start address
			rtd_outl(0x0030011C,0x00195003); //Channe1 DDR Write start address
			rtd_outl(0x00300120,0x00B5AB01); //Channe1 DDR Write start address
			rtd_outl(0x00300124,0x00000000); //Channe1 DDR Write start address
			rtd_outl(0x00300128,0x004B54FE); //Channe1 DDR Write start address
			rtd_outl(0x0030012C,0x00E7AFFC); //Channe1 DDR Write start address
			rtd_outl(0x00300130,0x00061AFB); //Channe1 DDR Write start address
			rtd_outl(0x00300134,0x009A99F9); //Channe1 DDR Write start address
			rtd_outl(0x00300138,0x003635F8); //Channe1 DDR Write start address
			rtd_outl(0x0030013C,0x00F4F2F6); //Channe1 DDR Write start address
			rtd_outl(0x00300140,0x0057D8F5); //Channe1 DDR Write start address
			rtd_outl(0x00300144,0x0035EAF4); //Channe1 DDR Write start address
			rtd_outl(0x00300148,0x00A22CF4); //Channe1 DDR Write start address
			rtd_outl(0x0030014C,0x00DBA2F3); //Channe1 DDR Write start address
			rtd_outl(0x00300150,0x003C4FF3); //Channe1 DDR Write start address
			rtd_outl(0x00300154,0x003333F3); //Channe1 DDR Write start address
			rtd_outl(0x00300158,0x003C4FF3); //Channe1 DDR Write start address
			rtd_outl(0x0030015C,0x00DBA2F3); //Channe1 DDR Write start address
			rtd_outl(0x00300160,0x00A22CF4); //Channe1 DDR Write start address
			rtd_outl(0x00300164,0x0035EAF4); //Channe1 DDR Write start address
			rtd_outl(0x00300168,0x0057D8F5); //Channe1 DDR Write start address
			rtd_outl(0x0030016C,0x00F4F2F6); //Channe1 DDR Write start address
			rtd_outl(0x00300170,0x003635F8); //Channe1 DDR Write start address
			rtd_outl(0x00300174,0x009A99F9); //Channe1 DDR Write start address
			rtd_outl(0x00300178,0x00061AFB); //Channe1 DDR Write start address
			rtd_outl(0x0030017C,0x00E7AFFC); //Channe1 DDR Write start address
			//-------------Sine pattern-------------------
			break;

		case 62:		//Non-PCM_SPDIF_Loopback
			rtd_outl(0x00300000, 0xFF00FF00);
			rtd_outl(0x00300004, 0xEE11EE11);
			rtd_outl(0x00300008, 0xDD22DD22);
			rtd_outl(0x0030000c, 0xCC33CC33);
			rtd_outl(0x00300010, 0xBB44BB44);
			rtd_outl(0x00300014, 0xAA55AA55);
			rtd_outl(0x00300018, 0x99669966);
			rtd_outl(0x0030001c, 0x88778877);
			rtd_outl(0x00300020, 0x77887788);
			rtd_outl(0x00300024, 0x66996699);
			rtd_outl(0x00300028, 0x55AA55AA);
			rtd_outl(0x0030002c, 0x44BB44BB);
			rtd_outl(0x00300030, 0x33CC33CC);
			rtd_outl(0x00300034, 0x22DD22DD);
			rtd_outl(0x00300038, 0x11EE11EE);
			rtd_outl(0x0030003c, 0x00FF00FF);
			rtd_outl(0x00300040, 0xFF00FF00);
			rtd_outl(0x00300044, 0xEE11EE11);
			rtd_outl(0x00300048, 0xDD22DD22);
			rtd_outl(0x0030004c, 0xCC33CC33);
			rtd_outl(0x00300050, 0xBB44BB44);
			rtd_outl(0x00300054, 0xAA55AA55);
			rtd_outl(0x00300058, 0x99669966);
			rtd_outl(0x0030005c, 0x88778877);
			rtd_outl(0x00300060, 0x77887788);
			rtd_outl(0x00300064, 0x66996699);
			rtd_outl(0x00300068, 0x55AA55AA);
			rtd_outl(0x0030006c, 0x44BB44BB);
			rtd_outl(0x00300070, 0x33CC33CC);
			rtd_outl(0x00300074, 0x22DD22DD);
			rtd_outl(0x00300078, 0x11EE11EE);
			rtd_outl(0x0030007c, 0x00FF00FF);
			rtd_outl(0x00300080, 0xFF00FF00);
			rtd_outl(0x00300084, 0xEE11EE11);
			rtd_outl(0x00300088, 0xDD22DD22);
			rtd_outl(0x0030008c, 0xCC33CC33);
			rtd_outl(0x00300090, 0xBB44BB44);
			rtd_outl(0x00300094, 0xAA55AA55);
			rtd_outl(0x00300098, 0x99669966);
			rtd_outl(0x0030009c, 0x88778877);
			rtd_outl(0x003000a0, 0x77887788);
			rtd_outl(0x003000a4, 0x66996699);
			rtd_outl(0x003000a8, 0x55AA55AA);
			rtd_outl(0x003000ac, 0x44BB44BB);
			rtd_outl(0x003000b0, 0x33CC33CC);
			rtd_outl(0x003000b4, 0x22DD22DD);
			rtd_outl(0x003000b8, 0x11EE11EE);
			rtd_outl(0x003000bc, 0x00FF00FF);
			break;

		default:
			for(i=0; i<dma_cfg.rd_channels; i++){
				for(j=0; j<dma_cfg.samples; j++){
					//CPU lexra version
					//WriteRegister(rdBufAddr+(i*bufSamples+j)*4, 0+(i<<29)+(0xC<<24)+(j<<12)+((j%8)<<8));
					//CPU 4KE version
					//if(i==1&&j==0)
						//printk("ch2= %x , %x, %x\n",rdBufAddr,i*dma_cfg.samples,rdBufAddr+(i*dma_cfg.samples+j));
					//printk("%x rdBufAddr %x (i*dma_cfg.samples+j) %x",rdBufAddr+(i*dma_cfg.samples+j),rdBufAddr,(i*dma_cfg.samples+j));
					WriteRegister(rdBufAddr+((i*dma_cfg.samples+j)<<2), (i<<1)+((j%8)<<4)+(j<<8));

				}
			}
			break;
	}
	return 0;
}
#else
int dx_DmaSetPattern(QC_DMA_CFG dma_cfg, unsigned int* rdBufAddr, int patternX)
{
	int i, j, k;
	UINT32 Mem_Shift;
	Mem_Shift = (0xA0000000-((UINT32)rdBufAddr&0xF0000000))/sizeof(rdBufAddr);//memory address mapping(start from 0xa0000000)
	printf("Mem_Shift %x rdBufAddr %x sizeof()%x\n",Mem_Shift,(UINT32)rdBufAddr,sizeof(rdBufAddr));
	//Mem_Shift = (0x08000000-((UINT32)rdBufAddr&0xFF000000))/sizeof(rdBufAddr);//memory address mapping(start from 0x08000000)
	//printf("Mem_Shift %x rdBufAddr %x sizeof()%x\n",Mem_Shift,(UINT32)rdBufAddr,sizeof(rdBufAddr));
	switch(patternX){
		case 4:
			// 2 ch 0xFFFFFF + 2ch 0x0
			for(i=0; i<2; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, 0x0);

			for(i=2; i<4; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, 0xFFFFFF);
			break;

		case 3:
			// 8 ch 0xFFFFFF
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, 0xFFFFFF);
			break;

		case 30:
			// 8ch 0x0
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, 0x0);
			break;
		case 40:
			// 2ch 0x12345678
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++)
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, 0x12345678);
			break;

		case 1:
		case 2:
		case 20:
			for(i=0; i<dma_cfg.rd_channels; i++){
				for(j=0; j<dma_cfg.samples/16  ; j++){
					// little-endian in 4KE, -12dBFS
					// 1500Hz -6dBFS sinc wave
					for(k=0; k<8; k++)
						WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j*16+k, 0xFFFF1F);
					for(k=8; k<16; k++)
						WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j*16+k, 0x0000E0);
				}
			}
			break;

		case 5:
			for(i=0; i<dma_cfg.rd_channels; i++)
				for(j=0; j<dma_cfg.samples; j++) {
					WriteRegister(rdBufAddr+Mem_Shift+i*dma_cfg.samples+j, j);
				}
			break;

		default:
			for(i=0; i<dma_cfg.rd_channels; i++){
				for(j=0; j<dma_cfg.samples; j++){
					//CPU lexra version
					//WriteRegister(rdBufAddr+(i*bufSamples+j)*4, 0+(i<<29)+(0xC<<24)+(j<<12)+((j%8)<<8));
					//CPU 4KE version
					//if(i==1&&j==0)
						//printk("ch2= %x , %x, %x\n",rdBufAddr,i*dma_cfg.samples,rdBufAddr+(i*dma_cfg.samples+j));
					WriteRegister(rdBufAddr+Mem_Shift+(i*dma_cfg.samples+j), (i<<1)+((j%8)<<4)+(j<<8));

				}
			}
			break;
	}
	return 0;
}
#endif

#ifdef SET_DMA_ADDR
int dx_DmaCleanTargetBuffer(QC_DMA_CFG dma_cfg, unsigned int wr_buf_addr)
{
	int i, j;
	for(i=0; i<dma_cfg.wr_channels; i++){
		for(j=0; j<dma_cfg.samples; j++){
					//printk("WR = %x, %x\n", wr_buf_addr+(i*dma_cfg.samples+j), wr_buf_addr);
			WriteRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2), 0x0dead000);
		}
	}
	return 0;
}
#else
int dx_DmaCleanTargetBuffer(QC_DMA_CFG dma_cfg, unsigned int* wr_buf_addr)
{
	int i, j;
	UINT32 Mem_Shift;
	Mem_Shift = (0xA0000000-((UINT32)wr_buf_addr&0xF0000000))/sizeof(wr_buf_addr);//memory address mapping(start from 0xa0000000)
	//Mem_Shift = (0x08000000-((UINT32)wr_buf_addr&0xFF000000))/sizeof(wr_buf_addr);//memory address mapping(start from 0xa0000000)
	for(i=0; i<dma_cfg.wr_channels; i++){
		for(j=0; j<dma_cfg.samples; j++){
					//printk("WR = %x, %x\n", wr_buf_addr+(i*dma_cfg.samples+j), wr_buf_addr);
			WriteRegister(wr_buf_addr+Mem_Shift+(i*dma_cfg.samples+j), 0x0dead000);
		}
	}
	return 0;
}
#endif

#ifdef SET_DMA_ADDR
UINT32 dx_DmaCompare(QC_DMA_CFG dma_cfg, UINT32 wr_buf_addr,UINT32 rd_buf_addr)
{
	UINT32 i, j, nStartIndex, nResult;
	nStartIndex=dma_cfg.samples;
	nResult=0;
#if 1
    for(i=0; i<dma_cfg.wr_channels; i++){
		for(j=0; j<dma_cfg.samples; j++){
#ifdef DATA_COMPARE_FIXED_RX
			if( ReadRegister(rd_buf_addr+((i*dma_cfg.samples)<<2)) == ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)) ){
#else
			if( ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)) == ReadRegister(wr_buf_addr+((i*dma_cfg.samples)<<2)) ){
#endif
				nStartIndex=j;
				printk("StartInedex = %d\n", j);

#ifdef DATA_COMPARE_FIXED_RX
				printk("ok,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples)<<2)),(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples))<<2)),ReadRegister(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples))<<2)));
#else
				printk("ok,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples))<<2)),ReadRegister(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples))<<2)),(wr_buf_addr+((i*dma_cfg.samples)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples)<<2)));
#endif
				break;
			}
			else
			{
				printk("a,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
			}
		}

		if(nStartIndex==dma_cfg.samples){
			printk("CH %d fail to search ind %d\n", i,nStartIndex);
			return 1;
		}
		else
		{
			//printk("%d sIndex ", nStartIndex);
		    //printk("comparing ch %d\n", i);
#if 1
		// sample-by-sample comparision
    		for(j=0; j<(dma_cfg.samples-nStartIndex); j++){//WR: nStartIndex~samples ;RD: 0~samples-nStartIndex

#ifdef DATA_COMPARE_FIXED_RX
					if(ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)) != ReadRegister(wr_buf_addr+((i*dma_cfg.samples+nStartIndex+j)<<2))){
#else
					if(ReadRegister(rd_buf_addr+((i*dma_cfg.samples+nStartIndex+j)<<2)) != ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2))){
#endif
    					nResult++;
    					if(nResult<30)
    					{
#ifdef DATA_COMPARE_FIXED_RX
							printk("b,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)));
#else
							printk("b,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
#endif
    					}
                        if(j<5)
                        {
                            printk("ch %d============================\n",i);
#ifdef DATA_COMPARE_FIXED_RX
							printk("c,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)));
#else
							printk("c,Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
#endif
                        }
    				}
                    else
                    {
                        if(j<0)
                        {
                            printk("ch %d============================\n",i);
#ifdef DATA_COMPARE_FIXED_RX
							printk("Nothing Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)));
#else
							printk("Nothing Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(rd_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
#endif
                        }
                        //if(j <0)
                        //  printk("Nothing Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)),ReadRegister(wr_buf_addr+((nStartIndex+(i*dma_cfg.samples+j))<<2)));
                    }

    			//Frank dummy if end
    			//}
    		}
		//printk("\n");
#endif
		}
	}
#else
	for(i=0; i<dma_cfg.wr_channels; i++)
    {
		for(j=0; j<dma_cfg.samples; j++)
        {
			if( ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)) != ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)) )
            {
                nResult++;
                if(i==0 && j<30)
                printk("Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
			}
            else
            {
                if(i==0 && j<30)
                {
                    printk("Noting Rd[0x%x]= %x Wr[0x%x]= %x\n",(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(rd_buf_addr+((i*dma_cfg.samples+j)<<2)),(wr_buf_addr+((i*dma_cfg.samples+j)<<2)),ReadRegister(wr_buf_addr+((i*dma_cfg.samples+j)<<2)));
                }
            }
		}
	}
#endif
//	printk("finish DMA comparison %d\n", nResult);
	return nResult;
}
#else
UINT32 dx_DmaCompare(QC_DMA_CFG dma_cfg, UINT32* wr_buf_addr,UINT32* rd_buf_addr)
{
	UINT32 i, j, nStartIndex, nResult,Mem_Shift;
	nResult=0;
	nStartIndex=dma_cfg.samples;

	Mem_Shift = (0xA0000000-((UINT32)wr_buf_addr&0xF0000000))/sizeof(wr_buf_addr);//memory address mapping(start from 0xa0000000)
	//Mem_Shift = (0x08000000-((UINT32)wr_buf_addr&0xFF000000))/sizeof(wr_buf_addr);//memory address mapping(start from 0x08000000)
	printf("Mem_Shift %x rd_buf_addr %x wr_buf_addr%x\n",Mem_Shift,(UINT32)rd_buf_addr,(UINT32)wr_buf_addr);
	//Mem_Shift = 0;

	for(i=0; i<dma_cfg.wr_channels; i++){
		for(j=0; j<dma_cfg.samples; j++){
			if( ReadRegister(wr_buf_addr+Mem_Shift+j) == ReadRegister(rd_buf_addr+Mem_Shift) ){
				nStartIndex=j;
				printk("index %x R %x : %x, %x\n",wr_buf_addr+Mem_Shift+nStartIndex+j,rd_buf_addr+Mem_Shift,ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex+j) ,ReadRegister(rd_buf_addr+Mem_Shift));
				//printk("Inedex = %d\n", j);
				break;
			}
		}

		if(nStartIndex==dma_cfg.samples){
			printk("CH %d fail to search ind %d\n", i,nStartIndex);
			return 1;
		}
		else
			//printk("%d sIndex ", nStartIndex);
		//printk("comparing ch %d\n", i);
#if 1
		// sample-by-sample comparision
		for(j=0; j<(dma_cfg.samples-nStartIndex); j++){//WR: nStartIndex~samples ;RD: 0~samples-nStartIndex
		  //Frank dummy if
			//if(ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex+j) != ReadRegister(rd_buf_addr+Mem_Shift+j)){
				//printk("W1 %x R %x : %x, %x\n",wr_buf_addr+Mem_Shift+nStartIndex+j,rd_buf_addr+Mem_Shift+j,ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex+j) ,ReadRegister(rd_buf_addr+Mem_Shift+j));
				if(ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex+j) != ReadRegister(rd_buf_addr+Mem_Shift+j)){
					nResult++;
					if(nResult<30)
					{
					printk("w2 %x R %x : %x, %x\n",wr_buf_addr+Mem_Shift+nStartIndex+j,rd_buf_addr+Mem_Shift+j,ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex+j) ,ReadRegister(rd_buf_addr+Mem_Shift+j));
                    printf("wr_buf_addr %x Mem_Shift %x nStartIndex %x j %x += %x %x %x\n",wr_buf_addr,
                    Mem_Shift,nStartIndex,j,((UINT32)wr_buf_addr+
                    Mem_Shift+nStartIndex+j),((UINT32)wr_buf_addr+nStartIndex
                    ));
					}
				}

			//Frank dummy if end
			//}
		}
		//printk("\n");
		for(j=dma_cfg.samples-nStartIndex; j<dma_cfg.samples; j++){//WR: 0~nStartIndex ;RD samples-nStartIndex ~ samples
			if(ReadRegister(wr_buf_addr+Mem_Shift+nStartIndex-dma_cfg.samples+j) != ReadRegister(rd_buf_addr+Mem_Shift+j)){
				//printk("E%x",wr_buf_addr+nStartIndex+j);
				nResult++;
			}
		}
		//printk("\n");
#endif
	}
//	printk("finish DMA comparison %d\n", nResult);
	return nResult;
}
#endif



int dx_DmaExecute(QC_Path_Sel is_playback, int edgecute)
{
	if(is_playback == PB_Path){
		if(edgecute){
			WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT5, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT5, 0);			
			WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT4, _BIT4);
			WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT4, _BIT4);	
		}
		else{
			WriteMaskRegister(AUDIO_ADMA_CSR_PBW_VADDR, _BIT4, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_PBR_VADDR, _BIT4, 0);
		}
	}
	else if(is_playback == TS_Path){
		if(edgecute){
			WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT5, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT5, 0);			
			WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT4, _BIT4);
			WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT4, _BIT4);	
		}
		else{
			WriteMaskRegister(AUDIO_ADMA_CSR_TSW_VADDR, _BIT4, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_TSR_VADDR, _BIT4, 0);
		}
	}
	else if(is_playback == ARC_Path){
		if(edgecute){
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT5, _BIT5);
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT5, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT5, 0);			
		
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT4, _BIT4);	
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT4, _BIT4);
		}
		else{
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCW_VADDR, _BIT4, 0);
			WriteMaskRegister(AUDIO_ADMA_CSR_ARCR_VADDR, _BIT4, 0);
		}
	}
	return 0;
}
#endif

//i2s internal path samplerate detection
UINT32 aud_esd_I2s(void)
{
	UINT32 i2sSampleRate=0x1F;
	QC_AudioTestcase test_case=0;
	dx_I2sSetInputPri(I2S_normal); // Clayton: From PAD, needs choose 0x0
//	dx_I2sSetInputPri(I2S_loopback); // Clayton: From PAD, needs choose 0x0
	dx_I2sSetOutput(I2S_normal, 0); // from HPP PCM
	i2sSampleRate = dx_I2sGetSampleRate();

	if(i2sSampleRate != 0x9)
		{
		printk("[ESD] I2S   Pad    Fail SR %d\n", i2sSampleRate);
		printk("%d\n",ReadRegister(AUDIO_I2S_IN_PRIMARY_VADDR));
		return 1;
		}
	else
		{
			if(aud_I2S_PeakDetection(test_case) !=0)
				{
					printk("[ESD] I2S Pad Fail\n");
					dx_I2sSetOutput(I2S_disable, 0); // Disable I2S out
					return 1;
				}
			else
				{
//					printk("[ESD] I2S Pad OK\n");
					printk("[ESD] I2S Pad OK\n");
					dx_I2sSetOutput(I2S_disable, 0); // Disable I2S out
					return 0;			
				}		
		}

}

//spdif internal path samplerate detection
UINT32 aud_esd_Spdif0(void)
{
	UINT32 spdifSampleRate=0x1F;
	QC_AudioTestcase test_case=0;

	dx_SpdifSetInput(SPDIF_normal); // from PAD	=> Clayton: normal should be from pad, Loopback will not comes from PAD
	dx_SpdifSetOutput0(SPDIF_normal, 0); // from HPP PCM
	dx_SpdifOutSetting(SPDIF0, normal_spdif_out, SPDIF_ch01_before_distortion, ch01, PLL_AUDIO);
	aud_Delay(50);
	spdifSampleRate = dx_SpdifGetSampleRate();

	if(spdifSampleRate != 0x9)
		{
		printk("[ESD] SPDIF0 clock Fail, SR %d\n", spdifSampleRate);
		dx_SpdifSetOutput0(SPDIF_disable, 0); // Disable spdif_out0
		return 1;
		}
	else
		{

			if(aud_spdif_PeakDetection(test_case) !=0)
				{
					printk("[ESD] SPDIF0 Pad Fail\n");
					dx_SpdifSetOutput0(SPDIF_disable, 0); // Disable spdif_out0
					return 1;
				}
			else
				{
					printk("[ESD] SPDIF0 Pad OK\n");
					dx_SpdifSetOutput0(SPDIF_disable, 0); // Disable spdif_out0
					return 0;			
				}
		}
}

UINT32 aud_esd_Spdif1(void)
{
	UINT32 spdifSampleRate=0x1F;
	QC_AudioTestcase test_case=0;

	dx_SpdifSetInput(SPDIF_normal); // from PAD	=> Clayton: normal should be from pad, Loopback will not comes from PAD
	dx_SpdifSetOutput1(SPDIF_normal, 0); // from HPP PCM
	dx_SpdifOutSetting(SPDIF1, normal_spdif_out, SPDIF_ch01_before_distortion, ch01, PLL_AUDIO);
	aud_Delay(50);
	spdifSampleRate = dx_SpdifGetSampleRate();

	if(spdifSampleRate != 0x9)
		{
		printk("[ESD] SPDIF1 clock Fail, SR %d\n", spdifSampleRate);
		dx_SpdifSetOutput1(SPDIF_disable, 0); // Disable spdif_out1
		return 1;
		}
	else
		{

			if(aud_spdif_PeakDetection(test_case) !=0)
				{
					printk("[ESD] SPDIF1 Pad Fail\n");
					dx_SpdifSetOutput1(SPDIF_disable, 0); // Disable spdif_out1
					return 1;
				}
			else
				{
					printk("[ESD] SPDIF1 Pad OK\n");
					dx_SpdifSetOutput1(SPDIF_disable, 0); // Disable spdif_out1
					return 0;			
				}
		}
}


//all of aud_baseband_PeakDetection ( analog path peak detection )
UINT32 aud_baseband_PeakDetection(QC_AudioTestcase test_case)
{
	UINT32 adcPeakValueL=0x0, adcPeakValueR=0x0;
	UINT32 esdBasebandResult=0;

	dx_Dac0SetOutput(BF_AVC1);	// PB DMA --> DAC0
	dx_Dac1SetOutput(BF_TSDVC);	// TS DMA --> DAC1

	//printk("Audio_PeakDetection_test\n");
	//switch(test_case){
		// Internal pattern <PB DMA>--> DAC0 --> HPO --> ADC --> AIN1
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_HPSetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);
		dx_HPSetOutput(DAC0);
		dx_AdcSetInput(AIN1_ADC);
		aud_Delay(50);
		dx_InternalPatternGenerator(triangular_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

		//WriteRegister(0xb8006600,0x100EE020);

		aud_Delay(1000);

		adcPeakValueL = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHL);
		adcPeakValueR = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHR);
		/*  for test debug
		while(1)
		{
		printk("I_monitor = %x\n",ReadRegister(0xb80061c8));
		printk("6554 = %x\n",ReadRegister(0xb8006554));
		printk("6b30 = %x\n",ReadRegister(0xb8006b30));
		printk("6b34 = %x\n",ReadRegister(0xb8006b34));
		printk("6b38 = %x\n",ReadRegister(0xb8006b38));
		printk("6b3c = %x\n",ReadRegister(0xb8006b3c));
		printk("6b10 = %x\n",ReadRegister(0xb8006b10));

		printk("6600 = %x\n",ReadRegister(0xb8006600));

		}
		*/

		printk("\n[BB] DAC0 --> HPO --> ADC --> AIN1  L-%d R-%d ", adcPeakValueL, adcPeakValueR);
		if( adcPeakValueL < 0x500 || adcPeakValueR < 0x500){
			printk("Fail : <PB DMA>--> DAC0 --> HPO --> ADC --> AIN1");
			esdBasebandResult++;
		}
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);

		//************************************************************************************
		// Internal pattern <TS DMA>--> DAC1 --> HPO --> ADC --> AIN2
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_HPSetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);
		dx_HPSetOutput(DAC1);
		dx_AdcSetInput(AIN2_ADC);			
		aud_Delay(50);
		dx_InternalPatternGeneratorTS(triangular_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

		//WriteRegister(0xb80066a0,0x10322020);	

		aud_Delay(1000);
		adcPeakValueL = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHL);
		adcPeakValueR = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHR);
		printk("\n[BB] DAC1 --> HPO --> ADC --> AIN2  L-%d R-%d ", adcPeakValueL, adcPeakValueR);
		if( adcPeakValueL < 0x500 || adcPeakValueR < 0x500){
			printk("Fail : <TS DMA>--> DAC1 --> HPO --> ADC --> AIN2");
			esdBasebandResult++;
		}
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);

		//************************************************************************************
		// Internal pattern <PB DMA>--> DAC0 --> AIO1 --> ADC --> AIN3
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_AIO1SetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);
		dx_AIO1SetOutput(DAC0);
		dx_AdcSetInput(AIN3_ADC);			
		aud_Delay(50);
		dx_InternalPatternGenerator(triangular_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

		//WriteRegister(0xb8006600,0x100EE020);

		aud_Delay(1000);
		adcPeakValueL = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHL);
		adcPeakValueR = dx_PeakDetectSet(AIO_PEAK_SRC_BBADC, CHR);
		printk("\n[BB] DAC0 --> AIO1 --> ADC --> AIN3  L-%d R-%d ", adcPeakValueL, adcPeakValueR);
		if( adcPeakValueL < 0x1000 || adcPeakValueR < 0x1000){
			printk("Fail : <PB DMA>--> DAC0 --> AIO1 --> ADC --> AIN3");
			esdBasebandResult++;
		}
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);			
		//************************************************************************************
	
		printk("\n\n");	
		return esdBasebandResult;
}

UINT32 aud_spdif_PeakDetection(QC_AudioTestcase test_case)
{
	UINT32 adcPeakValueL=0x0, adcPeakValueR=0x0;
	UINT32 esdSPDIFResult=0;

	//printk("Audio_PeakDetection_test\n");
	//switch(test_case){
		// Internal pattern <PB DMA>--> DAC0 --> HPO --> ADC --> AIN1
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		aud_Delay(50);
		dx_FifoPlay_CH01(SPDIFin);
		aud_Delay(50);
		dx_InternalPatternGenerator(triangular_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //TS Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

		//WriteRegister(0xb8006600,0x100EE020);

		aud_Delay(1000);

		adcPeakValueL = dx_PeakDetectSet(AIO_PEAK_SRC_SPDIF, CHL);
		adcPeakValueR = dx_PeakDetectSet(AIO_PEAK_SRC_SPDIF, CHR);
		/*  for test debug
		while(1)
		{
		printk("I_monitor = %x\n",ReadRegister(0xb80061c8));
		printk("6554 = %x\n",ReadRegister(0xb8006554));
		printk("6b30 = %x\n",ReadRegister(0xb8006b30));
		printk("6b34 = %x\n",ReadRegister(0xb8006b34));
		printk("6b38 = %x\n",ReadRegister(0xb8006b38));
		printk("6b3c = %x\n",ReadRegister(0xb8006b3c));
		printk("6b10 = %x\n",ReadRegister(0xb8006b10));

		printk("6600 = %x\n",ReadRegister(0xb8006600));

		}
		*/

		printk("\n[SPDIF] SPDIF_OUT --> pad --> SPDIF_IN  L-%d R-%d ", adcPeakValueL, adcPeakValueR);
		if( adcPeakValueL < 0x500 || adcPeakValueR < 0x500){
			printk("Fail : <PB DMA>--> [SPDIF] SPDIF_OUT --> pad --> SPDIF_IN  L");
			esdSPDIFResult++;
		}
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);
		
		//************************************************************************************
	
		printk("\n\n");	
		return esdSPDIFResult;
}

UINT32 aud_I2S_PeakDetection(QC_AudioTestcase test_case)
{
	UINT32 adcPeakValueL=0x0, adcPeakValueR=0x0;
	UINT32 esdSPDIFResult=0;

	//printk("Audio_PeakDetection_test\n");
	//switch(test_case){
		// Internal pattern <PB DMA>--> DAC0 --> HPO --> ADC --> AIN1
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		aud_Delay(50);
		dx_FifoPlay_CH01(I2Sch01);
		aud_Delay(50);
		dx_InternalPatternGenerator(triangular_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

		//WriteRegister(0xb8006600,0x100EE020);

		aud_Delay(1000);

		adcPeakValueL = dx_PeakDetectSet(AIO_PEAK_SRC_I2S_CH01, CHL);
		adcPeakValueR = dx_PeakDetectSet(AIO_PEAK_SRC_I2S_CH01, CHR);
		/*  for test debug
		while(1)
		{
		printk("I_monitor = %x\n",ReadRegister(0xb80061c8));
		printk("6554 = %x\n",ReadRegister(0xb8006554));
		printk("6b30 = %x\n",ReadRegister(0xb8006b30));
		printk("6b34 = %x\n",ReadRegister(0xb8006b34));
		printk("6b38 = %x\n",ReadRegister(0xb8006b38));
		printk("6b3c = %x\n",ReadRegister(0xb8006b3c));
		printk("6b10 = %x\n",ReadRegister(0xb8006b10));

		printk("6600 = %x\n",ReadRegister(0xb8006600));

		}
		*/

		printk("\n[I2S] I2S_OUT --> pad --> I2S_IN  L-%d R-%d ", adcPeakValueL, adcPeakValueR);
		if( adcPeakValueL < 0x500 || adcPeakValueR < 0x500){
			printk("Fail : <PB DMA>--> [I2S] I2S_OUT --> pad --> I2S_IN  L");
			esdSPDIFResult++;
		}
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);
		
		//************************************************************************************
	
		printk("\n\n");	
		return esdSPDIFResult;
}

UINT32 aud_baseband_AutoSineCheck(QC_AudioTestcase test_case)
{
	UINT32 flagL=0, flagR=0;
	UINT32 esdBasebandResult=0;

	dx_Dac0SetOutput(BF_AVC1);//PB --->DAC0
	dx_Dac1SetOutput(BF_TSDVC);//TS --->DAC1

	printk("Audio_AutoSineCheck_test\n");
	//printk("bypass sine check!!\n");
	//return esdBasebandResult;
	//switch(test_case){
		// Internal pattern <PB DMA>--> DAC0--> HP --> AIN1 -->ADC
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_HPSetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);
		dx_HPSetOutput(DAC0);
		dx_AdcSetInput(AIN1_ADC);
		aud_Delay(50);
		dx_InternalPatternGenerator(increase_count_wave, twoCH) ;

		//WriteRegister(0xb8006600,0x200EE020);
		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA
		
			
		//Frank Patch code for sine detection
		WriteRegister(0xb80004ec, 0x0000000c);
		WriteRegister(0xb80004F0, 0x00000004);
		WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, 0xf0112121);

		aud_Delay(1000);
		flagL=dx_AutotSineCheck(2,2,1500,CHL);
		flagR=dx_AutotSineCheck(2,2,1500,CHR);
		if(flagL||flagR){
			printk("[BB] DAC0 --> HP --> AIN1--> ADC ****************   ASC Fail L%dR%d\n",flagL,flagR);
			esdBasebandResult++;
		}
		else
			printk("[BB] DAC0 --> HP --> AIN1--> ADC  ASC Ok\n");
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);
			
		//************************************************************************************

		// Internal pattern <TS DMA>--> DAC1--> HP --> AIN2 -->ADC
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_HPSetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);

		dx_HPSetOutput(DAC1);
		dx_AdcSetInput(AIN2_ADC);
		aud_Delay(50);
		dx_InternalPatternGeneratorTS(increase_count_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

//		WriteRegister(0xb80066a0,0x20322020);

		aud_Delay(1000);
		flagL=dx_AutotSineCheck(2,2,1500,CHL);
		flagR=dx_AutotSineCheck(2,2,1500,CHR);
		if(flagL||flagR){
			printk("[BB] DAC1 --> HP --> AIN2 --> ADC   ASC Fail L%dR%d\n",flagL,flagR);
			esdBasebandResult++;
		}
		else
			printk("[BB] DAC1 --> HP --> AIN2 --> ADC  ASC Ok\n");
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);

		//************************************************************************************
		// Internal pattern <TS DMA>--> DAC1--> AIO1 --> AIN3 -->ADC
		dx_InternalPatternGenerator(zeros, twoCH) ;
		dx_InternalPatternGeneratorTS(zeros, twoCH) ;
		dx_AdcSetInput(MUTEALL);
		dx_AIO1SetOutput(MUTEALL);
		aud_Delay(50);
		dx_FifoPlay_CH01(ADC);

		dx_AIO1SetOutput(DAC1);
		dx_AdcSetInput(AIN3_ADC);
		aud_Delay(50);
		dx_InternalPatternGeneratorTS(increase_count_wave, twoCH) ;

		rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);      //rDMA_enable
		rtd_maskl(0x18006630,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006640,0xffffffdf, 0x00000020);      //PB Dma_soft_rd_rst =1 reset
		rtd_maskl(0x18006630,0xffffffcf,0x00000010); 	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
		rtd_maskl(0x18006640,0xffffffcf,0x00000010); 	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA

//		WriteRegister(0xb80066a0,0x20322020);

		aud_Delay(1000);
		flagL=dx_AutotSineCheck(2,2,1500,CHL);
		flagR=dx_AutotSineCheck(2,2,1500,CHR);
		if(flagL||flagR){
			printk("[BB] DAC1 --> AIO1 --> AIN3 --> ADC   ASC Fail L%dR%d\n",flagL,flagR);
			esdBasebandResult++;
		}
		else
			printk("[BB] DAC1 --> AIO1 --> AIN3 --> ADC ASC Ok\n");
		dx_DmaDsPath(DMA_Bypass);
		dx_DmaTsPath(DMA_Bypass);

		//Frank Patch code for sine detection
		WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, 0xf0102222);
		WriteRegister(0xb80004ec, 0x00000000);
		WriteRegister(0xb80004F0, 0x00000004);

		printk("\n\n");	
		return esdBasebandResult;
}

#ifdef QC_test
int aud_MultiChan(int ChanNum, unsigned int wr_ptr, unsigned int rd_ptr)
{
	int nResult=0;
	QC_DMA_CFG dma_cfg_PB;

	printk("QCTEST@@\n");

	dma_cfg_PB= dx_DmaConfig(from_ds_fifo,DMA_PCM,eightCH,eightCH,DMABUFSAMPLES,PB_Path);
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,8);//3
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_I2sSetInputPri(I2S_loopback); // from PAD
	dx_I2sSetOutputPadSel();//add for 8channel
	dx_I2sSetOutput8Ch(I2S_normal, 1);
	dx_FifoPlay_AllCH(I2Sch01);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA PB_I2S  8ch  Ok\n");
	}
	else {
		printk("[QC]  DMA PB_I2S  8ch  Fail\n");
		nResult++;
	}
	return nResult;

}
#endif

int dx_SpdifOutSetting(QC_SPDIF_Index SPDIF_index, QC_SPDIF_Output_Sel output_sel, QC_SPDIF_Pcm_Source_Sel source_sel, QC_CH_Pair ch_pair, ClockSource clock)
{
    	audio_spdif_out_RBUS audio_spdif_out0;
	audio_spdif_out_1_RBUS audio_spdif_out1;
	audio_global_ctrl_2_RBUS audio_global_ctrl_2;
	audio_global_ctrl_1_RBUS audio_global_ctrl_1;
	

	if (SPDIF_index == SPDIF0)
	{
		audio_spdif_out0.regValue= ReadRegister(AUDIO_SPDIF_OUT_VADDR);
		audio_spdif_out0.output_sel = output_sel;
		audio_spdif_out0.pcm_source_sel = source_sel;
		audio_spdif_out0.spdif_output_ch_sel = ch_pair;
		WriteRegister(AUDIO_SPDIF_OUT_VADDR, audio_spdif_out0.regValue);
		if((source_sel <= 0x3) || (source_sel == SPDIF_non_pcm_from_pb_dma) || (source_sel == SPDIF_ch23_after_avc2) || (source_sel == SPDIF_ch45_after_avc2))
		{
			audio_global_ctrl_2.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out = play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);
			
			audio_global_ctrl_1.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);			
		}
		else if((source_sel == SPDIF_ch01_before_TSDVC) || (source_sel == SPDIF_ch01_after_TSDVC) || (source_sel == SPDIF_non_pcm_from_ts_dma))
		{
			audio_global_ctrl_2.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out = play_r_128fs_ts;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_ts= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}
		else
		{
			audio_global_ctrl_2.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}
	}
	else
	{
		audio_spdif_out1.regValue= ReadRegister(AUDIO_SPDIF_OUT_1_VADDR);
		audio_spdif_out1.output_sel= output_sel;
		audio_spdif_out1.pcm_source_sel = source_sel;
		audio_spdif_out1.spdif_output_ch_sel = ch_pair;
		WriteRegister(AUDIO_SPDIF_OUT_1_VADDR, audio_spdif_out1.regValue);
		if((source_sel <= 0x3) || (source_sel == SPDIF_non_pcm_from_pb_dma) || (source_sel == SPDIF_ch23_after_avc2) || (source_sel == SPDIF_ch45_after_avc2))
		{
			audio_global_ctrl_2.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out_1= play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue= ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
		else if((source_sel == SPDIF_ch01_before_TSDVC) || (source_sel == SPDIF_ch01_after_TSDVC) || (source_sel == SPDIF_non_pcm_from_ts_dma))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out_1 = play_r_128fs_ts;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_ts= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}
		else
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_spdif_out_1 = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}	
	}
	
    return 0;
}

int dx_I2SOutSetting(QC_I2S_Output_Sel output_sel, UINT32 source_sel, QC_CH_Pair ch_pair, ClockSource clock, QC_I2S_MCLK mclk, bool VR_ON_OFF)
{
    	audio_i2s_out_RBUS audio_i2s_out;
	audio_i2s_out_sel_RBUS audio_i2s_out_sel;
	audio_global_ctrl_2_RBUS audio_global_ctrl_2;
	audio_global_ctrl_1_RBUS audio_global_ctrl_1;	
	
	audio_i2s_out.regValue= ReadRegister(AUDIO_I2S_OUT_VADDR);
	audio_i2s_out.output_sel = output_sel;
	audio_i2s_out.mclk_sel = mclk;
	audio_i2s_out.vr_o_clk_sel = VR_ON_OFF;
	WriteRegister(AUDIO_I2S_OUT_VADDR, audio_i2s_out.regValue);

	if (ch_pair == ch01)
	{
		audio_i2s_out_sel.regValue = ReadRegister(AUDIO_I2S_OUT_SEL_VADDR);
		audio_i2s_out_sel.pcm_source_sel_ch01= source_sel;
		WriteRegister(AUDIO_I2S_OUT_SEL_VADDR, audio_i2s_out_sel.regValue);
		if((source_sel <= 0x3) || (source_sel == I2S_ch01_after_mixer))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out= play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);
			
			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}
		else if((source_sel == I2S_ch01_before_TSDVC) || (source_sel == I2S_ch01_after_TSDVC))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs_ts;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_ts= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);				
		}
		else if(source_sel == I2S_ch01_arc_dma)
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
	}
	
	else if (ch_pair == ch23)
	{
		audio_i2s_out_sel.regValue = ReadRegister(AUDIO_I2S_OUT_SEL_VADDR);
		audio_i2s_out_sel.pcm_source_sel_ch23= source_sel;
		WriteRegister(AUDIO_I2S_OUT_SEL_VADDR, audio_i2s_out_sel.regValue);
	
		if((source_sel == I2S_ch23_before_avc2) || (source_sel == I2S_ch23_after_avc2))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
		else if(source_sel == I2S_ch23_arc_dma)
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
	}
	else if (ch_pair == ch45)
	{
		audio_i2s_out_sel.regValue = ReadRegister(AUDIO_I2S_OUT_SEL_VADDR);
		audio_i2s_out_sel.pcm_source_sel_ch45= source_sel;
		WriteRegister(AUDIO_I2S_OUT_SEL_VADDR, audio_i2s_out_sel.regValue);
	
		if((source_sel == I2S_ch45_before_avc2) || (source_sel == I2S_ch45_after_avc2))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
		else if(source_sel == I2S_ch45_arc_dma)
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
	}
	else if (ch_pair == ch67)
	{
		audio_i2s_out_sel.regValue = ReadRegister(AUDIO_I2S_OUT_SEL_VADDR);
		audio_i2s_out_sel.pcm_source_sel_ch67= source_sel;
		WriteRegister(AUDIO_I2S_OUT_SEL_VADDR, audio_i2s_out_sel.regValue);
	
		if((source_sel == I2S_ch67_before_avc2) || (source_sel == I2S_ch67_after_avc2))
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
		else if(source_sel == I2S_ch67_arc_dma)
		{
			audio_global_ctrl_2.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_2_VADDR);
			audio_global_ctrl_2.sel_clk_i2s_out = play_r_128fs_arc;
			WriteRegister(AUDIO_GLOBAL_CTRL_2_VADDR, audio_global_ctrl_2.regValue);

			audio_global_ctrl_1.regValue = ReadRegister(AUDIO_GLOBAL_CTRL_1_VADDR);
			audio_global_ctrl_1.sel_play_r_ck_source_arc= clock;
			WriteRegister(AUDIO_GLOBAL_CTRL_1_VADDR, audio_global_ctrl_1.regValue);					
		}
	}


    	return 0;
}

//#define AVOID_DDR_BUG

#ifdef SET_DMA_ADDR
int aud_QcDma(unsigned int wr_ptr, unsigned int rd_ptr)
{
//#define AVOID_DDR_BUG

	int nResult=0;
	QC_DMA_CFG dma_cfg_PB;
	QC_DMA_CFG dma_cfg_TS;
	QC_DMA_CFG dma_cfg_ARC;

#if CONFIG_EQC // normal QC case
	printk("[QC] normal QC DMA case \n");
	
#if 0
	// 2ch internal loopback
//	dma_cfg_PB = dx_DmaConfig(from_post_hw,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);//post_HWP
//	dma_cfg_PB = dx_DmaConfig(11,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);//post_HWP
	//Dean_Modify
	dma_cfg_PB = dx_DmaConfig(from_pb_dma_read,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);//post_HWP
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,40);
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_DmaDsPath(DMA_Play);//Frank
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(300);

	//Dean_Modify
	printk("0x6600=0x%x\n",ReadRegister(AUDIO_ADMA_CSR_PBW_VADDR));

	//Dean_Modify
//	dx_DmaExecute(dma_cfg_PB.is_playback, 0);
	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA loopback  Ok\n");
	}
	else{
		printk("[QC]  DMA loopbak  Fail\n");
		nResult++;
	}
	printk("DMA loopback  check reg.6600[31:30]=2b'11, value=%x\n",ReadRegister(AUDIO_ADMA_CSR_PBW_VADDR));

#endif

#if 1
	// 2ch PB spdif loopback
#ifdef AVOID_DDR_BUG
	wr_ptr += 0x00100000;
	rd_ptr += 0x00100000;
#endif
	dma_cfg_PB = dx_DmaConfig(from_ds_fifo,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);

#ifdef DMA_USE_GOLDEN_PATTERN
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,60);//0
#else
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,0);//0
#endif
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_SpdifSetInput(SPDIF_loopback); // from PAD
	dx_SpdifSetOutput0(SPDIF_normal, 0);
	dx_SpdifSetOutput1(SPDIF_disable, 0);
	dx_SpdifOutSetting(SPDIF0, normal_spdif_out, SPDIF_ch01_before_distortion, ch01, PLL_AUDIO);

	dx_FifoPlay_CH01(SPDIFin);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA PB_SPDIF  Ok\n");
	}
	else{
		printk("[QC]  DMA PB_SPDIF  Fail\n");
		nResult++;
	}
#endif

#if 1
	// 2ch TS I2S loopback
#ifdef AVOID_DDR_BUG
	wr_ptr += 0x00100000;
	rd_ptr += 0x00100000;
#endif
	dma_cfg_TS= dx_DmaConfig(from_ds_fifo,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,TS_Path);
	dx_DmaSetEnv(dma_cfg_TS,wr_ptr,rd_ptr);
	WriteRegister(AUDIO_AUDIO_DMA_BIST_CONTROL_INDICATE_VADDR, 0x02000200);

#ifdef DMA_USE_GOLDEN_PATTERN
	dx_DmaSetPattern(dma_cfg_TS, rd_ptr,61);//3
#else
	dx_DmaSetPattern(dma_cfg_TS, rd_ptr,3);//3
#endif
	dx_DmaCleanTargetBuffer(dma_cfg_TS, wr_ptr);
	dx_I2sSetInputPri(I2S_loopback); // from PAD
	dx_I2sSetOutput(I2S_normal, 4);
	dx_FifoTs_CH01(I2Sch01);

	dx_DmaTsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_TS.samples*4*dma_cfg_TS.wr_channels, dma_cfg_TS.samples*4*dma_cfg_TS.rd_channels);
	dx_DmaExecute(dma_cfg_TS.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_TS.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_TS, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA TS_I2S    Ok\n");
	}
	else{
		printk("[QC]  DMA TS_I2S    Fail\n");
		nResult++;
	}
	printk("DMA TS_I2S  check reg.66a0[31:30]=2b'11, value=%x\n",ReadRegister(AUDIO_ADMA_CSR_TSR_VADDR));
#endif

#if 1
	// 2ch NonPCM spdif loopback
#ifdef AVOID_DDR_BUG
	wr_ptr += 0x00100000;
	rd_ptr += 0x00100000;
#endif
	dma_cfg_PB = dx_DmaConfig(from_ds_fifo,DMA_nonPCM,oneCH,oneCH,DMABUFSAMPLES,PB_Path);
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);

#ifdef DMA_USE_GOLDEN_PATTERN
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,62);
#else
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,5);
#endif
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_SpdifSetInput(SPDIF_loopback); // from PAD
	dx_SpdifSetOutput0(SPDIF_normal, 6);//5
	dx_SpdifOutSetting(SPDIF0, normal_spdif_out, SPDIF_non_pcm_from_pb_dma, ch01, PLL_AUDIO);
	dx_FifoPlay_CH01(SPDIFin);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA PB NonPCM    Ok\n");
	}
	else {
		printk("[QC]  DMA PB NonPCM    Fail\n");
		nResult++;
	}
#endif

#if 0
	// 2ch ARC NonPCM spdif loopback
#ifdef AVOID_DDR_BUG
	wr_ptr += 0x00100000;
	rd_ptr += 0x00100000;
#endif
//	dma_cfg_ARC = dx_DmaConfig(from_ds_fifo,DMA_nonPCM,oneCH,oneCH,DMABUFSAMPLES,ARC_Path);
	dma_cfg_ARC = dx_DmaConfig(from_ds_fifo,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,ARC_Path);
	dx_DmaSetEnv(dma_cfg_ARC,wr_ptr,rd_ptr);
//	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,40);
//Dean_Modify
#ifdef DMA_USE_GOLDEN_PATTERN
	dx_DmaSetPattern(dma_cfg_ARC, rd_ptr,60);
#else
	dx_DmaSetPattern(dma_cfg_ARC, rd_ptr,0);
#endif
	dx_DmaCleanTargetBuffer(dma_cfg_ARC, wr_ptr);
	dx_SpdifSetInput(SPDIF_loopback); // from PAD
	dx_SpdifSetOutput0(SPDIF_normal, 12);//5
	dx_SpdifOutSetting(SPDIF0, normal_spdif_out, SPDIF_pcm_from_arc_dma, ch01, PLL_AUDIO);
	dx_FifoArc_CH01(SPDIFin);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_ARC.samples*4*dma_cfg_ARC.wr_channels, dma_cfg_ARC.samples*4*dma_cfg_ARC.rd_channels);
	dx_DmaExecute(dma_cfg_ARC.is_playback, 1);
	aud_Delay(200);
//	dx_DmaExecute(dma_cfg_ARC.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_ARC, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA ARC NonPCM    Ok\n");
	}
	else {
		printk("[QC]  DMA ARC NonPCM    Fail\n");
		nResult++;
	}
#endif

#if 0
	// 2ch PB spdif loopback with AQ
#ifdef AVOID_DDR_BUG
	wr_ptr += 0x00100000;
	rd_ptr += 0x00100000;
#endif
	dma_cfg_PB = dx_DmaConfig(from_post_hw,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);

#ifdef DMA_USE_GOLDEN_PATTERN
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,60);//0
#else
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,0);//0
#endif
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_SpdifSetInput(SPDIF_loopback); // from PAD
	dx_SpdifSetOutput0(SPDIF_normal, 0);
	dx_SpdifSetOutput1(SPDIF_disable, 0);
	dx_SpdifOutSetting(SPDIF0, normal_spdif_out, SPDIF_ch01_before_distortion, ch01, PLL_AUDIO);

	dx_FifoPlay_CH01(SPDIFin);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);

	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA DS_SPDIF  Ok\n");
	}
	else{
		printk("[QC]  DMA DS_SPDIF  Fail\n");
		nResult++;
	}
#endif


#endif

#if CONFIG_FT // for FT DMA tset 
	printk("[FT] DMA test \n");

#if 1
	// 2ch internal loopback
	dma_cfg_PB = dx_DmaConfig(post_HWP,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);//post_HWP
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,1);
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_DmaDsPath(DMA_Play);//Frank
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);
	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA loopback  Ok\n");
	}
	else {
		printk("[QC]  DMA loopback  Fail\n");
		nResult++;
	}

#endif
#endif

	return nResult;
}

#else
int aud_QcDma(unsigned int *wr_ptr, unsigned int *rd_ptr)
{
	*wr_ptr = pWrBuf;
	*rd_ptr = pRdBuf;
	return 0;
}

#endif

#ifdef audio_debug
UINT32 aud_DMA_dacout_test()
{
	QC_DMA_CFG dma_cfg_PB;
	QC_DMA_CFG dma_cfg_TS;
	dma_cfg_PB = dx_DmaConfig(from_ds_fifo,DMA_PCM,twoCH,twoCH,5000000,PB_Path);//buffer 50k
	dx_DmaSetEnv(dma_cfg_PB,pWrBuf,pWrBuf);
	dx_AdcSetInput(MUTEALL);
	aud_Delay(50);
	dx_DmaDsPath(DMA_Play);
	dx_FifoPlay_CH01(ADC);
	dx_AdcSetInput(AIN3_ADC);
	dx_HPSetOutput(DAC0);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(PB_Path,1);

}
#endif

// Case1:
// SetGoldenPattern -> PB_rDMA -> SPDIF_out0 ->(external pad) SPDIF_out1 -> PB_wDMA -> DDR
// Check: compare GoldenPattern vs. wDDR data
/*
int aud_test_case1()
{
	dx_SpdifOutSetting(SPDIF_index, output_sel, source_sel, ch_pair, clock);
	dx_SpdifSetInput(SPDIF_loopback); // from PAD

	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaSetPattern(dma_cfg_TS, rd_ptr,3);//3
	dx_DMA_R_Config(m_config, rd_start_addr, rd_buf_length);
	dx_DMA_W_Config(m_config, wr_start_addr, wr_buf_length, fifo_src);
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);


	// 2ch internal loopback
	dma_cfg_PB = dx_DmaConfig(post_HWP,DMA_PCM,twoCH,twoCH,DMABUFSAMPLES,PB_Path);//post_HWP
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,rd_ptr);
	dx_DmaSetPattern(dma_cfg_PB, rd_ptr,1);
	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_DmaDsPath(DMA_Play);//Frank
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  rd_ptr, dma_cfg_PB.samples*4*dma_cfg_PB.wr_channels, dma_cfg_PB.samples*4*dma_cfg_PB.rd_channels);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);
	aud_Delay(200);
	dx_DmaExecute(dma_cfg_PB.is_playback, 0);
	if(dx_DmaCompare(dma_cfg_PB, wr_ptr, rd_ptr)==0) {
		printk("[QC]  DMA loopback  Ok\n");
	}
	else {
		printk("[QC]  DMA loopback  Fail\n");
		nResult++;
	}

}
*/

#ifdef HDMI2AUDIO
void Audio_activate_HDMI(void)
{
	// ==================== HPD control ====================================
	rtd_outl(0xb80602F0, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
	rtd_outl(0xb80602F4, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
	rtd_outl(0xb80602F8, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
	
	// ==================== Port2 5.94G ====================================
	
	// ----------------------------- CK_TX and Z0 ------------------------------
	rtd_outl(0xb803CA18, 0x0001FF0F);	// Z0_Fix_Sel,CK_TX output enable(P0~P3)
	rtd_outl(0xb803CA20, 0x00f0ffff);	// Z300 enable,P/N Short For FT,R/G/B/CK Z0 resister on
	rtd_outl(0xb803CA24, 0x000318C0);	// Z0 manual = 0xC (P0~P2) 
	
	// ----------------------------------- Port2,CK-lane ------------------------------------------------------------
	rtd_outl(0xb803CA50, 0x0004ff0e);	// CMU_CKAFE_ENHANCE_BIAS[11:10] = 01,PLL N code=/1,Post M=/1,hysteresis amp enhance mode
	rtd_outl(0xb803CA54, 0x6E3B236A);	// ENC(CCO_BAND)=0xf,EN_Cap=0x0,KVCO=0x0,Cp=0x3,RS=0x2,CS=0x3,Icp=0xb,Icp double=0x0
	rtd_outl(0xb803CA58, 0x00000023);	// PLL WD set
	
	// ----------------------------------- Port2,B-lane -------------------------------------------------------------
	rtd_outl(0xb803CA40, 0x04B00900);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
	rtd_outl(0xb803CA44, 0x46D0616D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
	rtd_outl(0xb803CA48, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
	// ----------------------------------- Port2,G-lane -------------------------------------------------------------
	rtd_outl(0xb803CA60, 0x04B00900);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
	rtd_outl(0xb803CA64, 0x46D0616D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
	rtd_outl(0xb803CA68, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
	// ----------------------------------- Port2,R-lane -------------------------------------------------------------
	rtd_outl(0xb803CA70, 0x04B00900);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
	rtd_outl(0xb803CA74, 0x46D0616D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
	rtd_outl(0xb803CA78, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
	
	// ---------------------------------------------- Port2 DPHY settin --------------------------------------------
	rtd_outl(0xb803CBDC, 0xE4E84505);	// DPHY set
	rtd_outl(0xb803CBE0, 0x80000010);	//PLL M code=0x10+4=20
	
	// ------------------------------------------PLL & DEMUX & CDR release-----------------------------------------
	rtd_outl(0xb803CA10, 0x01020408);	// PLL enable (Port0~3)
	rtd_outl(0xb803CAD0, 0x00000fff);	// DEMUX reset release (Port0~3)
	rtd_outl(0xb803CB8C, 0xFC022033);	// R/G/B CDR reset release,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000
	
	// ----------------------------------------- Port2 MAC select --------------------------------------------------
	rtd_outl(0xb800D50C,0x00000008);	// Select Port2 MAC to VGIP 
	
	// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
	rtd_outl(0xb800D198,0x02A54A95);	// R/G/B ch async fifo enable
	rtd_outl(0xb800D19C,0x00000FC0);	// R/G/B PHY input clk invert
	
	// ============================ Port2 DFE setting ==========================
	rtd_outl(0xb803CD30,0xD125FF06);	// Tap0 sel no-transition,mode3, adaptive reset, Tap2 transition_only[28]=1
	
	rtd_outl(0xb803CD20,0x6100C200);	// R Lane set, DFE clk edge[31]=0	
	rtd_outl(0xb803CD00,0x6100C200);	// B Lane set	
	rtd_outl(0xb803CD10,0x6100C200);	// G Lane set	
	rtd_outl(0xb803CD24,0x00030703);	// R Lane set,Tap1[19:14]=12, Tap0[13:7]=14,  Vth=3 	
	rtd_outl(0xb803CD04,0x00030703);	// B Lane set	
	rtd_outl(0xb803CD14,0x00030703);	// G Lane set	
	
	rtd_outl(0xb803CD28,0xffa81e00);	// R Lane load init value , servo init set	
	rtd_outl(0xb803CD28,0x00a81e00); 
	
	rtd_outl(0xb803CD08,0xffa81e00);	// B Lane load init value , servo init set	
	rtd_outl(0xb803CD08,0x00a81e00);	
	
	rtd_outl(0xb803CD18,0xffa81e00);	// G Lane load init value , servo init set
	rtd_outl(0xb803CD18,0x00a81e00);
	
	rtd_outl(0xb803CD30,0xD125FFF6);	// Tap0 sel no-transition,mode3, adaptive reset release, Tap2 transition_only[28]=1
	
	rtd_outl(0xb803CD34,0x51b6e102);	// Tap0 run length = 4
	//rtd_outl(0xb803CD38,0x035a00d9);	// Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=0
	rtd_outl(0xb803CD38,0x035A28D9);		// Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=20
	
	rtd_outl(0xb803CD3C,0x364380A0);	// Vth_min=0,Vth_max=0x7,Vth_th=0,Tap0_th=0
	rtd_outl(0xb803CD40,0xA0554800);	// divisor set, Tap0 max set 0x24
	
	rtd_outl(0xb803CD20,0x6141C200);	//R Lane Vth,Tap0 adaptive enable, DFE clk edge[31]=0, LE_min	
	rtd_outl(0xb803CD00,0x6141C200);	
	rtd_outl(0xb803CD10,0x6141C200); 
	
	ScalerTimer_DelayXms(0x10);
	//wait_ms(10);
	
	rtd_outl(0xb803CD20,0x6100C200);	//R Lane all adaptive disable	
	rtd_outl(0xb803CD00,0x6100C200);
	rtd_outl(0xb803CD10,0x6100C200);
	
	rtd_outl(0xb803CD20,0x6182C200);	//R Lane LE,Tap1,Tap2 adaptive enable	
	rtd_outl(0xb803CD00,0x6182C200);	
	rtd_outl(0xb803CD10,0x6182C200);
	//rtd_outl(0xb803CD20,0x61C7C200);	//R Lane Vth,Tap0,LE,Tap2 adaptive enable
	//rtd_outl(0xb803CD00,0x61C7C200);		
	//rtd_outl(0xb803CD10,0x61C7C200);
	
	ScalerTimer_DelayXms(0x10);
	//wait_ms(10);
	
	rtd_outl(0xb803CD20,0x6100C200);	//R Lane all adaptive disable	
	rtd_outl(0xb803CD00,0x6100C200);
	rtd_outl(0xb803CD10,0x6100C200);
	
	//-----------------------------Port2 fore k-offset-----------------------------
	
	rtd_outl(0xb803CA40, 0x14B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,B lane input off[0]=1, fore-k Auto Mode[28]=1
	rtd_outl(0xb803CA60, 0x14B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,G lane input off[0]=1, fore-k Auto Mode[28]=1
	rtd_outl(0xb803CA70, 0x14B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,R lane input off[0]=1, fore-k Auto Mode[28]=1
	
	rtd_outl(0xb803CA40, 0x15B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,start auto-k[24]=1
	rtd_outl(0xb803CA60, 0x15B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,start auto-k[24]=1
	rtd_outl(0xb803CA70, 0x15B00901);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,start auto-k[24]=1
	
	rtd_outl(0xb803CA40, 0x15B00900);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,B lane input off[0]=0
	rtd_outl(0xb803CA60, 0x15B00900);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,G lane input off[0]=0
	rtd_outl(0xb803CA70, 0x15B00900);	// fore_offet set, LEQ bit rate RL select=0x1,pix2 sel=/5,R lane input off[0]=0
	
	rtd_outl(0xb803CB8C, 0x00022033);	// R/G/B CDR reset,KP=0x8,Ki=0x1,DCDR rate sel=1:4 0x000
	rtd_outl(0xb803CB8C, 0xFC022033);	// R/G/B CDR reset release,KP=0x8,Ki=0x1,DCDR rate sel=1:4 0x000
	
	
	// ----------------------------------------- EX PHY FIFO -------------------------------------------------
	rtd_outl(0xb80B4000,0x02A54A95);	// R/G/B ch async fifo enable
	rtd_outl(0xb80B4014,0x00000050);	// Port0_c_afifo_en & Port1_c_afifo_en = 1
	rtd_outl(0xb80B4004,0x0000003F);	// R/G/B PHY input clk invert
	rtd_outl(0xb80B4018,0x0000000C);	// Port0_cclk_inv & Port1_cclk_inv = 1
	
	// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
	rtd_outl(0xb803c198,0x02A54A95);	// R/G/B ch async fifo enable
	rtd_outl(0xb803c19C,0x00000FC0);	// R/G/B PHY input clk invert
	
	//HD21_PHY_FIFO_CR1
	//rtd_part_outl(0xb80b7008, 3, 2, 0x0); // Port0_ckclk_inv & Port1_ckclk_inv = 0
	//rtd_part_outl(0xb80b7008, 1, 0, 0x3); // Port2_ckclk_inv & Port3_ckclk_inv = 1
	
	// =========================== Port2 Mac setting =================================
	//rtd_part_outl(0xb803c01c, 6, 6, 0x1); //	brswap
	
	rtd_outl(0xb803c020,0x00000001);	//enable HDMI function
	rtd_outl(0xb803c01c,0x0000004F);	//RGB input enable, brswap
	rtd_outl(0xb803c018,0x000001e0);	//RGB output enable
	rtd_outl(0xb803c1ac,0x01c0d870);	// R/G/B ch async fifo enable
	
	
	rtd_outl(0xb803c048,0x00000080);	//deep color enable  
	rtd_outl(0xb803c098,0x00000008);	//video enable
	rtd_outl(0xb803c108,0x00000001);	//audio enable
	
	rtd_outl(0xb803c02c,0x00000073); // debounce sel=3 debounce cycle = 7
	
	rtd_outl(0xb803c1b4,0x00000001); //enable HDMI 2.0 data path
	//rtd_outl(0xb803c1bc,0x00000002); //FW assign data scrambling enable
	
	//rtd_outl(0xb8022210,0x80050001);			   // VGIP select HDMI
	//rtd_outl(0xb802ac00,0x00000002);			   // disable d-domain yuv2rgb
	
	//rtd_outl(0xb8021100,0x00280600); // off-line measure enable
	//rtd_outl(0xb8021100, 0x00280600);
	
	// =========================== Port2 CRC check =================================
	
	ScalerTimer_DelayXms(5);				// delay
	rtd_outl(0xb803c008,0x000000E1);		//CRC check enable	
	
	
	// =========================== VGIP1/VGIP2/DMP check =================================
	
	rtd_outl(0xb8022210,0x80000001); //enable VGIP1 and sel HDMI source
	rtd_outl(0xb8022238,0x80000003); //enable VGIP1 CRC check
	
	rtd_outl(0xb8022710,0x80000001); //enable VGIP2 and sel HDMI source
	rtd_outl(0xb8022738,0x80000003); //enable VGIP2 CRC check
	
	rtd_outl(0xb8022410,0x80000001); //enable DMP and sel HDMI source
	rtd_outl(0xb8022438,0x80000003); //enable DMP CRC check
	
	//wait_ms(90);
	
	rtd_inl(0xb803c00c); //CRC value is 0x00b2f4b4
	rtd_inl(0xb802223c); //VGIP1 value is 0xb92f09e7
	rtd_inl(0xb802273c); //VGIP2 value is 0xb92f09e7
	rtd_inl(0xb802243c); //DMA value is 0xb92f09e7
	
	rtd_inl(0xb803c10c); //read audio status
}

void aud_HDMI2Audio(unsigned int wr_ptr)
{
	int nResult=0;
	QC_DMA_CFG dma_cfg_PB;

	//Activate HDMI port 2
	Audio_activate_HDMI();

	dma_cfg_PB = dx_DmaConfig(from_HDMI_IN,DMA_PCM,twoCH,twoCH,8192,PB_Path);
	dx_DmaSetEnv(dma_cfg_PB,wr_ptr,wr_ptr);
//	dx_DmaCleanTargetBuffer(dma_cfg_PB, wr_ptr);
	dx_DmaDsPath(DMA_Play);
	aud_Delay(50);
	ddr_cache_flush( wr_ptr,  wr_ptr, 65536, 65536);
	
	WriteMaskRegister(AUDIO_HDMI_TO_AUDIO_VADDR, _BIT0, _BIT0);
	dx_DmaExecute(dma_cfg_PB.is_playback, 1);

/*
	rtd_maskl(0x18006684,0xFFFFFFFE, 0x00000001);	   //rDMA_enable
	rtd_maskl(0x18006630,0xffffffdf, 0x00000020);	   //PB Dma_soft_rd_rst =1 reset
	rtd_maskl(0x18006640,0xffffffdf, 0x00000020);	   //PB Dma_soft_rd_rst =1 reset
	rtd_maskl(0x18006630,0xffffffcf,0x00000010);	   //[5]PB Dma_soft_rd_rst =0 normal, [4]Enable_pb_rDMA
	rtd_maskl(0x18006640,0xffffffcf,0x00000010);	   //[5]TS Dma_soft_rd_rst =0 normal, [4]Enable_ts_rDMA
*/
}
#endif

#ifdef EARC_CMDC
int32_t Audio_HW_Earc_Init_Detection(void)
{
	PreHpdState = (ReadRegister(peARC_HPD_Output)&peARC_HPD_Output_Offset) ? 0 : 1;
	Pre5vState = (ReadRegister(peARC_5V_Detect)&peARC_5V_Detect_offset) ? 1 : 0;
	
	printk("PreHpdState=%d, Pre5vState=%d\n",PreHpdState,Pre5vState);
	return AIO_OK;
}

void AioEarcSetIrqFlag(int32_t ErrFlag)
{
	g_IrqFlag = ErrFlag;
}

int32_t AioEarcGetIrqFlag(void)
{
	return g_IrqFlag;
}

void AioEarcSetDebugFlag(int32_t Flag)
{
	g_EarcDebugMode = Flag;
}

int32_t AioEarcGetDebugFlag(void)
{
	return g_EarcDebugMode;
}

static void AudioEarcInitPow(bool En)
{
	earcmisc_earc_ana_0_RBUS EARC_ANA_0;

	EARC_ANA_0.regValue = ReadRegister(EARCMISC_earc_ana_0_reg);
	if (En == true)
	{
		if (EARC_ANA_0.earc_data_sel != 1)
			EARC_ANA_0.earc_data_sel = 1; //earc path
		if (EARC_ANA_0.pow_earc_driver != 1)
			EARC_ANA_0.pow_earc_driver = 1;
	}
	else
	{
		if (EARC_ANA_0.earc_data_sel != 0 && Pre5vState == 1)
			EARC_ANA_0.earc_data_sel = 0; //arc path
		if (EARC_ANA_0.pow_earc_driver != 0)
			EARC_ANA_0.pow_earc_driver = 0;
	}

	WriteRegister(EARCMISC_earc_ana_0_reg, EARC_ANA_0.regValue);
}

int32_t Audio_HW_Earc_Get_Connect_State(AIO_EARC_STATE_T *State)
{
	if (g_Earc_State.ConnectState == AIO_EARC_STATE_IDLE1)
		*State = AIO_EARC_IDLE1;
	else if (g_Earc_State.ConnectState == AIO_EARC_STATE_IDLE2)
	{
		*State = AIO_EARC_EARC_FAIL;
	}
	else if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC)
		*State = AIO_EARC_EARC;
	else *State = AIO_EARC_EARC_HANKSHAKE;

	/* debug mode */
	if (AioEarcGetDebugFlag() == 1)
	{
		printk("[AudioHw][eARC]State = %d, g_Earc_State.ConnectState = %d\n", *State, g_Earc_State.ConnectState);
	}
	/* debug mode */
	return AIO_OK;
}

int32_t Audio_HW_Earc_Get_Rx_Status(AIO_AUDIO_EARC_RX_STATUS_T *RxState)
{
	if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC)
	{
		if ((AioEarcGetIrqFlag() & AIO_EARC_START_CHNG_IRQ) != 0)
		{
			g_Earc_State.RxState = AIO_AUDIO_EARC_RX_STATUS_STAT_CHNG;
			g_Earc_State.ReadLatencyReady = false;
		}
		else if ((AioEarcGetIrqFlag() & AIO_EARC_CAP_CHNG_IRQ) != 0)
		{
			g_Earc_State.RxState = AIO_AUDIO_EARC_RX_STATUS_CAP_CHNG;
			g_Earc_State.ReadCapReady = false;
		}
//		else g_Earc_State.RxState = AIO_AUDIO_EARC_RX_STATUS_NONE;
		else
		{
			g_Earc_State.ReadLatencyReady = true;
			g_Earc_State.ReadCapReady = true;
			g_Earc_State.RxState = AIO_AUDIO_EARC_RX_STATUS_NONE;
		}

		*RxState = g_Earc_State.RxState;
	}
	else
	{
		*RxState = AIO_AUDIO_EARC_RX_STATUS_NONE;
	}

	/* debug mode */
	if (AioEarcGetDebugFlag() == 1)
	{
		printk("[AudioHw][eARC]RxState = %d\n", *RxState);
	}
	/* debug mode */
	return AIO_OK;
}

static void AudioEarcInitCmdc(void)
{
	earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
	earc_earc_cmdc_irq_en_RBUS CMDC_IRQ_EN;

	/* enable eARC IRQ */
	CMDC_IRQ_EN.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_EN_reg);

#if 1
	CMDC_IRQ_EN.write_nack_irq_en = 1;
	CMDC_IRQ_EN.read_nack_irq_en = 1;
	CMDC_IRQ_EN.read_uecc_irq_en = 1;
	CMDC_IRQ_EN.request_fin_irq_en= 1;
	CMDC_IRQ_EN.rdata_valid_irq_en = 1;
	CMDC_IRQ_EN.comma_timeout_irq_en = 1;
	CMDC_IRQ_EN.heartbeat_ack_irq_en = 1;
	CMDC_IRQ_EN.lost_heartbeat_irq_en = 1;
	CMDC_IRQ_EN.err_uecc_irq_en = 1;
	CMDC_IRQ_EN.no_response_irq_en= 1;
	CMDC_IRQ_EN.unexp_response_irq_en= 0;
	CMDC_IRQ_EN.start_chng_irq_en= 1;
	CMDC_IRQ_EN.cap_chng_irq_en= 1;
	CMDC_IRQ_EN.earc_hpd_irq_en= 1;
#else
	CMDC_IRQ_EN.regValue = 0x3fff;
#endif

	WriteRegister(EARC_eARC_CMDC_IRQ_EN_reg, CMDC_IRQ_EN.regValue);

	CMDC_Tx_Req.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
	CMDC_Tx_Req.cmdc_tx_en = 1;
	CMDC_Tx_Req.hdmi_hpd = 1;
	CMDC_Tx_Req.heartbeat_en = 1;
	WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx_Req.regValue);
}

int32_t Audio_HW_Earc_Arc_Switch(AIO_AUDIO_EARC_ARC_SWITCH_T Mode)
{
	earcmisc_earc_ana_0_RBUS EARC_ANA_0;
	earcmisc_earc_ana_2_RBUS EARC_ANA_2;

	EARC_ANA_0.regValue = ReadRegister(EARCMISC_earc_ana_0_reg);
	EARC_ANA_2.regValue = ReadRegister(EARCMISC_earc_ana_2_reg);
	EARC_ANA_2.earc_test_mode = 0; //Disable ARC Internal Pattern
	if (Mode == AIO_AUDIO_ARC)
	{
		//EARC_ANA_0.pow_earc_driver = 0;
		//EARC_ANA_0.earc_date_sel = 0; //arc path
	}
	else
	{
		EARC_ANA_0.pow_earc_driver = 1;
		//EARC_ANA_0.earc_date_sel = 1; //earc path
	}

	WriteRegister(EARCMISC_earc_ana_0_reg, EARC_ANA_0.regValue);
	WriteRegister(EARCMISC_earc_ana_2_reg, EARC_ANA_2.regValue);
	return 0;
}

void eARC_Connect(void)
{
	//step1. PLL Power
	rtd_maskl(0xb80b800c,0xFFFFFFFE,0x00000001); //POW_EARC_LDO=1
	rtd_maskl(0xb80b8004,0x3FFFFFFF,0x40000000); //POW_EARC_MBIAS=1
//	ScalerTimer_DelayXms(2); //5ms
	aud_Delay(2);
	rtd_maskl(0xb80b8008, 0xFEFFFFFF, 0x00000000);//EARC_PLL_PIBYPASS = 0

	//step2. PLL Value, 16.384MHz
	rtd_maskl(0xb80b8008,0xF9FFFFFF, 0x00000000); //REG_EARC_PLL_P=0
	rtd_maskl(0xb80b8004,0xFFFC2023, 0x0001C744); //REG_EARC_PLL_CP=2'b01,REG_EARC_PLL_CS=2'b11,REG_EARC_PLL_RS=3'b001,REG_EARC_PLL_IP=4'b0011,REG_EARC_PLL_K=3'b101
	rtd_maskl(0xb80b801c,0xFF00FFFF, 0x000F0000); //Ncode_T=8b00001111, 15
	rtd_maskl(0xb80b8010,0xF800FFFF, 0x01A30000); //Fcode_T=11b00110100011, 419
	rtd_maskl(0xb80b8028,0xFFF3FFFF, 0x00080000); //REG_PI_CUR_SEL=2'b10
	rtd_maskl(0xb80b8000,0x0FFFFFFF, 0x00000000); //reg_ck_1x_48k_mode=0

	//step3.
	rtd_maskl(0xb80b8004,0xDFFFFFFF, 0x20000000); //POW_EARC_PLL=1
	rtd_maskl(0xb80b800c,0x7FFFFFFD, 0x80000002); //RSTB_EARC_PLL=1,RSTB_EARC_PLL_VCO=1
	rtd_maskl(0x180b8034,0xFFFFFFEF, 0x00000018); //rstn_plldig=1, rstn_earcdphy=1
	rtd_maskl(0xb80b8010,0xFFFFFFFE, 0x00000000); //REG_OC_EN=0
	rtd_maskl(0xb80b8010,0xFFFFFFFE, 0x00000001); //REG_OC_EN=1
//	ScalerTimer_DelayXms(2); //5ms
	aud_Delay(2);
	rtd_maskl(0xb80b800c,0xBFFFFFFF, 0x40000000); //RSTB_EARC_SPK_DIV=1
	rtd_maskl(0xb80b8004,0xFFFFFFDF, 0x00000000); //REG_EARC_PLL_OEB=0
	rtd_maskl(0xb80b8008,0xFFFFFFFF, 0x00000300); //APHY Div4

	//enable eARC Tx
	rtd_maskl(0xb80b8004,0xF7FFFFFF, 0x08000000); //EARC_DATE_SEL=1
	rtd_maskl(0xb80b8004,0x7FFFFFFF, 0x80000000); //POW_EARC_DRIVER=1

	//APHY Setting
	rtd_maskl(0xb80B8008,0xFF01FFFF,0x00340000); //impedance...r300=0x1, r60=0xA
	rtd_maskl(0xb80b800C,0xC0FFFEC7, 0x1c000038); //Df_duty_sel=7 & Vol_level_cm=0 & CM_TRF_SEL=011 & DF_IB_SEL(swing)=0x4
	rtd_maskl(0xb80b8004,0xFFF3FFFF, 0x000C0000); //DF Rise/Fall=11, [19:18]=11
	rtd_maskl(0xb80b8008,0x1FFFFFFF, 0xA000000F); //COM Swing=101, [31:29]=101

	//EARC TX Timing Settings
	rtd_maskl(0xb80B8004,0x7FFFFFFF,0x80000000);
	rtd_maskl(0xb80B800C,0xFFFFFFFE,0x00000001);
	rtd_maskl(0xb80b800C,0xC7FFFEFF,0x08000000);
	rtd_maskl(0xb80b802C,0xC0FFFFFF,0x10000000);
	rtd_maskl(0xb80B8030,0xFFFFFCFF,0x00000100);
	rtd_maskl(0xb8006DC0,0x3C07E01F,0x83981AE0);
	rtd_maskl(0xb8006DC4,0xF00FFFFF,0x0D700000);
}

void Audio_HW_Earc_ClrReadIrq(void)
{
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;

	CMDC_IRQ_STATUS.regValue = 0;
	CMDC_IRQ_STATUS.regValue |= AIO_EARC_ERR_READ_TRANS_IRQ;
	WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS.regValue);
}

void Audio_HW_Earc_ClrWriteIrq(void)
{
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;

	CMDC_IRQ_STATUS.regValue = 0;
	CMDC_IRQ_STATUS.regValue |= AIO_EARC_ERR_WRITE_TRANS_IRQ;
	WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS.regValue);
}

void Audio_HW_Earc_SetAPHY(void)
{
	earcmisc_earc_ana_0_RBUS EARC_ANA_0;
	earcmisc_earc_ana_1_RBUS EARC_ANA_1;
	earcmisc_earc_ana_2_RBUS EARC_ANA_2;
	earcmisc_earc_dphy1_RBUS DPHY1;
	earc_earc_cmdc_timing0_RBUS CMDC_TIMING0;
	earc_earc_cmdc_timing1_RBUS CMDC_TIMING1;
	earc_earc_cmdc_nack_uecc_RBUS CMDC_NACK_UECC;
	int32_t RegValue = 0;

	printk("Audio_HW_Earc_SetAPHY s\n");
	EARC_ANA_0.regValue = ReadRegister(EARCMISC_earc_ana_0_reg);
	EARC_ANA_0.df_trf_sel = 0x3;
	WriteRegister(EARCMISC_earc_ana_0_reg, EARC_ANA_0.regValue);

	EARC_ANA_1.regValue = ReadRegister(EARCMISC_earc_ana_1_reg);
	EARC_ANA_1.r300_sel = 0x1;
	EARC_ANA_1.r60_sel = 0xa;
	EARC_ANA_1.cm_ib_sel = 0x5;
	WriteRegister(EARCMISC_earc_ana_1_reg, EARC_ANA_1.regValue);

	EARC_ANA_2.regValue = ReadRegister(EARCMISC_earc_ana_2_reg);
	EARC_ANA_2.df_ib_sel = 0x4;
	EARC_ANA_2.cm_trf_sel = 0x3;
	EARC_ANA_2.df_duty_sel = 0x7;
	EARC_ANA_2.arc_res_sel = 0x7;
	EARC_ANA_2.vol_level_cm = 0x0;
	WriteRegister(EARCMISC_earc_ana_2_reg, EARC_ANA_2.regValue);

	DPHY1.regValue = ReadRegister(EARCMISC_earc_dphy1_reg);
	DPHY1.cm_rx_response = 0x10; //the default value is too small. orig:0x3F
	WriteRegister(EARCMISC_earc_dphy1_reg, DPHY1.regValue);
	RegValue = ReadRegister(EARCMISC_earc_dphy2_reg);
	RegValue = ((RegValue & (~(_BIT9 | _BIT8))) | _BIT8); //0xb80b8030[9:8] : cm_rx_response[7:6], bit8 =1
	WriteRegister(EARCMISC_earc_dphy2_reg, RegValue);

	CMDC_TIMING0.regValue = ReadRegister(EARC_eARC_CMDC_TIMING0_reg);
	CMDC_TIMING0.tx_conn_comma_off_min = EARC_TIMING_COMMA_OFF_MIN;
	CMDC_TIMING0.tx_conn_comma_off_max = EARC_TIMING_COMMA_OFF_MAX;
	CMDC_TIMING0.tx_timeout = EARC_TIMING_TX_TIMEOUT;
	CMDC_TIMING0.tx_connearc_valid = EARC_TIMING_TX_CONNEARC_VALID;
	CMDC_TIMING0.tx_disconn = 0;
	CMDC_TIMING0.hdmi_hpd_hp = 1; //hdmi_hpd bit = 1
	WriteRegister(EARC_eARC_CMDC_TIMING0_reg, CMDC_TIMING0.regValue);

	CMDC_TIMING1.regValue = ReadRegister(EARC_eARC_CMDC_TIMING1_reg);
	CMDC_TIMING1.tx_conn_comma_on_min = EARC_TIMING_COMMA_OFF_MIN;
	CMDC_TIMING1.tx_conn_comma_on_max = EARC_TIMING_COMMA_OFF_MAX;
	CMDC_TIMING1.lost_heartbeat = EARC_TIMING_LOST_HEARTBEAT;
	CMDC_TIMING1.heartbeat = EARC_TIMING_HEARTBEAT;
	WriteRegister(EARC_eARC_CMDC_TIMING1_reg, CMDC_TIMING1.regValue);

	CMDC_NACK_UECC.regValue = ReadRegister(EARC_eARC_CMDC_NACK_UECC_reg);
	CMDC_NACK_UECC.read_nack_num = EARC_READ_NACK_NUM;
	CMDC_NACK_UECC.read_uecc_num = EARC_READ_UECC_NUM;
	WriteRegister(EARC_eARC_CMDC_NACK_UECC_reg, CMDC_NACK_UECC.regValue);

//	Audio_Earc_Timer_Init();
//	AudioHw_Earc_Reset();
	printk("Audio_HW_Earc_SetAPHY e\n");
}

void Audio_HW_Earc_Reset_irq(void)
{
	earc_earc_cmdc_irq_RBUS earc_cmdc_irq;
	earc_earc_cmdc_timing0_RBUS CMDC_TIMING0;
	
	earc_cmdc_irq.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
	earc_cmdc_irq.regValue = 0x000003ff;
	WriteRegister(EARC_eARC_CMDC_IRQ_reg, earc_cmdc_irq.regValue);

	CMDC_TIMING0.regValue = ReadRegister(EARC_eARC_CMDC_TIMING0_reg);
//	CMDC_TIMING0.tx_disconn = 0;
	CMDC_TIMING0.hdmi_hpd_hp = 1; //hdmi_hpd bit = 1
//	CMDC_TIMING0.tx_disconn = 0x32; //hdmi_hpd bit = 1
//	CMDC_TIMING0.tx_disconn = 0x30; //hdmi_hpd bit = 1
//	CMDC_TIMING0.tx_timeout = 5;
	WriteRegister(EARC_eARC_CMDC_TIMING0_reg, CMDC_TIMING0.regValue);
}

void Audio_HW_Earc_GetHandshakingStatus(AIO_EARC_STATE_MACHINE_T *Status)
{
	earc_earc_cmdc_req_RBUS Earc_State;

	Earc_State.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
	if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC 
		&& (AIO_EARC_STATE_MACHINE_T)Earc_State.disc_state == AIO_EARC_STATE_DISC1)
	{
		Audio_HW_Earc_Reset_irq();
	}
	
	if (g_Earc_State.ConnectState != (AIO_EARC_STATE_MACHINE_T)Earc_State.disc_state)
	{
		printk("g_Earc_State.ConnectState = 0x%x, Earc_State.disc_state = 0x%x\n", g_Earc_State.ConnectState,
			Earc_State.disc_state);
		g_Earc_State.ConnectState = Earc_State.disc_state;
	}

	if (g_Earc_State.ConnectState == AIO_EARC_STATE_IDLE2)
	{
		AudioEarcInitPow(0);
		//printk("Enter idle2 state!\n");
	}
	
	*Status = g_Earc_State.ConnectState;
}

#if 1
static int32_t AudioEarcRead(unsigned char *Data)
{
	#define RDATA_1BYTE_TIME 5 //us
	#define WAIT_VALID_IRQ_TIME 4 //us
	#define CMD_TIME	250 //us

	unsigned char FirstTimeRead = 0, Data_Len = 0, Total_Read_Count = 0;
	earc_earc_cmdc_req_RBUS CMDC_REQ;
	//earc_earc_cmdc_irq_en_RBUS CMDC_IRQ_EN;
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS_2;
	int32_t ret = AIO_OK, Rdata_Index = 0;
	unsigned int ValidFlag = 0, FinIsrFlag = 0, ErrorFlag = 0;
	earc_earc_cmdc_read_RBUS ReadData;

	//audio_hw_usleep(CMD_TIME);
	if (g_Earc_State.TransactionState == AIO_AUDIO_EARC_TRAN_READ_CAP_PROCESS)
	{
		//unsigned long flags;
		
		FirstTimeRead = 1;
		//local_irq_save(flags);
		while(1)
		{
			CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
			CMDC_IRQ_STATUS_2.regValue = 0;
			if (CMDC_IRQ_STATUS.rdata_valid_irq != 0)
			{
				ReadData.regValue = ReadRegister(EARC_eARC_CMDC_READ_reg);
				g_eARCReadData = ReadData.regValue;
				CMDC_IRQ_STATUS_2.rdata_valid_irq = 1;
				ValidFlag = 1;
				WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS_2.regValue);
				aud_Delay(1);
				CMDC_IRQ_STATUS_2.regValue = 0;
			}

			if (CMDC_IRQ_STATUS.request_fin_irq != 0)
			{
				CMDC_IRQ_STATUS_2.request_fin_irq = 1;
				FinIsrFlag = 1;
			}

			if (CMDC_IRQ_STATUS.lost_heartbeat_irq != 0)
			{
				CMDC_IRQ_STATUS_2.lost_heartbeat_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.unexp_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.unexp_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.no_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.no_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.read_uecc_irq != 0)
			{
				CMDC_IRQ_STATUS_2.read_uecc_irq = 1;
				ErrorFlag = 1;
			}

			WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS_2.regValue);
			//CMDC_IRQ_STATUS.regValue = AIO_ReadRegister(EARC_eARC_CMDC_IRQ_reg);
			if (ValidFlag == 1/* && CMDC_IRQ_STATUS.rdata_valid_irq == 0*/)
			{
				aud_Delay(1);
				CMDC_REQ.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
				if (FirstTimeRead)
				{
					FirstTimeRead = 0;
					CMDC_REQ.rdata_len = 128;
					Data_Len = (CMDC_REQ.rdata_len/4);
				}

				Data[Rdata_Index] = ((g_eARCReadData >> 24) & 0xFF);
				Data[Rdata_Index+1] = ((g_eARCReadData >> 16) & 0xFF);
				Data[Rdata_Index+2] = ((g_eARCReadData >> 8) & 0xFF);
				Data[Rdata_Index+3] = (g_eARCReadData & 0xFF);
				Rdata_Index += 4;
				++ Total_Read_Count;
				g_eARCReadData = 0;	
				ValidFlag = 0;
				AioEarcSetIrqFlag(AioEarcGetIrqFlag() & (~AIO_EARC_RDATA_VALID_IRQ));
				if (Total_Read_Count < Data_Len)
				{
					CMDC_REQ.continue_status = 1;
					WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_REQ.regValue);
					//audio_hw_usleep(2);
				}
			}
			else if (ErrorFlag == 1)
			{
				//alog_err("[AudioHW][eARC] Read Cap Fail. %x\n", CMDC_IRQ_STATUS_2.regValue);
				CMDC_REQ.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
				CMDC_REQ.fw_req= 0;
				CMDC_REQ.continue_status = 0;
				//CMDC_REQ.capability_stop = 1;
				WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_REQ.regValue);
				ret = AIO_ERROR;
				ReadCapResult = 1;
				break;
			}
			else if (FinIsrFlag == 1 && ValidFlag == 0)
			{
				//alog_err("[AudioHW][eARC] Read Cap Ok.\n");
				CMDC_REQ.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
				CMDC_REQ.fw_req= 0;
				CMDC_REQ.continue_status = 0;
				//CMDC_REQ.capability_stop = 1;
				WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_REQ.regValue);
				g_Earc_State.ReadCapReady = true;
				ret = AIO_OK;
				ReadCapResult = 0;
				AioEarcSetIrqFlag(AioEarcGetIrqFlag() & (~AIO_EARC_CAP_CHNG_IRQ));
				break;
			}
		}

		RunCapFlag = 0;
		//local_irq_save(flags);
	}
	else if (g_Earc_State.TransactionState == AIO_AUDIO_EARC_TRAN_READ_LATENCY_PROCESS)
	{
		//unsigned long flags;
		int i = 0;

		//local_irq_save(flags);
		aud_Delay(1);
		for (i=0; i<10; ++i)
		{
			CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
			CMDC_IRQ_STATUS_2.regValue = 0;
			if (CMDC_IRQ_STATUS.request_fin_irq != 0)
			{
				CMDC_IRQ_STATUS_2.request_fin_irq = 1;
				FinIsrFlag = 1;
			}

			if (CMDC_IRQ_STATUS.lost_heartbeat_irq != 0)
			{
				CMDC_IRQ_STATUS_2.lost_heartbeat_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.unexp_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.unexp_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.no_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.no_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.read_uecc_irq != 0)
			{
				CMDC_IRQ_STATUS_2.read_uecc_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.rdata_valid_irq != 0)
			{
				ReadData.regValue = ReadRegister(EARC_eARC_CMDC_READ_reg);
				g_eARCReadData = ReadData.regValue;
				CMDC_IRQ_STATUS_2.rdata_valid_irq = 1;
				ValidFlag = 1;
			}

			if (FinIsrFlag == 1 || ErrorFlag == 1)
			{
				break;
			}

			aud_Delay(1);
		}

		//local_irq_save(flags);
		WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS_2.regValue);
		if (FinIsrFlag == 1 && ErrorFlag != 1)
		{
			*Data = (g_eARCReadData & 0xFF);
			g_Latency = *Data;
			g_eARCReadData = 0;
			CMDC_REQ.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
			CMDC_REQ.fw_req= 0;
			CMDC_REQ.continue_status = 0;
			WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_REQ.regValue);
			AioEarcSetIrqFlag(AioEarcGetIrqFlag() & (~AIO_EARC_START_CHNG_IRQ));
			g_Earc_State.ReadLatencyReady = true;
			if (CMDC_IRQ_STATUS.start_chng_irq != 0)
			{
				CMDC_IRQ_STATUS.regValue = 0;
				CMDC_IRQ_STATUS.start_chng_irq = 1;
				WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS.regValue);
			}

			printk("[AudioHW][eARC] Read Latency Ok. %x\n", CMDC_IRQ_STATUS.regValue);
			ret = AIO_OK;
		}
		else if (ErrorFlag == 1)	
		{
			*Data = (g_eARCReadData & 0xFF);
			g_eARCReadData = 0;
			CMDC_REQ.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
			CMDC_REQ.fw_req= 0;
			CMDC_REQ.continue_status = 0;
			WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_REQ.regValue);
			printk("[AudioHW][eARC] Read Latency Error, %x\n", CMDC_IRQ_STATUS_2.regValue);
			ret = AIO_ERROR;
		}
	}

	/* disable eARC  IRQ of read */
	#if 0
	CMDC_IRQ_EN.regValue = AIO_ReadRegister(EARC_eARC_CMDC_IRQ_EN_reg);
	CMDC_IRQ_EN.regValue &= (~AIO_EARC_ERR_READ_TRANS_IRQ);
	AIO_WriteRegister(EARC_eARC_CMDC_IRQ_EN_reg, CMDC_IRQ_EN.regValue);
	#endif
	return ret;
}

int32_t Audio_HW_Earc_Read_Transaction(AIO_AUDIO_EARC_CMDC_READ_T *Info)
{
	int ret = AIO_OK;
	//earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
	//earc_earc_cmdc_payload_RBUS CMDC_PayLoad;
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;

	//down(&audio_sem_earc_transaction);
	//printk("RT_0_Con_%d,Tra_%d\n",g_Earc_State.ConnectState,g_Earc_State.TransactionState);
	Audio_HW_Earc_ClrReadIrq();
	if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC && 
		g_Earc_State.TransactionState == AIO_AUDIO_EARC_TRAN_IDLE)
	{
		//printk("RT_1_Type_%d\n",Info->Type);
		g_eARCReadData = 0;
		AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_ERR_READ_TRANS_IRQ) & (~AIO_EARC_RDATA_VALID_IRQ)
			& (~AIO_EARC_REQUEST_FIN_IRQ)));
		if (Info->Type == AIO_AUDIO_EARC_READ_CAP)
		{
			earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
			earc_earc_cmdc_payload_RBUS CMDC_PayLoad;

			if (g_Earc_State.ReadCapReady == true)
			{
				memcpy(Info->ReadData, &g_CapabilityData[0], 256);
				//up(&audio_sem_earc_transaction);
				return AIO_OK;
			}

#if 1
			memset(&g_CapabilityData[0], 0, 256);
			g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_READ_CAP_PROCESS;
			RunCapFlag = 1;
#endif

			CMDC_PayLoad.regValue = ReadRegister(EARC_eARC_CMDC_PAYLOAD_reg);
			CMDC_PayLoad.device_id = AIO_EARC_CAP_DEVICE_ID;
			CMDC_PayLoad.offset = AIO_EARC_CAP_OFFSET;
			WriteRegister(EARC_eARC_CMDC_PAYLOAD_reg, CMDC_PayLoad.regValue);
			
			CMDC_Tx_Req.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
			CMDC_Tx_Req.request_case = 1; //read request
			CMDC_Tx_Req.continue_status = 1;
			CMDC_Tx_Req.fw_req = 1;
			CMDC_Tx_Req.rdata_len = 0;
			WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx_Req.regValue);
			ReadCapResult = 0;
			//AudioEarcRead(&g_CapabilityData[0]);
			
			if (AudioEarcRead(Info->ReadData) == AIO_OK)
			{
				CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
				if (CMDC_IRQ_STATUS.cap_chng_irq != 0)
				{
//					printk("RT_Cap_8\n");
					CMDC_IRQ_STATUS.regValue = 0;
					CMDC_IRQ_STATUS.cap_chng_irq = 1;
					WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS.regValue);
				}
				AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_CAP_CHNG_IRQ)));
				g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
				//printk("RT_Cap_n3_OK\n");
				ret =  AIO_OK;
			}
			else
			{
				g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
				/* debug mode */
				if (AioEarcGetDebugFlag() == 1)
				{
				}
				/* debug mode */
				ret =  AIO_ERROR;
			}
		}
		else if (Info->Type == AIO_AUDIO_EARC_READ_LATENCY)
		{
			earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
			earc_earc_cmdc_payload_RBUS CMDC_PayLoad;

			if ((g_Earc_State.ReadLatencyReady == true) && (EARC_Force_Read != true))
			{
				memcpy(Info->ReadData, &g_Latency, sizeof(unsigned char));
				//up(&audio_sem_earc_transaction);
				return AIO_OK;
			}
			
			g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_READ_LATENCY_PROCESS;
			CMDC_PayLoad.regValue = ReadRegister(EARC_eARC_CMDC_PAYLOAD_reg);
			CMDC_PayLoad.device_id = AIO_EARC_LATENCY_DEVICE_ID;
			CMDC_PayLoad.offset = AIO_EARC_ERX_LATENCY_OFFSET;
			WriteRegister(EARC_eARC_CMDC_PAYLOAD_reg, CMDC_PayLoad.regValue);
			
			CMDC_Tx_Req.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
			CMDC_Tx_Req.request_case = 1; //read request
			CMDC_Tx_Req.continue_status = 0;	//Latency, need to set 0
			CMDC_Tx_Req.fw_req = 1;
			WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx_Req.regValue);
			if (AudioEarcRead(Info->ReadData) == AIO_OK)
			{
				g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
				ret =  AIO_OK;
			}
			else
			{
				g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
				/* debug mode */
				if (AioEarcGetDebugFlag() == 1)
				{
					printk("[AudioHw][eARC]Read Latency Error\n");
				}
				/* debug mode */
				ret =  AIO_ERROR;
			}
		}
		else
		{
			printk("[AudioHw][eARC] unknown read-transaction type\n");
			ret =  AIO_ERROR;
		}
	}
	else
	{
		if (g_Earc_State.ConnectState != AIO_EARC_STATE_EARC)
			printk("[AudioHw][eARC]Err Read Transaction, not in eARC state\n");
		else if (g_Earc_State.TransactionState != AIO_AUDIO_EARC_TRAN_IDLE)
			printk("[AudioHw][eARC]Err Read Transaction, not in trans idle\n");
		
		ret =  AIO_ERROR;
	}

	AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_ERR_READ_TRANS_IRQ) & (~AIO_EARC_RDATA_VALID_IRQ)
		& (~AIO_EARC_REQUEST_FIN_IRQ)));
	//up(&audio_sem_earc_transaction);
	return ret;
}

int32_t Audio_HW_Earc_Write_Latency(uint8_t WriteData)
{
	int32_t ret = AIO_OK;

	//down(&audio_sem_earc_transaction);
	Audio_HW_Earc_ClrWriteIrq();
	if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC && 
		g_Earc_State.TransactionState == AIO_AUDIO_EARC_TRAN_IDLE)
	{
		earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;
		earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS_2;
		earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
		earc_earc_cmdc_payload_RBUS CMDC_PayLoad;
		earc_earc_cmdc_write_RBUS Write_Data;
		//unsigned long flags;
		int i = 0;
		unsigned int FinIsrFlag = 0, ErrorFlag = 0;

		aud_Delay(10);
		AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_ERR_WRITE_TRANS_IRQ)));
		g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_WRITE_LATENCY_PROCESS;
		CMDC_PayLoad.regValue = ReadRegister(EARC_eARC_CMDC_PAYLOAD_reg);
		CMDC_PayLoad.device_id = AIO_EARC_LATENCY_DEVICE_ID;
		CMDC_PayLoad.offset = AIO_EARC_ERX_LATENCY_REQ_OFFSET;
		WriteRegister(EARC_eARC_CMDC_PAYLOAD_reg, CMDC_PayLoad.regValue);

		Write_Data.regValue = ReadRegister(EARC_eARC_CMDC_WRITE_reg);
		Write_Data.write_data = WriteData;
		WriteRegister(EARC_eARC_CMDC_WRITE_reg, Write_Data.regValue);
		
		CMDC_Tx_Req.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
		CMDC_Tx_Req.request_case = 0; //write request
		CMDC_Tx_Req.fw_req = 1;
		WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx_Req.regValue);
		//local_irq_save(flags);
		aud_Delay(1);
		for (i=0; i<10; ++i)
		{
			CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
			CMDC_IRQ_STATUS_2.regValue = 0;
			if (CMDC_IRQ_STATUS.request_fin_irq != 0)
			{
				CMDC_IRQ_STATUS_2.request_fin_irq = 1;
				FinIsrFlag = 1;
			}

			if (CMDC_IRQ_STATUS.lost_heartbeat_irq != 0)
			{
				CMDC_IRQ_STATUS_2.lost_heartbeat_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.unexp_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.unexp_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.no_response_irq != 0)
			{
				CMDC_IRQ_STATUS_2.no_response_irq = 1;
				ErrorFlag = 1;
			}

			if (CMDC_IRQ_STATUS.write_nack_irq != 0)
			{
				CMDC_IRQ_STATUS_2.write_nack_irq = 1;
				ErrorFlag = 1;
			}

			if (FinIsrFlag == 1 || ErrorFlag == 1)
			{
				//printk("CMDC_IRQ_Check_FinIsrFlag_%d, ErrorFlag_%d\n",FinIsrFlag,ErrorFlag);
				break;
			}

			aud_Delay(1);
		}

		//local_irq_save(flags);
		WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS_2.regValue);
		g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
		if (ErrorFlag == 1)
		{
			printk("[AudioHw][eARC]Err Write Transaction\n");
			ret = AIO_ERROR;
		}
	}
	else
	{
		if (g_Earc_State.ConnectState != AIO_EARC_STATE_EARC)
			printk("[AudioHw][eARC]Err Write Transaction, not in eARC state\n");
		else if (g_Earc_State.TransactionState != AIO_AUDIO_EARC_TRAN_IDLE)
			printk("[AudioHw][eARC]Err Write Transaction, not in trans idle\n");
		
		ret = AIO_ERROR;
	}

	AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_ERR_WRITE_TRANS_IRQ)));
	AioEarcSetIrqFlag((AioEarcGetIrqFlag() & (~AIO_EARC_REQUEST_FIN_IRQ)));
	//up(&audio_sem_earc_transaction);

	if(ret == AIO_OK)
		printk("Write Transaction_Latency_%d\n",WriteData);
	return ret;
}

#endif

void AudioHw_Earc_Transaction(void)
{
	AIO_AUDIO_EARC_RX_STATUS_T RxState = AIO_AUDIO_EARC_RX_STATUS_NONE;
	AIO_AUDIO_EARC_CMDC_READ_T ReadTransaction;
	unsigned char ReadData[256];

	if (EARC_READ_COUNT < 50)
		++EARC_READ_COUNT;
	
	Audio_HW_Earc_Get_Rx_Status(&RxState);
	if (EARC_READ_COUNT > 3)
	{
		if (g_Earc_State.ReadLatencyReady == FALSE)
		{
			printk("[eARC] read latency s\n");
			ReadTransaction.Type = AIO_AUDIO_EARC_READ_LATENCY;
			ReadTransaction.ReadData = ReadData;
			if (Audio_HW_Earc_Read_Transaction(&ReadTransaction) != AIO_OK)
			{
				printk("[eARC] read latency err\n");
			}
			else
			{
				printk("[eARC] read latency pass, latency=%d\n", *ReadTransaction.ReadData);
			}
		}

		if (g_Earc_State.ReadCapReady == FALSE)
//		if (0)
		{
			//printk("[eARC] read capReady s\n");
			ReadTransaction.Type = AIO_AUDIO_EARC_READ_CAP;
			ReadTransaction.ReadData = ReadData;
			if (Audio_HW_Earc_Read_Transaction(&ReadTransaction) != AIO_OK)
			{
				printk("[eARC] read cap err\n");
			}
			else
			{
				//printk("[eARC] read cap pass\n");
			#if 1
				for (int i=0; i < 255; ++i)
				{
					printk("%d ", ReadData[i]);
				}
				printk("\n");

			#endif
			}
		}
	}
}

void AudioHw_Earc_Isr(void)
{
	earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;
//	earc_earc_cmdc_read_RBUS ReadData;
	int32_t IrqFlag = AioEarcGetIrqFlag();

	CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);

	if (IrqFlag != CMDC_IRQ_STATUS.regValue)
	{
		AioEarcSetIrqFlag(CMDC_IRQ_STATUS.regValue);
	#if 0
		if (earc_cmdc_irq.cap_chng_irq == 1)
			g_Earc_State.ReadCapReady = false;
		if (earc_cmdc_irq.start_chng_irq == 1)
			g_Earc_State.ReadLatencyReady = false;
	#endif
	}

	
	//if (CMDC_IRQ_STATUS.regValue > 0)
	if (CMDC_IRQ_STATUS.heartbeat_ack_irq != 0)
	{
		if  (CMDC_IRQ_STATUS.heartbeat_ack_irq == 1)
		{
			printk("Heartbeat_ack_irq!\n");
			//CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
			CMDC_IRQ_STATUS.regValue = 0;
			CMDC_IRQ_STATUS.heartbeat_ack_irq = 1;
			WriteRegister(EARC_eARC_CMDC_IRQ_reg, CMDC_IRQ_STATUS.regValue);
			IrqFlag |= AIO_EARC_HEARTBEAT_ACK_IRQ;
			if (RunCapFlag == 1)
			{
				earc_earc_cmdc_req_RBUS CMDC_Tx_Req;
				earc_earc_cmdc_payload_RBUS CMDC_PayLoad;

				CMDC_PayLoad.regValue = ReadRegister(EARC_eARC_CMDC_PAYLOAD_reg);
				CMDC_PayLoad.device_id = AIO_EARC_CAP_DEVICE_ID;
				CMDC_PayLoad.offset = AIO_EARC_CAP_OFFSET;
				WriteRegister(EARC_eARC_CMDC_PAYLOAD_reg, CMDC_PayLoad.regValue);

				CMDC_Tx_Req.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
				CMDC_Tx_Req.request_case = 1; //read request
				CMDC_Tx_Req.continue_status = 1;
				CMDC_Tx_Req.fw_req = 1;
				CMDC_Tx_Req.rdata_len = 0;
				WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx_Req.regValue);
				ReadCapResult = 0;
				AudioEarcRead(&g_CapabilityData[0]);
			}
		}

		//return IRQ_HANDLED;
	}
}

static void AudioHw_Earc_Reset(void)
{
	//int32_t IRQ_Reg = 0;
	earc_earc_cmdc_req_RBUS CMDC_Tx;
	earc_earc_cmdc_irq_en_RBUS CMDC_IRQ_EN;

	/* disable eARC IRQ */
	CMDC_IRQ_EN.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_EN_reg);
	CMDC_IRQ_EN.regValue = 0;
	WriteRegister(EARC_eARC_CMDC_IRQ_EN_reg, CMDC_IRQ_EN.regValue);

	CMDC_Tx.regValue = ReadRegister(EARC_eARC_CMDC_REQ_reg);
	CMDC_Tx.request_case = 0;
	CMDC_Tx.continue_status = 0;
	CMDC_Tx.fw_req = 0;
	CMDC_Tx.cmdc_tx_en = 0;
	CMDC_Tx.hdmi_hpd = 0;
	WriteRegister(EARC_eARC_CMDC_REQ_reg, CMDC_Tx.regValue);
	
	AudioEarcInitPow(0);
	AioEarcSetIrqFlag(0);
	Audio_HW_Earc_Reset_irq();
	// disable route to SCPU
	//IRQ_Reg = AIO_ReadRegister(0xb80002A4);
	//IRQ_Reg = (IRQ_Reg & (~VERIFY_BIT31)) | VERIFY_BIT0;
	//AIO_WriteRegister(0xb80002A4, IRQ_Reg);

	g_Earc_State.ConnectState = AIO_EARC_STATE_IDLE1;
	g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
	g_Earc_State.ReadCapReady = true;
	g_Earc_State.ReadLatencyReady = true;
	g_Earc_State.RxState = AIO_AUDIO_EARC_RX_STATUS_NONE;
	g_Earc_State.CommaTimeout = 0;
	memset(&g_CapabilityData[0], 0, 256);
	g_Latency = 0;
	g_EarcInit = 0;
}

void Audio_HW_Earc_En(unsigned int en)
{
	g_EarcEn = en;
}

int32_t Audio_HW_Earc_Start(void)
{
	g_EarcInit = 1;
	rtd_outl(0xb80002A4, _BIT31|_BIT0);
	AudioEarcInitPow(1);
	AioEarcSetIrqFlag(0);	
	g_Earc_State.ConnectState = AIO_EARC_STATE_IDLE1;
	g_Earc_State.TransactionState = AIO_AUDIO_EARC_TRAN_IDLE;
	g_Earc_State.ReadCapReady = true;
	g_Earc_State.ReadLatencyReady = true;
	g_Earc_State.CommaTimeout = 0;
	//memset(&g_CapabilityData[0], 0, 256);
	g_Latency = 0;
	AudioEarcInitCmdc();
	return AIO_OK;
}

static void Audio_hw_Set_EARC(void)
{
	Audio_HW_Earc_SetAPHY();
	Audio_HW_Earc_En(1);
	Audio_HW_Earc_Init_Detection();
	// enable route to SCPU
	rtd_outl(0xb80002A4, _BIT31|_BIT0);
	EARC_INIT_STATE = 1;
}

void Audio_eARC_CMDC(void)
{
	AIO_EARC_STATE_MACHINE_T HandshakingState = AIO_EARC_STATE_IDLE1;
	earc_earc_cmdc_irq_RBUS earc_cmdc_irq;
	unsigned char Earc_hpd_state = 0;
	unsigned char Hdmi_5V_State = 0;
//	UINT32	Delay_Count = 0;

	//eARC init process
	eARC_Connect();
	Audio_hw_Set_EARC();
	//Audio_HW_Earc_Init();

	//Set eARC GPIO related setting
	WriteMaskRegister(peARC_stGPIO_pinmux, peARC_5V_Detect_pinmux, peARC_5V_Detect_pinmux);//5V_Detect Pinmux, ST_GPIO14, 0xb806020c[15:12]
	WriteMaskRegister(peARC_stGPIO_pinmux, peARC_HPD_Output_pinmux, peARC_HPD_Output_pinmux);//HPD_Output Pinmux, ST_GPIO15, 0xb806020c[3:0]
	WriteMaskRegister(peARC_HPD_Output_Dir, peARC_HPD_Output_Offset|_BIT0, peARC_HPD_Output_Offset|_BIT0);//Output Mode, ST_GPIO15, 0xb8061100[16], [0] write 1 to set

	//Toggle HPD to enter eARC state
//	WriteMaskRegister(peARC_HPD_Output, peARC_HPD_Output_Offset|_BIT0, peARC_HPD_Output_Offset|_BIT0);//Set HPD Low
//	WriteMaskRegister(peARC_HPD_Output, peARC_HPD_Output_Offset|_BIT0, peARC_HPD_Output_Offset);//Set HPD High


	//Monitor HPD and 5V_detect status
	while(1)
	{
		//AudioHw_Earc_Isr();

#ifdef eARC_write_latency
		earc_earc_cmdc_irq_RBUS CMDC_IRQ_STATUS;
		CMDC_IRQ_STATUS.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);


		if ((g_Earc_State.ConnectState == AIO_EARC_STATE_EARC) && (EARC_WRITE_COUNT == 0)
			&& ((g_Earc_State.ReadLatencyReady == true) && (g_Earc_State.ReadCapReady == true)))
		{
			Audio_HW_Earc_Write_Latency(66);
			
			EARC_WRITE_COUNT++;
#if 0		//Read Latency
			AIO_AUDIO_EARC_CMDC_READ_T ReadTransaction;
			unsigned char ReadData[256];

			printk("[eARC] read latency s\n");
			ReadTransaction.Type = AIO_AUDIO_EARC_READ_LATENCY;
			ReadTransaction.ReadData = ReadData;
			EARC_Force_Read = true;
			if (Audio_HW_Earc_Read_Transaction(&ReadTransaction) != AIO_OK)
			{
				printk("[eARC] read latency err\n");
			}
			else
			{
				printk("[eARC] read latency pass, latency=%d\n", *ReadTransaction.ReadData);
			}
			EARC_Force_Read = false;
#endif
		}
#endif

		if (g_Earc_State.ConnectState == AIO_EARC_STATE_EARC)
		{
			AudioHw_Earc_Transaction();
		}

//		Delay_Count++;

//		if(Delay_Count%512 == 1)
		{
#if 1
			//Get HPD and 5V_detect status
			Earc_hpd_state = (ReadRegister(peARC_HPD_Output)&peARC_HPD_Output_Offset) ? 0 : 1;
			Hdmi_5V_State = (ReadRegister(peARC_5V_Detect)&peARC_5V_Detect_offset) ? 1 : 0;
			Audio_HW_Earc_GetHandshakingStatus(&HandshakingState);
#endif

			if ((PreHpdState == 1 && Earc_hpd_state == 0) || Hdmi_5V_State == 0)
			{
				if (g_EarcInit == 1)
				{
					if (PreHpdState == 1 && Earc_hpd_state == 0)
						printk("hpd, AudioHw_Earc_Reset\n");
					if (Pre5vState == 1 && Hdmi_5V_State == 0)
						printk("5v, AudioHw_Earc_Reset\n");
			
					printk("HPD/Hdmi_5V is off, reset eARC!\n");
					AudioHw_Earc_Reset();
					aud_Delay(1);
				}
			}

			//eARC state change
			if ((PreHpdState == 0 && Earc_hpd_state == 1 && Hdmi_5V_State == 1) || (Pre5vState == 0 && Hdmi_5V_State == 1))
			{
				printk("PreHpdState=%d, Pre5vState=%d\n",PreHpdState,Pre5vState);
				printk("Earc_hpd_state=%d, Hdmi_5V_State=%d\n",Earc_hpd_state,Hdmi_5V_State);
				if (g_EarcEn == 1)
				{
					printk("start to earc\n");
					AudioHw_Earc_Reset();
					aud_Delay(1);
					EARC_READ_COUNT = 0;
					Audio_HW_Earc_Start();

					if(HB_CADENCE_CHANGE == true)
					{
						earc_earc_cmdc_timing1_RBUS CMDC_TIMING1;
					
						CMDC_TIMING1.regValue = ReadRegister(EARC_eARC_CMDC_TIMING1_reg);
						CMDC_TIMING1.heartbeat = EARC_TIMING_HEARTBEAT;
						WriteRegister(EARC_eARC_CMDC_TIMING1_reg, CMDC_TIMING1.regValue);
						HB_CADENCE_CHANGE= false;
					}
				}
			}

			
			if (PreHpdState != Earc_hpd_state)
			{
				printk("HpdState Changed! PreHpdState=%d, Earc_hpd_state=%d\n",PreHpdState,Earc_hpd_state);
				PreHpdState = Earc_hpd_state;
			}

			if (Pre5vState != Hdmi_5V_State)
			{
				printk("5vState Changed! Pre5vState=%d, Hdmi_5V_State=%d\n",Pre5vState,Hdmi_5V_State);
				Pre5vState = Hdmi_5V_State;
			}

			if (HandshakingState == AIO_EARC_STATE_EARC)
			{
				if(HB_CADENCE_CHANGE == false)
				{
					earc_earc_cmdc_timing1_RBUS CMDC_TIMING1;

					CMDC_TIMING1.regValue = ReadRegister(EARC_eARC_CMDC_TIMING1_reg);
					CMDC_TIMING1.heartbeat = 5;
					WriteRegister(EARC_eARC_CMDC_TIMING1_reg, CMDC_TIMING1.regValue);
					HB_CADENCE_CHANGE= true;
				}

				earc_cmdc_irq.regValue = ReadRegister(EARC_eARC_CMDC_IRQ_reg);
				if (AioEarcGetIrqFlag() != earc_cmdc_irq.regValue)
				{
					printk("IRQ_0x%x -> 0x%x\n",AioEarcGetIrqFlag(),earc_cmdc_irq.regValue);
					AioEarcSetIrqFlag(earc_cmdc_irq.regValue);
				}
			}
			//aud_Delay(100);
		}
	}
}
#endif

UINT32 aud_earc_CMDC_Slftest(void)
{
	UINT16 count=0;
	UINT32 earcResult=0;	
	UINT32 esdBasebandResult=0;
	printk("earc CMDC slf test start\n");
	//step1. PLL Power
	rtd_maskl(0xb80b800c,0xFFFFFFFE,0x00000001); //POW_EARC_LDO=1
	rtd_maskl(0xb80b8004,0x3FFFFFFF,0x40000000); //POW_EARC_MBIAS=1
	ScalerTimer_DelayXms(2); //5ms
	rtd_maskl(0xb80b8008, 0xFEFFFFFF, 0x00000000);//EARC_PLL_PIBYPASS = 0

	//step2. PLL Value, 16.384MHz
	rtd_maskl(0xb80b8008,0xF9FFFFFF, 0x00000000); //REG_EARC_PLL_P=0
	rtd_maskl(0xb80b8004,0xFFFC2023, 0x0001C744); //REG_EARC_PLL_CP=2'b01,REG_EARC_PLL_CS=2'b11,REG_EARC_PLL_RS=3'b001,REG_EARC_PLL_IP=4'b0011,REG_EARC_PLL_K=3'b101
	rtd_maskl(0xb80b801c,0xFF00FFFF, 0x000F0000); //Ncode_T=8b00001111, 15
	rtd_maskl(0xb80b8010,0xF800FFFF, 0x01A30000); //Fcode_T=11b00110100011, 419
	rtd_maskl(0xb80b8028,0xFFF3FFFF, 0x00080000); //REG_PI_CUR_SEL=2'b10
	rtd_maskl(0xb80b8000,0x0FFFFFFF, 0x00000000); //reg_ck_1x_48k_mode=0

	//step3.
	rtd_maskl(0xb80b8004,0xDFFFFFFF, 0x20000000); //POW_EARC_PLL=1
	rtd_maskl(0xb80b800c,0x7FFFFFFD, 0x80000002); //RSTB_EARC_PLL=1,RSTB_EARC_PLL_VCO=1
	rtd_maskl(0x180b8034,0xFFFFFFEF, 0x00000018); //rstn_plldig=1, rstn_earcdphy=1
	rtd_maskl(0xb80b8010,0xFFFFFFFE, 0x00000000); //REG_OC_EN=0
	rtd_maskl(0xb80b8010,0xFFFFFFFE, 0x00000001); //REG_OC_EN=1
	ScalerTimer_DelayXms(2); //5ms
	rtd_maskl(0xb80b800c,0xBFFFFFFF, 0x40000000); //RSTB_EARC_SPK_DIV=1
	rtd_maskl(0xb80b8004,0xFFFFFFDF, 0x00000000); //REG_EARC_PLL_OEB=0
	rtd_maskl(0xb80b8008,0xFFFFFFFF, 0x00000300); //APHY Div4

	//enable eARC Tx
	rtd_maskl(0xb80b8004,0xF7FFFFFF, 0x08000000); //EARC_DATE_SEL=1
	rtd_maskl(0xb80b8004,0x7FFFFFFF, 0x80000000); //POW_EARC_DRIVER=1

	//APHY Setting
	rtd_maskl(0xb80B8008,0xFF01FFFF,0x00340000); //impedance...r300=0x1, r60=0xA
	rtd_maskl(0xb80b800C,0xC0FFFEC7, 0x1c000038); //Df_duty_sel=7 & Vol_level_cm=0 & CM_TRF_SEL=011 & DF_IB_SEL(swing)=0x4
	rtd_maskl(0xb80b8004,0xFFF3FFFF, 0x000C0000); //DF Rise/Fall=11, [19:18]=11
	rtd_maskl(0xb80b8008,0x1FFFFFFF, 0xA000000F); //COM Swing=101, [31:29]=101

	//EARC TX Timing Settings
	rtd_maskl(0xb80B8004,0x7FFFFFFF,0x80000000);
	rtd_maskl(0xb80B800C,0xFFFFFFFE,0x00000001);
	rtd_maskl(0xb80b800C,0xC7FFFEFF,0x08000000);
	rtd_maskl(0xb80b802C,0xC0FFFFFF,0x10000000);
	rtd_maskl(0xb80B8030,0xFFFFFCFF,0x00000100);
	rtd_maskl(0xb8006DC0,0x3C07E01F,0x83981AE0);
	rtd_maskl(0xb8006DC4,0xF00FFFFF,0x0D700000);

	//===================Analog IP end=====================================
	rtd_maskl(0xb8006dc8,0xfFFFFFFc, 0x01000000); //tx_en=0,hdmi_hpd_en=0
	rtd_outl(0xb8006de8,0x000fffff); //test mode=0
	ScalerTimer_DelayXms(0x1);

	rtd_maskl(0xb80b8034,0xffcfffff, 0x00300008); //bit-20: cmdc_loopback_en=1; bit21-int_loopback_en=1
	rtd_maskl(0xb80b8030,0x9fffffff, 0x40000000); //bit-30: cm_rx_test_on=1,bit-29: cm_tx_test_on=0
	ScalerTimer_DelayXms(0x1);

	rtd_maskl(0xb8006dc8,0xfFFFFFFc, 0x01000003); //tx_en=1,hdmi_hpd_en=1

	rtd_outl(0xb8006ddc,0xffFFFFFF); //irq clear


	rtd_maskl(0xb8006de0,0xffFFFFFF, 0x00004000); //rcmd_vaild_irq_en

	rtd_maskl(0xb8006dec,0xbfFFFFFF, 0x40000000); //rcmd checker enable

	rtd_outl(0xb8006de8,0xc00fffff);                //set wcmd: fffff: comma, self_test_start=1, cmdc_self_test_mode=1

	rtd_inl(0xb8006ddc);
	//wait for start bit clear

	//check 6ddc[14], if 1 means data valid and check ok
	count=0;
	while(1)
	{
		if((rtd_inl(0xb8006de8) & 0x40000000)==0)
			break;
		count++;
		//ScalerTimer_DelayXms(0x1);
		aud_Delay(10);
		if(count>30000)
		{
			esdBasebandResult++;
			printk("earc start timeout\n");
			printk("earc 6de8=%x\n",rtd_inl(0xb8006de8));
			break;
		}
	}
	//ScalerTimer_DelayXms(1000);
	aud_Delay(50);
	printk("earc irq=%x\n",rtd_inl(0xb8006ddc));
	printk("earc checker=%x\n",rtd_inl(0xb8006dec));
	earcResult=rtd_inl(0xb8006ddc);            //if bit-14=1, pass
	if((earcResult & 0x4000)==0)
	{
		esdBasebandResult++;
		printk("earc CMDC slf test irq fail\n");
	}
	earcResult=rtd_inl(0xb8006dec);			//if bit-29=1 & bit[19:0]=085e read cmd, pass	
	if((earcResult & 0x20000000)==0)
	{	
		esdBasebandResult++;
		printk("earc CMDC slf test checker fail\n");
	}
	if(esdBasebandResult==0)
		printk("earc CMDC slf test pass\n");
	return esdBasebandResult;
}


UINT32 aud_earc_DMAC_Slftest(void)
{
	UINT32 earcResult=0;	
	UINT32 esdBasebandResult=0;
	
	printk("earc DMAC slf test start\n");
	
	rtd_maskl(0xb8006dc8,0xfFFFFFFc, 0x01000000); //tx_en=0,hdmi_hpd_en=0
	rtd_outl(0xb8006de8,0x000fffff); //test mode=0
	ScalerTimer_DelayXms(0x1);
//set PRBS's DF Pattern
	rtd_maskl(0xb80b8028,0xFFEFFFFF, 0x00100000); //df_tx_on=1
	//rtd_maskl(0xb80b8028,0xFFFFFF9F, 0x00000020); //Cm_prbs_sel=01 : PRBS7
	//rtd_maskl(0xb80b8028,0xFFFFFFF7, 0x00000008); //Cm_prbs_en=1
	rtd_maskl(0xb80b802c,0xFFFFFF3F, 0x00000040); //Df_prbs_sel=01 : PRBS7
	rtd_maskl(0xb80b802c,0xFFFFFFEF, 0x00000010); //Df_prbs_en=1
	rtd_maskl(0xb80b802c,0xFFFFFFFF, 0x00000002); //Df_data_sel=1

	//set PRBS's DF Pattern
	rtd_maskl(0xb80b8034,0xFe7FFFFF, 0x01800000); //REG_RESERVED_EXTRA[0] = 1 (Enable DMAC data loopback)

	earcResult=rtd_inl(0xb80b8034); //if 0xb80b8034[22]=1, then pass
		
	if((earcResult & 0x400000)==0)
	{	
		esdBasebandResult++;
		printk("earc DMAC slf test checker fail\n");
	}
	
	if(esdBasebandResult==0)
		printk("earc DMAC slf test pass\n");
	return esdBasebandResult;	
}

int QC_Verifier_AUDIO(void)
{
	UINT32 	aioResult; /* 0 means Zero Error, other means something goes wrong */
	QC_AudioTestcase test_case=0;
	char ICPackage[20];

	printk("Hello Audio...Merlin6--0330\n");
	g_audio_initialize_done = 0;
	aud_DrInitialize();
	if( g_audio_initialize_done == 0){
		printk("Init Audio Failed!\n");
		return FAILED;
	}
	aioResult = 0;

#ifdef QC_test
	
#if CONFIG_EQC // normal QC case

	printk("QC Audio Test %s!\n",ICPackage);

	// [Merlin6] 4K60
	//    * HPO--AIN1: Jumper J9/J10
	//    * HPO--AIN2: Jumper J11/J12
	//    * AIO--AIN3: Jumper J3/J4/J5/J6
	//    * SPDIF_OUT0--SPDIF_IN: Jumper J32
	//       ** SW184 switch2
	//       ** SW224 switch1
	//    * SPDIF_OUT1--SPDIF_IN: Jumper J33
	//       ** SW148 switch1
	//    * I2S_O_D0--I2S_IN_D0: JP9 pin1--short--JP25 pin1
	// [Merlin6] 4K120
	//    * HPO--AIN1: Jumper J9/J10
	//    * HPO--AIN2: Jumper J11/J12
	//    * AIO--AIN3: Jumper J3/J4/J5/J6
	//    * SPDIF_OUT0--SPDIF_IN: Jumper J32
	//       ** SW184 switch2
	//       ** SW224 switch1
	//    * SPDIF_OUT1--SPDIF_IN: Jumper J33
	//       ** SW148 switch1
	//    * I2S_O_D0--I2S_IN_D0:  JP9 pin1--short--JP25 pin1	
	//printk("QC Audio Test %s!\n",ICPackage);

  	//aioResult += aud_QcDma(pWrBuf, pRdBuf);
	//aioResult += aud_MultiChan(8, pWrBuf, pRdBuf); //Mac6 not support 8ch
#if 1
	printk("QC Audio Test For ESD Test!\n");
	dx_SpdifSetOutput0(SPDIF_disable, 0); // Disable spdif_out0
	dx_SpdifSetOutput1(SPDIF_disable, 0); // Disable spdif_out1
	dx_I2sSetOutput(I2S_disable, 0); // Disable I2S out

	//#include "./Merlin5/merlin5_crt_all_turn_on.tbl"         // crt script
	//#include "./Merlin5/BB_bring_up.tbl"                        // Audio BB bring up script
	//#include "./Merlin5/Merlin5_PB_SPDIF_OUT0.tbl"                        // Merlin5_PB_SPDIF_OUT0 script
	//#include "./Merlin5/Merlin5_SPDIF_IN_PB.tbl"                        // Merlin5_SPDIF_IN_PB script
	aioResult += aud_esd_Spdif0();
	aioResult += aud_esd_Spdif1();

	//#include "./Merlin5/Merlin5_PB_I2S_OUT.tbl"                        // Merlin5_PB_I2S_OUT script
	//#include "./Merlin5/Merlin5_I2S_IN_PB.tbl"                        // Merlin5_I2S_IN_PB script
	aioResult += aud_esd_I2s();
	//aioResult += aud_baseband_AutoSineCheck(test_case);	//Clayton 6/10: Fix me
	aioResult += aud_baseband_PeakDetection(test_case);
	aioResult += aud_earc_CMDC_Slftest();
	aioResult += aud_earc_DMAC_Slftest();	
#endif 

#ifdef DMA_LOOPBACK
	aioResult += aud_QcDma(pWrBuf, pRdBuf);
#endif

#ifdef HDMI2AUDIO
	// External pattern HDMI Port2--> ADC --> HPO
//	aioResult += aud_HDMI2Audio(pWrBuf);
	aud_HDMI2Audio(pWrBuf);
#endif

#ifdef EARC_CMDC
	Audio_eARC_CMDC();
#endif

#endif 
	
#if CONFIG_FT // for FT DMA tset

	// Clayton <2019/6/9>: Not finished, fixed me
	//printk("FT DMA Test %s!\n",ICPackage);
	//aioResult += aud_QcDma(pWrBuf, pRdBuf);
	
#endif

#else	// verify

	// Clayton <2019/6/9>: Not finished, fixed me
/*
#ifdef HDMI_to_Autio_Path
	UINT32 i=0;
	#include "Merlin4_HDMI_1p5G_Port0.tbl"
	#include "hdmi_path.tbl"
//	#include "hdmi_path_4ch.tbl"
//	#include "hdmi_path_8ch.tbl"

	printk("verify %s : HDMI_to_Autio_Path\n",ICPackage);
	printk("\n==============================\n");

	for(i=0; i<50; i++)
		printk("[%x] : %x\n",(0x00300000+i*4), ReadRegister(0x00300000+i*4));

#endif
*/
#endif

	if(aioResult==0)
		return SUCCESS;
	else
		return FAILED;
}
